# -*- coding: UTF-8 -*-
# Code automatically generated by pycrate_asn1c

from pycrate_asn1rt.utils            import *
from pycrate_asn1rt.err              import *
from pycrate_asn1rt.glob             import make_GLOBAL, GLOBAL
from pycrate_asn1rt.dictobj          import ASN1Dict
from pycrate_asn1rt.refobj           import *
from pycrate_asn1rt.setobj           import *
from pycrate_asn1rt.asnobj_basic     import *
from pycrate_asn1rt.asnobj_str       import *
from pycrate_asn1rt.asnobj_construct import *
from pycrate_asn1rt.asnobj_class     import *
from pycrate_asn1rt.asnobj_ext       import *
from pycrate_asn1rt.init             import init_modules

class E1AP_PDU_Descriptions:

    _name_  = u'E1AP-PDU-Descriptions'
    _oid_   = [0, 4, 0, 0, 22, 3, 5, 1, 0]
    
    _obj_ = [
        u'E1AP-ELEMENTARY-PROCEDURE',
        u'E1AP-PDU',
        u'InitiatingMessage',
        u'SuccessfulOutcome',
        u'UnsuccessfulOutcome',
        u'E1AP-ELEMENTARY-PROCEDURES',
        u'E1AP-ELEMENTARY-PROCEDURES-CLASS-1',
        u'E1AP-ELEMENTARY-PROCEDURES-CLASS-2',
        u'reset',
        u'errorIndication',
        u'gNB-CU-UP-E1Setup',
        u'gNB-CU-CP-E1Setup',
        u'gNB-CU-UP-ConfigurationUpdate',
        u'gNB-CU-CP-ConfigurationUpdate',
        u'e1Release',
        u'bearerContextSetup',
        u'bearerContextModification',
        u'bearerContextModificationRequired',
        u'bearerContextRelease',
        u'bearerContextReleaseRequest',
        u'bearerContextInactivityNotification',
        u'dLDataNotification',
        u'uLDataNotification',
        u'dataUsageReport',
        u'gNB-CU-UP-CounterCheck',
        u'gNB-CU-UP-StatusIndication',
        u'privateMessage',
        u'mRDC-DataUsageReport',
        ]
    _type_ = [
        u'E1AP-ELEMENTARY-PROCEDURE',
        u'E1AP-PDU',
        u'InitiatingMessage',
        u'SuccessfulOutcome',
        u'UnsuccessfulOutcome',
        ]
    _set_ = [
        u'E1AP-ELEMENTARY-PROCEDURES',
        u'E1AP-ELEMENTARY-PROCEDURES-CLASS-1',
        u'E1AP-ELEMENTARY-PROCEDURES-CLASS-2',
        ]
    _val_ = [
        u'reset',
        u'errorIndication',
        u'gNB-CU-UP-E1Setup',
        u'gNB-CU-CP-E1Setup',
        u'gNB-CU-UP-ConfigurationUpdate',
        u'gNB-CU-CP-ConfigurationUpdate',
        u'e1Release',
        u'bearerContextSetup',
        u'bearerContextModification',
        u'bearerContextModificationRequired',
        u'bearerContextRelease',
        u'bearerContextReleaseRequest',
        u'bearerContextInactivityNotification',
        u'dLDataNotification',
        u'uLDataNotification',
        u'dataUsageReport',
        u'gNB-CU-UP-CounterCheck',
        u'gNB-CU-UP-StatusIndication',
        u'privateMessage',
        u'mRDC-DataUsageReport',
        ]
    _class_ = [
        u'E1AP-ELEMENTARY-PROCEDURE',
        u'E1AP-ELEMENTARY-PROCEDURES',
        u'E1AP-ELEMENTARY-PROCEDURES-CLASS-1',
        u'E1AP-ELEMENTARY-PROCEDURES-CLASS-2',
        u'reset',
        u'errorIndication',
        u'gNB-CU-UP-E1Setup',
        u'gNB-CU-CP-E1Setup',
        u'gNB-CU-UP-ConfigurationUpdate',
        u'gNB-CU-CP-ConfigurationUpdate',
        u'e1Release',
        u'bearerContextSetup',
        u'bearerContextModification',
        u'bearerContextModificationRequired',
        u'bearerContextRelease',
        u'bearerContextReleaseRequest',
        u'bearerContextInactivityNotification',
        u'dLDataNotification',
        u'uLDataNotification',
        u'dataUsageReport',
        u'gNB-CU-UP-CounterCheck',
        u'gNB-CU-UP-StatusIndication',
        u'privateMessage',
        u'mRDC-DataUsageReport',
        ]
    _param_ = [
        ]
    
    #-----< E1AP-ELEMENTARY-PROCEDURE >-----#
    E1AP_ELEMENTARY_PROCEDURE = CLASS(name=u'E1AP-ELEMENTARY-PROCEDURE', mode=MODE_TYPE)
    _E1AP_ELEMENTARY_PROCEDURE_InitiatingMessage = OPEN(name=u'InitiatingMessage', mode=MODE_TYPE)
    _E1AP_ELEMENTARY_PROCEDURE_SuccessfulOutcome = OPEN(name=u'SuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _E1AP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome = OPEN(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _E1AP_ELEMENTARY_PROCEDURE_procedureCode = INT(name=u'procedureCode', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')), uniq=True)
    _E1AP_ELEMENTARY_PROCEDURE_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Criticality')), default=u'ignore')
    E1AP_ELEMENTARY_PROCEDURE._cont = ASN1Dict([
        (u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURE_InitiatingMessage),
        (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURE_SuccessfulOutcome),
        (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome),
        (u'procedureCode', _E1AP_ELEMENTARY_PROCEDURE_procedureCode),
        (u'criticality', _E1AP_ELEMENTARY_PROCEDURE_criticality),
        ])
    
    #-----< E1AP-PDU >-----#
    E1AP_PDU = CHOICE(name=u'E1AP-PDU', mode=MODE_TYPE)
    _E1AP_PDU_initiatingMessage = SEQ(name=u'initiatingMessage', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'InitiatingMessage')))
    _E1AP_PDU_successfulOutcome = SEQ(name=u'successfulOutcome', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'SuccessfulOutcome')))
    _E1AP_PDU_unsuccessfulOutcome = SEQ(name=u'unsuccessfulOutcome', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'UnsuccessfulOutcome')))
    E1AP_PDU._cont = ASN1Dict([
        (u'initiatingMessage', _E1AP_PDU_initiatingMessage),
        (u'successfulOutcome', _E1AP_PDU_successfulOutcome),
        (u'unsuccessfulOutcome', _E1AP_PDU_unsuccessfulOutcome),
        ])
    E1AP_PDU._ext = []
    
    #-----< InitiatingMessage >-----#
    InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE)
    _InitiatingMessage_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __InitiatingMessage_procedureCode_tab = CLASS(name='_tab_E1AP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'Reset')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdate')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdate')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseResponse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_6 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseCommand')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseComplete')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ErrorIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseRequest')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextInactivityNotification')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DLDataNotification')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ULDataNotification')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DataUsageReport')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-CounterCheckRequest')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-StatusIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'MRDC-DataUsageReport')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'PrivateMessage')))
    __InitiatingMessage_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_6), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11), (u'procedureCode', 12), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12), (u'procedureCode', 13), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13), (u'procedureCode', 14), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14), (u'procedureCode', 18), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15), (u'procedureCode', 15), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16), (u'procedureCode', 16), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17), (u'procedureCode', 17), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18), (u'procedureCode', 19), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19), (u'procedureCode', 2), (u'criticality', u'ignore')])], rr=[], ev=None, er=[])
    _InitiatingMessage_procedureCode._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_procedureCode._const_tab_at = None
    _InitiatingMessage_procedureCode._const_tab_id = u'procedureCode'
    _InitiatingMessage_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _InitiatingMessage_criticality._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_criticality._const_tab_at = ('..', u'procedureCode')
    _InitiatingMessage_criticality._const_tab_id = u'criticality'
    _InitiatingMessage_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'InitiatingMessage']))
    _InitiatingMessage_value._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_value._const_tab_at = ('..', u'procedureCode')
    _InitiatingMessage_value._const_tab_id = u'InitiatingMessage'
    InitiatingMessage._cont = ASN1Dict([
        (u'procedureCode', _InitiatingMessage_procedureCode),
        (u'criticality', _InitiatingMessage_criticality),
        (u'value', _InitiatingMessage_value),
        ])
    InitiatingMessage._ext = None
    
    #-----< SuccessfulOutcome >-----#
    SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE)
    _SuccessfulOutcome_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __SuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_E1AP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'Reset')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdate')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdate')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_6 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseCommand')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseComplete')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ErrorIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextInactivityNotification')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DLDataNotification')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ULDataNotification')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DataUsageReport')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-CounterCheckRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-StatusIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'MRDC-DataUsageReport')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'PrivateMessage')))
    __SuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_6), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11), (u'procedureCode', 12), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12), (u'procedureCode', 13), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13), (u'procedureCode', 14), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14), (u'procedureCode', 18), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15), (u'procedureCode', 15), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16), (u'procedureCode', 16), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17), (u'procedureCode', 17), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18), (u'procedureCode', 19), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19), (u'procedureCode', 2), (u'criticality', u'ignore')])], rr=[], ev=None, er=[])
    _SuccessfulOutcome_procedureCode._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_procedureCode._const_tab_at = None
    _SuccessfulOutcome_procedureCode._const_tab_id = u'procedureCode'
    _SuccessfulOutcome_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _SuccessfulOutcome_criticality._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_criticality._const_tab_at = ('..', u'procedureCode')
    _SuccessfulOutcome_criticality._const_tab_id = u'criticality'
    _SuccessfulOutcome_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'SuccessfulOutcome']))
    _SuccessfulOutcome_value._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_value._const_tab_at = ('..', u'procedureCode')
    _SuccessfulOutcome_value._const_tab_id = u'SuccessfulOutcome'
    SuccessfulOutcome._cont = ASN1Dict([
        (u'procedureCode', _SuccessfulOutcome_procedureCode),
        (u'criticality', _SuccessfulOutcome_criticality),
        (u'value', _SuccessfulOutcome_value),
        ])
    SuccessfulOutcome._ext = None
    
    #-----< UnsuccessfulOutcome >-----#
    UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE)
    _UnsuccessfulOutcome_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __UnsuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_E1AP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'Reset')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdate')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdate')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_6 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseCommand')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseComplete')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ErrorIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextInactivityNotification')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DLDataNotification')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ULDataNotification')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DataUsageReport')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-CounterCheckRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-StatusIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'MRDC-DataUsageReport')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'PrivateMessage')))
    __UnsuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_6), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11), (u'procedureCode', 12), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12), (u'procedureCode', 13), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13), (u'procedureCode', 14), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14), (u'procedureCode', 18), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15), (u'procedureCode', 15), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16), (u'procedureCode', 16), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17), (u'procedureCode', 17), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18), (u'procedureCode', 19), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19), (u'procedureCode', 2), (u'criticality', u'ignore')])], rr=[], ev=None, er=[])
    _UnsuccessfulOutcome_procedureCode._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_procedureCode._const_tab_at = None
    _UnsuccessfulOutcome_procedureCode._const_tab_id = u'procedureCode'
    _UnsuccessfulOutcome_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _UnsuccessfulOutcome_criticality._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_criticality._const_tab_at = ('..', u'procedureCode')
    _UnsuccessfulOutcome_criticality._const_tab_id = u'criticality'
    _UnsuccessfulOutcome_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE'), [u'UnsuccessfulOutcome']))
    _UnsuccessfulOutcome_value._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_value._const_tab_at = ('..', u'procedureCode')
    _UnsuccessfulOutcome_value._const_tab_id = u'UnsuccessfulOutcome'
    UnsuccessfulOutcome._cont = ASN1Dict([
        (u'procedureCode', _UnsuccessfulOutcome_procedureCode),
        (u'criticality', _UnsuccessfulOutcome_criticality),
        (u'value', _UnsuccessfulOutcome_value),
        ])
    UnsuccessfulOutcome._ext = None
    
    #-----< E1AP-ELEMENTARY-PROCEDURES >-----#
    E1AP_ELEMENTARY_PROCEDURES = CLASS(name=u'E1AP-ELEMENTARY-PROCEDURES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'Reset')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAcknowledge')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdate')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateAcknowledge')))
    _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdate')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateAcknowledge')))
    _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_6 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequired')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationConfirm')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseCommand')))
    _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseComplete')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ErrorIndication')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextInactivityNotification')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DLDataNotification')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ULDataNotification')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DataUsageReport')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-CounterCheckRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-StatusIndication')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'MRDC-DataUsageReport')))
    _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'PrivateMessage')))
    E1AP_ELEMENTARY_PROCEDURES._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_6), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11), (u'procedureCode', 12), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12), (u'procedureCode', 13), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13), (u'procedureCode', 14), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14), (u'procedureCode', 18), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15), (u'procedureCode', 15), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16), (u'procedureCode', 16), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17), (u'procedureCode', 17), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18), (u'procedureCode', 19), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19), (u'procedureCode', 2), (u'criticality', u'ignore')])], rr=[], ev=[], er=[])
    
    #-----< E1AP-ELEMENTARY-PROCEDURES-CLASS-1 >-----#
    E1AP_ELEMENTARY_PROCEDURES_CLASS_1 = CLASS(name=u'E1AP-ELEMENTARY-PROCEDURES-CLASS-1', mode=MODE_SET, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'Reset')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAcknowledge')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdate')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateAcknowledge')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdate')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateAcknowledge')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_6 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationResponse')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationFailure')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequired')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationConfirm')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseCommand')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseComplete')))
    E1AP_ELEMENTARY_PROCEDURES_CLASS_1._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_6), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9), (u'SuccessfulOutcome', _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9), (u'procedureCode', 11), (u'criticality', u'reject')])], rr=[], ev=[], er=[])
    
    #-----< E1AP-ELEMENTARY-PROCEDURES-CLASS-2 >-----#
    E1AP_ELEMENTARY_PROCEDURES_CLASS_2 = CLASS(name=u'E1AP-ELEMENTARY-PROCEDURES-CLASS-2', mode=MODE_SET, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ErrorIndication')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextInactivityNotification')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DLDataNotification')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ULDataNotification')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DataUsageReport')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-CounterCheckRequest')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-StatusIndication')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'MRDC-DataUsageReport')))
    _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'PrivateMessage')))
    E1AP_ELEMENTARY_PROCEDURES_CLASS_2._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1), (u'procedureCode', 12), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2), (u'procedureCode', 13), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3), (u'procedureCode', 14), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4), (u'procedureCode', 18), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5), (u'procedureCode', 15), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6), (u'procedureCode', 16), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7), (u'procedureCode', 17), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8), (u'procedureCode', 19), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9), (u'procedureCode', 2), (u'criticality', u'ignore')])], rr=[], ev=[], er=[])
    
    #-----< reset >-----#
    reset = CLASS(name=u'reset', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _reset_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'Reset')))
    _reset_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAcknowledge')))
    reset._val = dict([(u'InitiatingMessage', _reset_val_InitiatingMessage), (u'SuccessfulOutcome', _reset_val_SuccessfulOutcome), (u'procedureCode', 0), (u'criticality', u'reject')])
    
    #-----< errorIndication >-----#
    errorIndication = CLASS(name=u'errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _errorIndication_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ErrorIndication')))
    errorIndication._val = dict([(u'InitiatingMessage', _errorIndication_val_InitiatingMessage), (u'procedureCode', 1), (u'criticality', u'ignore')])
    
    #-----< gNB-CU-UP-E1Setup >-----#
    gNB_CU_UP_E1Setup = CLASS(name=u'gNB-CU-UP-E1Setup', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _gNB_CU_UP_E1Setup_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupRequest')))
    _gNB_CU_UP_E1Setup_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupResponse')))
    _gNB_CU_UP_E1Setup_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-E1SetupFailure')))
    gNB_CU_UP_E1Setup._val = dict([(u'InitiatingMessage', _gNB_CU_UP_E1Setup_val_InitiatingMessage), (u'SuccessfulOutcome', _gNB_CU_UP_E1Setup_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _gNB_CU_UP_E1Setup_val_UnsuccessfulOutcome), (u'procedureCode', 3), (u'criticality', u'reject')])
    
    #-----< gNB-CU-CP-E1Setup >-----#
    gNB_CU_CP_E1Setup = CLASS(name=u'gNB-CU-CP-E1Setup', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _gNB_CU_CP_E1Setup_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupRequest')))
    _gNB_CU_CP_E1Setup_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupResponse')))
    _gNB_CU_CP_E1Setup_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-E1SetupFailure')))
    gNB_CU_CP_E1Setup._val = dict([(u'InitiatingMessage', _gNB_CU_CP_E1Setup_val_InitiatingMessage), (u'SuccessfulOutcome', _gNB_CU_CP_E1Setup_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _gNB_CU_CP_E1Setup_val_UnsuccessfulOutcome), (u'procedureCode', 4), (u'criticality', u'reject')])
    
    #-----< gNB-CU-UP-ConfigurationUpdate >-----#
    gNB_CU_UP_ConfigurationUpdate = CLASS(name=u'gNB-CU-UP-ConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _gNB_CU_UP_ConfigurationUpdate_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdate')))
    _gNB_CU_UP_ConfigurationUpdate_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateAcknowledge')))
    _gNB_CU_UP_ConfigurationUpdate_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-ConfigurationUpdateFailure')))
    gNB_CU_UP_ConfigurationUpdate._val = dict([(u'InitiatingMessage', _gNB_CU_UP_ConfigurationUpdate_val_InitiatingMessage), (u'SuccessfulOutcome', _gNB_CU_UP_ConfigurationUpdate_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _gNB_CU_UP_ConfigurationUpdate_val_UnsuccessfulOutcome), (u'procedureCode', 5), (u'criticality', u'reject')])
    
    #-----< gNB-CU-CP-ConfigurationUpdate >-----#
    gNB_CU_CP_ConfigurationUpdate = CLASS(name=u'gNB-CU-CP-ConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _gNB_CU_CP_ConfigurationUpdate_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdate')))
    _gNB_CU_CP_ConfigurationUpdate_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateAcknowledge')))
    _gNB_CU_CP_ConfigurationUpdate_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-ConfigurationUpdateFailure')))
    gNB_CU_CP_ConfigurationUpdate._val = dict([(u'InitiatingMessage', _gNB_CU_CP_ConfigurationUpdate_val_InitiatingMessage), (u'SuccessfulOutcome', _gNB_CU_CP_ConfigurationUpdate_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _gNB_CU_CP_ConfigurationUpdate_val_UnsuccessfulOutcome), (u'procedureCode', 6), (u'criticality', u'reject')])
    
    #-----< e1Release >-----#
    e1Release = CLASS(name=u'e1Release', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _e1Release_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseRequest')))
    _e1Release_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'E1ReleaseResponse')))
    e1Release._val = dict([(u'InitiatingMessage', _e1Release_val_InitiatingMessage), (u'SuccessfulOutcome', _e1Release_val_SuccessfulOutcome), (u'procedureCode', 7), (u'criticality', u'reject')])
    
    #-----< bearerContextSetup >-----#
    bearerContextSetup = CLASS(name=u'bearerContextSetup', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _bearerContextSetup_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupRequest')))
    _bearerContextSetup_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupResponse')))
    _bearerContextSetup_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextSetupFailure')))
    bearerContextSetup._val = dict([(u'InitiatingMessage', _bearerContextSetup_val_InitiatingMessage), (u'SuccessfulOutcome', _bearerContextSetup_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _bearerContextSetup_val_UnsuccessfulOutcome), (u'procedureCode', 8), (u'criticality', u'reject')])
    
    #-----< bearerContextModification >-----#
    bearerContextModification = CLASS(name=u'bearerContextModification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _bearerContextModification_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequest')))
    _bearerContextModification_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationResponse')))
    _bearerContextModification_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationFailure')))
    bearerContextModification._val = dict([(u'InitiatingMessage', _bearerContextModification_val_InitiatingMessage), (u'SuccessfulOutcome', _bearerContextModification_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _bearerContextModification_val_UnsuccessfulOutcome), (u'procedureCode', 9), (u'criticality', u'reject')])
    
    #-----< bearerContextModificationRequired >-----#
    bearerContextModificationRequired = CLASS(name=u'bearerContextModificationRequired', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _bearerContextModificationRequired_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationRequired')))
    _bearerContextModificationRequired_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextModificationConfirm')))
    bearerContextModificationRequired._val = dict([(u'InitiatingMessage', _bearerContextModificationRequired_val_InitiatingMessage), (u'SuccessfulOutcome', _bearerContextModificationRequired_val_SuccessfulOutcome), (u'procedureCode', 10), (u'criticality', u'reject')])
    
    #-----< bearerContextRelease >-----#
    bearerContextRelease = CLASS(name=u'bearerContextRelease', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _bearerContextRelease_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseCommand')))
    _bearerContextRelease_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseComplete')))
    bearerContextRelease._val = dict([(u'InitiatingMessage', _bearerContextRelease_val_InitiatingMessage), (u'SuccessfulOutcome', _bearerContextRelease_val_SuccessfulOutcome), (u'procedureCode', 11), (u'criticality', u'reject')])
    
    #-----< bearerContextReleaseRequest >-----#
    bearerContextReleaseRequest = CLASS(name=u'bearerContextReleaseRequest', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _bearerContextReleaseRequest_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextReleaseRequest')))
    bearerContextReleaseRequest._val = dict([(u'InitiatingMessage', _bearerContextReleaseRequest_val_InitiatingMessage), (u'procedureCode', 12), (u'criticality', u'ignore')])
    
    #-----< bearerContextInactivityNotification >-----#
    bearerContextInactivityNotification = CLASS(name=u'bearerContextInactivityNotification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _bearerContextInactivityNotification_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'BearerContextInactivityNotification')))
    bearerContextInactivityNotification._val = dict([(u'InitiatingMessage', _bearerContextInactivityNotification_val_InitiatingMessage), (u'procedureCode', 13), (u'criticality', u'ignore')])
    
    #-----< dLDataNotification >-----#
    dLDataNotification = CLASS(name=u'dLDataNotification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _dLDataNotification_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DLDataNotification')))
    dLDataNotification._val = dict([(u'InitiatingMessage', _dLDataNotification_val_InitiatingMessage), (u'procedureCode', 14), (u'criticality', u'ignore')])
    
    #-----< uLDataNotification >-----#
    uLDataNotification = CLASS(name=u'uLDataNotification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _uLDataNotification_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ULDataNotification')))
    uLDataNotification._val = dict([(u'InitiatingMessage', _uLDataNotification_val_InitiatingMessage), (u'procedureCode', 18), (u'criticality', u'ignore')])
    
    #-----< dataUsageReport >-----#
    dataUsageReport = CLASS(name=u'dataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _dataUsageReport_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DataUsageReport')))
    dataUsageReport._val = dict([(u'InitiatingMessage', _dataUsageReport_val_InitiatingMessage), (u'procedureCode', 15), (u'criticality', u'ignore')])
    
    #-----< gNB-CU-UP-CounterCheck >-----#
    gNB_CU_UP_CounterCheck = CLASS(name=u'gNB-CU-UP-CounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _gNB_CU_UP_CounterCheck_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-CounterCheckRequest')))
    gNB_CU_UP_CounterCheck._val = dict([(u'InitiatingMessage', _gNB_CU_UP_CounterCheck_val_InitiatingMessage), (u'procedureCode', 16), (u'criticality', u'ignore')])
    
    #-----< gNB-CU-UP-StatusIndication >-----#
    gNB_CU_UP_StatusIndication = CLASS(name=u'gNB-CU-UP-StatusIndication', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _gNB_CU_UP_StatusIndication_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-StatusIndication')))
    gNB_CU_UP_StatusIndication._val = dict([(u'InitiatingMessage', _gNB_CU_UP_StatusIndication_val_InitiatingMessage), (u'procedureCode', 17), (u'criticality', u'ignore')])
    
    #-----< privateMessage >-----#
    privateMessage = CLASS(name=u'privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _privateMessage_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'PrivateMessage')))
    privateMessage._val = dict([(u'InitiatingMessage', _privateMessage_val_InitiatingMessage), (u'procedureCode', 2), (u'criticality', u'ignore')])
    
    #-----< mRDC-DataUsageReport >-----#
    mRDC_DataUsageReport = CLASS(name=u'mRDC-DataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-PDU-Descriptions', 'E1AP-ELEMENTARY-PROCEDURE')))
    _mRDC_DataUsageReport_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'MRDC-DataUsageReport')))
    mRDC_DataUsageReport._val = dict([(u'InitiatingMessage', _mRDC_DataUsageReport_val_InitiatingMessage), (u'procedureCode', 19), (u'criticality', u'ignore')])
    
    _all_ = [
        _E1AP_ELEMENTARY_PROCEDURE_InitiatingMessage,
        _E1AP_ELEMENTARY_PROCEDURE_SuccessfulOutcome,
        _E1AP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome,
        _E1AP_ELEMENTARY_PROCEDURE_procedureCode,
        _E1AP_ELEMENTARY_PROCEDURE_criticality,
        E1AP_ELEMENTARY_PROCEDURE,
        _E1AP_PDU_initiatingMessage,
        _E1AP_PDU_successfulOutcome,
        _E1AP_PDU_unsuccessfulOutcome,
        E1AP_PDU,
        __InitiatingMessage_procedureCode_tab,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_6,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19,
        _InitiatingMessage_procedureCode,
        _InitiatingMessage_criticality,
        _InitiatingMessage_value,
        InitiatingMessage,
        __SuccessfulOutcome_procedureCode_tab,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_6,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19,
        _SuccessfulOutcome_procedureCode,
        _SuccessfulOutcome_criticality,
        _SuccessfulOutcome_value,
        SuccessfulOutcome,
        __UnsuccessfulOutcome_procedureCode_tab,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19,
        _UnsuccessfulOutcome_procedureCode,
        _UnsuccessfulOutcome_criticality,
        _UnsuccessfulOutcome_value,
        UnsuccessfulOutcome,
        E1AP_ELEMENTARY_PROCEDURES,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1,
        _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2,
        _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3,
        _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4,
        _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6,
        _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_6,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7,
        _E1AP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9,
        _E1AP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18,
        _E1AP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19,
        E1AP_ELEMENTARY_PROCEDURES_CLASS_1,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_6,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9,
        E1AP_ELEMENTARY_PROCEDURES_CLASS_2,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8,
        _E1AP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9,
        reset,
        _reset_val_InitiatingMessage,
        _reset_val_SuccessfulOutcome,
        errorIndication,
        _errorIndication_val_InitiatingMessage,
        gNB_CU_UP_E1Setup,
        _gNB_CU_UP_E1Setup_val_InitiatingMessage,
        _gNB_CU_UP_E1Setup_val_SuccessfulOutcome,
        _gNB_CU_UP_E1Setup_val_UnsuccessfulOutcome,
        gNB_CU_CP_E1Setup,
        _gNB_CU_CP_E1Setup_val_InitiatingMessage,
        _gNB_CU_CP_E1Setup_val_SuccessfulOutcome,
        _gNB_CU_CP_E1Setup_val_UnsuccessfulOutcome,
        gNB_CU_UP_ConfigurationUpdate,
        _gNB_CU_UP_ConfigurationUpdate_val_InitiatingMessage,
        _gNB_CU_UP_ConfigurationUpdate_val_SuccessfulOutcome,
        _gNB_CU_UP_ConfigurationUpdate_val_UnsuccessfulOutcome,
        gNB_CU_CP_ConfigurationUpdate,
        _gNB_CU_CP_ConfigurationUpdate_val_InitiatingMessage,
        _gNB_CU_CP_ConfigurationUpdate_val_SuccessfulOutcome,
        _gNB_CU_CP_ConfigurationUpdate_val_UnsuccessfulOutcome,
        e1Release,
        _e1Release_val_InitiatingMessage,
        _e1Release_val_SuccessfulOutcome,
        bearerContextSetup,
        _bearerContextSetup_val_InitiatingMessage,
        _bearerContextSetup_val_SuccessfulOutcome,
        _bearerContextSetup_val_UnsuccessfulOutcome,
        bearerContextModification,
        _bearerContextModification_val_InitiatingMessage,
        _bearerContextModification_val_SuccessfulOutcome,
        _bearerContextModification_val_UnsuccessfulOutcome,
        bearerContextModificationRequired,
        _bearerContextModificationRequired_val_InitiatingMessage,
        _bearerContextModificationRequired_val_SuccessfulOutcome,
        bearerContextRelease,
        _bearerContextRelease_val_InitiatingMessage,
        _bearerContextRelease_val_SuccessfulOutcome,
        bearerContextReleaseRequest,
        _bearerContextReleaseRequest_val_InitiatingMessage,
        bearerContextInactivityNotification,
        _bearerContextInactivityNotification_val_InitiatingMessage,
        dLDataNotification,
        _dLDataNotification_val_InitiatingMessage,
        uLDataNotification,
        _uLDataNotification_val_InitiatingMessage,
        dataUsageReport,
        _dataUsageReport_val_InitiatingMessage,
        gNB_CU_UP_CounterCheck,
        _gNB_CU_UP_CounterCheck_val_InitiatingMessage,
        gNB_CU_UP_StatusIndication,
        _gNB_CU_UP_StatusIndication_val_InitiatingMessage,
        privateMessage,
        _privateMessage_val_InitiatingMessage,
        mRDC_DataUsageReport,
        _mRDC_DataUsageReport_val_InitiatingMessage,
    ]

class E1AP_Containers:

    _name_  = u'E1AP-Containers'
    _oid_   = [0, 4, 0, 0, 22, 3, 5, 1, 5]
    
    _obj_ = [
        u'E1AP-PROTOCOL-IES',
        u'E1AP-PROTOCOL-EXTENSION',
        u'E1AP-PRIVATE-IES',
        u'ProtocolIE-Container',
        u'ProtocolIE-SingleContainer',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    _type_ = [
        u'E1AP-PROTOCOL-IES',
        u'E1AP-PROTOCOL-EXTENSION',
        u'E1AP-PRIVATE-IES',
        u'ProtocolIE-Container',
        u'ProtocolIE-SingleContainer',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    _set_ = [
        ]
    _val_ = [
        ]
    _class_ = [
        u'E1AP-PROTOCOL-IES',
        u'E1AP-PROTOCOL-EXTENSION',
        u'E1AP-PRIVATE-IES',
        ]
    _param_ = [
        u'ProtocolIE-Container',
        u'ProtocolIE-SingleContainer',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    
    #-----< E1AP-PROTOCOL-IES >-----#
    E1AP_PROTOCOL_IES = CLASS(name=u'E1AP-PROTOCOL-IES', mode=MODE_TYPE)
    _E1AP_PROTOCOL_IES_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _E1AP_PROTOCOL_IES_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Criticality')))
    _E1AP_PROTOCOL_IES_Value = OPEN(name=u'Value', mode=MODE_TYPE)
    _E1AP_PROTOCOL_IES_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Presence')))
    E1AP_PROTOCOL_IES._cont = ASN1Dict([
        (u'id', _E1AP_PROTOCOL_IES_id),
        (u'criticality', _E1AP_PROTOCOL_IES_criticality),
        (u'Value', _E1AP_PROTOCOL_IES_Value),
        (u'presence', _E1AP_PROTOCOL_IES_presence),
        ])
    
    #-----< E1AP-PROTOCOL-EXTENSION >-----#
    E1AP_PROTOCOL_EXTENSION = CLASS(name=u'E1AP-PROTOCOL-EXTENSION', mode=MODE_TYPE)
    _E1AP_PROTOCOL_EXTENSION_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _E1AP_PROTOCOL_EXTENSION_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Criticality')))
    _E1AP_PROTOCOL_EXTENSION_Extension = OPEN(name=u'Extension', mode=MODE_TYPE)
    _E1AP_PROTOCOL_EXTENSION_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Presence')))
    E1AP_PROTOCOL_EXTENSION._cont = ASN1Dict([
        (u'id', _E1AP_PROTOCOL_EXTENSION_id),
        (u'criticality', _E1AP_PROTOCOL_EXTENSION_criticality),
        (u'Extension', _E1AP_PROTOCOL_EXTENSION_Extension),
        (u'presence', _E1AP_PROTOCOL_EXTENSION_presence),
        ])
    
    #-----< E1AP-PRIVATE-IES >-----#
    E1AP_PRIVATE_IES = CLASS(name=u'E1AP-PRIVATE-IES', mode=MODE_TYPE)
    _E1AP_PRIVATE_IES_id = CHOICE(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'PrivateIE-ID')))
    _E1AP_PRIVATE_IES_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Criticality')))
    _E1AP_PRIVATE_IES_Value = OPEN(name=u'Value', mode=MODE_TYPE)
    _E1AP_PRIVATE_IES_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Presence')))
    E1AP_PRIVATE_IES._cont = ASN1Dict([
        (u'id', _E1AP_PRIVATE_IES_id),
        (u'criticality', _E1AP_PRIVATE_IES_criticality),
        (u'Value', _E1AP_PRIVATE_IES_Value),
        (u'presence', _E1AP_PRIVATE_IES_presence),
        ])
    
    #-----< ProtocolIE-Container >-----#
    ProtocolIE_Container = SEQ_OF(name=u'ProtocolIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-SingleContainer >-----#
    ProtocolIE_SingleContainer = SEQ(name=u'ProtocolIE-SingleContainer', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')), param=True)
    
    #-----< ProtocolIE-Field >-----#
    ProtocolIE_Field = SEQ(name=u'ProtocolIE-Field', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerList >-----#
    ProtocolIE_ContainerList = SEQ_OF(name=u'ProtocolIE-ContainerList', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionContainer >-----#
    ProtocolExtensionContainer = SEQ_OF(name=u'ProtocolExtensionContainer', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionField >-----#
    ProtocolExtensionField = SEQ(name=u'ProtocolExtensionField', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Container >-----#
    PrivateIE_Container = SEQ_OF(name=u'PrivateIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Field >-----#
    PrivateIE_Field = SEQ(name=u'PrivateIE-Field', mode=MODE_TYPE, param=True)
    
    _all_ = [
        _E1AP_PROTOCOL_IES_id,
        _E1AP_PROTOCOL_IES_criticality,
        _E1AP_PROTOCOL_IES_Value,
        _E1AP_PROTOCOL_IES_presence,
        E1AP_PROTOCOL_IES,
        _E1AP_PROTOCOL_EXTENSION_id,
        _E1AP_PROTOCOL_EXTENSION_criticality,
        _E1AP_PROTOCOL_EXTENSION_Extension,
        _E1AP_PROTOCOL_EXTENSION_presence,
        E1AP_PROTOCOL_EXTENSION,
        _E1AP_PRIVATE_IES_id,
        _E1AP_PRIVATE_IES_criticality,
        _E1AP_PRIVATE_IES_Value,
        _E1AP_PRIVATE_IES_presence,
        E1AP_PRIVATE_IES,
    ]

class E1AP_CommonDataTypes:

    _name_  = u'E1AP-CommonDataTypes'
    _oid_   = [0, 4, 0, 0, 22, 3, 5, 1, 3]
    
    _obj_ = [
        u'maxPrivateIEs',
        u'maxProtocolExtensions',
        u'maxProtocolIEs',
        u'Criticality',
        u'Presence',
        u'PrivateIE-ID',
        u'ProcedureCode',
        u'ProtocolExtensionID',
        u'ProtocolIE-ID',
        u'TriggeringMessage',
        ]
    _type_ = [
        u'Criticality',
        u'Presence',
        u'PrivateIE-ID',
        u'ProcedureCode',
        u'ProtocolExtensionID',
        u'ProtocolIE-ID',
        u'TriggeringMessage',
        ]
    _set_ = [
        ]
    _val_ = [
        u'maxPrivateIEs',
        u'maxProtocolExtensions',
        u'maxProtocolIEs',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< maxPrivateIEs >-----#
    maxPrivateIEs = INT(name=u'maxPrivateIEs', mode=MODE_VALUE)
    maxPrivateIEs._val = 65535
    
    #-----< maxProtocolExtensions >-----#
    maxProtocolExtensions = INT(name=u'maxProtocolExtensions', mode=MODE_VALUE)
    maxProtocolExtensions._val = 65535
    
    #-----< maxProtocolIEs >-----#
    maxProtocolIEs = INT(name=u'maxProtocolIEs', mode=MODE_VALUE)
    maxProtocolIEs._val = 65535
    
    #-----< Criticality >-----#
    Criticality = ENUM(name=u'Criticality', mode=MODE_TYPE)
    Criticality._cont = ASN1Dict([(u'reject', 0), (u'ignore', 1), (u'notify', 2)])
    Criticality._ext = None
    
    #-----< Presence >-----#
    Presence = ENUM(name=u'Presence', mode=MODE_TYPE)
    Presence._cont = ASN1Dict([(u'optional', 0), (u'conditional', 1), (u'mandatory', 2)])
    Presence._ext = None
    
    #-----< PrivateIE-ID >-----#
    PrivateIE_ID = CHOICE(name=u'PrivateIE-ID', mode=MODE_TYPE)
    _PrivateIE_ID_local = INT(name=u'local', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PrivateIE_ID_local._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _PrivateIE_ID_global_ = OID(name=u'global', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    PrivateIE_ID._cont = ASN1Dict([
        (u'local', _PrivateIE_ID_local),
        (u'global', _PrivateIE_ID_global_),
        ])
    PrivateIE_ID._ext = None
    
    #-----< ProcedureCode >-----#
    ProcedureCode = INT(name=u'ProcedureCode', mode=MODE_TYPE)
    ProcedureCode._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< ProtocolExtensionID >-----#
    ProtocolExtensionID = INT(name=u'ProtocolExtensionID', mode=MODE_TYPE)
    ProtocolExtensionID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    
    #-----< ProtocolIE-ID >-----#
    ProtocolIE_ID = INT(name=u'ProtocolIE-ID', mode=MODE_TYPE)
    ProtocolIE_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    
    #-----< TriggeringMessage >-----#
    TriggeringMessage = ENUM(name=u'TriggeringMessage', mode=MODE_TYPE)
    TriggeringMessage._cont = ASN1Dict([(u'initiating-message', 0), (u'successful-outcome', 1), (u'unsuccessful-outcome', 2)])
    TriggeringMessage._ext = None
    
    _all_ = [
        maxPrivateIEs,
        maxProtocolExtensions,
        maxProtocolIEs,
        Criticality,
        Presence,
        _PrivateIE_ID_local,
        _PrivateIE_ID_global_,
        PrivateIE_ID,
        ProcedureCode,
        ProtocolExtensionID,
        ProtocolIE_ID,
        TriggeringMessage,
    ]

class E1AP_IEs:

    _name_  = u'E1AP-IEs'
    _oid_   = [0, 4, 0, 0, 22, 3, 5, 1, 2]
    
    _obj_ = [
        u'ActivityInformation',
        u'ActivityInformation-ExtIEs',
        u'ActivityNotificationLevel',
        u'AveragingWindow',
        u'BearerContextStatusChange',
        u'BitRate',
        u'Cause',
        u'Cause-ExtIEs',
        u'CauseMisc',
        u'CauseProtocol',
        u'CauseRadioNetwork',
        u'CauseTransport',
        u'Cell-Group-Information',
        u'Cell-Group-Information-Item',
        u'Cell-Group-Information-Item-ExtIEs',
        u'Cell-Group-ID',
        u'CipheringAlgorithm',
        u'CNSupport',
        u'CommonNetworkInstance',
        u'ConfidentialityProtectionIndication',
        u'ConfidentialityProtectionResult',
        u'CP-TNL-Information',
        u'CP-TNL-Information-ExtIEs',
        u'CriticalityDiagnostics',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'Data-Forwarding-Information-Request',
        u'Data-Forwarding-Information-Request-ExtIEs',
        u'Data-Forwarding-Information',
        u'Data-Forwarding-Information-ExtIEs',
        u'Data-Forwarding-Request',
        u'Data-Usage-per-PDU-Session-Report',
        u'Data-Usage-per-PDU-Session-Report-ExtIEs',
        u'Data-Usage-per-QoS-Flow-List',
        u'Data-Usage-per-QoS-Flow-Item',
        u'Data-Usage-per-QoS-Flow-Item-ExtIEs',
        u'Data-Usage-Report-List',
        u'Data-Usage-Report-Item',
        u'Data-Usage-Report-ItemExtIEs',
        u'DefaultDRB',
        u'DiscardTimer',
        u'DL-TX-Stop',
        u'DRB-Activity',
        u'DRB-Activity-List',
        u'DRB-Activity-Item',
        u'DRB-Activity-ItemExtIEs',
        u'DRB-Confirm-Modified-List-EUTRAN',
        u'DRB-Confirm-Modified-Item-EUTRAN',
        u'DRB-Confirm-Modified-Item-EUTRAN-ExtIEs',
        u'DRB-Confirm-Modified-List-NG-RAN',
        u'DRB-Confirm-Modified-Item-NG-RAN',
        u'DRB-Confirm-Modified-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-List-EUTRAN',
        u'DRB-Failed-Item-EUTRAN',
        u'DRB-Failed-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-Mod-List-EUTRAN',
        u'DRB-Failed-Mod-Item-EUTRAN',
        u'DRB-Failed-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-List-NG-RAN',
        u'DRB-Failed-Item-NG-RAN',
        u'DRB-Failed-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-Mod-List-NG-RAN',
        u'DRB-Failed-Mod-Item-NG-RAN',
        u'DRB-Failed-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-To-Modify-List-EUTRAN',
        u'DRB-Failed-To-Modify-Item-EUTRAN',
        u'DRB-Failed-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-To-Modify-List-NG-RAN',
        u'DRB-Failed-To-Modify-Item-NG-RAN',
        u'DRB-Failed-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-ID',
        u'DRB-Modified-List-EUTRAN',
        u'DRB-Modified-Item-EUTRAN',
        u'DRB-Modified-Item-EUTRAN-ExtIEs',
        u'DRB-Modified-List-NG-RAN',
        u'DRB-Modified-Item-NG-RAN',
        u'DRB-Modified-Item-NG-RAN-ExtIEs',
        u'DRB-Required-To-Modify-List-EUTRAN',
        u'DRB-Required-To-Modify-Item-EUTRAN',
        u'DRB-Required-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-Required-To-Modify-List-NG-RAN',
        u'DRB-Required-To-Modify-Item-NG-RAN',
        u'DRB-Required-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-Setup-List-EUTRAN',
        u'DRB-Setup-Item-EUTRAN',
        u'DRB-Setup-Item-EUTRAN-ExtIEs',
        u'DRB-Setup-Mod-List-EUTRAN',
        u'DRB-Setup-Mod-Item-EUTRAN',
        u'DRB-Setup-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-Setup-List-NG-RAN',
        u'DRB-Setup-Item-NG-RAN',
        u'DRB-Setup-Item-NG-RAN-ExtIEs',
        u'DRB-Setup-Mod-List-NG-RAN',
        u'DRB-Setup-Mod-Item-NG-RAN',
        u'DRB-Setup-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Status-Item',
        u'DRB-Status-ItemExtIEs',
        u'DRBs-Subject-To-Counter-Check-List-EUTRAN',
        u'DRBs-Subject-To-Counter-Check-Item-EUTRAN',
        u'DRBs-Subject-To-Counter-Check-Item-EUTRAN-ExtIEs',
        u'DRBs-Subject-To-Counter-Check-List-NG-RAN',
        u'DRBs-Subject-To-Counter-Check-Item-NG-RAN',
        u'DRBs-Subject-To-Counter-Check-Item-NG-RAN-ExtIEs',
        u'DRB-To-Modify-List-EUTRAN',
        u'DRB-To-Modify-Item-EUTRAN',
        u'DRB-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-To-Modify-List-NG-RAN',
        u'DRB-To-Modify-Item-NG-RAN',
        u'DRB-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-To-Remove-List-EUTRAN',
        u'DRB-To-Remove-Item-EUTRAN',
        u'DRB-To-Remove-Item-EUTRAN-ExtIEs',
        u'DRB-Required-To-Remove-List-EUTRAN',
        u'DRB-Required-To-Remove-Item-EUTRAN',
        u'DRB-Required-To-Remove-Item-EUTRAN-ExtIEs',
        u'DRB-To-Remove-List-NG-RAN',
        u'DRB-To-Remove-Item-NG-RAN',
        u'DRB-To-Remove-Item-NG-RAN-ExtIEs',
        u'DRB-Required-To-Remove-List-NG-RAN',
        u'DRB-Required-To-Remove-Item-NG-RAN',
        u'DRB-Required-To-Remove-Item-NG-RAN-ExtIEs',
        u'DRB-To-Setup-List-EUTRAN',
        u'DRB-To-Setup-Item-EUTRAN',
        u'DRB-To-Setup-Item-EUTRAN-ExtIEs',
        u'DRB-To-Setup-Mod-List-EUTRAN',
        u'DRB-To-Setup-Mod-Item-EUTRAN',
        u'DRB-To-Setup-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-To-Setup-List-NG-RAN',
        u'DRB-To-Setup-Item-NG-RAN',
        u'DRB-To-Setup-Item-NG-RAN-ExtIEs',
        u'DRB-To-Setup-Mod-List-NG-RAN',
        u'DRB-To-Setup-Mod-Item-NG-RAN',
        u'DRB-To-Setup-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Usage-Report-List',
        u'DRB-Usage-Report-Item',
        u'DRB-Usage-Report-Item-ExtIEs',
        u'Duplication-Activation',
        u'Dynamic5QIDescriptor',
        u'Dynamic5QIDescriptor-ExtIEs',
        u'DataDiscardRequired',
        u'EncryptionKey',
        u'Endpoint-IP-address-and-port',
        u'Endpoint-IP-address-and-port-ExtIEs',
        u'EUTRANAllocationAndRetentionPriority',
        u'EUTRANAllocationAndRetentionPriority-ExtIEs',
        u'EUTRAN-QoS-Support-List',
        u'EUTRAN-QoS-Support-Item',
        u'EUTRAN-QoS-Support-Item-ExtIEs',
        u'EUTRAN-QoS',
        u'EUTRAN-QoS-ExtIEs',
        u'GNB-CU-CP-Name',
        u'GNB-CU-CP-UE-E1AP-ID',
        u'GNB-CU-UP-Capacity',
        u'GNB-CU-UP-CellGroupRelatedConfiguration',
        u'GNB-CU-UP-CellGroupRelatedConfiguration-Item',
        u'GNB-CU-UP-CellGroupRelatedConfiguration-Item-ExtIEs',
        u'GNB-CU-UP-ID',
        u'GNB-CU-UP-Name',
        u'GNB-CU-UP-UE-E1AP-ID',
        u'GNB-CU-CP-TNLA-Setup-Item',
        u'GNB-CU-CP-TNLA-Setup-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-Item',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Add-Item',
        u'GNB-CU-CP-TNLA-To-Add-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Remove-Item',
        u'GNB-CU-CP-TNLA-To-Remove-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Update-Item',
        u'GNB-CU-CP-TNLA-To-Update-Item-ExtIEs',
        u'GNB-CU-UP-TNLA-To-Remove-Item',
        u'GNB-CU-UP-TNLA-To-Remove-Item-ExtIEs',
        u'GBR-QosInformation',
        u'GBR-QosInformation-ExtIEs',
        u'GBR-QoSFlowInformation',
        u'GBR-QosFlowInformation-ExtIEs',
        u'GTP-TEID',
        u'GTPTunnel',
        u'GTPTunnel-ExtIEs',
        u'GNB-CU-UP-OverloadInformation',
        u'GNB-DU-ID',
        u'HFN',
        u'IntegrityProtectionIndication',
        u'IntegrityProtectionAlgorithm',
        u'IntegrityProtectionKey',
        u'IntegrityProtectionResult',
        u'Inactivity-Timer',
        u'MaxDataBurstVolume',
        u'MaximumIPdatarate',
        u'MaximumIPdatarate-ExtIEs',
        u'MaxIPrate',
        u'MaxPacketLossRate',
        u'MRDC-Data-Usage-Report-Item',
        u'MRDC-Data-Usage-Report-Item-ExtIEs',
        u'MRDC-Usage-Information',
        u'MRDC-Usage-Information-ExtIEs',
        u'NetworkInstance',
        u'New-UL-TNL-Information-Required',
        u'NGRANAllocationAndRetentionPriority',
        u'NGRANAllocationAndRetentionPriority-ExtIEs',
        u'NG-RAN-QoS-Support-List',
        u'NG-RAN-QoS-Support-Item',
        u'NG-RAN-QoS-Support-Item-ExtIEs',
        u'Non-Dynamic5QIDescriptor',
        u'Non-Dynamic5QIDescriptor-ExtIEs',
        u'NR-Cell-Identity',
        u'NR-CGI',
        u'NR-CGI-ExtIEs',
        u'NR-CGI-Support-List',
        u'NR-CGI-Support-Item',
        u'NR-CGI-Support-Item-ExtIEs',
        u'OutOfOrderDelivery',
        u'PacketDelayBudget',
        u'PacketErrorRate',
        u'PacketErrorRate-ExtIEs',
        u'PER-Scalar',
        u'PER-Exponent',
        u'PDCP-Configuration',
        u'PDCP-Configuration-ExtIEs',
        u'PDCP-Count',
        u'PDCP-Count-ExtIEs',
        u'PDCP-SN-Status-Request',
        u'PDCP-DataRecovery',
        u'PDCP-Duplication',
        u'PDCP-Reestablishment',
        u'PDU-Session-Resource-Data-Usage-List',
        u'PDU-Session-Resource-Data-Usage-Item',
        u'PDU-Session-Resource-Data-Usage-Item-ExtIEs',
        u'PDCP-SN',
        u'PDCP-SN-Size',
        u'PDCP-SN-Status-Information',
        u'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        u'DRBBStatusTransfer',
        u'DRBBStatusTransfer-ExtIEs',
        u'PDU-Session-ID',
        u'PDU-Session-Resource-Activity',
        u'PDU-Session-Resource-Activity-List',
        u'PDU-Session-Resource-Activity-Item',
        u'PDU-Session-Resource-Activity-ItemExtIEs',
        u'PDU-Session-Resource-Confirm-Modified-List',
        u'PDU-Session-Resource-Confirm-Modified-Item',
        u'PDU-Session-Resource-Confirm-Modified-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-List',
        u'PDU-Session-Resource-Failed-Item',
        u'PDU-Session-Resource-Failed-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-Mod-List',
        u'PDU-Session-Resource-Failed-Mod-Item',
        u'PDU-Session-Resource-Failed-Mod-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-To-Modify-List',
        u'PDU-Session-Resource-Failed-To-Modify-Item',
        u'PDU-Session-Resource-Failed-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-Modified-List',
        u'PDU-Session-Resource-Modified-Item',
        u'PDU-Session-Resource-Modified-Item-ExtIEs',
        u'PDU-Session-Resource-Required-To-Modify-List',
        u'PDU-Session-Resource-Required-To-Modify-Item',
        u'PDU-Session-Resource-Required-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-Setup-List',
        u'PDU-Session-Resource-Setup-Item',
        u'PDU-Session-Resource-Setup-Item-ExtIEs',
        u'PDU-Session-Resource-Setup-Mod-List',
        u'PDU-Session-Resource-Setup-Mod-Item',
        u'PDU-Session-Resource-Setup-Mod-Item-ExtIEs',
        u'PDU-Session-Resource-To-Modify-List',
        u'PDU-Session-Resource-To-Modify-Item',
        u'PDU-Session-Resource-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-To-Remove-List',
        u'PDU-Session-Resource-To-Remove-Item',
        u'PDU-Session-Resource-To-Remove-Item-ExtIEs',
        u'PDU-Session-Resource-To-Setup-List',
        u'PDU-Session-Resource-To-Setup-Item',
        u'PDU-Session-Resource-To-Setup-Item-ExtIEs',
        u'PDU-Session-Resource-To-Setup-Mod-List',
        u'PDU-Session-Resource-To-Setup-Mod-Item',
        u'PDU-Session-Resource-To-Setup-Mod-Item-ExtIEs',
        u'PDU-Session-To-Notify-List',
        u'PDU-Session-To-Notify-Item',
        u'PDU-Session-To-Notify-Item-ExtIEs',
        u'PDU-Session-Type',
        u'PLMN-Identity',
        u'PortNumber',
        u'PPI',
        u'PriorityLevel',
        u'Pre-emptionCapability',
        u'Pre-emptionVulnerability',
        u'QCI',
        u'QoS-Characteristics',
        u'QoS-Characteristics-ExtIEs',
        u'QoS-Flow-Identifier',
        u'QoS-Flow-List',
        u'QoS-Flow-Item',
        u'QoS-Flow-Item-ExtIEs',
        u'QoS-Flow-Failed-List',
        u'QoS-Flow-Failed-Item',
        u'QoS-Flow-Failed-Item-ExtIEs',
        u'QoS-Flow-Mapping-List',
        u'QoS-Flow-Mapping-Item',
        u'QoS-Flow-Mapping-Item-ExtIEs',
        u'QoS-Flow-Mapping-Indication',
        u'QoS-Parameters-Support-List',
        u'QoS-Parameters-Support-List-ItemExtIEs',
        u'QoSPriorityLevel',
        u'QoS-Flow-QoS-Parameter-List',
        u'QoS-Flow-QoS-Parameter-Item',
        u'QoS-Flow-QoS-Parameter-Item-ExtIEs',
        u'QoSFlowLevelQoSParameters',
        u'QoSFlowLevelQoSParameters-ExtIEs',
        u'RANUEID',
        u'RAT-Type',
        u'RLC-Mode',
        u'ROHC-Parameters',
        u'ROHC-Parameters-ExtIEs',
        u'ROHC',
        u'ROHC-ExtIEs',
        u'SecurityAlgorithm',
        u'SecurityAlgorithm-ExtIEs',
        u'SecurityIndication',
        u'SecurityIndication-ExtIEs',
        u'SecurityInformation',
        u'SecurityInformation-ExtIEs',
        u'SecurityResult',
        u'SecurityResult-ExtIEs',
        u'Slice-Support-List',
        u'Slice-Support-Item',
        u'Slice-Support-Item-ExtIEs',
        u'SNSSAI',
        u'SNSSAI-ExtIEs',
        u'SDAP-Configuration',
        u'SDAP-Configuration-ExtIEs',
        u'SDAP-Header-DL',
        u'SDAP-Header-UL',
        u'TimeToWait',
        u'TNLAssociationUsage',
        u'TransportLayerAddress',
        u'TransactionID',
        u'T-Reordering',
        u'T-ReorderingTimer',
        u'T-ReorderingTimer-ExtIEs',
        u'TypeOfError',
        u'UE-Activity',
        u'UE-associatedLogicalE1-ConnectionItem',
        u'UE-associatedLogicalE1-ConnectionItemExtIEs',
        u'UL-Configuration',
        u'ULDataSplitThreshold',
        u'UP-Parameters',
        u'UP-Parameters-Item',
        u'UP-Parameters-Item-ExtIEs',
        u'UPSecuritykey',
        u'UPSecuritykey-ExtIEs',
        u'UP-TNL-Information',
        u'UP-TNL-Information-ExtIEs',
        u'UplinkOnlyROHC',
        u'UplinkOnlyROHC-ExtIEs',
        ]
    _type_ = [
        u'ActivityInformation',
        u'ActivityNotificationLevel',
        u'AveragingWindow',
        u'BearerContextStatusChange',
        u'BitRate',
        u'Cause',
        u'CauseMisc',
        u'CauseProtocol',
        u'CauseRadioNetwork',
        u'CauseTransport',
        u'Cell-Group-Information',
        u'Cell-Group-Information-Item',
        u'Cell-Group-ID',
        u'CipheringAlgorithm',
        u'CNSupport',
        u'CommonNetworkInstance',
        u'ConfidentialityProtectionIndication',
        u'ConfidentialityProtectionResult',
        u'CP-TNL-Information',
        u'CriticalityDiagnostics',
        u'CriticalityDiagnostics-IE-List',
        u'Data-Forwarding-Information-Request',
        u'Data-Forwarding-Information',
        u'Data-Forwarding-Request',
        u'Data-Usage-per-PDU-Session-Report',
        u'Data-Usage-per-QoS-Flow-List',
        u'Data-Usage-per-QoS-Flow-Item',
        u'Data-Usage-Report-List',
        u'Data-Usage-Report-Item',
        u'DefaultDRB',
        u'DiscardTimer',
        u'DL-TX-Stop',
        u'DRB-Activity',
        u'DRB-Activity-List',
        u'DRB-Activity-Item',
        u'DRB-Confirm-Modified-List-EUTRAN',
        u'DRB-Confirm-Modified-Item-EUTRAN',
        u'DRB-Confirm-Modified-List-NG-RAN',
        u'DRB-Confirm-Modified-Item-NG-RAN',
        u'DRB-Failed-List-EUTRAN',
        u'DRB-Failed-Item-EUTRAN',
        u'DRB-Failed-Mod-List-EUTRAN',
        u'DRB-Failed-Mod-Item-EUTRAN',
        u'DRB-Failed-List-NG-RAN',
        u'DRB-Failed-Item-NG-RAN',
        u'DRB-Failed-Mod-List-NG-RAN',
        u'DRB-Failed-Mod-Item-NG-RAN',
        u'DRB-Failed-To-Modify-List-EUTRAN',
        u'DRB-Failed-To-Modify-Item-EUTRAN',
        u'DRB-Failed-To-Modify-List-NG-RAN',
        u'DRB-Failed-To-Modify-Item-NG-RAN',
        u'DRB-ID',
        u'DRB-Modified-List-EUTRAN',
        u'DRB-Modified-Item-EUTRAN',
        u'DRB-Modified-List-NG-RAN',
        u'DRB-Modified-Item-NG-RAN',
        u'DRB-Required-To-Modify-List-EUTRAN',
        u'DRB-Required-To-Modify-Item-EUTRAN',
        u'DRB-Required-To-Modify-List-NG-RAN',
        u'DRB-Required-To-Modify-Item-NG-RAN',
        u'DRB-Setup-List-EUTRAN',
        u'DRB-Setup-Item-EUTRAN',
        u'DRB-Setup-Mod-List-EUTRAN',
        u'DRB-Setup-Mod-Item-EUTRAN',
        u'DRB-Setup-List-NG-RAN',
        u'DRB-Setup-Item-NG-RAN',
        u'DRB-Setup-Mod-List-NG-RAN',
        u'DRB-Setup-Mod-Item-NG-RAN',
        u'DRB-Status-Item',
        u'DRBs-Subject-To-Counter-Check-List-EUTRAN',
        u'DRBs-Subject-To-Counter-Check-Item-EUTRAN',
        u'DRBs-Subject-To-Counter-Check-List-NG-RAN',
        u'DRBs-Subject-To-Counter-Check-Item-NG-RAN',
        u'DRB-To-Modify-List-EUTRAN',
        u'DRB-To-Modify-Item-EUTRAN',
        u'DRB-To-Modify-List-NG-RAN',
        u'DRB-To-Modify-Item-NG-RAN',
        u'DRB-To-Remove-List-EUTRAN',
        u'DRB-To-Remove-Item-EUTRAN',
        u'DRB-Required-To-Remove-List-EUTRAN',
        u'DRB-Required-To-Remove-Item-EUTRAN',
        u'DRB-To-Remove-List-NG-RAN',
        u'DRB-To-Remove-Item-NG-RAN',
        u'DRB-Required-To-Remove-List-NG-RAN',
        u'DRB-Required-To-Remove-Item-NG-RAN',
        u'DRB-To-Setup-List-EUTRAN',
        u'DRB-To-Setup-Item-EUTRAN',
        u'DRB-To-Setup-Mod-List-EUTRAN',
        u'DRB-To-Setup-Mod-Item-EUTRAN',
        u'DRB-To-Setup-List-NG-RAN',
        u'DRB-To-Setup-Item-NG-RAN',
        u'DRB-To-Setup-Mod-List-NG-RAN',
        u'DRB-To-Setup-Mod-Item-NG-RAN',
        u'DRB-Usage-Report-List',
        u'DRB-Usage-Report-Item',
        u'Duplication-Activation',
        u'Dynamic5QIDescriptor',
        u'DataDiscardRequired',
        u'EncryptionKey',
        u'Endpoint-IP-address-and-port',
        u'EUTRANAllocationAndRetentionPriority',
        u'EUTRAN-QoS-Support-List',
        u'EUTRAN-QoS-Support-Item',
        u'EUTRAN-QoS',
        u'GNB-CU-CP-Name',
        u'GNB-CU-CP-UE-E1AP-ID',
        u'GNB-CU-UP-Capacity',
        u'GNB-CU-UP-CellGroupRelatedConfiguration',
        u'GNB-CU-UP-CellGroupRelatedConfiguration-Item',
        u'GNB-CU-UP-ID',
        u'GNB-CU-UP-Name',
        u'GNB-CU-UP-UE-E1AP-ID',
        u'GNB-CU-CP-TNLA-Setup-Item',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-Item',
        u'GNB-CU-CP-TNLA-To-Add-Item',
        u'GNB-CU-CP-TNLA-To-Remove-Item',
        u'GNB-CU-CP-TNLA-To-Update-Item',
        u'GNB-CU-UP-TNLA-To-Remove-Item',
        u'GBR-QosInformation',
        u'GBR-QoSFlowInformation',
        u'GTP-TEID',
        u'GTPTunnel',
        u'GNB-CU-UP-OverloadInformation',
        u'GNB-DU-ID',
        u'HFN',
        u'IntegrityProtectionIndication',
        u'IntegrityProtectionAlgorithm',
        u'IntegrityProtectionKey',
        u'IntegrityProtectionResult',
        u'Inactivity-Timer',
        u'MaxDataBurstVolume',
        u'MaximumIPdatarate',
        u'MaxIPrate',
        u'MaxPacketLossRate',
        u'MRDC-Data-Usage-Report-Item',
        u'MRDC-Usage-Information',
        u'NetworkInstance',
        u'New-UL-TNL-Information-Required',
        u'NGRANAllocationAndRetentionPriority',
        u'NG-RAN-QoS-Support-List',
        u'NG-RAN-QoS-Support-Item',
        u'Non-Dynamic5QIDescriptor',
        u'NR-Cell-Identity',
        u'NR-CGI',
        u'NR-CGI-Support-List',
        u'NR-CGI-Support-Item',
        u'OutOfOrderDelivery',
        u'PacketDelayBudget',
        u'PacketErrorRate',
        u'PER-Scalar',
        u'PER-Exponent',
        u'PDCP-Configuration',
        u'PDCP-Count',
        u'PDCP-SN-Status-Request',
        u'PDCP-DataRecovery',
        u'PDCP-Duplication',
        u'PDCP-Reestablishment',
        u'PDU-Session-Resource-Data-Usage-List',
        u'PDU-Session-Resource-Data-Usage-Item',
        u'PDCP-SN',
        u'PDCP-SN-Size',
        u'PDCP-SN-Status-Information',
        u'DRBBStatusTransfer',
        u'PDU-Session-ID',
        u'PDU-Session-Resource-Activity',
        u'PDU-Session-Resource-Activity-List',
        u'PDU-Session-Resource-Activity-Item',
        u'PDU-Session-Resource-Confirm-Modified-List',
        u'PDU-Session-Resource-Confirm-Modified-Item',
        u'PDU-Session-Resource-Failed-List',
        u'PDU-Session-Resource-Failed-Item',
        u'PDU-Session-Resource-Failed-Mod-List',
        u'PDU-Session-Resource-Failed-Mod-Item',
        u'PDU-Session-Resource-Failed-To-Modify-List',
        u'PDU-Session-Resource-Failed-To-Modify-Item',
        u'PDU-Session-Resource-Modified-List',
        u'PDU-Session-Resource-Modified-Item',
        u'PDU-Session-Resource-Required-To-Modify-List',
        u'PDU-Session-Resource-Required-To-Modify-Item',
        u'PDU-Session-Resource-Setup-List',
        u'PDU-Session-Resource-Setup-Item',
        u'PDU-Session-Resource-Setup-Mod-List',
        u'PDU-Session-Resource-Setup-Mod-Item',
        u'PDU-Session-Resource-To-Modify-List',
        u'PDU-Session-Resource-To-Modify-Item',
        u'PDU-Session-Resource-To-Remove-List',
        u'PDU-Session-Resource-To-Remove-Item',
        u'PDU-Session-Resource-To-Setup-List',
        u'PDU-Session-Resource-To-Setup-Item',
        u'PDU-Session-Resource-To-Setup-Mod-List',
        u'PDU-Session-Resource-To-Setup-Mod-Item',
        u'PDU-Session-To-Notify-List',
        u'PDU-Session-To-Notify-Item',
        u'PDU-Session-Type',
        u'PLMN-Identity',
        u'PortNumber',
        u'PPI',
        u'PriorityLevel',
        u'Pre-emptionCapability',
        u'Pre-emptionVulnerability',
        u'QCI',
        u'QoS-Characteristics',
        u'QoS-Flow-Identifier',
        u'QoS-Flow-List',
        u'QoS-Flow-Item',
        u'QoS-Flow-Failed-List',
        u'QoS-Flow-Failed-Item',
        u'QoS-Flow-Mapping-List',
        u'QoS-Flow-Mapping-Item',
        u'QoS-Flow-Mapping-Indication',
        u'QoS-Parameters-Support-List',
        u'QoSPriorityLevel',
        u'QoS-Flow-QoS-Parameter-List',
        u'QoS-Flow-QoS-Parameter-Item',
        u'QoSFlowLevelQoSParameters',
        u'RANUEID',
        u'RAT-Type',
        u'RLC-Mode',
        u'ROHC-Parameters',
        u'ROHC',
        u'SecurityAlgorithm',
        u'SecurityIndication',
        u'SecurityInformation',
        u'SecurityResult',
        u'Slice-Support-List',
        u'Slice-Support-Item',
        u'SNSSAI',
        u'SDAP-Configuration',
        u'SDAP-Header-DL',
        u'SDAP-Header-UL',
        u'TimeToWait',
        u'TNLAssociationUsage',
        u'TransportLayerAddress',
        u'TransactionID',
        u'T-Reordering',
        u'T-ReorderingTimer',
        u'TypeOfError',
        u'UE-Activity',
        u'UE-associatedLogicalE1-ConnectionItem',
        u'UL-Configuration',
        u'ULDataSplitThreshold',
        u'UP-Parameters',
        u'UP-Parameters-Item',
        u'UPSecuritykey',
        u'UP-TNL-Information',
        u'UplinkOnlyROHC',
        ]
    _set_ = [
        u'ActivityInformation-ExtIEs',
        u'Cause-ExtIEs',
        u'Cell-Group-Information-Item-ExtIEs',
        u'CP-TNL-Information-ExtIEs',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'Data-Forwarding-Information-Request-ExtIEs',
        u'Data-Forwarding-Information-ExtIEs',
        u'Data-Usage-per-PDU-Session-Report-ExtIEs',
        u'Data-Usage-per-QoS-Flow-Item-ExtIEs',
        u'Data-Usage-Report-ItemExtIEs',
        u'DRB-Activity-ItemExtIEs',
        u'DRB-Confirm-Modified-Item-EUTRAN-ExtIEs',
        u'DRB-Confirm-Modified-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-Modified-Item-EUTRAN-ExtIEs',
        u'DRB-Modified-Item-NG-RAN-ExtIEs',
        u'DRB-Required-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-Required-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-Setup-Item-EUTRAN-ExtIEs',
        u'DRB-Setup-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-Setup-Item-NG-RAN-ExtIEs',
        u'DRB-Setup-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Status-ItemExtIEs',
        u'DRBs-Subject-To-Counter-Check-Item-EUTRAN-ExtIEs',
        u'DRBs-Subject-To-Counter-Check-Item-NG-RAN-ExtIEs',
        u'DRB-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-To-Remove-Item-EUTRAN-ExtIEs',
        u'DRB-Required-To-Remove-Item-EUTRAN-ExtIEs',
        u'DRB-To-Remove-Item-NG-RAN-ExtIEs',
        u'DRB-Required-To-Remove-Item-NG-RAN-ExtIEs',
        u'DRB-To-Setup-Item-EUTRAN-ExtIEs',
        u'DRB-To-Setup-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-To-Setup-Item-NG-RAN-ExtIEs',
        u'DRB-To-Setup-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Usage-Report-Item-ExtIEs',
        u'Dynamic5QIDescriptor-ExtIEs',
        u'Endpoint-IP-address-and-port-ExtIEs',
        u'EUTRANAllocationAndRetentionPriority-ExtIEs',
        u'EUTRAN-QoS-Support-Item-ExtIEs',
        u'EUTRAN-QoS-ExtIEs',
        u'GNB-CU-UP-CellGroupRelatedConfiguration-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-Setup-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Add-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Remove-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Update-Item-ExtIEs',
        u'GNB-CU-UP-TNLA-To-Remove-Item-ExtIEs',
        u'GBR-QosInformation-ExtIEs',
        u'GBR-QosFlowInformation-ExtIEs',
        u'GTPTunnel-ExtIEs',
        u'MaximumIPdatarate-ExtIEs',
        u'MRDC-Data-Usage-Report-Item-ExtIEs',
        u'MRDC-Usage-Information-ExtIEs',
        u'NGRANAllocationAndRetentionPriority-ExtIEs',
        u'NG-RAN-QoS-Support-Item-ExtIEs',
        u'Non-Dynamic5QIDescriptor-ExtIEs',
        u'NR-CGI-ExtIEs',
        u'NR-CGI-Support-Item-ExtIEs',
        u'PacketErrorRate-ExtIEs',
        u'PDCP-Configuration-ExtIEs',
        u'PDCP-Count-ExtIEs',
        u'PDU-Session-Resource-Data-Usage-Item-ExtIEs',
        u'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        u'DRBBStatusTransfer-ExtIEs',
        u'PDU-Session-Resource-Activity-ItemExtIEs',
        u'PDU-Session-Resource-Confirm-Modified-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-Mod-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-Modified-Item-ExtIEs',
        u'PDU-Session-Resource-Required-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-Setup-Item-ExtIEs',
        u'PDU-Session-Resource-Setup-Mod-Item-ExtIEs',
        u'PDU-Session-Resource-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-To-Remove-Item-ExtIEs',
        u'PDU-Session-Resource-To-Setup-Item-ExtIEs',
        u'PDU-Session-Resource-To-Setup-Mod-Item-ExtIEs',
        u'PDU-Session-To-Notify-Item-ExtIEs',
        u'QoS-Characteristics-ExtIEs',
        u'QoS-Flow-Item-ExtIEs',
        u'QoS-Flow-Failed-Item-ExtIEs',
        u'QoS-Flow-Mapping-Item-ExtIEs',
        u'QoS-Parameters-Support-List-ItemExtIEs',
        u'QoS-Flow-QoS-Parameter-Item-ExtIEs',
        u'QoSFlowLevelQoSParameters-ExtIEs',
        u'ROHC-Parameters-ExtIEs',
        u'ROHC-ExtIEs',
        u'SecurityAlgorithm-ExtIEs',
        u'SecurityIndication-ExtIEs',
        u'SecurityInformation-ExtIEs',
        u'SecurityResult-ExtIEs',
        u'Slice-Support-Item-ExtIEs',
        u'SNSSAI-ExtIEs',
        u'SDAP-Configuration-ExtIEs',
        u'T-ReorderingTimer-ExtIEs',
        u'UE-associatedLogicalE1-ConnectionItemExtIEs',
        u'UP-Parameters-Item-ExtIEs',
        u'UPSecuritykey-ExtIEs',
        u'UP-TNL-Information-ExtIEs',
        u'UplinkOnlyROHC-ExtIEs',
        ]
    _val_ = [
        ]
    _class_ = [
        u'ActivityInformation-ExtIEs',
        u'Cause-ExtIEs',
        u'Cell-Group-Information-Item-ExtIEs',
        u'CP-TNL-Information-ExtIEs',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'Data-Forwarding-Information-Request-ExtIEs',
        u'Data-Forwarding-Information-ExtIEs',
        u'Data-Usage-per-PDU-Session-Report-ExtIEs',
        u'Data-Usage-per-QoS-Flow-Item-ExtIEs',
        u'Data-Usage-Report-ItemExtIEs',
        u'DRB-Activity-ItemExtIEs',
        u'DRB-Confirm-Modified-Item-EUTRAN-ExtIEs',
        u'DRB-Confirm-Modified-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Failed-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-Failed-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-Modified-Item-EUTRAN-ExtIEs',
        u'DRB-Modified-Item-NG-RAN-ExtIEs',
        u'DRB-Required-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-Required-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-Setup-Item-EUTRAN-ExtIEs',
        u'DRB-Setup-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-Setup-Item-NG-RAN-ExtIEs',
        u'DRB-Setup-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Status-ItemExtIEs',
        u'DRBs-Subject-To-Counter-Check-Item-EUTRAN-ExtIEs',
        u'DRBs-Subject-To-Counter-Check-Item-NG-RAN-ExtIEs',
        u'DRB-To-Modify-Item-EUTRAN-ExtIEs',
        u'DRB-To-Modify-Item-NG-RAN-ExtIEs',
        u'DRB-To-Remove-Item-EUTRAN-ExtIEs',
        u'DRB-Required-To-Remove-Item-EUTRAN-ExtIEs',
        u'DRB-To-Remove-Item-NG-RAN-ExtIEs',
        u'DRB-Required-To-Remove-Item-NG-RAN-ExtIEs',
        u'DRB-To-Setup-Item-EUTRAN-ExtIEs',
        u'DRB-To-Setup-Mod-Item-EUTRAN-ExtIEs',
        u'DRB-To-Setup-Item-NG-RAN-ExtIEs',
        u'DRB-To-Setup-Mod-Item-NG-RAN-ExtIEs',
        u'DRB-Usage-Report-Item-ExtIEs',
        u'Dynamic5QIDescriptor-ExtIEs',
        u'Endpoint-IP-address-and-port-ExtIEs',
        u'EUTRANAllocationAndRetentionPriority-ExtIEs',
        u'EUTRAN-QoS-Support-Item-ExtIEs',
        u'EUTRAN-QoS-ExtIEs',
        u'GNB-CU-UP-CellGroupRelatedConfiguration-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-Setup-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Add-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Remove-Item-ExtIEs',
        u'GNB-CU-CP-TNLA-To-Update-Item-ExtIEs',
        u'GNB-CU-UP-TNLA-To-Remove-Item-ExtIEs',
        u'GBR-QosInformation-ExtIEs',
        u'GBR-QosFlowInformation-ExtIEs',
        u'GTPTunnel-ExtIEs',
        u'MaximumIPdatarate-ExtIEs',
        u'MRDC-Data-Usage-Report-Item-ExtIEs',
        u'MRDC-Usage-Information-ExtIEs',
        u'NGRANAllocationAndRetentionPriority-ExtIEs',
        u'NG-RAN-QoS-Support-Item-ExtIEs',
        u'Non-Dynamic5QIDescriptor-ExtIEs',
        u'NR-CGI-ExtIEs',
        u'NR-CGI-Support-Item-ExtIEs',
        u'PacketErrorRate-ExtIEs',
        u'PDCP-Configuration-ExtIEs',
        u'PDCP-Count-ExtIEs',
        u'PDU-Session-Resource-Data-Usage-Item-ExtIEs',
        u'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        u'DRBBStatusTransfer-ExtIEs',
        u'PDU-Session-Resource-Activity-ItemExtIEs',
        u'PDU-Session-Resource-Confirm-Modified-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-Mod-Item-ExtIEs',
        u'PDU-Session-Resource-Failed-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-Modified-Item-ExtIEs',
        u'PDU-Session-Resource-Required-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-Setup-Item-ExtIEs',
        u'PDU-Session-Resource-Setup-Mod-Item-ExtIEs',
        u'PDU-Session-Resource-To-Modify-Item-ExtIEs',
        u'PDU-Session-Resource-To-Remove-Item-ExtIEs',
        u'PDU-Session-Resource-To-Setup-Item-ExtIEs',
        u'PDU-Session-Resource-To-Setup-Mod-Item-ExtIEs',
        u'PDU-Session-To-Notify-Item-ExtIEs',
        u'QoS-Characteristics-ExtIEs',
        u'QoS-Flow-Item-ExtIEs',
        u'QoS-Flow-Failed-Item-ExtIEs',
        u'QoS-Flow-Mapping-Item-ExtIEs',
        u'QoS-Parameters-Support-List-ItemExtIEs',
        u'QoS-Flow-QoS-Parameter-Item-ExtIEs',
        u'QoSFlowLevelQoSParameters-ExtIEs',
        u'ROHC-Parameters-ExtIEs',
        u'ROHC-ExtIEs',
        u'SecurityAlgorithm-ExtIEs',
        u'SecurityIndication-ExtIEs',
        u'SecurityInformation-ExtIEs',
        u'SecurityResult-ExtIEs',
        u'Slice-Support-Item-ExtIEs',
        u'SNSSAI-ExtIEs',
        u'SDAP-Configuration-ExtIEs',
        u'T-ReorderingTimer-ExtIEs',
        u'UE-associatedLogicalE1-ConnectionItemExtIEs',
        u'UP-Parameters-Item-ExtIEs',
        u'UPSecuritykey-ExtIEs',
        u'UP-TNL-Information-ExtIEs',
        u'UplinkOnlyROHC-ExtIEs',
        ]
    _param_ = [
        ]
    
    #-----< ActivityInformation >-----#
    ActivityInformation = CHOICE(name=u'ActivityInformation', mode=MODE_TYPE)
    _ActivityInformation_dRB_Activity_List = SEQ_OF(name=u'dRB-Activity-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Activity-List')))
    _ActivityInformation_pDU_Session_Resource_Activity_List = SEQ_OF(name=u'pDU-Session-Resource-Activity-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Activity-List')))
    _ActivityInformation_uE_Activity = ENUM(name=u'uE-Activity', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UE-Activity')))
    _ActivityInformation_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __ActivityInformation_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___ActivityInformation_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ActivityInformation_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivityInformation_choice_extension_id._const_tab = ___ActivityInformation_choice_extension_id_tab
    __ActivityInformation_choice_extension_id._const_tab_at = None
    __ActivityInformation_choice_extension_id._const_tab_id = u'id'
    __ActivityInformation_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___ActivityInformation_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ActivityInformation_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivityInformation_choice_extension_criticality._const_tab = ___ActivityInformation_choice_extension_criticality_tab
    __ActivityInformation_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ActivityInformation_choice_extension_criticality._const_tab_id = u'criticality'
    __ActivityInformation_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___ActivityInformation_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ActivityInformation_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivityInformation_choice_extension_value._const_tab = ___ActivityInformation_choice_extension_value_tab
    __ActivityInformation_choice_extension_value._const_tab_at = ('..', u'id')
    __ActivityInformation_choice_extension_value._const_tab_id = u'Value'
    _ActivityInformation_choice_extension._cont = ASN1Dict([
        (u'id', __ActivityInformation_choice_extension_id),
        (u'criticality', __ActivityInformation_choice_extension_criticality),
        (u'value', __ActivityInformation_choice_extension_value),
        ])
    _ActivityInformation_choice_extension._ext = None
    ActivityInformation._cont = ASN1Dict([
        (u'dRB-Activity-List', _ActivityInformation_dRB_Activity_List),
        (u'pDU-Session-Resource-Activity-List', _ActivityInformation_pDU_Session_Resource_Activity_List),
        (u'uE-Activity', _ActivityInformation_uE_Activity),
        (u'choice-extension', _ActivityInformation_choice_extension),
        ])
    ActivityInformation._ext = None
    
    #-----< ActivityInformation-ExtIEs >-----#
    ActivityInformation_ExtIEs = CLASS(name=u'ActivityInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ActivityInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ActivityNotificationLevel >-----#
    ActivityNotificationLevel = ENUM(name=u'ActivityNotificationLevel', mode=MODE_TYPE)
    ActivityNotificationLevel._cont = ASN1Dict([(u'drb', 0), (u'pdu-session', 1), (u'ue', 2)])
    ActivityNotificationLevel._ext = []
    
    #-----< AveragingWindow >-----#
    AveragingWindow = INT(name=u'AveragingWindow', mode=MODE_TYPE)
    AveragingWindow._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< BearerContextStatusChange >-----#
    BearerContextStatusChange = ENUM(name=u'BearerContextStatusChange', mode=MODE_TYPE)
    BearerContextStatusChange._cont = ASN1Dict([(u'suspend', 0), (u'resume', 1)])
    BearerContextStatusChange._ext = []
    
    #-----< BitRate >-----#
    BitRate = INT(name=u'BitRate', mode=MODE_TYPE)
    BitRate._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4000000000000)], ev=[], er=[])
    
    #-----< Cause >-----#
    Cause = CHOICE(name=u'Cause', mode=MODE_TYPE)
    _Cause_radioNetwork = ENUM(name=u'radioNetwork', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CauseRadioNetwork')))
    _Cause_transport = ENUM(name=u'transport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CauseTransport')))
    _Cause_protocol = ENUM(name=u'protocol', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CauseProtocol')))
    _Cause_misc = ENUM(name=u'misc', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CauseMisc')))
    _Cause_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __Cause_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___Cause_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___Cause_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_id._const_tab = ___Cause_choice_extension_id_tab
    __Cause_choice_extension_id._const_tab_at = None
    __Cause_choice_extension_id._const_tab_id = u'id'
    __Cause_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___Cause_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___Cause_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_criticality._const_tab = ___Cause_choice_extension_criticality_tab
    __Cause_choice_extension_criticality._const_tab_at = ('..', u'id')
    __Cause_choice_extension_criticality._const_tab_id = u'criticality'
    __Cause_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___Cause_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___Cause_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_value._const_tab = ___Cause_choice_extension_value_tab
    __Cause_choice_extension_value._const_tab_at = ('..', u'id')
    __Cause_choice_extension_value._const_tab_id = u'Value'
    _Cause_choice_extension._cont = ASN1Dict([
        (u'id', __Cause_choice_extension_id),
        (u'criticality', __Cause_choice_extension_criticality),
        (u'value', __Cause_choice_extension_value),
        ])
    _Cause_choice_extension._ext = None
    Cause._cont = ASN1Dict([
        (u'radioNetwork', _Cause_radioNetwork),
        (u'transport', _Cause_transport),
        (u'protocol', _Cause_protocol),
        (u'misc', _Cause_misc),
        (u'choice-extension', _Cause_choice_extension),
        ])
    Cause._ext = None
    
    #-----< Cause-ExtIEs >-----#
    Cause_ExtIEs = CLASS(name=u'Cause-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    Cause_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CauseMisc >-----#
    CauseMisc = ENUM(name=u'CauseMisc', mode=MODE_TYPE)
    CauseMisc._cont = ASN1Dict([(u'control-processing-overload', 0), (u'not-enough-user-plane-processing-resources', 1), (u'hardware-failure', 2), (u'om-intervention', 3), (u'unspecified', 4)])
    CauseMisc._ext = []
    
    #-----< CauseProtocol >-----#
    CauseProtocol = ENUM(name=u'CauseProtocol', mode=MODE_TYPE)
    CauseProtocol._cont = ASN1Dict([(u'transfer-syntax-error', 0), (u'abstract-syntax-error-reject', 1), (u'abstract-syntax-error-ignore-and-notify', 2), (u'message-not-compatible-with-receiver-state', 3), (u'semantic-error', 4), (u'abstract-syntax-error-falsely-constructed-message', 5), (u'unspecified', 6)])
    CauseProtocol._ext = []
    
    #-----< CauseRadioNetwork >-----#
    CauseRadioNetwork = ENUM(name=u'CauseRadioNetwork', mode=MODE_TYPE)
    CauseRadioNetwork._cont = ASN1Dict([(u'unspecified', 0), (u'unknown-or-already-allocated-gnb-cu-cp-ue-e1ap-id', 1), (u'unknown-or-already-allocated-gnb-cu-up-ue-e1ap-id', 2), (u'unknown-or-inconsistent-pair-of-ue-e1ap-id', 3), (u'interaction-with-other-procedure', 4), (u'pPDCP-Count-wrap-around', 5), (u'not-supported-QCI-value', 6), (u'not-supported-5QI-value', 7), (u'encryption-algorithms-not-supported', 8), (u'integrity-protection-algorithms-not-supported', 9), (u'uP-integrity-protection-not-possible', 10), (u'uP-confidentiality-protection-not-possible', 11), (u'multiple-PDU-Session-ID-Instances', 12), (u'unknown-PDU-Session-ID', 13), (u'multiple-QoS-Flow-ID-Instances', 14), (u'unknown-QoS-Flow-ID', 15), (u'multiple-DRB-ID-Instances', 16), (u'unknown-DRB-ID', 17), (u'invalid-QoS-combination', 18), (u'procedure-cancelled', 19), (u'normal-release', 20), (u'no-radio-resources-available', 21), (u'action-desirable-for-radio-reasons', 22), (u'resources-not-available-for-the-slice', 23), (u'pDCP-configuration-not-supported', 24), (u'ue-dl-max-IP-data-rate-reason', 25), (u'uP-integrity-protection-failure', 26), (u'release-due-to-pre-emption', 27)])
    CauseRadioNetwork._ext = [u'ue-dl-max-IP-data-rate-reason', u'uP-integrity-protection-failure', u'release-due-to-pre-emption']
    
    #-----< CauseTransport >-----#
    CauseTransport = ENUM(name=u'CauseTransport', mode=MODE_TYPE)
    CauseTransport._cont = ASN1Dict([(u'unspecified', 0), (u'transport-resource-unavailable', 1)])
    CauseTransport._ext = []
    
    #-----< Cell-Group-Information >-----#
    Cell_Group_Information = SEQ_OF(name=u'Cell-Group-Information', mode=MODE_TYPE)
    _Cell_Group_Information__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information-Item')))
    Cell_Group_Information._cont = _Cell_Group_Information__item_
    Cell_Group_Information._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4)], ev=None, er=[])
    
    #-----< Cell-Group-Information-Item >-----#
    Cell_Group_Information_Item = SEQ(name=u'Cell-Group-Information-Item', mode=MODE_TYPE)
    _Cell_Group_Information_Item_cell_Group_ID = INT(name=u'cell-Group-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-ID')))
    _Cell_Group_Information_Item_uL_Configuration = ENUM(name=u'uL-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UL-Configuration')), opt=True)
    _Cell_Group_Information_Item_dL_TX_Stop = ENUM(name=u'dL-TX-Stop', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DL-TX-Stop')), opt=True)
    _Cell_Group_Information_Item_rAT_Type = ENUM(name=u'rAT-Type', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'RAT-Type')), opt=True)
    _Cell_Group_Information_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Cell_Group_Information_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Cell_Group_Information_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Cell_Group_Information_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Cell_Group_Information_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Cell_Group_Information_Item_iE_Extensions__item__id._const_tab = ____Cell_Group_Information_Item_iE_Extensions__item__id_tab
    ___Cell_Group_Information_Item_iE_Extensions__item__id._const_tab_at = None
    ___Cell_Group_Information_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___Cell_Group_Information_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Cell_Group_Information_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Cell_Group_Information_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Cell_Group_Information_Item_iE_Extensions__item__criticality._const_tab = ____Cell_Group_Information_Item_iE_Extensions__item__criticality_tab
    ___Cell_Group_Information_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Cell_Group_Information_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Cell_Group_Information_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Cell_Group_Information_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Cell_Group_Information_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Cell_Group_Information_Item_iE_Extensions__item__extensionValue._const_tab = ____Cell_Group_Information_Item_iE_Extensions__item__extensionValue_tab
    ___Cell_Group_Information_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Cell_Group_Information_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Cell_Group_Information_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Cell_Group_Information_Item_iE_Extensions__item__id),
        (u'criticality', ___Cell_Group_Information_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___Cell_Group_Information_Item_iE_Extensions__item__extensionValue),
        ])
    __Cell_Group_Information_Item_iE_Extensions__item_._ext = None
    _Cell_Group_Information_Item_iE_Extensions._cont = __Cell_Group_Information_Item_iE_Extensions__item_
    _Cell_Group_Information_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Cell_Group_Information_Item._cont = ASN1Dict([
        (u'cell-Group-ID', _Cell_Group_Information_Item_cell_Group_ID),
        (u'uL-Configuration', _Cell_Group_Information_Item_uL_Configuration),
        (u'dL-TX-Stop', _Cell_Group_Information_Item_dL_TX_Stop),
        (u'rAT-Type', _Cell_Group_Information_Item_rAT_Type),
        (u'iE-Extensions', _Cell_Group_Information_Item_iE_Extensions),
        ])
    Cell_Group_Information_Item._ext = []
    
    #-----< Cell-Group-Information-Item-ExtIEs >-----#
    Cell_Group_Information_Item_ExtIEs = CLASS(name=u'Cell-Group-Information-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Cell_Group_Information_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Cell-Group-ID >-----#
    Cell_Group_ID = INT(name=u'Cell-Group-ID', mode=MODE_TYPE)
    Cell_Group_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3)], ev=[], er=[])
    
    #-----< CipheringAlgorithm >-----#
    CipheringAlgorithm = ENUM(name=u'CipheringAlgorithm', mode=MODE_TYPE)
    CipheringAlgorithm._cont = ASN1Dict([(u'nEA0', 0), (u'c-128-NEA1', 1), (u'c-128-NEA2', 2), (u'c-128-NEA3', 3)])
    CipheringAlgorithm._ext = []
    
    #-----< CNSupport >-----#
    CNSupport = ENUM(name=u'CNSupport', mode=MODE_TYPE)
    CNSupport._cont = ASN1Dict([(u'c-epc', 0), (u'c-5gc', 1), (u'both', 2)])
    CNSupport._ext = []
    
    #-----< CommonNetworkInstance >-----#
    CommonNetworkInstance = OCT_STR(name=u'CommonNetworkInstance', mode=MODE_TYPE)
    
    #-----< ConfidentialityProtectionIndication >-----#
    ConfidentialityProtectionIndication = ENUM(name=u'ConfidentialityProtectionIndication', mode=MODE_TYPE)
    ConfidentialityProtectionIndication._cont = ASN1Dict([(u'required', 0), (u'preferred', 1), (u'not-needed', 2)])
    ConfidentialityProtectionIndication._ext = []
    
    #-----< ConfidentialityProtectionResult >-----#
    ConfidentialityProtectionResult = ENUM(name=u'ConfidentialityProtectionResult', mode=MODE_TYPE)
    ConfidentialityProtectionResult._cont = ASN1Dict([(u'performed', 0), (u'not-performed', 1)])
    ConfidentialityProtectionResult._ext = []
    
    #-----< CP-TNL-Information >-----#
    CP_TNL_Information = CHOICE(name=u'CP-TNL-Information', mode=MODE_TYPE)
    _CP_TNL_Information_endpoint_IP_Address = BIT_STR(name=u'endpoint-IP-Address', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TransportLayerAddress')))
    _CP_TNL_Information_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __CP_TNL_Information_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___CP_TNL_Information_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ____CP_TNL_Information_choice_extension_id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Endpoint-IP-address-and-port')))
    ___CP_TNL_Information_choice_extension_id_tab._val = ASN1Set(rv=[dict([(u'id', 74), (u'criticality', u'reject'), (u'Value', ____CP_TNL_Information_choice_extension_id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __CP_TNL_Information_choice_extension_id._const_tab = ___CP_TNL_Information_choice_extension_id_tab
    __CP_TNL_Information_choice_extension_id._const_tab_at = None
    __CP_TNL_Information_choice_extension_id._const_tab_id = u'id'
    __CP_TNL_Information_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    __CP_TNL_Information_choice_extension_criticality._const_tab = ___CP_TNL_Information_choice_extension_id_tab
    __CP_TNL_Information_choice_extension_criticality._const_tab_at = ('..', u'id')
    __CP_TNL_Information_choice_extension_criticality._const_tab_id = u'criticality'
    __CP_TNL_Information_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    __CP_TNL_Information_choice_extension_value._const_tab = ___CP_TNL_Information_choice_extension_id_tab
    __CP_TNL_Information_choice_extension_value._const_tab_at = ('..', u'id')
    __CP_TNL_Information_choice_extension_value._const_tab_id = u'Value'
    _CP_TNL_Information_choice_extension._cont = ASN1Dict([
        (u'id', __CP_TNL_Information_choice_extension_id),
        (u'criticality', __CP_TNL_Information_choice_extension_criticality),
        (u'value', __CP_TNL_Information_choice_extension_value),
        ])
    _CP_TNL_Information_choice_extension._ext = None
    CP_TNL_Information._cont = ASN1Dict([
        (u'endpoint-IP-Address', _CP_TNL_Information_endpoint_IP_Address),
        (u'choice-extension', _CP_TNL_Information_choice_extension),
        ])
    CP_TNL_Information._ext = None
    
    #-----< CP-TNL-Information-ExtIEs >-----#
    CP_TNL_Information_ExtIEs = CLASS(name=u'CP-TNL-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _CP_TNL_Information_ExtIEs_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Endpoint-IP-address-and-port')))
    CP_TNL_Information_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 74), (u'criticality', u'reject'), (u'Value', _CP_TNL_Information_ExtIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics >-----#
    CriticalityDiagnostics = SEQ(name=u'CriticalityDiagnostics', mode=MODE_TYPE)
    _CriticalityDiagnostics_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')), opt=True)
    _CriticalityDiagnostics_triggeringMessage = ENUM(name=u'triggeringMessage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-CommonDataTypes', 'TriggeringMessage')), opt=True)
    _CriticalityDiagnostics_procedureCriticality = ENUM(name=u'procedureCriticality', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Criticality')), opt=True)
    _CriticalityDiagnostics_transactionID = INT(name=u'transactionID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')), opt=True)
    _CriticalityDiagnostics_iEsCriticalityDiagnostics = SEQ_OF(name=u'iEsCriticalityDiagnostics', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics-IE-List')), opt=True)
    _CriticalityDiagnostics_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CriticalityDiagnostics_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___CriticalityDiagnostics_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__id_tab
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_at = None
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_id = u'id'
    ___CriticalityDiagnostics_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __CriticalityDiagnostics_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___CriticalityDiagnostics_iE_Extensions__item__id),
        (u'criticality', ___CriticalityDiagnostics_iE_Extensions__item__criticality),
        (u'extensionValue', ___CriticalityDiagnostics_iE_Extensions__item__extensionValue),
        ])
    __CriticalityDiagnostics_iE_Extensions__item_._ext = None
    _CriticalityDiagnostics_iE_Extensions._cont = __CriticalityDiagnostics_iE_Extensions__item_
    _CriticalityDiagnostics_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CriticalityDiagnostics._cont = ASN1Dict([
        (u'procedureCode', _CriticalityDiagnostics_procedureCode),
        (u'triggeringMessage', _CriticalityDiagnostics_triggeringMessage),
        (u'procedureCriticality', _CriticalityDiagnostics_procedureCriticality),
        (u'transactionID', _CriticalityDiagnostics_transactionID),
        (u'iEsCriticalityDiagnostics', _CriticalityDiagnostics_iEsCriticalityDiagnostics),
        (u'iE-Extensions', _CriticalityDiagnostics_iE_Extensions),
        ])
    CriticalityDiagnostics._ext = []
    
    #-----< CriticalityDiagnostics-ExtIEs >-----#
    CriticalityDiagnostics_ExtIEs = CLASS(name=u'CriticalityDiagnostics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics-IE-List >-----#
    CriticalityDiagnostics_IE_List = SEQ_OF(name=u'CriticalityDiagnostics-IE-List', mode=MODE_TYPE)
    _CriticalityDiagnostics_IE_List__item_ = SEQ(name='_item_', mode=MODE_TYPE)
    __CriticalityDiagnostics_IE_List__item__iECriticality = ENUM(name=u'iECriticality', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-CommonDataTypes', 'Criticality')))
    __CriticalityDiagnostics_IE_List__item__iE_ID = INT(name=u'iE-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    __CriticalityDiagnostics_IE_List__item__typeOfError = ENUM(name=u'typeOfError', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TypeOfError')))
    __CriticalityDiagnostics_IE_List__item__iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_at = None
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_id = u'id'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id),
        (u'criticality', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality),
        (u'extensionValue', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue),
        ])
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._ext = None
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._cont = ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    _CriticalityDiagnostics_IE_List__item_._cont = ASN1Dict([
        (u'iECriticality', __CriticalityDiagnostics_IE_List__item__iECriticality),
        (u'iE-ID', __CriticalityDiagnostics_IE_List__item__iE_ID),
        (u'typeOfError', __CriticalityDiagnostics_IE_List__item__typeOfError),
        (u'iE-Extensions', __CriticalityDiagnostics_IE_List__item__iE_Extensions),
        ])
    _CriticalityDiagnostics_IE_List__item_._ext = []
    CriticalityDiagnostics_IE_List._cont = _CriticalityDiagnostics_IE_List__item_
    CriticalityDiagnostics_IE_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< CriticalityDiagnostics-IE-List-ExtIEs >-----#
    CriticalityDiagnostics_IE_List_ExtIEs = CLASS(name=u'CriticalityDiagnostics-IE-List-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_IE_List_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Data-Forwarding-Information-Request >-----#
    Data_Forwarding_Information_Request = SEQ(name=u'Data-Forwarding-Information-Request', mode=MODE_TYPE)
    _Data_Forwarding_Information_Request_data_Forwarding_Request = ENUM(name=u'data-Forwarding-Request', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Request')))
    _Data_Forwarding_Information_Request_qoS_Flows_Forwarded_On_Fwd_Tunnels = SEQ_OF(name=u'qoS-Flows-Forwarded-On-Fwd-Tunnels', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Mapping-List')), opt=True)
    _Data_Forwarding_Information_Request_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Data_Forwarding_Information_Request_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Data_Forwarding_Information_Request_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Data_Forwarding_Information_Request_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Forwarding_Information_Request_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Forwarding_Information_Request_iE_Extensions__item__id._const_tab = ____Data_Forwarding_Information_Request_iE_Extensions__item__id_tab
    ___Data_Forwarding_Information_Request_iE_Extensions__item__id._const_tab_at = None
    ___Data_Forwarding_Information_Request_iE_Extensions__item__id._const_tab_id = u'id'
    ___Data_Forwarding_Information_Request_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Data_Forwarding_Information_Request_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Forwarding_Information_Request_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Forwarding_Information_Request_iE_Extensions__item__criticality._const_tab = ____Data_Forwarding_Information_Request_iE_Extensions__item__criticality_tab
    ___Data_Forwarding_Information_Request_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Data_Forwarding_Information_Request_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue._const_tab = ____Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue_tab
    ___Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Data_Forwarding_Information_Request_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Data_Forwarding_Information_Request_iE_Extensions__item__id),
        (u'criticality', ___Data_Forwarding_Information_Request_iE_Extensions__item__criticality),
        (u'extensionValue', ___Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue),
        ])
    __Data_Forwarding_Information_Request_iE_Extensions__item_._ext = None
    _Data_Forwarding_Information_Request_iE_Extensions._cont = __Data_Forwarding_Information_Request_iE_Extensions__item_
    _Data_Forwarding_Information_Request_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Data_Forwarding_Information_Request._cont = ASN1Dict([
        (u'data-Forwarding-Request', _Data_Forwarding_Information_Request_data_Forwarding_Request),
        (u'qoS-Flows-Forwarded-On-Fwd-Tunnels', _Data_Forwarding_Information_Request_qoS_Flows_Forwarded_On_Fwd_Tunnels),
        (u'iE-Extensions', _Data_Forwarding_Information_Request_iE_Extensions),
        ])
    Data_Forwarding_Information_Request._ext = []
    
    #-----< Data-Forwarding-Information-Request-ExtIEs >-----#
    Data_Forwarding_Information_Request_ExtIEs = CLASS(name=u'Data-Forwarding-Information-Request-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Data_Forwarding_Information_Request_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Data-Forwarding-Information >-----#
    Data_Forwarding_Information = SEQ(name=u'Data-Forwarding-Information', mode=MODE_TYPE)
    _Data_Forwarding_Information_uL_Data_Forwarding = CHOICE(name=u'uL-Data-Forwarding', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _Data_Forwarding_Information_dL_Data_Forwarding = CHOICE(name=u'dL-Data-Forwarding', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _Data_Forwarding_Information_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Data_Forwarding_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Data_Forwarding_Information_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Data_Forwarding_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Forwarding_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Forwarding_Information_iE_Extensions__item__id._const_tab = ____Data_Forwarding_Information_iE_Extensions__item__id_tab
    ___Data_Forwarding_Information_iE_Extensions__item__id._const_tab_at = None
    ___Data_Forwarding_Information_iE_Extensions__item__id._const_tab_id = u'id'
    ___Data_Forwarding_Information_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Data_Forwarding_Information_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Forwarding_Information_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Forwarding_Information_iE_Extensions__item__criticality._const_tab = ____Data_Forwarding_Information_iE_Extensions__item__criticality_tab
    ___Data_Forwarding_Information_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Data_Forwarding_Information_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Data_Forwarding_Information_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Data_Forwarding_Information_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Forwarding_Information_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Forwarding_Information_iE_Extensions__item__extensionValue._const_tab = ____Data_Forwarding_Information_iE_Extensions__item__extensionValue_tab
    ___Data_Forwarding_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Data_Forwarding_Information_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Data_Forwarding_Information_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Data_Forwarding_Information_iE_Extensions__item__id),
        (u'criticality', ___Data_Forwarding_Information_iE_Extensions__item__criticality),
        (u'extensionValue', ___Data_Forwarding_Information_iE_Extensions__item__extensionValue),
        ])
    __Data_Forwarding_Information_iE_Extensions__item_._ext = None
    _Data_Forwarding_Information_iE_Extensions._cont = __Data_Forwarding_Information_iE_Extensions__item_
    _Data_Forwarding_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Data_Forwarding_Information._cont = ASN1Dict([
        (u'uL-Data-Forwarding', _Data_Forwarding_Information_uL_Data_Forwarding),
        (u'dL-Data-Forwarding', _Data_Forwarding_Information_dL_Data_Forwarding),
        (u'iE-Extensions', _Data_Forwarding_Information_iE_Extensions),
        ])
    Data_Forwarding_Information._ext = []
    
    #-----< Data-Forwarding-Information-ExtIEs >-----#
    Data_Forwarding_Information_ExtIEs = CLASS(name=u'Data-Forwarding-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Data_Forwarding_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Data-Forwarding-Request >-----#
    Data_Forwarding_Request = ENUM(name=u'Data-Forwarding-Request', mode=MODE_TYPE)
    Data_Forwarding_Request._cont = ASN1Dict([(u'uL', 0), (u'dL', 1), (u'both', 2)])
    Data_Forwarding_Request._ext = []
    
    #-----< Data-Usage-per-PDU-Session-Report >-----#
    Data_Usage_per_PDU_Session_Report = SEQ(name=u'Data-Usage-per-PDU-Session-Report', mode=MODE_TYPE)
    _Data_Usage_per_PDU_Session_Report_secondaryRATType = ENUM(name=u'secondaryRATType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _Data_Usage_per_PDU_Session_Report_secondaryRATType._cont = ASN1Dict([(u'nR', 0), (u'e-UTRA', 1)])
    _Data_Usage_per_PDU_Session_Report_secondaryRATType._ext = []
    _Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List = SEQ_OF(name=u'pDU-session-Timed-Report-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'MRDC-Data-Usage-Report-Item')))
    _Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List._cont = __Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List__item_
    _Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2)], ev=None, er=[])
    _Data_Usage_per_PDU_Session_Report_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Data_Usage_per_PDU_Session_Report_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id._const_tab = ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id_tab
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id._const_tab_at = None
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id._const_tab_id = u'id'
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality._const_tab = ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality_tab
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue._const_tab = ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue_tab
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Data_Usage_per_PDU_Session_Report_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id),
        (u'criticality', ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality),
        (u'extensionValue', ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue),
        ])
    __Data_Usage_per_PDU_Session_Report_iE_Extensions__item_._ext = None
    _Data_Usage_per_PDU_Session_Report_iE_Extensions._cont = __Data_Usage_per_PDU_Session_Report_iE_Extensions__item_
    _Data_Usage_per_PDU_Session_Report_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Data_Usage_per_PDU_Session_Report._cont = ASN1Dict([
        (u'secondaryRATType', _Data_Usage_per_PDU_Session_Report_secondaryRATType),
        (u'pDU-session-Timed-Report-List', _Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List),
        (u'iE-Extensions', _Data_Usage_per_PDU_Session_Report_iE_Extensions),
        ])
    Data_Usage_per_PDU_Session_Report._ext = []
    
    #-----< Data-Usage-per-PDU-Session-Report-ExtIEs >-----#
    Data_Usage_per_PDU_Session_Report_ExtIEs = CLASS(name=u'Data-Usage-per-PDU-Session-Report-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Data_Usage_per_PDU_Session_Report_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Data-Usage-per-QoS-Flow-List >-----#
    Data_Usage_per_QoS_Flow_List = SEQ_OF(name=u'Data-Usage-per-QoS-Flow-List', mode=MODE_TYPE)
    _Data_Usage_per_QoS_Flow_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Data-Usage-per-QoS-Flow-Item')))
    Data_Usage_per_QoS_Flow_List._cont = _Data_Usage_per_QoS_Flow_List__item_
    Data_Usage_per_QoS_Flow_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< Data-Usage-per-QoS-Flow-Item >-----#
    Data_Usage_per_QoS_Flow_Item = SEQ(name=u'Data-Usage-per-QoS-Flow-Item', mode=MODE_TYPE)
    _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Identifier = INT(name=u'qoS-Flow-Identifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Identifier')))
    _Data_Usage_per_QoS_Flow_Item_secondaryRATType = ENUM(name=u'secondaryRATType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _Data_Usage_per_QoS_Flow_Item_secondaryRATType._cont = ASN1Dict([(u'nR', 0), (u'e-UTRA', 1)])
    _Data_Usage_per_QoS_Flow_Item_secondaryRATType._ext = []
    _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List = SEQ_OF(name=u'qoS-Flow-Timed-Report-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'MRDC-Data-Usage-Report-Item')))
    _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List._cont = __Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List__item_
    _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2)], ev=None, er=[])
    _Data_Usage_per_QoS_Flow_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Data_Usage_per_QoS_Flow_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id._const_tab = ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id_tab
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id._const_tab_at = None
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality._const_tab = ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality_tab
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue._const_tab = ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue_tab
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Data_Usage_per_QoS_Flow_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id),
        (u'criticality', ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue),
        ])
    __Data_Usage_per_QoS_Flow_Item_iE_Extensions__item_._ext = None
    _Data_Usage_per_QoS_Flow_Item_iE_Extensions._cont = __Data_Usage_per_QoS_Flow_Item_iE_Extensions__item_
    _Data_Usage_per_QoS_Flow_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Data_Usage_per_QoS_Flow_Item._cont = ASN1Dict([
        (u'qoS-Flow-Identifier', _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Identifier),
        (u'secondaryRATType', _Data_Usage_per_QoS_Flow_Item_secondaryRATType),
        (u'qoS-Flow-Timed-Report-List', _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List),
        (u'iE-Extensions', _Data_Usage_per_QoS_Flow_Item_iE_Extensions),
        ])
    Data_Usage_per_QoS_Flow_Item._ext = []
    
    #-----< Data-Usage-per-QoS-Flow-Item-ExtIEs >-----#
    Data_Usage_per_QoS_Flow_Item_ExtIEs = CLASS(name=u'Data-Usage-per-QoS-Flow-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Data_Usage_per_QoS_Flow_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Data-Usage-Report-List >-----#
    Data_Usage_Report_List = SEQ_OF(name=u'Data-Usage-Report-List', mode=MODE_TYPE)
    _Data_Usage_Report_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Data-Usage-Report-Item')))
    Data_Usage_Report_List._cont = _Data_Usage_Report_List__item_
    Data_Usage_Report_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< Data-Usage-Report-Item >-----#
    Data_Usage_Report_Item = SEQ(name=u'Data-Usage-Report-Item', mode=MODE_TYPE)
    _Data_Usage_Report_Item_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _Data_Usage_Report_Item_rAT_Type = ENUM(name=u'rAT-Type', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'RAT-Type')))
    _Data_Usage_Report_Item_dRB_Usage_Report_List = SEQ_OF(name=u'dRB-Usage-Report-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Usage-Report-List')))
    _Data_Usage_Report_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Data_Usage_Report_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Data_Usage_Report_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Data_Usage_Report_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_Report_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_Report_Item_iE_Extensions__item__id._const_tab = ____Data_Usage_Report_Item_iE_Extensions__item__id_tab
    ___Data_Usage_Report_Item_iE_Extensions__item__id._const_tab_at = None
    ___Data_Usage_Report_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___Data_Usage_Report_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Data_Usage_Report_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_Report_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_Report_Item_iE_Extensions__item__criticality._const_tab = ____Data_Usage_Report_Item_iE_Extensions__item__criticality_tab
    ___Data_Usage_Report_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Data_Usage_Report_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Data_Usage_Report_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Data_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab = ____Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab
    ___Data_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Data_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Data_Usage_Report_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Data_Usage_Report_Item_iE_Extensions__item__id),
        (u'criticality', ___Data_Usage_Report_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___Data_Usage_Report_Item_iE_Extensions__item__extensionValue),
        ])
    __Data_Usage_Report_Item_iE_Extensions__item_._ext = None
    _Data_Usage_Report_Item_iE_Extensions._cont = __Data_Usage_Report_Item_iE_Extensions__item_
    _Data_Usage_Report_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Data_Usage_Report_Item._cont = ASN1Dict([
        (u'dRB-ID', _Data_Usage_Report_Item_dRB_ID),
        (u'rAT-Type', _Data_Usage_Report_Item_rAT_Type),
        (u'dRB-Usage-Report-List', _Data_Usage_Report_Item_dRB_Usage_Report_List),
        (u'iE-Extensions', _Data_Usage_Report_Item_iE_Extensions),
        ])
    Data_Usage_Report_Item._ext = []
    
    #-----< Data-Usage-Report-ItemExtIEs >-----#
    Data_Usage_Report_ItemExtIEs = CLASS(name=u'Data-Usage-Report-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Data_Usage_Report_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DefaultDRB >-----#
    DefaultDRB = ENUM(name=u'DefaultDRB', mode=MODE_TYPE)
    DefaultDRB._cont = ASN1Dict([(u'true', 0), (u'false', 1)])
    DefaultDRB._ext = []
    
    #-----< DiscardTimer >-----#
    DiscardTimer = ENUM(name=u'DiscardTimer', mode=MODE_TYPE)
    DiscardTimer._cont = ASN1Dict([(u'ms10', 0), (u'ms20', 1), (u'ms30', 2), (u'ms40', 3), (u'ms50', 4), (u'ms60', 5), (u'ms75', 6), (u'ms100', 7), (u'ms150', 8), (u'ms200', 9), (u'ms250', 10), (u'ms300', 11), (u'ms500', 12), (u'ms750', 13), (u'ms1500', 14), (u'infinity', 15)])
    DiscardTimer._ext = None
    
    #-----< DL-TX-Stop >-----#
    DL_TX_Stop = ENUM(name=u'DL-TX-Stop', mode=MODE_TYPE)
    DL_TX_Stop._cont = ASN1Dict([(u'stop', 0), (u'resume', 1)])
    DL_TX_Stop._ext = []
    
    #-----< DRB-Activity >-----#
    DRB_Activity = ENUM(name=u'DRB-Activity', mode=MODE_TYPE)
    DRB_Activity._cont = ASN1Dict([(u'active', 0), (u'not-active', 1)])
    DRB_Activity._ext = []
    
    #-----< DRB-Activity-List >-----#
    DRB_Activity_List = SEQ_OF(name=u'DRB-Activity-List', mode=MODE_TYPE)
    _DRB_Activity_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Activity-Item')))
    DRB_Activity_List._cont = _DRB_Activity_List__item_
    DRB_Activity_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Activity-Item >-----#
    DRB_Activity_Item = SEQ(name=u'DRB-Activity-Item', mode=MODE_TYPE)
    _DRB_Activity_Item_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Activity_Item_dRB_Activity = ENUM(name=u'dRB-Activity', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Activity')))
    _DRB_Activity_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Activity_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Activity_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Activity_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Activity_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Activity_Item_iE_Extensions__item__id._const_tab = ____DRB_Activity_Item_iE_Extensions__item__id_tab
    ___DRB_Activity_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Activity_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Activity_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Activity_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Activity_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Activity_Item_iE_Extensions__item__criticality._const_tab = ____DRB_Activity_Item_iE_Extensions__item__criticality_tab
    ___DRB_Activity_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Activity_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Activity_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Activity_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Activity_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Activity_Item_iE_Extensions__item__extensionValue._const_tab = ____DRB_Activity_Item_iE_Extensions__item__extensionValue_tab
    ___DRB_Activity_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Activity_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Activity_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Activity_Item_iE_Extensions__item__id),
        (u'criticality', ___DRB_Activity_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Activity_Item_iE_Extensions__item__extensionValue),
        ])
    __DRB_Activity_Item_iE_Extensions__item_._ext = None
    _DRB_Activity_Item_iE_Extensions._cont = __DRB_Activity_Item_iE_Extensions__item_
    _DRB_Activity_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Activity_Item._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Activity_Item_dRB_ID),
        (u'dRB-Activity', _DRB_Activity_Item_dRB_Activity),
        (u'iE-Extensions', _DRB_Activity_Item_iE_Extensions),
        ])
    DRB_Activity_Item._ext = []
    
    #-----< DRB-Activity-ItemExtIEs >-----#
    DRB_Activity_ItemExtIEs = CLASS(name=u'DRB-Activity-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Activity_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Confirm-Modified-List-EUTRAN >-----#
    DRB_Confirm_Modified_List_EUTRAN = SEQ_OF(name=u'DRB-Confirm-Modified-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Confirm_Modified_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Confirm-Modified-Item-EUTRAN')))
    DRB_Confirm_Modified_List_EUTRAN._cont = _DRB_Confirm_Modified_List_EUTRAN__item_
    DRB_Confirm_Modified_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Confirm-Modified-Item-EUTRAN >-----#
    DRB_Confirm_Modified_Item_EUTRAN = SEQ(name=u'DRB-Confirm-Modified-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Confirm_Modified_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Confirm_Modified_Item_EUTRAN_cell_Group_Information = SEQ_OF(name=u'cell-Group-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions._cont = __DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item_
    _DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Confirm_Modified_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Confirm_Modified_Item_EUTRAN_dRB_ID),
        (u'cell-Group-Information', _DRB_Confirm_Modified_Item_EUTRAN_cell_Group_Information),
        (u'iE-Extensions', _DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Confirm_Modified_Item_EUTRAN._ext = []
    
    #-----< DRB-Confirm-Modified-Item-EUTRAN-ExtIEs >-----#
    DRB_Confirm_Modified_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Confirm-Modified-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Confirm_Modified_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Confirm-Modified-List-NG-RAN >-----#
    DRB_Confirm_Modified_List_NG_RAN = SEQ_OF(name=u'DRB-Confirm-Modified-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Confirm_Modified_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Confirm-Modified-Item-NG-RAN')))
    DRB_Confirm_Modified_List_NG_RAN._cont = _DRB_Confirm_Modified_List_NG_RAN__item_
    DRB_Confirm_Modified_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Confirm-Modified-Item-NG-RAN >-----#
    DRB_Confirm_Modified_Item_NG_RAN = SEQ(name=u'DRB-Confirm-Modified-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Confirm_Modified_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Confirm_Modified_Item_NG_RAN_cell_Group_Information = SEQ_OF(name=u'cell-Group-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions._cont = __DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item_
    _DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Confirm_Modified_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Confirm_Modified_Item_NG_RAN_dRB_ID),
        (u'cell-Group-Information', _DRB_Confirm_Modified_Item_NG_RAN_cell_Group_Information),
        (u'iE-Extensions', _DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Confirm_Modified_Item_NG_RAN._ext = []
    
    #-----< DRB-Confirm-Modified-Item-NG-RAN-ExtIEs >-----#
    DRB_Confirm_Modified_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Confirm-Modified-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Confirm_Modified_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Failed-List-EUTRAN >-----#
    DRB_Failed_List_EUTRAN = SEQ_OF(name=u'DRB-Failed-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Failed_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Item-EUTRAN')))
    DRB_Failed_List_EUTRAN._cont = _DRB_Failed_List_EUTRAN__item_
    DRB_Failed_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Failed-Item-EUTRAN >-----#
    DRB_Failed_Item_EUTRAN = SEQ(name=u'DRB-Failed-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Failed_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Failed_Item_EUTRAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Failed_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Failed_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Failed_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Failed_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Failed_Item_EUTRAN_iE_Extensions._cont = __DRB_Failed_Item_EUTRAN_iE_Extensions__item_
    _DRB_Failed_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Failed_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Failed_Item_EUTRAN_dRB_ID),
        (u'cause', _DRB_Failed_Item_EUTRAN_cause),
        (u'iE-Extensions', _DRB_Failed_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Failed_Item_EUTRAN._ext = []
    
    #-----< DRB-Failed-Item-EUTRAN-ExtIEs >-----#
    DRB_Failed_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Failed-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Failed_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Failed-Mod-List-EUTRAN >-----#
    DRB_Failed_Mod_List_EUTRAN = SEQ_OF(name=u'DRB-Failed-Mod-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Failed_Mod_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Mod-Item-EUTRAN')))
    DRB_Failed_Mod_List_EUTRAN._cont = _DRB_Failed_Mod_List_EUTRAN__item_
    DRB_Failed_Mod_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Failed-Mod-Item-EUTRAN >-----#
    DRB_Failed_Mod_Item_EUTRAN = SEQ(name=u'DRB-Failed-Mod-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Failed_Mod_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Failed_Mod_Item_EUTRAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Failed_Mod_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Failed_Mod_Item_EUTRAN_iE_Extensions._cont = __DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item_
    _DRB_Failed_Mod_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Failed_Mod_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Failed_Mod_Item_EUTRAN_dRB_ID),
        (u'cause', _DRB_Failed_Mod_Item_EUTRAN_cause),
        (u'iE-Extensions', _DRB_Failed_Mod_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Failed_Mod_Item_EUTRAN._ext = []
    
    #-----< DRB-Failed-Mod-Item-EUTRAN-ExtIEs >-----#
    DRB_Failed_Mod_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Failed-Mod-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Failed_Mod_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Failed-List-NG-RAN >-----#
    DRB_Failed_List_NG_RAN = SEQ_OF(name=u'DRB-Failed-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Failed_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Item-NG-RAN')))
    DRB_Failed_List_NG_RAN._cont = _DRB_Failed_List_NG_RAN__item_
    DRB_Failed_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Failed-Item-NG-RAN >-----#
    DRB_Failed_Item_NG_RAN = SEQ(name=u'DRB-Failed-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Failed_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Failed_Item_NG_RAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Failed_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Failed_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Failed_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Failed_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Failed_Item_NG_RAN_iE_Extensions._cont = __DRB_Failed_Item_NG_RAN_iE_Extensions__item_
    _DRB_Failed_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Failed_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Failed_Item_NG_RAN_dRB_ID),
        (u'cause', _DRB_Failed_Item_NG_RAN_cause),
        (u'iE-Extensions', _DRB_Failed_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Failed_Item_NG_RAN._ext = []
    
    #-----< DRB-Failed-Item-NG-RAN-ExtIEs >-----#
    DRB_Failed_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Failed-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Failed_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Failed-Mod-List-NG-RAN >-----#
    DRB_Failed_Mod_List_NG_RAN = SEQ_OF(name=u'DRB-Failed-Mod-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Failed_Mod_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Mod-Item-NG-RAN')))
    DRB_Failed_Mod_List_NG_RAN._cont = _DRB_Failed_Mod_List_NG_RAN__item_
    DRB_Failed_Mod_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Failed-Mod-Item-NG-RAN >-----#
    DRB_Failed_Mod_Item_NG_RAN = SEQ(name=u'DRB-Failed-Mod-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Failed_Mod_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Failed_Mod_Item_NG_RAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Failed_Mod_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Failed_Mod_Item_NG_RAN_iE_Extensions._cont = __DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item_
    _DRB_Failed_Mod_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Failed_Mod_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Failed_Mod_Item_NG_RAN_dRB_ID),
        (u'cause', _DRB_Failed_Mod_Item_NG_RAN_cause),
        (u'iE-Extensions', _DRB_Failed_Mod_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Failed_Mod_Item_NG_RAN._ext = []
    
    #-----< DRB-Failed-Mod-Item-NG-RAN-ExtIEs >-----#
    DRB_Failed_Mod_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Failed-Mod-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Failed_Mod_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Failed-To-Modify-List-EUTRAN >-----#
    DRB_Failed_To_Modify_List_EUTRAN = SEQ_OF(name=u'DRB-Failed-To-Modify-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Failed_To_Modify_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-To-Modify-Item-EUTRAN')))
    DRB_Failed_To_Modify_List_EUTRAN._cont = _DRB_Failed_To_Modify_List_EUTRAN__item_
    DRB_Failed_To_Modify_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Failed-To-Modify-Item-EUTRAN >-----#
    DRB_Failed_To_Modify_Item_EUTRAN = SEQ(name=u'DRB-Failed-To-Modify-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Failed_To_Modify_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Failed_To_Modify_Item_EUTRAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions._cont = __DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item_
    _DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Failed_To_Modify_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Failed_To_Modify_Item_EUTRAN_dRB_ID),
        (u'cause', _DRB_Failed_To_Modify_Item_EUTRAN_cause),
        (u'iE-Extensions', _DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Failed_To_Modify_Item_EUTRAN._ext = []
    
    #-----< DRB-Failed-To-Modify-Item-EUTRAN-ExtIEs >-----#
    DRB_Failed_To_Modify_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Failed-To-Modify-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Failed_To_Modify_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Failed-To-Modify-List-NG-RAN >-----#
    DRB_Failed_To_Modify_List_NG_RAN = SEQ_OF(name=u'DRB-Failed-To-Modify-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Failed_To_Modify_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-To-Modify-Item-NG-RAN')))
    DRB_Failed_To_Modify_List_NG_RAN._cont = _DRB_Failed_To_Modify_List_NG_RAN__item_
    DRB_Failed_To_Modify_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Failed-To-Modify-Item-NG-RAN >-----#
    DRB_Failed_To_Modify_Item_NG_RAN = SEQ(name=u'DRB-Failed-To-Modify-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Failed_To_Modify_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Failed_To_Modify_Item_NG_RAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions._cont = __DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item_
    _DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Failed_To_Modify_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Failed_To_Modify_Item_NG_RAN_dRB_ID),
        (u'cause', _DRB_Failed_To_Modify_Item_NG_RAN_cause),
        (u'iE-Extensions', _DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Failed_To_Modify_Item_NG_RAN._ext = []
    
    #-----< DRB-Failed-To-Modify-Item-NG-RAN-ExtIEs >-----#
    DRB_Failed_To_Modify_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Failed-To-Modify-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Failed_To_Modify_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-ID >-----#
    DRB_ID = INT(name=u'DRB-ID', mode=MODE_TYPE)
    DRB_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< DRB-Modified-List-EUTRAN >-----#
    DRB_Modified_List_EUTRAN = SEQ_OF(name=u'DRB-Modified-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Modified_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Modified-Item-EUTRAN')))
    DRB_Modified_List_EUTRAN._cont = _DRB_Modified_List_EUTRAN__item_
    DRB_Modified_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Modified-Item-EUTRAN >-----#
    DRB_Modified_Item_EUTRAN = SEQ(name=u'DRB-Modified-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Modified_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Modified_Item_EUTRAN_s1_DL_UP_TNL_Information = CHOICE(name=u's1-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _DRB_Modified_Item_EUTRAN_pDCP_SN_Status_Information = SEQ(name=u'pDCP-SN-Status-Information', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Information')), opt=True)
    _DRB_Modified_Item_EUTRAN_uL_UP_Transport_Parameters = SEQ_OF(name=u'uL-UP-Transport-Parameters', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')), opt=True)
    _DRB_Modified_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Modified_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Modified_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Modified_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Modified_Item_EUTRAN_iE_Extensions._cont = __DRB_Modified_Item_EUTRAN_iE_Extensions__item_
    _DRB_Modified_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Modified_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Modified_Item_EUTRAN_dRB_ID),
        (u's1-DL-UP-TNL-Information', _DRB_Modified_Item_EUTRAN_s1_DL_UP_TNL_Information),
        (u'pDCP-SN-Status-Information', _DRB_Modified_Item_EUTRAN_pDCP_SN_Status_Information),
        (u'uL-UP-Transport-Parameters', _DRB_Modified_Item_EUTRAN_uL_UP_Transport_Parameters),
        (u'iE-Extensions', _DRB_Modified_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Modified_Item_EUTRAN._ext = []
    
    #-----< DRB-Modified-Item-EUTRAN-ExtIEs >-----#
    DRB_Modified_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Modified-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Modified_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Modified-List-NG-RAN >-----#
    DRB_Modified_List_NG_RAN = SEQ_OF(name=u'DRB-Modified-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Modified_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Modified-Item-NG-RAN')))
    DRB_Modified_List_NG_RAN._cont = _DRB_Modified_List_NG_RAN__item_
    DRB_Modified_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Modified-Item-NG-RAN >-----#
    DRB_Modified_Item_NG_RAN = SEQ(name=u'DRB-Modified-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Modified_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Modified_Item_NG_RAN_uL_UP_Transport_Parameters = SEQ_OF(name=u'uL-UP-Transport-Parameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')), opt=True)
    _DRB_Modified_Item_NG_RAN_pDCP_SN_Status_Information = SEQ(name=u'pDCP-SN-Status-Information', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Information')), opt=True)
    _DRB_Modified_Item_NG_RAN_flow_Setup_List = SEQ_OF(name=u'flow-Setup-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')), opt=True)
    _DRB_Modified_Item_NG_RAN_flow_Failed_List = SEQ_OF(name=u'flow-Failed-List', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Failed-List')), opt=True)
    _DRB_Modified_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Modified_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Modified_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Modified_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Modified_Item_NG_RAN_iE_Extensions._cont = __DRB_Modified_Item_NG_RAN_iE_Extensions__item_
    _DRB_Modified_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Modified_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Modified_Item_NG_RAN_dRB_ID),
        (u'uL-UP-Transport-Parameters', _DRB_Modified_Item_NG_RAN_uL_UP_Transport_Parameters),
        (u'pDCP-SN-Status-Information', _DRB_Modified_Item_NG_RAN_pDCP_SN_Status_Information),
        (u'flow-Setup-List', _DRB_Modified_Item_NG_RAN_flow_Setup_List),
        (u'flow-Failed-List', _DRB_Modified_Item_NG_RAN_flow_Failed_List),
        (u'iE-Extensions', _DRB_Modified_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Modified_Item_NG_RAN._ext = []
    
    #-----< DRB-Modified-Item-NG-RAN-ExtIEs >-----#
    DRB_Modified_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Modified-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Modified_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Required-To-Modify-List-EUTRAN >-----#
    DRB_Required_To_Modify_List_EUTRAN = SEQ_OF(name=u'DRB-Required-To-Modify-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Required_To_Modify_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Modify-Item-EUTRAN')))
    DRB_Required_To_Modify_List_EUTRAN._cont = _DRB_Required_To_Modify_List_EUTRAN__item_
    DRB_Required_To_Modify_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Required-To-Modify-Item-EUTRAN >-----#
    DRB_Required_To_Modify_Item_EUTRAN = SEQ(name=u'DRB-Required-To-Modify-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Required_To_Modify_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Required_To_Modify_Item_EUTRAN_s1_DL_UP_TNL_Information = CHOICE(name=u's1-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _DRB_Required_To_Modify_Item_EUTRAN_gNB_CU_UP_CellGroupRelatedConfiguration = SEQ_OF(name=u'gNB-CU-UP-CellGroupRelatedConfiguration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-CellGroupRelatedConfiguration')), opt=True)
    _DRB_Required_To_Modify_Item_EUTRAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')), opt=True)
    _DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions._cont = __DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item_
    _DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Required_To_Modify_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Required_To_Modify_Item_EUTRAN_dRB_ID),
        (u's1-DL-UP-TNL-Information', _DRB_Required_To_Modify_Item_EUTRAN_s1_DL_UP_TNL_Information),
        (u'gNB-CU-UP-CellGroupRelatedConfiguration', _DRB_Required_To_Modify_Item_EUTRAN_gNB_CU_UP_CellGroupRelatedConfiguration),
        (u'cause', _DRB_Required_To_Modify_Item_EUTRAN_cause),
        (u'iE-Extensions', _DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Required_To_Modify_Item_EUTRAN._ext = []
    
    #-----< DRB-Required-To-Modify-Item-EUTRAN-ExtIEs >-----#
    DRB_Required_To_Modify_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Required-To-Modify-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Required_To_Modify_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Required-To-Modify-List-NG-RAN >-----#
    DRB_Required_To_Modify_List_NG_RAN = SEQ_OF(name=u'DRB-Required-To-Modify-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Required_To_Modify_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Modify-Item-NG-RAN')))
    DRB_Required_To_Modify_List_NG_RAN._cont = _DRB_Required_To_Modify_List_NG_RAN__item_
    DRB_Required_To_Modify_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Required-To-Modify-Item-NG-RAN >-----#
    DRB_Required_To_Modify_Item_NG_RAN = SEQ(name=u'DRB-Required-To-Modify-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Required_To_Modify_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Required_To_Modify_Item_NG_RAN_gNB_CU_UP_CellGroupRelatedConfiguration = SEQ_OF(name=u'gNB-CU-UP-CellGroupRelatedConfiguration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-CellGroupRelatedConfiguration')), opt=True)
    _DRB_Required_To_Modify_Item_NG_RAN_flow_To_Remove = SEQ_OF(name=u'flow-To-Remove', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')), opt=True)
    _DRB_Required_To_Modify_Item_NG_RAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')), opt=True)
    _DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions._cont = __DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item_
    _DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Required_To_Modify_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Required_To_Modify_Item_NG_RAN_dRB_ID),
        (u'gNB-CU-UP-CellGroupRelatedConfiguration', _DRB_Required_To_Modify_Item_NG_RAN_gNB_CU_UP_CellGroupRelatedConfiguration),
        (u'flow-To-Remove', _DRB_Required_To_Modify_Item_NG_RAN_flow_To_Remove),
        (u'cause', _DRB_Required_To_Modify_Item_NG_RAN_cause),
        (u'iE-Extensions', _DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Required_To_Modify_Item_NG_RAN._ext = []
    
    #-----< DRB-Required-To-Modify-Item-NG-RAN-ExtIEs >-----#
    DRB_Required_To_Modify_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Required-To-Modify-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Required_To_Modify_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Setup-List-EUTRAN >-----#
    DRB_Setup_List_EUTRAN = SEQ_OF(name=u'DRB-Setup-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Setup_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Item-EUTRAN')))
    DRB_Setup_List_EUTRAN._cont = _DRB_Setup_List_EUTRAN__item_
    DRB_Setup_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Setup-Item-EUTRAN >-----#
    DRB_Setup_Item_EUTRAN = SEQ(name=u'DRB-Setup-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Setup_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Setup_Item_EUTRAN_s1_DL_UP_TNL_Information = CHOICE(name=u's1-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _DRB_Setup_Item_EUTRAN_data_Forwarding_Information_Response = SEQ(name=u'data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _DRB_Setup_Item_EUTRAN_uL_UP_Transport_Parameters = SEQ_OF(name=u'uL-UP-Transport-Parameters', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')))
    _DRB_Setup_Item_EUTRAN_s1_DL_UP_Unchanged = ENUM(name=u's1-DL-UP-Unchanged', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _DRB_Setup_Item_EUTRAN_s1_DL_UP_Unchanged._cont = ASN1Dict([(u'true', 0)])
    _DRB_Setup_Item_EUTRAN_s1_DL_UP_Unchanged._ext = []
    _DRB_Setup_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Setup_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Setup_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Setup_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Setup_Item_EUTRAN_iE_Extensions._cont = __DRB_Setup_Item_EUTRAN_iE_Extensions__item_
    _DRB_Setup_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Setup_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Setup_Item_EUTRAN_dRB_ID),
        (u's1-DL-UP-TNL-Information', _DRB_Setup_Item_EUTRAN_s1_DL_UP_TNL_Information),
        (u'data-Forwarding-Information-Response', _DRB_Setup_Item_EUTRAN_data_Forwarding_Information_Response),
        (u'uL-UP-Transport-Parameters', _DRB_Setup_Item_EUTRAN_uL_UP_Transport_Parameters),
        (u's1-DL-UP-Unchanged', _DRB_Setup_Item_EUTRAN_s1_DL_UP_Unchanged),
        (u'iE-Extensions', _DRB_Setup_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Setup_Item_EUTRAN._ext = []
    
    #-----< DRB-Setup-Item-EUTRAN-ExtIEs >-----#
    DRB_Setup_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Setup-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Setup_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Setup-Mod-List-EUTRAN >-----#
    DRB_Setup_Mod_List_EUTRAN = SEQ_OF(name=u'DRB-Setup-Mod-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Setup_Mod_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Mod-Item-EUTRAN')))
    DRB_Setup_Mod_List_EUTRAN._cont = _DRB_Setup_Mod_List_EUTRAN__item_
    DRB_Setup_Mod_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Setup-Mod-Item-EUTRAN >-----#
    DRB_Setup_Mod_Item_EUTRAN = SEQ(name=u'DRB-Setup-Mod-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Setup_Mod_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Setup_Mod_Item_EUTRAN_s1_DL_UP_TNL_Information = CHOICE(name=u's1-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _DRB_Setup_Mod_Item_EUTRAN_data_Forwarding_Information_Response = SEQ(name=u'data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _DRB_Setup_Mod_Item_EUTRAN_uL_UP_Transport_Parameters = SEQ_OF(name=u'uL-UP-Transport-Parameters', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')))
    _DRB_Setup_Mod_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Setup_Mod_Item_EUTRAN_iE_Extensions._cont = __DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item_
    _DRB_Setup_Mod_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Setup_Mod_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Setup_Mod_Item_EUTRAN_dRB_ID),
        (u's1-DL-UP-TNL-Information', _DRB_Setup_Mod_Item_EUTRAN_s1_DL_UP_TNL_Information),
        (u'data-Forwarding-Information-Response', _DRB_Setup_Mod_Item_EUTRAN_data_Forwarding_Information_Response),
        (u'uL-UP-Transport-Parameters', _DRB_Setup_Mod_Item_EUTRAN_uL_UP_Transport_Parameters),
        (u'iE-Extensions', _DRB_Setup_Mod_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Setup_Mod_Item_EUTRAN._ext = []
    
    #-----< DRB-Setup-Mod-Item-EUTRAN-ExtIEs >-----#
    DRB_Setup_Mod_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Setup-Mod-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Setup_Mod_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Setup-List-NG-RAN >-----#
    DRB_Setup_List_NG_RAN = SEQ_OF(name=u'DRB-Setup-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Setup_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Item-NG-RAN')))
    DRB_Setup_List_NG_RAN._cont = _DRB_Setup_List_NG_RAN__item_
    DRB_Setup_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Setup-Item-NG-RAN >-----#
    DRB_Setup_Item_NG_RAN = SEQ(name=u'DRB-Setup-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Setup_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Setup_Item_NG_RAN_dRB_data_Forwarding_Information_Response = SEQ(name=u'dRB-data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _DRB_Setup_Item_NG_RAN_uL_UP_Transport_Parameters = SEQ_OF(name=u'uL-UP-Transport-Parameters', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')))
    _DRB_Setup_Item_NG_RAN_flow_Setup_List = SEQ_OF(name=u'flow-Setup-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')))
    _DRB_Setup_Item_NG_RAN_flow_Failed_List = SEQ_OF(name=u'flow-Failed-List', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Failed-List')), opt=True)
    _DRB_Setup_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Setup_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Setup_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Setup_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Setup_Item_NG_RAN_iE_Extensions._cont = __DRB_Setup_Item_NG_RAN_iE_Extensions__item_
    _DRB_Setup_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Setup_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Setup_Item_NG_RAN_dRB_ID),
        (u'dRB-data-Forwarding-Information-Response', _DRB_Setup_Item_NG_RAN_dRB_data_Forwarding_Information_Response),
        (u'uL-UP-Transport-Parameters', _DRB_Setup_Item_NG_RAN_uL_UP_Transport_Parameters),
        (u'flow-Setup-List', _DRB_Setup_Item_NG_RAN_flow_Setup_List),
        (u'flow-Failed-List', _DRB_Setup_Item_NG_RAN_flow_Failed_List),
        (u'iE-Extensions', _DRB_Setup_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Setup_Item_NG_RAN._ext = []
    
    #-----< DRB-Setup-Item-NG-RAN-ExtIEs >-----#
    DRB_Setup_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Setup-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Setup_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Setup-Mod-List-NG-RAN >-----#
    DRB_Setup_Mod_List_NG_RAN = SEQ_OF(name=u'DRB-Setup-Mod-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Setup_Mod_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Mod-Item-NG-RAN')))
    DRB_Setup_Mod_List_NG_RAN._cont = _DRB_Setup_Mod_List_NG_RAN__item_
    DRB_Setup_Mod_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Setup-Mod-Item-NG-RAN >-----#
    DRB_Setup_Mod_Item_NG_RAN = SEQ(name=u'DRB-Setup-Mod-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Setup_Mod_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Setup_Mod_Item_NG_RAN_dRB_data_Forwarding_Information_Response = SEQ(name=u'dRB-data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _DRB_Setup_Mod_Item_NG_RAN_uL_UP_Transport_Parameters = SEQ_OF(name=u'uL-UP-Transport-Parameters', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')))
    _DRB_Setup_Mod_Item_NG_RAN_flow_Setup_List = SEQ_OF(name=u'flow-Setup-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')))
    _DRB_Setup_Mod_Item_NG_RAN_flow_Failed_List = SEQ_OF(name=u'flow-Failed-List', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Failed-List')), opt=True)
    _DRB_Setup_Mod_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Setup_Mod_Item_NG_RAN_iE_Extensions._cont = __DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item_
    _DRB_Setup_Mod_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Setup_Mod_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Setup_Mod_Item_NG_RAN_dRB_ID),
        (u'dRB-data-Forwarding-Information-Response', _DRB_Setup_Mod_Item_NG_RAN_dRB_data_Forwarding_Information_Response),
        (u'uL-UP-Transport-Parameters', _DRB_Setup_Mod_Item_NG_RAN_uL_UP_Transport_Parameters),
        (u'flow-Setup-List', _DRB_Setup_Mod_Item_NG_RAN_flow_Setup_List),
        (u'flow-Failed-List', _DRB_Setup_Mod_Item_NG_RAN_flow_Failed_List),
        (u'iE-Extensions', _DRB_Setup_Mod_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Setup_Mod_Item_NG_RAN._ext = []
    
    #-----< DRB-Setup-Mod-Item-NG-RAN-ExtIEs >-----#
    DRB_Setup_Mod_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Setup-Mod-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Setup_Mod_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Status-Item >-----#
    DRB_Status_Item = SEQ(name=u'DRB-Status-Item', mode=MODE_TYPE)
    _DRB_Status_Item_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Status_Item_pDCP_DL_Count = SEQ(name=u'pDCP-DL-Count', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')), opt=True)
    _DRB_Status_Item_pDCP_UL_Count = SEQ(name=u'pDCP-UL-Count', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')), opt=True)
    _DRB_Status_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Status_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Status_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Status_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Status_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Status_Item_iE_Extensions__item__id._const_tab = ____DRB_Status_Item_iE_Extensions__item__id_tab
    ___DRB_Status_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Status_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Status_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Status_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Status_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Status_Item_iE_Extensions__item__criticality._const_tab = ____DRB_Status_Item_iE_Extensions__item__criticality_tab
    ___DRB_Status_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Status_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Status_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Status_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Status_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Status_Item_iE_Extensions__item__extensionValue._const_tab = ____DRB_Status_Item_iE_Extensions__item__extensionValue_tab
    ___DRB_Status_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Status_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Status_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Status_Item_iE_Extensions__item__id),
        (u'criticality', ___DRB_Status_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Status_Item_iE_Extensions__item__extensionValue),
        ])
    __DRB_Status_Item_iE_Extensions__item_._ext = None
    _DRB_Status_Item_iE_Extensions._cont = __DRB_Status_Item_iE_Extensions__item_
    _DRB_Status_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Status_Item._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Status_Item_dRB_ID),
        (u'pDCP-DL-Count', _DRB_Status_Item_pDCP_DL_Count),
        (u'pDCP-UL-Count', _DRB_Status_Item_pDCP_UL_Count),
        (u'iE-Extensions', _DRB_Status_Item_iE_Extensions),
        ])
    DRB_Status_Item._ext = []
    
    #-----< DRB-Status-ItemExtIEs >-----#
    DRB_Status_ItemExtIEs = CLASS(name=u'DRB-Status-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Status_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBs-Subject-To-Counter-Check-List-EUTRAN >-----#
    DRBs_Subject_To_Counter_Check_List_EUTRAN = SEQ_OF(name=u'DRBs-Subject-To-Counter-Check-List-EUTRAN', mode=MODE_TYPE)
    _DRBs_Subject_To_Counter_Check_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRBs-Subject-To-Counter-Check-Item-EUTRAN')))
    DRBs_Subject_To_Counter_Check_List_EUTRAN._cont = _DRBs_Subject_To_Counter_Check_List_EUTRAN__item_
    DRBs_Subject_To_Counter_Check_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBs-Subject-To-Counter-Check-Item-EUTRAN >-----#
    DRBs_Subject_To_Counter_Check_Item_EUTRAN = SEQ(name=u'DRBs-Subject-To-Counter-Check-Item-EUTRAN', mode=MODE_TYPE)
    _DRBs_Subject_To_Counter_Check_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRBs_Subject_To_Counter_Check_Item_EUTRAN_pDCP_UL_Count = SEQ(name=u'pDCP-UL-Count', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')))
    _DRBs_Subject_To_Counter_Check_Item_EUTRAN_pDCP_DL_Count = SEQ(name=u'pDCP-DL-Count', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')))
    _DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions._cont = __DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item_
    _DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBs_Subject_To_Counter_Check_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRBs_Subject_To_Counter_Check_Item_EUTRAN_dRB_ID),
        (u'pDCP-UL-Count', _DRBs_Subject_To_Counter_Check_Item_EUTRAN_pDCP_UL_Count),
        (u'pDCP-DL-Count', _DRBs_Subject_To_Counter_Check_Item_EUTRAN_pDCP_DL_Count),
        (u'iE-Extensions', _DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions),
        ])
    DRBs_Subject_To_Counter_Check_Item_EUTRAN._ext = []
    
    #-----< DRBs-Subject-To-Counter-Check-Item-EUTRAN-ExtIEs >-----#
    DRBs_Subject_To_Counter_Check_Item_EUTRAN_ExtIEs = CLASS(name=u'DRBs-Subject-To-Counter-Check-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRBs_Subject_To_Counter_Check_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBs-Subject-To-Counter-Check-List-NG-RAN >-----#
    DRBs_Subject_To_Counter_Check_List_NG_RAN = SEQ_OF(name=u'DRBs-Subject-To-Counter-Check-List-NG-RAN', mode=MODE_TYPE)
    _DRBs_Subject_To_Counter_Check_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRBs-Subject-To-Counter-Check-Item-NG-RAN')))
    DRBs_Subject_To_Counter_Check_List_NG_RAN._cont = _DRBs_Subject_To_Counter_Check_List_NG_RAN__item_
    DRBs_Subject_To_Counter_Check_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBs-Subject-To-Counter-Check-Item-NG-RAN >-----#
    DRBs_Subject_To_Counter_Check_Item_NG_RAN = SEQ(name=u'DRBs-Subject-To-Counter-Check-Item-NG-RAN', mode=MODE_TYPE)
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDCP_UL_Count = SEQ(name=u'pDCP-UL-Count', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')))
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDCP_DL_Count = SEQ(name=u'pDCP-DL-Count', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')))
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions._cont = __DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item_
    _DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBs_Subject_To_Counter_Check_Item_NG_RAN._cont = ASN1Dict([
        (u'pDU-Session-ID', _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDU_Session_ID),
        (u'dRB-ID', _DRBs_Subject_To_Counter_Check_Item_NG_RAN_dRB_ID),
        (u'pDCP-UL-Count', _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDCP_UL_Count),
        (u'pDCP-DL-Count', _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDCP_DL_Count),
        (u'iE-Extensions', _DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions),
        ])
    DRBs_Subject_To_Counter_Check_Item_NG_RAN._ext = []
    
    #-----< DRBs-Subject-To-Counter-Check-Item-NG-RAN-ExtIEs >-----#
    DRBs_Subject_To_Counter_Check_Item_NG_RAN_ExtIEs = CLASS(name=u'DRBs-Subject-To-Counter-Check-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRBs_Subject_To_Counter_Check_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Modify-List-EUTRAN >-----#
    DRB_To_Modify_List_EUTRAN = SEQ_OF(name=u'DRB-To-Modify-List-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Modify_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Modify-Item-EUTRAN')))
    DRB_To_Modify_List_EUTRAN._cont = _DRB_To_Modify_List_EUTRAN__item_
    DRB_To_Modify_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Modify-Item-EUTRAN >-----#
    DRB_To_Modify_Item_EUTRAN = SEQ(name=u'DRB-To-Modify-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Modify_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Modify_Item_EUTRAN_pDCP_Configuration = SEQ(name=u'pDCP-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Configuration')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_eUTRAN_QoS = SEQ(name=u'eUTRAN-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EUTRAN-QoS')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_s1_UL_UP_TNL_Information = CHOICE(name=u's1-UL-UP-TNL-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_data_Forwarding_Information = SEQ(name=u'data-Forwarding-Information', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_pDCP_SN_Status_Request = ENUM(name=u'pDCP-SN-Status-Request', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Request')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_pDCP_SN_Status_Information = SEQ(name=u'pDCP-SN-Status-Information', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Information')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_dL_UP_Parameters = SEQ_OF(name=u'dL-UP-Parameters', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Add = SEQ_OF(name=u'cell-Group-To-Add', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Modify = SEQ_OF(name=u'cell-Group-To-Modify', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Remove = SEQ_OF(name=u'cell-Group-To-Remove', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_dRB_Inactivity_Timer = INT(name=u'dRB-Inactivity-Timer', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _DRB_To_Modify_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(12, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Modify_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Modify_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Modify_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_To_Modify_Item_EUTRAN_iE_Extensions._cont = __DRB_To_Modify_Item_EUTRAN_iE_Extensions__item_
    _DRB_To_Modify_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Modify_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Modify_Item_EUTRAN_dRB_ID),
        (u'pDCP-Configuration', _DRB_To_Modify_Item_EUTRAN_pDCP_Configuration),
        (u'eUTRAN-QoS', _DRB_To_Modify_Item_EUTRAN_eUTRAN_QoS),
        (u's1-UL-UP-TNL-Information', _DRB_To_Modify_Item_EUTRAN_s1_UL_UP_TNL_Information),
        (u'data-Forwarding-Information', _DRB_To_Modify_Item_EUTRAN_data_Forwarding_Information),
        (u'pDCP-SN-Status-Request', _DRB_To_Modify_Item_EUTRAN_pDCP_SN_Status_Request),
        (u'pDCP-SN-Status-Information', _DRB_To_Modify_Item_EUTRAN_pDCP_SN_Status_Information),
        (u'dL-UP-Parameters', _DRB_To_Modify_Item_EUTRAN_dL_UP_Parameters),
        (u'cell-Group-To-Add', _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Add),
        (u'cell-Group-To-Modify', _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Modify),
        (u'cell-Group-To-Remove', _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Remove),
        (u'dRB-Inactivity-Timer', _DRB_To_Modify_Item_EUTRAN_dRB_Inactivity_Timer),
        (u'iE-Extensions', _DRB_To_Modify_Item_EUTRAN_iE_Extensions),
        ])
    DRB_To_Modify_Item_EUTRAN._ext = []
    
    #-----< DRB-To-Modify-Item-EUTRAN-ExtIEs >-----#
    DRB_To_Modify_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-To-Modify-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_To_Modify_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Modify-List-NG-RAN >-----#
    DRB_To_Modify_List_NG_RAN = SEQ_OF(name=u'DRB-To-Modify-List-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Modify_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Modify-Item-NG-RAN')))
    DRB_To_Modify_List_NG_RAN._cont = _DRB_To_Modify_List_NG_RAN__item_
    DRB_To_Modify_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Modify-Item-NG-RAN >-----#
    DRB_To_Modify_Item_NG_RAN = SEQ(name=u'DRB-To-Modify-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Modify_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Modify_Item_NG_RAN_sDAP_Configuration = SEQ(name=u'sDAP-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SDAP-Configuration')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_pDCP_Configuration = SEQ(name=u'pDCP-Configuration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Configuration')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_dRB_Data_Forwarding_Information = SEQ(name=u'dRB-Data-Forwarding-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_pDCP_SN_Status_Request = ENUM(name=u'pDCP-SN-Status-Request', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Request')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_pdcp_SN_Status_Information = SEQ(name=u'pdcp-SN-Status-Information', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Information')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_dL_UP_Parameters = SEQ_OF(name=u'dL-UP-Parameters', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Add = SEQ_OF(name=u'cell-Group-To-Add', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Modify = SEQ_OF(name=u'cell-Group-To-Modify', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Remove = SEQ_OF(name=u'cell-Group-To-Remove', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_flow_Mapping_Information = SEQ_OF(name=u'flow-Mapping-Information', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-QoS-Parameter-List')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_dRB_Inactivity_Timer = INT(name=u'dRB-Inactivity-Timer', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _DRB_To_Modify_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(12, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Modify_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')))
    _____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_1 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    ____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 71), (u'criticality', u'reject'), (u'Extension', _____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Extension', _____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Modify_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Modify_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_To_Modify_Item_NG_RAN_iE_Extensions._cont = __DRB_To_Modify_Item_NG_RAN_iE_Extensions__item_
    _DRB_To_Modify_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Modify_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Modify_Item_NG_RAN_dRB_ID),
        (u'sDAP-Configuration', _DRB_To_Modify_Item_NG_RAN_sDAP_Configuration),
        (u'pDCP-Configuration', _DRB_To_Modify_Item_NG_RAN_pDCP_Configuration),
        (u'dRB-Data-Forwarding-Information', _DRB_To_Modify_Item_NG_RAN_dRB_Data_Forwarding_Information),
        (u'pDCP-SN-Status-Request', _DRB_To_Modify_Item_NG_RAN_pDCP_SN_Status_Request),
        (u'pdcp-SN-Status-Information', _DRB_To_Modify_Item_NG_RAN_pdcp_SN_Status_Information),
        (u'dL-UP-Parameters', _DRB_To_Modify_Item_NG_RAN_dL_UP_Parameters),
        (u'cell-Group-To-Add', _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Add),
        (u'cell-Group-To-Modify', _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Modify),
        (u'cell-Group-To-Remove', _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Remove),
        (u'flow-Mapping-Information', _DRB_To_Modify_Item_NG_RAN_flow_Mapping_Information),
        (u'dRB-Inactivity-Timer', _DRB_To_Modify_Item_NG_RAN_dRB_Inactivity_Timer),
        (u'iE-Extensions', _DRB_To_Modify_Item_NG_RAN_iE_Extensions),
        ])
    DRB_To_Modify_Item_NG_RAN._ext = []
    
    #-----< DRB-To-Modify-Item-NG-RAN-ExtIEs >-----#
    DRB_To_Modify_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-To-Modify-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _DRB_To_Modify_Item_NG_RAN_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')))
    _DRB_To_Modify_Item_NG_RAN_ExtIEs_val_Extension_1 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    DRB_To_Modify_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 71), (u'criticality', u'reject'), (u'Extension', _DRB_To_Modify_Item_NG_RAN_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Extension', _DRB_To_Modify_Item_NG_RAN_ExtIEs_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Remove-List-EUTRAN >-----#
    DRB_To_Remove_List_EUTRAN = SEQ_OF(name=u'DRB-To-Remove-List-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Remove_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Remove-Item-EUTRAN')))
    DRB_To_Remove_List_EUTRAN._cont = _DRB_To_Remove_List_EUTRAN__item_
    DRB_To_Remove_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Remove-Item-EUTRAN >-----#
    DRB_To_Remove_Item_EUTRAN = SEQ(name=u'DRB-To-Remove-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Remove_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Remove_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Remove_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Remove_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Remove_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_To_Remove_Item_EUTRAN_iE_Extensions._cont = __DRB_To_Remove_Item_EUTRAN_iE_Extensions__item_
    _DRB_To_Remove_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Remove_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Remove_Item_EUTRAN_dRB_ID),
        (u'iE-Extensions', _DRB_To_Remove_Item_EUTRAN_iE_Extensions),
        ])
    DRB_To_Remove_Item_EUTRAN._ext = []
    
    #-----< DRB-To-Remove-Item-EUTRAN-ExtIEs >-----#
    DRB_To_Remove_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-To-Remove-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_To_Remove_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Required-To-Remove-List-EUTRAN >-----#
    DRB_Required_To_Remove_List_EUTRAN = SEQ_OF(name=u'DRB-Required-To-Remove-List-EUTRAN', mode=MODE_TYPE)
    _DRB_Required_To_Remove_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Remove-Item-EUTRAN')))
    DRB_Required_To_Remove_List_EUTRAN._cont = _DRB_Required_To_Remove_List_EUTRAN__item_
    DRB_Required_To_Remove_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Required-To-Remove-Item-EUTRAN >-----#
    DRB_Required_To_Remove_Item_EUTRAN = SEQ(name=u'DRB-Required-To-Remove-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_Required_To_Remove_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Required_To_Remove_Item_EUTRAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions._cont = __DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item_
    _DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Required_To_Remove_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Required_To_Remove_Item_EUTRAN_dRB_ID),
        (u'cause', _DRB_Required_To_Remove_Item_EUTRAN_cause),
        (u'iE-Extensions', _DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions),
        ])
    DRB_Required_To_Remove_Item_EUTRAN._ext = []
    
    #-----< DRB-Required-To-Remove-Item-EUTRAN-ExtIEs >-----#
    DRB_Required_To_Remove_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-Required-To-Remove-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Required_To_Remove_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Remove-List-NG-RAN >-----#
    DRB_To_Remove_List_NG_RAN = SEQ_OF(name=u'DRB-To-Remove-List-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Remove_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Remove-Item-NG-RAN')))
    DRB_To_Remove_List_NG_RAN._cont = _DRB_To_Remove_List_NG_RAN__item_
    DRB_To_Remove_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Remove-Item-NG-RAN >-----#
    DRB_To_Remove_Item_NG_RAN = SEQ(name=u'DRB-To-Remove-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Remove_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Remove_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Remove_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Remove_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Remove_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_To_Remove_Item_NG_RAN_iE_Extensions._cont = __DRB_To_Remove_Item_NG_RAN_iE_Extensions__item_
    _DRB_To_Remove_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Remove_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Remove_Item_NG_RAN_dRB_ID),
        (u'iE-Extensions', _DRB_To_Remove_Item_NG_RAN_iE_Extensions),
        ])
    DRB_To_Remove_Item_NG_RAN._ext = []
    
    #-----< DRB-To-Remove-Item-NG-RAN-ExtIEs >-----#
    DRB_To_Remove_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-To-Remove-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_To_Remove_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Required-To-Remove-List-NG-RAN >-----#
    DRB_Required_To_Remove_List_NG_RAN = SEQ_OF(name=u'DRB-Required-To-Remove-List-NG-RAN', mode=MODE_TYPE)
    _DRB_Required_To_Remove_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Remove-Item-NG-RAN')))
    DRB_Required_To_Remove_List_NG_RAN._cont = _DRB_Required_To_Remove_List_NG_RAN__item_
    DRB_Required_To_Remove_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-Required-To-Remove-Item-NG-RAN >-----#
    DRB_Required_To_Remove_Item_NG_RAN = SEQ(name=u'DRB-Required-To-Remove-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_Required_To_Remove_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_Required_To_Remove_Item_NG_RAN_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions._cont = __DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item_
    _DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Required_To_Remove_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_Required_To_Remove_Item_NG_RAN_dRB_ID),
        (u'cause', _DRB_Required_To_Remove_Item_NG_RAN_cause),
        (u'iE-Extensions', _DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions),
        ])
    DRB_Required_To_Remove_Item_NG_RAN._ext = []
    
    #-----< DRB-Required-To-Remove-Item-NG-RAN-ExtIEs >-----#
    DRB_Required_To_Remove_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-Required-To-Remove-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Required_To_Remove_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Setup-List-EUTRAN >-----#
    DRB_To_Setup_List_EUTRAN = SEQ_OF(name=u'DRB-To-Setup-List-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Setup_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Item-EUTRAN')))
    DRB_To_Setup_List_EUTRAN._cont = _DRB_To_Setup_List_EUTRAN__item_
    DRB_To_Setup_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Setup-Item-EUTRAN >-----#
    DRB_To_Setup_Item_EUTRAN = SEQ(name=u'DRB-To-Setup-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Setup_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Setup_Item_EUTRAN_pDCP_Configuration = SEQ(name=u'pDCP-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Configuration')))
    _DRB_To_Setup_Item_EUTRAN_eUTRAN_QoS = SEQ(name=u'eUTRAN-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EUTRAN-QoS')))
    _DRB_To_Setup_Item_EUTRAN_s1_UL_UP_TNL_Information = CHOICE(name=u's1-UL-UP-TNL-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _DRB_To_Setup_Item_EUTRAN_data_Forwarding_Information_Request = SEQ(name=u'data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _DRB_To_Setup_Item_EUTRAN_cell_Group_Information = SEQ_OF(name=u'cell-Group-Information', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')))
    _DRB_To_Setup_Item_EUTRAN_dL_UP_Parameters = SEQ_OF(name=u'dL-UP-Parameters', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')), opt=True)
    _DRB_To_Setup_Item_EUTRAN_dRB_Inactivity_Timer = INT(name=u'dRB-Inactivity-Timer', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _DRB_To_Setup_Item_EUTRAN_existing_Allocated_S1_DL_UP_TNL_Info = CHOICE(name=u'existing-Allocated-S1-DL-UP-TNL-Info', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _DRB_To_Setup_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Setup_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Setup_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Setup_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_To_Setup_Item_EUTRAN_iE_Extensions._cont = __DRB_To_Setup_Item_EUTRAN_iE_Extensions__item_
    _DRB_To_Setup_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Setup_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Setup_Item_EUTRAN_dRB_ID),
        (u'pDCP-Configuration', _DRB_To_Setup_Item_EUTRAN_pDCP_Configuration),
        (u'eUTRAN-QoS', _DRB_To_Setup_Item_EUTRAN_eUTRAN_QoS),
        (u's1-UL-UP-TNL-Information', _DRB_To_Setup_Item_EUTRAN_s1_UL_UP_TNL_Information),
        (u'data-Forwarding-Information-Request', _DRB_To_Setup_Item_EUTRAN_data_Forwarding_Information_Request),
        (u'cell-Group-Information', _DRB_To_Setup_Item_EUTRAN_cell_Group_Information),
        (u'dL-UP-Parameters', _DRB_To_Setup_Item_EUTRAN_dL_UP_Parameters),
        (u'dRB-Inactivity-Timer', _DRB_To_Setup_Item_EUTRAN_dRB_Inactivity_Timer),
        (u'existing-Allocated-S1-DL-UP-TNL-Info', _DRB_To_Setup_Item_EUTRAN_existing_Allocated_S1_DL_UP_TNL_Info),
        (u'iE-Extensions', _DRB_To_Setup_Item_EUTRAN_iE_Extensions),
        ])
    DRB_To_Setup_Item_EUTRAN._ext = []
    
    #-----< DRB-To-Setup-Item-EUTRAN-ExtIEs >-----#
    DRB_To_Setup_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-To-Setup-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_To_Setup_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Setup-Mod-List-EUTRAN >-----#
    DRB_To_Setup_Mod_List_EUTRAN = SEQ_OF(name=u'DRB-To-Setup-Mod-List-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Setup_Mod_List_EUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Mod-Item-EUTRAN')))
    DRB_To_Setup_Mod_List_EUTRAN._cont = _DRB_To_Setup_Mod_List_EUTRAN__item_
    DRB_To_Setup_Mod_List_EUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Setup-Mod-Item-EUTRAN >-----#
    DRB_To_Setup_Mod_Item_EUTRAN = SEQ(name=u'DRB-To-Setup-Mod-Item-EUTRAN', mode=MODE_TYPE)
    _DRB_To_Setup_Mod_Item_EUTRAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Setup_Mod_Item_EUTRAN_pDCP_Configuration = SEQ(name=u'pDCP-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Configuration')))
    _DRB_To_Setup_Mod_Item_EUTRAN_eUTRAN_QoS = SEQ(name=u'eUTRAN-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EUTRAN-QoS')))
    _DRB_To_Setup_Mod_Item_EUTRAN_s1_UL_UP_TNL_Information = CHOICE(name=u's1-UL-UP-TNL-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _DRB_To_Setup_Mod_Item_EUTRAN_data_Forwarding_Information_Request = SEQ(name=u'data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _DRB_To_Setup_Mod_Item_EUTRAN_cell_Group_Information = SEQ_OF(name=u'cell-Group-Information', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')))
    _DRB_To_Setup_Mod_Item_EUTRAN_dL_UP_Parameters = SEQ_OF(name=u'dL-UP-Parameters', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters')), opt=True)
    _DRB_To_Setup_Mod_Item_EUTRAN_dRB_Inactivity_Timer = INT(name=u'dRB-Inactivity-Timer', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab = ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item_._ext = None
    _DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions._cont = __DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item_
    _DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Setup_Mod_Item_EUTRAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Setup_Mod_Item_EUTRAN_dRB_ID),
        (u'pDCP-Configuration', _DRB_To_Setup_Mod_Item_EUTRAN_pDCP_Configuration),
        (u'eUTRAN-QoS', _DRB_To_Setup_Mod_Item_EUTRAN_eUTRAN_QoS),
        (u's1-UL-UP-TNL-Information', _DRB_To_Setup_Mod_Item_EUTRAN_s1_UL_UP_TNL_Information),
        (u'data-Forwarding-Information-Request', _DRB_To_Setup_Mod_Item_EUTRAN_data_Forwarding_Information_Request),
        (u'cell-Group-Information', _DRB_To_Setup_Mod_Item_EUTRAN_cell_Group_Information),
        (u'dL-UP-Parameters', _DRB_To_Setup_Mod_Item_EUTRAN_dL_UP_Parameters),
        (u'dRB-Inactivity-Timer', _DRB_To_Setup_Mod_Item_EUTRAN_dRB_Inactivity_Timer),
        (u'iE-Extensions', _DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions),
        ])
    DRB_To_Setup_Mod_Item_EUTRAN._ext = []
    
    #-----< DRB-To-Setup-Mod-Item-EUTRAN-ExtIEs >-----#
    DRB_To_Setup_Mod_Item_EUTRAN_ExtIEs = CLASS(name=u'DRB-To-Setup-Mod-Item-EUTRAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_To_Setup_Mod_Item_EUTRAN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Setup-List-NG-RAN >-----#
    DRB_To_Setup_List_NG_RAN = SEQ_OF(name=u'DRB-To-Setup-List-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Setup_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Item-NG-RAN')))
    DRB_To_Setup_List_NG_RAN._cont = _DRB_To_Setup_List_NG_RAN__item_
    DRB_To_Setup_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Setup-Item-NG-RAN >-----#
    DRB_To_Setup_Item_NG_RAN = SEQ(name=u'DRB-To-Setup-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Setup_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Setup_Item_NG_RAN_sDAP_Configuration = SEQ(name=u'sDAP-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SDAP-Configuration')))
    _DRB_To_Setup_Item_NG_RAN_pDCP_Configuration = SEQ(name=u'pDCP-Configuration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Configuration')))
    _DRB_To_Setup_Item_NG_RAN_cell_Group_Information = SEQ_OF(name=u'cell-Group-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')))
    _DRB_To_Setup_Item_NG_RAN_qos_flow_Information_To_Be_Setup = SEQ_OF(name=u'qos-flow-Information-To-Be-Setup', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-QoS-Parameter-List')))
    _DRB_To_Setup_Item_NG_RAN_dRB_Data_Forwarding_Information_Request = SEQ(name=u'dRB-Data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _DRB_To_Setup_Item_NG_RAN_dRB_Inactivity_Timer = INT(name=u'dRB-Inactivity-Timer', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _DRB_To_Setup_Item_NG_RAN_pDCP_SN_Status_Information = SEQ(name=u'pDCP-SN-Status-Information', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Information')), opt=True)
    _DRB_To_Setup_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Setup_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    ____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 72), (u'criticality', u'ignore'), (u'Extension', _____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Setup_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Setup_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_To_Setup_Item_NG_RAN_iE_Extensions._cont = __DRB_To_Setup_Item_NG_RAN_iE_Extensions__item_
    _DRB_To_Setup_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Setup_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Setup_Item_NG_RAN_dRB_ID),
        (u'sDAP-Configuration', _DRB_To_Setup_Item_NG_RAN_sDAP_Configuration),
        (u'pDCP-Configuration', _DRB_To_Setup_Item_NG_RAN_pDCP_Configuration),
        (u'cell-Group-Information', _DRB_To_Setup_Item_NG_RAN_cell_Group_Information),
        (u'qos-flow-Information-To-Be-Setup', _DRB_To_Setup_Item_NG_RAN_qos_flow_Information_To_Be_Setup),
        (u'dRB-Data-Forwarding-Information-Request', _DRB_To_Setup_Item_NG_RAN_dRB_Data_Forwarding_Information_Request),
        (u'dRB-Inactivity-Timer', _DRB_To_Setup_Item_NG_RAN_dRB_Inactivity_Timer),
        (u'pDCP-SN-Status-Information', _DRB_To_Setup_Item_NG_RAN_pDCP_SN_Status_Information),
        (u'iE-Extensions', _DRB_To_Setup_Item_NG_RAN_iE_Extensions),
        ])
    DRB_To_Setup_Item_NG_RAN._ext = []
    
    #-----< DRB-To-Setup-Item-NG-RAN-ExtIEs >-----#
    DRB_To_Setup_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-To-Setup-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _DRB_To_Setup_Item_NG_RAN_ExtIEs_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    DRB_To_Setup_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 72), (u'criticality', u'ignore'), (u'Extension', _DRB_To_Setup_Item_NG_RAN_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRB-To-Setup-Mod-List-NG-RAN >-----#
    DRB_To_Setup_Mod_List_NG_RAN = SEQ_OF(name=u'DRB-To-Setup-Mod-List-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Setup_Mod_List_NG_RAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Mod-Item-NG-RAN')))
    DRB_To_Setup_Mod_List_NG_RAN._cont = _DRB_To_Setup_Mod_List_NG_RAN__item_
    DRB_To_Setup_Mod_List_NG_RAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-To-Setup-Mod-Item-NG-RAN >-----#
    DRB_To_Setup_Mod_Item_NG_RAN = SEQ(name=u'DRB-To-Setup-Mod-Item-NG-RAN', mode=MODE_TYPE)
    _DRB_To_Setup_Mod_Item_NG_RAN_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-ID')))
    _DRB_To_Setup_Mod_Item_NG_RAN_sDAP_Configuration = SEQ(name=u'sDAP-Configuration', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SDAP-Configuration')))
    _DRB_To_Setup_Mod_Item_NG_RAN_pDCP_Configuration = SEQ(name=u'pDCP-Configuration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Configuration')))
    _DRB_To_Setup_Mod_Item_NG_RAN_cell_Group_Information = SEQ_OF(name=u'cell-Group-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-Information')))
    _DRB_To_Setup_Mod_Item_NG_RAN_flow_Mapping_Information = SEQ_OF(name=u'flow-Mapping-Information', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-QoS-Parameter-List')))
    _DRB_To_Setup_Mod_Item_NG_RAN_dRB_Data_Forwarding_Information_Request = SEQ(name=u'dRB-Data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _DRB_To_Setup_Mod_Item_NG_RAN_dRB_Inactivity_Timer = INT(name=u'dRB-Inactivity-Timer', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _DRB_To_Setup_Mod_Item_NG_RAN_pDCP_SN_Status_Information = SEQ(name=u'pDCP-SN-Status-Information', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Status-Information')), opt=True)
    _DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    ____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 72), (u'criticality', u'ignore'), (u'Extension', _____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab = ____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab_at = None
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab = ____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab = ____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id),
        (u'criticality', ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue),
        ])
    __DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item_._ext = None
    _DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions._cont = __DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item_
    _DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_To_Setup_Mod_Item_NG_RAN._cont = ASN1Dict([
        (u'dRB-ID', _DRB_To_Setup_Mod_Item_NG_RAN_dRB_ID),
        (u'sDAP-Configuration', _DRB_To_Setup_Mod_Item_NG_RAN_sDAP_Configuration),
        (u'pDCP-Configuration', _DRB_To_Setup_Mod_Item_NG_RAN_pDCP_Configuration),
        (u'cell-Group-Information', _DRB_To_Setup_Mod_Item_NG_RAN_cell_Group_Information),
        (u'flow-Mapping-Information', _DRB_To_Setup_Mod_Item_NG_RAN_flow_Mapping_Information),
        (u'dRB-Data-Forwarding-Information-Request', _DRB_To_Setup_Mod_Item_NG_RAN_dRB_Data_Forwarding_Information_Request),
        (u'dRB-Inactivity-Timer', _DRB_To_Setup_Mod_Item_NG_RAN_dRB_Inactivity_Timer),
        (u'pDCP-SN-Status-Information', _DRB_To_Setup_Mod_Item_NG_RAN_pDCP_SN_Status_Information),
        (u'iE-Extensions', _DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions),
        ])
    DRB_To_Setup_Mod_Item_NG_RAN._ext = []
    
    #-----< DRB-To-Setup-Mod-Item-NG-RAN-ExtIEs >-----#
    DRB_To_Setup_Mod_Item_NG_RAN_ExtIEs = CLASS(name=u'DRB-To-Setup-Mod-Item-NG-RAN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _DRB_To_Setup_Mod_Item_NG_RAN_ExtIEs_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    DRB_To_Setup_Mod_Item_NG_RAN_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 72), (u'criticality', u'ignore'), (u'Extension', _DRB_To_Setup_Mod_Item_NG_RAN_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRB-Usage-Report-List >-----#
    DRB_Usage_Report_List = SEQ_OF(name=u'DRB-Usage-Report-List', mode=MODE_TYPE)
    _DRB_Usage_Report_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Usage-Report-Item')))
    DRB_Usage_Report_List._cont = _DRB_Usage_Report_List__item_
    DRB_Usage_Report_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2)], ev=None, er=[])
    
    #-----< DRB-Usage-Report-Item >-----#
    DRB_Usage_Report_Item = SEQ(name=u'DRB-Usage-Report-Item', mode=MODE_TYPE)
    _DRB_Usage_Report_Item_startTimeStamp = OCT_STR(name=u'startTimeStamp', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _DRB_Usage_Report_Item_startTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _DRB_Usage_Report_Item_endTimeStamp = OCT_STR(name=u'endTimeStamp', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _DRB_Usage_Report_Item_endTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _DRB_Usage_Report_Item_usageCountUL = INT(name=u'usageCountUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _DRB_Usage_Report_Item_usageCountUL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _DRB_Usage_Report_Item_usageCountDL = INT(name=u'usageCountDL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _DRB_Usage_Report_Item_usageCountDL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _DRB_Usage_Report_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_Usage_Report_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRB_Usage_Report_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_Usage_Report_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Usage_Report_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Usage_Report_Item_iE_Extensions__item__id._const_tab = ____DRB_Usage_Report_Item_iE_Extensions__item__id_tab
    ___DRB_Usage_Report_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRB_Usage_Report_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRB_Usage_Report_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_Usage_Report_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Usage_Report_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Usage_Report_Item_iE_Extensions__item__criticality._const_tab = ____DRB_Usage_Report_Item_iE_Extensions__item__criticality_tab
    ___DRB_Usage_Report_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_Usage_Report_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRB_Usage_Report_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_Usage_Report_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRB_Usage_Report_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab = ____DRB_Usage_Report_Item_iE_Extensions__item__extensionValue_tab
    ___DRB_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRB_Usage_Report_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRB_Usage_Report_Item_iE_Extensions__item__id),
        (u'criticality', ___DRB_Usage_Report_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRB_Usage_Report_Item_iE_Extensions__item__extensionValue),
        ])
    __DRB_Usage_Report_Item_iE_Extensions__item_._ext = None
    _DRB_Usage_Report_Item_iE_Extensions._cont = __DRB_Usage_Report_Item_iE_Extensions__item_
    _DRB_Usage_Report_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_Usage_Report_Item._cont = ASN1Dict([
        (u'startTimeStamp', _DRB_Usage_Report_Item_startTimeStamp),
        (u'endTimeStamp', _DRB_Usage_Report_Item_endTimeStamp),
        (u'usageCountUL', _DRB_Usage_Report_Item_usageCountUL),
        (u'usageCountDL', _DRB_Usage_Report_Item_usageCountDL),
        (u'iE-Extensions', _DRB_Usage_Report_Item_iE_Extensions),
        ])
    DRB_Usage_Report_Item._ext = []
    
    #-----< DRB-Usage-Report-Item-ExtIEs >-----#
    DRB_Usage_Report_Item_ExtIEs = CLASS(name=u'DRB-Usage-Report-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRB_Usage_Report_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Duplication-Activation >-----#
    Duplication_Activation = ENUM(name=u'Duplication-Activation', mode=MODE_TYPE)
    Duplication_Activation._cont = ASN1Dict([(u'active', 0), (u'inactive', 1)])
    Duplication_Activation._ext = []
    
    #-----< Dynamic5QIDescriptor >-----#
    Dynamic5QIDescriptor = SEQ(name=u'Dynamic5QIDescriptor', mode=MODE_TYPE)
    _Dynamic5QIDescriptor_qoSPriorityLevel = INT(name=u'qoSPriorityLevel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoSPriorityLevel')))
    _Dynamic5QIDescriptor_packetDelayBudget = INT(name=u'packetDelayBudget', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PacketDelayBudget')))
    _Dynamic5QIDescriptor_packetErrorRate = SEQ(name=u'packetErrorRate', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PacketErrorRate')))
    _Dynamic5QIDescriptor_fiveQI = INT(name=u'fiveQI', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Dynamic5QIDescriptor_fiveQI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    _Dynamic5QIDescriptor_delayCritical = ENUM(name=u'delayCritical', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Dynamic5QIDescriptor_delayCritical._cont = ASN1Dict([(u'delay-critical', 0), (u'non-delay-critical', 1)])
    _Dynamic5QIDescriptor_delayCritical._ext = None
    _Dynamic5QIDescriptor_averagingWindow = INT(name=u'averagingWindow', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'AveragingWindow')), opt=True)
    _Dynamic5QIDescriptor_maxDataBurstVolume = INT(name=u'maxDataBurstVolume', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MaxDataBurstVolume')), opt=True)
    _Dynamic5QIDescriptor_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Dynamic5QIDescriptor_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Dynamic5QIDescriptor_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Dynamic5QIDescriptor_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Dynamic5QIDescriptor_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extensions__item__id._const_tab = ____Dynamic5QIDescriptor_iE_Extensions__item__id_tab
    ___Dynamic5QIDescriptor_iE_Extensions__item__id._const_tab_at = None
    ___Dynamic5QIDescriptor_iE_Extensions__item__id._const_tab_id = u'id'
    ___Dynamic5QIDescriptor_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extensions__item__criticality._const_tab = ____Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab
    ___Dynamic5QIDescriptor_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Dynamic5QIDescriptor_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Dynamic5QIDescriptor_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extensions__item__extensionValue._const_tab = ____Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab
    ___Dynamic5QIDescriptor_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Dynamic5QIDescriptor_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Dynamic5QIDescriptor_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Dynamic5QIDescriptor_iE_Extensions__item__id),
        (u'criticality', ___Dynamic5QIDescriptor_iE_Extensions__item__criticality),
        (u'extensionValue', ___Dynamic5QIDescriptor_iE_Extensions__item__extensionValue),
        ])
    __Dynamic5QIDescriptor_iE_Extensions__item_._ext = None
    _Dynamic5QIDescriptor_iE_Extensions._cont = __Dynamic5QIDescriptor_iE_Extensions__item_
    _Dynamic5QIDescriptor_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Dynamic5QIDescriptor._cont = ASN1Dict([
        (u'qoSPriorityLevel', _Dynamic5QIDescriptor_qoSPriorityLevel),
        (u'packetDelayBudget', _Dynamic5QIDescriptor_packetDelayBudget),
        (u'packetErrorRate', _Dynamic5QIDescriptor_packetErrorRate),
        (u'fiveQI', _Dynamic5QIDescriptor_fiveQI),
        (u'delayCritical', _Dynamic5QIDescriptor_delayCritical),
        (u'averagingWindow', _Dynamic5QIDescriptor_averagingWindow),
        (u'maxDataBurstVolume', _Dynamic5QIDescriptor_maxDataBurstVolume),
        (u'iE-Extensions', _Dynamic5QIDescriptor_iE_Extensions),
        ])
    Dynamic5QIDescriptor._ext = None
    
    #-----< Dynamic5QIDescriptor-ExtIEs >-----#
    Dynamic5QIDescriptor_ExtIEs = CLASS(name=u'Dynamic5QIDescriptor-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Dynamic5QIDescriptor_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataDiscardRequired >-----#
    DataDiscardRequired = ENUM(name=u'DataDiscardRequired', mode=MODE_TYPE)
    DataDiscardRequired._cont = ASN1Dict([(u'required', 0)])
    DataDiscardRequired._ext = []
    
    #-----< EncryptionKey >-----#
    EncryptionKey = OCT_STR(name=u'EncryptionKey', mode=MODE_TYPE)
    
    #-----< Endpoint-IP-address-and-port >-----#
    Endpoint_IP_address_and_port = SEQ(name=u'Endpoint-IP-address-and-port', mode=MODE_TYPE)
    _Endpoint_IP_address_and_port_endpoint_IP_Address = BIT_STR(name=u'endpoint-IP-Address', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TransportLayerAddress')))
    _Endpoint_IP_address_and_port_portNumber = BIT_STR(name=u'portNumber', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PortNumber')))
    _Endpoint_IP_address_and_port_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Endpoint_IP_address_and_port_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Endpoint_IP_address_and_port_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Endpoint_IP_address_and_port_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Endpoint_IP_address_and_port_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Endpoint_IP_address_and_port_iE_Extensions__item__id._const_tab = ____Endpoint_IP_address_and_port_iE_Extensions__item__id_tab
    ___Endpoint_IP_address_and_port_iE_Extensions__item__id._const_tab_at = None
    ___Endpoint_IP_address_and_port_iE_Extensions__item__id._const_tab_id = u'id'
    ___Endpoint_IP_address_and_port_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Endpoint_IP_address_and_port_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Endpoint_IP_address_and_port_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Endpoint_IP_address_and_port_iE_Extensions__item__criticality._const_tab = ____Endpoint_IP_address_and_port_iE_Extensions__item__criticality_tab
    ___Endpoint_IP_address_and_port_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Endpoint_IP_address_and_port_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue._const_tab = ____Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue_tab
    ___Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Endpoint_IP_address_and_port_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Endpoint_IP_address_and_port_iE_Extensions__item__id),
        (u'criticality', ___Endpoint_IP_address_and_port_iE_Extensions__item__criticality),
        (u'extensionValue', ___Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue),
        ])
    __Endpoint_IP_address_and_port_iE_Extensions__item_._ext = None
    _Endpoint_IP_address_and_port_iE_Extensions._cont = __Endpoint_IP_address_and_port_iE_Extensions__item_
    _Endpoint_IP_address_and_port_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Endpoint_IP_address_and_port._cont = ASN1Dict([
        (u'endpoint-IP-Address', _Endpoint_IP_address_and_port_endpoint_IP_Address),
        (u'portNumber', _Endpoint_IP_address_and_port_portNumber),
        (u'iE-Extensions', _Endpoint_IP_address_and_port_iE_Extensions),
        ])
    Endpoint_IP_address_and_port._ext = None
    
    #-----< Endpoint-IP-address-and-port-ExtIEs >-----#
    Endpoint_IP_address_and_port_ExtIEs = CLASS(name=u'Endpoint-IP-address-and-port-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Endpoint_IP_address_and_port_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRANAllocationAndRetentionPriority >-----#
    EUTRANAllocationAndRetentionPriority = SEQ(name=u'EUTRANAllocationAndRetentionPriority', mode=MODE_TYPE)
    _EUTRANAllocationAndRetentionPriority_priorityLevel = INT(name=u'priorityLevel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PriorityLevel')))
    _EUTRANAllocationAndRetentionPriority_pre_emptionCapability = ENUM(name=u'pre-emptionCapability', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Pre-emptionCapability')))
    _EUTRANAllocationAndRetentionPriority_pre_emptionVulnerability = ENUM(name=u'pre-emptionVulnerability', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Pre-emptionVulnerability')))
    _EUTRANAllocationAndRetentionPriority_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EUTRANAllocationAndRetentionPriority_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id._const_tab = ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id._const_tab_at = None
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id._const_tab_id = u'id'
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality._const_tab = ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue._const_tab = ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __EUTRANAllocationAndRetentionPriority_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id),
        (u'criticality', ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality),
        (u'extensionValue', ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue),
        ])
    __EUTRANAllocationAndRetentionPriority_iE_Extensions__item_._ext = None
    _EUTRANAllocationAndRetentionPriority_iE_Extensions._cont = __EUTRANAllocationAndRetentionPriority_iE_Extensions__item_
    _EUTRANAllocationAndRetentionPriority_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EUTRANAllocationAndRetentionPriority._cont = ASN1Dict([
        (u'priorityLevel', _EUTRANAllocationAndRetentionPriority_priorityLevel),
        (u'pre-emptionCapability', _EUTRANAllocationAndRetentionPriority_pre_emptionCapability),
        (u'pre-emptionVulnerability', _EUTRANAllocationAndRetentionPriority_pre_emptionVulnerability),
        (u'iE-Extensions', _EUTRANAllocationAndRetentionPriority_iE_Extensions),
        ])
    EUTRANAllocationAndRetentionPriority._ext = []
    
    #-----< EUTRANAllocationAndRetentionPriority-ExtIEs >-----#
    EUTRANAllocationAndRetentionPriority_ExtIEs = CLASS(name=u'EUTRANAllocationAndRetentionPriority-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    EUTRANAllocationAndRetentionPriority_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-QoS-Support-List >-----#
    EUTRAN_QoS_Support_List = SEQ_OF(name=u'EUTRAN-QoS-Support-List', mode=MODE_TYPE)
    _EUTRAN_QoS_Support_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'EUTRAN-QoS-Support-Item')))
    EUTRAN_QoS_Support_List._cont = _EUTRAN_QoS_Support_List__item_
    EUTRAN_QoS_Support_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< EUTRAN-QoS-Support-Item >-----#
    EUTRAN_QoS_Support_Item = SEQ(name=u'EUTRAN-QoS-Support-Item', mode=MODE_TYPE)
    _EUTRAN_QoS_Support_Item_eUTRAN_QoS = SEQ(name=u'eUTRAN-QoS', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EUTRAN-QoS')))
    _EUTRAN_QoS_Support_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EUTRAN_QoS_Support_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____EUTRAN_QoS_Support_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRAN_QoS_Support_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__id._const_tab = ____EUTRAN_QoS_Support_Item_iE_Extensions__item__id_tab
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__id._const_tab_at = None
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality._const_tab = ____EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality_tab
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue._const_tab = ____EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __EUTRAN_QoS_Support_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___EUTRAN_QoS_Support_Item_iE_Extensions__item__id),
        (u'criticality', ___EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue),
        ])
    __EUTRAN_QoS_Support_Item_iE_Extensions__item_._ext = None
    _EUTRAN_QoS_Support_Item_iE_Extensions._cont = __EUTRAN_QoS_Support_Item_iE_Extensions__item_
    _EUTRAN_QoS_Support_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EUTRAN_QoS_Support_Item._cont = ASN1Dict([
        (u'eUTRAN-QoS', _EUTRAN_QoS_Support_Item_eUTRAN_QoS),
        (u'iE-Extensions', _EUTRAN_QoS_Support_Item_iE_Extensions),
        ])
    EUTRAN_QoS_Support_Item._ext = None
    
    #-----< EUTRAN-QoS-Support-Item-ExtIEs >-----#
    EUTRAN_QoS_Support_Item_ExtIEs = CLASS(name=u'EUTRAN-QoS-Support-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    EUTRAN_QoS_Support_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-QoS >-----#
    EUTRAN_QoS = SEQ(name=u'EUTRAN-QoS', mode=MODE_TYPE)
    _EUTRAN_QoS_qCI = INT(name=u'qCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QCI')))
    _EUTRAN_QoS_eUTRANallocationAndRetentionPriority = SEQ(name=u'eUTRANallocationAndRetentionPriority', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EUTRANAllocationAndRetentionPriority')))
    _EUTRAN_QoS_gbrQosInformation = SEQ(name=u'gbrQosInformation', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GBR-QosInformation')), opt=True)
    _EUTRAN_QoS_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EUTRAN_QoS_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___EUTRAN_QoS_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____EUTRAN_QoS_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRAN_QoS_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRAN_QoS_iE_Extensions__item__id._const_tab = ____EUTRAN_QoS_iE_Extensions__item__id_tab
    ___EUTRAN_QoS_iE_Extensions__item__id._const_tab_at = None
    ___EUTRAN_QoS_iE_Extensions__item__id._const_tab_id = u'id'
    ___EUTRAN_QoS_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____EUTRAN_QoS_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRAN_QoS_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRAN_QoS_iE_Extensions__item__criticality._const_tab = ____EUTRAN_QoS_iE_Extensions__item__criticality_tab
    ___EUTRAN_QoS_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___EUTRAN_QoS_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___EUTRAN_QoS_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____EUTRAN_QoS_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____EUTRAN_QoS_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EUTRAN_QoS_iE_Extensions__item__extensionValue._const_tab = ____EUTRAN_QoS_iE_Extensions__item__extensionValue_tab
    ___EUTRAN_QoS_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___EUTRAN_QoS_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __EUTRAN_QoS_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___EUTRAN_QoS_iE_Extensions__item__id),
        (u'criticality', ___EUTRAN_QoS_iE_Extensions__item__criticality),
        (u'extensionValue', ___EUTRAN_QoS_iE_Extensions__item__extensionValue),
        ])
    __EUTRAN_QoS_iE_Extensions__item_._ext = None
    _EUTRAN_QoS_iE_Extensions._cont = __EUTRAN_QoS_iE_Extensions__item_
    _EUTRAN_QoS_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EUTRAN_QoS._cont = ASN1Dict([
        (u'qCI', _EUTRAN_QoS_qCI),
        (u'eUTRANallocationAndRetentionPriority', _EUTRAN_QoS_eUTRANallocationAndRetentionPriority),
        (u'gbrQosInformation', _EUTRAN_QoS_gbrQosInformation),
        (u'iE-Extensions', _EUTRAN_QoS_iE_Extensions),
        ])
    EUTRAN_QoS._ext = []
    
    #-----< EUTRAN-QoS-ExtIEs >-----#
    EUTRAN_QoS_ExtIEs = CLASS(name=u'EUTRAN-QoS-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    EUTRAN_QoS_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-Name >-----#
    GNB_CU_CP_Name = STR_PRINT(name=u'GNB-CU-CP-Name', mode=MODE_TYPE)
    GNB_CU_CP_Name._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=150)], ev=[], er=[])
    
    #-----< GNB-CU-CP-UE-E1AP-ID >-----#
    GNB_CU_CP_UE_E1AP_ID = INT(name=u'GNB-CU-CP-UE-E1AP-ID', mode=MODE_TYPE)
    GNB_CU_CP_UE_E1AP_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    
    #-----< GNB-CU-UP-Capacity >-----#
    GNB_CU_UP_Capacity = INT(name=u'GNB-CU-UP-Capacity', mode=MODE_TYPE)
    GNB_CU_UP_Capacity._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< GNB-CU-UP-CellGroupRelatedConfiguration >-----#
    GNB_CU_UP_CellGroupRelatedConfiguration = SEQ_OF(name=u'GNB-CU-UP-CellGroupRelatedConfiguration', mode=MODE_TYPE)
    _GNB_CU_UP_CellGroupRelatedConfiguration__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-CellGroupRelatedConfiguration-Item')))
    GNB_CU_UP_CellGroupRelatedConfiguration._cont = _GNB_CU_UP_CellGroupRelatedConfiguration__item_
    GNB_CU_UP_CellGroupRelatedConfiguration._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< GNB-CU-UP-CellGroupRelatedConfiguration-Item >-----#
    GNB_CU_UP_CellGroupRelatedConfiguration_Item = SEQ(name=u'GNB-CU-UP-CellGroupRelatedConfiguration-Item', mode=MODE_TYPE)
    _GNB_CU_UP_CellGroupRelatedConfiguration_Item_cell_Group_ID = INT(name=u'cell-Group-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-ID')))
    _GNB_CU_UP_CellGroupRelatedConfiguration_Item_uP_TNL_Information = CHOICE(name=u'uP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _GNB_CU_UP_CellGroupRelatedConfiguration_Item_uL_Configuration = ENUM(name=u'uL-Configuration', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UL-Configuration')), opt=True)
    _GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id_tab
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality_tab
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue_tab
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item_._ext = None
    _GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions._cont = __GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item_
    _GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_UP_CellGroupRelatedConfiguration_Item._cont = ASN1Dict([
        (u'cell-Group-ID', _GNB_CU_UP_CellGroupRelatedConfiguration_Item_cell_Group_ID),
        (u'uP-TNL-Information', _GNB_CU_UP_CellGroupRelatedConfiguration_Item_uP_TNL_Information),
        (u'uL-Configuration', _GNB_CU_UP_CellGroupRelatedConfiguration_Item_uL_Configuration),
        (u'iE-Extensions', _GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions),
        ])
    GNB_CU_UP_CellGroupRelatedConfiguration_Item._ext = None
    
    #-----< GNB-CU-UP-CellGroupRelatedConfiguration-Item-ExtIEs >-----#
    GNB_CU_UP_CellGroupRelatedConfiguration_Item_ExtIEs = CLASS(name=u'GNB-CU-UP-CellGroupRelatedConfiguration-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GNB_CU_UP_CellGroupRelatedConfiguration_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-ID >-----#
    GNB_CU_UP_ID = INT(name=u'GNB-CU-UP-ID', mode=MODE_TYPE)
    GNB_CU_UP_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=68719476735)], ev=None, er=[])
    
    #-----< GNB-CU-UP-Name >-----#
    GNB_CU_UP_Name = STR_PRINT(name=u'GNB-CU-UP-Name', mode=MODE_TYPE)
    GNB_CU_UP_Name._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=150)], ev=[], er=[])
    
    #-----< GNB-CU-UP-UE-E1AP-ID >-----#
    GNB_CU_UP_UE_E1AP_ID = INT(name=u'GNB-CU-UP-UE-E1AP-ID', mode=MODE_TYPE)
    GNB_CU_UP_UE_E1AP_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    
    #-----< GNB-CU-CP-TNLA-Setup-Item >-----#
    GNB_CU_CP_TNLA_Setup_Item = SEQ(name=u'GNB-CU-CP-TNLA-Setup-Item', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_Setup_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    _GNB_CU_CP_TNLA_Setup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality_tab
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item_._ext = None
    _GNB_CU_CP_TNLA_Setup_Item_iE_Extensions._cont = __GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item_
    _GNB_CU_CP_TNLA_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_CP_TNLA_Setup_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _GNB_CU_CP_TNLA_Setup_Item_tNLAssociationTransportLayerAddress),
        (u'iE-Extensions', _GNB_CU_CP_TNLA_Setup_Item_iE_Extensions),
        ])
    GNB_CU_CP_TNLA_Setup_Item._ext = []
    
    #-----< GNB-CU-CP-TNLA-Setup-Item-ExtIEs >-----#
    GNB_CU_CP_TNLA_Setup_Item_ExtIEs = CLASS(name=u'GNB-CU-CP-TNLA-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GNB_CU_CP_TNLA_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-TNLA-Failed-To-Setup-Item >-----#
    GNB_CU_CP_TNLA_Failed_To_Setup_Item = SEQ(name=u'GNB-CU-CP-TNLA-Failed-To-Setup-Item', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    _GNB_CU_CP_TNLA_Failed_To_Setup_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item_._ext = None
    _GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions._cont = __GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item_
    _GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_CP_TNLA_Failed_To_Setup_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _GNB_CU_CP_TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress),
        (u'cause', _GNB_CU_CP_TNLA_Failed_To_Setup_Item_cause),
        (u'iE-Extensions', _GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions),
        ])
    GNB_CU_CP_TNLA_Failed_To_Setup_Item._ext = None
    
    #-----< GNB-CU-CP-TNLA-Failed-To-Setup-Item-ExtIEs >-----#
    GNB_CU_CP_TNLA_Failed_To_Setup_Item_ExtIEs = CLASS(name=u'GNB-CU-CP-TNLA-Failed-To-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GNB_CU_CP_TNLA_Failed_To_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-TNLA-To-Add-Item >-----#
    GNB_CU_CP_TNLA_To_Add_Item = SEQ(name=u'GNB-CU-CP-TNLA-To-Add-Item', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_To_Add_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    _GNB_CU_CP_TNLA_To_Add_Item_tNLAssociationUsage = ENUM(name=u'tNLAssociationUsage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TNLAssociationUsage')))
    _GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality_tab
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item_._ext = None
    _GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions._cont = __GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item_
    _GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_CP_TNLA_To_Add_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _GNB_CU_CP_TNLA_To_Add_Item_tNLAssociationTransportLayerAddress),
        (u'tNLAssociationUsage', _GNB_CU_CP_TNLA_To_Add_Item_tNLAssociationUsage),
        (u'iE-Extensions', _GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions),
        ])
    GNB_CU_CP_TNLA_To_Add_Item._ext = None
    
    #-----< GNB-CU-CP-TNLA-To-Add-Item-ExtIEs >-----#
    GNB_CU_CP_TNLA_To_Add_Item_ExtIEs = CLASS(name=u'GNB-CU-CP-TNLA-To-Add-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GNB_CU_CP_TNLA_To_Add_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-TNLA-To-Remove-Item >-----#
    GNB_CU_CP_TNLA_To_Remove_Item = SEQ(name=u'GNB-CU-CP-TNLA-To-Remove-Item', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    _GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab_val_Extension_0 = CHOICE(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    ____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 75), (u'criticality', u'reject'), (u'Extension', _____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item_._ext = None
    _GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions._cont = __GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item_
    _GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_CP_TNLA_To_Remove_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _GNB_CU_CP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress),
        (u'iE-Extensions', _GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions),
        ])
    GNB_CU_CP_TNLA_To_Remove_Item._ext = None
    
    #-----< GNB-CU-CP-TNLA-To-Remove-Item-ExtIEs >-----#
    GNB_CU_CP_TNLA_To_Remove_Item_ExtIEs = CLASS(name=u'GNB-CU-CP-TNLA-To-Remove-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _GNB_CU_CP_TNLA_To_Remove_Item_ExtIEs_val_Extension_0 = CHOICE(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    GNB_CU_CP_TNLA_To_Remove_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 75), (u'criticality', u'reject'), (u'Extension', _GNB_CU_CP_TNLA_To_Remove_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-TNLA-To-Update-Item >-----#
    GNB_CU_CP_TNLA_To_Update_Item = SEQ(name=u'GNB-CU-CP-TNLA-To-Update-Item', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_To_Update_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    _GNB_CU_CP_TNLA_To_Update_Item_tNLAssociationUsage = ENUM(name=u'tNLAssociationUsage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TNLAssociationUsage')), opt=True)
    _GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id_tab
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality_tab
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item_._ext = None
    _GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions._cont = __GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item_
    _GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_CP_TNLA_To_Update_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _GNB_CU_CP_TNLA_To_Update_Item_tNLAssociationTransportLayerAddress),
        (u'tNLAssociationUsage', _GNB_CU_CP_TNLA_To_Update_Item_tNLAssociationUsage),
        (u'iE-Extensions', _GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions),
        ])
    GNB_CU_CP_TNLA_To_Update_Item._ext = None
    
    #-----< GNB-CU-CP-TNLA-To-Update-Item-ExtIEs >-----#
    GNB_CU_CP_TNLA_To_Update_Item_ExtIEs = CLASS(name=u'GNB-CU-CP-TNLA-To-Update-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GNB_CU_CP_TNLA_To_Update_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-TNLA-To-Remove-Item >-----#
    GNB_CU_UP_TNLA_To_Remove_Item = SEQ(name=u'GNB-CU-UP-TNLA-To-Remove-Item', mode=MODE_TYPE)
    _GNB_CU_UP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')))
    _GNB_CU_UP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddressgNBCUCP = CHOICE(name=u'tNLAssociationTransportLayerAddressgNBCUCP', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CP-TNL-Information')), opt=True)
    _GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab = ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_at = None
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab = ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab = ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id),
        (u'criticality', ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue),
        ])
    __GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item_._ext = None
    _GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions._cont = __GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item_
    _GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GNB_CU_UP_TNLA_To_Remove_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _GNB_CU_UP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress),
        (u'tNLAssociationTransportLayerAddressgNBCUCP', _GNB_CU_UP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddressgNBCUCP),
        (u'iE-Extensions', _GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions),
        ])
    GNB_CU_UP_TNLA_To_Remove_Item._ext = None
    
    #-----< GNB-CU-UP-TNLA-To-Remove-Item-ExtIEs >-----#
    GNB_CU_UP_TNLA_To_Remove_Item_ExtIEs = CLASS(name=u'GNB-CU-UP-TNLA-To-Remove-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GNB_CU_UP_TNLA_To_Remove_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GBR-QosInformation >-----#
    GBR_QosInformation = SEQ(name=u'GBR-QosInformation', mode=MODE_TYPE)
    _GBR_QosInformation_e_RAB_MaximumBitrateDL = INT(name=u'e-RAB-MaximumBitrateDL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QosInformation_e_RAB_MaximumBitrateUL = INT(name=u'e-RAB-MaximumBitrateUL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QosInformation_e_RAB_GuaranteedBitrateDL = INT(name=u'e-RAB-GuaranteedBitrateDL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QosInformation_e_RAB_GuaranteedBitrateUL = INT(name=u'e-RAB-GuaranteedBitrateUL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QosInformation_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GBR_QosInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GBR_QosInformation_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GBR_QosInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GBR_QosInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBR_QosInformation_iE_Extensions__item__id._const_tab = ____GBR_QosInformation_iE_Extensions__item__id_tab
    ___GBR_QosInformation_iE_Extensions__item__id._const_tab_at = None
    ___GBR_QosInformation_iE_Extensions__item__id._const_tab_id = u'id'
    ___GBR_QosInformation_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GBR_QosInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GBR_QosInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBR_QosInformation_iE_Extensions__item__criticality._const_tab = ____GBR_QosInformation_iE_Extensions__item__criticality_tab
    ___GBR_QosInformation_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GBR_QosInformation_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GBR_QosInformation_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GBR_QosInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GBR_QosInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBR_QosInformation_iE_Extensions__item__extensionValue._const_tab = ____GBR_QosInformation_iE_Extensions__item__extensionValue_tab
    ___GBR_QosInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GBR_QosInformation_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GBR_QosInformation_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GBR_QosInformation_iE_Extensions__item__id),
        (u'criticality', ___GBR_QosInformation_iE_Extensions__item__criticality),
        (u'extensionValue', ___GBR_QosInformation_iE_Extensions__item__extensionValue),
        ])
    __GBR_QosInformation_iE_Extensions__item_._ext = None
    _GBR_QosInformation_iE_Extensions._cont = __GBR_QosInformation_iE_Extensions__item_
    _GBR_QosInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GBR_QosInformation._cont = ASN1Dict([
        (u'e-RAB-MaximumBitrateDL', _GBR_QosInformation_e_RAB_MaximumBitrateDL),
        (u'e-RAB-MaximumBitrateUL', _GBR_QosInformation_e_RAB_MaximumBitrateUL),
        (u'e-RAB-GuaranteedBitrateDL', _GBR_QosInformation_e_RAB_GuaranteedBitrateDL),
        (u'e-RAB-GuaranteedBitrateUL', _GBR_QosInformation_e_RAB_GuaranteedBitrateUL),
        (u'iE-Extensions', _GBR_QosInformation_iE_Extensions),
        ])
    GBR_QosInformation._ext = []
    
    #-----< GBR-QosInformation-ExtIEs >-----#
    GBR_QosInformation_ExtIEs = CLASS(name=u'GBR-QosInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GBR_QosInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GBR-QoSFlowInformation >-----#
    GBR_QoSFlowInformation = SEQ(name=u'GBR-QoSFlowInformation', mode=MODE_TYPE)
    _GBR_QoSFlowInformation_maxFlowBitRateDownlink = INT(name=u'maxFlowBitRateDownlink', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QoSFlowInformation_maxFlowBitRateUplink = INT(name=u'maxFlowBitRateUplink', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QoSFlowInformation_guaranteedFlowBitRateDownlink = INT(name=u'guaranteedFlowBitRateDownlink', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QoSFlowInformation_guaranteedFlowBitRateUplink = INT(name=u'guaranteedFlowBitRateUplink', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _GBR_QoSFlowInformation_maxPacketLossRateDownlink = INT(name=u'maxPacketLossRateDownlink', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MaxPacketLossRate')), opt=True)
    _GBR_QoSFlowInformation_maxPacketLossRateUplink = INT(name=u'maxPacketLossRateUplink', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MaxPacketLossRate')), opt=True)
    _GBR_QoSFlowInformation_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GBR_QoSFlowInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GBR_QoSFlowInformation_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GBR_QoSFlowInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GBR_QoSFlowInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBR_QoSFlowInformation_iE_Extensions__item__id._const_tab = ____GBR_QoSFlowInformation_iE_Extensions__item__id_tab
    ___GBR_QoSFlowInformation_iE_Extensions__item__id._const_tab_at = None
    ___GBR_QoSFlowInformation_iE_Extensions__item__id._const_tab_id = u'id'
    ___GBR_QoSFlowInformation_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GBR_QoSFlowInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GBR_QoSFlowInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBR_QoSFlowInformation_iE_Extensions__item__criticality._const_tab = ____GBR_QoSFlowInformation_iE_Extensions__item__criticality_tab
    ___GBR_QoSFlowInformation_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GBR_QoSFlowInformation_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GBR_QoSFlowInformation_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GBR_QoSFlowInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GBR_QoSFlowInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBR_QoSFlowInformation_iE_Extensions__item__extensionValue._const_tab = ____GBR_QoSFlowInformation_iE_Extensions__item__extensionValue_tab
    ___GBR_QoSFlowInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GBR_QoSFlowInformation_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GBR_QoSFlowInformation_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GBR_QoSFlowInformation_iE_Extensions__item__id),
        (u'criticality', ___GBR_QoSFlowInformation_iE_Extensions__item__criticality),
        (u'extensionValue', ___GBR_QoSFlowInformation_iE_Extensions__item__extensionValue),
        ])
    __GBR_QoSFlowInformation_iE_Extensions__item_._ext = None
    _GBR_QoSFlowInformation_iE_Extensions._cont = __GBR_QoSFlowInformation_iE_Extensions__item_
    _GBR_QoSFlowInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GBR_QoSFlowInformation._cont = ASN1Dict([
        (u'maxFlowBitRateDownlink', _GBR_QoSFlowInformation_maxFlowBitRateDownlink),
        (u'maxFlowBitRateUplink', _GBR_QoSFlowInformation_maxFlowBitRateUplink),
        (u'guaranteedFlowBitRateDownlink', _GBR_QoSFlowInformation_guaranteedFlowBitRateDownlink),
        (u'guaranteedFlowBitRateUplink', _GBR_QoSFlowInformation_guaranteedFlowBitRateUplink),
        (u'maxPacketLossRateDownlink', _GBR_QoSFlowInformation_maxPacketLossRateDownlink),
        (u'maxPacketLossRateUplink', _GBR_QoSFlowInformation_maxPacketLossRateUplink),
        (u'iE-Extensions', _GBR_QoSFlowInformation_iE_Extensions),
        ])
    GBR_QoSFlowInformation._ext = []
    
    #-----< GBR-QosFlowInformation-ExtIEs >-----#
    GBR_QosFlowInformation_ExtIEs = CLASS(name=u'GBR-QosFlowInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GBR_QosFlowInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GTP-TEID >-----#
    GTP_TEID = OCT_STR(name=u'GTP-TEID', mode=MODE_TYPE)
    GTP_TEID._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    
    #-----< GTPTunnel >-----#
    GTPTunnel = SEQ(name=u'GTPTunnel', mode=MODE_TYPE)
    _GTPTunnel_transportLayerAddress = BIT_STR(name=u'transportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'TransportLayerAddress')))
    _GTPTunnel_gTP_TEID = OCT_STR(name=u'gTP-TEID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GTP-TEID')))
    _GTPTunnel_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GTPTunnel_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___GTPTunnel_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____GTPTunnel_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GTPTunnel_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPTunnel_iE_Extensions__item__id._const_tab = ____GTPTunnel_iE_Extensions__item__id_tab
    ___GTPTunnel_iE_Extensions__item__id._const_tab_at = None
    ___GTPTunnel_iE_Extensions__item__id._const_tab_id = u'id'
    ___GTPTunnel_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GTPTunnel_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GTPTunnel_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPTunnel_iE_Extensions__item__criticality._const_tab = ____GTPTunnel_iE_Extensions__item__criticality_tab
    ___GTPTunnel_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GTPTunnel_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GTPTunnel_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GTPTunnel_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____GTPTunnel_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPTunnel_iE_Extensions__item__extensionValue._const_tab = ____GTPTunnel_iE_Extensions__item__extensionValue_tab
    ___GTPTunnel_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GTPTunnel_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GTPTunnel_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GTPTunnel_iE_Extensions__item__id),
        (u'criticality', ___GTPTunnel_iE_Extensions__item__criticality),
        (u'extensionValue', ___GTPTunnel_iE_Extensions__item__extensionValue),
        ])
    __GTPTunnel_iE_Extensions__item_._ext = None
    _GTPTunnel_iE_Extensions._cont = __GTPTunnel_iE_Extensions__item_
    _GTPTunnel_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GTPTunnel._cont = ASN1Dict([
        (u'transportLayerAddress', _GTPTunnel_transportLayerAddress),
        (u'gTP-TEID', _GTPTunnel_gTP_TEID),
        (u'iE-Extensions', _GTPTunnel_iE_Extensions),
        ])
    GTPTunnel._ext = []
    
    #-----< GTPTunnel-ExtIEs >-----#
    GTPTunnel_ExtIEs = CLASS(name=u'GTPTunnel-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    GTPTunnel_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-OverloadInformation >-----#
    GNB_CU_UP_OverloadInformation = ENUM(name=u'GNB-CU-UP-OverloadInformation', mode=MODE_TYPE)
    GNB_CU_UP_OverloadInformation._cont = ASN1Dict([(u'overloaded', 0), (u'not-overloaded', 1)])
    GNB_CU_UP_OverloadInformation._ext = None
    
    #-----< GNB-DU-ID >-----#
    GNB_DU_ID = INT(name=u'GNB-DU-ID', mode=MODE_TYPE)
    GNB_DU_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=68719476735)], ev=None, er=[])
    
    #-----< HFN >-----#
    HFN = INT(name=u'HFN', mode=MODE_TYPE)
    HFN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    
    #-----< IntegrityProtectionIndication >-----#
    IntegrityProtectionIndication = ENUM(name=u'IntegrityProtectionIndication', mode=MODE_TYPE)
    IntegrityProtectionIndication._cont = ASN1Dict([(u'required', 0), (u'preferred', 1), (u'not-needed', 2)])
    IntegrityProtectionIndication._ext = []
    
    #-----< IntegrityProtectionAlgorithm >-----#
    IntegrityProtectionAlgorithm = ENUM(name=u'IntegrityProtectionAlgorithm', mode=MODE_TYPE)
    IntegrityProtectionAlgorithm._cont = ASN1Dict([(u'nIA0', 0), (u'i-128-NIA1', 1), (u'i-128-NIA2', 2), (u'i-128-NIA3', 3)])
    IntegrityProtectionAlgorithm._ext = []
    
    #-----< IntegrityProtectionKey >-----#
    IntegrityProtectionKey = OCT_STR(name=u'IntegrityProtectionKey', mode=MODE_TYPE)
    
    #-----< IntegrityProtectionResult >-----#
    IntegrityProtectionResult = ENUM(name=u'IntegrityProtectionResult', mode=MODE_TYPE)
    IntegrityProtectionResult._cont = ASN1Dict([(u'performed', 0), (u'not-performed', 1)])
    IntegrityProtectionResult._ext = []
    
    #-----< Inactivity-Timer >-----#
    Inactivity_Timer = INT(name=u'Inactivity-Timer', mode=MODE_TYPE)
    Inactivity_Timer._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=7200)], ev=[], er=[])
    
    #-----< MaxDataBurstVolume >-----#
    MaxDataBurstVolume = INT(name=u'MaxDataBurstVolume', mode=MODE_TYPE)
    MaxDataBurstVolume._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< MaximumIPdatarate >-----#
    MaximumIPdatarate = SEQ(name=u'MaximumIPdatarate', mode=MODE_TYPE)
    _MaximumIPdatarate_maxIPrate = ENUM(name=u'maxIPrate', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MaxIPrate')))
    _MaximumIPdatarate_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MaximumIPdatarate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___MaximumIPdatarate_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____MaximumIPdatarate_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MaximumIPdatarate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab_at = None
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab_id = u'id'
    ___MaximumIPdatarate_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____MaximumIPdatarate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MaximumIPdatarate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab = ____MaximumIPdatarate_iE_Extensions__item__criticality_tab
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____MaximumIPdatarate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MaximumIPdatarate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab = ____MaximumIPdatarate_iE_Extensions__item__extensionValue_tab
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MaximumIPdatarate_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MaximumIPdatarate_iE_Extensions__item__id),
        (u'criticality', ___MaximumIPdatarate_iE_Extensions__item__criticality),
        (u'extensionValue', ___MaximumIPdatarate_iE_Extensions__item__extensionValue),
        ])
    __MaximumIPdatarate_iE_Extensions__item_._ext = None
    _MaximumIPdatarate_iE_Extensions._cont = __MaximumIPdatarate_iE_Extensions__item_
    _MaximumIPdatarate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MaximumIPdatarate._cont = ASN1Dict([
        (u'maxIPrate', _MaximumIPdatarate_maxIPrate),
        (u'iE-Extensions', _MaximumIPdatarate_iE_Extensions),
        ])
    MaximumIPdatarate._ext = []
    
    #-----< MaximumIPdatarate-ExtIEs >-----#
    MaximumIPdatarate_ExtIEs = CLASS(name=u'MaximumIPdatarate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    MaximumIPdatarate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MaxIPrate >-----#
    MaxIPrate = ENUM(name=u'MaxIPrate', mode=MODE_TYPE)
    MaxIPrate._cont = ASN1Dict([(u'bitrate64kbs', 0), (u'max-UErate', 1)])
    MaxIPrate._ext = []
    
    #-----< MaxPacketLossRate >-----#
    MaxPacketLossRate = INT(name=u'MaxPacketLossRate', mode=MODE_TYPE)
    MaxPacketLossRate._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1000)], ev=[], er=[])
    
    #-----< MRDC-Data-Usage-Report-Item >-----#
    MRDC_Data_Usage_Report_Item = SEQ(name=u'MRDC-Data-Usage-Report-Item', mode=MODE_TYPE)
    _MRDC_Data_Usage_Report_Item_startTimeStamp = OCT_STR(name=u'startTimeStamp', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MRDC_Data_Usage_Report_Item_startTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _MRDC_Data_Usage_Report_Item_endTimeStamp = OCT_STR(name=u'endTimeStamp', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MRDC_Data_Usage_Report_Item_endTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _MRDC_Data_Usage_Report_Item_usageCountUL = INT(name=u'usageCountUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MRDC_Data_Usage_Report_Item_usageCountUL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _MRDC_Data_Usage_Report_Item_usageCountDL = INT(name=u'usageCountDL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MRDC_Data_Usage_Report_Item_usageCountDL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _MRDC_Data_Usage_Report_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MRDC_Data_Usage_Report_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__id._const_tab = ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__id_tab
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__id._const_tab_at = None
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality._const_tab = ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality_tab
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab = ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MRDC_Data_Usage_Report_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__id),
        (u'criticality', ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue),
        ])
    __MRDC_Data_Usage_Report_Item_iE_Extensions__item_._ext = None
    _MRDC_Data_Usage_Report_Item_iE_Extensions._cont = __MRDC_Data_Usage_Report_Item_iE_Extensions__item_
    _MRDC_Data_Usage_Report_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MRDC_Data_Usage_Report_Item._cont = ASN1Dict([
        (u'startTimeStamp', _MRDC_Data_Usage_Report_Item_startTimeStamp),
        (u'endTimeStamp', _MRDC_Data_Usage_Report_Item_endTimeStamp),
        (u'usageCountUL', _MRDC_Data_Usage_Report_Item_usageCountUL),
        (u'usageCountDL', _MRDC_Data_Usage_Report_Item_usageCountDL),
        (u'iE-Extensions', _MRDC_Data_Usage_Report_Item_iE_Extensions),
        ])
    MRDC_Data_Usage_Report_Item._ext = []
    
    #-----< MRDC-Data-Usage-Report-Item-ExtIEs >-----#
    MRDC_Data_Usage_Report_Item_ExtIEs = CLASS(name=u'MRDC-Data-Usage-Report-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    MRDC_Data_Usage_Report_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MRDC-Usage-Information >-----#
    MRDC_Usage_Information = SEQ(name=u'MRDC-Usage-Information', mode=MODE_TYPE)
    _MRDC_Usage_Information_data_Usage_per_PDU_Session_Report = SEQ(name=u'data-Usage-per-PDU-Session-Report', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Usage-per-PDU-Session-Report')), opt=True)
    _MRDC_Usage_Information_data_Usage_per_QoS_Flow_List = SEQ_OF(name=u'data-Usage-per-QoS-Flow-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Usage-per-QoS-Flow-List')), opt=True)
    _MRDC_Usage_Information_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MRDC_Usage_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___MRDC_Usage_Information_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____MRDC_Usage_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MRDC_Usage_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MRDC_Usage_Information_iE_Extensions__item__id._const_tab = ____MRDC_Usage_Information_iE_Extensions__item__id_tab
    ___MRDC_Usage_Information_iE_Extensions__item__id._const_tab_at = None
    ___MRDC_Usage_Information_iE_Extensions__item__id._const_tab_id = u'id'
    ___MRDC_Usage_Information_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____MRDC_Usage_Information_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MRDC_Usage_Information_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MRDC_Usage_Information_iE_Extensions__item__criticality._const_tab = ____MRDC_Usage_Information_iE_Extensions__item__criticality_tab
    ___MRDC_Usage_Information_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MRDC_Usage_Information_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MRDC_Usage_Information_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____MRDC_Usage_Information_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____MRDC_Usage_Information_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MRDC_Usage_Information_iE_Extensions__item__extensionValue._const_tab = ____MRDC_Usage_Information_iE_Extensions__item__extensionValue_tab
    ___MRDC_Usage_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MRDC_Usage_Information_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MRDC_Usage_Information_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MRDC_Usage_Information_iE_Extensions__item__id),
        (u'criticality', ___MRDC_Usage_Information_iE_Extensions__item__criticality),
        (u'extensionValue', ___MRDC_Usage_Information_iE_Extensions__item__extensionValue),
        ])
    __MRDC_Usage_Information_iE_Extensions__item_._ext = None
    _MRDC_Usage_Information_iE_Extensions._cont = __MRDC_Usage_Information_iE_Extensions__item_
    _MRDC_Usage_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MRDC_Usage_Information._cont = ASN1Dict([
        (u'data-Usage-per-PDU-Session-Report', _MRDC_Usage_Information_data_Usage_per_PDU_Session_Report),
        (u'data-Usage-per-QoS-Flow-List', _MRDC_Usage_Information_data_Usage_per_QoS_Flow_List),
        (u'iE-Extensions', _MRDC_Usage_Information_iE_Extensions),
        ])
    MRDC_Usage_Information._ext = []
    
    #-----< MRDC-Usage-Information-ExtIEs >-----#
    MRDC_Usage_Information_ExtIEs = CLASS(name=u'MRDC-Usage-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    MRDC_Usage_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NetworkInstance >-----#
    NetworkInstance = INT(name=u'NetworkInstance', mode=MODE_TYPE)
    NetworkInstance._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=[], er=[])
    
    #-----< New-UL-TNL-Information-Required >-----#
    New_UL_TNL_Information_Required = ENUM(name=u'New-UL-TNL-Information-Required', mode=MODE_TYPE)
    New_UL_TNL_Information_Required._cont = ASN1Dict([(u'required', 0)])
    New_UL_TNL_Information_Required._ext = []
    
    #-----< NGRANAllocationAndRetentionPriority >-----#
    NGRANAllocationAndRetentionPriority = SEQ(name=u'NGRANAllocationAndRetentionPriority', mode=MODE_TYPE)
    _NGRANAllocationAndRetentionPriority_priorityLevel = INT(name=u'priorityLevel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PriorityLevel')))
    _NGRANAllocationAndRetentionPriority_pre_emptionCapability = ENUM(name=u'pre-emptionCapability', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Pre-emptionCapability')))
    _NGRANAllocationAndRetentionPriority_pre_emptionVulnerability = ENUM(name=u'pre-emptionVulnerability', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Pre-emptionVulnerability')))
    _NGRANAllocationAndRetentionPriority_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NGRANAllocationAndRetentionPriority_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__id._const_tab = ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__id._const_tab_at = None
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__id._const_tab_id = u'id'
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality._const_tab = ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue._const_tab = ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NGRANAllocationAndRetentionPriority_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__id),
        (u'criticality', ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality),
        (u'extensionValue', ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue),
        ])
    __NGRANAllocationAndRetentionPriority_iE_Extensions__item_._ext = None
    _NGRANAllocationAndRetentionPriority_iE_Extensions._cont = __NGRANAllocationAndRetentionPriority_iE_Extensions__item_
    _NGRANAllocationAndRetentionPriority_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NGRANAllocationAndRetentionPriority._cont = ASN1Dict([
        (u'priorityLevel', _NGRANAllocationAndRetentionPriority_priorityLevel),
        (u'pre-emptionCapability', _NGRANAllocationAndRetentionPriority_pre_emptionCapability),
        (u'pre-emptionVulnerability', _NGRANAllocationAndRetentionPriority_pre_emptionVulnerability),
        (u'iE-Extensions', _NGRANAllocationAndRetentionPriority_iE_Extensions),
        ])
    NGRANAllocationAndRetentionPriority._ext = None
    
    #-----< NGRANAllocationAndRetentionPriority-ExtIEs >-----#
    NGRANAllocationAndRetentionPriority_ExtIEs = CLASS(name=u'NGRANAllocationAndRetentionPriority-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    NGRANAllocationAndRetentionPriority_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-QoS-Support-List >-----#
    NG_RAN_QoS_Support_List = SEQ_OF(name=u'NG-RAN-QoS-Support-List', mode=MODE_TYPE)
    _NG_RAN_QoS_Support_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'NG-RAN-QoS-Support-Item')))
    NG_RAN_QoS_Support_List._cont = _NG_RAN_QoS_Support_List__item_
    NG_RAN_QoS_Support_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< NG-RAN-QoS-Support-Item >-----#
    NG_RAN_QoS_Support_Item = SEQ(name=u'NG-RAN-QoS-Support-Item', mode=MODE_TYPE)
    _NG_RAN_QoS_Support_Item_non_Dynamic5QIDescriptor = SEQ(name=u'non-Dynamic5QIDescriptor', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Non-Dynamic5QIDescriptor')))
    _NG_RAN_QoS_Support_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NG_RAN_QoS_Support_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____NG_RAN_QoS_Support_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NG_RAN_QoS_Support_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__id._const_tab = ____NG_RAN_QoS_Support_Item_iE_Extensions__item__id_tab
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__id._const_tab_at = None
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality._const_tab = ____NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality_tab
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue._const_tab = ____NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NG_RAN_QoS_Support_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NG_RAN_QoS_Support_Item_iE_Extensions__item__id),
        (u'criticality', ___NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue),
        ])
    __NG_RAN_QoS_Support_Item_iE_Extensions__item_._ext = None
    _NG_RAN_QoS_Support_Item_iE_Extensions._cont = __NG_RAN_QoS_Support_Item_iE_Extensions__item_
    _NG_RAN_QoS_Support_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NG_RAN_QoS_Support_Item._cont = ASN1Dict([
        (u'non-Dynamic5QIDescriptor', _NG_RAN_QoS_Support_Item_non_Dynamic5QIDescriptor),
        (u'iE-Extensions', _NG_RAN_QoS_Support_Item_iE_Extensions),
        ])
    NG_RAN_QoS_Support_Item._ext = None
    
    #-----< NG-RAN-QoS-Support-Item-ExtIEs >-----#
    NG_RAN_QoS_Support_Item_ExtIEs = CLASS(name=u'NG-RAN-QoS-Support-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    NG_RAN_QoS_Support_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Non-Dynamic5QIDescriptor >-----#
    Non_Dynamic5QIDescriptor = SEQ(name=u'Non-Dynamic5QIDescriptor', mode=MODE_TYPE)
    _Non_Dynamic5QIDescriptor_fiveQI = INT(name=u'fiveQI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _Non_Dynamic5QIDescriptor_fiveQI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    _Non_Dynamic5QIDescriptor_qoSPriorityLevel = INT(name=u'qoSPriorityLevel', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoSPriorityLevel')), opt=True)
    _Non_Dynamic5QIDescriptor_averagingWindow = INT(name=u'averagingWindow', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'AveragingWindow')), opt=True)
    _Non_Dynamic5QIDescriptor_maxDataBurstVolume = INT(name=u'maxDataBurstVolume', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MaxDataBurstVolume')), opt=True)
    _Non_Dynamic5QIDescriptor_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Non_Dynamic5QIDescriptor_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Non_Dynamic5QIDescriptor_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Non_Dynamic5QIDescriptor_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__id._const_tab = ____Non_Dynamic5QIDescriptor_iE_Extensions__item__id_tab
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__id._const_tab_at = None
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__id._const_tab_id = u'id'
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality._const_tab = ____Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue._const_tab = ____Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Non_Dynamic5QIDescriptor_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Non_Dynamic5QIDescriptor_iE_Extensions__item__id),
        (u'criticality', ___Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality),
        (u'extensionValue', ___Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue),
        ])
    __Non_Dynamic5QIDescriptor_iE_Extensions__item_._ext = None
    _Non_Dynamic5QIDescriptor_iE_Extensions._cont = __Non_Dynamic5QIDescriptor_iE_Extensions__item_
    _Non_Dynamic5QIDescriptor_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Non_Dynamic5QIDescriptor._cont = ASN1Dict([
        (u'fiveQI', _Non_Dynamic5QIDescriptor_fiveQI),
        (u'qoSPriorityLevel', _Non_Dynamic5QIDescriptor_qoSPriorityLevel),
        (u'averagingWindow', _Non_Dynamic5QIDescriptor_averagingWindow),
        (u'maxDataBurstVolume', _Non_Dynamic5QIDescriptor_maxDataBurstVolume),
        (u'iE-Extensions', _Non_Dynamic5QIDescriptor_iE_Extensions),
        ])
    Non_Dynamic5QIDescriptor._ext = None
    
    #-----< Non-Dynamic5QIDescriptor-ExtIEs >-----#
    Non_Dynamic5QIDescriptor_ExtIEs = CLASS(name=u'Non-Dynamic5QIDescriptor-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Non_Dynamic5QIDescriptor_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NR-Cell-Identity >-----#
    NR_Cell_Identity = BIT_STR(name=u'NR-Cell-Identity', mode=MODE_TYPE)
    NR_Cell_Identity._const_sz = ASN1Set(rv=[36], rr=[], ev=None, er=[])
    
    #-----< NR-CGI >-----#
    NR_CGI = SEQ(name=u'NR-CGI', mode=MODE_TYPE)
    _NR_CGI_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PLMN-Identity')))
    _NR_CGI_nR_Cell_Identity = BIT_STR(name=u'nR-Cell-Identity', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NR-Cell-Identity')))
    _NR_CGI_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NR_CGI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___NR_CGI_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____NR_CGI_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extensions__item__id._const_tab = ____NR_CGI_iE_Extensions__item__id_tab
    ___NR_CGI_iE_Extensions__item__id._const_tab_at = None
    ___NR_CGI_iE_Extensions__item__id._const_tab_id = u'id'
    ___NR_CGI_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NR_CGI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extensions__item__criticality._const_tab = ____NR_CGI_iE_Extensions__item__criticality_tab
    ___NR_CGI_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NR_CGI_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NR_CGI_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NR_CGI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extensions__item__extensionValue._const_tab = ____NR_CGI_iE_Extensions__item__extensionValue_tab
    ___NR_CGI_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NR_CGI_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NR_CGI_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NR_CGI_iE_Extensions__item__id),
        (u'criticality', ___NR_CGI_iE_Extensions__item__criticality),
        (u'extensionValue', ___NR_CGI_iE_Extensions__item__extensionValue),
        ])
    __NR_CGI_iE_Extensions__item_._ext = None
    _NR_CGI_iE_Extensions._cont = __NR_CGI_iE_Extensions__item_
    _NR_CGI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NR_CGI._cont = ASN1Dict([
        (u'pLMN-Identity', _NR_CGI_pLMN_Identity),
        (u'nR-Cell-Identity', _NR_CGI_nR_Cell_Identity),
        (u'iE-Extensions', _NR_CGI_iE_Extensions),
        ])
    NR_CGI._ext = None
    
    #-----< NR-CGI-ExtIEs >-----#
    NR_CGI_ExtIEs = CLASS(name=u'NR-CGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    NR_CGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NR-CGI-Support-List >-----#
    NR_CGI_Support_List = SEQ_OF(name=u'NR-CGI-Support-List', mode=MODE_TYPE)
    _NR_CGI_Support_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'NR-CGI-Support-Item')))
    NR_CGI_Support_List._cont = _NR_CGI_Support_List__item_
    NR_CGI_Support_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=512)], ev=None, er=[])
    
    #-----< NR-CGI-Support-Item >-----#
    NR_CGI_Support_Item = SEQ(name=u'NR-CGI-Support-Item', mode=MODE_TYPE)
    _NR_CGI_Support_Item_nR_CGI = SEQ(name=u'nR-CGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NR-CGI')))
    _NR_CGI_Support_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NR_CGI_Support_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___NR_CGI_Support_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____NR_CGI_Support_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NR_CGI_Support_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_Support_Item_iE_Extensions__item__id._const_tab = ____NR_CGI_Support_Item_iE_Extensions__item__id_tab
    ___NR_CGI_Support_Item_iE_Extensions__item__id._const_tab_at = None
    ___NR_CGI_Support_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___NR_CGI_Support_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NR_CGI_Support_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NR_CGI_Support_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_Support_Item_iE_Extensions__item__criticality._const_tab = ____NR_CGI_Support_Item_iE_Extensions__item__criticality_tab
    ___NR_CGI_Support_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NR_CGI_Support_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NR_CGI_Support_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NR_CGI_Support_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____NR_CGI_Support_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_Support_Item_iE_Extensions__item__extensionValue._const_tab = ____NR_CGI_Support_Item_iE_Extensions__item__extensionValue_tab
    ___NR_CGI_Support_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NR_CGI_Support_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NR_CGI_Support_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NR_CGI_Support_Item_iE_Extensions__item__id),
        (u'criticality', ___NR_CGI_Support_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___NR_CGI_Support_Item_iE_Extensions__item__extensionValue),
        ])
    __NR_CGI_Support_Item_iE_Extensions__item_._ext = None
    _NR_CGI_Support_Item_iE_Extensions._cont = __NR_CGI_Support_Item_iE_Extensions__item_
    _NR_CGI_Support_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NR_CGI_Support_Item._cont = ASN1Dict([
        (u'nR-CGI', _NR_CGI_Support_Item_nR_CGI),
        (u'iE-Extensions', _NR_CGI_Support_Item_iE_Extensions),
        ])
    NR_CGI_Support_Item._ext = None
    
    #-----< NR-CGI-Support-Item-ExtIEs >-----#
    NR_CGI_Support_Item_ExtIEs = CLASS(name=u'NR-CGI-Support-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    NR_CGI_Support_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< OutOfOrderDelivery >-----#
    OutOfOrderDelivery = ENUM(name=u'OutOfOrderDelivery', mode=MODE_TYPE)
    OutOfOrderDelivery._cont = ASN1Dict([(u'true', 0)])
    OutOfOrderDelivery._ext = []
    
    #-----< PacketDelayBudget >-----#
    PacketDelayBudget = INT(name=u'PacketDelayBudget', mode=MODE_TYPE)
    PacketDelayBudget._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1023)], ev=[], er=[])
    
    #-----< PacketErrorRate >-----#
    PacketErrorRate = SEQ(name=u'PacketErrorRate', mode=MODE_TYPE)
    _PacketErrorRate_pER_Scalar = INT(name=u'pER-Scalar', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PER-Scalar')))
    _PacketErrorRate_pER_Exponent = INT(name=u'pER-Exponent', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PER-Exponent')))
    _PacketErrorRate_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PacketErrorRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PacketErrorRate_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PacketErrorRate_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__id._const_tab = ____PacketErrorRate_iE_Extensions__item__id_tab
    ___PacketErrorRate_iE_Extensions__item__id._const_tab_at = None
    ___PacketErrorRate_iE_Extensions__item__id._const_tab_id = u'id'
    ___PacketErrorRate_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PacketErrorRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab = ____PacketErrorRate_iE_Extensions__item__criticality_tab
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PacketErrorRate_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PacketErrorRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab = ____PacketErrorRate_iE_Extensions__item__extensionValue_tab
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PacketErrorRate_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PacketErrorRate_iE_Extensions__item__id),
        (u'criticality', ___PacketErrorRate_iE_Extensions__item__criticality),
        (u'extensionValue', ___PacketErrorRate_iE_Extensions__item__extensionValue),
        ])
    __PacketErrorRate_iE_Extensions__item_._ext = None
    _PacketErrorRate_iE_Extensions._cont = __PacketErrorRate_iE_Extensions__item_
    _PacketErrorRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PacketErrorRate._cont = ASN1Dict([
        (u'pER-Scalar', _PacketErrorRate_pER_Scalar),
        (u'pER-Exponent', _PacketErrorRate_pER_Exponent),
        (u'iE-Extensions', _PacketErrorRate_iE_Extensions),
        ])
    PacketErrorRate._ext = []
    
    #-----< PacketErrorRate-ExtIEs >-----#
    PacketErrorRate_ExtIEs = CLASS(name=u'PacketErrorRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PacketErrorRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PER-Scalar >-----#
    PER_Scalar = INT(name=u'PER-Scalar', mode=MODE_TYPE)
    PER_Scalar._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=[], er=[])
    
    #-----< PER-Exponent >-----#
    PER_Exponent = INT(name=u'PER-Exponent', mode=MODE_TYPE)
    PER_Exponent._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=[], er=[])
    
    #-----< PDCP-Configuration >-----#
    PDCP_Configuration = SEQ(name=u'PDCP-Configuration', mode=MODE_TYPE)
    _PDCP_Configuration_pDCP_SN_Size_UL = ENUM(name=u'pDCP-SN-Size-UL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Size')))
    _PDCP_Configuration_pDCP_SN_Size_DL = ENUM(name=u'pDCP-SN-Size-DL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN-Size')))
    _PDCP_Configuration_rLC_Mode = ENUM(name=u'rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'RLC-Mode')))
    _PDCP_Configuration_rOHC_Parameters = CHOICE(name=u'rOHC-Parameters', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'ROHC-Parameters')), opt=True)
    _PDCP_Configuration_t_ReorderingTimer = SEQ(name=u't-ReorderingTimer', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'T-ReorderingTimer')), opt=True)
    _PDCP_Configuration_discardTimer = ENUM(name=u'discardTimer', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DiscardTimer')), opt=True)
    _PDCP_Configuration_uLDataSplitThreshold = ENUM(name=u'uLDataSplitThreshold', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'ULDataSplitThreshold')), opt=True)
    _PDCP_Configuration_pDCP_Duplication = ENUM(name=u'pDCP-Duplication', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Duplication')), opt=True)
    _PDCP_Configuration_pDCP_Reestablishment = ENUM(name=u'pDCP-Reestablishment', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Reestablishment')), opt=True)
    _PDCP_Configuration_pDCP_DataRecovery = ENUM(name=u'pDCP-DataRecovery', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-DataRecovery')), opt=True)
    _PDCP_Configuration_duplication_Activation = ENUM(name=u'duplication-Activation', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Duplication-Activation')), opt=True)
    _PDCP_Configuration_outOfOrderDelivery = ENUM(name=u'outOfOrderDelivery', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'OutOfOrderDelivery')), opt=True)
    _PDCP_Configuration_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(12, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDCP_Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDCP_Configuration_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDCP_Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_Configuration_iE_Extensions__item__id._const_tab = ____PDCP_Configuration_iE_Extensions__item__id_tab
    ___PDCP_Configuration_iE_Extensions__item__id._const_tab_at = None
    ___PDCP_Configuration_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDCP_Configuration_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDCP_Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_Configuration_iE_Extensions__item__criticality._const_tab = ____PDCP_Configuration_iE_Extensions__item__criticality_tab
    ___PDCP_Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDCP_Configuration_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDCP_Configuration_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDCP_Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_Configuration_iE_Extensions__item__extensionValue._const_tab = ____PDCP_Configuration_iE_Extensions__item__extensionValue_tab
    ___PDCP_Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDCP_Configuration_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDCP_Configuration_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDCP_Configuration_iE_Extensions__item__id),
        (u'criticality', ___PDCP_Configuration_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDCP_Configuration_iE_Extensions__item__extensionValue),
        ])
    __PDCP_Configuration_iE_Extensions__item_._ext = None
    _PDCP_Configuration_iE_Extensions._cont = __PDCP_Configuration_iE_Extensions__item_
    _PDCP_Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDCP_Configuration._cont = ASN1Dict([
        (u'pDCP-SN-Size-UL', _PDCP_Configuration_pDCP_SN_Size_UL),
        (u'pDCP-SN-Size-DL', _PDCP_Configuration_pDCP_SN_Size_DL),
        (u'rLC-Mode', _PDCP_Configuration_rLC_Mode),
        (u'rOHC-Parameters', _PDCP_Configuration_rOHC_Parameters),
        (u't-ReorderingTimer', _PDCP_Configuration_t_ReorderingTimer),
        (u'discardTimer', _PDCP_Configuration_discardTimer),
        (u'uLDataSplitThreshold', _PDCP_Configuration_uLDataSplitThreshold),
        (u'pDCP-Duplication', _PDCP_Configuration_pDCP_Duplication),
        (u'pDCP-Reestablishment', _PDCP_Configuration_pDCP_Reestablishment),
        (u'pDCP-DataRecovery', _PDCP_Configuration_pDCP_DataRecovery),
        (u'duplication-Activation', _PDCP_Configuration_duplication_Activation),
        (u'outOfOrderDelivery', _PDCP_Configuration_outOfOrderDelivery),
        (u'iE-Extensions', _PDCP_Configuration_iE_Extensions),
        ])
    PDCP_Configuration._ext = []
    
    #-----< PDCP-Configuration-ExtIEs >-----#
    PDCP_Configuration_ExtIEs = CLASS(name=u'PDCP-Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDCP_Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDCP-Count >-----#
    PDCP_Count = SEQ(name=u'PDCP-Count', mode=MODE_TYPE)
    _PDCP_Count_pDCP_SN = INT(name=u'pDCP-SN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-SN')))
    _PDCP_Count_hFN = INT(name=u'hFN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'HFN')))
    _PDCP_Count_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDCP_Count_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDCP_Count_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDCP_Count_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_Count_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_Count_iE_Extensions__item__id._const_tab = ____PDCP_Count_iE_Extensions__item__id_tab
    ___PDCP_Count_iE_Extensions__item__id._const_tab_at = None
    ___PDCP_Count_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDCP_Count_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDCP_Count_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_Count_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_Count_iE_Extensions__item__criticality._const_tab = ____PDCP_Count_iE_Extensions__item__criticality_tab
    ___PDCP_Count_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDCP_Count_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDCP_Count_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDCP_Count_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_Count_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_Count_iE_Extensions__item__extensionValue._const_tab = ____PDCP_Count_iE_Extensions__item__extensionValue_tab
    ___PDCP_Count_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDCP_Count_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDCP_Count_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDCP_Count_iE_Extensions__item__id),
        (u'criticality', ___PDCP_Count_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDCP_Count_iE_Extensions__item__extensionValue),
        ])
    __PDCP_Count_iE_Extensions__item_._ext = None
    _PDCP_Count_iE_Extensions._cont = __PDCP_Count_iE_Extensions__item_
    _PDCP_Count_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDCP_Count._cont = ASN1Dict([
        (u'pDCP-SN', _PDCP_Count_pDCP_SN),
        (u'hFN', _PDCP_Count_hFN),
        (u'iE-Extensions', _PDCP_Count_iE_Extensions),
        ])
    PDCP_Count._ext = []
    
    #-----< PDCP-Count-ExtIEs >-----#
    PDCP_Count_ExtIEs = CLASS(name=u'PDCP-Count-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDCP_Count_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDCP-SN-Status-Request >-----#
    PDCP_SN_Status_Request = ENUM(name=u'PDCP-SN-Status-Request', mode=MODE_TYPE)
    PDCP_SN_Status_Request._cont = ASN1Dict([(u'requested', 0)])
    PDCP_SN_Status_Request._ext = []
    
    #-----< PDCP-DataRecovery >-----#
    PDCP_DataRecovery = ENUM(name=u'PDCP-DataRecovery', mode=MODE_TYPE)
    PDCP_DataRecovery._cont = ASN1Dict([(u'true', 0)])
    PDCP_DataRecovery._ext = []
    
    #-----< PDCP-Duplication >-----#
    PDCP_Duplication = ENUM(name=u'PDCP-Duplication', mode=MODE_TYPE)
    PDCP_Duplication._cont = ASN1Dict([(u'true', 0)])
    PDCP_Duplication._ext = []
    
    #-----< PDCP-Reestablishment >-----#
    PDCP_Reestablishment = ENUM(name=u'PDCP-Reestablishment', mode=MODE_TYPE)
    PDCP_Reestablishment._cont = ASN1Dict([(u'true', 0)])
    PDCP_Reestablishment._ext = []
    
    #-----< PDU-Session-Resource-Data-Usage-List >-----#
    PDU_Session_Resource_Data_Usage_List = SEQ_OF(name=u'PDU-Session-Resource-Data-Usage-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Data_Usage_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Data-Usage-Item')))
    PDU_Session_Resource_Data_Usage_List._cont = _PDU_Session_Resource_Data_Usage_List__item_
    PDU_Session_Resource_Data_Usage_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Data-Usage-Item >-----#
    PDU_Session_Resource_Data_Usage_Item = SEQ(name=u'PDU-Session-Resource-Data-Usage-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Data_Usage_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Data_Usage_Item_mRDC_Usage_Information = SEQ(name=u'mRDC-Usage-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MRDC-Usage-Information')))
    _PDU_Session_Resource_Data_Usage_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Data_Usage_Item_iE_Extensions._cont = __PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item_
    _PDU_Session_Resource_Data_Usage_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Data_Usage_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Data_Usage_Item_pDU_Session_ID),
        (u'mRDC-Usage-Information', _PDU_Session_Resource_Data_Usage_Item_mRDC_Usage_Information),
        (u'iE-Extensions', _PDU_Session_Resource_Data_Usage_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Data_Usage_Item._ext = []
    
    #-----< PDU-Session-Resource-Data-Usage-Item-ExtIEs >-----#
    PDU_Session_Resource_Data_Usage_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Data-Usage-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Data_Usage_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDCP-SN >-----#
    PDCP_SN = INT(name=u'PDCP-SN', mode=MODE_TYPE)
    PDCP_SN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=262143)], ev=None, er=[])
    
    #-----< PDCP-SN-Size >-----#
    PDCP_SN_Size = ENUM(name=u'PDCP-SN-Size', mode=MODE_TYPE)
    PDCP_SN_Size._cont = ASN1Dict([(u's-12', 0), (u's-18', 1)])
    PDCP_SN_Size._ext = []
    
    #-----< PDCP-SN-Status-Information >-----#
    PDCP_SN_Status_Information = SEQ(name=u'PDCP-SN-Status-Information', mode=MODE_TYPE)
    _PDCP_SN_Status_Information_pdcpStatusTransfer_UL = SEQ(name=u'pdcpStatusTransfer-UL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRBBStatusTransfer')))
    _PDCP_SN_Status_Information_pdcpStatusTransfer_DL = SEQ(name=u'pdcpStatusTransfer-DL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')))
    _PDCP_SN_Status_Information_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDCP_SN_Status_Information_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDCP_SN_Status_Information_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDCP_SN_Status_Information_iE_Extension__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_SN_Status_Information_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_SN_Status_Information_iE_Extension__item__id._const_tab = ____PDCP_SN_Status_Information_iE_Extension__item__id_tab
    ___PDCP_SN_Status_Information_iE_Extension__item__id._const_tab_at = None
    ___PDCP_SN_Status_Information_iE_Extension__item__id._const_tab_id = u'id'
    ___PDCP_SN_Status_Information_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDCP_SN_Status_Information_iE_Extension__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_SN_Status_Information_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_SN_Status_Information_iE_Extension__item__criticality._const_tab = ____PDCP_SN_Status_Information_iE_Extension__item__criticality_tab
    ___PDCP_SN_Status_Information_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDCP_SN_Status_Information_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDCP_SN_Status_Information_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDCP_SN_Status_Information_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDCP_SN_Status_Information_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCP_SN_Status_Information_iE_Extension__item__extensionValue._const_tab = ____PDCP_SN_Status_Information_iE_Extension__item__extensionValue_tab
    ___PDCP_SN_Status_Information_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDCP_SN_Status_Information_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDCP_SN_Status_Information_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDCP_SN_Status_Information_iE_Extension__item__id),
        (u'criticality', ___PDCP_SN_Status_Information_iE_Extension__item__criticality),
        (u'extensionValue', ___PDCP_SN_Status_Information_iE_Extension__item__extensionValue),
        ])
    __PDCP_SN_Status_Information_iE_Extension__item_._ext = None
    _PDCP_SN_Status_Information_iE_Extension._cont = __PDCP_SN_Status_Information_iE_Extension__item_
    _PDCP_SN_Status_Information_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDCP_SN_Status_Information._cont = ASN1Dict([
        (u'pdcpStatusTransfer-UL', _PDCP_SN_Status_Information_pdcpStatusTransfer_UL),
        (u'pdcpStatusTransfer-DL', _PDCP_SN_Status_Information_pdcpStatusTransfer_DL),
        (u'iE-Extension', _PDCP_SN_Status_Information_iE_Extension),
        ])
    PDCP_SN_Status_Information._ext = []
    
    #-----< DRBsSubjectToStatusTransfer-Item-ExtIEs >-----#
    DRBsSubjectToStatusTransfer_Item_ExtIEs = CLASS(name=u'DRBsSubjectToStatusTransfer-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRBsSubjectToStatusTransfer_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransfer >-----#
    DRBBStatusTransfer = SEQ(name=u'DRBBStatusTransfer', mode=MODE_TYPE)
    _DRBBStatusTransfer_receiveStatusofPDCPSDU = BIT_STR(name=u'receiveStatusofPDCPSDU', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _DRBBStatusTransfer_receiveStatusofPDCPSDU._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=131072)], ev=None, er=[])
    _DRBBStatusTransfer_countValue = SEQ(name=u'countValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDCP-Count')))
    _DRBBStatusTransfer_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBBStatusTransfer_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___DRBBStatusTransfer_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBBStatusTransfer_iE_Extension__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer_iE_Extension__item__id._const_tab = ____DRBBStatusTransfer_iE_Extension__item__id_tab
    ___DRBBStatusTransfer_iE_Extension__item__id._const_tab_at = None
    ___DRBBStatusTransfer_iE_Extension__item__id._const_tab_id = u'id'
    ___DRBBStatusTransfer_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBBStatusTransfer_iE_Extension__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer_iE_Extension__item__criticality._const_tab = ____DRBBStatusTransfer_iE_Extension__item__criticality_tab
    ___DRBBStatusTransfer_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DRBBStatusTransfer_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DRBBStatusTransfer_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBBStatusTransfer_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer_iE_Extension__item__extensionValue._const_tab = ____DRBBStatusTransfer_iE_Extension__item__extensionValue_tab
    ___DRBBStatusTransfer_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBBStatusTransfer_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DRBBStatusTransfer_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DRBBStatusTransfer_iE_Extension__item__id),
        (u'criticality', ___DRBBStatusTransfer_iE_Extension__item__criticality),
        (u'extensionValue', ___DRBBStatusTransfer_iE_Extension__item__extensionValue),
        ])
    __DRBBStatusTransfer_iE_Extension__item_._ext = None
    _DRBBStatusTransfer_iE_Extension._cont = __DRBBStatusTransfer_iE_Extension__item_
    _DRBBStatusTransfer_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBBStatusTransfer._cont = ASN1Dict([
        (u'receiveStatusofPDCPSDU', _DRBBStatusTransfer_receiveStatusofPDCPSDU),
        (u'countValue', _DRBBStatusTransfer_countValue),
        (u'iE-Extension', _DRBBStatusTransfer_iE_Extension),
        ])
    DRBBStatusTransfer._ext = []
    
    #-----< DRBBStatusTransfer-ExtIEs >-----#
    DRBBStatusTransfer_ExtIEs = CLASS(name=u'DRBBStatusTransfer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    DRBBStatusTransfer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-ID >-----#
    PDU_Session_ID = INT(name=u'PDU-Session-ID', mode=MODE_TYPE)
    PDU_Session_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Activity >-----#
    PDU_Session_Resource_Activity = ENUM(name=u'PDU-Session-Resource-Activity', mode=MODE_TYPE)
    PDU_Session_Resource_Activity._cont = ASN1Dict([(u'active', 0), (u'not-active', 1)])
    PDU_Session_Resource_Activity._ext = []
    
    #-----< PDU-Session-Resource-Activity-List >-----#
    PDU_Session_Resource_Activity_List = SEQ_OF(name=u'PDU-Session-Resource-Activity-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Activity_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Activity-Item')))
    PDU_Session_Resource_Activity_List._cont = _PDU_Session_Resource_Activity_List__item_
    PDU_Session_Resource_Activity_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Activity-Item >-----#
    PDU_Session_Resource_Activity_Item = SEQ(name=u'PDU-Session-Resource-Activity-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Activity_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Activity_Item_pDU_Session_Resource_Activity = ENUM(name=u'pDU-Session-Resource-Activity', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Activity')))
    _PDU_Session_Resource_Activity_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Activity_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Activity_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Activity_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Activity_Item_iE_Extensions._cont = __PDU_Session_Resource_Activity_Item_iE_Extensions__item_
    _PDU_Session_Resource_Activity_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Activity_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Activity_Item_pDU_Session_ID),
        (u'pDU-Session-Resource-Activity', _PDU_Session_Resource_Activity_Item_pDU_Session_Resource_Activity),
        (u'iE-Extensions', _PDU_Session_Resource_Activity_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Activity_Item._ext = []
    
    #-----< PDU-Session-Resource-Activity-ItemExtIEs >-----#
    PDU_Session_Resource_Activity_ItemExtIEs = CLASS(name=u'PDU-Session-Resource-Activity-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Activity_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Confirm-Modified-List >-----#
    PDU_Session_Resource_Confirm_Modified_List = SEQ_OF(name=u'PDU-Session-Resource-Confirm-Modified-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Confirm_Modified_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Confirm-Modified-Item')))
    PDU_Session_Resource_Confirm_Modified_List._cont = _PDU_Session_Resource_Confirm_Modified_List__item_
    PDU_Session_Resource_Confirm_Modified_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Confirm-Modified-Item >-----#
    PDU_Session_Resource_Confirm_Modified_Item = SEQ(name=u'PDU-Session-Resource-Confirm-Modified-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Confirm_Modified_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Confirm_Modified_Item_dRB_Confirm_Modified_List_NG_RAN = SEQ_OF(name=u'dRB-Confirm-Modified-List-NG-RAN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Confirm-Modified-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions._cont = __PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item_
    _PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Confirm_Modified_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Confirm_Modified_Item_pDU_Session_ID),
        (u'dRB-Confirm-Modified-List-NG-RAN', _PDU_Session_Resource_Confirm_Modified_Item_dRB_Confirm_Modified_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Confirm_Modified_Item._ext = []
    
    #-----< PDU-Session-Resource-Confirm-Modified-Item-ExtIEs >-----#
    PDU_Session_Resource_Confirm_Modified_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Confirm-Modified-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Confirm_Modified_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Failed-List >-----#
    PDU_Session_Resource_Failed_List = SEQ_OF(name=u'PDU-Session-Resource-Failed-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Failed_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-Item')))
    PDU_Session_Resource_Failed_List._cont = _PDU_Session_Resource_Failed_List__item_
    PDU_Session_Resource_Failed_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Failed-Item >-----#
    PDU_Session_Resource_Failed_Item = SEQ(name=u'PDU-Session-Resource-Failed-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Failed_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Failed_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _PDU_Session_Resource_Failed_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Failed_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Failed_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Failed_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Failed_Item_iE_Extensions._cont = __PDU_Session_Resource_Failed_Item_iE_Extensions__item_
    _PDU_Session_Resource_Failed_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Failed_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Failed_Item_pDU_Session_ID),
        (u'cause', _PDU_Session_Resource_Failed_Item_cause),
        (u'iE-Extensions', _PDU_Session_Resource_Failed_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Failed_Item._ext = []
    
    #-----< PDU-Session-Resource-Failed-Item-ExtIEs >-----#
    PDU_Session_Resource_Failed_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Failed-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Failed_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Failed-Mod-List >-----#
    PDU_Session_Resource_Failed_Mod_List = SEQ_OF(name=u'PDU-Session-Resource-Failed-Mod-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Failed_Mod_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-Mod-Item')))
    PDU_Session_Resource_Failed_Mod_List._cont = _PDU_Session_Resource_Failed_Mod_List__item_
    PDU_Session_Resource_Failed_Mod_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Failed-Mod-Item >-----#
    PDU_Session_Resource_Failed_Mod_Item = SEQ(name=u'PDU-Session-Resource-Failed-Mod-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Failed_Mod_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Failed_Mod_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _PDU_Session_Resource_Failed_Mod_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Failed_Mod_Item_iE_Extensions._cont = __PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item_
    _PDU_Session_Resource_Failed_Mod_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Failed_Mod_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Failed_Mod_Item_pDU_Session_ID),
        (u'cause', _PDU_Session_Resource_Failed_Mod_Item_cause),
        (u'iE-Extensions', _PDU_Session_Resource_Failed_Mod_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Failed_Mod_Item._ext = []
    
    #-----< PDU-Session-Resource-Failed-Mod-Item-ExtIEs >-----#
    PDU_Session_Resource_Failed_Mod_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Failed-Mod-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Failed_Mod_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Failed-To-Modify-List >-----#
    PDU_Session_Resource_Failed_To_Modify_List = SEQ_OF(name=u'PDU-Session-Resource-Failed-To-Modify-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Failed_To_Modify_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-To-Modify-Item')))
    PDU_Session_Resource_Failed_To_Modify_List._cont = _PDU_Session_Resource_Failed_To_Modify_List__item_
    PDU_Session_Resource_Failed_To_Modify_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Failed-To-Modify-Item >-----#
    PDU_Session_Resource_Failed_To_Modify_Item = SEQ(name=u'PDU-Session-Resource-Failed-To-Modify-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Failed_To_Modify_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Failed_To_Modify_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions._cont = __PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item_
    _PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Failed_To_Modify_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Failed_To_Modify_Item_pDU_Session_ID),
        (u'cause', _PDU_Session_Resource_Failed_To_Modify_Item_cause),
        (u'iE-Extensions', _PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Failed_To_Modify_Item._ext = []
    
    #-----< PDU-Session-Resource-Failed-To-Modify-Item-ExtIEs >-----#
    PDU_Session_Resource_Failed_To_Modify_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Failed-To-Modify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Failed_To_Modify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Modified-List >-----#
    PDU_Session_Resource_Modified_List = SEQ_OF(name=u'PDU-Session-Resource-Modified-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Modified_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Modified-Item')))
    PDU_Session_Resource_Modified_List._cont = _PDU_Session_Resource_Modified_List__item_
    PDU_Session_Resource_Modified_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Modified-Item >-----#
    PDU_Session_Resource_Modified_Item = SEQ(name=u'PDU-Session-Resource-Modified-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Modified_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Modified_Item_nG_DL_UP_TNL_Information = CHOICE(name=u'nG-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _PDU_Session_Resource_Modified_Item_securityResult = SEQ(name=u'securityResult', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityResult')), opt=True)
    _PDU_Session_Resource_Modified_Item_pDU_Session_Data_Forwarding_Information_Response = SEQ(name=u'pDU-Session-Data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _PDU_Session_Resource_Modified_Item_dRB_Setup_List_NG_RAN = SEQ_OF(name=u'dRB-Setup-List-NG-RAN', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Modified_Item_dRB_Failed_List_NG_RAN = SEQ_OF(name=u'dRB-Failed-List-NG-RAN', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Modified_Item_dRB_Modified_List_NG_RAN = SEQ_OF(name=u'dRB-Modified-List-NG-RAN', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Modified-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Modified_Item_dRB_Failed_To_Modify_List_NG_RAN = SEQ_OF(name=u'dRB-Failed-To-Modify-List-NG-RAN', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-To-Modify-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Modified_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Modified_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Modified_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Modified_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Modified_Item_iE_Extensions._cont = __PDU_Session_Resource_Modified_Item_iE_Extensions__item_
    _PDU_Session_Resource_Modified_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Modified_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Modified_Item_pDU_Session_ID),
        (u'nG-DL-UP-TNL-Information', _PDU_Session_Resource_Modified_Item_nG_DL_UP_TNL_Information),
        (u'securityResult', _PDU_Session_Resource_Modified_Item_securityResult),
        (u'pDU-Session-Data-Forwarding-Information-Response', _PDU_Session_Resource_Modified_Item_pDU_Session_Data_Forwarding_Information_Response),
        (u'dRB-Setup-List-NG-RAN', _PDU_Session_Resource_Modified_Item_dRB_Setup_List_NG_RAN),
        (u'dRB-Failed-List-NG-RAN', _PDU_Session_Resource_Modified_Item_dRB_Failed_List_NG_RAN),
        (u'dRB-Modified-List-NG-RAN', _PDU_Session_Resource_Modified_Item_dRB_Modified_List_NG_RAN),
        (u'dRB-Failed-To-Modify-List-NG-RAN', _PDU_Session_Resource_Modified_Item_dRB_Failed_To_Modify_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_Modified_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Modified_Item._ext = []
    
    #-----< PDU-Session-Resource-Modified-Item-ExtIEs >-----#
    PDU_Session_Resource_Modified_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Modified-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Modified_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Required-To-Modify-List >-----#
    PDU_Session_Resource_Required_To_Modify_List = SEQ_OF(name=u'PDU-Session-Resource-Required-To-Modify-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Required_To_Modify_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Required-To-Modify-Item')))
    PDU_Session_Resource_Required_To_Modify_List._cont = _PDU_Session_Resource_Required_To_Modify_List__item_
    PDU_Session_Resource_Required_To_Modify_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Required-To-Modify-Item >-----#
    PDU_Session_Resource_Required_To_Modify_Item = SEQ(name=u'PDU-Session-Resource-Required-To-Modify-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Required_To_Modify_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Required_To_Modify_Item_nG_DL_UP_TNL_Information = CHOICE(name=u'nG-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _PDU_Session_Resource_Required_To_Modify_Item_dRB_Required_To_Modify_List_NG_RAN = SEQ_OF(name=u'dRB-Required-To-Modify-List-NG-RAN', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Modify-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Required_To_Modify_Item_dRB_Required_To_Remove_List_NG_RAN = SEQ_OF(name=u'dRB-Required-To-Remove-List-NG-RAN', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Remove-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions._cont = __PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item_
    _PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Required_To_Modify_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Required_To_Modify_Item_pDU_Session_ID),
        (u'nG-DL-UP-TNL-Information', _PDU_Session_Resource_Required_To_Modify_Item_nG_DL_UP_TNL_Information),
        (u'dRB-Required-To-Modify-List-NG-RAN', _PDU_Session_Resource_Required_To_Modify_Item_dRB_Required_To_Modify_List_NG_RAN),
        (u'dRB-Required-To-Remove-List-NG-RAN', _PDU_Session_Resource_Required_To_Modify_Item_dRB_Required_To_Remove_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Required_To_Modify_Item._ext = []
    
    #-----< PDU-Session-Resource-Required-To-Modify-Item-ExtIEs >-----#
    PDU_Session_Resource_Required_To_Modify_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Required-To-Modify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Required_To_Modify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Setup-List >-----#
    PDU_Session_Resource_Setup_List = SEQ_OF(name=u'PDU-Session-Resource-Setup-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Setup-Item')))
    PDU_Session_Resource_Setup_List._cont = _PDU_Session_Resource_Setup_List__item_
    PDU_Session_Resource_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Setup-Item >-----#
    PDU_Session_Resource_Setup_Item = SEQ(name=u'PDU-Session-Resource-Setup-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Setup_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Setup_Item_securityResult = SEQ(name=u'securityResult', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityResult')), opt=True)
    _PDU_Session_Resource_Setup_Item_nG_DL_UP_TNL_Information = CHOICE(name=u'nG-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _PDU_Session_Resource_Setup_Item_pDU_Session_Data_Forwarding_Information_Response = SEQ(name=u'pDU-Session-Data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _PDU_Session_Resource_Setup_Item_nG_DL_UP_Unchanged = ENUM(name=u'nG-DL-UP-Unchanged', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _PDU_Session_Resource_Setup_Item_nG_DL_UP_Unchanged._cont = ASN1Dict([(u'true', 0)])
    _PDU_Session_Resource_Setup_Item_nG_DL_UP_Unchanged._ext = []
    _PDU_Session_Resource_Setup_Item_dRB_Setup_List_NG_RAN = SEQ_OF(name=u'dRB-Setup-List-NG-RAN', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-List-NG-RAN')))
    _PDU_Session_Resource_Setup_Item_dRB_Failed_List_NG_RAN = SEQ_OF(name=u'dRB-Failed-List-NG-RAN', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Setup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Setup_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Setup_Item_iE_Extensions._cont = __PDU_Session_Resource_Setup_Item_iE_Extensions__item_
    _PDU_Session_Resource_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Setup_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Setup_Item_pDU_Session_ID),
        (u'securityResult', _PDU_Session_Resource_Setup_Item_securityResult),
        (u'nG-DL-UP-TNL-Information', _PDU_Session_Resource_Setup_Item_nG_DL_UP_TNL_Information),
        (u'pDU-Session-Data-Forwarding-Information-Response', _PDU_Session_Resource_Setup_Item_pDU_Session_Data_Forwarding_Information_Response),
        (u'nG-DL-UP-Unchanged', _PDU_Session_Resource_Setup_Item_nG_DL_UP_Unchanged),
        (u'dRB-Setup-List-NG-RAN', _PDU_Session_Resource_Setup_Item_dRB_Setup_List_NG_RAN),
        (u'dRB-Failed-List-NG-RAN', _PDU_Session_Resource_Setup_Item_dRB_Failed_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_Setup_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Setup_Item._ext = []
    
    #-----< PDU-Session-Resource-Setup-Item-ExtIEs >-----#
    PDU_Session_Resource_Setup_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-Setup-Mod-List >-----#
    PDU_Session_Resource_Setup_Mod_List = SEQ_OF(name=u'PDU-Session-Resource-Setup-Mod-List', mode=MODE_TYPE)
    _PDU_Session_Resource_Setup_Mod_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Setup-Mod-Item')))
    PDU_Session_Resource_Setup_Mod_List._cont = _PDU_Session_Resource_Setup_Mod_List__item_
    PDU_Session_Resource_Setup_Mod_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-Setup-Mod-Item >-----#
    PDU_Session_Resource_Setup_Mod_Item = SEQ(name=u'PDU-Session-Resource-Setup-Mod-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_Setup_Mod_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_Setup_Mod_Item_securityResult = SEQ(name=u'securityResult', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityResult')), opt=True)
    _PDU_Session_Resource_Setup_Mod_Item_nG_DL_UP_TNL_Information = CHOICE(name=u'nG-DL-UP-TNL-Information', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _PDU_Session_Resource_Setup_Mod_Item_pDU_Session_Data_Forwarding_Information_Response = SEQ(name=u'pDU-Session-Data-Forwarding-Information-Response', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _PDU_Session_Resource_Setup_Mod_Item_dRB_Setup_Mod_List_NG_RAN = SEQ_OF(name=u'dRB-Setup-Mod-List-NG-RAN', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Mod-List-NG-RAN')))
    _PDU_Session_Resource_Setup_Mod_Item_dRB_Failed_Mod_List_NG_RAN = SEQ_OF(name=u'dRB-Failed-Mod-List-NG-RAN', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Mod-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_Setup_Mod_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_Setup_Mod_Item_iE_Extensions._cont = __PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item_
    _PDU_Session_Resource_Setup_Mod_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_Setup_Mod_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_Setup_Mod_Item_pDU_Session_ID),
        (u'securityResult', _PDU_Session_Resource_Setup_Mod_Item_securityResult),
        (u'nG-DL-UP-TNL-Information', _PDU_Session_Resource_Setup_Mod_Item_nG_DL_UP_TNL_Information),
        (u'pDU-Session-Data-Forwarding-Information-Response', _PDU_Session_Resource_Setup_Mod_Item_pDU_Session_Data_Forwarding_Information_Response),
        (u'dRB-Setup-Mod-List-NG-RAN', _PDU_Session_Resource_Setup_Mod_Item_dRB_Setup_Mod_List_NG_RAN),
        (u'dRB-Failed-Mod-List-NG-RAN', _PDU_Session_Resource_Setup_Mod_Item_dRB_Failed_Mod_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_Setup_Mod_Item_iE_Extensions),
        ])
    PDU_Session_Resource_Setup_Mod_Item._ext = []
    
    #-----< PDU-Session-Resource-Setup-Mod-Item-ExtIEs >-----#
    PDU_Session_Resource_Setup_Mod_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-Setup-Mod-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_Resource_Setup_Mod_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-To-Modify-List >-----#
    PDU_Session_Resource_To_Modify_List = SEQ_OF(name=u'PDU-Session-Resource-To-Modify-List', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Modify_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Modify-Item')))
    PDU_Session_Resource_To_Modify_List._cont = _PDU_Session_Resource_To_Modify_List__item_
    PDU_Session_Resource_To_Modify_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-To-Modify-Item >-----#
    PDU_Session_Resource_To_Modify_Item = SEQ(name=u'PDU-Session-Resource-To-Modify-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Modify_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_To_Modify_Item_securityIndication = SEQ(name=u'securityIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityIndication')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_pDU_Session_Resource_DL_AMBR = INT(name=u'pDU-Session-Resource-DL-AMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_nG_UL_UP_TNL_Information = CHOICE(name=u'nG-UL-UP-TNL-Information', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_pDU_Session_Data_Forwarding_Information_Request = SEQ(name=u'pDU-Session-Data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_pDU_Session_Data_Forwarding_Information = SEQ(name=u'pDU-Session-Data-Forwarding-Information', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_pDU_Session_Inactivity_Timer = INT(name=u'pDU-Session-Inactivity-Timer', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_networkInstance = INT(name=u'networkInstance', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NetworkInstance')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_dRB_To_Setup_List_NG_RAN = SEQ_OF(name=u'dRB-To-Setup-List-NG-RAN', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_dRB_To_Modify_List_NG_RAN = SEQ_OF(name=u'dRB-To-Modify-List-NG-RAN', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Modify-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_dRB_To_Remove_List_NG_RAN = SEQ_OF(name=u'dRB-To-Remove-List-NG-RAN', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Remove-List-NG-RAN')), opt=True)
    _PDU_Session_Resource_To_Modify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_To_Modify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'SNSSAI')))
    _____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CommonNetworkInstance')))
    ____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 69), (u'criticality', u'reject'), (u'Extension', _____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 78), (u'criticality', u'ignore'), (u'Extension', _____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_To_Modify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_To_Modify_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_To_Modify_Item_iE_Extensions._cont = __PDU_Session_Resource_To_Modify_Item_iE_Extensions__item_
    _PDU_Session_Resource_To_Modify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_To_Modify_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_To_Modify_Item_pDU_Session_ID),
        (u'securityIndication', _PDU_Session_Resource_To_Modify_Item_securityIndication),
        (u'pDU-Session-Resource-DL-AMBR', _PDU_Session_Resource_To_Modify_Item_pDU_Session_Resource_DL_AMBR),
        (u'nG-UL-UP-TNL-Information', _PDU_Session_Resource_To_Modify_Item_nG_UL_UP_TNL_Information),
        (u'pDU-Session-Data-Forwarding-Information-Request', _PDU_Session_Resource_To_Modify_Item_pDU_Session_Data_Forwarding_Information_Request),
        (u'pDU-Session-Data-Forwarding-Information', _PDU_Session_Resource_To_Modify_Item_pDU_Session_Data_Forwarding_Information),
        (u'pDU-Session-Inactivity-Timer', _PDU_Session_Resource_To_Modify_Item_pDU_Session_Inactivity_Timer),
        (u'networkInstance', _PDU_Session_Resource_To_Modify_Item_networkInstance),
        (u'dRB-To-Setup-List-NG-RAN', _PDU_Session_Resource_To_Modify_Item_dRB_To_Setup_List_NG_RAN),
        (u'dRB-To-Modify-List-NG-RAN', _PDU_Session_Resource_To_Modify_Item_dRB_To_Modify_List_NG_RAN),
        (u'dRB-To-Remove-List-NG-RAN', _PDU_Session_Resource_To_Modify_Item_dRB_To_Remove_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_To_Modify_Item_iE_Extensions),
        ])
    PDU_Session_Resource_To_Modify_Item._ext = []
    
    #-----< PDU-Session-Resource-To-Modify-Item-ExtIEs >-----#
    PDU_Session_Resource_To_Modify_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-To-Modify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _PDU_Session_Resource_To_Modify_Item_ExtIEs_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'SNSSAI')))
    _PDU_Session_Resource_To_Modify_Item_ExtIEs_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CommonNetworkInstance')))
    PDU_Session_Resource_To_Modify_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 69), (u'criticality', u'reject'), (u'Extension', _PDU_Session_Resource_To_Modify_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 78), (u'criticality', u'ignore'), (u'Extension', _PDU_Session_Resource_To_Modify_Item_ExtIEs_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-To-Remove-List >-----#
    PDU_Session_Resource_To_Remove_List = SEQ_OF(name=u'PDU-Session-Resource-To-Remove-List', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Remove_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Remove-Item')))
    PDU_Session_Resource_To_Remove_List._cont = _PDU_Session_Resource_To_Remove_List__item_
    PDU_Session_Resource_To_Remove_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-To-Remove-Item >-----#
    PDU_Session_Resource_To_Remove_Item = SEQ(name=u'PDU-Session-Resource-To-Remove-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Remove_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_To_Remove_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_To_Remove_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab_val_Extension_0 = CHOICE(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    ____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'ignore'), (u'Extension', _____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_To_Remove_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_To_Remove_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_To_Remove_Item_iE_Extensions._cont = __PDU_Session_Resource_To_Remove_Item_iE_Extensions__item_
    _PDU_Session_Resource_To_Remove_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_To_Remove_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_To_Remove_Item_pDU_Session_ID),
        (u'iE-Extensions', _PDU_Session_Resource_To_Remove_Item_iE_Extensions),
        ])
    PDU_Session_Resource_To_Remove_Item._ext = []
    
    #-----< PDU-Session-Resource-To-Remove-Item-ExtIEs >-----#
    PDU_Session_Resource_To_Remove_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-To-Remove-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _PDU_Session_Resource_To_Remove_Item_ExtIEs_val_Extension_0 = CHOICE(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    PDU_Session_Resource_To_Remove_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'ignore'), (u'Extension', _PDU_Session_Resource_To_Remove_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-To-Setup-List >-----#
    PDU_Session_Resource_To_Setup_List = SEQ_OF(name=u'PDU-Session-Resource-To-Setup-List', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Setup-Item')))
    PDU_Session_Resource_To_Setup_List._cont = _PDU_Session_Resource_To_Setup_List__item_
    PDU_Session_Resource_To_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-To-Setup-Item >-----#
    PDU_Session_Resource_To_Setup_Item = SEQ(name=u'PDU-Session-Resource-To-Setup-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Setup_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_To_Setup_Item_pDU_Session_Type = ENUM(name=u'pDU-Session-Type', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Type')))
    _PDU_Session_Resource_To_Setup_Item_sNSSAI = SEQ(name=u'sNSSAI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SNSSAI')))
    _PDU_Session_Resource_To_Setup_Item_securityIndication = SEQ(name=u'securityIndication', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityIndication')))
    _PDU_Session_Resource_To_Setup_Item_pDU_Session_Resource_DL_AMBR = INT(name=u'pDU-Session-Resource-DL-AMBR', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')), opt=True)
    _PDU_Session_Resource_To_Setup_Item_nG_UL_UP_TNL_Information = CHOICE(name=u'nG-UL-UP-TNL-Information', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _PDU_Session_Resource_To_Setup_Item_pDU_Session_Data_Forwarding_Information_Request = SEQ(name=u'pDU-Session-Data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _PDU_Session_Resource_To_Setup_Item_pDU_Session_Inactivity_Timer = INT(name=u'pDU-Session-Inactivity-Timer', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _PDU_Session_Resource_To_Setup_Item_existing_Allocated_NG_DL_UP_TNL_Info = CHOICE(name=u'existing-Allocated-NG-DL-UP-TNL-Info', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')), opt=True)
    _PDU_Session_Resource_To_Setup_Item_networkInstance = INT(name=u'networkInstance', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NetworkInstance')), opt=True)
    _PDU_Session_Resource_To_Setup_Item_dRB_To_Setup_List_NG_RAN = SEQ_OF(name=u'dRB-To-Setup-List-NG-RAN', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-List-NG-RAN')))
    _PDU_Session_Resource_To_Setup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_To_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CommonNetworkInstance')))
    ____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 78), (u'criticality', u'ignore'), (u'Extension', _____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_To_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_To_Setup_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_To_Setup_Item_iE_Extensions._cont = __PDU_Session_Resource_To_Setup_Item_iE_Extensions__item_
    _PDU_Session_Resource_To_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_To_Setup_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_To_Setup_Item_pDU_Session_ID),
        (u'pDU-Session-Type', _PDU_Session_Resource_To_Setup_Item_pDU_Session_Type),
        (u'sNSSAI', _PDU_Session_Resource_To_Setup_Item_sNSSAI),
        (u'securityIndication', _PDU_Session_Resource_To_Setup_Item_securityIndication),
        (u'pDU-Session-Resource-DL-AMBR', _PDU_Session_Resource_To_Setup_Item_pDU_Session_Resource_DL_AMBR),
        (u'nG-UL-UP-TNL-Information', _PDU_Session_Resource_To_Setup_Item_nG_UL_UP_TNL_Information),
        (u'pDU-Session-Data-Forwarding-Information-Request', _PDU_Session_Resource_To_Setup_Item_pDU_Session_Data_Forwarding_Information_Request),
        (u'pDU-Session-Inactivity-Timer', _PDU_Session_Resource_To_Setup_Item_pDU_Session_Inactivity_Timer),
        (u'existing-Allocated-NG-DL-UP-TNL-Info', _PDU_Session_Resource_To_Setup_Item_existing_Allocated_NG_DL_UP_TNL_Info),
        (u'networkInstance', _PDU_Session_Resource_To_Setup_Item_networkInstance),
        (u'dRB-To-Setup-List-NG-RAN', _PDU_Session_Resource_To_Setup_Item_dRB_To_Setup_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_To_Setup_Item_iE_Extensions),
        ])
    PDU_Session_Resource_To_Setup_Item._ext = []
    
    #-----< PDU-Session-Resource-To-Setup-Item-ExtIEs >-----#
    PDU_Session_Resource_To_Setup_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-To-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _PDU_Session_Resource_To_Setup_Item_ExtIEs_val_Extension_0 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CommonNetworkInstance')))
    PDU_Session_Resource_To_Setup_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 78), (u'criticality', u'ignore'), (u'Extension', _PDU_Session_Resource_To_Setup_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Resource-To-Setup-Mod-List >-----#
    PDU_Session_Resource_To_Setup_Mod_List = SEQ_OF(name=u'PDU-Session-Resource-To-Setup-Mod-List', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Setup_Mod_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Setup-Mod-Item')))
    PDU_Session_Resource_To_Setup_Mod_List._cont = _PDU_Session_Resource_To_Setup_Mod_List__item_
    PDU_Session_Resource_To_Setup_Mod_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-Resource-To-Setup-Mod-Item >-----#
    PDU_Session_Resource_To_Setup_Mod_Item = SEQ(name=u'PDU-Session-Resource-To-Setup-Mod-Item', mode=MODE_TYPE)
    _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Type = ENUM(name=u'pDU-Session-Type', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Type')))
    _PDU_Session_Resource_To_Setup_Mod_Item_sNSSAI = SEQ(name=u'sNSSAI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SNSSAI')))
    _PDU_Session_Resource_To_Setup_Mod_Item_securityIndication = SEQ(name=u'securityIndication', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityIndication')))
    _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Resource_AMBR = INT(name=u'pDU-Session-Resource-AMBR', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'BitRate')), opt=True)
    _PDU_Session_Resource_To_Setup_Mod_Item_nG_UL_UP_TNL_Information = CHOICE(name=u'nG-UL-UP-TNL-Information', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Data_Forwarding_Information_Request = SEQ(name=u'pDU-Session-Data-Forwarding-Information-Request', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Data-Forwarding-Information-Request')), opt=True)
    _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Inactivity_Timer = INT(name=u'pDU-Session-Inactivity-Timer', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')), opt=True)
    _PDU_Session_Resource_To_Setup_Mod_Item_dRB_To_Setup_Mod_List_NG_RAN = SEQ_OF(name=u'dRB-To-Setup-Mod-List-NG-RAN', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Mod-List-NG-RAN')))
    _PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab_val_Extension_0 = INT(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'NetworkInstance')))
    _____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CommonNetworkInstance')))
    ____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 79), (u'criticality', u'ignore'), (u'Extension', _____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 78), (u'criticality', u'ignore'), (u'Extension', _____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item_._ext = None
    _PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions._cont = __PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item_
    _PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_Resource_To_Setup_Mod_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_ID),
        (u'pDU-Session-Type', _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Type),
        (u'sNSSAI', _PDU_Session_Resource_To_Setup_Mod_Item_sNSSAI),
        (u'securityIndication', _PDU_Session_Resource_To_Setup_Mod_Item_securityIndication),
        (u'pDU-Session-Resource-AMBR', _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Resource_AMBR),
        (u'nG-UL-UP-TNL-Information', _PDU_Session_Resource_To_Setup_Mod_Item_nG_UL_UP_TNL_Information),
        (u'pDU-Session-Data-Forwarding-Information-Request', _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Data_Forwarding_Information_Request),
        (u'pDU-Session-Inactivity-Timer', _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Inactivity_Timer),
        (u'dRB-To-Setup-Mod-List-NG-RAN', _PDU_Session_Resource_To_Setup_Mod_Item_dRB_To_Setup_Mod_List_NG_RAN),
        (u'iE-Extensions', _PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions),
        ])
    PDU_Session_Resource_To_Setup_Mod_Item._ext = []
    
    #-----< PDU-Session-Resource-To-Setup-Mod-Item-ExtIEs >-----#
    PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs = CLASS(name=u'PDU-Session-Resource-To-Setup-Mod-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs_val_Extension_0 = INT(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'NetworkInstance')))
    _PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CommonNetworkInstance')))
    PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 79), (u'criticality', u'ignore'), (u'Extension', _PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 78), (u'criticality', u'ignore'), (u'Extension', _PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-To-Notify-List >-----#
    PDU_Session_To_Notify_List = SEQ_OF(name=u'PDU-Session-To-Notify-List', mode=MODE_TYPE)
    _PDU_Session_To_Notify_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-To-Notify-Item')))
    PDU_Session_To_Notify_List._cont = _PDU_Session_To_Notify_List__item_
    PDU_Session_To_Notify_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDU-Session-To-Notify-Item >-----#
    PDU_Session_To_Notify_Item = SEQ(name=u'PDU-Session-To-Notify-Item', mode=MODE_TYPE)
    _PDU_Session_To_Notify_Item_pDU_Session_ID = INT(name=u'pDU-Session-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-ID')))
    _PDU_Session_To_Notify_Item_qoS_Flow_List = SEQ_OF(name=u'qoS-Flow-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-List')))
    _PDU_Session_To_Notify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDU_Session_To_Notify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDU_Session_To_Notify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_To_Notify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__id._const_tab = ____PDU_Session_To_Notify_Item_iE_Extensions__item__id_tab
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDU_Session_To_Notify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_To_Notify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__criticality._const_tab = ____PDU_Session_To_Notify_Item_iE_Extensions__item__criticality_tab
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue_tab
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDU_Session_To_Notify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDU_Session_To_Notify_Item_iE_Extensions__item__id),
        (u'criticality', ___PDU_Session_To_Notify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDU_Session_To_Notify_Item_iE_Extensions__item_._ext = None
    _PDU_Session_To_Notify_Item_iE_Extensions._cont = __PDU_Session_To_Notify_Item_iE_Extensions__item_
    _PDU_Session_To_Notify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDU_Session_To_Notify_Item._cont = ASN1Dict([
        (u'pDU-Session-ID', _PDU_Session_To_Notify_Item_pDU_Session_ID),
        (u'qoS-Flow-List', _PDU_Session_To_Notify_Item_qoS_Flow_List),
        (u'iE-Extensions', _PDU_Session_To_Notify_Item_iE_Extensions),
        ])
    PDU_Session_To_Notify_Item._ext = []
    
    #-----< PDU-Session-To-Notify-Item-ExtIEs >-----#
    PDU_Session_To_Notify_Item_ExtIEs = CLASS(name=u'PDU-Session-To-Notify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    PDU_Session_To_Notify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDU-Session-Type >-----#
    PDU_Session_Type = ENUM(name=u'PDU-Session-Type', mode=MODE_TYPE)
    PDU_Session_Type._cont = ASN1Dict([(u'ipv4', 0), (u'ipv6', 1), (u'ipv4v6', 2), (u'ethernet', 3), (u'unstructured', 4)])
    PDU_Session_Type._ext = []
    
    #-----< PLMN-Identity >-----#
    PLMN_Identity = OCT_STR(name=u'PLMN-Identity', mode=MODE_TYPE)
    PLMN_Identity._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< PortNumber >-----#
    PortNumber = BIT_STR(name=u'PortNumber', mode=MODE_TYPE)
    PortNumber._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< PPI >-----#
    PPI = INT(name=u'PPI', mode=MODE_TYPE)
    PPI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7)], ev=[], er=[])
    
    #-----< PriorityLevel >-----#
    PriorityLevel = INT(name=u'PriorityLevel', mode=MODE_TYPE)
    PriorityLevel._cont = ASN1Dict([(u'spare', 0), (u'highest', 1), (u'lowest', 14), (u'no-priority', 15)])
    PriorityLevel._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=None, er=[])
    
    #-----< Pre-emptionCapability >-----#
    Pre_emptionCapability = ENUM(name=u'Pre-emptionCapability', mode=MODE_TYPE)
    Pre_emptionCapability._cont = ASN1Dict([(u'shall-not-trigger-pre-emption', 0), (u'may-trigger-pre-emption', 1)])
    Pre_emptionCapability._ext = None
    
    #-----< Pre-emptionVulnerability >-----#
    Pre_emptionVulnerability = ENUM(name=u'Pre-emptionVulnerability', mode=MODE_TYPE)
    Pre_emptionVulnerability._cont = ASN1Dict([(u'not-pre-emptable', 0), (u'pre-emptable', 1)])
    Pre_emptionVulnerability._ext = None
    
    #-----< QCI >-----#
    QCI = INT(name=u'QCI', mode=MODE_TYPE)
    QCI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< QoS-Characteristics >-----#
    QoS_Characteristics = CHOICE(name=u'QoS-Characteristics', mode=MODE_TYPE)
    _QoS_Characteristics_non_Dynamic_5QI = SEQ(name=u'non-Dynamic-5QI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Non-Dynamic5QIDescriptor')))
    _QoS_Characteristics_dynamic_5QI = SEQ(name=u'dynamic-5QI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Dynamic5QIDescriptor')))
    _QoS_Characteristics_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __QoS_Characteristics_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___QoS_Characteristics_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___QoS_Characteristics_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoS_Characteristics_choice_extension_id._const_tab = ___QoS_Characteristics_choice_extension_id_tab
    __QoS_Characteristics_choice_extension_id._const_tab_at = None
    __QoS_Characteristics_choice_extension_id._const_tab_id = u'id'
    __QoS_Characteristics_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___QoS_Characteristics_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___QoS_Characteristics_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoS_Characteristics_choice_extension_criticality._const_tab = ___QoS_Characteristics_choice_extension_criticality_tab
    __QoS_Characteristics_choice_extension_criticality._const_tab_at = ('..', u'id')
    __QoS_Characteristics_choice_extension_criticality._const_tab_id = u'criticality'
    __QoS_Characteristics_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___QoS_Characteristics_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___QoS_Characteristics_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoS_Characteristics_choice_extension_value._const_tab = ___QoS_Characteristics_choice_extension_value_tab
    __QoS_Characteristics_choice_extension_value._const_tab_at = ('..', u'id')
    __QoS_Characteristics_choice_extension_value._const_tab_id = u'Value'
    _QoS_Characteristics_choice_extension._cont = ASN1Dict([
        (u'id', __QoS_Characteristics_choice_extension_id),
        (u'criticality', __QoS_Characteristics_choice_extension_criticality),
        (u'value', __QoS_Characteristics_choice_extension_value),
        ])
    _QoS_Characteristics_choice_extension._ext = None
    QoS_Characteristics._cont = ASN1Dict([
        (u'non-Dynamic-5QI', _QoS_Characteristics_non_Dynamic_5QI),
        (u'dynamic-5QI', _QoS_Characteristics_dynamic_5QI),
        (u'choice-extension', _QoS_Characteristics_choice_extension),
        ])
    QoS_Characteristics._ext = None
    
    #-----< QoS-Characteristics-ExtIEs >-----#
    QoS_Characteristics_ExtIEs = CLASS(name=u'QoS-Characteristics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    QoS_Characteristics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoS-Flow-Identifier >-----#
    QoS_Flow_Identifier = INT(name=u'QoS-Flow-Identifier', mode=MODE_TYPE)
    QoS_Flow_Identifier._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    
    #-----< QoS-Flow-List >-----#
    QoS_Flow_List = SEQ_OF(name=u'QoS-Flow-List', mode=MODE_TYPE)
    _QoS_Flow_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Item')))
    QoS_Flow_List._cont = _QoS_Flow_List__item_
    QoS_Flow_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoS-Flow-Item >-----#
    QoS_Flow_Item = SEQ(name=u'QoS-Flow-Item', mode=MODE_TYPE)
    _QoS_Flow_Item_qoS_Flow_Identifier = INT(name=u'qoS-Flow-Identifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Identifier')))
    _QoS_Flow_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoS_Flow_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___QoS_Flow_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoS_Flow_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _____QoS_Flow_Item_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Mapping-Indication')))
    ____QoS_Flow_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 80), (u'criticality', u'ignore'), (u'Extension', _____QoS_Flow_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___QoS_Flow_Item_iE_Extensions__item__id._const_tab = ____QoS_Flow_Item_iE_Extensions__item__id_tab
    ___QoS_Flow_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoS_Flow_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoS_Flow_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___QoS_Flow_Item_iE_Extensions__item__criticality._const_tab = ____QoS_Flow_Item_iE_Extensions__item__id_tab
    ___QoS_Flow_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoS_Flow_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoS_Flow_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___QoS_Flow_Item_iE_Extensions__item__extensionValue._const_tab = ____QoS_Flow_Item_iE_Extensions__item__id_tab
    ___QoS_Flow_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoS_Flow_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoS_Flow_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoS_Flow_Item_iE_Extensions__item__id),
        (u'criticality', ___QoS_Flow_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoS_Flow_Item_iE_Extensions__item__extensionValue),
        ])
    __QoS_Flow_Item_iE_Extensions__item_._ext = None
    _QoS_Flow_Item_iE_Extensions._cont = __QoS_Flow_Item_iE_Extensions__item_
    _QoS_Flow_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoS_Flow_Item._cont = ASN1Dict([
        (u'qoS-Flow-Identifier', _QoS_Flow_Item_qoS_Flow_Identifier),
        (u'iE-Extensions', _QoS_Flow_Item_iE_Extensions),
        ])
    QoS_Flow_Item._ext = []
    
    #-----< QoS-Flow-Item-ExtIEs >-----#
    QoS_Flow_Item_ExtIEs = CLASS(name=u'QoS-Flow-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    _QoS_Flow_Item_ExtIEs_val_Extension_0 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Mapping-Indication')))
    QoS_Flow_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 80), (u'criticality', u'ignore'), (u'Extension', _QoS_Flow_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoS-Flow-Failed-List >-----#
    QoS_Flow_Failed_List = SEQ_OF(name=u'QoS-Flow-Failed-List', mode=MODE_TYPE)
    _QoS_Flow_Failed_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Failed-Item')))
    QoS_Flow_Failed_List._cont = _QoS_Flow_Failed_List__item_
    QoS_Flow_Failed_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoS-Flow-Failed-Item >-----#
    QoS_Flow_Failed_Item = SEQ(name=u'QoS-Flow-Failed-Item', mode=MODE_TYPE)
    _QoS_Flow_Failed_Item_qoS_Flow_Identifier = INT(name=u'qoS-Flow-Identifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Identifier')))
    _QoS_Flow_Failed_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _QoS_Flow_Failed_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoS_Flow_Failed_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___QoS_Flow_Failed_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoS_Flow_Failed_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_Failed_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_Failed_Item_iE_Extensions__item__id._const_tab = ____QoS_Flow_Failed_Item_iE_Extensions__item__id_tab
    ___QoS_Flow_Failed_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoS_Flow_Failed_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoS_Flow_Failed_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoS_Flow_Failed_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_Failed_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_Failed_Item_iE_Extensions__item__criticality._const_tab = ____QoS_Flow_Failed_Item_iE_Extensions__item__criticality_tab
    ___QoS_Flow_Failed_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoS_Flow_Failed_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue._const_tab = ____QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue_tab
    ___QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoS_Flow_Failed_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoS_Flow_Failed_Item_iE_Extensions__item__id),
        (u'criticality', ___QoS_Flow_Failed_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue),
        ])
    __QoS_Flow_Failed_Item_iE_Extensions__item_._ext = None
    _QoS_Flow_Failed_Item_iE_Extensions._cont = __QoS_Flow_Failed_Item_iE_Extensions__item_
    _QoS_Flow_Failed_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoS_Flow_Failed_Item._cont = ASN1Dict([
        (u'qoS-Flow-Identifier', _QoS_Flow_Failed_Item_qoS_Flow_Identifier),
        (u'cause', _QoS_Flow_Failed_Item_cause),
        (u'iE-Extensions', _QoS_Flow_Failed_Item_iE_Extensions),
        ])
    QoS_Flow_Failed_Item._ext = []
    
    #-----< QoS-Flow-Failed-Item-ExtIEs >-----#
    QoS_Flow_Failed_Item_ExtIEs = CLASS(name=u'QoS-Flow-Failed-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    QoS_Flow_Failed_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoS-Flow-Mapping-List >-----#
    QoS_Flow_Mapping_List = SEQ_OF(name=u'QoS-Flow-Mapping-List', mode=MODE_TYPE)
    _QoS_Flow_Mapping_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Mapping-Item')))
    QoS_Flow_Mapping_List._cont = _QoS_Flow_Mapping_List__item_
    QoS_Flow_Mapping_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoS-Flow-Mapping-Item >-----#
    QoS_Flow_Mapping_Item = SEQ(name=u'QoS-Flow-Mapping-Item', mode=MODE_TYPE)
    _QoS_Flow_Mapping_Item_qoS_Flow_Identifier = INT(name=u'qoS-Flow-Identifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Identifier')))
    _QoS_Flow_Mapping_Item_qoSFlowMappingIndication = ENUM(name=u'qoSFlowMappingIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Mapping-Indication')), opt=True)
    _QoS_Flow_Mapping_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoS_Flow_Mapping_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoS_Flow_Mapping_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_Mapping_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__id._const_tab = ____QoS_Flow_Mapping_Item_iE_Extensions__item__id_tab
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoS_Flow_Mapping_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_Mapping_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__criticality._const_tab = ____QoS_Flow_Mapping_Item_iE_Extensions__item__criticality_tab
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue._const_tab = ____QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue_tab
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoS_Flow_Mapping_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoS_Flow_Mapping_Item_iE_Extensions__item__id),
        (u'criticality', ___QoS_Flow_Mapping_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue),
        ])
    __QoS_Flow_Mapping_Item_iE_Extensions__item_._ext = None
    _QoS_Flow_Mapping_Item_iE_Extensions._cont = __QoS_Flow_Mapping_Item_iE_Extensions__item_
    _QoS_Flow_Mapping_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoS_Flow_Mapping_Item._cont = ASN1Dict([
        (u'qoS-Flow-Identifier', _QoS_Flow_Mapping_Item_qoS_Flow_Identifier),
        (u'qoSFlowMappingIndication', _QoS_Flow_Mapping_Item_qoSFlowMappingIndication),
        (u'iE-Extensions', _QoS_Flow_Mapping_Item_iE_Extensions),
        ])
    QoS_Flow_Mapping_Item._ext = []
    
    #-----< QoS-Flow-Mapping-Item-ExtIEs >-----#
    QoS_Flow_Mapping_Item_ExtIEs = CLASS(name=u'QoS-Flow-Mapping-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    QoS_Flow_Mapping_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoS-Flow-Mapping-Indication >-----#
    QoS_Flow_Mapping_Indication = ENUM(name=u'QoS-Flow-Mapping-Indication', mode=MODE_TYPE)
    QoS_Flow_Mapping_Indication._cont = ASN1Dict([(u'ul', 0), (u'dl', 1)])
    QoS_Flow_Mapping_Indication._ext = []
    
    #-----< QoS-Parameters-Support-List >-----#
    QoS_Parameters_Support_List = SEQ(name=u'QoS-Parameters-Support-List', mode=MODE_TYPE)
    _QoS_Parameters_Support_List_eUTRAN_QoS_Support_List = SEQ_OF(name=u'eUTRAN-QoS-Support-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EUTRAN-QoS-Support-List')), opt=True)
    _QoS_Parameters_Support_List_nG_RAN_QoS_Support_List = SEQ_OF(name=u'nG-RAN-QoS-Support-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NG-RAN-QoS-Support-List')), opt=True)
    _QoS_Parameters_Support_List_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoS_Parameters_Support_List_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___QoS_Parameters_Support_List_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoS_Parameters_Support_List_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Parameters_Support_List_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Parameters_Support_List_iE_Extensions__item__id._const_tab = ____QoS_Parameters_Support_List_iE_Extensions__item__id_tab
    ___QoS_Parameters_Support_List_iE_Extensions__item__id._const_tab_at = None
    ___QoS_Parameters_Support_List_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoS_Parameters_Support_List_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoS_Parameters_Support_List_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Parameters_Support_List_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Parameters_Support_List_iE_Extensions__item__criticality._const_tab = ____QoS_Parameters_Support_List_iE_Extensions__item__criticality_tab
    ___QoS_Parameters_Support_List_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoS_Parameters_Support_List_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoS_Parameters_Support_List_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoS_Parameters_Support_List_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Parameters_Support_List_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Parameters_Support_List_iE_Extensions__item__extensionValue._const_tab = ____QoS_Parameters_Support_List_iE_Extensions__item__extensionValue_tab
    ___QoS_Parameters_Support_List_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoS_Parameters_Support_List_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoS_Parameters_Support_List_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoS_Parameters_Support_List_iE_Extensions__item__id),
        (u'criticality', ___QoS_Parameters_Support_List_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoS_Parameters_Support_List_iE_Extensions__item__extensionValue),
        ])
    __QoS_Parameters_Support_List_iE_Extensions__item_._ext = None
    _QoS_Parameters_Support_List_iE_Extensions._cont = __QoS_Parameters_Support_List_iE_Extensions__item_
    _QoS_Parameters_Support_List_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoS_Parameters_Support_List._cont = ASN1Dict([
        (u'eUTRAN-QoS-Support-List', _QoS_Parameters_Support_List_eUTRAN_QoS_Support_List),
        (u'nG-RAN-QoS-Support-List', _QoS_Parameters_Support_List_nG_RAN_QoS_Support_List),
        (u'iE-Extensions', _QoS_Parameters_Support_List_iE_Extensions),
        ])
    QoS_Parameters_Support_List._ext = []
    
    #-----< QoS-Parameters-Support-List-ItemExtIEs >-----#
    QoS_Parameters_Support_List_ItemExtIEs = CLASS(name=u'QoS-Parameters-Support-List-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    QoS_Parameters_Support_List_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSPriorityLevel >-----#
    QoSPriorityLevel = INT(name=u'QoSPriorityLevel', mode=MODE_TYPE)
    QoSPriorityLevel._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=127)], ev=[], er=[])
    
    #-----< QoS-Flow-QoS-Parameter-List >-----#
    QoS_Flow_QoS_Parameter_List = SEQ_OF(name=u'QoS-Flow-QoS-Parameter-List', mode=MODE_TYPE)
    _QoS_Flow_QoS_Parameter_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-QoS-Parameter-Item')))
    QoS_Flow_QoS_Parameter_List._cont = _QoS_Flow_QoS_Parameter_List__item_
    QoS_Flow_QoS_Parameter_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoS-Flow-QoS-Parameter-Item >-----#
    QoS_Flow_QoS_Parameter_Item = SEQ(name=u'QoS-Flow-QoS-Parameter-Item', mode=MODE_TYPE)
    _QoS_Flow_QoS_Parameter_Item_qoS_Flow_Identifier = INT(name=u'qoS-Flow-Identifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Identifier')))
    _QoS_Flow_QoS_Parameter_Item_qoSFlowLevelQoSParameters = SEQ(name=u'qoSFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoS_Flow_QoS_Parameter_Item_qoSFlowMappingIndication = ENUM(name=u'qoSFlowMappingIndication', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Flow-Mapping-Indication')), opt=True)
    _QoS_Flow_QoS_Parameter_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoS_Flow_QoS_Parameter_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id._const_tab = ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id_tab
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality._const_tab = ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality_tab
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue._const_tab = ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue_tab
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoS_Flow_QoS_Parameter_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id),
        (u'criticality', ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue),
        ])
    __QoS_Flow_QoS_Parameter_Item_iE_Extensions__item_._ext = None
    _QoS_Flow_QoS_Parameter_Item_iE_Extensions._cont = __QoS_Flow_QoS_Parameter_Item_iE_Extensions__item_
    _QoS_Flow_QoS_Parameter_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoS_Flow_QoS_Parameter_Item._cont = ASN1Dict([
        (u'qoS-Flow-Identifier', _QoS_Flow_QoS_Parameter_Item_qoS_Flow_Identifier),
        (u'qoSFlowLevelQoSParameters', _QoS_Flow_QoS_Parameter_Item_qoSFlowLevelQoSParameters),
        (u'qoSFlowMappingIndication', _QoS_Flow_QoS_Parameter_Item_qoSFlowMappingIndication),
        (u'iE-Extensions', _QoS_Flow_QoS_Parameter_Item_iE_Extensions),
        ])
    QoS_Flow_QoS_Parameter_Item._ext = []
    
    #-----< QoS-Flow-QoS-Parameter-Item-ExtIEs >-----#
    QoS_Flow_QoS_Parameter_Item_ExtIEs = CLASS(name=u'QoS-Flow-QoS-Parameter-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    QoS_Flow_QoS_Parameter_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowLevelQoSParameters >-----#
    QoSFlowLevelQoSParameters = SEQ(name=u'QoSFlowLevelQoSParameters', mode=MODE_TYPE)
    _QoSFlowLevelQoSParameters_qoS_Characteristics = CHOICE(name=u'qoS-Characteristics', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Characteristics')))
    _QoSFlowLevelQoSParameters_nGRANallocationRetentionPriority = SEQ(name=u'nGRANallocationRetentionPriority', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NGRANAllocationAndRetentionPriority')))
    _QoSFlowLevelQoSParameters_gBR_QoS_Flow_Information = SEQ(name=u'gBR-QoS-Flow-Information', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GBR-QoSFlowInformation')), opt=True)
    _QoSFlowLevelQoSParameters_reflective_QoS_Attribute = ENUM(name=u'reflective-QoS-Attribute', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoSFlowLevelQoSParameters_reflective_QoS_Attribute._cont = ASN1Dict([(u'subject-to', 0)])
    _QoSFlowLevelQoSParameters_reflective_QoS_Attribute._ext = []
    _QoSFlowLevelQoSParameters_additional_QoS_Information = ENUM(name=u'additional-QoS-Information', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoSFlowLevelQoSParameters_additional_QoS_Information._cont = ASN1Dict([(u'more-likely', 0)])
    _QoSFlowLevelQoSParameters_additional_QoS_Information._ext = []
    _QoSFlowLevelQoSParameters_paging_Policy_Indicator = INT(name=u'paging-Policy-Indicator', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoSFlowLevelQoSParameters_paging_Policy_Indicator._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=[], er=[])
    _QoSFlowLevelQoSParameters_reflective_QoS_Indicator = ENUM(name=u'reflective-QoS-Indicator', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoSFlowLevelQoSParameters_reflective_QoS_Indicator._cont = ASN1Dict([(u'enabled', 0)])
    _QoSFlowLevelQoSParameters_reflective_QoS_Indicator._ext = []
    _QoSFlowLevelQoSParameters_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowLevelQoSParameters_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowLevelQoSParameters_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowLevelQoSParameters_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowLevelQoSParameters_iE_Extensions__item_._ext = None
    _QoSFlowLevelQoSParameters_iE_Extensions._cont = __QoSFlowLevelQoSParameters_iE_Extensions__item_
    _QoSFlowLevelQoSParameters_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowLevelQoSParameters._cont = ASN1Dict([
        (u'qoS-Characteristics', _QoSFlowLevelQoSParameters_qoS_Characteristics),
        (u'nGRANallocationRetentionPriority', _QoSFlowLevelQoSParameters_nGRANallocationRetentionPriority),
        (u'gBR-QoS-Flow-Information', _QoSFlowLevelQoSParameters_gBR_QoS_Flow_Information),
        (u'reflective-QoS-Attribute', _QoSFlowLevelQoSParameters_reflective_QoS_Attribute),
        (u'additional-QoS-Information', _QoSFlowLevelQoSParameters_additional_QoS_Information),
        (u'paging-Policy-Indicator', _QoSFlowLevelQoSParameters_paging_Policy_Indicator),
        (u'reflective-QoS-Indicator', _QoSFlowLevelQoSParameters_reflective_QoS_Indicator),
        (u'iE-Extensions', _QoSFlowLevelQoSParameters_iE_Extensions),
        ])
    QoSFlowLevelQoSParameters._ext = None
    
    #-----< QoSFlowLevelQoSParameters-ExtIEs >-----#
    QoSFlowLevelQoSParameters_ExtIEs = CLASS(name=u'QoSFlowLevelQoSParameters-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    QoSFlowLevelQoSParameters_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANUEID >-----#
    RANUEID = OCT_STR(name=u'RANUEID', mode=MODE_TYPE)
    RANUEID._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    
    #-----< RAT-Type >-----#
    RAT_Type = ENUM(name=u'RAT-Type', mode=MODE_TYPE)
    RAT_Type._cont = ASN1Dict([(u'e-UTRA', 0), (u'nR', 1)])
    RAT_Type._ext = []
    
    #-----< RLC-Mode >-----#
    RLC_Mode = ENUM(name=u'RLC-Mode', mode=MODE_TYPE)
    RLC_Mode._cont = ASN1Dict([(u'rlc-tm', 0), (u'rlc-am', 1), (u'rlc-um-bidirectional', 2), (u'rlc-um-unidirectional-ul', 3), (u'rlc-um-unidirectional-dl', 4)])
    RLC_Mode._ext = []
    
    #-----< ROHC-Parameters >-----#
    ROHC_Parameters = CHOICE(name=u'ROHC-Parameters', mode=MODE_TYPE)
    _ROHC_Parameters_rOHC = SEQ(name=u'rOHC', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'ROHC')))
    _ROHC_Parameters_uPlinkOnlyROHC = SEQ(name=u'uPlinkOnlyROHC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UplinkOnlyROHC')))
    _ROHC_Parameters_choice_Extension = SEQ(name=u'choice-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __ROHC_Parameters_choice_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___ROHC_Parameters_choice_Extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ROHC_Parameters_choice_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ROHC_Parameters_choice_Extension_id._const_tab = ___ROHC_Parameters_choice_Extension_id_tab
    __ROHC_Parameters_choice_Extension_id._const_tab_at = None
    __ROHC_Parameters_choice_Extension_id._const_tab_id = u'id'
    __ROHC_Parameters_choice_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___ROHC_Parameters_choice_Extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ROHC_Parameters_choice_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ROHC_Parameters_choice_Extension_criticality._const_tab = ___ROHC_Parameters_choice_Extension_criticality_tab
    __ROHC_Parameters_choice_Extension_criticality._const_tab_at = ('..', u'id')
    __ROHC_Parameters_choice_Extension_criticality._const_tab_id = u'criticality'
    __ROHC_Parameters_choice_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___ROHC_Parameters_choice_Extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ROHC_Parameters_choice_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ROHC_Parameters_choice_Extension_value._const_tab = ___ROHC_Parameters_choice_Extension_value_tab
    __ROHC_Parameters_choice_Extension_value._const_tab_at = ('..', u'id')
    __ROHC_Parameters_choice_Extension_value._const_tab_id = u'Value'
    _ROHC_Parameters_choice_Extension._cont = ASN1Dict([
        (u'id', __ROHC_Parameters_choice_Extension_id),
        (u'criticality', __ROHC_Parameters_choice_Extension_criticality),
        (u'value', __ROHC_Parameters_choice_Extension_value),
        ])
    _ROHC_Parameters_choice_Extension._ext = None
    ROHC_Parameters._cont = ASN1Dict([
        (u'rOHC', _ROHC_Parameters_rOHC),
        (u'uPlinkOnlyROHC', _ROHC_Parameters_uPlinkOnlyROHC),
        (u'choice-Extension', _ROHC_Parameters_choice_Extension),
        ])
    ROHC_Parameters._ext = None
    
    #-----< ROHC-Parameters-ExtIEs >-----#
    ROHC_Parameters_ExtIEs = CLASS(name=u'ROHC-Parameters-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ROHC_Parameters_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ROHC >-----#
    ROHC = SEQ(name=u'ROHC', mode=MODE_TYPE)
    _ROHC_maxCID = INT(name=u'maxCID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ROHC_maxCID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=16383)], ev=[], er=[])
    _ROHC_rOHC_Profiles = INT(name=u'rOHC-Profiles', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ROHC_rOHC_Profiles._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=511)], ev=[], er=[])
    _ROHC_continueROHC = ENUM(name=u'continueROHC', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ROHC_continueROHC._cont = ASN1Dict([(u'true', 0)])
    _ROHC_continueROHC._ext = []
    _ROHC_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ROHC_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___ROHC_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____ROHC_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____ROHC_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ROHC_iE_Extensions__item__id._const_tab = ____ROHC_iE_Extensions__item__id_tab
    ___ROHC_iE_Extensions__item__id._const_tab_at = None
    ___ROHC_iE_Extensions__item__id._const_tab_id = u'id'
    ___ROHC_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ROHC_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____ROHC_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ROHC_iE_Extensions__item__criticality._const_tab = ____ROHC_iE_Extensions__item__criticality_tab
    ___ROHC_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ROHC_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ROHC_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ROHC_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____ROHC_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ROHC_iE_Extensions__item__extensionValue._const_tab = ____ROHC_iE_Extensions__item__extensionValue_tab
    ___ROHC_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ROHC_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ROHC_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ROHC_iE_Extensions__item__id),
        (u'criticality', ___ROHC_iE_Extensions__item__criticality),
        (u'extensionValue', ___ROHC_iE_Extensions__item__extensionValue),
        ])
    __ROHC_iE_Extensions__item_._ext = None
    _ROHC_iE_Extensions._cont = __ROHC_iE_Extensions__item_
    _ROHC_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ROHC._cont = ASN1Dict([
        (u'maxCID', _ROHC_maxCID),
        (u'rOHC-Profiles', _ROHC_rOHC_Profiles),
        (u'continueROHC', _ROHC_continueROHC),
        (u'iE-Extensions', _ROHC_iE_Extensions),
        ])
    ROHC._ext = None
    
    #-----< ROHC-ExtIEs >-----#
    ROHC_ExtIEs = CLASS(name=u'ROHC-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ROHC_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityAlgorithm >-----#
    SecurityAlgorithm = SEQ(name=u'SecurityAlgorithm', mode=MODE_TYPE)
    _SecurityAlgorithm_cipheringAlgorithm = ENUM(name=u'cipheringAlgorithm', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'CipheringAlgorithm')))
    _SecurityAlgorithm_integrityProtectionAlgorithm = ENUM(name=u'integrityProtectionAlgorithm', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'IntegrityProtectionAlgorithm')), opt=True)
    _SecurityAlgorithm_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityAlgorithm_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SecurityAlgorithm_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecurityAlgorithm_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityAlgorithm_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityAlgorithm_iE_Extensions__item__id._const_tab = ____SecurityAlgorithm_iE_Extensions__item__id_tab
    ___SecurityAlgorithm_iE_Extensions__item__id._const_tab_at = None
    ___SecurityAlgorithm_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecurityAlgorithm_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecurityAlgorithm_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityAlgorithm_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityAlgorithm_iE_Extensions__item__criticality._const_tab = ____SecurityAlgorithm_iE_Extensions__item__criticality_tab
    ___SecurityAlgorithm_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecurityAlgorithm_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecurityAlgorithm_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecurityAlgorithm_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityAlgorithm_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityAlgorithm_iE_Extensions__item__extensionValue._const_tab = ____SecurityAlgorithm_iE_Extensions__item__extensionValue_tab
    ___SecurityAlgorithm_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecurityAlgorithm_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecurityAlgorithm_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecurityAlgorithm_iE_Extensions__item__id),
        (u'criticality', ___SecurityAlgorithm_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecurityAlgorithm_iE_Extensions__item__extensionValue),
        ])
    __SecurityAlgorithm_iE_Extensions__item_._ext = None
    _SecurityAlgorithm_iE_Extensions._cont = __SecurityAlgorithm_iE_Extensions__item_
    _SecurityAlgorithm_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityAlgorithm._cont = ASN1Dict([
        (u'cipheringAlgorithm', _SecurityAlgorithm_cipheringAlgorithm),
        (u'integrityProtectionAlgorithm', _SecurityAlgorithm_integrityProtectionAlgorithm),
        (u'iE-Extensions', _SecurityAlgorithm_iE_Extensions),
        ])
    SecurityAlgorithm._ext = []
    
    #-----< SecurityAlgorithm-ExtIEs >-----#
    SecurityAlgorithm_ExtIEs = CLASS(name=u'SecurityAlgorithm-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SecurityAlgorithm_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityIndication >-----#
    SecurityIndication = SEQ(name=u'SecurityIndication', mode=MODE_TYPE)
    _SecurityIndication_integrityProtectionIndication = ENUM(name=u'integrityProtectionIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'IntegrityProtectionIndication')))
    _SecurityIndication_confidentialityProtectionIndication = ENUM(name=u'confidentialityProtectionIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'ConfidentialityProtectionIndication')))
    _SecurityIndication_maximumIPdatarate = SEQ(name=u'maximumIPdatarate', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'MaximumIPdatarate')), opt=True)
    _SecurityIndication_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityIndication_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SecurityIndication_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecurityIndication_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__id._const_tab = ____SecurityIndication_iE_Extensions__item__id_tab
    ___SecurityIndication_iE_Extensions__item__id._const_tab_at = None
    ___SecurityIndication_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecurityIndication_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecurityIndication_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab = ____SecurityIndication_iE_Extensions__item__criticality_tab
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecurityIndication_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecurityIndication_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab = ____SecurityIndication_iE_Extensions__item__extensionValue_tab
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecurityIndication_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecurityIndication_iE_Extensions__item__id),
        (u'criticality', ___SecurityIndication_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecurityIndication_iE_Extensions__item__extensionValue),
        ])
    __SecurityIndication_iE_Extensions__item_._ext = None
    _SecurityIndication_iE_Extensions._cont = __SecurityIndication_iE_Extensions__item_
    _SecurityIndication_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityIndication._cont = ASN1Dict([
        (u'integrityProtectionIndication', _SecurityIndication_integrityProtectionIndication),
        (u'confidentialityProtectionIndication', _SecurityIndication_confidentialityProtectionIndication),
        (u'maximumIPdatarate', _SecurityIndication_maximumIPdatarate),
        (u'iE-Extensions', _SecurityIndication_iE_Extensions),
        ])
    SecurityIndication._ext = []
    
    #-----< SecurityIndication-ExtIEs >-----#
    SecurityIndication_ExtIEs = CLASS(name=u'SecurityIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SecurityIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityInformation >-----#
    SecurityInformation = SEQ(name=u'SecurityInformation', mode=MODE_TYPE)
    _SecurityInformation_securityAlgorithm = SEQ(name=u'securityAlgorithm', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SecurityAlgorithm')))
    _SecurityInformation_uPSecuritykey = SEQ(name=u'uPSecuritykey', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UPSecuritykey')))
    _SecurityInformation_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SecurityInformation_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecurityInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityInformation_iE_Extensions__item__id._const_tab = ____SecurityInformation_iE_Extensions__item__id_tab
    ___SecurityInformation_iE_Extensions__item__id._const_tab_at = None
    ___SecurityInformation_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecurityInformation_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecurityInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityInformation_iE_Extensions__item__criticality._const_tab = ____SecurityInformation_iE_Extensions__item__criticality_tab
    ___SecurityInformation_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecurityInformation_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecurityInformation_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecurityInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityInformation_iE_Extensions__item__extensionValue._const_tab = ____SecurityInformation_iE_Extensions__item__extensionValue_tab
    ___SecurityInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecurityInformation_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecurityInformation_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecurityInformation_iE_Extensions__item__id),
        (u'criticality', ___SecurityInformation_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecurityInformation_iE_Extensions__item__extensionValue),
        ])
    __SecurityInformation_iE_Extensions__item_._ext = None
    _SecurityInformation_iE_Extensions._cont = __SecurityInformation_iE_Extensions__item_
    _SecurityInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityInformation._cont = ASN1Dict([
        (u'securityAlgorithm', _SecurityInformation_securityAlgorithm),
        (u'uPSecuritykey', _SecurityInformation_uPSecuritykey),
        (u'iE-Extensions', _SecurityInformation_iE_Extensions),
        ])
    SecurityInformation._ext = []
    
    #-----< SecurityInformation-ExtIEs >-----#
    SecurityInformation_ExtIEs = CLASS(name=u'SecurityInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SecurityInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityResult >-----#
    SecurityResult = SEQ(name=u'SecurityResult', mode=MODE_TYPE)
    _SecurityResult_integrityProtectionResult = ENUM(name=u'integrityProtectionResult', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'IntegrityProtectionResult')))
    _SecurityResult_confidentialityProtectionResult = ENUM(name=u'confidentialityProtectionResult', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'ConfidentialityProtectionResult')))
    _SecurityResult_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityResult_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SecurityResult_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecurityResult_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__id._const_tab = ____SecurityResult_iE_Extensions__item__id_tab
    ___SecurityResult_iE_Extensions__item__id._const_tab_at = None
    ___SecurityResult_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecurityResult_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecurityResult_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__criticality._const_tab = ____SecurityResult_iE_Extensions__item__criticality_tab
    ___SecurityResult_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecurityResult_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecurityResult_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecurityResult_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab = ____SecurityResult_iE_Extensions__item__extensionValue_tab
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecurityResult_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecurityResult_iE_Extensions__item__id),
        (u'criticality', ___SecurityResult_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecurityResult_iE_Extensions__item__extensionValue),
        ])
    __SecurityResult_iE_Extensions__item_._ext = None
    _SecurityResult_iE_Extensions._cont = __SecurityResult_iE_Extensions__item_
    _SecurityResult_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityResult._cont = ASN1Dict([
        (u'integrityProtectionResult', _SecurityResult_integrityProtectionResult),
        (u'confidentialityProtectionResult', _SecurityResult_confidentialityProtectionResult),
        (u'iE-Extensions', _SecurityResult_iE_Extensions),
        ])
    SecurityResult._ext = []
    
    #-----< SecurityResult-ExtIEs >-----#
    SecurityResult_ExtIEs = CLASS(name=u'SecurityResult-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SecurityResult_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Slice-Support-List >-----#
    Slice_Support_List = SEQ_OF(name=u'Slice-Support-List', mode=MODE_TYPE)
    _Slice_Support_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Slice-Support-Item')))
    Slice_Support_List._cont = _Slice_Support_List__item_
    Slice_Support_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< Slice-Support-Item >-----#
    Slice_Support_Item = SEQ(name=u'Slice-Support-Item', mode=MODE_TYPE)
    _Slice_Support_Item_sNSSAI = SEQ(name=u'sNSSAI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SNSSAI')))
    _Slice_Support_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Slice_Support_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___Slice_Support_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____Slice_Support_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Slice_Support_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Slice_Support_Item_iE_Extensions__item__id._const_tab = ____Slice_Support_Item_iE_Extensions__item__id_tab
    ___Slice_Support_Item_iE_Extensions__item__id._const_tab_at = None
    ___Slice_Support_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___Slice_Support_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Slice_Support_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Slice_Support_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Slice_Support_Item_iE_Extensions__item__criticality._const_tab = ____Slice_Support_Item_iE_Extensions__item__criticality_tab
    ___Slice_Support_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Slice_Support_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Slice_Support_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Slice_Support_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____Slice_Support_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Slice_Support_Item_iE_Extensions__item__extensionValue._const_tab = ____Slice_Support_Item_iE_Extensions__item__extensionValue_tab
    ___Slice_Support_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Slice_Support_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Slice_Support_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Slice_Support_Item_iE_Extensions__item__id),
        (u'criticality', ___Slice_Support_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___Slice_Support_Item_iE_Extensions__item__extensionValue),
        ])
    __Slice_Support_Item_iE_Extensions__item_._ext = None
    _Slice_Support_Item_iE_Extensions._cont = __Slice_Support_Item_iE_Extensions__item_
    _Slice_Support_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Slice_Support_Item._cont = ASN1Dict([
        (u'sNSSAI', _Slice_Support_Item_sNSSAI),
        (u'iE-Extensions', _Slice_Support_Item_iE_Extensions),
        ])
    Slice_Support_Item._ext = None
    
    #-----< Slice-Support-Item-ExtIEs >-----#
    Slice_Support_Item_ExtIEs = CLASS(name=u'Slice-Support-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    Slice_Support_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNSSAI >-----#
    SNSSAI = SEQ(name=u'SNSSAI', mode=MODE_TYPE)
    _SNSSAI_sST = OCT_STR(name=u'sST', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SNSSAI_sST._const_sz = ASN1Set(rv=[1], rr=[], ev=None, er=[])
    _SNSSAI_sD = OCT_STR(name=u'sD', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _SNSSAI_sD._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    _SNSSAI_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SNSSAI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SNSSAI_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SNSSAI_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SNSSAI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAI_iE_Extensions__item__id._const_tab = ____SNSSAI_iE_Extensions__item__id_tab
    ___SNSSAI_iE_Extensions__item__id._const_tab_at = None
    ___SNSSAI_iE_Extensions__item__id._const_tab_id = u'id'
    ___SNSSAI_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SNSSAI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SNSSAI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAI_iE_Extensions__item__criticality._const_tab = ____SNSSAI_iE_Extensions__item__criticality_tab
    ___SNSSAI_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SNSSAI_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SNSSAI_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SNSSAI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SNSSAI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SNSSAI_iE_Extensions__item__extensionValue._const_tab = ____SNSSAI_iE_Extensions__item__extensionValue_tab
    ___SNSSAI_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SNSSAI_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SNSSAI_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SNSSAI_iE_Extensions__item__id),
        (u'criticality', ___SNSSAI_iE_Extensions__item__criticality),
        (u'extensionValue', ___SNSSAI_iE_Extensions__item__extensionValue),
        ])
    __SNSSAI_iE_Extensions__item_._ext = None
    _SNSSAI_iE_Extensions._cont = __SNSSAI_iE_Extensions__item_
    _SNSSAI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SNSSAI._cont = ASN1Dict([
        (u'sST', _SNSSAI_sST),
        (u'sD', _SNSSAI_sD),
        (u'iE-Extensions', _SNSSAI_iE_Extensions),
        ])
    SNSSAI._ext = []
    
    #-----< SNSSAI-ExtIEs >-----#
    SNSSAI_ExtIEs = CLASS(name=u'SNSSAI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SNSSAI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SDAP-Configuration >-----#
    SDAP_Configuration = SEQ(name=u'SDAP-Configuration', mode=MODE_TYPE)
    _SDAP_Configuration_defaultDRB = ENUM(name=u'defaultDRB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'DefaultDRB')))
    _SDAP_Configuration_sDAP_Header_UL = ENUM(name=u'sDAP-Header-UL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SDAP-Header-UL')))
    _SDAP_Configuration_sDAP_Header_DL = ENUM(name=u'sDAP-Header-DL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'SDAP-Header-DL')))
    _SDAP_Configuration_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SDAP_Configuration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SDAP_Configuration_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SDAP_Configuration_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SDAP_Configuration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SDAP_Configuration_iE_Extensions__item__id._const_tab = ____SDAP_Configuration_iE_Extensions__item__id_tab
    ___SDAP_Configuration_iE_Extensions__item__id._const_tab_at = None
    ___SDAP_Configuration_iE_Extensions__item__id._const_tab_id = u'id'
    ___SDAP_Configuration_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SDAP_Configuration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SDAP_Configuration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SDAP_Configuration_iE_Extensions__item__criticality._const_tab = ____SDAP_Configuration_iE_Extensions__item__criticality_tab
    ___SDAP_Configuration_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SDAP_Configuration_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SDAP_Configuration_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SDAP_Configuration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SDAP_Configuration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SDAP_Configuration_iE_Extensions__item__extensionValue._const_tab = ____SDAP_Configuration_iE_Extensions__item__extensionValue_tab
    ___SDAP_Configuration_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SDAP_Configuration_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SDAP_Configuration_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SDAP_Configuration_iE_Extensions__item__id),
        (u'criticality', ___SDAP_Configuration_iE_Extensions__item__criticality),
        (u'extensionValue', ___SDAP_Configuration_iE_Extensions__item__extensionValue),
        ])
    __SDAP_Configuration_iE_Extensions__item_._ext = None
    _SDAP_Configuration_iE_Extensions._cont = __SDAP_Configuration_iE_Extensions__item_
    _SDAP_Configuration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SDAP_Configuration._cont = ASN1Dict([
        (u'defaultDRB', _SDAP_Configuration_defaultDRB),
        (u'sDAP-Header-UL', _SDAP_Configuration_sDAP_Header_UL),
        (u'sDAP-Header-DL', _SDAP_Configuration_sDAP_Header_DL),
        (u'iE-Extensions', _SDAP_Configuration_iE_Extensions),
        ])
    SDAP_Configuration._ext = []
    
    #-----< SDAP-Configuration-ExtIEs >-----#
    SDAP_Configuration_ExtIEs = CLASS(name=u'SDAP-Configuration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SDAP_Configuration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SDAP-Header-DL >-----#
    SDAP_Header_DL = ENUM(name=u'SDAP-Header-DL', mode=MODE_TYPE)
    SDAP_Header_DL._cont = ASN1Dict([(u'present', 0), (u'absent', 1)])
    SDAP_Header_DL._ext = []
    
    #-----< SDAP-Header-UL >-----#
    SDAP_Header_UL = ENUM(name=u'SDAP-Header-UL', mode=MODE_TYPE)
    SDAP_Header_UL._cont = ASN1Dict([(u'present', 0), (u'absent', 1)])
    SDAP_Header_UL._ext = []
    
    #-----< TimeToWait >-----#
    TimeToWait = ENUM(name=u'TimeToWait', mode=MODE_TYPE)
    TimeToWait._cont = ASN1Dict([(u'v1s', 0), (u'v2s', 1), (u'v5s', 2), (u'v10s', 3), (u'v20s', 4), (u'v60s', 5)])
    TimeToWait._ext = []
    
    #-----< TNLAssociationUsage >-----#
    TNLAssociationUsage = ENUM(name=u'TNLAssociationUsage', mode=MODE_TYPE)
    TNLAssociationUsage._cont = ASN1Dict([(u'ue', 0), (u'non-ue', 1), (u'both', 2)])
    TNLAssociationUsage._ext = []
    
    #-----< TransportLayerAddress >-----#
    TransportLayerAddress = BIT_STR(name=u'TransportLayerAddress', mode=MODE_TYPE)
    TransportLayerAddress._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=160)], ev=[], er=[])
    
    #-----< TransactionID >-----#
    TransactionID = INT(name=u'TransactionID', mode=MODE_TYPE)
    TransactionID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    
    #-----< T-Reordering >-----#
    T_Reordering = ENUM(name=u'T-Reordering', mode=MODE_TYPE)
    T_Reordering._cont = ASN1Dict([(u'ms0', 0), (u'ms1', 1), (u'ms2', 2), (u'ms4', 3), (u'ms5', 4), (u'ms8', 5), (u'ms10', 6), (u'ms15', 7), (u'ms20', 8), (u'ms30', 9), (u'ms40', 10), (u'ms50', 11), (u'ms60', 12), (u'ms80', 13), (u'ms100', 14), (u'ms120', 15), (u'ms140', 16), (u'ms160', 17), (u'ms180', 18), (u'ms200', 19), (u'ms220', 20), (u'ms240', 21), (u'ms260', 22), (u'ms280', 23), (u'ms300', 24), (u'ms500', 25), (u'ms750', 26), (u'ms1000', 27), (u'ms1250', 28), (u'ms1500', 29), (u'ms1750', 30), (u'ms2000', 31), (u'ms2250', 32), (u'ms2500', 33), (u'ms2750', 34), (u'ms3000', 35)])
    T_Reordering._ext = []
    
    #-----< T-ReorderingTimer >-----#
    T_ReorderingTimer = SEQ(name=u'T-ReorderingTimer', mode=MODE_TYPE)
    _T_ReorderingTimer_t_Reordering = ENUM(name=u't-Reordering', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'T-Reordering')))
    _T_ReorderingTimer_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __T_ReorderingTimer_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___T_ReorderingTimer_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____T_ReorderingTimer_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____T_ReorderingTimer_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___T_ReorderingTimer_iE_Extensions__item__id._const_tab = ____T_ReorderingTimer_iE_Extensions__item__id_tab
    ___T_ReorderingTimer_iE_Extensions__item__id._const_tab_at = None
    ___T_ReorderingTimer_iE_Extensions__item__id._const_tab_id = u'id'
    ___T_ReorderingTimer_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____T_ReorderingTimer_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____T_ReorderingTimer_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___T_ReorderingTimer_iE_Extensions__item__criticality._const_tab = ____T_ReorderingTimer_iE_Extensions__item__criticality_tab
    ___T_ReorderingTimer_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___T_ReorderingTimer_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___T_ReorderingTimer_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____T_ReorderingTimer_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____T_ReorderingTimer_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___T_ReorderingTimer_iE_Extensions__item__extensionValue._const_tab = ____T_ReorderingTimer_iE_Extensions__item__extensionValue_tab
    ___T_ReorderingTimer_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___T_ReorderingTimer_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __T_ReorderingTimer_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___T_ReorderingTimer_iE_Extensions__item__id),
        (u'criticality', ___T_ReorderingTimer_iE_Extensions__item__criticality),
        (u'extensionValue', ___T_ReorderingTimer_iE_Extensions__item__extensionValue),
        ])
    __T_ReorderingTimer_iE_Extensions__item_._ext = None
    _T_ReorderingTimer_iE_Extensions._cont = __T_ReorderingTimer_iE_Extensions__item_
    _T_ReorderingTimer_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    T_ReorderingTimer._cont = ASN1Dict([
        (u't-Reordering', _T_ReorderingTimer_t_Reordering),
        (u'iE-Extensions', _T_ReorderingTimer_iE_Extensions),
        ])
    T_ReorderingTimer._ext = []
    
    #-----< T-ReorderingTimer-ExtIEs >-----#
    T_ReorderingTimer_ExtIEs = CLASS(name=u'T-ReorderingTimer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    T_ReorderingTimer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TypeOfError >-----#
    TypeOfError = ENUM(name=u'TypeOfError', mode=MODE_TYPE)
    TypeOfError._cont = ASN1Dict([(u'not-understood', 0), (u'missing', 1)])
    TypeOfError._ext = []
    
    #-----< UE-Activity >-----#
    UE_Activity = ENUM(name=u'UE-Activity', mode=MODE_TYPE)
    UE_Activity._cont = ASN1Dict([(u'active', 0), (u'not-active', 1)])
    UE_Activity._ext = []
    
    #-----< UE-associatedLogicalE1-ConnectionItem >-----#
    UE_associatedLogicalE1_ConnectionItem = SEQ(name=u'UE-associatedLogicalE1-ConnectionItem', mode=MODE_TYPE)
    _UE_associatedLogicalE1_ConnectionItem_gNB_CU_CP_UE_E1AP_ID = INT(name=u'gNB-CU-CP-UE-E1AP-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')), opt=True)
    _UE_associatedLogicalE1_ConnectionItem_gNB_CU_UP_UE_E1AP_ID = INT(name=u'gNB-CU-UP-UE-E1AP-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')), opt=True)
    _UE_associatedLogicalE1_ConnectionItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id._const_tab = ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id_tab
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id._const_tab_at = None
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality._const_tab = ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality_tab
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue._const_tab = ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue_tab
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id),
        (u'criticality', ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue),
        ])
    __UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item_._ext = None
    _UE_associatedLogicalE1_ConnectionItem_iE_Extensions._cont = __UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item_
    _UE_associatedLogicalE1_ConnectionItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UE_associatedLogicalE1_ConnectionItem._cont = ASN1Dict([
        (u'gNB-CU-CP-UE-E1AP-ID', _UE_associatedLogicalE1_ConnectionItem_gNB_CU_CP_UE_E1AP_ID),
        (u'gNB-CU-UP-UE-E1AP-ID', _UE_associatedLogicalE1_ConnectionItem_gNB_CU_UP_UE_E1AP_ID),
        (u'iE-Extensions', _UE_associatedLogicalE1_ConnectionItem_iE_Extensions),
        ])
    UE_associatedLogicalE1_ConnectionItem._ext = []
    
    #-----< UE-associatedLogicalE1-ConnectionItemExtIEs >-----#
    UE_associatedLogicalE1_ConnectionItemExtIEs = CLASS(name=u'UE-associatedLogicalE1-ConnectionItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    UE_associatedLogicalE1_ConnectionItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UL-Configuration >-----#
    UL_Configuration = ENUM(name=u'UL-Configuration', mode=MODE_TYPE)
    UL_Configuration._cont = ASN1Dict([(u'no-data', 0), (u'shared', 1), (u'only', 2)])
    UL_Configuration._ext = []
    
    #-----< ULDataSplitThreshold >-----#
    ULDataSplitThreshold = ENUM(name=u'ULDataSplitThreshold', mode=MODE_TYPE)
    ULDataSplitThreshold._cont = ASN1Dict([(u'b0', 0), (u'b100', 1), (u'b200', 2), (u'b400', 3), (u'b800', 4), (u'b1600', 5), (u'b3200', 6), (u'b6400', 7), (u'b12800', 8), (u'b25600', 9), (u'b51200', 10), (u'b102400', 11), (u'b204800', 12), (u'b409600', 13), (u'b819200', 14), (u'b1228800', 15), (u'b1638400', 16), (u'b2457600', 17), (u'b3276800', 18), (u'b4096000', 19), (u'b4915200', 20), (u'b5734400', 21), (u'b6553600', 22), (u'infinity', 23)])
    ULDataSplitThreshold._ext = []
    
    #-----< UP-Parameters >-----#
    UP_Parameters = SEQ_OF(name=u'UP-Parameters', mode=MODE_TYPE)
    _UP_Parameters__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'UP-Parameters-Item')))
    UP_Parameters._cont = _UP_Parameters__item_
    UP_Parameters._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< UP-Parameters-Item >-----#
    UP_Parameters_Item = SEQ(name=u'UP-Parameters-Item', mode=MODE_TYPE)
    _UP_Parameters_Item_uP_TNL_Information = CHOICE(name=u'uP-TNL-Information', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'UP-TNL-Information')))
    _UP_Parameters_Item_cell_Group_ID = INT(name=u'cell-Group-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Cell-Group-ID')))
    _UP_Parameters_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UP_Parameters_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___UP_Parameters_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____UP_Parameters_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UP_Parameters_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UP_Parameters_Item_iE_Extensions__item__id._const_tab = ____UP_Parameters_Item_iE_Extensions__item__id_tab
    ___UP_Parameters_Item_iE_Extensions__item__id._const_tab_at = None
    ___UP_Parameters_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___UP_Parameters_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UP_Parameters_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UP_Parameters_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UP_Parameters_Item_iE_Extensions__item__criticality._const_tab = ____UP_Parameters_Item_iE_Extensions__item__criticality_tab
    ___UP_Parameters_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UP_Parameters_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UP_Parameters_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UP_Parameters_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UP_Parameters_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UP_Parameters_Item_iE_Extensions__item__extensionValue._const_tab = ____UP_Parameters_Item_iE_Extensions__item__extensionValue_tab
    ___UP_Parameters_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UP_Parameters_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UP_Parameters_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UP_Parameters_Item_iE_Extensions__item__id),
        (u'criticality', ___UP_Parameters_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___UP_Parameters_Item_iE_Extensions__item__extensionValue),
        ])
    __UP_Parameters_Item_iE_Extensions__item_._ext = None
    _UP_Parameters_Item_iE_Extensions._cont = __UP_Parameters_Item_iE_Extensions__item_
    _UP_Parameters_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UP_Parameters_Item._cont = ASN1Dict([
        (u'uP-TNL-Information', _UP_Parameters_Item_uP_TNL_Information),
        (u'cell-Group-ID', _UP_Parameters_Item_cell_Group_ID),
        (u'iE-Extensions', _UP_Parameters_Item_iE_Extensions),
        ])
    UP_Parameters_Item._ext = []
    
    #-----< UP-Parameters-Item-ExtIEs >-----#
    UP_Parameters_Item_ExtIEs = CLASS(name=u'UP-Parameters-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    UP_Parameters_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UPSecuritykey >-----#
    UPSecuritykey = SEQ(name=u'UPSecuritykey', mode=MODE_TYPE)
    _UPSecuritykey_encryptionKey = OCT_STR(name=u'encryptionKey', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'EncryptionKey')))
    _UPSecuritykey_integrityProtectionKey = OCT_STR(name=u'integrityProtectionKey', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'IntegrityProtectionKey')), opt=True)
    _UPSecuritykey_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UPSecuritykey_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___UPSecuritykey_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____UPSecuritykey_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UPSecuritykey_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UPSecuritykey_iE_Extensions__item__id._const_tab = ____UPSecuritykey_iE_Extensions__item__id_tab
    ___UPSecuritykey_iE_Extensions__item__id._const_tab_at = None
    ___UPSecuritykey_iE_Extensions__item__id._const_tab_id = u'id'
    ___UPSecuritykey_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UPSecuritykey_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UPSecuritykey_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UPSecuritykey_iE_Extensions__item__criticality._const_tab = ____UPSecuritykey_iE_Extensions__item__criticality_tab
    ___UPSecuritykey_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UPSecuritykey_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UPSecuritykey_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UPSecuritykey_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UPSecuritykey_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UPSecuritykey_iE_Extensions__item__extensionValue._const_tab = ____UPSecuritykey_iE_Extensions__item__extensionValue_tab
    ___UPSecuritykey_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UPSecuritykey_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UPSecuritykey_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UPSecuritykey_iE_Extensions__item__id),
        (u'criticality', ___UPSecuritykey_iE_Extensions__item__criticality),
        (u'extensionValue', ___UPSecuritykey_iE_Extensions__item__extensionValue),
        ])
    __UPSecuritykey_iE_Extensions__item_._ext = None
    _UPSecuritykey_iE_Extensions._cont = __UPSecuritykey_iE_Extensions__item_
    _UPSecuritykey_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UPSecuritykey._cont = ASN1Dict([
        (u'encryptionKey', _UPSecuritykey_encryptionKey),
        (u'integrityProtectionKey', _UPSecuritykey_integrityProtectionKey),
        (u'iE-Extensions', _UPSecuritykey_iE_Extensions),
        ])
    UPSecuritykey._ext = []
    
    #-----< UPSecuritykey-ExtIEs >-----#
    UPSecuritykey_ExtIEs = CLASS(name=u'UPSecuritykey-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    UPSecuritykey_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UP-TNL-Information >-----#
    UP_TNL_Information = CHOICE(name=u'UP-TNL-Information', mode=MODE_TYPE)
    _UP_TNL_Information_gTPTunnel = SEQ(name=u'gTPTunnel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'GTPTunnel')))
    _UP_TNL_Information_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __UP_TNL_Information_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___UP_TNL_Information_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___UP_TNL_Information_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UP_TNL_Information_choice_extension_id._const_tab = ___UP_TNL_Information_choice_extension_id_tab
    __UP_TNL_Information_choice_extension_id._const_tab_at = None
    __UP_TNL_Information_choice_extension_id._const_tab_id = u'id'
    __UP_TNL_Information_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___UP_TNL_Information_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___UP_TNL_Information_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UP_TNL_Information_choice_extension_criticality._const_tab = ___UP_TNL_Information_choice_extension_criticality_tab
    __UP_TNL_Information_choice_extension_criticality._const_tab_at = ('..', u'id')
    __UP_TNL_Information_choice_extension_criticality._const_tab_id = u'criticality'
    __UP_TNL_Information_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___UP_TNL_Information_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___UP_TNL_Information_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UP_TNL_Information_choice_extension_value._const_tab = ___UP_TNL_Information_choice_extension_value_tab
    __UP_TNL_Information_choice_extension_value._const_tab_at = ('..', u'id')
    __UP_TNL_Information_choice_extension_value._const_tab_id = u'Value'
    _UP_TNL_Information_choice_extension._cont = ASN1Dict([
        (u'id', __UP_TNL_Information_choice_extension_id),
        (u'criticality', __UP_TNL_Information_choice_extension_criticality),
        (u'value', __UP_TNL_Information_choice_extension_value),
        ])
    _UP_TNL_Information_choice_extension._ext = None
    UP_TNL_Information._cont = ASN1Dict([
        (u'gTPTunnel', _UP_TNL_Information_gTPTunnel),
        (u'choice-extension', _UP_TNL_Information_choice_extension),
        ])
    UP_TNL_Information._ext = None
    
    #-----< UP-TNL-Information-ExtIEs >-----#
    UP_TNL_Information_ExtIEs = CLASS(name=u'UP-TNL-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    UP_TNL_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UplinkOnlyROHC >-----#
    UplinkOnlyROHC = SEQ(name=u'UplinkOnlyROHC', mode=MODE_TYPE)
    _UplinkOnlyROHC_maxCID = INT(name=u'maxCID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UplinkOnlyROHC_maxCID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=16383)], ev=[], er=[])
    _UplinkOnlyROHC_rOHC_Profiles = INT(name=u'rOHC-Profiles', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UplinkOnlyROHC_rOHC_Profiles._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=511)], ev=[], er=[])
    _UplinkOnlyROHC_continueROHC = ENUM(name=u'continueROHC', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _UplinkOnlyROHC_continueROHC._cont = ASN1Dict([(u'true', 0)])
    _UplinkOnlyROHC_continueROHC._ext = []
    _UplinkOnlyROHC_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UplinkOnlyROHC_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___UplinkOnlyROHC_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____UplinkOnlyROHC_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UplinkOnlyROHC_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UplinkOnlyROHC_iE_Extensions__item__id._const_tab = ____UplinkOnlyROHC_iE_Extensions__item__id_tab
    ___UplinkOnlyROHC_iE_Extensions__item__id._const_tab_at = None
    ___UplinkOnlyROHC_iE_Extensions__item__id._const_tab_id = u'id'
    ___UplinkOnlyROHC_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UplinkOnlyROHC_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UplinkOnlyROHC_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UplinkOnlyROHC_iE_Extensions__item__criticality._const_tab = ____UplinkOnlyROHC_iE_Extensions__item__criticality_tab
    ___UplinkOnlyROHC_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UplinkOnlyROHC_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UplinkOnlyROHC_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UplinkOnlyROHC_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____UplinkOnlyROHC_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UplinkOnlyROHC_iE_Extensions__item__extensionValue._const_tab = ____UplinkOnlyROHC_iE_Extensions__item__extensionValue_tab
    ___UplinkOnlyROHC_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UplinkOnlyROHC_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UplinkOnlyROHC_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UplinkOnlyROHC_iE_Extensions__item__id),
        (u'criticality', ___UplinkOnlyROHC_iE_Extensions__item__criticality),
        (u'extensionValue', ___UplinkOnlyROHC_iE_Extensions__item__extensionValue),
        ])
    __UplinkOnlyROHC_iE_Extensions__item_._ext = None
    _UplinkOnlyROHC_iE_Extensions._cont = __UplinkOnlyROHC_iE_Extensions__item_
    _UplinkOnlyROHC_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UplinkOnlyROHC._cont = ASN1Dict([
        (u'maxCID', _UplinkOnlyROHC_maxCID),
        (u'rOHC-Profiles', _UplinkOnlyROHC_rOHC_Profiles),
        (u'continueROHC', _UplinkOnlyROHC_continueROHC),
        (u'iE-Extensions', _UplinkOnlyROHC_iE_Extensions),
        ])
    UplinkOnlyROHC._ext = None
    
    #-----< UplinkOnlyROHC-ExtIEs >-----#
    UplinkOnlyROHC_ExtIEs = CLASS(name=u'UplinkOnlyROHC-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    UplinkOnlyROHC_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    _all_ = [
        _ActivityInformation_dRB_Activity_List,
        _ActivityInformation_pDU_Session_Resource_Activity_List,
        _ActivityInformation_uE_Activity,
        ___ActivityInformation_choice_extension_id_tab,
        __ActivityInformation_choice_extension_id,
        ___ActivityInformation_choice_extension_criticality_tab,
        __ActivityInformation_choice_extension_criticality,
        ___ActivityInformation_choice_extension_value_tab,
        __ActivityInformation_choice_extension_value,
        _ActivityInformation_choice_extension,
        ActivityInformation,
        ActivityInformation_ExtIEs,
        ActivityNotificationLevel,
        AveragingWindow,
        BearerContextStatusChange,
        BitRate,
        _Cause_radioNetwork,
        _Cause_transport,
        _Cause_protocol,
        _Cause_misc,
        ___Cause_choice_extension_id_tab,
        __Cause_choice_extension_id,
        ___Cause_choice_extension_criticality_tab,
        __Cause_choice_extension_criticality,
        ___Cause_choice_extension_value_tab,
        __Cause_choice_extension_value,
        _Cause_choice_extension,
        Cause,
        Cause_ExtIEs,
        CauseMisc,
        CauseProtocol,
        CauseRadioNetwork,
        CauseTransport,
        _Cell_Group_Information__item_,
        Cell_Group_Information,
        _Cell_Group_Information_Item_cell_Group_ID,
        _Cell_Group_Information_Item_uL_Configuration,
        _Cell_Group_Information_Item_dL_TX_Stop,
        _Cell_Group_Information_Item_rAT_Type,
        ____Cell_Group_Information_Item_iE_Extensions__item__id_tab,
        ___Cell_Group_Information_Item_iE_Extensions__item__id,
        ____Cell_Group_Information_Item_iE_Extensions__item__criticality_tab,
        ___Cell_Group_Information_Item_iE_Extensions__item__criticality,
        ____Cell_Group_Information_Item_iE_Extensions__item__extensionValue_tab,
        ___Cell_Group_Information_Item_iE_Extensions__item__extensionValue,
        __Cell_Group_Information_Item_iE_Extensions__item_,
        _Cell_Group_Information_Item_iE_Extensions,
        Cell_Group_Information_Item,
        Cell_Group_Information_Item_ExtIEs,
        Cell_Group_ID,
        CipheringAlgorithm,
        CNSupport,
        CommonNetworkInstance,
        ConfidentialityProtectionIndication,
        ConfidentialityProtectionResult,
        _CP_TNL_Information_endpoint_IP_Address,
        ___CP_TNL_Information_choice_extension_id_tab,
        ____CP_TNL_Information_choice_extension_id_tab_val_Value_0,
        __CP_TNL_Information_choice_extension_id,
        __CP_TNL_Information_choice_extension_criticality,
        __CP_TNL_Information_choice_extension_value,
        _CP_TNL_Information_choice_extension,
        CP_TNL_Information,
        CP_TNL_Information_ExtIEs,
        _CP_TNL_Information_ExtIEs_val_Value_0,
        _CriticalityDiagnostics_procedureCode,
        _CriticalityDiagnostics_triggeringMessage,
        _CriticalityDiagnostics_procedureCriticality,
        _CriticalityDiagnostics_transactionID,
        _CriticalityDiagnostics_iEsCriticalityDiagnostics,
        ____CriticalityDiagnostics_iE_Extensions__item__id_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__id,
        ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__criticality,
        ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__extensionValue,
        __CriticalityDiagnostics_iE_Extensions__item_,
        _CriticalityDiagnostics_iE_Extensions,
        CriticalityDiagnostics,
        CriticalityDiagnostics_ExtIEs,
        __CriticalityDiagnostics_IE_List__item__iECriticality,
        __CriticalityDiagnostics_IE_List__item__iE_ID,
        __CriticalityDiagnostics_IE_List__item__typeOfError,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue,
        ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_,
        __CriticalityDiagnostics_IE_List__item__iE_Extensions,
        _CriticalityDiagnostics_IE_List__item_,
        CriticalityDiagnostics_IE_List,
        CriticalityDiagnostics_IE_List_ExtIEs,
        _Data_Forwarding_Information_Request_data_Forwarding_Request,
        _Data_Forwarding_Information_Request_qoS_Flows_Forwarded_On_Fwd_Tunnels,
        ____Data_Forwarding_Information_Request_iE_Extensions__item__id_tab,
        ___Data_Forwarding_Information_Request_iE_Extensions__item__id,
        ____Data_Forwarding_Information_Request_iE_Extensions__item__criticality_tab,
        ___Data_Forwarding_Information_Request_iE_Extensions__item__criticality,
        ____Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue_tab,
        ___Data_Forwarding_Information_Request_iE_Extensions__item__extensionValue,
        __Data_Forwarding_Information_Request_iE_Extensions__item_,
        _Data_Forwarding_Information_Request_iE_Extensions,
        Data_Forwarding_Information_Request,
        Data_Forwarding_Information_Request_ExtIEs,
        _Data_Forwarding_Information_uL_Data_Forwarding,
        _Data_Forwarding_Information_dL_Data_Forwarding,
        ____Data_Forwarding_Information_iE_Extensions__item__id_tab,
        ___Data_Forwarding_Information_iE_Extensions__item__id,
        ____Data_Forwarding_Information_iE_Extensions__item__criticality_tab,
        ___Data_Forwarding_Information_iE_Extensions__item__criticality,
        ____Data_Forwarding_Information_iE_Extensions__item__extensionValue_tab,
        ___Data_Forwarding_Information_iE_Extensions__item__extensionValue,
        __Data_Forwarding_Information_iE_Extensions__item_,
        _Data_Forwarding_Information_iE_Extensions,
        Data_Forwarding_Information,
        Data_Forwarding_Information_ExtIEs,
        Data_Forwarding_Request,
        _Data_Usage_per_PDU_Session_Report_secondaryRATType,
        __Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List__item_,
        _Data_Usage_per_PDU_Session_Report_pDU_session_Timed_Report_List,
        ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id_tab,
        ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__id,
        ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality_tab,
        ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__criticality,
        ____Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue_tab,
        ___Data_Usage_per_PDU_Session_Report_iE_Extensions__item__extensionValue,
        __Data_Usage_per_PDU_Session_Report_iE_Extensions__item_,
        _Data_Usage_per_PDU_Session_Report_iE_Extensions,
        Data_Usage_per_PDU_Session_Report,
        Data_Usage_per_PDU_Session_Report_ExtIEs,
        _Data_Usage_per_QoS_Flow_List__item_,
        Data_Usage_per_QoS_Flow_List,
        _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Identifier,
        _Data_Usage_per_QoS_Flow_Item_secondaryRATType,
        __Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List__item_,
        _Data_Usage_per_QoS_Flow_Item_qoS_Flow_Timed_Report_List,
        ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id_tab,
        ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__id,
        ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality_tab,
        ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__criticality,
        ____Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue_tab,
        ___Data_Usage_per_QoS_Flow_Item_iE_Extensions__item__extensionValue,
        __Data_Usage_per_QoS_Flow_Item_iE_Extensions__item_,
        _Data_Usage_per_QoS_Flow_Item_iE_Extensions,
        Data_Usage_per_QoS_Flow_Item,
        Data_Usage_per_QoS_Flow_Item_ExtIEs,
        _Data_Usage_Report_List__item_,
        Data_Usage_Report_List,
        _Data_Usage_Report_Item_dRB_ID,
        _Data_Usage_Report_Item_rAT_Type,
        _Data_Usage_Report_Item_dRB_Usage_Report_List,
        ____Data_Usage_Report_Item_iE_Extensions__item__id_tab,
        ___Data_Usage_Report_Item_iE_Extensions__item__id,
        ____Data_Usage_Report_Item_iE_Extensions__item__criticality_tab,
        ___Data_Usage_Report_Item_iE_Extensions__item__criticality,
        ____Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab,
        ___Data_Usage_Report_Item_iE_Extensions__item__extensionValue,
        __Data_Usage_Report_Item_iE_Extensions__item_,
        _Data_Usage_Report_Item_iE_Extensions,
        Data_Usage_Report_Item,
        Data_Usage_Report_ItemExtIEs,
        DefaultDRB,
        DiscardTimer,
        DL_TX_Stop,
        DRB_Activity,
        _DRB_Activity_List__item_,
        DRB_Activity_List,
        _DRB_Activity_Item_dRB_ID,
        _DRB_Activity_Item_dRB_Activity,
        ____DRB_Activity_Item_iE_Extensions__item__id_tab,
        ___DRB_Activity_Item_iE_Extensions__item__id,
        ____DRB_Activity_Item_iE_Extensions__item__criticality_tab,
        ___DRB_Activity_Item_iE_Extensions__item__criticality,
        ____DRB_Activity_Item_iE_Extensions__item__extensionValue_tab,
        ___DRB_Activity_Item_iE_Extensions__item__extensionValue,
        __DRB_Activity_Item_iE_Extensions__item_,
        _DRB_Activity_Item_iE_Extensions,
        DRB_Activity_Item,
        DRB_Activity_ItemExtIEs,
        _DRB_Confirm_Modified_List_EUTRAN__item_,
        DRB_Confirm_Modified_List_EUTRAN,
        _DRB_Confirm_Modified_Item_EUTRAN_dRB_ID,
        _DRB_Confirm_Modified_Item_EUTRAN_cell_Group_Information,
        ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Confirm_Modified_Item_EUTRAN_iE_Extensions,
        DRB_Confirm_Modified_Item_EUTRAN,
        DRB_Confirm_Modified_Item_EUTRAN_ExtIEs,
        _DRB_Confirm_Modified_List_NG_RAN__item_,
        DRB_Confirm_Modified_List_NG_RAN,
        _DRB_Confirm_Modified_Item_NG_RAN_dRB_ID,
        _DRB_Confirm_Modified_Item_NG_RAN_cell_Group_Information,
        ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Confirm_Modified_Item_NG_RAN_iE_Extensions,
        DRB_Confirm_Modified_Item_NG_RAN,
        DRB_Confirm_Modified_Item_NG_RAN_ExtIEs,
        _DRB_Failed_List_EUTRAN__item_,
        DRB_Failed_List_EUTRAN,
        _DRB_Failed_Item_EUTRAN_dRB_ID,
        _DRB_Failed_Item_EUTRAN_cause,
        ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Failed_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Failed_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Failed_Item_EUTRAN_iE_Extensions,
        DRB_Failed_Item_EUTRAN,
        DRB_Failed_Item_EUTRAN_ExtIEs,
        _DRB_Failed_Mod_List_EUTRAN__item_,
        DRB_Failed_Mod_List_EUTRAN,
        _DRB_Failed_Mod_Item_EUTRAN_dRB_ID,
        _DRB_Failed_Mod_Item_EUTRAN_cause,
        ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Failed_Mod_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Failed_Mod_Item_EUTRAN_iE_Extensions,
        DRB_Failed_Mod_Item_EUTRAN,
        DRB_Failed_Mod_Item_EUTRAN_ExtIEs,
        _DRB_Failed_List_NG_RAN__item_,
        DRB_Failed_List_NG_RAN,
        _DRB_Failed_Item_NG_RAN_dRB_ID,
        _DRB_Failed_Item_NG_RAN_cause,
        ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Failed_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Failed_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Failed_Item_NG_RAN_iE_Extensions,
        DRB_Failed_Item_NG_RAN,
        DRB_Failed_Item_NG_RAN_ExtIEs,
        _DRB_Failed_Mod_List_NG_RAN__item_,
        DRB_Failed_Mod_List_NG_RAN,
        _DRB_Failed_Mod_Item_NG_RAN_dRB_ID,
        _DRB_Failed_Mod_Item_NG_RAN_cause,
        ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Failed_Mod_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Failed_Mod_Item_NG_RAN_iE_Extensions,
        DRB_Failed_Mod_Item_NG_RAN,
        DRB_Failed_Mod_Item_NG_RAN_ExtIEs,
        _DRB_Failed_To_Modify_List_EUTRAN__item_,
        DRB_Failed_To_Modify_List_EUTRAN,
        _DRB_Failed_To_Modify_Item_EUTRAN_dRB_ID,
        _DRB_Failed_To_Modify_Item_EUTRAN_cause,
        ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Failed_To_Modify_Item_EUTRAN_iE_Extensions,
        DRB_Failed_To_Modify_Item_EUTRAN,
        DRB_Failed_To_Modify_Item_EUTRAN_ExtIEs,
        _DRB_Failed_To_Modify_List_NG_RAN__item_,
        DRB_Failed_To_Modify_List_NG_RAN,
        _DRB_Failed_To_Modify_Item_NG_RAN_dRB_ID,
        _DRB_Failed_To_Modify_Item_NG_RAN_cause,
        ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Failed_To_Modify_Item_NG_RAN_iE_Extensions,
        DRB_Failed_To_Modify_Item_NG_RAN,
        DRB_Failed_To_Modify_Item_NG_RAN_ExtIEs,
        DRB_ID,
        _DRB_Modified_List_EUTRAN__item_,
        DRB_Modified_List_EUTRAN,
        _DRB_Modified_Item_EUTRAN_dRB_ID,
        _DRB_Modified_Item_EUTRAN_s1_DL_UP_TNL_Information,
        _DRB_Modified_Item_EUTRAN_pDCP_SN_Status_Information,
        _DRB_Modified_Item_EUTRAN_uL_UP_Transport_Parameters,
        ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Modified_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Modified_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Modified_Item_EUTRAN_iE_Extensions,
        DRB_Modified_Item_EUTRAN,
        DRB_Modified_Item_EUTRAN_ExtIEs,
        _DRB_Modified_List_NG_RAN__item_,
        DRB_Modified_List_NG_RAN,
        _DRB_Modified_Item_NG_RAN_dRB_ID,
        _DRB_Modified_Item_NG_RAN_uL_UP_Transport_Parameters,
        _DRB_Modified_Item_NG_RAN_pDCP_SN_Status_Information,
        _DRB_Modified_Item_NG_RAN_flow_Setup_List,
        _DRB_Modified_Item_NG_RAN_flow_Failed_List,
        ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Modified_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Modified_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Modified_Item_NG_RAN_iE_Extensions,
        DRB_Modified_Item_NG_RAN,
        DRB_Modified_Item_NG_RAN_ExtIEs,
        _DRB_Required_To_Modify_List_EUTRAN__item_,
        DRB_Required_To_Modify_List_EUTRAN,
        _DRB_Required_To_Modify_Item_EUTRAN_dRB_ID,
        _DRB_Required_To_Modify_Item_EUTRAN_s1_DL_UP_TNL_Information,
        _DRB_Required_To_Modify_Item_EUTRAN_gNB_CU_UP_CellGroupRelatedConfiguration,
        _DRB_Required_To_Modify_Item_EUTRAN_cause,
        ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Required_To_Modify_Item_EUTRAN_iE_Extensions,
        DRB_Required_To_Modify_Item_EUTRAN,
        DRB_Required_To_Modify_Item_EUTRAN_ExtIEs,
        _DRB_Required_To_Modify_List_NG_RAN__item_,
        DRB_Required_To_Modify_List_NG_RAN,
        _DRB_Required_To_Modify_Item_NG_RAN_dRB_ID,
        _DRB_Required_To_Modify_Item_NG_RAN_gNB_CU_UP_CellGroupRelatedConfiguration,
        _DRB_Required_To_Modify_Item_NG_RAN_flow_To_Remove,
        _DRB_Required_To_Modify_Item_NG_RAN_cause,
        ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Required_To_Modify_Item_NG_RAN_iE_Extensions,
        DRB_Required_To_Modify_Item_NG_RAN,
        DRB_Required_To_Modify_Item_NG_RAN_ExtIEs,
        _DRB_Setup_List_EUTRAN__item_,
        DRB_Setup_List_EUTRAN,
        _DRB_Setup_Item_EUTRAN_dRB_ID,
        _DRB_Setup_Item_EUTRAN_s1_DL_UP_TNL_Information,
        _DRB_Setup_Item_EUTRAN_data_Forwarding_Information_Response,
        _DRB_Setup_Item_EUTRAN_uL_UP_Transport_Parameters,
        _DRB_Setup_Item_EUTRAN_s1_DL_UP_Unchanged,
        ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Setup_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Setup_Item_EUTRAN_iE_Extensions,
        DRB_Setup_Item_EUTRAN,
        DRB_Setup_Item_EUTRAN_ExtIEs,
        _DRB_Setup_Mod_List_EUTRAN__item_,
        DRB_Setup_Mod_List_EUTRAN,
        _DRB_Setup_Mod_Item_EUTRAN_dRB_ID,
        _DRB_Setup_Mod_Item_EUTRAN_s1_DL_UP_TNL_Information,
        _DRB_Setup_Mod_Item_EUTRAN_data_Forwarding_Information_Response,
        _DRB_Setup_Mod_Item_EUTRAN_uL_UP_Transport_Parameters,
        ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Setup_Mod_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Setup_Mod_Item_EUTRAN_iE_Extensions,
        DRB_Setup_Mod_Item_EUTRAN,
        DRB_Setup_Mod_Item_EUTRAN_ExtIEs,
        _DRB_Setup_List_NG_RAN__item_,
        DRB_Setup_List_NG_RAN,
        _DRB_Setup_Item_NG_RAN_dRB_ID,
        _DRB_Setup_Item_NG_RAN_dRB_data_Forwarding_Information_Response,
        _DRB_Setup_Item_NG_RAN_uL_UP_Transport_Parameters,
        _DRB_Setup_Item_NG_RAN_flow_Setup_List,
        _DRB_Setup_Item_NG_RAN_flow_Failed_List,
        ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Setup_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Setup_Item_NG_RAN_iE_Extensions,
        DRB_Setup_Item_NG_RAN,
        DRB_Setup_Item_NG_RAN_ExtIEs,
        _DRB_Setup_Mod_List_NG_RAN__item_,
        DRB_Setup_Mod_List_NG_RAN,
        _DRB_Setup_Mod_Item_NG_RAN_dRB_ID,
        _DRB_Setup_Mod_Item_NG_RAN_dRB_data_Forwarding_Information_Response,
        _DRB_Setup_Mod_Item_NG_RAN_uL_UP_Transport_Parameters,
        _DRB_Setup_Mod_Item_NG_RAN_flow_Setup_List,
        _DRB_Setup_Mod_Item_NG_RAN_flow_Failed_List,
        ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Setup_Mod_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Setup_Mod_Item_NG_RAN_iE_Extensions,
        DRB_Setup_Mod_Item_NG_RAN,
        DRB_Setup_Mod_Item_NG_RAN_ExtIEs,
        _DRB_Status_Item_dRB_ID,
        _DRB_Status_Item_pDCP_DL_Count,
        _DRB_Status_Item_pDCP_UL_Count,
        ____DRB_Status_Item_iE_Extensions__item__id_tab,
        ___DRB_Status_Item_iE_Extensions__item__id,
        ____DRB_Status_Item_iE_Extensions__item__criticality_tab,
        ___DRB_Status_Item_iE_Extensions__item__criticality,
        ____DRB_Status_Item_iE_Extensions__item__extensionValue_tab,
        ___DRB_Status_Item_iE_Extensions__item__extensionValue,
        __DRB_Status_Item_iE_Extensions__item_,
        _DRB_Status_Item_iE_Extensions,
        DRB_Status_Item,
        DRB_Status_ItemExtIEs,
        _DRBs_Subject_To_Counter_Check_List_EUTRAN__item_,
        DRBs_Subject_To_Counter_Check_List_EUTRAN,
        _DRBs_Subject_To_Counter_Check_Item_EUTRAN_dRB_ID,
        _DRBs_Subject_To_Counter_Check_Item_EUTRAN_pDCP_UL_Count,
        _DRBs_Subject_To_Counter_Check_Item_EUTRAN_pDCP_DL_Count,
        ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__id,
        ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions__item_,
        _DRBs_Subject_To_Counter_Check_Item_EUTRAN_iE_Extensions,
        DRBs_Subject_To_Counter_Check_Item_EUTRAN,
        DRBs_Subject_To_Counter_Check_Item_EUTRAN_ExtIEs,
        _DRBs_Subject_To_Counter_Check_List_NG_RAN__item_,
        DRBs_Subject_To_Counter_Check_List_NG_RAN,
        _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDU_Session_ID,
        _DRBs_Subject_To_Counter_Check_Item_NG_RAN_dRB_ID,
        _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDCP_UL_Count,
        _DRBs_Subject_To_Counter_Check_Item_NG_RAN_pDCP_DL_Count,
        ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__id,
        ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions__item_,
        _DRBs_Subject_To_Counter_Check_Item_NG_RAN_iE_Extensions,
        DRBs_Subject_To_Counter_Check_Item_NG_RAN,
        DRBs_Subject_To_Counter_Check_Item_NG_RAN_ExtIEs,
        _DRB_To_Modify_List_EUTRAN__item_,
        DRB_To_Modify_List_EUTRAN,
        _DRB_To_Modify_Item_EUTRAN_dRB_ID,
        _DRB_To_Modify_Item_EUTRAN_pDCP_Configuration,
        _DRB_To_Modify_Item_EUTRAN_eUTRAN_QoS,
        _DRB_To_Modify_Item_EUTRAN_s1_UL_UP_TNL_Information,
        _DRB_To_Modify_Item_EUTRAN_data_Forwarding_Information,
        _DRB_To_Modify_Item_EUTRAN_pDCP_SN_Status_Request,
        _DRB_To_Modify_Item_EUTRAN_pDCP_SN_Status_Information,
        _DRB_To_Modify_Item_EUTRAN_dL_UP_Parameters,
        _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Add,
        _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Modify,
        _DRB_To_Modify_Item_EUTRAN_cell_Group_To_Remove,
        _DRB_To_Modify_Item_EUTRAN_dRB_Inactivity_Timer,
        ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_To_Modify_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_To_Modify_Item_EUTRAN_iE_Extensions__item_,
        _DRB_To_Modify_Item_EUTRAN_iE_Extensions,
        DRB_To_Modify_Item_EUTRAN,
        DRB_To_Modify_Item_EUTRAN_ExtIEs,
        _DRB_To_Modify_List_NG_RAN__item_,
        DRB_To_Modify_List_NG_RAN,
        _DRB_To_Modify_Item_NG_RAN_dRB_ID,
        _DRB_To_Modify_Item_NG_RAN_sDAP_Configuration,
        _DRB_To_Modify_Item_NG_RAN_pDCP_Configuration,
        _DRB_To_Modify_Item_NG_RAN_dRB_Data_Forwarding_Information,
        _DRB_To_Modify_Item_NG_RAN_pDCP_SN_Status_Request,
        _DRB_To_Modify_Item_NG_RAN_pdcp_SN_Status_Information,
        _DRB_To_Modify_Item_NG_RAN_dL_UP_Parameters,
        _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Add,
        _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Modify,
        _DRB_To_Modify_Item_NG_RAN_cell_Group_To_Remove,
        _DRB_To_Modify_Item_NG_RAN_flow_Mapping_Information,
        _DRB_To_Modify_Item_NG_RAN_dRB_Inactivity_Timer,
        ____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab,
        _____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0,
        _____DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_1,
        ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__id,
        ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__criticality,
        ___DRB_To_Modify_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_To_Modify_Item_NG_RAN_iE_Extensions__item_,
        _DRB_To_Modify_Item_NG_RAN_iE_Extensions,
        DRB_To_Modify_Item_NG_RAN,
        DRB_To_Modify_Item_NG_RAN_ExtIEs,
        _DRB_To_Modify_Item_NG_RAN_ExtIEs_val_Extension_0,
        _DRB_To_Modify_Item_NG_RAN_ExtIEs_val_Extension_1,
        _DRB_To_Remove_List_EUTRAN__item_,
        DRB_To_Remove_List_EUTRAN,
        _DRB_To_Remove_Item_EUTRAN_dRB_ID,
        ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_To_Remove_Item_EUTRAN_iE_Extensions__item_,
        _DRB_To_Remove_Item_EUTRAN_iE_Extensions,
        DRB_To_Remove_Item_EUTRAN,
        DRB_To_Remove_Item_EUTRAN_ExtIEs,
        _DRB_Required_To_Remove_List_EUTRAN__item_,
        DRB_Required_To_Remove_List_EUTRAN,
        _DRB_Required_To_Remove_Item_EUTRAN_dRB_ID,
        _DRB_Required_To_Remove_Item_EUTRAN_cause,
        ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions__item_,
        _DRB_Required_To_Remove_Item_EUTRAN_iE_Extensions,
        DRB_Required_To_Remove_Item_EUTRAN,
        DRB_Required_To_Remove_Item_EUTRAN_ExtIEs,
        _DRB_To_Remove_List_NG_RAN__item_,
        DRB_To_Remove_List_NG_RAN,
        _DRB_To_Remove_Item_NG_RAN_dRB_ID,
        ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_To_Remove_Item_NG_RAN_iE_Extensions__item_,
        _DRB_To_Remove_Item_NG_RAN_iE_Extensions,
        DRB_To_Remove_Item_NG_RAN,
        DRB_To_Remove_Item_NG_RAN_ExtIEs,
        _DRB_Required_To_Remove_List_NG_RAN__item_,
        DRB_Required_To_Remove_List_NG_RAN,
        _DRB_Required_To_Remove_Item_NG_RAN_dRB_ID,
        _DRB_Required_To_Remove_Item_NG_RAN_cause,
        ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id_tab,
        ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__id,
        ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality_tab,
        ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__criticality,
        ____DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions__item_,
        _DRB_Required_To_Remove_Item_NG_RAN_iE_Extensions,
        DRB_Required_To_Remove_Item_NG_RAN,
        DRB_Required_To_Remove_Item_NG_RAN_ExtIEs,
        _DRB_To_Setup_List_EUTRAN__item_,
        DRB_To_Setup_List_EUTRAN,
        _DRB_To_Setup_Item_EUTRAN_dRB_ID,
        _DRB_To_Setup_Item_EUTRAN_pDCP_Configuration,
        _DRB_To_Setup_Item_EUTRAN_eUTRAN_QoS,
        _DRB_To_Setup_Item_EUTRAN_s1_UL_UP_TNL_Information,
        _DRB_To_Setup_Item_EUTRAN_data_Forwarding_Information_Request,
        _DRB_To_Setup_Item_EUTRAN_cell_Group_Information,
        _DRB_To_Setup_Item_EUTRAN_dL_UP_Parameters,
        _DRB_To_Setup_Item_EUTRAN_dRB_Inactivity_Timer,
        _DRB_To_Setup_Item_EUTRAN_existing_Allocated_S1_DL_UP_TNL_Info,
        ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_To_Setup_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_To_Setup_Item_EUTRAN_iE_Extensions__item_,
        _DRB_To_Setup_Item_EUTRAN_iE_Extensions,
        DRB_To_Setup_Item_EUTRAN,
        DRB_To_Setup_Item_EUTRAN_ExtIEs,
        _DRB_To_Setup_Mod_List_EUTRAN__item_,
        DRB_To_Setup_Mod_List_EUTRAN,
        _DRB_To_Setup_Mod_Item_EUTRAN_dRB_ID,
        _DRB_To_Setup_Mod_Item_EUTRAN_pDCP_Configuration,
        _DRB_To_Setup_Mod_Item_EUTRAN_eUTRAN_QoS,
        _DRB_To_Setup_Mod_Item_EUTRAN_s1_UL_UP_TNL_Information,
        _DRB_To_Setup_Mod_Item_EUTRAN_data_Forwarding_Information_Request,
        _DRB_To_Setup_Mod_Item_EUTRAN_cell_Group_Information,
        _DRB_To_Setup_Mod_Item_EUTRAN_dL_UP_Parameters,
        _DRB_To_Setup_Mod_Item_EUTRAN_dRB_Inactivity_Timer,
        ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id_tab,
        ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__id,
        ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality_tab,
        ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__criticality,
        ____DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue_tab,
        ___DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item__extensionValue,
        __DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions__item_,
        _DRB_To_Setup_Mod_Item_EUTRAN_iE_Extensions,
        DRB_To_Setup_Mod_Item_EUTRAN,
        DRB_To_Setup_Mod_Item_EUTRAN_ExtIEs,
        _DRB_To_Setup_List_NG_RAN__item_,
        DRB_To_Setup_List_NG_RAN,
        _DRB_To_Setup_Item_NG_RAN_dRB_ID,
        _DRB_To_Setup_Item_NG_RAN_sDAP_Configuration,
        _DRB_To_Setup_Item_NG_RAN_pDCP_Configuration,
        _DRB_To_Setup_Item_NG_RAN_cell_Group_Information,
        _DRB_To_Setup_Item_NG_RAN_qos_flow_Information_To_Be_Setup,
        _DRB_To_Setup_Item_NG_RAN_dRB_Data_Forwarding_Information_Request,
        _DRB_To_Setup_Item_NG_RAN_dRB_Inactivity_Timer,
        _DRB_To_Setup_Item_NG_RAN_pDCP_SN_Status_Information,
        ____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab,
        _____DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__id,
        ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__criticality,
        ___DRB_To_Setup_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_To_Setup_Item_NG_RAN_iE_Extensions__item_,
        _DRB_To_Setup_Item_NG_RAN_iE_Extensions,
        DRB_To_Setup_Item_NG_RAN,
        DRB_To_Setup_Item_NG_RAN_ExtIEs,
        _DRB_To_Setup_Item_NG_RAN_ExtIEs_val_Extension_0,
        _DRB_To_Setup_Mod_List_NG_RAN__item_,
        DRB_To_Setup_Mod_List_NG_RAN,
        _DRB_To_Setup_Mod_Item_NG_RAN_dRB_ID,
        _DRB_To_Setup_Mod_Item_NG_RAN_sDAP_Configuration,
        _DRB_To_Setup_Mod_Item_NG_RAN_pDCP_Configuration,
        _DRB_To_Setup_Mod_Item_NG_RAN_cell_Group_Information,
        _DRB_To_Setup_Mod_Item_NG_RAN_flow_Mapping_Information,
        _DRB_To_Setup_Mod_Item_NG_RAN_dRB_Data_Forwarding_Information_Request,
        _DRB_To_Setup_Mod_Item_NG_RAN_dRB_Inactivity_Timer,
        _DRB_To_Setup_Mod_Item_NG_RAN_pDCP_SN_Status_Information,
        ____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab,
        _____DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__id,
        ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__criticality,
        ___DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item__extensionValue,
        __DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions__item_,
        _DRB_To_Setup_Mod_Item_NG_RAN_iE_Extensions,
        DRB_To_Setup_Mod_Item_NG_RAN,
        DRB_To_Setup_Mod_Item_NG_RAN_ExtIEs,
        _DRB_To_Setup_Mod_Item_NG_RAN_ExtIEs_val_Extension_0,
        _DRB_Usage_Report_List__item_,
        DRB_Usage_Report_List,
        _DRB_Usage_Report_Item_startTimeStamp,
        _DRB_Usage_Report_Item_endTimeStamp,
        _DRB_Usage_Report_Item_usageCountUL,
        _DRB_Usage_Report_Item_usageCountDL,
        ____DRB_Usage_Report_Item_iE_Extensions__item__id_tab,
        ___DRB_Usage_Report_Item_iE_Extensions__item__id,
        ____DRB_Usage_Report_Item_iE_Extensions__item__criticality_tab,
        ___DRB_Usage_Report_Item_iE_Extensions__item__criticality,
        ____DRB_Usage_Report_Item_iE_Extensions__item__extensionValue_tab,
        ___DRB_Usage_Report_Item_iE_Extensions__item__extensionValue,
        __DRB_Usage_Report_Item_iE_Extensions__item_,
        _DRB_Usage_Report_Item_iE_Extensions,
        DRB_Usage_Report_Item,
        DRB_Usage_Report_Item_ExtIEs,
        Duplication_Activation,
        _Dynamic5QIDescriptor_qoSPriorityLevel,
        _Dynamic5QIDescriptor_packetDelayBudget,
        _Dynamic5QIDescriptor_packetErrorRate,
        _Dynamic5QIDescriptor_fiveQI,
        _Dynamic5QIDescriptor_delayCritical,
        _Dynamic5QIDescriptor_averagingWindow,
        _Dynamic5QIDescriptor_maxDataBurstVolume,
        ____Dynamic5QIDescriptor_iE_Extensions__item__id_tab,
        ___Dynamic5QIDescriptor_iE_Extensions__item__id,
        ____Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab,
        ___Dynamic5QIDescriptor_iE_Extensions__item__criticality,
        ____Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab,
        ___Dynamic5QIDescriptor_iE_Extensions__item__extensionValue,
        __Dynamic5QIDescriptor_iE_Extensions__item_,
        _Dynamic5QIDescriptor_iE_Extensions,
        Dynamic5QIDescriptor,
        Dynamic5QIDescriptor_ExtIEs,
        DataDiscardRequired,
        EncryptionKey,
        _Endpoint_IP_address_and_port_endpoint_IP_Address,
        _Endpoint_IP_address_and_port_portNumber,
        ____Endpoint_IP_address_and_port_iE_Extensions__item__id_tab,
        ___Endpoint_IP_address_and_port_iE_Extensions__item__id,
        ____Endpoint_IP_address_and_port_iE_Extensions__item__criticality_tab,
        ___Endpoint_IP_address_and_port_iE_Extensions__item__criticality,
        ____Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue_tab,
        ___Endpoint_IP_address_and_port_iE_Extensions__item__extensionValue,
        __Endpoint_IP_address_and_port_iE_Extensions__item_,
        _Endpoint_IP_address_and_port_iE_Extensions,
        Endpoint_IP_address_and_port,
        Endpoint_IP_address_and_port_ExtIEs,
        _EUTRANAllocationAndRetentionPriority_priorityLevel,
        _EUTRANAllocationAndRetentionPriority_pre_emptionCapability,
        _EUTRANAllocationAndRetentionPriority_pre_emptionVulnerability,
        ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab,
        ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__id,
        ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab,
        ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__criticality,
        ____EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab,
        ___EUTRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue,
        __EUTRANAllocationAndRetentionPriority_iE_Extensions__item_,
        _EUTRANAllocationAndRetentionPriority_iE_Extensions,
        EUTRANAllocationAndRetentionPriority,
        EUTRANAllocationAndRetentionPriority_ExtIEs,
        _EUTRAN_QoS_Support_List__item_,
        EUTRAN_QoS_Support_List,
        _EUTRAN_QoS_Support_Item_eUTRAN_QoS,
        ____EUTRAN_QoS_Support_Item_iE_Extensions__item__id_tab,
        ___EUTRAN_QoS_Support_Item_iE_Extensions__item__id,
        ____EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality_tab,
        ___EUTRAN_QoS_Support_Item_iE_Extensions__item__criticality,
        ____EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab,
        ___EUTRAN_QoS_Support_Item_iE_Extensions__item__extensionValue,
        __EUTRAN_QoS_Support_Item_iE_Extensions__item_,
        _EUTRAN_QoS_Support_Item_iE_Extensions,
        EUTRAN_QoS_Support_Item,
        EUTRAN_QoS_Support_Item_ExtIEs,
        _EUTRAN_QoS_qCI,
        _EUTRAN_QoS_eUTRANallocationAndRetentionPriority,
        _EUTRAN_QoS_gbrQosInformation,
        ____EUTRAN_QoS_iE_Extensions__item__id_tab,
        ___EUTRAN_QoS_iE_Extensions__item__id,
        ____EUTRAN_QoS_iE_Extensions__item__criticality_tab,
        ___EUTRAN_QoS_iE_Extensions__item__criticality,
        ____EUTRAN_QoS_iE_Extensions__item__extensionValue_tab,
        ___EUTRAN_QoS_iE_Extensions__item__extensionValue,
        __EUTRAN_QoS_iE_Extensions__item_,
        _EUTRAN_QoS_iE_Extensions,
        EUTRAN_QoS,
        EUTRAN_QoS_ExtIEs,
        GNB_CU_CP_Name,
        GNB_CU_CP_UE_E1AP_ID,
        GNB_CU_UP_Capacity,
        _GNB_CU_UP_CellGroupRelatedConfiguration__item_,
        GNB_CU_UP_CellGroupRelatedConfiguration,
        _GNB_CU_UP_CellGroupRelatedConfiguration_Item_cell_Group_ID,
        _GNB_CU_UP_CellGroupRelatedConfiguration_Item_uP_TNL_Information,
        _GNB_CU_UP_CellGroupRelatedConfiguration_Item_uL_Configuration,
        ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id_tab,
        ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__id,
        ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality_tab,
        ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__criticality,
        ____GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue_tab,
        ___GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions__item_,
        _GNB_CU_UP_CellGroupRelatedConfiguration_Item_iE_Extensions,
        GNB_CU_UP_CellGroupRelatedConfiguration_Item,
        GNB_CU_UP_CellGroupRelatedConfiguration_Item_ExtIEs,
        GNB_CU_UP_ID,
        GNB_CU_UP_Name,
        GNB_CU_UP_UE_E1AP_ID,
        _GNB_CU_CP_TNLA_Setup_Item_tNLAssociationTransportLayerAddress,
        ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id_tab,
        ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__id,
        ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality_tab,
        ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__criticality,
        ____GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_CP_TNLA_Setup_Item_iE_Extensions__item_,
        _GNB_CU_CP_TNLA_Setup_Item_iE_Extensions,
        GNB_CU_CP_TNLA_Setup_Item,
        GNB_CU_CP_TNLA_Setup_Item_ExtIEs,
        _GNB_CU_CP_TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress,
        _GNB_CU_CP_TNLA_Failed_To_Setup_Item_cause,
        ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab,
        ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__id,
        ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab,
        ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality,
        ____GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions__item_,
        _GNB_CU_CP_TNLA_Failed_To_Setup_Item_iE_Extensions,
        GNB_CU_CP_TNLA_Failed_To_Setup_Item,
        GNB_CU_CP_TNLA_Failed_To_Setup_Item_ExtIEs,
        _GNB_CU_CP_TNLA_To_Add_Item_tNLAssociationTransportLayerAddress,
        _GNB_CU_CP_TNLA_To_Add_Item_tNLAssociationUsage,
        ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id_tab,
        ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__id,
        ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality_tab,
        ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__criticality,
        ____GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab,
        ___GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions__item_,
        _GNB_CU_CP_TNLA_To_Add_Item_iE_Extensions,
        GNB_CU_CP_TNLA_To_Add_Item,
        GNB_CU_CP_TNLA_To_Add_Item_ExtIEs,
        _GNB_CU_CP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress,
        ____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab,
        _____GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__id,
        ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__criticality,
        ___GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions__item_,
        _GNB_CU_CP_TNLA_To_Remove_Item_iE_Extensions,
        GNB_CU_CP_TNLA_To_Remove_Item,
        GNB_CU_CP_TNLA_To_Remove_Item_ExtIEs,
        _GNB_CU_CP_TNLA_To_Remove_Item_ExtIEs_val_Extension_0,
        _GNB_CU_CP_TNLA_To_Update_Item_tNLAssociationTransportLayerAddress,
        _GNB_CU_CP_TNLA_To_Update_Item_tNLAssociationUsage,
        ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id_tab,
        ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__id,
        ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality_tab,
        ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__criticality,
        ____GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab,
        ___GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions__item_,
        _GNB_CU_CP_TNLA_To_Update_Item_iE_Extensions,
        GNB_CU_CP_TNLA_To_Update_Item,
        GNB_CU_CP_TNLA_To_Update_Item_ExtIEs,
        _GNB_CU_UP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress,
        _GNB_CU_UP_TNLA_To_Remove_Item_tNLAssociationTransportLayerAddressgNBCUCP,
        ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id_tab,
        ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__id,
        ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab,
        ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__criticality,
        ____GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab,
        ___GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item__extensionValue,
        __GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions__item_,
        _GNB_CU_UP_TNLA_To_Remove_Item_iE_Extensions,
        GNB_CU_UP_TNLA_To_Remove_Item,
        GNB_CU_UP_TNLA_To_Remove_Item_ExtIEs,
        _GBR_QosInformation_e_RAB_MaximumBitrateDL,
        _GBR_QosInformation_e_RAB_MaximumBitrateUL,
        _GBR_QosInformation_e_RAB_GuaranteedBitrateDL,
        _GBR_QosInformation_e_RAB_GuaranteedBitrateUL,
        ____GBR_QosInformation_iE_Extensions__item__id_tab,
        ___GBR_QosInformation_iE_Extensions__item__id,
        ____GBR_QosInformation_iE_Extensions__item__criticality_tab,
        ___GBR_QosInformation_iE_Extensions__item__criticality,
        ____GBR_QosInformation_iE_Extensions__item__extensionValue_tab,
        ___GBR_QosInformation_iE_Extensions__item__extensionValue,
        __GBR_QosInformation_iE_Extensions__item_,
        _GBR_QosInformation_iE_Extensions,
        GBR_QosInformation,
        GBR_QosInformation_ExtIEs,
        _GBR_QoSFlowInformation_maxFlowBitRateDownlink,
        _GBR_QoSFlowInformation_maxFlowBitRateUplink,
        _GBR_QoSFlowInformation_guaranteedFlowBitRateDownlink,
        _GBR_QoSFlowInformation_guaranteedFlowBitRateUplink,
        _GBR_QoSFlowInformation_maxPacketLossRateDownlink,
        _GBR_QoSFlowInformation_maxPacketLossRateUplink,
        ____GBR_QoSFlowInformation_iE_Extensions__item__id_tab,
        ___GBR_QoSFlowInformation_iE_Extensions__item__id,
        ____GBR_QoSFlowInformation_iE_Extensions__item__criticality_tab,
        ___GBR_QoSFlowInformation_iE_Extensions__item__criticality,
        ____GBR_QoSFlowInformation_iE_Extensions__item__extensionValue_tab,
        ___GBR_QoSFlowInformation_iE_Extensions__item__extensionValue,
        __GBR_QoSFlowInformation_iE_Extensions__item_,
        _GBR_QoSFlowInformation_iE_Extensions,
        GBR_QoSFlowInformation,
        GBR_QosFlowInformation_ExtIEs,
        GTP_TEID,
        _GTPTunnel_transportLayerAddress,
        _GTPTunnel_gTP_TEID,
        ____GTPTunnel_iE_Extensions__item__id_tab,
        ___GTPTunnel_iE_Extensions__item__id,
        ____GTPTunnel_iE_Extensions__item__criticality_tab,
        ___GTPTunnel_iE_Extensions__item__criticality,
        ____GTPTunnel_iE_Extensions__item__extensionValue_tab,
        ___GTPTunnel_iE_Extensions__item__extensionValue,
        __GTPTunnel_iE_Extensions__item_,
        _GTPTunnel_iE_Extensions,
        GTPTunnel,
        GTPTunnel_ExtIEs,
        GNB_CU_UP_OverloadInformation,
        GNB_DU_ID,
        HFN,
        IntegrityProtectionIndication,
        IntegrityProtectionAlgorithm,
        IntegrityProtectionKey,
        IntegrityProtectionResult,
        Inactivity_Timer,
        MaxDataBurstVolume,
        _MaximumIPdatarate_maxIPrate,
        ____MaximumIPdatarate_iE_Extensions__item__id_tab,
        ___MaximumIPdatarate_iE_Extensions__item__id,
        ____MaximumIPdatarate_iE_Extensions__item__criticality_tab,
        ___MaximumIPdatarate_iE_Extensions__item__criticality,
        ____MaximumIPdatarate_iE_Extensions__item__extensionValue_tab,
        ___MaximumIPdatarate_iE_Extensions__item__extensionValue,
        __MaximumIPdatarate_iE_Extensions__item_,
        _MaximumIPdatarate_iE_Extensions,
        MaximumIPdatarate,
        MaximumIPdatarate_ExtIEs,
        MaxIPrate,
        MaxPacketLossRate,
        _MRDC_Data_Usage_Report_Item_startTimeStamp,
        _MRDC_Data_Usage_Report_Item_endTimeStamp,
        _MRDC_Data_Usage_Report_Item_usageCountUL,
        _MRDC_Data_Usage_Report_Item_usageCountDL,
        ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__id_tab,
        ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__id,
        ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality_tab,
        ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__criticality,
        ____MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue_tab,
        ___MRDC_Data_Usage_Report_Item_iE_Extensions__item__extensionValue,
        __MRDC_Data_Usage_Report_Item_iE_Extensions__item_,
        _MRDC_Data_Usage_Report_Item_iE_Extensions,
        MRDC_Data_Usage_Report_Item,
        MRDC_Data_Usage_Report_Item_ExtIEs,
        _MRDC_Usage_Information_data_Usage_per_PDU_Session_Report,
        _MRDC_Usage_Information_data_Usage_per_QoS_Flow_List,
        ____MRDC_Usage_Information_iE_Extensions__item__id_tab,
        ___MRDC_Usage_Information_iE_Extensions__item__id,
        ____MRDC_Usage_Information_iE_Extensions__item__criticality_tab,
        ___MRDC_Usage_Information_iE_Extensions__item__criticality,
        ____MRDC_Usage_Information_iE_Extensions__item__extensionValue_tab,
        ___MRDC_Usage_Information_iE_Extensions__item__extensionValue,
        __MRDC_Usage_Information_iE_Extensions__item_,
        _MRDC_Usage_Information_iE_Extensions,
        MRDC_Usage_Information,
        MRDC_Usage_Information_ExtIEs,
        NetworkInstance,
        New_UL_TNL_Information_Required,
        _NGRANAllocationAndRetentionPriority_priorityLevel,
        _NGRANAllocationAndRetentionPriority_pre_emptionCapability,
        _NGRANAllocationAndRetentionPriority_pre_emptionVulnerability,
        ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__id_tab,
        ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__id,
        ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality_tab,
        ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__criticality,
        ____NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue_tab,
        ___NGRANAllocationAndRetentionPriority_iE_Extensions__item__extensionValue,
        __NGRANAllocationAndRetentionPriority_iE_Extensions__item_,
        _NGRANAllocationAndRetentionPriority_iE_Extensions,
        NGRANAllocationAndRetentionPriority,
        NGRANAllocationAndRetentionPriority_ExtIEs,
        _NG_RAN_QoS_Support_List__item_,
        NG_RAN_QoS_Support_List,
        _NG_RAN_QoS_Support_Item_non_Dynamic5QIDescriptor,
        ____NG_RAN_QoS_Support_Item_iE_Extensions__item__id_tab,
        ___NG_RAN_QoS_Support_Item_iE_Extensions__item__id,
        ____NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality_tab,
        ___NG_RAN_QoS_Support_Item_iE_Extensions__item__criticality,
        ____NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue_tab,
        ___NG_RAN_QoS_Support_Item_iE_Extensions__item__extensionValue,
        __NG_RAN_QoS_Support_Item_iE_Extensions__item_,
        _NG_RAN_QoS_Support_Item_iE_Extensions,
        NG_RAN_QoS_Support_Item,
        NG_RAN_QoS_Support_Item_ExtIEs,
        _Non_Dynamic5QIDescriptor_fiveQI,
        _Non_Dynamic5QIDescriptor_qoSPriorityLevel,
        _Non_Dynamic5QIDescriptor_averagingWindow,
        _Non_Dynamic5QIDescriptor_maxDataBurstVolume,
        ____Non_Dynamic5QIDescriptor_iE_Extensions__item__id_tab,
        ___Non_Dynamic5QIDescriptor_iE_Extensions__item__id,
        ____Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality_tab,
        ___Non_Dynamic5QIDescriptor_iE_Extensions__item__criticality,
        ____Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue_tab,
        ___Non_Dynamic5QIDescriptor_iE_Extensions__item__extensionValue,
        __Non_Dynamic5QIDescriptor_iE_Extensions__item_,
        _Non_Dynamic5QIDescriptor_iE_Extensions,
        Non_Dynamic5QIDescriptor,
        Non_Dynamic5QIDescriptor_ExtIEs,
        NR_Cell_Identity,
        _NR_CGI_pLMN_Identity,
        _NR_CGI_nR_Cell_Identity,
        ____NR_CGI_iE_Extensions__item__id_tab,
        ___NR_CGI_iE_Extensions__item__id,
        ____NR_CGI_iE_Extensions__item__criticality_tab,
        ___NR_CGI_iE_Extensions__item__criticality,
        ____NR_CGI_iE_Extensions__item__extensionValue_tab,
        ___NR_CGI_iE_Extensions__item__extensionValue,
        __NR_CGI_iE_Extensions__item_,
        _NR_CGI_iE_Extensions,
        NR_CGI,
        NR_CGI_ExtIEs,
        _NR_CGI_Support_List__item_,
        NR_CGI_Support_List,
        _NR_CGI_Support_Item_nR_CGI,
        ____NR_CGI_Support_Item_iE_Extensions__item__id_tab,
        ___NR_CGI_Support_Item_iE_Extensions__item__id,
        ____NR_CGI_Support_Item_iE_Extensions__item__criticality_tab,
        ___NR_CGI_Support_Item_iE_Extensions__item__criticality,
        ____NR_CGI_Support_Item_iE_Extensions__item__extensionValue_tab,
        ___NR_CGI_Support_Item_iE_Extensions__item__extensionValue,
        __NR_CGI_Support_Item_iE_Extensions__item_,
        _NR_CGI_Support_Item_iE_Extensions,
        NR_CGI_Support_Item,
        NR_CGI_Support_Item_ExtIEs,
        OutOfOrderDelivery,
        PacketDelayBudget,
        _PacketErrorRate_pER_Scalar,
        _PacketErrorRate_pER_Exponent,
        ____PacketErrorRate_iE_Extensions__item__id_tab,
        ___PacketErrorRate_iE_Extensions__item__id,
        ____PacketErrorRate_iE_Extensions__item__criticality_tab,
        ___PacketErrorRate_iE_Extensions__item__criticality,
        ____PacketErrorRate_iE_Extensions__item__extensionValue_tab,
        ___PacketErrorRate_iE_Extensions__item__extensionValue,
        __PacketErrorRate_iE_Extensions__item_,
        _PacketErrorRate_iE_Extensions,
        PacketErrorRate,
        PacketErrorRate_ExtIEs,
        PER_Scalar,
        PER_Exponent,
        _PDCP_Configuration_pDCP_SN_Size_UL,
        _PDCP_Configuration_pDCP_SN_Size_DL,
        _PDCP_Configuration_rLC_Mode,
        _PDCP_Configuration_rOHC_Parameters,
        _PDCP_Configuration_t_ReorderingTimer,
        _PDCP_Configuration_discardTimer,
        _PDCP_Configuration_uLDataSplitThreshold,
        _PDCP_Configuration_pDCP_Duplication,
        _PDCP_Configuration_pDCP_Reestablishment,
        _PDCP_Configuration_pDCP_DataRecovery,
        _PDCP_Configuration_duplication_Activation,
        _PDCP_Configuration_outOfOrderDelivery,
        ____PDCP_Configuration_iE_Extensions__item__id_tab,
        ___PDCP_Configuration_iE_Extensions__item__id,
        ____PDCP_Configuration_iE_Extensions__item__criticality_tab,
        ___PDCP_Configuration_iE_Extensions__item__criticality,
        ____PDCP_Configuration_iE_Extensions__item__extensionValue_tab,
        ___PDCP_Configuration_iE_Extensions__item__extensionValue,
        __PDCP_Configuration_iE_Extensions__item_,
        _PDCP_Configuration_iE_Extensions,
        PDCP_Configuration,
        PDCP_Configuration_ExtIEs,
        _PDCP_Count_pDCP_SN,
        _PDCP_Count_hFN,
        ____PDCP_Count_iE_Extensions__item__id_tab,
        ___PDCP_Count_iE_Extensions__item__id,
        ____PDCP_Count_iE_Extensions__item__criticality_tab,
        ___PDCP_Count_iE_Extensions__item__criticality,
        ____PDCP_Count_iE_Extensions__item__extensionValue_tab,
        ___PDCP_Count_iE_Extensions__item__extensionValue,
        __PDCP_Count_iE_Extensions__item_,
        _PDCP_Count_iE_Extensions,
        PDCP_Count,
        PDCP_Count_ExtIEs,
        PDCP_SN_Status_Request,
        PDCP_DataRecovery,
        PDCP_Duplication,
        PDCP_Reestablishment,
        _PDU_Session_Resource_Data_Usage_List__item_,
        PDU_Session_Resource_Data_Usage_List,
        _PDU_Session_Resource_Data_Usage_Item_pDU_Session_ID,
        _PDU_Session_Resource_Data_Usage_Item_mRDC_Usage_Information,
        ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Data_Usage_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Data_Usage_Item_iE_Extensions,
        PDU_Session_Resource_Data_Usage_Item,
        PDU_Session_Resource_Data_Usage_Item_ExtIEs,
        PDCP_SN,
        PDCP_SN_Size,
        _PDCP_SN_Status_Information_pdcpStatusTransfer_UL,
        _PDCP_SN_Status_Information_pdcpStatusTransfer_DL,
        ____PDCP_SN_Status_Information_iE_Extension__item__id_tab,
        ___PDCP_SN_Status_Information_iE_Extension__item__id,
        ____PDCP_SN_Status_Information_iE_Extension__item__criticality_tab,
        ___PDCP_SN_Status_Information_iE_Extension__item__criticality,
        ____PDCP_SN_Status_Information_iE_Extension__item__extensionValue_tab,
        ___PDCP_SN_Status_Information_iE_Extension__item__extensionValue,
        __PDCP_SN_Status_Information_iE_Extension__item_,
        _PDCP_SN_Status_Information_iE_Extension,
        PDCP_SN_Status_Information,
        DRBsSubjectToStatusTransfer_Item_ExtIEs,
        _DRBBStatusTransfer_receiveStatusofPDCPSDU,
        _DRBBStatusTransfer_countValue,
        ____DRBBStatusTransfer_iE_Extension__item__id_tab,
        ___DRBBStatusTransfer_iE_Extension__item__id,
        ____DRBBStatusTransfer_iE_Extension__item__criticality_tab,
        ___DRBBStatusTransfer_iE_Extension__item__criticality,
        ____DRBBStatusTransfer_iE_Extension__item__extensionValue_tab,
        ___DRBBStatusTransfer_iE_Extension__item__extensionValue,
        __DRBBStatusTransfer_iE_Extension__item_,
        _DRBBStatusTransfer_iE_Extension,
        DRBBStatusTransfer,
        DRBBStatusTransfer_ExtIEs,
        PDU_Session_ID,
        PDU_Session_Resource_Activity,
        _PDU_Session_Resource_Activity_List__item_,
        PDU_Session_Resource_Activity_List,
        _PDU_Session_Resource_Activity_Item_pDU_Session_ID,
        _PDU_Session_Resource_Activity_Item_pDU_Session_Resource_Activity,
        ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Activity_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Activity_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Activity_Item_iE_Extensions,
        PDU_Session_Resource_Activity_Item,
        PDU_Session_Resource_Activity_ItemExtIEs,
        _PDU_Session_Resource_Confirm_Modified_List__item_,
        PDU_Session_Resource_Confirm_Modified_List,
        _PDU_Session_Resource_Confirm_Modified_Item_pDU_Session_ID,
        _PDU_Session_Resource_Confirm_Modified_Item_dRB_Confirm_Modified_List_NG_RAN,
        ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Confirm_Modified_Item_iE_Extensions,
        PDU_Session_Resource_Confirm_Modified_Item,
        PDU_Session_Resource_Confirm_Modified_Item_ExtIEs,
        _PDU_Session_Resource_Failed_List__item_,
        PDU_Session_Resource_Failed_List,
        _PDU_Session_Resource_Failed_Item_pDU_Session_ID,
        _PDU_Session_Resource_Failed_Item_cause,
        ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Failed_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Failed_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Failed_Item_iE_Extensions,
        PDU_Session_Resource_Failed_Item,
        PDU_Session_Resource_Failed_Item_ExtIEs,
        _PDU_Session_Resource_Failed_Mod_List__item_,
        PDU_Session_Resource_Failed_Mod_List,
        _PDU_Session_Resource_Failed_Mod_Item_pDU_Session_ID,
        _PDU_Session_Resource_Failed_Mod_Item_cause,
        ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Failed_Mod_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Failed_Mod_Item_iE_Extensions,
        PDU_Session_Resource_Failed_Mod_Item,
        PDU_Session_Resource_Failed_Mod_Item_ExtIEs,
        _PDU_Session_Resource_Failed_To_Modify_List__item_,
        PDU_Session_Resource_Failed_To_Modify_List,
        _PDU_Session_Resource_Failed_To_Modify_Item_pDU_Session_ID,
        _PDU_Session_Resource_Failed_To_Modify_Item_cause,
        ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Failed_To_Modify_Item_iE_Extensions,
        PDU_Session_Resource_Failed_To_Modify_Item,
        PDU_Session_Resource_Failed_To_Modify_Item_ExtIEs,
        _PDU_Session_Resource_Modified_List__item_,
        PDU_Session_Resource_Modified_List,
        _PDU_Session_Resource_Modified_Item_pDU_Session_ID,
        _PDU_Session_Resource_Modified_Item_nG_DL_UP_TNL_Information,
        _PDU_Session_Resource_Modified_Item_securityResult,
        _PDU_Session_Resource_Modified_Item_pDU_Session_Data_Forwarding_Information_Response,
        _PDU_Session_Resource_Modified_Item_dRB_Setup_List_NG_RAN,
        _PDU_Session_Resource_Modified_Item_dRB_Failed_List_NG_RAN,
        _PDU_Session_Resource_Modified_Item_dRB_Modified_List_NG_RAN,
        _PDU_Session_Resource_Modified_Item_dRB_Failed_To_Modify_List_NG_RAN,
        ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Modified_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Modified_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Modified_Item_iE_Extensions,
        PDU_Session_Resource_Modified_Item,
        PDU_Session_Resource_Modified_Item_ExtIEs,
        _PDU_Session_Resource_Required_To_Modify_List__item_,
        PDU_Session_Resource_Required_To_Modify_List,
        _PDU_Session_Resource_Required_To_Modify_Item_pDU_Session_ID,
        _PDU_Session_Resource_Required_To_Modify_Item_nG_DL_UP_TNL_Information,
        _PDU_Session_Resource_Required_To_Modify_Item_dRB_Required_To_Modify_List_NG_RAN,
        _PDU_Session_Resource_Required_To_Modify_Item_dRB_Required_To_Remove_List_NG_RAN,
        ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Required_To_Modify_Item_iE_Extensions,
        PDU_Session_Resource_Required_To_Modify_Item,
        PDU_Session_Resource_Required_To_Modify_Item_ExtIEs,
        _PDU_Session_Resource_Setup_List__item_,
        PDU_Session_Resource_Setup_List,
        _PDU_Session_Resource_Setup_Item_pDU_Session_ID,
        _PDU_Session_Resource_Setup_Item_securityResult,
        _PDU_Session_Resource_Setup_Item_nG_DL_UP_TNL_Information,
        _PDU_Session_Resource_Setup_Item_pDU_Session_Data_Forwarding_Information_Response,
        _PDU_Session_Resource_Setup_Item_nG_DL_UP_Unchanged,
        _PDU_Session_Resource_Setup_Item_dRB_Setup_List_NG_RAN,
        _PDU_Session_Resource_Setup_Item_dRB_Failed_List_NG_RAN,
        ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Setup_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Setup_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Setup_Item_iE_Extensions,
        PDU_Session_Resource_Setup_Item,
        PDU_Session_Resource_Setup_Item_ExtIEs,
        _PDU_Session_Resource_Setup_Mod_List__item_,
        PDU_Session_Resource_Setup_Mod_List,
        _PDU_Session_Resource_Setup_Mod_Item_pDU_Session_ID,
        _PDU_Session_Resource_Setup_Mod_Item_securityResult,
        _PDU_Session_Resource_Setup_Mod_Item_nG_DL_UP_TNL_Information,
        _PDU_Session_Resource_Setup_Mod_Item_pDU_Session_Data_Forwarding_Information_Response,
        _PDU_Session_Resource_Setup_Mod_Item_dRB_Setup_Mod_List_NG_RAN,
        _PDU_Session_Resource_Setup_Mod_Item_dRB_Failed_Mod_List_NG_RAN,
        ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__id,
        ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__criticality,
        ____PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_Setup_Mod_Item_iE_Extensions__item_,
        _PDU_Session_Resource_Setup_Mod_Item_iE_Extensions,
        PDU_Session_Resource_Setup_Mod_Item,
        PDU_Session_Resource_Setup_Mod_Item_ExtIEs,
        _PDU_Session_Resource_To_Modify_List__item_,
        PDU_Session_Resource_To_Modify_List,
        _PDU_Session_Resource_To_Modify_Item_pDU_Session_ID,
        _PDU_Session_Resource_To_Modify_Item_securityIndication,
        _PDU_Session_Resource_To_Modify_Item_pDU_Session_Resource_DL_AMBR,
        _PDU_Session_Resource_To_Modify_Item_nG_UL_UP_TNL_Information,
        _PDU_Session_Resource_To_Modify_Item_pDU_Session_Data_Forwarding_Information_Request,
        _PDU_Session_Resource_To_Modify_Item_pDU_Session_Data_Forwarding_Information,
        _PDU_Session_Resource_To_Modify_Item_pDU_Session_Inactivity_Timer,
        _PDU_Session_Resource_To_Modify_Item_networkInstance,
        _PDU_Session_Resource_To_Modify_Item_dRB_To_Setup_List_NG_RAN,
        _PDU_Session_Resource_To_Modify_Item_dRB_To_Modify_List_NG_RAN,
        _PDU_Session_Resource_To_Modify_Item_dRB_To_Remove_List_NG_RAN,
        ____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab,
        _____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__id,
        ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__criticality,
        ___PDU_Session_Resource_To_Modify_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_To_Modify_Item_iE_Extensions__item_,
        _PDU_Session_Resource_To_Modify_Item_iE_Extensions,
        PDU_Session_Resource_To_Modify_Item,
        PDU_Session_Resource_To_Modify_Item_ExtIEs,
        _PDU_Session_Resource_To_Modify_Item_ExtIEs_val_Extension_0,
        _PDU_Session_Resource_To_Modify_Item_ExtIEs_val_Extension_1,
        _PDU_Session_Resource_To_Remove_List__item_,
        PDU_Session_Resource_To_Remove_List,
        _PDU_Session_Resource_To_Remove_Item_pDU_Session_ID,
        ____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab,
        _____PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__id,
        ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__criticality,
        ___PDU_Session_Resource_To_Remove_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_To_Remove_Item_iE_Extensions__item_,
        _PDU_Session_Resource_To_Remove_Item_iE_Extensions,
        PDU_Session_Resource_To_Remove_Item,
        PDU_Session_Resource_To_Remove_Item_ExtIEs,
        _PDU_Session_Resource_To_Remove_Item_ExtIEs_val_Extension_0,
        _PDU_Session_Resource_To_Setup_List__item_,
        PDU_Session_Resource_To_Setup_List,
        _PDU_Session_Resource_To_Setup_Item_pDU_Session_ID,
        _PDU_Session_Resource_To_Setup_Item_pDU_Session_Type,
        _PDU_Session_Resource_To_Setup_Item_sNSSAI,
        _PDU_Session_Resource_To_Setup_Item_securityIndication,
        _PDU_Session_Resource_To_Setup_Item_pDU_Session_Resource_DL_AMBR,
        _PDU_Session_Resource_To_Setup_Item_nG_UL_UP_TNL_Information,
        _PDU_Session_Resource_To_Setup_Item_pDU_Session_Data_Forwarding_Information_Request,
        _PDU_Session_Resource_To_Setup_Item_pDU_Session_Inactivity_Timer,
        _PDU_Session_Resource_To_Setup_Item_existing_Allocated_NG_DL_UP_TNL_Info,
        _PDU_Session_Resource_To_Setup_Item_networkInstance,
        _PDU_Session_Resource_To_Setup_Item_dRB_To_Setup_List_NG_RAN,
        ____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab,
        _____PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__id,
        ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__criticality,
        ___PDU_Session_Resource_To_Setup_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_To_Setup_Item_iE_Extensions__item_,
        _PDU_Session_Resource_To_Setup_Item_iE_Extensions,
        PDU_Session_Resource_To_Setup_Item,
        PDU_Session_Resource_To_Setup_Item_ExtIEs,
        _PDU_Session_Resource_To_Setup_Item_ExtIEs_val_Extension_0,
        _PDU_Session_Resource_To_Setup_Mod_List__item_,
        PDU_Session_Resource_To_Setup_Mod_List,
        _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_ID,
        _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Type,
        _PDU_Session_Resource_To_Setup_Mod_Item_sNSSAI,
        _PDU_Session_Resource_To_Setup_Mod_Item_securityIndication,
        _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Resource_AMBR,
        _PDU_Session_Resource_To_Setup_Mod_Item_nG_UL_UP_TNL_Information,
        _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Data_Forwarding_Information_Request,
        _PDU_Session_Resource_To_Setup_Mod_Item_pDU_Session_Inactivity_Timer,
        _PDU_Session_Resource_To_Setup_Mod_Item_dRB_To_Setup_Mod_List_NG_RAN,
        ____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab,
        _____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__id,
        ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__criticality,
        ___PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions__item_,
        _PDU_Session_Resource_To_Setup_Mod_Item_iE_Extensions,
        PDU_Session_Resource_To_Setup_Mod_Item,
        PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs,
        _PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs_val_Extension_0,
        _PDU_Session_Resource_To_Setup_Mod_Item_ExtIEs_val_Extension_1,
        _PDU_Session_To_Notify_List__item_,
        PDU_Session_To_Notify_List,
        _PDU_Session_To_Notify_Item_pDU_Session_ID,
        _PDU_Session_To_Notify_Item_qoS_Flow_List,
        ____PDU_Session_To_Notify_Item_iE_Extensions__item__id_tab,
        ___PDU_Session_To_Notify_Item_iE_Extensions__item__id,
        ____PDU_Session_To_Notify_Item_iE_Extensions__item__criticality_tab,
        ___PDU_Session_To_Notify_Item_iE_Extensions__item__criticality,
        ____PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDU_Session_To_Notify_Item_iE_Extensions__item__extensionValue,
        __PDU_Session_To_Notify_Item_iE_Extensions__item_,
        _PDU_Session_To_Notify_Item_iE_Extensions,
        PDU_Session_To_Notify_Item,
        PDU_Session_To_Notify_Item_ExtIEs,
        PDU_Session_Type,
        PLMN_Identity,
        PortNumber,
        PPI,
        PriorityLevel,
        Pre_emptionCapability,
        Pre_emptionVulnerability,
        QCI,
        _QoS_Characteristics_non_Dynamic_5QI,
        _QoS_Characteristics_dynamic_5QI,
        ___QoS_Characteristics_choice_extension_id_tab,
        __QoS_Characteristics_choice_extension_id,
        ___QoS_Characteristics_choice_extension_criticality_tab,
        __QoS_Characteristics_choice_extension_criticality,
        ___QoS_Characteristics_choice_extension_value_tab,
        __QoS_Characteristics_choice_extension_value,
        _QoS_Characteristics_choice_extension,
        QoS_Characteristics,
        QoS_Characteristics_ExtIEs,
        QoS_Flow_Identifier,
        _QoS_Flow_List__item_,
        QoS_Flow_List,
        _QoS_Flow_Item_qoS_Flow_Identifier,
        ____QoS_Flow_Item_iE_Extensions__item__id_tab,
        _____QoS_Flow_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___QoS_Flow_Item_iE_Extensions__item__id,
        ___QoS_Flow_Item_iE_Extensions__item__criticality,
        ___QoS_Flow_Item_iE_Extensions__item__extensionValue,
        __QoS_Flow_Item_iE_Extensions__item_,
        _QoS_Flow_Item_iE_Extensions,
        QoS_Flow_Item,
        QoS_Flow_Item_ExtIEs,
        _QoS_Flow_Item_ExtIEs_val_Extension_0,
        _QoS_Flow_Failed_List__item_,
        QoS_Flow_Failed_List,
        _QoS_Flow_Failed_Item_qoS_Flow_Identifier,
        _QoS_Flow_Failed_Item_cause,
        ____QoS_Flow_Failed_Item_iE_Extensions__item__id_tab,
        ___QoS_Flow_Failed_Item_iE_Extensions__item__id,
        ____QoS_Flow_Failed_Item_iE_Extensions__item__criticality_tab,
        ___QoS_Flow_Failed_Item_iE_Extensions__item__criticality,
        ____QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue_tab,
        ___QoS_Flow_Failed_Item_iE_Extensions__item__extensionValue,
        __QoS_Flow_Failed_Item_iE_Extensions__item_,
        _QoS_Flow_Failed_Item_iE_Extensions,
        QoS_Flow_Failed_Item,
        QoS_Flow_Failed_Item_ExtIEs,
        _QoS_Flow_Mapping_List__item_,
        QoS_Flow_Mapping_List,
        _QoS_Flow_Mapping_Item_qoS_Flow_Identifier,
        _QoS_Flow_Mapping_Item_qoSFlowMappingIndication,
        ____QoS_Flow_Mapping_Item_iE_Extensions__item__id_tab,
        ___QoS_Flow_Mapping_Item_iE_Extensions__item__id,
        ____QoS_Flow_Mapping_Item_iE_Extensions__item__criticality_tab,
        ___QoS_Flow_Mapping_Item_iE_Extensions__item__criticality,
        ____QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue_tab,
        ___QoS_Flow_Mapping_Item_iE_Extensions__item__extensionValue,
        __QoS_Flow_Mapping_Item_iE_Extensions__item_,
        _QoS_Flow_Mapping_Item_iE_Extensions,
        QoS_Flow_Mapping_Item,
        QoS_Flow_Mapping_Item_ExtIEs,
        QoS_Flow_Mapping_Indication,
        _QoS_Parameters_Support_List_eUTRAN_QoS_Support_List,
        _QoS_Parameters_Support_List_nG_RAN_QoS_Support_List,
        ____QoS_Parameters_Support_List_iE_Extensions__item__id_tab,
        ___QoS_Parameters_Support_List_iE_Extensions__item__id,
        ____QoS_Parameters_Support_List_iE_Extensions__item__criticality_tab,
        ___QoS_Parameters_Support_List_iE_Extensions__item__criticality,
        ____QoS_Parameters_Support_List_iE_Extensions__item__extensionValue_tab,
        ___QoS_Parameters_Support_List_iE_Extensions__item__extensionValue,
        __QoS_Parameters_Support_List_iE_Extensions__item_,
        _QoS_Parameters_Support_List_iE_Extensions,
        QoS_Parameters_Support_List,
        QoS_Parameters_Support_List_ItemExtIEs,
        QoSPriorityLevel,
        _QoS_Flow_QoS_Parameter_List__item_,
        QoS_Flow_QoS_Parameter_List,
        _QoS_Flow_QoS_Parameter_Item_qoS_Flow_Identifier,
        _QoS_Flow_QoS_Parameter_Item_qoSFlowLevelQoSParameters,
        _QoS_Flow_QoS_Parameter_Item_qoSFlowMappingIndication,
        ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id_tab,
        ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__id,
        ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality_tab,
        ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__criticality,
        ____QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue_tab,
        ___QoS_Flow_QoS_Parameter_Item_iE_Extensions__item__extensionValue,
        __QoS_Flow_QoS_Parameter_Item_iE_Extensions__item_,
        _QoS_Flow_QoS_Parameter_Item_iE_Extensions,
        QoS_Flow_QoS_Parameter_Item,
        QoS_Flow_QoS_Parameter_Item_ExtIEs,
        _QoSFlowLevelQoSParameters_qoS_Characteristics,
        _QoSFlowLevelQoSParameters_nGRANallocationRetentionPriority,
        _QoSFlowLevelQoSParameters_gBR_QoS_Flow_Information,
        _QoSFlowLevelQoSParameters_reflective_QoS_Attribute,
        _QoSFlowLevelQoSParameters_additional_QoS_Information,
        _QoSFlowLevelQoSParameters_paging_Policy_Indicator,
        _QoSFlowLevelQoSParameters_reflective_QoS_Indicator,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__id,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue,
        __QoSFlowLevelQoSParameters_iE_Extensions__item_,
        _QoSFlowLevelQoSParameters_iE_Extensions,
        QoSFlowLevelQoSParameters,
        QoSFlowLevelQoSParameters_ExtIEs,
        RANUEID,
        RAT_Type,
        RLC_Mode,
        _ROHC_Parameters_rOHC,
        _ROHC_Parameters_uPlinkOnlyROHC,
        ___ROHC_Parameters_choice_Extension_id_tab,
        __ROHC_Parameters_choice_Extension_id,
        ___ROHC_Parameters_choice_Extension_criticality_tab,
        __ROHC_Parameters_choice_Extension_criticality,
        ___ROHC_Parameters_choice_Extension_value_tab,
        __ROHC_Parameters_choice_Extension_value,
        _ROHC_Parameters_choice_Extension,
        ROHC_Parameters,
        ROHC_Parameters_ExtIEs,
        _ROHC_maxCID,
        _ROHC_rOHC_Profiles,
        _ROHC_continueROHC,
        ____ROHC_iE_Extensions__item__id_tab,
        ___ROHC_iE_Extensions__item__id,
        ____ROHC_iE_Extensions__item__criticality_tab,
        ___ROHC_iE_Extensions__item__criticality,
        ____ROHC_iE_Extensions__item__extensionValue_tab,
        ___ROHC_iE_Extensions__item__extensionValue,
        __ROHC_iE_Extensions__item_,
        _ROHC_iE_Extensions,
        ROHC,
        ROHC_ExtIEs,
        _SecurityAlgorithm_cipheringAlgorithm,
        _SecurityAlgorithm_integrityProtectionAlgorithm,
        ____SecurityAlgorithm_iE_Extensions__item__id_tab,
        ___SecurityAlgorithm_iE_Extensions__item__id,
        ____SecurityAlgorithm_iE_Extensions__item__criticality_tab,
        ___SecurityAlgorithm_iE_Extensions__item__criticality,
        ____SecurityAlgorithm_iE_Extensions__item__extensionValue_tab,
        ___SecurityAlgorithm_iE_Extensions__item__extensionValue,
        __SecurityAlgorithm_iE_Extensions__item_,
        _SecurityAlgorithm_iE_Extensions,
        SecurityAlgorithm,
        SecurityAlgorithm_ExtIEs,
        _SecurityIndication_integrityProtectionIndication,
        _SecurityIndication_confidentialityProtectionIndication,
        _SecurityIndication_maximumIPdatarate,
        ____SecurityIndication_iE_Extensions__item__id_tab,
        ___SecurityIndication_iE_Extensions__item__id,
        ____SecurityIndication_iE_Extensions__item__criticality_tab,
        ___SecurityIndication_iE_Extensions__item__criticality,
        ____SecurityIndication_iE_Extensions__item__extensionValue_tab,
        ___SecurityIndication_iE_Extensions__item__extensionValue,
        __SecurityIndication_iE_Extensions__item_,
        _SecurityIndication_iE_Extensions,
        SecurityIndication,
        SecurityIndication_ExtIEs,
        _SecurityInformation_securityAlgorithm,
        _SecurityInformation_uPSecuritykey,
        ____SecurityInformation_iE_Extensions__item__id_tab,
        ___SecurityInformation_iE_Extensions__item__id,
        ____SecurityInformation_iE_Extensions__item__criticality_tab,
        ___SecurityInformation_iE_Extensions__item__criticality,
        ____SecurityInformation_iE_Extensions__item__extensionValue_tab,
        ___SecurityInformation_iE_Extensions__item__extensionValue,
        __SecurityInformation_iE_Extensions__item_,
        _SecurityInformation_iE_Extensions,
        SecurityInformation,
        SecurityInformation_ExtIEs,
        _SecurityResult_integrityProtectionResult,
        _SecurityResult_confidentialityProtectionResult,
        ____SecurityResult_iE_Extensions__item__id_tab,
        ___SecurityResult_iE_Extensions__item__id,
        ____SecurityResult_iE_Extensions__item__criticality_tab,
        ___SecurityResult_iE_Extensions__item__criticality,
        ____SecurityResult_iE_Extensions__item__extensionValue_tab,
        ___SecurityResult_iE_Extensions__item__extensionValue,
        __SecurityResult_iE_Extensions__item_,
        _SecurityResult_iE_Extensions,
        SecurityResult,
        SecurityResult_ExtIEs,
        _Slice_Support_List__item_,
        Slice_Support_List,
        _Slice_Support_Item_sNSSAI,
        ____Slice_Support_Item_iE_Extensions__item__id_tab,
        ___Slice_Support_Item_iE_Extensions__item__id,
        ____Slice_Support_Item_iE_Extensions__item__criticality_tab,
        ___Slice_Support_Item_iE_Extensions__item__criticality,
        ____Slice_Support_Item_iE_Extensions__item__extensionValue_tab,
        ___Slice_Support_Item_iE_Extensions__item__extensionValue,
        __Slice_Support_Item_iE_Extensions__item_,
        _Slice_Support_Item_iE_Extensions,
        Slice_Support_Item,
        Slice_Support_Item_ExtIEs,
        _SNSSAI_sST,
        _SNSSAI_sD,
        ____SNSSAI_iE_Extensions__item__id_tab,
        ___SNSSAI_iE_Extensions__item__id,
        ____SNSSAI_iE_Extensions__item__criticality_tab,
        ___SNSSAI_iE_Extensions__item__criticality,
        ____SNSSAI_iE_Extensions__item__extensionValue_tab,
        ___SNSSAI_iE_Extensions__item__extensionValue,
        __SNSSAI_iE_Extensions__item_,
        _SNSSAI_iE_Extensions,
        SNSSAI,
        SNSSAI_ExtIEs,
        _SDAP_Configuration_defaultDRB,
        _SDAP_Configuration_sDAP_Header_UL,
        _SDAP_Configuration_sDAP_Header_DL,
        ____SDAP_Configuration_iE_Extensions__item__id_tab,
        ___SDAP_Configuration_iE_Extensions__item__id,
        ____SDAP_Configuration_iE_Extensions__item__criticality_tab,
        ___SDAP_Configuration_iE_Extensions__item__criticality,
        ____SDAP_Configuration_iE_Extensions__item__extensionValue_tab,
        ___SDAP_Configuration_iE_Extensions__item__extensionValue,
        __SDAP_Configuration_iE_Extensions__item_,
        _SDAP_Configuration_iE_Extensions,
        SDAP_Configuration,
        SDAP_Configuration_ExtIEs,
        SDAP_Header_DL,
        SDAP_Header_UL,
        TimeToWait,
        TNLAssociationUsage,
        TransportLayerAddress,
        TransactionID,
        T_Reordering,
        _T_ReorderingTimer_t_Reordering,
        ____T_ReorderingTimer_iE_Extensions__item__id_tab,
        ___T_ReorderingTimer_iE_Extensions__item__id,
        ____T_ReorderingTimer_iE_Extensions__item__criticality_tab,
        ___T_ReorderingTimer_iE_Extensions__item__criticality,
        ____T_ReorderingTimer_iE_Extensions__item__extensionValue_tab,
        ___T_ReorderingTimer_iE_Extensions__item__extensionValue,
        __T_ReorderingTimer_iE_Extensions__item_,
        _T_ReorderingTimer_iE_Extensions,
        T_ReorderingTimer,
        T_ReorderingTimer_ExtIEs,
        TypeOfError,
        UE_Activity,
        _UE_associatedLogicalE1_ConnectionItem_gNB_CU_CP_UE_E1AP_ID,
        _UE_associatedLogicalE1_ConnectionItem_gNB_CU_UP_UE_E1AP_ID,
        ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id_tab,
        ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__id,
        ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality_tab,
        ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__criticality,
        ____UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue_tab,
        ___UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item__extensionValue,
        __UE_associatedLogicalE1_ConnectionItem_iE_Extensions__item_,
        _UE_associatedLogicalE1_ConnectionItem_iE_Extensions,
        UE_associatedLogicalE1_ConnectionItem,
        UE_associatedLogicalE1_ConnectionItemExtIEs,
        UL_Configuration,
        ULDataSplitThreshold,
        _UP_Parameters__item_,
        UP_Parameters,
        _UP_Parameters_Item_uP_TNL_Information,
        _UP_Parameters_Item_cell_Group_ID,
        ____UP_Parameters_Item_iE_Extensions__item__id_tab,
        ___UP_Parameters_Item_iE_Extensions__item__id,
        ____UP_Parameters_Item_iE_Extensions__item__criticality_tab,
        ___UP_Parameters_Item_iE_Extensions__item__criticality,
        ____UP_Parameters_Item_iE_Extensions__item__extensionValue_tab,
        ___UP_Parameters_Item_iE_Extensions__item__extensionValue,
        __UP_Parameters_Item_iE_Extensions__item_,
        _UP_Parameters_Item_iE_Extensions,
        UP_Parameters_Item,
        UP_Parameters_Item_ExtIEs,
        _UPSecuritykey_encryptionKey,
        _UPSecuritykey_integrityProtectionKey,
        ____UPSecuritykey_iE_Extensions__item__id_tab,
        ___UPSecuritykey_iE_Extensions__item__id,
        ____UPSecuritykey_iE_Extensions__item__criticality_tab,
        ___UPSecuritykey_iE_Extensions__item__criticality,
        ____UPSecuritykey_iE_Extensions__item__extensionValue_tab,
        ___UPSecuritykey_iE_Extensions__item__extensionValue,
        __UPSecuritykey_iE_Extensions__item_,
        _UPSecuritykey_iE_Extensions,
        UPSecuritykey,
        UPSecuritykey_ExtIEs,
        _UP_TNL_Information_gTPTunnel,
        ___UP_TNL_Information_choice_extension_id_tab,
        __UP_TNL_Information_choice_extension_id,
        ___UP_TNL_Information_choice_extension_criticality_tab,
        __UP_TNL_Information_choice_extension_criticality,
        ___UP_TNL_Information_choice_extension_value_tab,
        __UP_TNL_Information_choice_extension_value,
        _UP_TNL_Information_choice_extension,
        UP_TNL_Information,
        UP_TNL_Information_ExtIEs,
        _UplinkOnlyROHC_maxCID,
        _UplinkOnlyROHC_rOHC_Profiles,
        _UplinkOnlyROHC_continueROHC,
        ____UplinkOnlyROHC_iE_Extensions__item__id_tab,
        ___UplinkOnlyROHC_iE_Extensions__item__id,
        ____UplinkOnlyROHC_iE_Extensions__item__criticality_tab,
        ___UplinkOnlyROHC_iE_Extensions__item__criticality,
        ____UplinkOnlyROHC_iE_Extensions__item__extensionValue_tab,
        ___UplinkOnlyROHC_iE_Extensions__item__extensionValue,
        __UplinkOnlyROHC_iE_Extensions__item_,
        _UplinkOnlyROHC_iE_Extensions,
        UplinkOnlyROHC,
        UplinkOnlyROHC_ExtIEs,
    ]

class E1AP_Constants:

    _name_  = u'E1AP-Constants'
    _oid_   = [0, 4, 0, 0, 22, 3, 5, 1, 4]
    
    _obj_ = [
        u'id-reset',
        u'id-errorIndication',
        u'id-privateMessage',
        u'id-gNB-CU-UP-E1Setup',
        u'id-gNB-CU-CP-E1Setup',
        u'id-gNB-CU-UP-ConfigurationUpdate',
        u'id-gNB-CU-CP-ConfigurationUpdate',
        u'id-e1Release',
        u'id-bearerContextSetup',
        u'id-bearerContextModification',
        u'id-bearerContextModificationRequired',
        u'id-bearerContextRelease',
        u'id-bearerContextReleaseRequest',
        u'id-bearerContextInactivityNotification',
        u'id-dLDataNotification',
        u'id-dataUsageReport',
        u'id-gNB-CU-UP-CounterCheck',
        u'id-gNB-CU-UP-StatusIndication',
        u'id-uLDataNotification',
        u'id-mRDC-DataUsageReport',
        u'maxnoofErrors',
        u'maxnoofSPLMNs',
        u'maxnoofSliceItems',
        u'maxnoofIndividualE1ConnectionsToReset',
        u'maxnoofEUTRANQOSParameters',
        u'maxnoofNGRANQOSParameters',
        u'maxnoofDRBs',
        u'maxnoofNRCGI',
        u'maxnoofPDUSessionResource',
        u'maxnoofQoSFlows',
        u'maxnoofUPParameters',
        u'maxnoofCellGroups',
        u'maxnooftimeperiods',
        u'maxnoofTNLAssociations',
        u'id-Cause',
        u'id-CriticalityDiagnostics',
        u'id-gNB-CU-CP-UE-E1AP-ID',
        u'id-gNB-CU-UP-UE-E1AP-ID',
        u'id-ResetType',
        u'id-UE-associatedLogicalE1-ConnectionItem',
        u'id-UE-associatedLogicalE1-ConnectionListResAck',
        u'id-gNB-CU-UP-ID',
        u'id-gNB-CU-UP-Name',
        u'id-gNB-CU-CP-Name',
        u'id-CNSupport',
        u'id-SupportedPLMNs',
        u'id-TimeToWait',
        u'id-SecurityInformation',
        u'id-UEDLAggregateMaximumBitRate',
        u'id-System-BearerContextSetupRequest',
        u'id-System-BearerContextSetupResponse',
        u'id-BearerContextStatusChange',
        u'id-System-BearerContextModificationRequest',
        u'id-System-BearerContextModificationResponse',
        u'id-System-BearerContextModificationConfirm',
        u'id-System-BearerContextModificationRequired',
        u'id-DRB-Status-List',
        u'id-ActivityNotificationLevel',
        u'id-ActivityInformation',
        u'id-Data-Usage-Report-List',
        u'id-New-UL-TNL-Information-Required',
        u'id-GNB-CU-CP-TNLA-To-Add-List',
        u'id-GNB-CU-CP-TNLA-To-Remove-List',
        u'id-GNB-CU-CP-TNLA-To-Update-List',
        u'id-GNB-CU-CP-TNLA-Setup-List',
        u'id-GNB-CU-CP-TNLA-Failed-To-Setup-List',
        u'id-DRB-To-Setup-List-EUTRAN',
        u'id-DRB-To-Modify-List-EUTRAN',
        u'id-DRB-To-Remove-List-EUTRAN',
        u'id-DRB-Required-To-Modify-List-EUTRAN',
        u'id-DRB-Required-To-Remove-List-EUTRAN',
        u'id-DRB-Setup-List-EUTRAN',
        u'id-DRB-Failed-List-EUTRAN',
        u'id-DRB-Modified-List-EUTRAN',
        u'id-DRB-Failed-To-Modify-List-EUTRAN',
        u'id-DRB-Confirm-Modified-List-EUTRAN',
        u'id-PDU-Session-Resource-To-Setup-List',
        u'id-PDU-Session-Resource-To-Modify-List',
        u'id-PDU-Session-Resource-To-Remove-List',
        u'id-PDU-Session-Resource-Required-To-Modify-List',
        u'id-PDU-Session-Resource-Setup-List',
        u'id-PDU-Session-Resource-Failed-List',
        u'id-PDU-Session-Resource-Modified-List',
        u'id-PDU-Session-Resource-Failed-To-Modify-List',
        u'id-PDU-Session-Resource-Confirm-Modified-List',
        u'id-DRB-To-Setup-Mod-List-EUTRAN',
        u'id-DRB-Setup-Mod-List-EUTRAN',
        u'id-DRB-Failed-Mod-List-EUTRAN',
        u'id-PDU-Session-Resource-Setup-Mod-List',
        u'id-PDU-Session-Resource-Failed-Mod-List',
        u'id-PDU-Session-Resource-To-Setup-Mod-List',
        u'id-TransactionID',
        u'id-Serving-PLMN',
        u'id-UE-Inactivity-Timer',
        u'id-System-GNB-CU-UP-CounterCheckRequest',
        u'id-DRBs-Subject-To-Counter-Check-List-EUTRAN',
        u'id-DRBs-Subject-To-Counter-Check-List-NG-RAN',
        u'id-PPI',
        u'id-gNB-CU-UP-Capacity',
        u'id-GNB-CU-UP-OverloadInformation',
        u'id-UEDLMaximumIntegrityProtectedDataRate',
        u'id-PDU-Session-To-Notify-List',
        u'id-PDU-Session-Resource-Data-Usage-List',
        u'id-SNSSAI',
        u'id-DataDiscardRequired',
        u'id-OldQoSFlowMap-ULendmarkerexpected',
        u'id-DRB-QoS',
        u'id-GNB-CU-UP-TNLA-To-Remove-List',
        u'id-endpoint-IP-Address-and-Port',
        u'id-TNLAssociationTransportLayerAddressgNBCUUP',
        u'id-RANUEID',
        u'id-GNB-DU-ID',
        u'id-CommonNetworkInstance',
        u'id-NetworkInstance',
        u'id-QoSFlowMappingIndication',
        ]
    _type_ = [
        ]
    _set_ = [
        ]
    _val_ = [
        u'id-reset',
        u'id-errorIndication',
        u'id-privateMessage',
        u'id-gNB-CU-UP-E1Setup',
        u'id-gNB-CU-CP-E1Setup',
        u'id-gNB-CU-UP-ConfigurationUpdate',
        u'id-gNB-CU-CP-ConfigurationUpdate',
        u'id-e1Release',
        u'id-bearerContextSetup',
        u'id-bearerContextModification',
        u'id-bearerContextModificationRequired',
        u'id-bearerContextRelease',
        u'id-bearerContextReleaseRequest',
        u'id-bearerContextInactivityNotification',
        u'id-dLDataNotification',
        u'id-dataUsageReport',
        u'id-gNB-CU-UP-CounterCheck',
        u'id-gNB-CU-UP-StatusIndication',
        u'id-uLDataNotification',
        u'id-mRDC-DataUsageReport',
        u'maxnoofErrors',
        u'maxnoofSPLMNs',
        u'maxnoofSliceItems',
        u'maxnoofIndividualE1ConnectionsToReset',
        u'maxnoofEUTRANQOSParameters',
        u'maxnoofNGRANQOSParameters',
        u'maxnoofDRBs',
        u'maxnoofNRCGI',
        u'maxnoofPDUSessionResource',
        u'maxnoofQoSFlows',
        u'maxnoofUPParameters',
        u'maxnoofCellGroups',
        u'maxnooftimeperiods',
        u'maxnoofTNLAssociations',
        u'id-Cause',
        u'id-CriticalityDiagnostics',
        u'id-gNB-CU-CP-UE-E1AP-ID',
        u'id-gNB-CU-UP-UE-E1AP-ID',
        u'id-ResetType',
        u'id-UE-associatedLogicalE1-ConnectionItem',
        u'id-UE-associatedLogicalE1-ConnectionListResAck',
        u'id-gNB-CU-UP-ID',
        u'id-gNB-CU-UP-Name',
        u'id-gNB-CU-CP-Name',
        u'id-CNSupport',
        u'id-SupportedPLMNs',
        u'id-TimeToWait',
        u'id-SecurityInformation',
        u'id-UEDLAggregateMaximumBitRate',
        u'id-System-BearerContextSetupRequest',
        u'id-System-BearerContextSetupResponse',
        u'id-BearerContextStatusChange',
        u'id-System-BearerContextModificationRequest',
        u'id-System-BearerContextModificationResponse',
        u'id-System-BearerContextModificationConfirm',
        u'id-System-BearerContextModificationRequired',
        u'id-DRB-Status-List',
        u'id-ActivityNotificationLevel',
        u'id-ActivityInformation',
        u'id-Data-Usage-Report-List',
        u'id-New-UL-TNL-Information-Required',
        u'id-GNB-CU-CP-TNLA-To-Add-List',
        u'id-GNB-CU-CP-TNLA-To-Remove-List',
        u'id-GNB-CU-CP-TNLA-To-Update-List',
        u'id-GNB-CU-CP-TNLA-Setup-List',
        u'id-GNB-CU-CP-TNLA-Failed-To-Setup-List',
        u'id-DRB-To-Setup-List-EUTRAN',
        u'id-DRB-To-Modify-List-EUTRAN',
        u'id-DRB-To-Remove-List-EUTRAN',
        u'id-DRB-Required-To-Modify-List-EUTRAN',
        u'id-DRB-Required-To-Remove-List-EUTRAN',
        u'id-DRB-Setup-List-EUTRAN',
        u'id-DRB-Failed-List-EUTRAN',
        u'id-DRB-Modified-List-EUTRAN',
        u'id-DRB-Failed-To-Modify-List-EUTRAN',
        u'id-DRB-Confirm-Modified-List-EUTRAN',
        u'id-PDU-Session-Resource-To-Setup-List',
        u'id-PDU-Session-Resource-To-Modify-List',
        u'id-PDU-Session-Resource-To-Remove-List',
        u'id-PDU-Session-Resource-Required-To-Modify-List',
        u'id-PDU-Session-Resource-Setup-List',
        u'id-PDU-Session-Resource-Failed-List',
        u'id-PDU-Session-Resource-Modified-List',
        u'id-PDU-Session-Resource-Failed-To-Modify-List',
        u'id-PDU-Session-Resource-Confirm-Modified-List',
        u'id-DRB-To-Setup-Mod-List-EUTRAN',
        u'id-DRB-Setup-Mod-List-EUTRAN',
        u'id-DRB-Failed-Mod-List-EUTRAN',
        u'id-PDU-Session-Resource-Setup-Mod-List',
        u'id-PDU-Session-Resource-Failed-Mod-List',
        u'id-PDU-Session-Resource-To-Setup-Mod-List',
        u'id-TransactionID',
        u'id-Serving-PLMN',
        u'id-UE-Inactivity-Timer',
        u'id-System-GNB-CU-UP-CounterCheckRequest',
        u'id-DRBs-Subject-To-Counter-Check-List-EUTRAN',
        u'id-DRBs-Subject-To-Counter-Check-List-NG-RAN',
        u'id-PPI',
        u'id-gNB-CU-UP-Capacity',
        u'id-GNB-CU-UP-OverloadInformation',
        u'id-UEDLMaximumIntegrityProtectedDataRate',
        u'id-PDU-Session-To-Notify-List',
        u'id-PDU-Session-Resource-Data-Usage-List',
        u'id-SNSSAI',
        u'id-DataDiscardRequired',
        u'id-OldQoSFlowMap-ULendmarkerexpected',
        u'id-DRB-QoS',
        u'id-GNB-CU-UP-TNLA-To-Remove-List',
        u'id-endpoint-IP-Address-and-Port',
        u'id-TNLAssociationTransportLayerAddressgNBCUUP',
        u'id-RANUEID',
        u'id-GNB-DU-ID',
        u'id-CommonNetworkInstance',
        u'id-NetworkInstance',
        u'id-QoSFlowMappingIndication',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< id-reset >-----#
    id_reset = INT(name=u'id-reset', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_reset._val = 0
    
    #-----< id-errorIndication >-----#
    id_errorIndication = INT(name=u'id-errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_errorIndication._val = 1
    
    #-----< id-privateMessage >-----#
    id_privateMessage = INT(name=u'id-privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_privateMessage._val = 2
    
    #-----< id-gNB-CU-UP-E1Setup >-----#
    id_gNB_CU_UP_E1Setup = INT(name=u'id-gNB-CU-UP-E1Setup', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_gNB_CU_UP_E1Setup._val = 3
    
    #-----< id-gNB-CU-CP-E1Setup >-----#
    id_gNB_CU_CP_E1Setup = INT(name=u'id-gNB-CU-CP-E1Setup', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_gNB_CU_CP_E1Setup._val = 4
    
    #-----< id-gNB-CU-UP-ConfigurationUpdate >-----#
    id_gNB_CU_UP_ConfigurationUpdate = INT(name=u'id-gNB-CU-UP-ConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_gNB_CU_UP_ConfigurationUpdate._val = 5
    
    #-----< id-gNB-CU-CP-ConfigurationUpdate >-----#
    id_gNB_CU_CP_ConfigurationUpdate = INT(name=u'id-gNB-CU-CP-ConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_gNB_CU_CP_ConfigurationUpdate._val = 6
    
    #-----< id-e1Release >-----#
    id_e1Release = INT(name=u'id-e1Release', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_e1Release._val = 7
    
    #-----< id-bearerContextSetup >-----#
    id_bearerContextSetup = INT(name=u'id-bearerContextSetup', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_bearerContextSetup._val = 8
    
    #-----< id-bearerContextModification >-----#
    id_bearerContextModification = INT(name=u'id-bearerContextModification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_bearerContextModification._val = 9
    
    #-----< id-bearerContextModificationRequired >-----#
    id_bearerContextModificationRequired = INT(name=u'id-bearerContextModificationRequired', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_bearerContextModificationRequired._val = 10
    
    #-----< id-bearerContextRelease >-----#
    id_bearerContextRelease = INT(name=u'id-bearerContextRelease', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_bearerContextRelease._val = 11
    
    #-----< id-bearerContextReleaseRequest >-----#
    id_bearerContextReleaseRequest = INT(name=u'id-bearerContextReleaseRequest', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_bearerContextReleaseRequest._val = 12
    
    #-----< id-bearerContextInactivityNotification >-----#
    id_bearerContextInactivityNotification = INT(name=u'id-bearerContextInactivityNotification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_bearerContextInactivityNotification._val = 13
    
    #-----< id-dLDataNotification >-----#
    id_dLDataNotification = INT(name=u'id-dLDataNotification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_dLDataNotification._val = 14
    
    #-----< id-dataUsageReport >-----#
    id_dataUsageReport = INT(name=u'id-dataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_dataUsageReport._val = 15
    
    #-----< id-gNB-CU-UP-CounterCheck >-----#
    id_gNB_CU_UP_CounterCheck = INT(name=u'id-gNB-CU-UP-CounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_gNB_CU_UP_CounterCheck._val = 16
    
    #-----< id-gNB-CU-UP-StatusIndication >-----#
    id_gNB_CU_UP_StatusIndication = INT(name=u'id-gNB-CU-UP-StatusIndication', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_gNB_CU_UP_StatusIndication._val = 17
    
    #-----< id-uLDataNotification >-----#
    id_uLDataNotification = INT(name=u'id-uLDataNotification', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_uLDataNotification._val = 18
    
    #-----< id-mRDC-DataUsageReport >-----#
    id_mRDC_DataUsageReport = INT(name=u'id-mRDC-DataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProcedureCode')))
    id_mRDC_DataUsageReport._val = 19
    
    #-----< maxnoofErrors >-----#
    maxnoofErrors = INT(name=u'maxnoofErrors', mode=MODE_VALUE)
    maxnoofErrors._val = 256
    
    #-----< maxnoofSPLMNs >-----#
    maxnoofSPLMNs = INT(name=u'maxnoofSPLMNs', mode=MODE_VALUE)
    maxnoofSPLMNs._val = 12
    
    #-----< maxnoofSliceItems >-----#
    maxnoofSliceItems = INT(name=u'maxnoofSliceItems', mode=MODE_VALUE)
    maxnoofSliceItems._val = 1024
    
    #-----< maxnoofIndividualE1ConnectionsToReset >-----#
    maxnoofIndividualE1ConnectionsToReset = INT(name=u'maxnoofIndividualE1ConnectionsToReset', mode=MODE_VALUE)
    maxnoofIndividualE1ConnectionsToReset._val = 65536
    
    #-----< maxnoofEUTRANQOSParameters >-----#
    maxnoofEUTRANQOSParameters = INT(name=u'maxnoofEUTRANQOSParameters', mode=MODE_VALUE)
    maxnoofEUTRANQOSParameters._val = 256
    
    #-----< maxnoofNGRANQOSParameters >-----#
    maxnoofNGRANQOSParameters = INT(name=u'maxnoofNGRANQOSParameters', mode=MODE_VALUE)
    maxnoofNGRANQOSParameters._val = 256
    
    #-----< maxnoofDRBs >-----#
    maxnoofDRBs = INT(name=u'maxnoofDRBs', mode=MODE_VALUE)
    maxnoofDRBs._val = 32
    
    #-----< maxnoofNRCGI >-----#
    maxnoofNRCGI = INT(name=u'maxnoofNRCGI', mode=MODE_VALUE)
    maxnoofNRCGI._val = 512
    
    #-----< maxnoofPDUSessionResource >-----#
    maxnoofPDUSessionResource = INT(name=u'maxnoofPDUSessionResource', mode=MODE_VALUE)
    maxnoofPDUSessionResource._val = 256
    
    #-----< maxnoofQoSFlows >-----#
    maxnoofQoSFlows = INT(name=u'maxnoofQoSFlows', mode=MODE_VALUE)
    maxnoofQoSFlows._val = 64
    
    #-----< maxnoofUPParameters >-----#
    maxnoofUPParameters = INT(name=u'maxnoofUPParameters', mode=MODE_VALUE)
    maxnoofUPParameters._val = 8
    
    #-----< maxnoofCellGroups >-----#
    maxnoofCellGroups = INT(name=u'maxnoofCellGroups', mode=MODE_VALUE)
    maxnoofCellGroups._val = 4
    
    #-----< maxnooftimeperiods >-----#
    maxnooftimeperiods = INT(name=u'maxnooftimeperiods', mode=MODE_VALUE)
    maxnooftimeperiods._val = 2
    
    #-----< maxnoofTNLAssociations >-----#
    maxnoofTNLAssociations = INT(name=u'maxnoofTNLAssociations', mode=MODE_VALUE)
    maxnoofTNLAssociations._val = 32
    
    #-----< id-Cause >-----#
    id_Cause = INT(name=u'id-Cause', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Cause._val = 0
    
    #-----< id-CriticalityDiagnostics >-----#
    id_CriticalityDiagnostics = INT(name=u'id-CriticalityDiagnostics', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CriticalityDiagnostics._val = 1
    
    #-----< id-gNB-CU-CP-UE-E1AP-ID >-----#
    id_gNB_CU_CP_UE_E1AP_ID = INT(name=u'id-gNB-CU-CP-UE-E1AP-ID', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_gNB_CU_CP_UE_E1AP_ID._val = 2
    
    #-----< id-gNB-CU-UP-UE-E1AP-ID >-----#
    id_gNB_CU_UP_UE_E1AP_ID = INT(name=u'id-gNB-CU-UP-UE-E1AP-ID', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_gNB_CU_UP_UE_E1AP_ID._val = 3
    
    #-----< id-ResetType >-----#
    id_ResetType = INT(name=u'id-ResetType', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResetType._val = 4
    
    #-----< id-UE-associatedLogicalE1-ConnectionItem >-----#
    id_UE_associatedLogicalE1_ConnectionItem = INT(name=u'id-UE-associatedLogicalE1-ConnectionItem', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UE_associatedLogicalE1_ConnectionItem._val = 5
    
    #-----< id-UE-associatedLogicalE1-ConnectionListResAck >-----#
    id_UE_associatedLogicalE1_ConnectionListResAck = INT(name=u'id-UE-associatedLogicalE1-ConnectionListResAck', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UE_associatedLogicalE1_ConnectionListResAck._val = 6
    
    #-----< id-gNB-CU-UP-ID >-----#
    id_gNB_CU_UP_ID = INT(name=u'id-gNB-CU-UP-ID', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_gNB_CU_UP_ID._val = 7
    
    #-----< id-gNB-CU-UP-Name >-----#
    id_gNB_CU_UP_Name = INT(name=u'id-gNB-CU-UP-Name', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_gNB_CU_UP_Name._val = 8
    
    #-----< id-gNB-CU-CP-Name >-----#
    id_gNB_CU_CP_Name = INT(name=u'id-gNB-CU-CP-Name', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_gNB_CU_CP_Name._val = 9
    
    #-----< id-CNSupport >-----#
    id_CNSupport = INT(name=u'id-CNSupport', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNSupport._val = 10
    
    #-----< id-SupportedPLMNs >-----#
    id_SupportedPLMNs = INT(name=u'id-SupportedPLMNs', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SupportedPLMNs._val = 11
    
    #-----< id-TimeToWait >-----#
    id_TimeToWait = INT(name=u'id-TimeToWait', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TimeToWait._val = 12
    
    #-----< id-SecurityInformation >-----#
    id_SecurityInformation = INT(name=u'id-SecurityInformation', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SecurityInformation._val = 13
    
    #-----< id-UEDLAggregateMaximumBitRate >-----#
    id_UEDLAggregateMaximumBitRate = INT(name=u'id-UEDLAggregateMaximumBitRate', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEDLAggregateMaximumBitRate._val = 14
    
    #-----< id-System-BearerContextSetupRequest >-----#
    id_System_BearerContextSetupRequest = INT(name=u'id-System-BearerContextSetupRequest', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_BearerContextSetupRequest._val = 15
    
    #-----< id-System-BearerContextSetupResponse >-----#
    id_System_BearerContextSetupResponse = INT(name=u'id-System-BearerContextSetupResponse', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_BearerContextSetupResponse._val = 16
    
    #-----< id-BearerContextStatusChange >-----#
    id_BearerContextStatusChange = INT(name=u'id-BearerContextStatusChange', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BearerContextStatusChange._val = 17
    
    #-----< id-System-BearerContextModificationRequest >-----#
    id_System_BearerContextModificationRequest = INT(name=u'id-System-BearerContextModificationRequest', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_BearerContextModificationRequest._val = 18
    
    #-----< id-System-BearerContextModificationResponse >-----#
    id_System_BearerContextModificationResponse = INT(name=u'id-System-BearerContextModificationResponse', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_BearerContextModificationResponse._val = 19
    
    #-----< id-System-BearerContextModificationConfirm >-----#
    id_System_BearerContextModificationConfirm = INT(name=u'id-System-BearerContextModificationConfirm', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_BearerContextModificationConfirm._val = 20
    
    #-----< id-System-BearerContextModificationRequired >-----#
    id_System_BearerContextModificationRequired = INT(name=u'id-System-BearerContextModificationRequired', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_BearerContextModificationRequired._val = 21
    
    #-----< id-DRB-Status-List >-----#
    id_DRB_Status_List = INT(name=u'id-DRB-Status-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Status_List._val = 22
    
    #-----< id-ActivityNotificationLevel >-----#
    id_ActivityNotificationLevel = INT(name=u'id-ActivityNotificationLevel', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ActivityNotificationLevel._val = 23
    
    #-----< id-ActivityInformation >-----#
    id_ActivityInformation = INT(name=u'id-ActivityInformation', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ActivityInformation._val = 24
    
    #-----< id-Data-Usage-Report-List >-----#
    id_Data_Usage_Report_List = INT(name=u'id-Data-Usage-Report-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Data_Usage_Report_List._val = 25
    
    #-----< id-New-UL-TNL-Information-Required >-----#
    id_New_UL_TNL_Information_Required = INT(name=u'id-New-UL-TNL-Information-Required', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_New_UL_TNL_Information_Required._val = 26
    
    #-----< id-GNB-CU-CP-TNLA-To-Add-List >-----#
    id_GNB_CU_CP_TNLA_To_Add_List = INT(name=u'id-GNB-CU-CP-TNLA-To-Add-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_CP_TNLA_To_Add_List._val = 27
    
    #-----< id-GNB-CU-CP-TNLA-To-Remove-List >-----#
    id_GNB_CU_CP_TNLA_To_Remove_List = INT(name=u'id-GNB-CU-CP-TNLA-To-Remove-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_CP_TNLA_To_Remove_List._val = 28
    
    #-----< id-GNB-CU-CP-TNLA-To-Update-List >-----#
    id_GNB_CU_CP_TNLA_To_Update_List = INT(name=u'id-GNB-CU-CP-TNLA-To-Update-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_CP_TNLA_To_Update_List._val = 29
    
    #-----< id-GNB-CU-CP-TNLA-Setup-List >-----#
    id_GNB_CU_CP_TNLA_Setup_List = INT(name=u'id-GNB-CU-CP-TNLA-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_CP_TNLA_Setup_List._val = 30
    
    #-----< id-GNB-CU-CP-TNLA-Failed-To-Setup-List >-----#
    id_GNB_CU_CP_TNLA_Failed_To_Setup_List = INT(name=u'id-GNB-CU-CP-TNLA-Failed-To-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_CP_TNLA_Failed_To_Setup_List._val = 31
    
    #-----< id-DRB-To-Setup-List-EUTRAN >-----#
    id_DRB_To_Setup_List_EUTRAN = INT(name=u'id-DRB-To-Setup-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_To_Setup_List_EUTRAN._val = 32
    
    #-----< id-DRB-To-Modify-List-EUTRAN >-----#
    id_DRB_To_Modify_List_EUTRAN = INT(name=u'id-DRB-To-Modify-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_To_Modify_List_EUTRAN._val = 33
    
    #-----< id-DRB-To-Remove-List-EUTRAN >-----#
    id_DRB_To_Remove_List_EUTRAN = INT(name=u'id-DRB-To-Remove-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_To_Remove_List_EUTRAN._val = 34
    
    #-----< id-DRB-Required-To-Modify-List-EUTRAN >-----#
    id_DRB_Required_To_Modify_List_EUTRAN = INT(name=u'id-DRB-Required-To-Modify-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Required_To_Modify_List_EUTRAN._val = 35
    
    #-----< id-DRB-Required-To-Remove-List-EUTRAN >-----#
    id_DRB_Required_To_Remove_List_EUTRAN = INT(name=u'id-DRB-Required-To-Remove-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Required_To_Remove_List_EUTRAN._val = 36
    
    #-----< id-DRB-Setup-List-EUTRAN >-----#
    id_DRB_Setup_List_EUTRAN = INT(name=u'id-DRB-Setup-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Setup_List_EUTRAN._val = 37
    
    #-----< id-DRB-Failed-List-EUTRAN >-----#
    id_DRB_Failed_List_EUTRAN = INT(name=u'id-DRB-Failed-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Failed_List_EUTRAN._val = 38
    
    #-----< id-DRB-Modified-List-EUTRAN >-----#
    id_DRB_Modified_List_EUTRAN = INT(name=u'id-DRB-Modified-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Modified_List_EUTRAN._val = 39
    
    #-----< id-DRB-Failed-To-Modify-List-EUTRAN >-----#
    id_DRB_Failed_To_Modify_List_EUTRAN = INT(name=u'id-DRB-Failed-To-Modify-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Failed_To_Modify_List_EUTRAN._val = 40
    
    #-----< id-DRB-Confirm-Modified-List-EUTRAN >-----#
    id_DRB_Confirm_Modified_List_EUTRAN = INT(name=u'id-DRB-Confirm-Modified-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Confirm_Modified_List_EUTRAN._val = 41
    
    #-----< id-PDU-Session-Resource-To-Setup-List >-----#
    id_PDU_Session_Resource_To_Setup_List = INT(name=u'id-PDU-Session-Resource-To-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_To_Setup_List._val = 42
    
    #-----< id-PDU-Session-Resource-To-Modify-List >-----#
    id_PDU_Session_Resource_To_Modify_List = INT(name=u'id-PDU-Session-Resource-To-Modify-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_To_Modify_List._val = 43
    
    #-----< id-PDU-Session-Resource-To-Remove-List >-----#
    id_PDU_Session_Resource_To_Remove_List = INT(name=u'id-PDU-Session-Resource-To-Remove-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_To_Remove_List._val = 44
    
    #-----< id-PDU-Session-Resource-Required-To-Modify-List >-----#
    id_PDU_Session_Resource_Required_To_Modify_List = INT(name=u'id-PDU-Session-Resource-Required-To-Modify-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Required_To_Modify_List._val = 45
    
    #-----< id-PDU-Session-Resource-Setup-List >-----#
    id_PDU_Session_Resource_Setup_List = INT(name=u'id-PDU-Session-Resource-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Setup_List._val = 46
    
    #-----< id-PDU-Session-Resource-Failed-List >-----#
    id_PDU_Session_Resource_Failed_List = INT(name=u'id-PDU-Session-Resource-Failed-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Failed_List._val = 47
    
    #-----< id-PDU-Session-Resource-Modified-List >-----#
    id_PDU_Session_Resource_Modified_List = INT(name=u'id-PDU-Session-Resource-Modified-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Modified_List._val = 48
    
    #-----< id-PDU-Session-Resource-Failed-To-Modify-List >-----#
    id_PDU_Session_Resource_Failed_To_Modify_List = INT(name=u'id-PDU-Session-Resource-Failed-To-Modify-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Failed_To_Modify_List._val = 49
    
    #-----< id-PDU-Session-Resource-Confirm-Modified-List >-----#
    id_PDU_Session_Resource_Confirm_Modified_List = INT(name=u'id-PDU-Session-Resource-Confirm-Modified-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Confirm_Modified_List._val = 50
    
    #-----< id-DRB-To-Setup-Mod-List-EUTRAN >-----#
    id_DRB_To_Setup_Mod_List_EUTRAN = INT(name=u'id-DRB-To-Setup-Mod-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_To_Setup_Mod_List_EUTRAN._val = 51
    
    #-----< id-DRB-Setup-Mod-List-EUTRAN >-----#
    id_DRB_Setup_Mod_List_EUTRAN = INT(name=u'id-DRB-Setup-Mod-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Setup_Mod_List_EUTRAN._val = 52
    
    #-----< id-DRB-Failed-Mod-List-EUTRAN >-----#
    id_DRB_Failed_Mod_List_EUTRAN = INT(name=u'id-DRB-Failed-Mod-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_Failed_Mod_List_EUTRAN._val = 53
    
    #-----< id-PDU-Session-Resource-Setup-Mod-List >-----#
    id_PDU_Session_Resource_Setup_Mod_List = INT(name=u'id-PDU-Session-Resource-Setup-Mod-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Setup_Mod_List._val = 54
    
    #-----< id-PDU-Session-Resource-Failed-Mod-List >-----#
    id_PDU_Session_Resource_Failed_Mod_List = INT(name=u'id-PDU-Session-Resource-Failed-Mod-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Failed_Mod_List._val = 55
    
    #-----< id-PDU-Session-Resource-To-Setup-Mod-List >-----#
    id_PDU_Session_Resource_To_Setup_Mod_List = INT(name=u'id-PDU-Session-Resource-To-Setup-Mod-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_To_Setup_Mod_List._val = 56
    
    #-----< id-TransactionID >-----#
    id_TransactionID = INT(name=u'id-TransactionID', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TransactionID._val = 57
    
    #-----< id-Serving-PLMN >-----#
    id_Serving_PLMN = INT(name=u'id-Serving-PLMN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Serving_PLMN._val = 58
    
    #-----< id-UE-Inactivity-Timer >-----#
    id_UE_Inactivity_Timer = INT(name=u'id-UE-Inactivity-Timer', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UE_Inactivity_Timer._val = 59
    
    #-----< id-System-GNB-CU-UP-CounterCheckRequest >-----#
    id_System_GNB_CU_UP_CounterCheckRequest = INT(name=u'id-System-GNB-CU-UP-CounterCheckRequest', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_System_GNB_CU_UP_CounterCheckRequest._val = 60
    
    #-----< id-DRBs-Subject-To-Counter-Check-List-EUTRAN >-----#
    id_DRBs_Subject_To_Counter_Check_List_EUTRAN = INT(name=u'id-DRBs-Subject-To-Counter-Check-List-EUTRAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBs_Subject_To_Counter_Check_List_EUTRAN._val = 61
    
    #-----< id-DRBs-Subject-To-Counter-Check-List-NG-RAN >-----#
    id_DRBs_Subject_To_Counter_Check_List_NG_RAN = INT(name=u'id-DRBs-Subject-To-Counter-Check-List-NG-RAN', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBs_Subject_To_Counter_Check_List_NG_RAN._val = 62
    
    #-----< id-PPI >-----#
    id_PPI = INT(name=u'id-PPI', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PPI._val = 63
    
    #-----< id-gNB-CU-UP-Capacity >-----#
    id_gNB_CU_UP_Capacity = INT(name=u'id-gNB-CU-UP-Capacity', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_gNB_CU_UP_Capacity._val = 64
    
    #-----< id-GNB-CU-UP-OverloadInformation >-----#
    id_GNB_CU_UP_OverloadInformation = INT(name=u'id-GNB-CU-UP-OverloadInformation', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_UP_OverloadInformation._val = 65
    
    #-----< id-UEDLMaximumIntegrityProtectedDataRate >-----#
    id_UEDLMaximumIntegrityProtectedDataRate = INT(name=u'id-UEDLMaximumIntegrityProtectedDataRate', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEDLMaximumIntegrityProtectedDataRate._val = 66
    
    #-----< id-PDU-Session-To-Notify-List >-----#
    id_PDU_Session_To_Notify_List = INT(name=u'id-PDU-Session-To-Notify-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_To_Notify_List._val = 67
    
    #-----< id-PDU-Session-Resource-Data-Usage-List >-----#
    id_PDU_Session_Resource_Data_Usage_List = INT(name=u'id-PDU-Session-Resource-Data-Usage-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDU_Session_Resource_Data_Usage_List._val = 68
    
    #-----< id-SNSSAI >-----#
    id_SNSSAI = INT(name=u'id-SNSSAI', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SNSSAI._val = 69
    
    #-----< id-DataDiscardRequired >-----#
    id_DataDiscardRequired = INT(name=u'id-DataDiscardRequired', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DataDiscardRequired._val = 70
    
    #-----< id-OldQoSFlowMap-ULendmarkerexpected >-----#
    id_OldQoSFlowMap_ULendmarkerexpected = INT(name=u'id-OldQoSFlowMap-ULendmarkerexpected', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OldQoSFlowMap_ULendmarkerexpected._val = 71
    
    #-----< id-DRB-QoS >-----#
    id_DRB_QoS = INT(name=u'id-DRB-QoS', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_QoS._val = 72
    
    #-----< id-GNB-CU-UP-TNLA-To-Remove-List >-----#
    id_GNB_CU_UP_TNLA_To_Remove_List = INT(name=u'id-GNB-CU-UP-TNLA-To-Remove-List', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_CU_UP_TNLA_To_Remove_List._val = 73
    
    #-----< id-endpoint-IP-Address-and-Port >-----#
    id_endpoint_IP_Address_and_Port = INT(name=u'id-endpoint-IP-Address-and-Port', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_endpoint_IP_Address_and_Port._val = 74
    
    #-----< id-TNLAssociationTransportLayerAddressgNBCUUP >-----#
    id_TNLAssociationTransportLayerAddressgNBCUUP = INT(name=u'id-TNLAssociationTransportLayerAddressgNBCUUP', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLAssociationTransportLayerAddressgNBCUUP._val = 75
    
    #-----< id-RANUEID >-----#
    id_RANUEID = INT(name=u'id-RANUEID', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RANUEID._val = 76
    
    #-----< id-GNB-DU-ID >-----#
    id_GNB_DU_ID = INT(name=u'id-GNB-DU-ID', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GNB_DU_ID._val = 77
    
    #-----< id-CommonNetworkInstance >-----#
    id_CommonNetworkInstance = INT(name=u'id-CommonNetworkInstance', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CommonNetworkInstance._val = 78
    
    #-----< id-NetworkInstance >-----#
    id_NetworkInstance = INT(name=u'id-NetworkInstance', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NetworkInstance._val = 79
    
    #-----< id-QoSFlowMappingIndication >-----#
    id_QoSFlowMappingIndication = INT(name=u'id-QoSFlowMappingIndication', mode=MODE_VALUE, typeref=ASN1RefType(('E1AP-CommonDataTypes', 'ProtocolIE-ID')))
    id_QoSFlowMappingIndication._val = 80
    
    _all_ = [
        id_reset,
        id_errorIndication,
        id_privateMessage,
        id_gNB_CU_UP_E1Setup,
        id_gNB_CU_CP_E1Setup,
        id_gNB_CU_UP_ConfigurationUpdate,
        id_gNB_CU_CP_ConfigurationUpdate,
        id_e1Release,
        id_bearerContextSetup,
        id_bearerContextModification,
        id_bearerContextModificationRequired,
        id_bearerContextRelease,
        id_bearerContextReleaseRequest,
        id_bearerContextInactivityNotification,
        id_dLDataNotification,
        id_dataUsageReport,
        id_gNB_CU_UP_CounterCheck,
        id_gNB_CU_UP_StatusIndication,
        id_uLDataNotification,
        id_mRDC_DataUsageReport,
        maxnoofErrors,
        maxnoofSPLMNs,
        maxnoofSliceItems,
        maxnoofIndividualE1ConnectionsToReset,
        maxnoofEUTRANQOSParameters,
        maxnoofNGRANQOSParameters,
        maxnoofDRBs,
        maxnoofNRCGI,
        maxnoofPDUSessionResource,
        maxnoofQoSFlows,
        maxnoofUPParameters,
        maxnoofCellGroups,
        maxnooftimeperiods,
        maxnoofTNLAssociations,
        id_Cause,
        id_CriticalityDiagnostics,
        id_gNB_CU_CP_UE_E1AP_ID,
        id_gNB_CU_UP_UE_E1AP_ID,
        id_ResetType,
        id_UE_associatedLogicalE1_ConnectionItem,
        id_UE_associatedLogicalE1_ConnectionListResAck,
        id_gNB_CU_UP_ID,
        id_gNB_CU_UP_Name,
        id_gNB_CU_CP_Name,
        id_CNSupport,
        id_SupportedPLMNs,
        id_TimeToWait,
        id_SecurityInformation,
        id_UEDLAggregateMaximumBitRate,
        id_System_BearerContextSetupRequest,
        id_System_BearerContextSetupResponse,
        id_BearerContextStatusChange,
        id_System_BearerContextModificationRequest,
        id_System_BearerContextModificationResponse,
        id_System_BearerContextModificationConfirm,
        id_System_BearerContextModificationRequired,
        id_DRB_Status_List,
        id_ActivityNotificationLevel,
        id_ActivityInformation,
        id_Data_Usage_Report_List,
        id_New_UL_TNL_Information_Required,
        id_GNB_CU_CP_TNLA_To_Add_List,
        id_GNB_CU_CP_TNLA_To_Remove_List,
        id_GNB_CU_CP_TNLA_To_Update_List,
        id_GNB_CU_CP_TNLA_Setup_List,
        id_GNB_CU_CP_TNLA_Failed_To_Setup_List,
        id_DRB_To_Setup_List_EUTRAN,
        id_DRB_To_Modify_List_EUTRAN,
        id_DRB_To_Remove_List_EUTRAN,
        id_DRB_Required_To_Modify_List_EUTRAN,
        id_DRB_Required_To_Remove_List_EUTRAN,
        id_DRB_Setup_List_EUTRAN,
        id_DRB_Failed_List_EUTRAN,
        id_DRB_Modified_List_EUTRAN,
        id_DRB_Failed_To_Modify_List_EUTRAN,
        id_DRB_Confirm_Modified_List_EUTRAN,
        id_PDU_Session_Resource_To_Setup_List,
        id_PDU_Session_Resource_To_Modify_List,
        id_PDU_Session_Resource_To_Remove_List,
        id_PDU_Session_Resource_Required_To_Modify_List,
        id_PDU_Session_Resource_Setup_List,
        id_PDU_Session_Resource_Failed_List,
        id_PDU_Session_Resource_Modified_List,
        id_PDU_Session_Resource_Failed_To_Modify_List,
        id_PDU_Session_Resource_Confirm_Modified_List,
        id_DRB_To_Setup_Mod_List_EUTRAN,
        id_DRB_Setup_Mod_List_EUTRAN,
        id_DRB_Failed_Mod_List_EUTRAN,
        id_PDU_Session_Resource_Setup_Mod_List,
        id_PDU_Session_Resource_Failed_Mod_List,
        id_PDU_Session_Resource_To_Setup_Mod_List,
        id_TransactionID,
        id_Serving_PLMN,
        id_UE_Inactivity_Timer,
        id_System_GNB_CU_UP_CounterCheckRequest,
        id_DRBs_Subject_To_Counter_Check_List_EUTRAN,
        id_DRBs_Subject_To_Counter_Check_List_NG_RAN,
        id_PPI,
        id_gNB_CU_UP_Capacity,
        id_GNB_CU_UP_OverloadInformation,
        id_UEDLMaximumIntegrityProtectedDataRate,
        id_PDU_Session_To_Notify_List,
        id_PDU_Session_Resource_Data_Usage_List,
        id_SNSSAI,
        id_DataDiscardRequired,
        id_OldQoSFlowMap_ULendmarkerexpected,
        id_DRB_QoS,
        id_GNB_CU_UP_TNLA_To_Remove_List,
        id_endpoint_IP_Address_and_Port,
        id_TNLAssociationTransportLayerAddressgNBCUUP,
        id_RANUEID,
        id_GNB_DU_ID,
        id_CommonNetworkInstance,
        id_NetworkInstance,
        id_QoSFlowMappingIndication,
    ]

class E1AP_PDU_Contents:

    _name_  = u'E1AP-PDU-Contents'
    _oid_   = [0, 4, 0, 0, 22, 3, 5, 1, 1]
    
    _obj_ = [
        u'Reset',
        u'ResetIEs',
        u'ResetType',
        u'ResetType-ExtIEs',
        u'ResetAll',
        u'UE-associatedLogicalE1-ConnectionListRes',
        u'UE-associatedLogicalE1-ConnectionItemRes',
        u'ResetAcknowledge',
        u'ResetAcknowledgeIEs',
        u'UE-associatedLogicalE1-ConnectionListResAck',
        u'UE-associatedLogicalE1-ConnectionItemResAck',
        u'ErrorIndication',
        u'ErrorIndication-IEs',
        u'GNB-CU-UP-E1SetupRequest',
        u'GNB-CU-UP-E1SetupRequestIEs',
        u'SupportedPLMNs-List',
        u'SupportedPLMNs-Item',
        u'SupportedPLMNs-ExtIEs',
        u'GNB-CU-UP-E1SetupResponse',
        u'GNB-CU-UP-E1SetupResponseIEs',
        u'GNB-CU-UP-E1SetupFailure',
        u'GNB-CU-UP-E1SetupFailureIEs',
        u'GNB-CU-CP-E1SetupRequest',
        u'GNB-CU-CP-E1SetupRequestIEs',
        u'GNB-CU-CP-E1SetupResponse',
        u'GNB-CU-CP-E1SetupResponseIEs',
        u'GNB-CU-CP-E1SetupFailure',
        u'GNB-CU-CP-E1SetupFailureIEs',
        u'GNB-CU-UP-ConfigurationUpdate',
        u'GNB-CU-UP-ConfigurationUpdateIEs',
        u'GNB-CU-UP-TNLA-To-Remove-List',
        u'GNB-CU-UP-ConfigurationUpdateAcknowledge',
        u'GNB-CU-UP-ConfigurationUpdateAcknowledgeIEs',
        u'GNB-CU-UP-ConfigurationUpdateFailure',
        u'GNB-CU-UP-ConfigurationUpdateFailureIEs',
        u'GNB-CU-CP-ConfigurationUpdate',
        u'GNB-CU-CP-ConfigurationUpdateIEs',
        u'GNB-CU-CP-TNLA-To-Add-List',
        u'GNB-CU-CP-TNLA-To-Remove-List',
        u'GNB-CU-CP-TNLA-To-Update-List',
        u'GNB-CU-CP-ConfigurationUpdateAcknowledge',
        u'GNB-CU-CP-ConfigurationUpdateAcknowledgeIEs',
        u'GNB-CU-CP-TNLA-Setup-List',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-List',
        u'GNB-CU-CP-ConfigurationUpdateFailure',
        u'GNB-CU-CP-ConfigurationUpdateFailureIEs',
        u'E1ReleaseRequest',
        u'E1ReleaseRequestIEs',
        u'E1ReleaseResponse',
        u'E1ReleaseResponseIEs',
        u'BearerContextSetupRequest',
        u'BearerContextSetupRequestIEs',
        u'System-BearerContextSetupRequest',
        u'System-BearerContextSetupRequest-ExtIEs',
        u'EUTRAN-BearerContextSetupRequest',
        u'NG-RAN-BearerContextSetupRequest',
        u'BearerContextSetupResponse',
        u'BearerContextSetupResponseIEs',
        u'System-BearerContextSetupResponse',
        u'System-BearerContextSetupResponse-ExtIEs',
        u'EUTRAN-BearerContextSetupResponse',
        u'NG-RAN-BearerContextSetupResponse',
        u'BearerContextSetupFailure',
        u'BearerContextSetupFailureIEs',
        u'BearerContextModificationRequest',
        u'BearerContextModificationRequestIEs',
        u'System-BearerContextModificationRequest',
        u'System-BearerContextModificationRequest-ExtIEs',
        u'EUTRAN-BearerContextModificationRequest',
        u'NG-RAN-BearerContextModificationRequest',
        u'BearerContextModificationResponse',
        u'BearerContextModificationResponseIEs',
        u'System-BearerContextModificationResponse',
        u'System-BearerContextModificationResponse-ExtIEs',
        u'EUTRAN-BearerContextModificationResponse',
        u'NG-RAN-BearerContextModificationResponse',
        u'BearerContextModificationFailure',
        u'BearerContextModificationFailureIEs',
        u'BearerContextModificationRequired',
        u'BearerContextModificationRequiredIEs',
        u'System-BearerContextModificationRequired',
        u'System-BearerContextModificationRequired-ExtIEs',
        u'EUTRAN-BearerContextModificationRequired',
        u'NG-RAN-BearerContextModificationRequired',
        u'BearerContextModificationConfirm',
        u'BearerContextModificationConfirmIEs',
        u'System-BearerContextModificationConfirm',
        u'System-BearerContextModificationConfirm-ExtIEs',
        u'EUTRAN-BearerContextModificationConfirm',
        u'NG-RAN-BearerContextModificationConfirm',
        u'BearerContextReleaseCommand',
        u'BearerContextReleaseCommandIEs',
        u'BearerContextReleaseComplete',
        u'BearerContextReleaseCompleteIEs',
        u'BearerContextReleaseRequest',
        u'BearerContextReleaseRequestIEs',
        u'DRB-Status-List',
        u'BearerContextInactivityNotification',
        u'BearerContextInactivityNotificationIEs',
        u'DLDataNotification',
        u'DLDataNotificationIEs',
        u'ULDataNotification',
        u'ULDataNotificationIEs',
        u'DataUsageReport',
        u'DataUsageReportIEs',
        u'GNB-CU-UP-CounterCheckRequest',
        u'GNB-CU-UP-CounterCheckRequestIEs',
        u'System-GNB-CU-UP-CounterCheckRequest',
        u'System-GNB-CU-UP-CounterCheckRequest-ExtIEs',
        u'EUTRAN-GNB-CU-UP-CounterCheckRequest',
        u'NG-RAN-GNB-CU-UP-CounterCheckRequest',
        u'GNB-CU-UP-StatusIndication',
        u'GNB-CU-UP-StatusIndicationIEs',
        u'MRDC-DataUsageReport',
        u'MRDC-DataUsageReportIEs',
        u'PrivateMessage',
        u'PrivateMessage-IEs',
        ]
    _type_ = [
        u'Reset',
        u'ResetType',
        u'ResetAll',
        u'UE-associatedLogicalE1-ConnectionListRes',
        u'ResetAcknowledge',
        u'UE-associatedLogicalE1-ConnectionListResAck',
        u'ErrorIndication',
        u'GNB-CU-UP-E1SetupRequest',
        u'SupportedPLMNs-List',
        u'SupportedPLMNs-Item',
        u'GNB-CU-UP-E1SetupResponse',
        u'GNB-CU-UP-E1SetupFailure',
        u'GNB-CU-CP-E1SetupRequest',
        u'GNB-CU-CP-E1SetupResponse',
        u'GNB-CU-CP-E1SetupFailure',
        u'GNB-CU-UP-ConfigurationUpdate',
        u'GNB-CU-UP-TNLA-To-Remove-List',
        u'GNB-CU-UP-ConfigurationUpdateAcknowledge',
        u'GNB-CU-UP-ConfigurationUpdateFailure',
        u'GNB-CU-CP-ConfigurationUpdate',
        u'GNB-CU-CP-TNLA-To-Add-List',
        u'GNB-CU-CP-TNLA-To-Remove-List',
        u'GNB-CU-CP-TNLA-To-Update-List',
        u'GNB-CU-CP-ConfigurationUpdateAcknowledge',
        u'GNB-CU-CP-TNLA-Setup-List',
        u'GNB-CU-CP-TNLA-Failed-To-Setup-List',
        u'GNB-CU-CP-ConfigurationUpdateFailure',
        u'E1ReleaseRequest',
        u'E1ReleaseResponse',
        u'BearerContextSetupRequest',
        u'System-BearerContextSetupRequest',
        u'BearerContextSetupResponse',
        u'System-BearerContextSetupResponse',
        u'BearerContextSetupFailure',
        u'BearerContextModificationRequest',
        u'System-BearerContextModificationRequest',
        u'BearerContextModificationResponse',
        u'System-BearerContextModificationResponse',
        u'BearerContextModificationFailure',
        u'BearerContextModificationRequired',
        u'System-BearerContextModificationRequired',
        u'BearerContextModificationConfirm',
        u'System-BearerContextModificationConfirm',
        u'BearerContextReleaseCommand',
        u'BearerContextReleaseComplete',
        u'BearerContextReleaseRequest',
        u'DRB-Status-List',
        u'BearerContextInactivityNotification',
        u'DLDataNotification',
        u'ULDataNotification',
        u'DataUsageReport',
        u'GNB-CU-UP-CounterCheckRequest',
        u'System-GNB-CU-UP-CounterCheckRequest',
        u'GNB-CU-UP-StatusIndication',
        u'MRDC-DataUsageReport',
        u'PrivateMessage',
        ]
    _set_ = [
        u'ResetIEs',
        u'ResetType-ExtIEs',
        u'UE-associatedLogicalE1-ConnectionItemRes',
        u'ResetAcknowledgeIEs',
        u'UE-associatedLogicalE1-ConnectionItemResAck',
        u'ErrorIndication-IEs',
        u'GNB-CU-UP-E1SetupRequestIEs',
        u'SupportedPLMNs-ExtIEs',
        u'GNB-CU-UP-E1SetupResponseIEs',
        u'GNB-CU-UP-E1SetupFailureIEs',
        u'GNB-CU-CP-E1SetupRequestIEs',
        u'GNB-CU-CP-E1SetupResponseIEs',
        u'GNB-CU-CP-E1SetupFailureIEs',
        u'GNB-CU-UP-ConfigurationUpdateIEs',
        u'GNB-CU-UP-ConfigurationUpdateAcknowledgeIEs',
        u'GNB-CU-UP-ConfigurationUpdateFailureIEs',
        u'GNB-CU-CP-ConfigurationUpdateIEs',
        u'GNB-CU-CP-ConfigurationUpdateAcknowledgeIEs',
        u'GNB-CU-CP-ConfigurationUpdateFailureIEs',
        u'E1ReleaseRequestIEs',
        u'E1ReleaseResponseIEs',
        u'BearerContextSetupRequestIEs',
        u'System-BearerContextSetupRequest-ExtIEs',
        u'EUTRAN-BearerContextSetupRequest',
        u'NG-RAN-BearerContextSetupRequest',
        u'BearerContextSetupResponseIEs',
        u'System-BearerContextSetupResponse-ExtIEs',
        u'EUTRAN-BearerContextSetupResponse',
        u'NG-RAN-BearerContextSetupResponse',
        u'BearerContextSetupFailureIEs',
        u'BearerContextModificationRequestIEs',
        u'System-BearerContextModificationRequest-ExtIEs',
        u'EUTRAN-BearerContextModificationRequest',
        u'NG-RAN-BearerContextModificationRequest',
        u'BearerContextModificationResponseIEs',
        u'System-BearerContextModificationResponse-ExtIEs',
        u'EUTRAN-BearerContextModificationResponse',
        u'NG-RAN-BearerContextModificationResponse',
        u'BearerContextModificationFailureIEs',
        u'BearerContextModificationRequiredIEs',
        u'System-BearerContextModificationRequired-ExtIEs',
        u'EUTRAN-BearerContextModificationRequired',
        u'NG-RAN-BearerContextModificationRequired',
        u'BearerContextModificationConfirmIEs',
        u'System-BearerContextModificationConfirm-ExtIEs',
        u'EUTRAN-BearerContextModificationConfirm',
        u'NG-RAN-BearerContextModificationConfirm',
        u'BearerContextReleaseCommandIEs',
        u'BearerContextReleaseCompleteIEs',
        u'BearerContextReleaseRequestIEs',
        u'BearerContextInactivityNotificationIEs',
        u'DLDataNotificationIEs',
        u'ULDataNotificationIEs',
        u'DataUsageReportIEs',
        u'GNB-CU-UP-CounterCheckRequestIEs',
        u'System-GNB-CU-UP-CounterCheckRequest-ExtIEs',
        u'EUTRAN-GNB-CU-UP-CounterCheckRequest',
        u'NG-RAN-GNB-CU-UP-CounterCheckRequest',
        u'GNB-CU-UP-StatusIndicationIEs',
        u'MRDC-DataUsageReportIEs',
        u'PrivateMessage-IEs',
        ]
    _val_ = [
        ]
    _class_ = [
        u'ResetIEs',
        u'ResetType-ExtIEs',
        u'UE-associatedLogicalE1-ConnectionItemRes',
        u'ResetAcknowledgeIEs',
        u'UE-associatedLogicalE1-ConnectionItemResAck',
        u'ErrorIndication-IEs',
        u'GNB-CU-UP-E1SetupRequestIEs',
        u'SupportedPLMNs-ExtIEs',
        u'GNB-CU-UP-E1SetupResponseIEs',
        u'GNB-CU-UP-E1SetupFailureIEs',
        u'GNB-CU-CP-E1SetupRequestIEs',
        u'GNB-CU-CP-E1SetupResponseIEs',
        u'GNB-CU-CP-E1SetupFailureIEs',
        u'GNB-CU-UP-ConfigurationUpdateIEs',
        u'GNB-CU-UP-ConfigurationUpdateAcknowledgeIEs',
        u'GNB-CU-UP-ConfigurationUpdateFailureIEs',
        u'GNB-CU-CP-ConfigurationUpdateIEs',
        u'GNB-CU-CP-ConfigurationUpdateAcknowledgeIEs',
        u'GNB-CU-CP-ConfigurationUpdateFailureIEs',
        u'E1ReleaseRequestIEs',
        u'E1ReleaseResponseIEs',
        u'BearerContextSetupRequestIEs',
        u'System-BearerContextSetupRequest-ExtIEs',
        u'EUTRAN-BearerContextSetupRequest',
        u'NG-RAN-BearerContextSetupRequest',
        u'BearerContextSetupResponseIEs',
        u'System-BearerContextSetupResponse-ExtIEs',
        u'EUTRAN-BearerContextSetupResponse',
        u'NG-RAN-BearerContextSetupResponse',
        u'BearerContextSetupFailureIEs',
        u'BearerContextModificationRequestIEs',
        u'System-BearerContextModificationRequest-ExtIEs',
        u'EUTRAN-BearerContextModificationRequest',
        u'NG-RAN-BearerContextModificationRequest',
        u'BearerContextModificationResponseIEs',
        u'System-BearerContextModificationResponse-ExtIEs',
        u'EUTRAN-BearerContextModificationResponse',
        u'NG-RAN-BearerContextModificationResponse',
        u'BearerContextModificationFailureIEs',
        u'BearerContextModificationRequiredIEs',
        u'System-BearerContextModificationRequired-ExtIEs',
        u'EUTRAN-BearerContextModificationRequired',
        u'NG-RAN-BearerContextModificationRequired',
        u'BearerContextModificationConfirmIEs',
        u'System-BearerContextModificationConfirm-ExtIEs',
        u'EUTRAN-BearerContextModificationConfirm',
        u'NG-RAN-BearerContextModificationConfirm',
        u'BearerContextReleaseCommandIEs',
        u'BearerContextReleaseCompleteIEs',
        u'BearerContextReleaseRequestIEs',
        u'BearerContextInactivityNotificationIEs',
        u'DLDataNotificationIEs',
        u'ULDataNotificationIEs',
        u'DataUsageReportIEs',
        u'GNB-CU-UP-CounterCheckRequestIEs',
        u'System-GNB-CU-UP-CounterCheckRequest-ExtIEs',
        u'EUTRAN-GNB-CU-UP-CounterCheckRequest',
        u'NG-RAN-GNB-CU-UP-CounterCheckRequest',
        u'GNB-CU-UP-StatusIndicationIEs',
        u'MRDC-DataUsageReportIEs',
        u'PrivateMessage-IEs',
        ]
    _param_ = [
        ]
    
    #-----< Reset >-----#
    Reset = SEQ(name=u'Reset', mode=MODE_TYPE)
    _Reset_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __Reset_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___Reset_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____Reset_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____Reset_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____Reset_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____Reset_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetType')))
    ____Reset_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____Reset_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____Reset_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _____Reset_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___Reset_protocolIEs__item__id._const_tab = ____Reset_protocolIEs__item__id_tab
    ___Reset_protocolIEs__item__id._const_tab_at = None
    ___Reset_protocolIEs__item__id._const_tab_id = u'id'
    ___Reset_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___Reset_protocolIEs__item__criticality._const_tab = ____Reset_protocolIEs__item__id_tab
    ___Reset_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___Reset_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___Reset_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___Reset_protocolIEs__item__value._const_tab = ____Reset_protocolIEs__item__id_tab
    ___Reset_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___Reset_protocolIEs__item__value._const_tab_id = u'Value'
    __Reset_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___Reset_protocolIEs__item__id),
        (u'criticality', ___Reset_protocolIEs__item__criticality),
        (u'value', ___Reset_protocolIEs__item__value),
        ])
    __Reset_protocolIEs__item_._ext = None
    _Reset_protocolIEs._cont = __Reset_protocolIEs__item_
    _Reset_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    Reset._cont = ASN1Dict([
        (u'protocolIEs', _Reset_protocolIEs),
        ])
    Reset._ext = []
    
    #-----< ResetIEs >-----#
    ResetIEs = CLASS(name=u'ResetIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _ResetIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _ResetIEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _ResetIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetType')))
    ResetIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _ResetIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _ResetIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _ResetIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ResetType >-----#
    ResetType = CHOICE(name=u'ResetType', mode=MODE_TYPE)
    _ResetType_e1_Interface = ENUM(name=u'e1-Interface', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-PDU-Contents', 'ResetAll')))
    _ResetType_partOfE1_Interface = SEQ_OF(name=u'partOfE1-Interface', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-PDU-Contents', 'UE-associatedLogicalE1-ConnectionListRes')))
    _ResetType_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __ResetType_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___ResetType_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ResetType_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetType_choice_extension_id._const_tab = ___ResetType_choice_extension_id_tab
    __ResetType_choice_extension_id._const_tab_at = None
    __ResetType_choice_extension_id._const_tab_id = u'id'
    __ResetType_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___ResetType_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ResetType_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetType_choice_extension_criticality._const_tab = ___ResetType_choice_extension_criticality_tab
    __ResetType_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ResetType_choice_extension_criticality._const_tab_id = u'criticality'
    __ResetType_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___ResetType_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___ResetType_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetType_choice_extension_value._const_tab = ___ResetType_choice_extension_value_tab
    __ResetType_choice_extension_value._const_tab_at = ('..', u'id')
    __ResetType_choice_extension_value._const_tab_id = u'Value'
    _ResetType_choice_extension._cont = ASN1Dict([
        (u'id', __ResetType_choice_extension_id),
        (u'criticality', __ResetType_choice_extension_criticality),
        (u'value', __ResetType_choice_extension_value),
        ])
    _ResetType_choice_extension._ext = None
    ResetType._cont = ASN1Dict([
        (u'e1-Interface', _ResetType_e1_Interface),
        (u'partOfE1-Interface', _ResetType_partOfE1_Interface),
        (u'choice-extension', _ResetType_choice_extension),
        ])
    ResetType._ext = None
    
    #-----< ResetType-ExtIEs >-----#
    ResetType_ExtIEs = CLASS(name=u'ResetType-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ResetType_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetAll >-----#
    ResetAll = ENUM(name=u'ResetAll', mode=MODE_TYPE)
    ResetAll._cont = ASN1Dict([(u'reset-all', 0)])
    ResetAll._ext = []
    
    #-----< UE-associatedLogicalE1-ConnectionListRes >-----#
    UE_associatedLogicalE1_ConnectionListRes = SEQ_OF(name=u'UE-associatedLogicalE1-ConnectionListRes', mode=MODE_TYPE)
    _UE_associatedLogicalE1_ConnectionListRes__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __UE_associatedLogicalE1_ConnectionListRes__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___UE_associatedLogicalE1_ConnectionListRes__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ____UE_associatedLogicalE1_ConnectionListRes__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'UE-associatedLogicalE1-ConnectionItem')))
    ___UE_associatedLogicalE1_ConnectionListRes__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 5), (u'criticality', u'reject'), (u'Value', ____UE_associatedLogicalE1_ConnectionListRes__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __UE_associatedLogicalE1_ConnectionListRes__item__id._const_tab = ___UE_associatedLogicalE1_ConnectionListRes__item__id_tab
    __UE_associatedLogicalE1_ConnectionListRes__item__id._const_tab_at = None
    __UE_associatedLogicalE1_ConnectionListRes__item__id._const_tab_id = u'id'
    __UE_associatedLogicalE1_ConnectionListRes__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    __UE_associatedLogicalE1_ConnectionListRes__item__criticality._const_tab = ___UE_associatedLogicalE1_ConnectionListRes__item__id_tab
    __UE_associatedLogicalE1_ConnectionListRes__item__criticality._const_tab_at = ('..', u'id')
    __UE_associatedLogicalE1_ConnectionListRes__item__criticality._const_tab_id = u'criticality'
    __UE_associatedLogicalE1_ConnectionListRes__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    __UE_associatedLogicalE1_ConnectionListRes__item__value._const_tab = ___UE_associatedLogicalE1_ConnectionListRes__item__id_tab
    __UE_associatedLogicalE1_ConnectionListRes__item__value._const_tab_at = ('..', u'id')
    __UE_associatedLogicalE1_ConnectionListRes__item__value._const_tab_id = u'Value'
    _UE_associatedLogicalE1_ConnectionListRes__item_._cont = ASN1Dict([
        (u'id', __UE_associatedLogicalE1_ConnectionListRes__item__id),
        (u'criticality', __UE_associatedLogicalE1_ConnectionListRes__item__criticality),
        (u'value', __UE_associatedLogicalE1_ConnectionListRes__item__value),
        ])
    _UE_associatedLogicalE1_ConnectionListRes__item_._ext = None
    UE_associatedLogicalE1_ConnectionListRes._cont = _UE_associatedLogicalE1_ConnectionListRes__item_
    UE_associatedLogicalE1_ConnectionListRes._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65536)], ev=None, er=[])
    
    #-----< UE-associatedLogicalE1-ConnectionItemRes >-----#
    UE_associatedLogicalE1_ConnectionItemRes = CLASS(name=u'UE-associatedLogicalE1-ConnectionItemRes', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _UE_associatedLogicalE1_ConnectionItemRes_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'UE-associatedLogicalE1-ConnectionItem')))
    UE_associatedLogicalE1_ConnectionItemRes._val = ASN1Set(rv=[dict([(u'id', 5), (u'criticality', u'reject'), (u'Value', _UE_associatedLogicalE1_ConnectionItemRes_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ResetAcknowledge >-----#
    ResetAcknowledge = SEQ(name=u'ResetAcknowledge', mode=MODE_TYPE)
    _ResetAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __ResetAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___ResetAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____ResetAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'UE-associatedLogicalE1-ConnectionListResAck')))
    _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____ResetAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'ignore'), (u'Value', _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ResetAcknowledge_protocolIEs__item__id._const_tab = ____ResetAcknowledge_protocolIEs__item__id_tab
    ___ResetAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___ResetAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___ResetAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___ResetAcknowledge_protocolIEs__item__criticality._const_tab = ____ResetAcknowledge_protocolIEs__item__id_tab
    ___ResetAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ResetAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ResetAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___ResetAcknowledge_protocolIEs__item__value._const_tab = ____ResetAcknowledge_protocolIEs__item__id_tab
    ___ResetAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ResetAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __ResetAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ResetAcknowledge_protocolIEs__item__id),
        (u'criticality', ___ResetAcknowledge_protocolIEs__item__criticality),
        (u'value', ___ResetAcknowledge_protocolIEs__item__value),
        ])
    __ResetAcknowledge_protocolIEs__item_._ext = None
    _ResetAcknowledge_protocolIEs._cont = __ResetAcknowledge_protocolIEs__item_
    _ResetAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResetAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _ResetAcknowledge_protocolIEs),
        ])
    ResetAcknowledge._ext = []
    
    #-----< ResetAcknowledgeIEs >-----#
    ResetAcknowledgeIEs = CLASS(name=u'ResetAcknowledgeIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _ResetAcknowledgeIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _ResetAcknowledgeIEs_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'UE-associatedLogicalE1-ConnectionListResAck')))
    _ResetAcknowledgeIEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ResetAcknowledgeIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _ResetAcknowledgeIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'ignore'), (u'Value', _ResetAcknowledgeIEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _ResetAcknowledgeIEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< UE-associatedLogicalE1-ConnectionListResAck >-----#
    UE_associatedLogicalE1_ConnectionListResAck = SEQ_OF(name=u'UE-associatedLogicalE1-ConnectionListResAck', mode=MODE_TYPE)
    _UE_associatedLogicalE1_ConnectionListResAck__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __UE_associatedLogicalE1_ConnectionListResAck__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___UE_associatedLogicalE1_ConnectionListResAck__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ____UE_associatedLogicalE1_ConnectionListResAck__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'UE-associatedLogicalE1-ConnectionItem')))
    ___UE_associatedLogicalE1_ConnectionListResAck__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 5), (u'criticality', u'ignore'), (u'Value', ____UE_associatedLogicalE1_ConnectionListResAck__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __UE_associatedLogicalE1_ConnectionListResAck__item__id._const_tab = ___UE_associatedLogicalE1_ConnectionListResAck__item__id_tab
    __UE_associatedLogicalE1_ConnectionListResAck__item__id._const_tab_at = None
    __UE_associatedLogicalE1_ConnectionListResAck__item__id._const_tab_id = u'id'
    __UE_associatedLogicalE1_ConnectionListResAck__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    __UE_associatedLogicalE1_ConnectionListResAck__item__criticality._const_tab = ___UE_associatedLogicalE1_ConnectionListResAck__item__id_tab
    __UE_associatedLogicalE1_ConnectionListResAck__item__criticality._const_tab_at = ('..', u'id')
    __UE_associatedLogicalE1_ConnectionListResAck__item__criticality._const_tab_id = u'criticality'
    __UE_associatedLogicalE1_ConnectionListResAck__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    __UE_associatedLogicalE1_ConnectionListResAck__item__value._const_tab = ___UE_associatedLogicalE1_ConnectionListResAck__item__id_tab
    __UE_associatedLogicalE1_ConnectionListResAck__item__value._const_tab_at = ('..', u'id')
    __UE_associatedLogicalE1_ConnectionListResAck__item__value._const_tab_id = u'Value'
    _UE_associatedLogicalE1_ConnectionListResAck__item_._cont = ASN1Dict([
        (u'id', __UE_associatedLogicalE1_ConnectionListResAck__item__id),
        (u'criticality', __UE_associatedLogicalE1_ConnectionListResAck__item__criticality),
        (u'value', __UE_associatedLogicalE1_ConnectionListResAck__item__value),
        ])
    _UE_associatedLogicalE1_ConnectionListResAck__item_._ext = None
    UE_associatedLogicalE1_ConnectionListResAck._cont = _UE_associatedLogicalE1_ConnectionListResAck__item_
    UE_associatedLogicalE1_ConnectionListResAck._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65536)], ev=None, er=[])
    
    #-----< UE-associatedLogicalE1-ConnectionItemResAck >-----#
    UE_associatedLogicalE1_ConnectionItemResAck = CLASS(name=u'UE-associatedLogicalE1-ConnectionItemResAck', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _UE_associatedLogicalE1_ConnectionItemResAck_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'UE-associatedLogicalE1-ConnectionItem')))
    UE_associatedLogicalE1_ConnectionItemResAck._val = ASN1Set(rv=[dict([(u'id', 5), (u'criticality', u'ignore'), (u'Value', _UE_associatedLogicalE1_ConnectionItemResAck_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ErrorIndication >-----#
    ErrorIndication = SEQ(name=u'ErrorIndication', mode=MODE_TYPE)
    _ErrorIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __ErrorIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___ErrorIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____ErrorIndication_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____ErrorIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 2), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 3), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ErrorIndication_protocolIEs__item__id._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__id._const_tab_at = None
    ___ErrorIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___ErrorIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___ErrorIndication_protocolIEs__item__criticality._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ErrorIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___ErrorIndication_protocolIEs__item__value._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ErrorIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __ErrorIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ErrorIndication_protocolIEs__item__id),
        (u'criticality', ___ErrorIndication_protocolIEs__item__criticality),
        (u'value', ___ErrorIndication_protocolIEs__item__value),
        ])
    __ErrorIndication_protocolIEs__item_._ext = None
    _ErrorIndication_protocolIEs._cont = __ErrorIndication_protocolIEs__item_
    _ErrorIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ErrorIndication._cont = ASN1Dict([
        (u'protocolIEs', _ErrorIndication_protocolIEs),
        ])
    ErrorIndication._ext = []
    
    #-----< ErrorIndication-IEs >-----#
    ErrorIndication_IEs = CLASS(name=u'ErrorIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _ErrorIndication_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _ErrorIndication_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _ErrorIndication_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _ErrorIndication_IEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _ErrorIndication_IEs_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ErrorIndication_IEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _ErrorIndication_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 2), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 3), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-E1SetupRequest >-----#
    GNB_CU_UP_E1SetupRequest = SEQ(name=u'GNB-CU-UP-E1SetupRequest', mode=MODE_TYPE)
    _GNB_CU_UP_E1SetupRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_E1SetupRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-ID')))
    _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_2 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_3 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CNSupport')))
    _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-List')))
    _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_5 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Capacity')))
    ____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__id._const_tab = ____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__value._const_tab = ____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_E1SetupRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__value),
        ])
    __GNB_CU_UP_E1SetupRequest_protocolIEs__item_._ext = None
    _GNB_CU_UP_E1SetupRequest_protocolIEs._cont = __GNB_CU_UP_E1SetupRequest_protocolIEs__item_
    _GNB_CU_UP_E1SetupRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_E1SetupRequest._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_E1SetupRequest_protocolIEs),
        ])
    GNB_CU_UP_E1SetupRequest._ext = []
    
    #-----< GNB-CU-UP-E1SetupRequestIEs >-----#
    GNB_CU_UP_E1SetupRequestIEs = CLASS(name=u'GNB-CU-UP-E1SetupRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_E1SetupRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_E1SetupRequestIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-ID')))
    _GNB_CU_UP_E1SetupRequestIEs_val_Value_2 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _GNB_CU_UP_E1SetupRequestIEs_val_Value_3 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CNSupport')))
    _GNB_CU_UP_E1SetupRequestIEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-List')))
    _GNB_CU_UP_E1SetupRequestIEs_val_Value_5 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Capacity')))
    GNB_CU_UP_E1SetupRequestIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_E1SetupRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_E1SetupRequestIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_E1SetupRequestIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_E1SetupRequestIEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_E1SetupRequestIEs_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_E1SetupRequestIEs_val_Value_5), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SupportedPLMNs-List >-----#
    SupportedPLMNs_List = SEQ_OF(name=u'SupportedPLMNs-List', mode=MODE_TYPE)
    _SupportedPLMNs_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-Item')))
    SupportedPLMNs_List._cont = _SupportedPLMNs_List__item_
    SupportedPLMNs_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< SupportedPLMNs-Item >-----#
    SupportedPLMNs_Item = SEQ(name=u'SupportedPLMNs-Item', mode=MODE_TYPE)
    _SupportedPLMNs_Item_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'PLMN-Identity')))
    _SupportedPLMNs_Item_slice_Support_List = SEQ_OF(name=u'slice-Support-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'Slice-Support-List')), opt=True)
    _SupportedPLMNs_Item_nR_CGI_Support_List = SEQ_OF(name=u'nR-CGI-Support-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'NR-CGI-Support-List')), opt=True)
    _SupportedPLMNs_Item_qoS_Parameters_Support_List = SEQ(name=u'qoS-Parameters-Support-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-IEs', 'QoS-Parameters-Support-List')), opt=True)
    _SupportedPLMNs_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SupportedPLMNs_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolExtensionField')))
    ___SupportedPLMNs_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'id']))
    ____SupportedPLMNs_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SupportedPLMNs_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedPLMNs_Item_iE_Extensions__item__id._const_tab = ____SupportedPLMNs_Item_iE_Extensions__item__id_tab
    ___SupportedPLMNs_Item_iE_Extensions__item__id._const_tab_at = None
    ___SupportedPLMNs_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___SupportedPLMNs_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SupportedPLMNs_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SupportedPLMNs_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedPLMNs_Item_iE_Extensions__item__criticality._const_tab = ____SupportedPLMNs_Item_iE_Extensions__item__criticality_tab
    ___SupportedPLMNs_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SupportedPLMNs_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SupportedPLMNs_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SupportedPLMNs_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_E1AP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    ____SupportedPLMNs_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedPLMNs_Item_iE_Extensions__item__extensionValue._const_tab = ____SupportedPLMNs_Item_iE_Extensions__item__extensionValue_tab
    ___SupportedPLMNs_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SupportedPLMNs_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SupportedPLMNs_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SupportedPLMNs_Item_iE_Extensions__item__id),
        (u'criticality', ___SupportedPLMNs_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___SupportedPLMNs_Item_iE_Extensions__item__extensionValue),
        ])
    __SupportedPLMNs_Item_iE_Extensions__item_._ext = None
    _SupportedPLMNs_Item_iE_Extensions._cont = __SupportedPLMNs_Item_iE_Extensions__item_
    _SupportedPLMNs_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SupportedPLMNs_Item._cont = ASN1Dict([
        (u'pLMN-Identity', _SupportedPLMNs_Item_pLMN_Identity),
        (u'slice-Support-List', _SupportedPLMNs_Item_slice_Support_List),
        (u'nR-CGI-Support-List', _SupportedPLMNs_Item_nR_CGI_Support_List),
        (u'qoS-Parameters-Support-List', _SupportedPLMNs_Item_qoS_Parameters_Support_List),
        (u'iE-Extensions', _SupportedPLMNs_Item_iE_Extensions),
        ])
    SupportedPLMNs_Item._ext = []
    
    #-----< SupportedPLMNs-ExtIEs >-----#
    SupportedPLMNs_ExtIEs = CLASS(name=u'SupportedPLMNs-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-EXTENSION')))
    SupportedPLMNs_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-E1SetupResponse >-----#
    GNB_CU_UP_E1SetupResponse = SEQ(name=u'GNB-CU-UP-E1SetupResponse', mode=MODE_TYPE)
    _GNB_CU_UP_E1SetupResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_E1SetupResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_1 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-Name')))
    ____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__id._const_tab = ____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__value._const_tab = ____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_E1SetupResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__value),
        ])
    __GNB_CU_UP_E1SetupResponse_protocolIEs__item_._ext = None
    _GNB_CU_UP_E1SetupResponse_protocolIEs._cont = __GNB_CU_UP_E1SetupResponse_protocolIEs__item_
    _GNB_CU_UP_E1SetupResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_E1SetupResponse._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_E1SetupResponse_protocolIEs),
        ])
    GNB_CU_UP_E1SetupResponse._ext = []
    
    #-----< GNB-CU-UP-E1SetupResponseIEs >-----#
    GNB_CU_UP_E1SetupResponseIEs = CLASS(name=u'GNB-CU-UP-E1SetupResponseIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_E1SetupResponseIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_E1SetupResponseIEs_val_Value_1 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-Name')))
    GNB_CU_UP_E1SetupResponseIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_E1SetupResponseIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_E1SetupResponseIEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-E1SetupFailure >-----#
    GNB_CU_UP_E1SetupFailure = SEQ(name=u'GNB-CU-UP-E1SetupFailure', mode=MODE_TYPE)
    _GNB_CU_UP_E1SetupFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_E1SetupFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__id._const_tab = ____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__value._const_tab = ____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_E1SetupFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__value),
        ])
    __GNB_CU_UP_E1SetupFailure_protocolIEs__item_._ext = None
    _GNB_CU_UP_E1SetupFailure_protocolIEs._cont = __GNB_CU_UP_E1SetupFailure_protocolIEs__item_
    _GNB_CU_UP_E1SetupFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_E1SetupFailure._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_E1SetupFailure_protocolIEs),
        ])
    GNB_CU_UP_E1SetupFailure._ext = []
    
    #-----< GNB-CU-UP-E1SetupFailureIEs >-----#
    GNB_CU_UP_E1SetupFailureIEs = CLASS(name=u'GNB-CU-UP-E1SetupFailureIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_E1SetupFailureIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_E1SetupFailureIEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _GNB_CU_UP_E1SetupFailureIEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _GNB_CU_UP_E1SetupFailureIEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    GNB_CU_UP_E1SetupFailureIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_E1SetupFailureIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_E1SetupFailureIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_E1SetupFailureIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_E1SetupFailureIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-E1SetupRequest >-----#
    GNB_CU_CP_E1SetupRequest = SEQ(name=u'GNB-CU-CP-E1SetupRequest', mode=MODE_TYPE)
    _GNB_CU_CP_E1SetupRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_CP_E1SetupRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_1 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-Name')))
    ____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__id._const_tab = ____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__criticality._const_tab = ____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__value._const_tab = ____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_CP_E1SetupRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__value),
        ])
    __GNB_CU_CP_E1SetupRequest_protocolIEs__item_._ext = None
    _GNB_CU_CP_E1SetupRequest_protocolIEs._cont = __GNB_CU_CP_E1SetupRequest_protocolIEs__item_
    _GNB_CU_CP_E1SetupRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_CP_E1SetupRequest._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_CP_E1SetupRequest_protocolIEs),
        ])
    GNB_CU_CP_E1SetupRequest._ext = []
    
    #-----< GNB-CU-CP-E1SetupRequestIEs >-----#
    GNB_CU_CP_E1SetupRequestIEs = CLASS(name=u'GNB-CU-CP-E1SetupRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_CP_E1SetupRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_CP_E1SetupRequestIEs_val_Value_1 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-Name')))
    GNB_CU_CP_E1SetupRequestIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_E1SetupRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_E1SetupRequestIEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-E1SetupResponse >-----#
    GNB_CU_CP_E1SetupResponse = SEQ(name=u'GNB-CU-CP-E1SetupResponse', mode=MODE_TYPE)
    _GNB_CU_CP_E1SetupResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_CP_E1SetupResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-ID')))
    _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_2 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_3 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CNSupport')))
    _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-List')))
    _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_5 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Capacity')))
    ____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__id._const_tab = ____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__criticality._const_tab = ____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__value._const_tab = ____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_CP_E1SetupResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__value),
        ])
    __GNB_CU_CP_E1SetupResponse_protocolIEs__item_._ext = None
    _GNB_CU_CP_E1SetupResponse_protocolIEs._cont = __GNB_CU_CP_E1SetupResponse_protocolIEs__item_
    _GNB_CU_CP_E1SetupResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_CP_E1SetupResponse._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_CP_E1SetupResponse_protocolIEs),
        ])
    GNB_CU_CP_E1SetupResponse._ext = []
    
    #-----< GNB-CU-CP-E1SetupResponseIEs >-----#
    GNB_CU_CP_E1SetupResponseIEs = CLASS(name=u'GNB-CU-CP-E1SetupResponseIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_CP_E1SetupResponseIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_CP_E1SetupResponseIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-ID')))
    _GNB_CU_CP_E1SetupResponseIEs_val_Value_2 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _GNB_CU_CP_E1SetupResponseIEs_val_Value_3 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CNSupport')))
    _GNB_CU_CP_E1SetupResponseIEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-List')))
    _GNB_CU_CP_E1SetupResponseIEs_val_Value_5 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Capacity')))
    GNB_CU_CP_E1SetupResponseIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_E1SetupResponseIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_E1SetupResponseIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_E1SetupResponseIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_E1SetupResponseIEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_E1SetupResponseIEs_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_E1SetupResponseIEs_val_Value_5), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-E1SetupFailure >-----#
    GNB_CU_CP_E1SetupFailure = SEQ(name=u'GNB-CU-CP-E1SetupFailure', mode=MODE_TYPE)
    _GNB_CU_CP_E1SetupFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_CP_E1SetupFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__id._const_tab = ____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__criticality._const_tab = ____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__value._const_tab = ____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_CP_E1SetupFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__value),
        ])
    __GNB_CU_CP_E1SetupFailure_protocolIEs__item_._ext = None
    _GNB_CU_CP_E1SetupFailure_protocolIEs._cont = __GNB_CU_CP_E1SetupFailure_protocolIEs__item_
    _GNB_CU_CP_E1SetupFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_CP_E1SetupFailure._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_CP_E1SetupFailure_protocolIEs),
        ])
    GNB_CU_CP_E1SetupFailure._ext = []
    
    #-----< GNB-CU-CP-E1SetupFailureIEs >-----#
    GNB_CU_CP_E1SetupFailureIEs = CLASS(name=u'GNB-CU-CP-E1SetupFailureIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_CP_E1SetupFailureIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_CP_E1SetupFailureIEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _GNB_CU_CP_E1SetupFailureIEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _GNB_CU_CP_E1SetupFailureIEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    GNB_CU_CP_E1SetupFailureIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_E1SetupFailureIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_E1SetupFailureIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_E1SetupFailureIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_E1SetupFailureIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-ConfigurationUpdate >-----#
    GNB_CU_UP_ConfigurationUpdate = SEQ(name=u'GNB-CU-UP-ConfigurationUpdate', mode=MODE_TYPE)
    _GNB_CU_UP_ConfigurationUpdate_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_ConfigurationUpdate_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-ID')))
    _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-List')))
    _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Capacity')))
    _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-TNLA-To-Remove-List')))
    ____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id._const_tab = ____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__value._const_tab = ____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_ConfigurationUpdate_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__value),
        ])
    __GNB_CU_UP_ConfigurationUpdate_protocolIEs__item_._ext = None
    _GNB_CU_UP_ConfigurationUpdate_protocolIEs._cont = __GNB_CU_UP_ConfigurationUpdate_protocolIEs__item_
    _GNB_CU_UP_ConfigurationUpdate_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_ConfigurationUpdate._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_ConfigurationUpdate_protocolIEs),
        ])
    GNB_CU_UP_ConfigurationUpdate._ext = []
    
    #-----< GNB-CU-UP-ConfigurationUpdateIEs >-----#
    GNB_CU_UP_ConfigurationUpdateIEs = CLASS(name=u'GNB-CU-UP-ConfigurationUpdateIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-ID')))
    _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_2 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'SupportedPLMNs-List')))
    _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Capacity')))
    _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-UP-TNLA-To-Remove-List')))
    GNB_CU_UP_ConfigurationUpdateIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_5), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-TNLA-To-Remove-List >-----#
    GNB_CU_UP_TNLA_To_Remove_List = SEQ_OF(name=u'GNB-CU-UP-TNLA-To-Remove-List', mode=MODE_TYPE)
    _GNB_CU_UP_TNLA_To_Remove_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-TNLA-To-Remove-Item')))
    GNB_CU_UP_TNLA_To_Remove_List._cont = _GNB_CU_UP_TNLA_To_Remove_List__item_
    GNB_CU_UP_TNLA_To_Remove_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< GNB-CU-UP-ConfigurationUpdateAcknowledge >-----#
    GNB_CU_UP_ConfigurationUpdateAcknowledge = SEQ(name=u'GNB-CU-UP-ConfigurationUpdateAcknowledge', mode=MODE_TYPE)
    _GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab = ____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab = ____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__value),
        ])
    __GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item_._ext = None
    _GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs._cont = __GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item_
    _GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_ConfigurationUpdateAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs),
        ])
    GNB_CU_UP_ConfigurationUpdateAcknowledge._ext = []
    
    #-----< GNB-CU-UP-ConfigurationUpdateAcknowledgeIEs >-----#
    GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs = CLASS(name=u'GNB-CU-UP-ConfigurationUpdateAcknowledgeIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-ConfigurationUpdateFailure >-----#
    GNB_CU_UP_ConfigurationUpdateFailure = SEQ(name=u'GNB-CU-UP-ConfigurationUpdateFailure', mode=MODE_TYPE)
    _GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id._const_tab = ____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__value._const_tab = ____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__value),
        ])
    __GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item_._ext = None
    _GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs._cont = __GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item_
    _GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_ConfigurationUpdateFailure._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs),
        ])
    GNB_CU_UP_ConfigurationUpdateFailure._ext = []
    
    #-----< GNB-CU-UP-ConfigurationUpdateFailureIEs >-----#
    GNB_CU_UP_ConfigurationUpdateFailureIEs = CLASS(name=u'GNB-CU-UP-ConfigurationUpdateFailureIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    GNB_CU_UP_ConfigurationUpdateFailureIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-ConfigurationUpdate >-----#
    GNB_CU_CP_ConfigurationUpdate = SEQ(name=u'GNB-CU-CP-ConfigurationUpdate', mode=MODE_TYPE)
    _GNB_CU_CP_ConfigurationUpdate_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_CP_ConfigurationUpdate_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-To-Add-List')))
    _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-To-Remove-List')))
    _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-To-Update-List')))
    ____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 28), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id._const_tab = ____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__criticality._const_tab = ____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__value._const_tab = ____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_CP_ConfigurationUpdate_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__value),
        ])
    __GNB_CU_CP_ConfigurationUpdate_protocolIEs__item_._ext = None
    _GNB_CU_CP_ConfigurationUpdate_protocolIEs._cont = __GNB_CU_CP_ConfigurationUpdate_protocolIEs__item_
    _GNB_CU_CP_ConfigurationUpdate_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_CP_ConfigurationUpdate._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_CP_ConfigurationUpdate_protocolIEs),
        ])
    GNB_CU_CP_ConfigurationUpdate._ext = []
    
    #-----< GNB-CU-CP-ConfigurationUpdateIEs >-----#
    GNB_CU_CP_ConfigurationUpdateIEs = CLASS(name=u'GNB-CU-CP-ConfigurationUpdateIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_1 = STR_PRINT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-Name')))
    _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-To-Add-List')))
    _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-To-Remove-List')))
    _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-To-Update-List')))
    GNB_CU_CP_ConfigurationUpdateIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 28), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-TNLA-To-Add-List >-----#
    GNB_CU_CP_TNLA_To_Add_List = SEQ_OF(name=u'GNB-CU-CP-TNLA-To-Add-List', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_To_Add_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-TNLA-To-Add-Item')))
    GNB_CU_CP_TNLA_To_Add_List._cont = _GNB_CU_CP_TNLA_To_Add_List__item_
    GNB_CU_CP_TNLA_To_Add_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< GNB-CU-CP-TNLA-To-Remove-List >-----#
    GNB_CU_CP_TNLA_To_Remove_List = SEQ_OF(name=u'GNB-CU-CP-TNLA-To-Remove-List', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_To_Remove_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-TNLA-To-Remove-Item')))
    GNB_CU_CP_TNLA_To_Remove_List._cont = _GNB_CU_CP_TNLA_To_Remove_List__item_
    GNB_CU_CP_TNLA_To_Remove_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< GNB-CU-CP-TNLA-To-Update-List >-----#
    GNB_CU_CP_TNLA_To_Update_List = SEQ_OF(name=u'GNB-CU-CP-TNLA-To-Update-List', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_To_Update_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-TNLA-To-Update-Item')))
    GNB_CU_CP_TNLA_To_Update_List._cont = _GNB_CU_CP_TNLA_To_Update_List__item_
    GNB_CU_CP_TNLA_To_Update_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< GNB-CU-CP-ConfigurationUpdateAcknowledge >-----#
    GNB_CU_CP_ConfigurationUpdateAcknowledge = SEQ(name=u'GNB-CU-CP-ConfigurationUpdateAcknowledge', mode=MODE_TYPE)
    _GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-Setup-List')))
    _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-Failed-To-Setup-List')))
    ____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 30), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 31), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab = ____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab = ____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab = ____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__value),
        ])
    __GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item_._ext = None
    _GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs._cont = __GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item_
    _GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_CP_ConfigurationUpdateAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs),
        ])
    GNB_CU_CP_ConfigurationUpdateAcknowledge._ext = []
    
    #-----< GNB-CU-CP-ConfigurationUpdateAcknowledgeIEs >-----#
    GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs = CLASS(name=u'GNB-CU-CP-ConfigurationUpdateAcknowledgeIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-Setup-List')))
    _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'GNB-CU-CP-TNLA-Failed-To-Setup-List')))
    GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 30), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 31), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-CP-TNLA-Setup-List >-----#
    GNB_CU_CP_TNLA_Setup_List = SEQ_OF(name=u'GNB-CU-CP-TNLA-Setup-List', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-TNLA-Setup-Item')))
    GNB_CU_CP_TNLA_Setup_List._cont = _GNB_CU_CP_TNLA_Setup_List__item_
    GNB_CU_CP_TNLA_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< GNB-CU-CP-TNLA-Failed-To-Setup-List >-----#
    GNB_CU_CP_TNLA_Failed_To_Setup_List = SEQ_OF(name=u'GNB-CU-CP-TNLA-Failed-To-Setup-List', mode=MODE_TYPE)
    _GNB_CU_CP_TNLA_Failed_To_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-TNLA-Failed-To-Setup-Item')))
    GNB_CU_CP_TNLA_Failed_To_Setup_List._cont = _GNB_CU_CP_TNLA_Failed_To_Setup_List__item_
    GNB_CU_CP_TNLA_Failed_To_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< GNB-CU-CP-ConfigurationUpdateFailure >-----#
    GNB_CU_CP_ConfigurationUpdateFailure = SEQ(name=u'GNB-CU-CP-ConfigurationUpdateFailure', mode=MODE_TYPE)
    _GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id._const_tab = ____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab = ____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__value._const_tab = ____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__value),
        ])
    __GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item_._ext = None
    _GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs._cont = __GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item_
    _GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_CP_ConfigurationUpdateFailure._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs),
        ])
    GNB_CU_CP_ConfigurationUpdateFailure._ext = []
    
    #-----< GNB-CU-CP-ConfigurationUpdateFailureIEs >-----#
    GNB_CU_CP_ConfigurationUpdateFailureIEs = CLASS(name=u'GNB-CU-CP-ConfigurationUpdateFailureIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TimeToWait')))
    _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    GNB_CU_CP_ConfigurationUpdateFailureIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< E1ReleaseRequest >-----#
    E1ReleaseRequest = SEQ(name=u'E1ReleaseRequest', mode=MODE_TYPE)
    _E1ReleaseRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __E1ReleaseRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___E1ReleaseRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____E1ReleaseRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____E1ReleaseRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____E1ReleaseRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    ____E1ReleaseRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____E1ReleaseRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____E1ReleaseRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___E1ReleaseRequest_protocolIEs__item__id._const_tab = ____E1ReleaseRequest_protocolIEs__item__id_tab
    ___E1ReleaseRequest_protocolIEs__item__id._const_tab_at = None
    ___E1ReleaseRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___E1ReleaseRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___E1ReleaseRequest_protocolIEs__item__criticality._const_tab = ____E1ReleaseRequest_protocolIEs__item__id_tab
    ___E1ReleaseRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E1ReleaseRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E1ReleaseRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___E1ReleaseRequest_protocolIEs__item__value._const_tab = ____E1ReleaseRequest_protocolIEs__item__id_tab
    ___E1ReleaseRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E1ReleaseRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __E1ReleaseRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E1ReleaseRequest_protocolIEs__item__id),
        (u'criticality', ___E1ReleaseRequest_protocolIEs__item__criticality),
        (u'value', ___E1ReleaseRequest_protocolIEs__item__value),
        ])
    __E1ReleaseRequest_protocolIEs__item_._ext = None
    _E1ReleaseRequest_protocolIEs._cont = __E1ReleaseRequest_protocolIEs__item_
    _E1ReleaseRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E1ReleaseRequest._cont = ASN1Dict([
        (u'protocolIEs', _E1ReleaseRequest_protocolIEs),
        ])
    E1ReleaseRequest._ext = []
    
    #-----< E1ReleaseRequestIEs >-----#
    E1ReleaseRequestIEs = CLASS(name=u'E1ReleaseRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _E1ReleaseRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _E1ReleaseRequestIEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    E1ReleaseRequestIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _E1ReleaseRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _E1ReleaseRequestIEs_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< E1ReleaseResponse >-----#
    E1ReleaseResponse = SEQ(name=u'E1ReleaseResponse', mode=MODE_TYPE)
    _E1ReleaseResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __E1ReleaseResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___E1ReleaseResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____E1ReleaseResponse_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____E1ReleaseResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    ____E1ReleaseResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____E1ReleaseResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___E1ReleaseResponse_protocolIEs__item__id._const_tab = ____E1ReleaseResponse_protocolIEs__item__id_tab
    ___E1ReleaseResponse_protocolIEs__item__id._const_tab_at = None
    ___E1ReleaseResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___E1ReleaseResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___E1ReleaseResponse_protocolIEs__item__criticality._const_tab = ____E1ReleaseResponse_protocolIEs__item__id_tab
    ___E1ReleaseResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E1ReleaseResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E1ReleaseResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___E1ReleaseResponse_protocolIEs__item__value._const_tab = ____E1ReleaseResponse_protocolIEs__item__id_tab
    ___E1ReleaseResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E1ReleaseResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __E1ReleaseResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E1ReleaseResponse_protocolIEs__item__id),
        (u'criticality', ___E1ReleaseResponse_protocolIEs__item__criticality),
        (u'value', ___E1ReleaseResponse_protocolIEs__item__value),
        ])
    __E1ReleaseResponse_protocolIEs__item_._ext = None
    _E1ReleaseResponse_protocolIEs._cont = __E1ReleaseResponse_protocolIEs__item_
    _E1ReleaseResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E1ReleaseResponse._cont = ASN1Dict([
        (u'protocolIEs', _E1ReleaseResponse_protocolIEs),
        ])
    E1ReleaseResponse._ext = []
    
    #-----< E1ReleaseResponseIEs >-----#
    E1ReleaseResponseIEs = CLASS(name=u'E1ReleaseResponseIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _E1ReleaseResponseIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    E1ReleaseResponseIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _E1ReleaseResponseIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextSetupRequest >-----#
    BearerContextSetupRequest = SEQ(name=u'BearerContextSetupRequest', mode=MODE_TYPE)
    _BearerContextSetupRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextSetupRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextSetupRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextSetupRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'SecurityInformation')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PLMN-Identity')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'ActivityNotificationLevel')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_6 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_7 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BearerContextStatusChange')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_8 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextSetupRequest')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_9 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'RANUEID')))
    _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_10 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-DU-ID')))
    ____BearerContextSetupRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 13), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 66), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 58), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'mandatory')]), dict([(u'id', 59), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 17), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 15), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'mandatory')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 77), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_10), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextSetupRequest_protocolIEs__item__id._const_tab = ____BearerContextSetupRequest_protocolIEs__item__id_tab
    ___BearerContextSetupRequest_protocolIEs__item__id._const_tab_at = None
    ___BearerContextSetupRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextSetupRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextSetupRequest_protocolIEs__item__criticality._const_tab = ____BearerContextSetupRequest_protocolIEs__item__id_tab
    ___BearerContextSetupRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextSetupRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextSetupRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextSetupRequest_protocolIEs__item__value._const_tab = ____BearerContextSetupRequest_protocolIEs__item__id_tab
    ___BearerContextSetupRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextSetupRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextSetupRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextSetupRequest_protocolIEs__item__id),
        (u'criticality', ___BearerContextSetupRequest_protocolIEs__item__criticality),
        (u'value', ___BearerContextSetupRequest_protocolIEs__item__value),
        ])
    __BearerContextSetupRequest_protocolIEs__item_._ext = None
    _BearerContextSetupRequest_protocolIEs._cont = __BearerContextSetupRequest_protocolIEs__item_
    _BearerContextSetupRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextSetupRequest._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextSetupRequest_protocolIEs),
        ])
    BearerContextSetupRequest._ext = []
    
    #-----< BearerContextSetupRequestIEs >-----#
    BearerContextSetupRequestIEs = CLASS(name=u'BearerContextSetupRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextSetupRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextSetupRequestIEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'SecurityInformation')))
    _BearerContextSetupRequestIEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _BearerContextSetupRequestIEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _BearerContextSetupRequestIEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PLMN-Identity')))
    _BearerContextSetupRequestIEs_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'ActivityNotificationLevel')))
    _BearerContextSetupRequestIEs_val_Value_6 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')))
    _BearerContextSetupRequestIEs_val_Value_7 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BearerContextStatusChange')))
    _BearerContextSetupRequestIEs_val_Value_8 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextSetupRequest')))
    _BearerContextSetupRequestIEs_val_Value_9 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'RANUEID')))
    _BearerContextSetupRequestIEs_val_Value_10 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-DU-ID')))
    BearerContextSetupRequestIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 13), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 66), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 58), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupRequestIEs_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_5), (u'presence', u'mandatory')]), dict([(u'id', 59), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 17), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 15), (u'criticality', u'reject'), (u'Value', _BearerContextSetupRequestIEs_val_Value_8), (u'presence', u'mandatory')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupRequestIEs_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 77), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupRequestIEs_val_Value_10), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< System-BearerContextSetupRequest >-----#
    System_BearerContextSetupRequest = CHOICE(name=u'System-BearerContextSetupRequest', mode=MODE_TYPE)
    _System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest = SEQ_OF(name=u'e-UTRAN-BearerContextSetupRequest', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-List-EUTRAN')))
    ____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 32), (u'criticality', u'reject'), (u'Value', _____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id._const_tab = ____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id._const_tab_at = None
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id._const_tab_id = u'id'
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__criticality._const_tab = ____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__value._const_tab = ____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__value._const_tab_id = u'Value'
    __System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id),
        (u'criticality', ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__criticality),
        (u'value', ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__value),
        ])
    __System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item_._ext = None
    _System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest._cont = __System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item_
    _System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest = SEQ_OF(name=u'nG-RAN-BearerContextSetupRequest', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Setup-List')))
    ____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 42), (u'criticality', u'reject'), (u'Value', _____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id._const_tab = ____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id._const_tab_at = None
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id._const_tab_id = u'id'
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__criticality._const_tab = ____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__value._const_tab = ____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__value._const_tab_id = u'Value'
    __System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id),
        (u'criticality', ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__criticality),
        (u'value', ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__value),
        ])
    __System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item_._ext = None
    _System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest._cont = __System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item_
    _System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextSetupRequest_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_BearerContextSetupRequest_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_BearerContextSetupRequest_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextSetupRequest_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextSetupRequest_choice_extension_id._const_tab = ___System_BearerContextSetupRequest_choice_extension_id_tab
    __System_BearerContextSetupRequest_choice_extension_id._const_tab_at = None
    __System_BearerContextSetupRequest_choice_extension_id._const_tab_id = u'id'
    __System_BearerContextSetupRequest_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextSetupRequest_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextSetupRequest_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextSetupRequest_choice_extension_criticality._const_tab = ___System_BearerContextSetupRequest_choice_extension_criticality_tab
    __System_BearerContextSetupRequest_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_BearerContextSetupRequest_choice_extension_criticality._const_tab_id = u'criticality'
    __System_BearerContextSetupRequest_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextSetupRequest_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextSetupRequest_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextSetupRequest_choice_extension_value._const_tab = ___System_BearerContextSetupRequest_choice_extension_value_tab
    __System_BearerContextSetupRequest_choice_extension_value._const_tab_at = ('..', u'id')
    __System_BearerContextSetupRequest_choice_extension_value._const_tab_id = u'Value'
    _System_BearerContextSetupRequest_choice_extension._cont = ASN1Dict([
        (u'id', __System_BearerContextSetupRequest_choice_extension_id),
        (u'criticality', __System_BearerContextSetupRequest_choice_extension_criticality),
        (u'value', __System_BearerContextSetupRequest_choice_extension_value),
        ])
    _System_BearerContextSetupRequest_choice_extension._ext = None
    System_BearerContextSetupRequest._cont = ASN1Dict([
        (u'e-UTRAN-BearerContextSetupRequest', _System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest),
        (u'nG-RAN-BearerContextSetupRequest', _System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest),
        (u'choice-extension', _System_BearerContextSetupRequest_choice_extension),
        ])
    System_BearerContextSetupRequest._ext = None
    
    #-----< System-BearerContextSetupRequest-ExtIEs >-----#
    System_BearerContextSetupRequest_ExtIEs = CLASS(name=u'System-BearerContextSetupRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_BearerContextSetupRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-BearerContextSetupRequest >-----#
    EUTRAN_BearerContextSetupRequest = CLASS(name=u'EUTRAN-BearerContextSetupRequest', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_BearerContextSetupRequest_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-List-EUTRAN')))
    EUTRAN_BearerContextSetupRequest._val = ASN1Set(rv=[dict([(u'id', 32), (u'criticality', u'reject'), (u'Value', _EUTRAN_BearerContextSetupRequest_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-BearerContextSetupRequest >-----#
    NG_RAN_BearerContextSetupRequest = CLASS(name=u'NG-RAN-BearerContextSetupRequest', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_BearerContextSetupRequest_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Setup-List')))
    NG_RAN_BearerContextSetupRequest._val = ASN1Set(rv=[dict([(u'id', 42), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextSetupRequest_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextSetupResponse >-----#
    BearerContextSetupResponse = SEQ(name=u'BearerContextSetupResponse', mode=MODE_TYPE)
    _BearerContextSetupResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextSetupResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextSetupResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextSetupResponse_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextSetupResponse')))
    ____BearerContextSetupResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 16), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___BearerContextSetupResponse_protocolIEs__item__id._const_tab = ____BearerContextSetupResponse_protocolIEs__item__id_tab
    ___BearerContextSetupResponse_protocolIEs__item__id._const_tab_at = None
    ___BearerContextSetupResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextSetupResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextSetupResponse_protocolIEs__item__criticality._const_tab = ____BearerContextSetupResponse_protocolIEs__item__id_tab
    ___BearerContextSetupResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextSetupResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextSetupResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextSetupResponse_protocolIEs__item__value._const_tab = ____BearerContextSetupResponse_protocolIEs__item__id_tab
    ___BearerContextSetupResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextSetupResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextSetupResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextSetupResponse_protocolIEs__item__id),
        (u'criticality', ___BearerContextSetupResponse_protocolIEs__item__criticality),
        (u'value', ___BearerContextSetupResponse_protocolIEs__item__value),
        ])
    __BearerContextSetupResponse_protocolIEs__item_._ext = None
    _BearerContextSetupResponse_protocolIEs._cont = __BearerContextSetupResponse_protocolIEs__item_
    _BearerContextSetupResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextSetupResponse._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextSetupResponse_protocolIEs),
        ])
    BearerContextSetupResponse._ext = []
    
    #-----< BearerContextSetupResponseIEs >-----#
    BearerContextSetupResponseIEs = CLASS(name=u'BearerContextSetupResponseIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextSetupResponseIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextSetupResponseIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextSetupResponseIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextSetupResponse')))
    BearerContextSetupResponseIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextSetupResponseIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextSetupResponseIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 16), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupResponseIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< System-BearerContextSetupResponse >-----#
    System_BearerContextSetupResponse = CHOICE(name=u'System-BearerContextSetupResponse', mode=MODE_TYPE)
    _System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse = SEQ_OF(name=u'e-UTRAN-BearerContextSetupResponse', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-List-EUTRAN')))
    _____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-List-EUTRAN')))
    ____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 37), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 38), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id._const_tab = ____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id._const_tab_at = None
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id._const_tab_id = u'id'
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__criticality._const_tab = ____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__value._const_tab = ____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__value._const_tab_id = u'Value'
    __System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id),
        (u'criticality', ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__criticality),
        (u'value', ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__value),
        ])
    __System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item_._ext = None
    _System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse._cont = __System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item_
    _System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse = SEQ_OF(name=u'nG-RAN-BearerContextSetupResponse', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Setup-List')))
    _____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-List')))
    ____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 46), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 47), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id._const_tab = ____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id._const_tab_at = None
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id._const_tab_id = u'id'
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__criticality._const_tab = ____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__value._const_tab = ____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__value._const_tab_id = u'Value'
    __System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id),
        (u'criticality', ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__criticality),
        (u'value', ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__value),
        ])
    __System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item_._ext = None
    _System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse._cont = __System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item_
    _System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextSetupResponse_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_BearerContextSetupResponse_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_BearerContextSetupResponse_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextSetupResponse_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextSetupResponse_choice_extension_id._const_tab = ___System_BearerContextSetupResponse_choice_extension_id_tab
    __System_BearerContextSetupResponse_choice_extension_id._const_tab_at = None
    __System_BearerContextSetupResponse_choice_extension_id._const_tab_id = u'id'
    __System_BearerContextSetupResponse_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextSetupResponse_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextSetupResponse_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextSetupResponse_choice_extension_criticality._const_tab = ___System_BearerContextSetupResponse_choice_extension_criticality_tab
    __System_BearerContextSetupResponse_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_BearerContextSetupResponse_choice_extension_criticality._const_tab_id = u'criticality'
    __System_BearerContextSetupResponse_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextSetupResponse_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextSetupResponse_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextSetupResponse_choice_extension_value._const_tab = ___System_BearerContextSetupResponse_choice_extension_value_tab
    __System_BearerContextSetupResponse_choice_extension_value._const_tab_at = ('..', u'id')
    __System_BearerContextSetupResponse_choice_extension_value._const_tab_id = u'Value'
    _System_BearerContextSetupResponse_choice_extension._cont = ASN1Dict([
        (u'id', __System_BearerContextSetupResponse_choice_extension_id),
        (u'criticality', __System_BearerContextSetupResponse_choice_extension_criticality),
        (u'value', __System_BearerContextSetupResponse_choice_extension_value),
        ])
    _System_BearerContextSetupResponse_choice_extension._ext = None
    System_BearerContextSetupResponse._cont = ASN1Dict([
        (u'e-UTRAN-BearerContextSetupResponse', _System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse),
        (u'nG-RAN-BearerContextSetupResponse', _System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse),
        (u'choice-extension', _System_BearerContextSetupResponse_choice_extension),
        ])
    System_BearerContextSetupResponse._ext = None
    
    #-----< System-BearerContextSetupResponse-ExtIEs >-----#
    System_BearerContextSetupResponse_ExtIEs = CLASS(name=u'System-BearerContextSetupResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_BearerContextSetupResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-BearerContextSetupResponse >-----#
    EUTRAN_BearerContextSetupResponse = CLASS(name=u'EUTRAN-BearerContextSetupResponse', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_BearerContextSetupResponse_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-List-EUTRAN')))
    _EUTRAN_BearerContextSetupResponse_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-List-EUTRAN')))
    EUTRAN_BearerContextSetupResponse._val = ASN1Set(rv=[dict([(u'id', 37), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextSetupResponse_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 38), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextSetupResponse_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-BearerContextSetupResponse >-----#
    NG_RAN_BearerContextSetupResponse = CLASS(name=u'NG-RAN-BearerContextSetupResponse', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_BearerContextSetupResponse_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Setup-List')))
    _NG_RAN_BearerContextSetupResponse_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-List')))
    NG_RAN_BearerContextSetupResponse._val = ASN1Set(rv=[dict([(u'id', 46), (u'criticality', u'ignore'), (u'Value', _NG_RAN_BearerContextSetupResponse_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 47), (u'criticality', u'ignore'), (u'Value', _NG_RAN_BearerContextSetupResponse_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextSetupFailure >-----#
    BearerContextSetupFailure = SEQ(name=u'BearerContextSetupFailure', mode=MODE_TYPE)
    _BearerContextSetupFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextSetupFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextSetupFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextSetupFailure_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____BearerContextSetupFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextSetupFailure_protocolIEs__item__id._const_tab = ____BearerContextSetupFailure_protocolIEs__item__id_tab
    ___BearerContextSetupFailure_protocolIEs__item__id._const_tab_at = None
    ___BearerContextSetupFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextSetupFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextSetupFailure_protocolIEs__item__criticality._const_tab = ____BearerContextSetupFailure_protocolIEs__item__id_tab
    ___BearerContextSetupFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextSetupFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextSetupFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextSetupFailure_protocolIEs__item__value._const_tab = ____BearerContextSetupFailure_protocolIEs__item__id_tab
    ___BearerContextSetupFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextSetupFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextSetupFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextSetupFailure_protocolIEs__item__id),
        (u'criticality', ___BearerContextSetupFailure_protocolIEs__item__criticality),
        (u'value', ___BearerContextSetupFailure_protocolIEs__item__value),
        ])
    __BearerContextSetupFailure_protocolIEs__item_._ext = None
    _BearerContextSetupFailure_protocolIEs._cont = __BearerContextSetupFailure_protocolIEs__item_
    _BearerContextSetupFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextSetupFailure._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextSetupFailure_protocolIEs),
        ])
    BearerContextSetupFailure._ext = []
    
    #-----< BearerContextSetupFailureIEs >-----#
    BearerContextSetupFailureIEs = CLASS(name=u'BearerContextSetupFailureIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextSetupFailureIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextSetupFailureIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextSetupFailureIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _BearerContextSetupFailureIEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    BearerContextSetupFailureIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextSetupFailureIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupFailureIEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupFailureIEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _BearerContextSetupFailureIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextModificationRequest >-----#
    BearerContextModificationRequest = SEQ(name=u'BearerContextModificationRequest', mode=MODE_TYPE)
    _BearerContextModificationRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextModificationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextModificationRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextModificationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'SecurityInformation')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BearerContextStatusChange')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'New-UL-TNL-Information-Required')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_7 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_8 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DataDiscardRequired')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_9 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationRequest')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_10 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'RANUEID')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_11 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-DU-ID')))
    _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_12 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'ActivityNotificationLevel')))
    ____BearerContextModificationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 13), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 66), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 17), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 26), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 59), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 70), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 18), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 77), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_11), (u'presence', u'optional')]), dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_12), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextModificationRequest_protocolIEs__item__id._const_tab = ____BearerContextModificationRequest_protocolIEs__item__id_tab
    ___BearerContextModificationRequest_protocolIEs__item__id._const_tab_at = None
    ___BearerContextModificationRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextModificationRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextModificationRequest_protocolIEs__item__criticality._const_tab = ____BearerContextModificationRequest_protocolIEs__item__id_tab
    ___BearerContextModificationRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextModificationRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextModificationRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextModificationRequest_protocolIEs__item__value._const_tab = ____BearerContextModificationRequest_protocolIEs__item__id_tab
    ___BearerContextModificationRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextModificationRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextModificationRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextModificationRequest_protocolIEs__item__id),
        (u'criticality', ___BearerContextModificationRequest_protocolIEs__item__criticality),
        (u'value', ___BearerContextModificationRequest_protocolIEs__item__value),
        ])
    __BearerContextModificationRequest_protocolIEs__item_._ext = None
    _BearerContextModificationRequest_protocolIEs._cont = __BearerContextModificationRequest_protocolIEs__item_
    _BearerContextModificationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextModificationRequest._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextModificationRequest_protocolIEs),
        ])
    BearerContextModificationRequest._ext = []
    
    #-----< BearerContextModificationRequestIEs >-----#
    BearerContextModificationRequestIEs = CLASS(name=u'BearerContextModificationRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextModificationRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextModificationRequestIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextModificationRequestIEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'SecurityInformation')))
    _BearerContextModificationRequestIEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _BearerContextModificationRequestIEs_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BitRate')))
    _BearerContextModificationRequestIEs_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'BearerContextStatusChange')))
    _BearerContextModificationRequestIEs_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'New-UL-TNL-Information-Required')))
    _BearerContextModificationRequestIEs_val_Value_7 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Inactivity-Timer')))
    _BearerContextModificationRequestIEs_val_Value_8 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DataDiscardRequired')))
    _BearerContextModificationRequestIEs_val_Value_9 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationRequest')))
    _BearerContextModificationRequestIEs_val_Value_10 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'RANUEID')))
    _BearerContextModificationRequestIEs_val_Value_11 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-DU-ID')))
    _BearerContextModificationRequestIEs_val_Value_12 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'ActivityNotificationLevel')))
    BearerContextModificationRequestIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 13), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 66), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 17), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 26), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 59), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 70), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationRequestIEs_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 18), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequestIEs_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationRequestIEs_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 77), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationRequestIEs_val_Value_11), (u'presence', u'optional')]), dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationRequestIEs_val_Value_12), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< System-BearerContextModificationRequest >-----#
    System_BearerContextModificationRequest = CHOICE(name=u'System-BearerContextModificationRequest', mode=MODE_TYPE)
    _System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest = SEQ_OF(name=u'e-UTRAN-BearerContextModificationRequest', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Mod-List-EUTRAN')))
    _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Modify-List-EUTRAN')))
    _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Remove-List-EUTRAN')))
    ____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 51), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 33), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 34), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id._const_tab = ____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id._const_tab_at = None
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__criticality._const_tab = ____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__value._const_tab = ____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id),
        (u'criticality', ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__criticality),
        (u'value', ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__value),
        ])
    __System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item_._ext = None
    _System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest._cont = __System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item_
    _System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest = SEQ_OF(name=u'nG-RAN-BearerContextModificationRequest', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Setup-Mod-List')))
    _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Modify-List')))
    _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Remove-List')))
    ____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 56), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 43), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 44), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id._const_tab = ____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id._const_tab_at = None
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__criticality._const_tab = ____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__value._const_tab = ____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id),
        (u'criticality', ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__criticality),
        (u'value', ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__value),
        ])
    __System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item_._ext = None
    _System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest._cont = __System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item_
    _System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationRequest_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_BearerContextModificationRequest_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_BearerContextModificationRequest_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationRequest_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationRequest_choice_extension_id._const_tab = ___System_BearerContextModificationRequest_choice_extension_id_tab
    __System_BearerContextModificationRequest_choice_extension_id._const_tab_at = None
    __System_BearerContextModificationRequest_choice_extension_id._const_tab_id = u'id'
    __System_BearerContextModificationRequest_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationRequest_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationRequest_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationRequest_choice_extension_criticality._const_tab = ___System_BearerContextModificationRequest_choice_extension_criticality_tab
    __System_BearerContextModificationRequest_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_BearerContextModificationRequest_choice_extension_criticality._const_tab_id = u'criticality'
    __System_BearerContextModificationRequest_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationRequest_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationRequest_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationRequest_choice_extension_value._const_tab = ___System_BearerContextModificationRequest_choice_extension_value_tab
    __System_BearerContextModificationRequest_choice_extension_value._const_tab_at = ('..', u'id')
    __System_BearerContextModificationRequest_choice_extension_value._const_tab_id = u'Value'
    _System_BearerContextModificationRequest_choice_extension._cont = ASN1Dict([
        (u'id', __System_BearerContextModificationRequest_choice_extension_id),
        (u'criticality', __System_BearerContextModificationRequest_choice_extension_criticality),
        (u'value', __System_BearerContextModificationRequest_choice_extension_value),
        ])
    _System_BearerContextModificationRequest_choice_extension._ext = None
    System_BearerContextModificationRequest._cont = ASN1Dict([
        (u'e-UTRAN-BearerContextModificationRequest', _System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest),
        (u'nG-RAN-BearerContextModificationRequest', _System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest),
        (u'choice-extension', _System_BearerContextModificationRequest_choice_extension),
        ])
    System_BearerContextModificationRequest._ext = None
    
    #-----< System-BearerContextModificationRequest-ExtIEs >-----#
    System_BearerContextModificationRequest_ExtIEs = CLASS(name=u'System-BearerContextModificationRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_BearerContextModificationRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-BearerContextModificationRequest >-----#
    EUTRAN_BearerContextModificationRequest = CLASS(name=u'EUTRAN-BearerContextModificationRequest', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_BearerContextModificationRequest_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Setup-Mod-List-EUTRAN')))
    _EUTRAN_BearerContextModificationRequest_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Modify-List-EUTRAN')))
    _EUTRAN_BearerContextModificationRequest_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-To-Remove-List-EUTRAN')))
    EUTRAN_BearerContextModificationRequest._val = ASN1Set(rv=[dict([(u'id', 51), (u'criticality', u'reject'), (u'Value', _EUTRAN_BearerContextModificationRequest_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 33), (u'criticality', u'reject'), (u'Value', _EUTRAN_BearerContextModificationRequest_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 34), (u'criticality', u'reject'), (u'Value', _EUTRAN_BearerContextModificationRequest_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-BearerContextModificationRequest >-----#
    NG_RAN_BearerContextModificationRequest = CLASS(name=u'NG-RAN-BearerContextModificationRequest', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_BearerContextModificationRequest_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Setup-Mod-List')))
    _NG_RAN_BearerContextModificationRequest_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Modify-List')))
    _NG_RAN_BearerContextModificationRequest_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Remove-List')))
    NG_RAN_BearerContextModificationRequest._val = ASN1Set(rv=[dict([(u'id', 56), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationRequest_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 43), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationRequest_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 44), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationRequest_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextModificationResponse >-----#
    BearerContextModificationResponse = SEQ(name=u'BearerContextModificationResponse', mode=MODE_TYPE)
    _BearerContextModificationResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextModificationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextModificationResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextModificationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationResponse')))
    ____BearerContextModificationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 19), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextModificationResponse_protocolIEs__item__id._const_tab = ____BearerContextModificationResponse_protocolIEs__item__id_tab
    ___BearerContextModificationResponse_protocolIEs__item__id._const_tab_at = None
    ___BearerContextModificationResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextModificationResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextModificationResponse_protocolIEs__item__criticality._const_tab = ____BearerContextModificationResponse_protocolIEs__item__id_tab
    ___BearerContextModificationResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextModificationResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextModificationResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextModificationResponse_protocolIEs__item__value._const_tab = ____BearerContextModificationResponse_protocolIEs__item__id_tab
    ___BearerContextModificationResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextModificationResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextModificationResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextModificationResponse_protocolIEs__item__id),
        (u'criticality', ___BearerContextModificationResponse_protocolIEs__item__criticality),
        (u'value', ___BearerContextModificationResponse_protocolIEs__item__value),
        ])
    __BearerContextModificationResponse_protocolIEs__item_._ext = None
    _BearerContextModificationResponse_protocolIEs._cont = __BearerContextModificationResponse_protocolIEs__item_
    _BearerContextModificationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextModificationResponse._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextModificationResponse_protocolIEs),
        ])
    BearerContextModificationResponse._ext = []
    
    #-----< BearerContextModificationResponseIEs >-----#
    BearerContextModificationResponseIEs = CLASS(name=u'BearerContextModificationResponseIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextModificationResponseIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextModificationResponseIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextModificationResponseIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationResponse')))
    BearerContextModificationResponseIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextModificationResponseIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextModificationResponseIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 19), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationResponseIEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< System-BearerContextModificationResponse >-----#
    System_BearerContextModificationResponse = CHOICE(name=u'System-BearerContextModificationResponse', mode=MODE_TYPE)
    _System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse = SEQ_OF(name=u'e-UTRAN-BearerContextModificationResponse', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Mod-List-EUTRAN')))
    _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Mod-List-EUTRAN')))
    _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Modified-List-EUTRAN')))
    _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-To-Modify-List-EUTRAN')))
    ____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 52), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 53), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 39), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 40), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id._const_tab = ____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id._const_tab_at = None
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__criticality._const_tab = ____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__value._const_tab = ____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id),
        (u'criticality', ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__criticality),
        (u'value', ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__value),
        ])
    __System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item_._ext = None
    _System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse._cont = __System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item_
    _System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse = SEQ_OF(name=u'nG-RAN-BearerContextModificationResponse', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Setup-Mod-List')))
    _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-Mod-List')))
    _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Modified-List')))
    _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-To-Modify-List')))
    ____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 54), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 55), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 48), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 49), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id._const_tab = ____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id._const_tab_at = None
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__criticality._const_tab = ____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__value._const_tab = ____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id),
        (u'criticality', ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__criticality),
        (u'value', ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__value),
        ])
    __System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item_._ext = None
    _System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse._cont = __System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item_
    _System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationResponse_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_BearerContextModificationResponse_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_BearerContextModificationResponse_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationResponse_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationResponse_choice_extension_id._const_tab = ___System_BearerContextModificationResponse_choice_extension_id_tab
    __System_BearerContextModificationResponse_choice_extension_id._const_tab_at = None
    __System_BearerContextModificationResponse_choice_extension_id._const_tab_id = u'id'
    __System_BearerContextModificationResponse_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationResponse_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationResponse_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationResponse_choice_extension_criticality._const_tab = ___System_BearerContextModificationResponse_choice_extension_criticality_tab
    __System_BearerContextModificationResponse_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_BearerContextModificationResponse_choice_extension_criticality._const_tab_id = u'criticality'
    __System_BearerContextModificationResponse_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationResponse_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationResponse_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationResponse_choice_extension_value._const_tab = ___System_BearerContextModificationResponse_choice_extension_value_tab
    __System_BearerContextModificationResponse_choice_extension_value._const_tab_at = ('..', u'id')
    __System_BearerContextModificationResponse_choice_extension_value._const_tab_id = u'Value'
    _System_BearerContextModificationResponse_choice_extension._cont = ASN1Dict([
        (u'id', __System_BearerContextModificationResponse_choice_extension_id),
        (u'criticality', __System_BearerContextModificationResponse_choice_extension_criticality),
        (u'value', __System_BearerContextModificationResponse_choice_extension_value),
        ])
    _System_BearerContextModificationResponse_choice_extension._ext = None
    System_BearerContextModificationResponse._cont = ASN1Dict([
        (u'e-UTRAN-BearerContextModificationResponse', _System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse),
        (u'nG-RAN-BearerContextModificationResponse', _System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse),
        (u'choice-extension', _System_BearerContextModificationResponse_choice_extension),
        ])
    System_BearerContextModificationResponse._ext = None
    
    #-----< System-BearerContextModificationResponse-ExtIEs >-----#
    System_BearerContextModificationResponse_ExtIEs = CLASS(name=u'System-BearerContextModificationResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_BearerContextModificationResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-BearerContextModificationResponse >-----#
    EUTRAN_BearerContextModificationResponse = CLASS(name=u'EUTRAN-BearerContextModificationResponse', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_BearerContextModificationResponse_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Setup-Mod-List-EUTRAN')))
    _EUTRAN_BearerContextModificationResponse_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-Mod-List-EUTRAN')))
    _EUTRAN_BearerContextModificationResponse_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Modified-List-EUTRAN')))
    _EUTRAN_BearerContextModificationResponse_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Failed-To-Modify-List-EUTRAN')))
    EUTRAN_BearerContextModificationResponse._val = ASN1Set(rv=[dict([(u'id', 52), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextModificationResponse_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 53), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextModificationResponse_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 39), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextModificationResponse_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 40), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextModificationResponse_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-BearerContextModificationResponse >-----#
    NG_RAN_BearerContextModificationResponse = CLASS(name=u'NG-RAN-BearerContextModificationResponse', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_BearerContextModificationResponse_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Setup-Mod-List')))
    _NG_RAN_BearerContextModificationResponse_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-Mod-List')))
    _NG_RAN_BearerContextModificationResponse_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Modified-List')))
    _NG_RAN_BearerContextModificationResponse_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Failed-To-Modify-List')))
    NG_RAN_BearerContextModificationResponse._val = ASN1Set(rv=[dict([(u'id', 54), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationResponse_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 55), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationResponse_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 48), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationResponse_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 49), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationResponse_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextModificationFailure >-----#
    BearerContextModificationFailure = SEQ(name=u'BearerContextModificationFailure', mode=MODE_TYPE)
    _BearerContextModificationFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextModificationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextModificationFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextModificationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____BearerContextModificationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextModificationFailure_protocolIEs__item__id._const_tab = ____BearerContextModificationFailure_protocolIEs__item__id_tab
    ___BearerContextModificationFailure_protocolIEs__item__id._const_tab_at = None
    ___BearerContextModificationFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextModificationFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextModificationFailure_protocolIEs__item__criticality._const_tab = ____BearerContextModificationFailure_protocolIEs__item__id_tab
    ___BearerContextModificationFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextModificationFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextModificationFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextModificationFailure_protocolIEs__item__value._const_tab = ____BearerContextModificationFailure_protocolIEs__item__id_tab
    ___BearerContextModificationFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextModificationFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextModificationFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextModificationFailure_protocolIEs__item__id),
        (u'criticality', ___BearerContextModificationFailure_protocolIEs__item__criticality),
        (u'value', ___BearerContextModificationFailure_protocolIEs__item__value),
        ])
    __BearerContextModificationFailure_protocolIEs__item_._ext = None
    _BearerContextModificationFailure_protocolIEs._cont = __BearerContextModificationFailure_protocolIEs__item_
    _BearerContextModificationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextModificationFailure._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextModificationFailure_protocolIEs),
        ])
    BearerContextModificationFailure._ext = []
    
    #-----< BearerContextModificationFailureIEs >-----#
    BearerContextModificationFailureIEs = CLASS(name=u'BearerContextModificationFailureIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextModificationFailureIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextModificationFailureIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextModificationFailureIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    _BearerContextModificationFailureIEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    BearerContextModificationFailureIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextModificationFailureIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextModificationFailureIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationFailureIEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationFailureIEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextModificationRequired >-----#
    BearerContextModificationRequired = SEQ(name=u'BearerContextModificationRequired', mode=MODE_TYPE)
    _BearerContextModificationRequired_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextModificationRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextModificationRequired_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextModificationRequired_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationRequired')))
    ____BearerContextModificationRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 21), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___BearerContextModificationRequired_protocolIEs__item__id._const_tab = ____BearerContextModificationRequired_protocolIEs__item__id_tab
    ___BearerContextModificationRequired_protocolIEs__item__id._const_tab_at = None
    ___BearerContextModificationRequired_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextModificationRequired_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextModificationRequired_protocolIEs__item__criticality._const_tab = ____BearerContextModificationRequired_protocolIEs__item__id_tab
    ___BearerContextModificationRequired_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextModificationRequired_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextModificationRequired_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextModificationRequired_protocolIEs__item__value._const_tab = ____BearerContextModificationRequired_protocolIEs__item__id_tab
    ___BearerContextModificationRequired_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextModificationRequired_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextModificationRequired_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextModificationRequired_protocolIEs__item__id),
        (u'criticality', ___BearerContextModificationRequired_protocolIEs__item__criticality),
        (u'value', ___BearerContextModificationRequired_protocolIEs__item__value),
        ])
    __BearerContextModificationRequired_protocolIEs__item_._ext = None
    _BearerContextModificationRequired_protocolIEs._cont = __BearerContextModificationRequired_protocolIEs__item_
    _BearerContextModificationRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextModificationRequired._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextModificationRequired_protocolIEs),
        ])
    BearerContextModificationRequired._ext = []
    
    #-----< BearerContextModificationRequiredIEs >-----#
    BearerContextModificationRequiredIEs = CLASS(name=u'BearerContextModificationRequiredIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextModificationRequiredIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextModificationRequiredIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextModificationRequiredIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationRequired')))
    BearerContextModificationRequiredIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequiredIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequiredIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 21), (u'criticality', u'reject'), (u'Value', _BearerContextModificationRequiredIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< System-BearerContextModificationRequired >-----#
    System_BearerContextModificationRequired = CHOICE(name=u'System-BearerContextModificationRequired', mode=MODE_TYPE)
    _System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired = SEQ_OF(name=u'e-UTRAN-BearerContextModificationRequired', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Modify-List-EUTRAN')))
    _____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Remove-List-EUTRAN')))
    ____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 35), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 36), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id._const_tab = ____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id._const_tab_at = None
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__criticality._const_tab = ____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__value._const_tab = ____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id),
        (u'criticality', ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__criticality),
        (u'value', ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__value),
        ])
    __System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item_._ext = None
    _System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired._cont = __System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item_
    _System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired = SEQ_OF(name=u'nG-RAN-BearerContextModificationRequired', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Required-To-Modify-List')))
    _____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Remove-List')))
    ____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 45), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 44), (u'criticality', u'reject'), (u'Value', _____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id._const_tab = ____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id._const_tab_at = None
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__criticality._const_tab = ____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__value._const_tab = ____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id),
        (u'criticality', ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__criticality),
        (u'value', ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__value),
        ])
    __System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item_._ext = None
    _System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired._cont = __System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item_
    _System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationRequired_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_BearerContextModificationRequired_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_BearerContextModificationRequired_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationRequired_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationRequired_choice_extension_id._const_tab = ___System_BearerContextModificationRequired_choice_extension_id_tab
    __System_BearerContextModificationRequired_choice_extension_id._const_tab_at = None
    __System_BearerContextModificationRequired_choice_extension_id._const_tab_id = u'id'
    __System_BearerContextModificationRequired_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationRequired_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationRequired_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationRequired_choice_extension_criticality._const_tab = ___System_BearerContextModificationRequired_choice_extension_criticality_tab
    __System_BearerContextModificationRequired_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_BearerContextModificationRequired_choice_extension_criticality._const_tab_id = u'criticality'
    __System_BearerContextModificationRequired_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationRequired_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationRequired_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationRequired_choice_extension_value._const_tab = ___System_BearerContextModificationRequired_choice_extension_value_tab
    __System_BearerContextModificationRequired_choice_extension_value._const_tab_at = ('..', u'id')
    __System_BearerContextModificationRequired_choice_extension_value._const_tab_id = u'Value'
    _System_BearerContextModificationRequired_choice_extension._cont = ASN1Dict([
        (u'id', __System_BearerContextModificationRequired_choice_extension_id),
        (u'criticality', __System_BearerContextModificationRequired_choice_extension_criticality),
        (u'value', __System_BearerContextModificationRequired_choice_extension_value),
        ])
    _System_BearerContextModificationRequired_choice_extension._ext = None
    System_BearerContextModificationRequired._cont = ASN1Dict([
        (u'e-UTRAN-BearerContextModificationRequired', _System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired),
        (u'nG-RAN-BearerContextModificationRequired', _System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired),
        (u'choice-extension', _System_BearerContextModificationRequired_choice_extension),
        ])
    System_BearerContextModificationRequired._ext = None
    
    #-----< System-BearerContextModificationRequired-ExtIEs >-----#
    System_BearerContextModificationRequired_ExtIEs = CLASS(name=u'System-BearerContextModificationRequired-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_BearerContextModificationRequired_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-BearerContextModificationRequired >-----#
    EUTRAN_BearerContextModificationRequired = CLASS(name=u'EUTRAN-BearerContextModificationRequired', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_BearerContextModificationRequired_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Modify-List-EUTRAN')))
    _EUTRAN_BearerContextModificationRequired_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Required-To-Remove-List-EUTRAN')))
    EUTRAN_BearerContextModificationRequired._val = ASN1Set(rv=[dict([(u'id', 35), (u'criticality', u'reject'), (u'Value', _EUTRAN_BearerContextModificationRequired_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 36), (u'criticality', u'reject'), (u'Value', _EUTRAN_BearerContextModificationRequired_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-BearerContextModificationRequired >-----#
    NG_RAN_BearerContextModificationRequired = CLASS(name=u'NG-RAN-BearerContextModificationRequired', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_BearerContextModificationRequired_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Required-To-Modify-List')))
    _NG_RAN_BearerContextModificationRequired_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-To-Remove-List')))
    NG_RAN_BearerContextModificationRequired._val = ASN1Set(rv=[dict([(u'id', 45), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationRequired_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 44), (u'criticality', u'reject'), (u'Value', _NG_RAN_BearerContextModificationRequired_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextModificationConfirm >-----#
    BearerContextModificationConfirm = SEQ(name=u'BearerContextModificationConfirm', mode=MODE_TYPE)
    _BearerContextModificationConfirm_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextModificationConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextModificationConfirm_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextModificationConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationConfirm')))
    ____BearerContextModificationConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 20), (u'criticality', u'ignore'), (u'Value', _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextModificationConfirm_protocolIEs__item__id._const_tab = ____BearerContextModificationConfirm_protocolIEs__item__id_tab
    ___BearerContextModificationConfirm_protocolIEs__item__id._const_tab_at = None
    ___BearerContextModificationConfirm_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextModificationConfirm_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextModificationConfirm_protocolIEs__item__criticality._const_tab = ____BearerContextModificationConfirm_protocolIEs__item__id_tab
    ___BearerContextModificationConfirm_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextModificationConfirm_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextModificationConfirm_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextModificationConfirm_protocolIEs__item__value._const_tab = ____BearerContextModificationConfirm_protocolIEs__item__id_tab
    ___BearerContextModificationConfirm_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextModificationConfirm_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextModificationConfirm_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextModificationConfirm_protocolIEs__item__id),
        (u'criticality', ___BearerContextModificationConfirm_protocolIEs__item__criticality),
        (u'value', ___BearerContextModificationConfirm_protocolIEs__item__value),
        ])
    __BearerContextModificationConfirm_protocolIEs__item_._ext = None
    _BearerContextModificationConfirm_protocolIEs._cont = __BearerContextModificationConfirm_protocolIEs__item_
    _BearerContextModificationConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextModificationConfirm._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextModificationConfirm_protocolIEs),
        ])
    BearerContextModificationConfirm._ext = []
    
    #-----< BearerContextModificationConfirmIEs >-----#
    BearerContextModificationConfirmIEs = CLASS(name=u'BearerContextModificationConfirmIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextModificationConfirmIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextModificationConfirmIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextModificationConfirmIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-BearerContextModificationConfirm')))
    BearerContextModificationConfirmIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextModificationConfirmIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextModificationConfirmIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 20), (u'criticality', u'ignore'), (u'Value', _BearerContextModificationConfirmIEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< System-BearerContextModificationConfirm >-----#
    System_BearerContextModificationConfirm = CHOICE(name=u'System-BearerContextModificationConfirm', mode=MODE_TYPE)
    _System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm = SEQ_OF(name=u'e-UTRAN-BearerContextModificationConfirm', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Confirm-Modified-List-EUTRAN')))
    ____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 41), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab_val_Value_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id._const_tab = ____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id._const_tab_at = None
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__criticality._const_tab = ____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__value._const_tab = ____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id),
        (u'criticality', ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__criticality),
        (u'value', ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__value),
        ])
    __System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item_._ext = None
    _System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm._cont = __System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item_
    _System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm = SEQ_OF(name=u'nG-RAN-BearerContextModificationConfirm', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Confirm-Modified-List')))
    ____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 50), (u'criticality', u'ignore'), (u'Value', _____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab_val_Value_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id._const_tab = ____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id._const_tab_at = None
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id._const_tab_id = u'id'
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__criticality._const_tab = ____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__criticality._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__criticality._const_tab_id = u'criticality'
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__value._const_tab = ____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__value._const_tab_at = ('..', u'id')
    ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__value._const_tab_id = u'Value'
    __System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item_._cont = ASN1Dict([
        (u'id', ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id),
        (u'criticality', ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__criticality),
        (u'value', ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__value),
        ])
    __System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item_._ext = None
    _System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm._cont = __System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item_
    _System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_BearerContextModificationConfirm_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_BearerContextModificationConfirm_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_BearerContextModificationConfirm_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationConfirm_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationConfirm_choice_extension_id._const_tab = ___System_BearerContextModificationConfirm_choice_extension_id_tab
    __System_BearerContextModificationConfirm_choice_extension_id._const_tab_at = None
    __System_BearerContextModificationConfirm_choice_extension_id._const_tab_id = u'id'
    __System_BearerContextModificationConfirm_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_BearerContextModificationConfirm_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationConfirm_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationConfirm_choice_extension_criticality._const_tab = ___System_BearerContextModificationConfirm_choice_extension_criticality_tab
    __System_BearerContextModificationConfirm_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_BearerContextModificationConfirm_choice_extension_criticality._const_tab_id = u'criticality'
    __System_BearerContextModificationConfirm_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_BearerContextModificationConfirm_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_BearerContextModificationConfirm_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_BearerContextModificationConfirm_choice_extension_value._const_tab = ___System_BearerContextModificationConfirm_choice_extension_value_tab
    __System_BearerContextModificationConfirm_choice_extension_value._const_tab_at = ('..', u'id')
    __System_BearerContextModificationConfirm_choice_extension_value._const_tab_id = u'Value'
    _System_BearerContextModificationConfirm_choice_extension._cont = ASN1Dict([
        (u'id', __System_BearerContextModificationConfirm_choice_extension_id),
        (u'criticality', __System_BearerContextModificationConfirm_choice_extension_criticality),
        (u'value', __System_BearerContextModificationConfirm_choice_extension_value),
        ])
    _System_BearerContextModificationConfirm_choice_extension._ext = None
    System_BearerContextModificationConfirm._cont = ASN1Dict([
        (u'e-UTRAN-BearerContextModificationConfirm', _System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm),
        (u'nG-RAN-BearerContextModificationConfirm', _System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm),
        (u'choice-extension', _System_BearerContextModificationConfirm_choice_extension),
        ])
    System_BearerContextModificationConfirm._ext = None
    
    #-----< System-BearerContextModificationConfirm-ExtIEs >-----#
    System_BearerContextModificationConfirm_ExtIEs = CLASS(name=u'System-BearerContextModificationConfirm-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_BearerContextModificationConfirm_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-BearerContextModificationConfirm >-----#
    EUTRAN_BearerContextModificationConfirm = CLASS(name=u'EUTRAN-BearerContextModificationConfirm', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_BearerContextModificationConfirm_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Confirm-Modified-List-EUTRAN')))
    EUTRAN_BearerContextModificationConfirm._val = ASN1Set(rv=[dict([(u'id', 41), (u'criticality', u'ignore'), (u'Value', _EUTRAN_BearerContextModificationConfirm_val_Value_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-BearerContextModificationConfirm >-----#
    NG_RAN_BearerContextModificationConfirm = CLASS(name=u'NG-RAN-BearerContextModificationConfirm', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_BearerContextModificationConfirm_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Confirm-Modified-List')))
    NG_RAN_BearerContextModificationConfirm._val = ASN1Set(rv=[dict([(u'id', 50), (u'criticality', u'ignore'), (u'Value', _NG_RAN_BearerContextModificationConfirm_val_Value_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextReleaseCommand >-----#
    BearerContextReleaseCommand = SEQ(name=u'BearerContextReleaseCommand', mode=MODE_TYPE)
    _BearerContextReleaseCommand_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextReleaseCommand_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextReleaseCommand_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextReleaseCommand_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    ____BearerContextReleaseCommand_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___BearerContextReleaseCommand_protocolIEs__item__id._const_tab = ____BearerContextReleaseCommand_protocolIEs__item__id_tab
    ___BearerContextReleaseCommand_protocolIEs__item__id._const_tab_at = None
    ___BearerContextReleaseCommand_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextReleaseCommand_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextReleaseCommand_protocolIEs__item__criticality._const_tab = ____BearerContextReleaseCommand_protocolIEs__item__id_tab
    ___BearerContextReleaseCommand_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextReleaseCommand_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextReleaseCommand_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextReleaseCommand_protocolIEs__item__value._const_tab = ____BearerContextReleaseCommand_protocolIEs__item__id_tab
    ___BearerContextReleaseCommand_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextReleaseCommand_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextReleaseCommand_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextReleaseCommand_protocolIEs__item__id),
        (u'criticality', ___BearerContextReleaseCommand_protocolIEs__item__criticality),
        (u'value', ___BearerContextReleaseCommand_protocolIEs__item__value),
        ])
    __BearerContextReleaseCommand_protocolIEs__item_._ext = None
    _BearerContextReleaseCommand_protocolIEs._cont = __BearerContextReleaseCommand_protocolIEs__item_
    _BearerContextReleaseCommand_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextReleaseCommand._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextReleaseCommand_protocolIEs),
        ])
    BearerContextReleaseCommand._ext = []
    
    #-----< BearerContextReleaseCommandIEs >-----#
    BearerContextReleaseCommandIEs = CLASS(name=u'BearerContextReleaseCommandIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextReleaseCommandIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextReleaseCommandIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextReleaseCommandIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    BearerContextReleaseCommandIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextReleaseCommandIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextReleaseCommandIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _BearerContextReleaseCommandIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextReleaseComplete >-----#
    BearerContextReleaseComplete = SEQ(name=u'BearerContextReleaseComplete', mode=MODE_TYPE)
    _BearerContextReleaseComplete_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextReleaseComplete_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextReleaseComplete_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextReleaseComplete_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    ____BearerContextReleaseComplete_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___BearerContextReleaseComplete_protocolIEs__item__id._const_tab = ____BearerContextReleaseComplete_protocolIEs__item__id_tab
    ___BearerContextReleaseComplete_protocolIEs__item__id._const_tab_at = None
    ___BearerContextReleaseComplete_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextReleaseComplete_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextReleaseComplete_protocolIEs__item__criticality._const_tab = ____BearerContextReleaseComplete_protocolIEs__item__id_tab
    ___BearerContextReleaseComplete_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextReleaseComplete_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextReleaseComplete_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextReleaseComplete_protocolIEs__item__value._const_tab = ____BearerContextReleaseComplete_protocolIEs__item__id_tab
    ___BearerContextReleaseComplete_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextReleaseComplete_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextReleaseComplete_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextReleaseComplete_protocolIEs__item__id),
        (u'criticality', ___BearerContextReleaseComplete_protocolIEs__item__criticality),
        (u'value', ___BearerContextReleaseComplete_protocolIEs__item__value),
        ])
    __BearerContextReleaseComplete_protocolIEs__item_._ext = None
    _BearerContextReleaseComplete_protocolIEs._cont = __BearerContextReleaseComplete_protocolIEs__item_
    _BearerContextReleaseComplete_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextReleaseComplete._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextReleaseComplete_protocolIEs),
        ])
    BearerContextReleaseComplete._ext = []
    
    #-----< BearerContextReleaseCompleteIEs >-----#
    BearerContextReleaseCompleteIEs = CLASS(name=u'BearerContextReleaseCompleteIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextReleaseCompleteIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextReleaseCompleteIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextReleaseCompleteIEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'CriticalityDiagnostics')))
    BearerContextReleaseCompleteIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextReleaseCompleteIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextReleaseCompleteIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _BearerContextReleaseCompleteIEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< BearerContextReleaseRequest >-----#
    BearerContextReleaseRequest = SEQ(name=u'BearerContextReleaseRequest', mode=MODE_TYPE)
    _BearerContextReleaseRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextReleaseRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextReleaseRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextReleaseRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DRB-Status-List')))
    _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    ____BearerContextReleaseRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___BearerContextReleaseRequest_protocolIEs__item__id._const_tab = ____BearerContextReleaseRequest_protocolIEs__item__id_tab
    ___BearerContextReleaseRequest_protocolIEs__item__id._const_tab_at = None
    ___BearerContextReleaseRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextReleaseRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextReleaseRequest_protocolIEs__item__criticality._const_tab = ____BearerContextReleaseRequest_protocolIEs__item__id_tab
    ___BearerContextReleaseRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextReleaseRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextReleaseRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextReleaseRequest_protocolIEs__item__value._const_tab = ____BearerContextReleaseRequest_protocolIEs__item__id_tab
    ___BearerContextReleaseRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextReleaseRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextReleaseRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextReleaseRequest_protocolIEs__item__id),
        (u'criticality', ___BearerContextReleaseRequest_protocolIEs__item__criticality),
        (u'value', ___BearerContextReleaseRequest_protocolIEs__item__value),
        ])
    __BearerContextReleaseRequest_protocolIEs__item_._ext = None
    _BearerContextReleaseRequest_protocolIEs._cont = __BearerContextReleaseRequest_protocolIEs__item_
    _BearerContextReleaseRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextReleaseRequest._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextReleaseRequest_protocolIEs),
        ])
    BearerContextReleaseRequest._ext = []
    
    #-----< BearerContextReleaseRequestIEs >-----#
    BearerContextReleaseRequestIEs = CLASS(name=u'BearerContextReleaseRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextReleaseRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextReleaseRequestIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextReleaseRequestIEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'DRB-Status-List')))
    _BearerContextReleaseRequestIEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Cause')))
    BearerContextReleaseRequestIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextReleaseRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextReleaseRequestIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _BearerContextReleaseRequestIEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _BearerContextReleaseRequestIEs_val_Value_3), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< DRB-Status-List >-----#
    DRB_Status_List = SEQ_OF(name=u'DRB-Status-List', mode=MODE_TYPE)
    _DRB_Status_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRB-Status-Item')))
    DRB_Status_List._cont = _DRB_Status_List__item_
    DRB_Status_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< BearerContextInactivityNotification >-----#
    BearerContextInactivityNotification = SEQ(name=u'BearerContextInactivityNotification', mode=MODE_TYPE)
    _BearerContextInactivityNotification_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __BearerContextInactivityNotification_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___BearerContextInactivityNotification_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____BearerContextInactivityNotification_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'ActivityInformation')))
    ____BearerContextInactivityNotification_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 24), (u'criticality', u'reject'), (u'Value', _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___BearerContextInactivityNotification_protocolIEs__item__id._const_tab = ____BearerContextInactivityNotification_protocolIEs__item__id_tab
    ___BearerContextInactivityNotification_protocolIEs__item__id._const_tab_at = None
    ___BearerContextInactivityNotification_protocolIEs__item__id._const_tab_id = u'id'
    ___BearerContextInactivityNotification_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___BearerContextInactivityNotification_protocolIEs__item__criticality._const_tab = ____BearerContextInactivityNotification_protocolIEs__item__id_tab
    ___BearerContextInactivityNotification_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___BearerContextInactivityNotification_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___BearerContextInactivityNotification_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___BearerContextInactivityNotification_protocolIEs__item__value._const_tab = ____BearerContextInactivityNotification_protocolIEs__item__id_tab
    ___BearerContextInactivityNotification_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___BearerContextInactivityNotification_protocolIEs__item__value._const_tab_id = u'Value'
    __BearerContextInactivityNotification_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___BearerContextInactivityNotification_protocolIEs__item__id),
        (u'criticality', ___BearerContextInactivityNotification_protocolIEs__item__criticality),
        (u'value', ___BearerContextInactivityNotification_protocolIEs__item__value),
        ])
    __BearerContextInactivityNotification_protocolIEs__item_._ext = None
    _BearerContextInactivityNotification_protocolIEs._cont = __BearerContextInactivityNotification_protocolIEs__item_
    _BearerContextInactivityNotification_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    BearerContextInactivityNotification._cont = ASN1Dict([
        (u'protocolIEs', _BearerContextInactivityNotification_protocolIEs),
        ])
    BearerContextInactivityNotification._ext = []
    
    #-----< BearerContextInactivityNotificationIEs >-----#
    BearerContextInactivityNotificationIEs = CLASS(name=u'BearerContextInactivityNotificationIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _BearerContextInactivityNotificationIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _BearerContextInactivityNotificationIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _BearerContextInactivityNotificationIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'ActivityInformation')))
    BearerContextInactivityNotificationIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _BearerContextInactivityNotificationIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _BearerContextInactivityNotificationIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 24), (u'criticality', u'reject'), (u'Value', _BearerContextInactivityNotificationIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< DLDataNotification >-----#
    DLDataNotification = SEQ(name=u'DLDataNotification', mode=MODE_TYPE)
    _DLDataNotification_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __DLDataNotification_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___DLDataNotification_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____DLDataNotification_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____DLDataNotification_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____DLDataNotification_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____DLDataNotification_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PPI')))
    ____DLDataNotification_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____DLDataNotification_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____DLDataNotification_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 63), (u'criticality', u'ignore'), (u'Value', _____DLDataNotification_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___DLDataNotification_protocolIEs__item__id._const_tab = ____DLDataNotification_protocolIEs__item__id_tab
    ___DLDataNotification_protocolIEs__item__id._const_tab_at = None
    ___DLDataNotification_protocolIEs__item__id._const_tab_id = u'id'
    ___DLDataNotification_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___DLDataNotification_protocolIEs__item__criticality._const_tab = ____DLDataNotification_protocolIEs__item__id_tab
    ___DLDataNotification_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___DLDataNotification_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___DLDataNotification_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___DLDataNotification_protocolIEs__item__value._const_tab = ____DLDataNotification_protocolIEs__item__id_tab
    ___DLDataNotification_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___DLDataNotification_protocolIEs__item__value._const_tab_id = u'Value'
    __DLDataNotification_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___DLDataNotification_protocolIEs__item__id),
        (u'criticality', ___DLDataNotification_protocolIEs__item__criticality),
        (u'value', ___DLDataNotification_protocolIEs__item__value),
        ])
    __DLDataNotification_protocolIEs__item_._ext = None
    _DLDataNotification_protocolIEs._cont = __DLDataNotification_protocolIEs__item_
    _DLDataNotification_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    DLDataNotification._cont = ASN1Dict([
        (u'protocolIEs', _DLDataNotification_protocolIEs),
        ])
    DLDataNotification._ext = []
    
    #-----< DLDataNotificationIEs >-----#
    DLDataNotificationIEs = CLASS(name=u'DLDataNotificationIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _DLDataNotificationIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _DLDataNotificationIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _DLDataNotificationIEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PPI')))
    DLDataNotificationIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _DLDataNotificationIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _DLDataNotificationIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 63), (u'criticality', u'ignore'), (u'Value', _DLDataNotificationIEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ULDataNotification >-----#
    ULDataNotification = SEQ(name=u'ULDataNotification', mode=MODE_TYPE)
    _ULDataNotification_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __ULDataNotification_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___ULDataNotification_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____ULDataNotification_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____ULDataNotification_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____ULDataNotification_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____ULDataNotification_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-To-Notify-List')))
    ____ULDataNotification_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____ULDataNotification_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____ULDataNotification_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 67), (u'criticality', u'reject'), (u'Value', _____ULDataNotification_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___ULDataNotification_protocolIEs__item__id._const_tab = ____ULDataNotification_protocolIEs__item__id_tab
    ___ULDataNotification_protocolIEs__item__id._const_tab_at = None
    ___ULDataNotification_protocolIEs__item__id._const_tab_id = u'id'
    ___ULDataNotification_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___ULDataNotification_protocolIEs__item__criticality._const_tab = ____ULDataNotification_protocolIEs__item__id_tab
    ___ULDataNotification_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ULDataNotification_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ULDataNotification_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___ULDataNotification_protocolIEs__item__value._const_tab = ____ULDataNotification_protocolIEs__item__id_tab
    ___ULDataNotification_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ULDataNotification_protocolIEs__item__value._const_tab_id = u'Value'
    __ULDataNotification_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ULDataNotification_protocolIEs__item__id),
        (u'criticality', ___ULDataNotification_protocolIEs__item__criticality),
        (u'value', ___ULDataNotification_protocolIEs__item__value),
        ])
    __ULDataNotification_protocolIEs__item_._ext = None
    _ULDataNotification_protocolIEs._cont = __ULDataNotification_protocolIEs__item_
    _ULDataNotification_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ULDataNotification._cont = ASN1Dict([
        (u'protocolIEs', _ULDataNotification_protocolIEs),
        ])
    ULDataNotification._ext = []
    
    #-----< ULDataNotificationIEs >-----#
    ULDataNotificationIEs = CLASS(name=u'ULDataNotificationIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _ULDataNotificationIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _ULDataNotificationIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _ULDataNotificationIEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-To-Notify-List')))
    ULDataNotificationIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _ULDataNotificationIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _ULDataNotificationIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 67), (u'criticality', u'reject'), (u'Value', _ULDataNotificationIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< DataUsageReport >-----#
    DataUsageReport = SEQ(name=u'DataUsageReport', mode=MODE_TYPE)
    _DataUsageReport_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __DataUsageReport_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___DataUsageReport_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____DataUsageReport_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____DataUsageReport_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____DataUsageReport_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____DataUsageReport_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Data-Usage-Report-List')))
    ____DataUsageReport_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____DataUsageReport_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____DataUsageReport_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 25), (u'criticality', u'ignore'), (u'Value', _____DataUsageReport_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___DataUsageReport_protocolIEs__item__id._const_tab = ____DataUsageReport_protocolIEs__item__id_tab
    ___DataUsageReport_protocolIEs__item__id._const_tab_at = None
    ___DataUsageReport_protocolIEs__item__id._const_tab_id = u'id'
    ___DataUsageReport_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___DataUsageReport_protocolIEs__item__criticality._const_tab = ____DataUsageReport_protocolIEs__item__id_tab
    ___DataUsageReport_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___DataUsageReport_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___DataUsageReport_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___DataUsageReport_protocolIEs__item__value._const_tab = ____DataUsageReport_protocolIEs__item__id_tab
    ___DataUsageReport_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___DataUsageReport_protocolIEs__item__value._const_tab_id = u'Value'
    __DataUsageReport_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___DataUsageReport_protocolIEs__item__id),
        (u'criticality', ___DataUsageReport_protocolIEs__item__criticality),
        (u'value', ___DataUsageReport_protocolIEs__item__value),
        ])
    __DataUsageReport_protocolIEs__item_._ext = None
    _DataUsageReport_protocolIEs._cont = __DataUsageReport_protocolIEs__item_
    _DataUsageReport_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    DataUsageReport._cont = ASN1Dict([
        (u'protocolIEs', _DataUsageReport_protocolIEs),
        ])
    DataUsageReport._ext = []
    
    #-----< DataUsageReportIEs >-----#
    DataUsageReportIEs = CLASS(name=u'DataUsageReportIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _DataUsageReportIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _DataUsageReportIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _DataUsageReportIEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'Data-Usage-Report-List')))
    DataUsageReportIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _DataUsageReportIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _DataUsageReportIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 25), (u'criticality', u'ignore'), (u'Value', _DataUsageReportIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-CounterCheckRequest >-----#
    GNB_CU_UP_CounterCheckRequest = SEQ(name=u'GNB-CU-UP-CounterCheckRequest', mode=MODE_TYPE)
    _GNB_CU_UP_CounterCheckRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_CounterCheckRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-GNB-CU-UP-CounterCheckRequest')))
    ____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 60), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id._const_tab = ____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__value._const_tab = ____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_CounterCheckRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__value),
        ])
    __GNB_CU_UP_CounterCheckRequest_protocolIEs__item_._ext = None
    _GNB_CU_UP_CounterCheckRequest_protocolIEs._cont = __GNB_CU_UP_CounterCheckRequest_protocolIEs__item_
    _GNB_CU_UP_CounterCheckRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_CounterCheckRequest._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_CounterCheckRequest_protocolIEs),
        ])
    GNB_CU_UP_CounterCheckRequest._ext = []
    
    #-----< GNB-CU-UP-CounterCheckRequestIEs >-----#
    GNB_CU_UP_CounterCheckRequestIEs = CLASS(name=u'GNB-CU-UP-CounterCheckRequestIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_CounterCheckRequestIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _GNB_CU_UP_CounterCheckRequestIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _GNB_CU_UP_CounterCheckRequestIEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-PDU-Contents', 'System-GNB-CU-UP-CounterCheckRequest')))
    GNB_CU_UP_CounterCheckRequestIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_CounterCheckRequestIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_CounterCheckRequestIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 60), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_CounterCheckRequestIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< System-GNB-CU-UP-CounterCheckRequest >-----#
    System_GNB_CU_UP_CounterCheckRequest = CHOICE(name=u'System-GNB-CU-UP-CounterCheckRequest', mode=MODE_TYPE)
    _System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest = SEQ_OF(name=u'e-UTRAN-GNB-CU-UP-CounterCheckRequest', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRBs-Subject-To-Counter-Check-List-EUTRAN')))
    ____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 61), (u'criticality', u'ignore'), (u'Value', _____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id._const_tab = ____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id._const_tab_at = None
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id._const_tab_id = u'id'
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__criticality._const_tab = ____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__criticality._const_tab_at = ('..', u'id')
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__criticality._const_tab_id = u'criticality'
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__value._const_tab = ____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__value._const_tab_at = ('..', u'id')
    ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__value._const_tab_id = u'Value'
    __System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item_._cont = ASN1Dict([
        (u'id', ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id),
        (u'criticality', ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__criticality),
        (u'value', ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__value),
        ])
    __System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item_._ext = None
    _System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest._cont = __System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item_
    _System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest = SEQ_OF(name=u'nG-RAN-GNB-CU-UP-CounterCheckRequest', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRBs-Subject-To-Counter-Check-List-NG-RAN')))
    ____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 62), (u'criticality', u'ignore'), (u'Value', _____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id._const_tab = ____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id._const_tab_at = None
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id._const_tab_id = u'id'
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__criticality._const_tab = ____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__criticality._const_tab_at = ('..', u'id')
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__criticality._const_tab_id = u'criticality'
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__value._const_tab = ____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__value._const_tab_at = ('..', u'id')
    ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__value._const_tab_id = u'Value'
    __System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item_._cont = ASN1Dict([
        (u'id', ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id),
        (u'criticality', ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__criticality),
        (u'value', ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__value),
        ])
    __System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item_._ext = None
    _System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest._cont = __System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item_
    _System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _System_GNB_CU_UP_CounterCheckRequest_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-SingleContainer')))
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_id._const_tab = ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_id_tab
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_id._const_tab_at = None
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_id._const_tab_id = u'id'
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality._const_tab = ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality_tab
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality._const_tab_at = ('..', u'id')
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality._const_tab_id = u'criticality'
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_value_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_value._const_tab = ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_value_tab
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_value._const_tab_at = ('..', u'id')
    __System_GNB_CU_UP_CounterCheckRequest_choice_extension_value._const_tab_id = u'Value'
    _System_GNB_CU_UP_CounterCheckRequest_choice_extension._cont = ASN1Dict([
        (u'id', __System_GNB_CU_UP_CounterCheckRequest_choice_extension_id),
        (u'criticality', __System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality),
        (u'value', __System_GNB_CU_UP_CounterCheckRequest_choice_extension_value),
        ])
    _System_GNB_CU_UP_CounterCheckRequest_choice_extension._ext = None
    System_GNB_CU_UP_CounterCheckRequest._cont = ASN1Dict([
        (u'e-UTRAN-GNB-CU-UP-CounterCheckRequest', _System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest),
        (u'nG-RAN-GNB-CU-UP-CounterCheckRequest', _System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest),
        (u'choice-extension', _System_GNB_CU_UP_CounterCheckRequest_choice_extension),
        ])
    System_GNB_CU_UP_CounterCheckRequest._ext = None
    
    #-----< System-GNB-CU-UP-CounterCheckRequest-ExtIEs >-----#
    System_GNB_CU_UP_CounterCheckRequest_ExtIEs = CLASS(name=u'System-GNB-CU-UP-CounterCheckRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    System_GNB_CU_UP_CounterCheckRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRAN-GNB-CU-UP-CounterCheckRequest >-----#
    EUTRAN_GNB_CU_UP_CounterCheckRequest = CLASS(name=u'EUTRAN-GNB-CU-UP-CounterCheckRequest', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _EUTRAN_GNB_CU_UP_CounterCheckRequest_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRBs-Subject-To-Counter-Check-List-EUTRAN')))
    EUTRAN_GNB_CU_UP_CounterCheckRequest._val = ASN1Set(rv=[dict([(u'id', 61), (u'criticality', u'ignore'), (u'Value', _EUTRAN_GNB_CU_UP_CounterCheckRequest_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-GNB-CU-UP-CounterCheckRequest >-----#
    NG_RAN_GNB_CU_UP_CounterCheckRequest = CLASS(name=u'NG-RAN-GNB-CU-UP-CounterCheckRequest', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _NG_RAN_GNB_CU_UP_CounterCheckRequest_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'DRBs-Subject-To-Counter-Check-List-NG-RAN')))
    NG_RAN_GNB_CU_UP_CounterCheckRequest._val = ASN1Set(rv=[dict([(u'id', 62), (u'criticality', u'ignore'), (u'Value', _NG_RAN_GNB_CU_UP_CounterCheckRequest_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< GNB-CU-UP-StatusIndication >-----#
    GNB_CU_UP_StatusIndication = SEQ(name=u'GNB-CU-UP-StatusIndication', mode=MODE_TYPE)
    _GNB_CU_UP_StatusIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __GNB_CU_UP_StatusIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-OverloadInformation')))
    ____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 65), (u'criticality', u'reject'), (u'Value', _____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__id._const_tab = ____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__id._const_tab_at = None
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__criticality._const_tab = ____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__value._const_tab = ____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___GNB_CU_UP_StatusIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __GNB_CU_UP_StatusIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___GNB_CU_UP_StatusIndication_protocolIEs__item__id),
        (u'criticality', ___GNB_CU_UP_StatusIndication_protocolIEs__item__criticality),
        (u'value', ___GNB_CU_UP_StatusIndication_protocolIEs__item__value),
        ])
    __GNB_CU_UP_StatusIndication_protocolIEs__item_._ext = None
    _GNB_CU_UP_StatusIndication_protocolIEs._cont = __GNB_CU_UP_StatusIndication_protocolIEs__item_
    _GNB_CU_UP_StatusIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    GNB_CU_UP_StatusIndication._cont = ASN1Dict([
        (u'protocolIEs', _GNB_CU_UP_StatusIndication_protocolIEs),
        ])
    GNB_CU_UP_StatusIndication._ext = []
    
    #-----< GNB-CU-UP-StatusIndicationIEs >-----#
    GNB_CU_UP_StatusIndicationIEs = CLASS(name=u'GNB-CU-UP-StatusIndicationIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _GNB_CU_UP_StatusIndicationIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'TransactionID')))
    _GNB_CU_UP_StatusIndicationIEs_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-OverloadInformation')))
    GNB_CU_UP_StatusIndicationIEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_StatusIndicationIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 65), (u'criticality', u'reject'), (u'Value', _GNB_CU_UP_StatusIndicationIEs_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< MRDC-DataUsageReport >-----#
    MRDC_DataUsageReport = SEQ(name=u'MRDC-DataUsageReport', mode=MODE_TYPE)
    _MRDC_DataUsageReport_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Container')))
    __MRDC_DataUsageReport_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'ProtocolIE-Field')))
    ___MRDC_DataUsageReport_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'id']))
    ____MRDC_DataUsageReport_protocolIEs__item__id_tab = CLASS(name='_tab_E1AP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Data-Usage-List')))
    ____MRDC_DataUsageReport_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 68), (u'criticality', u'ignore'), (u'Value', _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___MRDC_DataUsageReport_protocolIEs__item__id._const_tab = ____MRDC_DataUsageReport_protocolIEs__item__id_tab
    ___MRDC_DataUsageReport_protocolIEs__item__id._const_tab_at = None
    ___MRDC_DataUsageReport_protocolIEs__item__id._const_tab_id = u'id'
    ___MRDC_DataUsageReport_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'criticality']))
    ___MRDC_DataUsageReport_protocolIEs__item__criticality._const_tab = ____MRDC_DataUsageReport_protocolIEs__item__id_tab
    ___MRDC_DataUsageReport_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___MRDC_DataUsageReport_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___MRDC_DataUsageReport_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PROTOCOL-IES'), [u'Value']))
    ___MRDC_DataUsageReport_protocolIEs__item__value._const_tab = ____MRDC_DataUsageReport_protocolIEs__item__id_tab
    ___MRDC_DataUsageReport_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___MRDC_DataUsageReport_protocolIEs__item__value._const_tab_id = u'Value'
    __MRDC_DataUsageReport_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___MRDC_DataUsageReport_protocolIEs__item__id),
        (u'criticality', ___MRDC_DataUsageReport_protocolIEs__item__criticality),
        (u'value', ___MRDC_DataUsageReport_protocolIEs__item__value),
        ])
    __MRDC_DataUsageReport_protocolIEs__item_._ext = None
    _MRDC_DataUsageReport_protocolIEs._cont = __MRDC_DataUsageReport_protocolIEs__item_
    _MRDC_DataUsageReport_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    MRDC_DataUsageReport._cont = ASN1Dict([
        (u'protocolIEs', _MRDC_DataUsageReport_protocolIEs),
        ])
    MRDC_DataUsageReport._ext = []
    
    #-----< MRDC-DataUsageReportIEs >-----#
    MRDC_DataUsageReportIEs = CLASS(name=u'MRDC-DataUsageReportIEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PROTOCOL-IES')))
    _MRDC_DataUsageReportIEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-CP-UE-E1AP-ID')))
    _MRDC_DataUsageReportIEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'GNB-CU-UP-UE-E1AP-ID')))
    _MRDC_DataUsageReportIEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-IEs', 'PDU-Session-Resource-Data-Usage-List')))
    MRDC_DataUsageReportIEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _MRDC_DataUsageReportIEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _MRDC_DataUsageReportIEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 68), (u'criticality', u'ignore'), (u'Value', _MRDC_DataUsageReportIEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< PrivateMessage >-----#
    PrivateMessage = SEQ(name=u'PrivateMessage', mode=MODE_TYPE)
    _PrivateMessage_privateIEs = SEQ_OF(name=u'privateIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('E1AP-Containers', 'PrivateIE-Container')))
    __PrivateMessage_privateIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('E1AP-Containers', 'PrivateIE-Field')))
    ___PrivateMessage_privateIEs__item__id = CHOICE(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PRIVATE-IES'), [u'id']))
    ____PrivateMessage_privateIEs__item__id_tab = CLASS(name='_tab_E1AP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__id._const_tab = ____PrivateMessage_privateIEs__item__id_tab
    ___PrivateMessage_privateIEs__item__id._const_tab_at = None
    ___PrivateMessage_privateIEs__item__id._const_tab_id = u'id'
    ___PrivateMessage_privateIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PRIVATE-IES'), [u'criticality']))
    ____PrivateMessage_privateIEs__item__criticality_tab = CLASS(name='_tab_E1AP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__criticality._const_tab = ____PrivateMessage_privateIEs__item__criticality_tab
    ___PrivateMessage_privateIEs__item__criticality._const_tab_at = ('..', u'id')
    ___PrivateMessage_privateIEs__item__criticality._const_tab_id = u'criticality'
    ___PrivateMessage_privateIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('E1AP-Containers', 'E1AP-PRIVATE-IES'), [u'Value']))
    ____PrivateMessage_privateIEs__item__value_tab = CLASS(name='_tab_E1AP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__value._const_tab = ____PrivateMessage_privateIEs__item__value_tab
    ___PrivateMessage_privateIEs__item__value._const_tab_at = ('..', u'id')
    ___PrivateMessage_privateIEs__item__value._const_tab_id = u'Value'
    __PrivateMessage_privateIEs__item_._cont = ASN1Dict([
        (u'id', ___PrivateMessage_privateIEs__item__id),
        (u'criticality', ___PrivateMessage_privateIEs__item__criticality),
        (u'value', ___PrivateMessage_privateIEs__item__value),
        ])
    __PrivateMessage_privateIEs__item_._ext = None
    _PrivateMessage_privateIEs._cont = __PrivateMessage_privateIEs__item_
    _PrivateMessage_privateIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PrivateMessage._cont = ASN1Dict([
        (u'privateIEs', _PrivateMessage_privateIEs),
        ])
    PrivateMessage._ext = []
    
    #-----< PrivateMessage-IEs >-----#
    PrivateMessage_IEs = CLASS(name=u'PrivateMessage-IEs', mode=MODE_SET, typeref=ASN1RefType(('E1AP-Containers', 'E1AP-PRIVATE-IES')))
    PrivateMessage_IEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    _all_ = [
        ____Reset_protocolIEs__item__id_tab,
        _____Reset_protocolIEs__item__id_tab_val_Value_0,
        _____Reset_protocolIEs__item__id_tab_val_Value_1,
        _____Reset_protocolIEs__item__id_tab_val_Value_2,
        ___Reset_protocolIEs__item__id,
        ___Reset_protocolIEs__item__criticality,
        ___Reset_protocolIEs__item__value,
        __Reset_protocolIEs__item_,
        _Reset_protocolIEs,
        Reset,
        ResetIEs,
        _ResetIEs_val_Value_0,
        _ResetIEs_val_Value_1,
        _ResetIEs_val_Value_2,
        _ResetType_e1_Interface,
        _ResetType_partOfE1_Interface,
        ___ResetType_choice_extension_id_tab,
        __ResetType_choice_extension_id,
        ___ResetType_choice_extension_criticality_tab,
        __ResetType_choice_extension_criticality,
        ___ResetType_choice_extension_value_tab,
        __ResetType_choice_extension_value,
        _ResetType_choice_extension,
        ResetType,
        ResetType_ExtIEs,
        ResetAll,
        ___UE_associatedLogicalE1_ConnectionListRes__item__id_tab,
        ____UE_associatedLogicalE1_ConnectionListRes__item__id_tab_val_Value_0,
        __UE_associatedLogicalE1_ConnectionListRes__item__id,
        __UE_associatedLogicalE1_ConnectionListRes__item__criticality,
        __UE_associatedLogicalE1_ConnectionListRes__item__value,
        _UE_associatedLogicalE1_ConnectionListRes__item_,
        UE_associatedLogicalE1_ConnectionListRes,
        UE_associatedLogicalE1_ConnectionItemRes,
        _UE_associatedLogicalE1_ConnectionItemRes_val_Value_0,
        ____ResetAcknowledge_protocolIEs__item__id_tab,
        _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____ResetAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        ___ResetAcknowledge_protocolIEs__item__id,
        ___ResetAcknowledge_protocolIEs__item__criticality,
        ___ResetAcknowledge_protocolIEs__item__value,
        __ResetAcknowledge_protocolIEs__item_,
        _ResetAcknowledge_protocolIEs,
        ResetAcknowledge,
        ResetAcknowledgeIEs,
        _ResetAcknowledgeIEs_val_Value_0,
        _ResetAcknowledgeIEs_val_Value_1,
        _ResetAcknowledgeIEs_val_Value_2,
        ___UE_associatedLogicalE1_ConnectionListResAck__item__id_tab,
        ____UE_associatedLogicalE1_ConnectionListResAck__item__id_tab_val_Value_0,
        __UE_associatedLogicalE1_ConnectionListResAck__item__id,
        __UE_associatedLogicalE1_ConnectionListResAck__item__criticality,
        __UE_associatedLogicalE1_ConnectionListResAck__item__value,
        _UE_associatedLogicalE1_ConnectionListResAck__item_,
        UE_associatedLogicalE1_ConnectionListResAck,
        UE_associatedLogicalE1_ConnectionItemResAck,
        _UE_associatedLogicalE1_ConnectionItemResAck_val_Value_0,
        ____ErrorIndication_protocolIEs__item__id_tab,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4,
        ___ErrorIndication_protocolIEs__item__id,
        ___ErrorIndication_protocolIEs__item__criticality,
        ___ErrorIndication_protocolIEs__item__value,
        __ErrorIndication_protocolIEs__item_,
        _ErrorIndication_protocolIEs,
        ErrorIndication,
        ErrorIndication_IEs,
        _ErrorIndication_IEs_val_Value_0,
        _ErrorIndication_IEs_val_Value_1,
        _ErrorIndication_IEs_val_Value_2,
        _ErrorIndication_IEs_val_Value_3,
        _ErrorIndication_IEs_val_Value_4,
        ____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab,
        _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_3,
        _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_4,
        _____GNB_CU_UP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_5,
        ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__id,
        ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__criticality,
        ___GNB_CU_UP_E1SetupRequest_protocolIEs__item__value,
        __GNB_CU_UP_E1SetupRequest_protocolIEs__item_,
        _GNB_CU_UP_E1SetupRequest_protocolIEs,
        GNB_CU_UP_E1SetupRequest,
        GNB_CU_UP_E1SetupRequestIEs,
        _GNB_CU_UP_E1SetupRequestIEs_val_Value_0,
        _GNB_CU_UP_E1SetupRequestIEs_val_Value_1,
        _GNB_CU_UP_E1SetupRequestIEs_val_Value_2,
        _GNB_CU_UP_E1SetupRequestIEs_val_Value_3,
        _GNB_CU_UP_E1SetupRequestIEs_val_Value_4,
        _GNB_CU_UP_E1SetupRequestIEs_val_Value_5,
        _SupportedPLMNs_List__item_,
        SupportedPLMNs_List,
        _SupportedPLMNs_Item_pLMN_Identity,
        _SupportedPLMNs_Item_slice_Support_List,
        _SupportedPLMNs_Item_nR_CGI_Support_List,
        _SupportedPLMNs_Item_qoS_Parameters_Support_List,
        ____SupportedPLMNs_Item_iE_Extensions__item__id_tab,
        ___SupportedPLMNs_Item_iE_Extensions__item__id,
        ____SupportedPLMNs_Item_iE_Extensions__item__criticality_tab,
        ___SupportedPLMNs_Item_iE_Extensions__item__criticality,
        ____SupportedPLMNs_Item_iE_Extensions__item__extensionValue_tab,
        ___SupportedPLMNs_Item_iE_Extensions__item__extensionValue,
        __SupportedPLMNs_Item_iE_Extensions__item_,
        _SupportedPLMNs_Item_iE_Extensions,
        SupportedPLMNs_Item,
        SupportedPLMNs_ExtIEs,
        ____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab,
        _____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_1,
        ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__id,
        ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__criticality,
        ___GNB_CU_UP_E1SetupResponse_protocolIEs__item__value,
        __GNB_CU_UP_E1SetupResponse_protocolIEs__item_,
        _GNB_CU_UP_E1SetupResponse_protocolIEs,
        GNB_CU_UP_E1SetupResponse,
        GNB_CU_UP_E1SetupResponseIEs,
        _GNB_CU_UP_E1SetupResponseIEs_val_Value_0,
        _GNB_CU_UP_E1SetupResponseIEs_val_Value_1,
        ____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab,
        _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_UP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_3,
        ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__id,
        ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__criticality,
        ___GNB_CU_UP_E1SetupFailure_protocolIEs__item__value,
        __GNB_CU_UP_E1SetupFailure_protocolIEs__item_,
        _GNB_CU_UP_E1SetupFailure_protocolIEs,
        GNB_CU_UP_E1SetupFailure,
        GNB_CU_UP_E1SetupFailureIEs,
        _GNB_CU_UP_E1SetupFailureIEs_val_Value_0,
        _GNB_CU_UP_E1SetupFailureIEs_val_Value_1,
        _GNB_CU_UP_E1SetupFailureIEs_val_Value_2,
        _GNB_CU_UP_E1SetupFailureIEs_val_Value_3,
        ____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab,
        _____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_CP_E1SetupRequest_protocolIEs__item__id_tab_val_Value_1,
        ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__id,
        ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__criticality,
        ___GNB_CU_CP_E1SetupRequest_protocolIEs__item__value,
        __GNB_CU_CP_E1SetupRequest_protocolIEs__item_,
        _GNB_CU_CP_E1SetupRequest_protocolIEs,
        GNB_CU_CP_E1SetupRequest,
        GNB_CU_CP_E1SetupRequestIEs,
        _GNB_CU_CP_E1SetupRequestIEs_val_Value_0,
        _GNB_CU_CP_E1SetupRequestIEs_val_Value_1,
        ____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab,
        _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_3,
        _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_4,
        _____GNB_CU_CP_E1SetupResponse_protocolIEs__item__id_tab_val_Value_5,
        ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__id,
        ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__criticality,
        ___GNB_CU_CP_E1SetupResponse_protocolIEs__item__value,
        __GNB_CU_CP_E1SetupResponse_protocolIEs__item_,
        _GNB_CU_CP_E1SetupResponse_protocolIEs,
        GNB_CU_CP_E1SetupResponse,
        GNB_CU_CP_E1SetupResponseIEs,
        _GNB_CU_CP_E1SetupResponseIEs_val_Value_0,
        _GNB_CU_CP_E1SetupResponseIEs_val_Value_1,
        _GNB_CU_CP_E1SetupResponseIEs_val_Value_2,
        _GNB_CU_CP_E1SetupResponseIEs_val_Value_3,
        _GNB_CU_CP_E1SetupResponseIEs_val_Value_4,
        _GNB_CU_CP_E1SetupResponseIEs_val_Value_5,
        ____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab,
        _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_CP_E1SetupFailure_protocolIEs__item__id_tab_val_Value_3,
        ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__id,
        ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__criticality,
        ___GNB_CU_CP_E1SetupFailure_protocolIEs__item__value,
        __GNB_CU_CP_E1SetupFailure_protocolIEs__item_,
        _GNB_CU_CP_E1SetupFailure_protocolIEs,
        GNB_CU_CP_E1SetupFailure,
        GNB_CU_CP_E1SetupFailureIEs,
        _GNB_CU_CP_E1SetupFailureIEs_val_Value_0,
        _GNB_CU_CP_E1SetupFailureIEs_val_Value_1,
        _GNB_CU_CP_E1SetupFailureIEs_val_Value_2,
        _GNB_CU_CP_E1SetupFailureIEs_val_Value_3,
        ____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab,
        _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3,
        _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4,
        _____GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5,
        ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__id,
        ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__criticality,
        ___GNB_CU_UP_ConfigurationUpdate_protocolIEs__item__value,
        __GNB_CU_UP_ConfigurationUpdate_protocolIEs__item_,
        _GNB_CU_UP_ConfigurationUpdate_protocolIEs,
        GNB_CU_UP_ConfigurationUpdate,
        GNB_CU_UP_ConfigurationUpdateIEs,
        _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_0,
        _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_1,
        _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_2,
        _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_3,
        _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_4,
        _GNB_CU_UP_ConfigurationUpdateIEs_val_Value_5,
        _GNB_CU_UP_TNLA_To_Remove_List__item_,
        GNB_CU_UP_TNLA_To_Remove_List,
        ____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab,
        _____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__id,
        ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality,
        ___GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item__value,
        __GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs__item_,
        _GNB_CU_UP_ConfigurationUpdateAcknowledge_protocolIEs,
        GNB_CU_UP_ConfigurationUpdateAcknowledge,
        GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs,
        _GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs_val_Value_0,
        _GNB_CU_UP_ConfigurationUpdateAcknowledgeIEs_val_Value_1,
        ____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab,
        _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3,
        ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__id,
        ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__criticality,
        ___GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item__value,
        __GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs__item_,
        _GNB_CU_UP_ConfigurationUpdateFailure_protocolIEs,
        GNB_CU_UP_ConfigurationUpdateFailure,
        GNB_CU_UP_ConfigurationUpdateFailureIEs,
        _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_0,
        _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_1,
        _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_2,
        _GNB_CU_UP_ConfigurationUpdateFailureIEs_val_Value_3,
        ____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab,
        _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3,
        _____GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4,
        ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__id,
        ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__criticality,
        ___GNB_CU_CP_ConfigurationUpdate_protocolIEs__item__value,
        __GNB_CU_CP_ConfigurationUpdate_protocolIEs__item_,
        _GNB_CU_CP_ConfigurationUpdate_protocolIEs,
        GNB_CU_CP_ConfigurationUpdate,
        GNB_CU_CP_ConfigurationUpdateIEs,
        _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_0,
        _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_1,
        _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_2,
        _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_3,
        _GNB_CU_CP_ConfigurationUpdateIEs_val_Value_4,
        _GNB_CU_CP_TNLA_To_Add_List__item_,
        GNB_CU_CP_TNLA_To_Add_List,
        _GNB_CU_CP_TNLA_To_Remove_List__item_,
        GNB_CU_CP_TNLA_To_Remove_List,
        _GNB_CU_CP_TNLA_To_Update_List__item_,
        GNB_CU_CP_TNLA_To_Update_List,
        ____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab,
        _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__id,
        ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__criticality,
        ___GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item__value,
        __GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs__item_,
        _GNB_CU_CP_ConfigurationUpdateAcknowledge_protocolIEs,
        GNB_CU_CP_ConfigurationUpdateAcknowledge,
        GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs,
        _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_0,
        _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_1,
        _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_2,
        _GNB_CU_CP_ConfigurationUpdateAcknowledgeIEs_val_Value_3,
        _GNB_CU_CP_TNLA_Setup_List__item_,
        GNB_CU_CP_TNLA_Setup_List,
        _GNB_CU_CP_TNLA_Failed_To_Setup_List__item_,
        GNB_CU_CP_TNLA_Failed_To_Setup_List,
        ____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab,
        _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2,
        _____GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3,
        ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__id,
        ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__criticality,
        ___GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item__value,
        __GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs__item_,
        _GNB_CU_CP_ConfigurationUpdateFailure_protocolIEs,
        GNB_CU_CP_ConfigurationUpdateFailure,
        GNB_CU_CP_ConfigurationUpdateFailureIEs,
        _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_0,
        _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_1,
        _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_2,
        _GNB_CU_CP_ConfigurationUpdateFailureIEs_val_Value_3,
        ____E1ReleaseRequest_protocolIEs__item__id_tab,
        _____E1ReleaseRequest_protocolIEs__item__id_tab_val_Value_0,
        _____E1ReleaseRequest_protocolIEs__item__id_tab_val_Value_1,
        ___E1ReleaseRequest_protocolIEs__item__id,
        ___E1ReleaseRequest_protocolIEs__item__criticality,
        ___E1ReleaseRequest_protocolIEs__item__value,
        __E1ReleaseRequest_protocolIEs__item_,
        _E1ReleaseRequest_protocolIEs,
        E1ReleaseRequest,
        E1ReleaseRequestIEs,
        _E1ReleaseRequestIEs_val_Value_0,
        _E1ReleaseRequestIEs_val_Value_1,
        ____E1ReleaseResponse_protocolIEs__item__id_tab,
        _____E1ReleaseResponse_protocolIEs__item__id_tab_val_Value_0,
        ___E1ReleaseResponse_protocolIEs__item__id,
        ___E1ReleaseResponse_protocolIEs__item__criticality,
        ___E1ReleaseResponse_protocolIEs__item__value,
        __E1ReleaseResponse_protocolIEs__item_,
        _E1ReleaseResponse_protocolIEs,
        E1ReleaseResponse,
        E1ReleaseResponseIEs,
        _E1ReleaseResponseIEs_val_Value_0,
        ____BearerContextSetupRequest_protocolIEs__item__id_tab,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_2,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_3,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_4,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_5,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_6,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_7,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_8,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_9,
        _____BearerContextSetupRequest_protocolIEs__item__id_tab_val_Value_10,
        ___BearerContextSetupRequest_protocolIEs__item__id,
        ___BearerContextSetupRequest_protocolIEs__item__criticality,
        ___BearerContextSetupRequest_protocolIEs__item__value,
        __BearerContextSetupRequest_protocolIEs__item_,
        _BearerContextSetupRequest_protocolIEs,
        BearerContextSetupRequest,
        BearerContextSetupRequestIEs,
        _BearerContextSetupRequestIEs_val_Value_0,
        _BearerContextSetupRequestIEs_val_Value_1,
        _BearerContextSetupRequestIEs_val_Value_2,
        _BearerContextSetupRequestIEs_val_Value_3,
        _BearerContextSetupRequestIEs_val_Value_4,
        _BearerContextSetupRequestIEs_val_Value_5,
        _BearerContextSetupRequestIEs_val_Value_6,
        _BearerContextSetupRequestIEs_val_Value_7,
        _BearerContextSetupRequestIEs_val_Value_8,
        _BearerContextSetupRequestIEs_val_Value_9,
        _BearerContextSetupRequestIEs_val_Value_10,
        ____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab,
        _____System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id_tab_val_Value_0,
        ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__id,
        ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__criticality,
        ___System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item__value,
        __System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest__item_,
        _System_BearerContextSetupRequest_e_UTRAN_BearerContextSetupRequest,
        ____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab,
        _____System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id_tab_val_Value_0,
        ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__id,
        ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__criticality,
        ___System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item__value,
        __System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest__item_,
        _System_BearerContextSetupRequest_nG_RAN_BearerContextSetupRequest,
        ___System_BearerContextSetupRequest_choice_extension_id_tab,
        __System_BearerContextSetupRequest_choice_extension_id,
        ___System_BearerContextSetupRequest_choice_extension_criticality_tab,
        __System_BearerContextSetupRequest_choice_extension_criticality,
        ___System_BearerContextSetupRequest_choice_extension_value_tab,
        __System_BearerContextSetupRequest_choice_extension_value,
        _System_BearerContextSetupRequest_choice_extension,
        System_BearerContextSetupRequest,
        System_BearerContextSetupRequest_ExtIEs,
        EUTRAN_BearerContextSetupRequest,
        _EUTRAN_BearerContextSetupRequest_val_Value_0,
        NG_RAN_BearerContextSetupRequest,
        _NG_RAN_BearerContextSetupRequest_val_Value_0,
        ____BearerContextSetupResponse_protocolIEs__item__id_tab,
        _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextSetupResponse_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextSetupResponse_protocolIEs__item__id,
        ___BearerContextSetupResponse_protocolIEs__item__criticality,
        ___BearerContextSetupResponse_protocolIEs__item__value,
        __BearerContextSetupResponse_protocolIEs__item_,
        _BearerContextSetupResponse_protocolIEs,
        BearerContextSetupResponse,
        BearerContextSetupResponseIEs,
        _BearerContextSetupResponseIEs_val_Value_0,
        _BearerContextSetupResponseIEs_val_Value_1,
        _BearerContextSetupResponseIEs_val_Value_2,
        ____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab,
        _____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab_val_Value_0,
        _____System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id_tab_val_Value_1,
        ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__id,
        ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__criticality,
        ___System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item__value,
        __System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse__item_,
        _System_BearerContextSetupResponse_e_UTRAN_BearerContextSetupResponse,
        ____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab,
        _____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab_val_Value_0,
        _____System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id_tab_val_Value_1,
        ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__id,
        ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__criticality,
        ___System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item__value,
        __System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse__item_,
        _System_BearerContextSetupResponse_nG_RAN_BearerContextSetupResponse,
        ___System_BearerContextSetupResponse_choice_extension_id_tab,
        __System_BearerContextSetupResponse_choice_extension_id,
        ___System_BearerContextSetupResponse_choice_extension_criticality_tab,
        __System_BearerContextSetupResponse_choice_extension_criticality,
        ___System_BearerContextSetupResponse_choice_extension_value_tab,
        __System_BearerContextSetupResponse_choice_extension_value,
        _System_BearerContextSetupResponse_choice_extension,
        System_BearerContextSetupResponse,
        System_BearerContextSetupResponse_ExtIEs,
        EUTRAN_BearerContextSetupResponse,
        _EUTRAN_BearerContextSetupResponse_val_Value_0,
        _EUTRAN_BearerContextSetupResponse_val_Value_1,
        NG_RAN_BearerContextSetupResponse,
        _NG_RAN_BearerContextSetupResponse_val_Value_0,
        _NG_RAN_BearerContextSetupResponse_val_Value_1,
        ____BearerContextSetupFailure_protocolIEs__item__id_tab,
        _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_2,
        _____BearerContextSetupFailure_protocolIEs__item__id_tab_val_Value_3,
        ___BearerContextSetupFailure_protocolIEs__item__id,
        ___BearerContextSetupFailure_protocolIEs__item__criticality,
        ___BearerContextSetupFailure_protocolIEs__item__value,
        __BearerContextSetupFailure_protocolIEs__item_,
        _BearerContextSetupFailure_protocolIEs,
        BearerContextSetupFailure,
        BearerContextSetupFailureIEs,
        _BearerContextSetupFailureIEs_val_Value_0,
        _BearerContextSetupFailureIEs_val_Value_1,
        _BearerContextSetupFailureIEs_val_Value_2,
        _BearerContextSetupFailureIEs_val_Value_3,
        ____BearerContextModificationRequest_protocolIEs__item__id_tab,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_2,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_3,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_4,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_5,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_6,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_7,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_8,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_9,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_10,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_11,
        _____BearerContextModificationRequest_protocolIEs__item__id_tab_val_Value_12,
        ___BearerContextModificationRequest_protocolIEs__item__id,
        ___BearerContextModificationRequest_protocolIEs__item__criticality,
        ___BearerContextModificationRequest_protocolIEs__item__value,
        __BearerContextModificationRequest_protocolIEs__item_,
        _BearerContextModificationRequest_protocolIEs,
        BearerContextModificationRequest,
        BearerContextModificationRequestIEs,
        _BearerContextModificationRequestIEs_val_Value_0,
        _BearerContextModificationRequestIEs_val_Value_1,
        _BearerContextModificationRequestIEs_val_Value_2,
        _BearerContextModificationRequestIEs_val_Value_3,
        _BearerContextModificationRequestIEs_val_Value_4,
        _BearerContextModificationRequestIEs_val_Value_5,
        _BearerContextModificationRequestIEs_val_Value_6,
        _BearerContextModificationRequestIEs_val_Value_7,
        _BearerContextModificationRequestIEs_val_Value_8,
        _BearerContextModificationRequestIEs_val_Value_9,
        _BearerContextModificationRequestIEs_val_Value_10,
        _BearerContextModificationRequestIEs_val_Value_11,
        _BearerContextModificationRequestIEs_val_Value_12,
        ____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab,
        _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_0,
        _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_1,
        _____System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id_tab_val_Value_2,
        ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__id,
        ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__criticality,
        ___System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item__value,
        __System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest__item_,
        _System_BearerContextModificationRequest_e_UTRAN_BearerContextModificationRequest,
        ____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab,
        _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_0,
        _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_1,
        _____System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id_tab_val_Value_2,
        ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__id,
        ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__criticality,
        ___System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item__value,
        __System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest__item_,
        _System_BearerContextModificationRequest_nG_RAN_BearerContextModificationRequest,
        ___System_BearerContextModificationRequest_choice_extension_id_tab,
        __System_BearerContextModificationRequest_choice_extension_id,
        ___System_BearerContextModificationRequest_choice_extension_criticality_tab,
        __System_BearerContextModificationRequest_choice_extension_criticality,
        ___System_BearerContextModificationRequest_choice_extension_value_tab,
        __System_BearerContextModificationRequest_choice_extension_value,
        _System_BearerContextModificationRequest_choice_extension,
        System_BearerContextModificationRequest,
        System_BearerContextModificationRequest_ExtIEs,
        EUTRAN_BearerContextModificationRequest,
        _EUTRAN_BearerContextModificationRequest_val_Value_0,
        _EUTRAN_BearerContextModificationRequest_val_Value_1,
        _EUTRAN_BearerContextModificationRequest_val_Value_2,
        NG_RAN_BearerContextModificationRequest,
        _NG_RAN_BearerContextModificationRequest_val_Value_0,
        _NG_RAN_BearerContextModificationRequest_val_Value_1,
        _NG_RAN_BearerContextModificationRequest_val_Value_2,
        ____BearerContextModificationResponse_protocolIEs__item__id_tab,
        _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextModificationResponse_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextModificationResponse_protocolIEs__item__id,
        ___BearerContextModificationResponse_protocolIEs__item__criticality,
        ___BearerContextModificationResponse_protocolIEs__item__value,
        __BearerContextModificationResponse_protocolIEs__item_,
        _BearerContextModificationResponse_protocolIEs,
        BearerContextModificationResponse,
        BearerContextModificationResponseIEs,
        _BearerContextModificationResponseIEs_val_Value_0,
        _BearerContextModificationResponseIEs_val_Value_1,
        _BearerContextModificationResponseIEs_val_Value_2,
        ____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab,
        _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_0,
        _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_1,
        _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_2,
        _____System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id_tab_val_Value_3,
        ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__id,
        ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__criticality,
        ___System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item__value,
        __System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse__item_,
        _System_BearerContextModificationResponse_e_UTRAN_BearerContextModificationResponse,
        ____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab,
        _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_0,
        _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_1,
        _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_2,
        _____System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id_tab_val_Value_3,
        ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__id,
        ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__criticality,
        ___System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item__value,
        __System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse__item_,
        _System_BearerContextModificationResponse_nG_RAN_BearerContextModificationResponse,
        ___System_BearerContextModificationResponse_choice_extension_id_tab,
        __System_BearerContextModificationResponse_choice_extension_id,
        ___System_BearerContextModificationResponse_choice_extension_criticality_tab,
        __System_BearerContextModificationResponse_choice_extension_criticality,
        ___System_BearerContextModificationResponse_choice_extension_value_tab,
        __System_BearerContextModificationResponse_choice_extension_value,
        _System_BearerContextModificationResponse_choice_extension,
        System_BearerContextModificationResponse,
        System_BearerContextModificationResponse_ExtIEs,
        EUTRAN_BearerContextModificationResponse,
        _EUTRAN_BearerContextModificationResponse_val_Value_0,
        _EUTRAN_BearerContextModificationResponse_val_Value_1,
        _EUTRAN_BearerContextModificationResponse_val_Value_2,
        _EUTRAN_BearerContextModificationResponse_val_Value_3,
        NG_RAN_BearerContextModificationResponse,
        _NG_RAN_BearerContextModificationResponse_val_Value_0,
        _NG_RAN_BearerContextModificationResponse_val_Value_1,
        _NG_RAN_BearerContextModificationResponse_val_Value_2,
        _NG_RAN_BearerContextModificationResponse_val_Value_3,
        ____BearerContextModificationFailure_protocolIEs__item__id_tab,
        _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_2,
        _____BearerContextModificationFailure_protocolIEs__item__id_tab_val_Value_3,
        ___BearerContextModificationFailure_protocolIEs__item__id,
        ___BearerContextModificationFailure_protocolIEs__item__criticality,
        ___BearerContextModificationFailure_protocolIEs__item__value,
        __BearerContextModificationFailure_protocolIEs__item_,
        _BearerContextModificationFailure_protocolIEs,
        BearerContextModificationFailure,
        BearerContextModificationFailureIEs,
        _BearerContextModificationFailureIEs_val_Value_0,
        _BearerContextModificationFailureIEs_val_Value_1,
        _BearerContextModificationFailureIEs_val_Value_2,
        _BearerContextModificationFailureIEs_val_Value_3,
        ____BearerContextModificationRequired_protocolIEs__item__id_tab,
        _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextModificationRequired_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextModificationRequired_protocolIEs__item__id,
        ___BearerContextModificationRequired_protocolIEs__item__criticality,
        ___BearerContextModificationRequired_protocolIEs__item__value,
        __BearerContextModificationRequired_protocolIEs__item_,
        _BearerContextModificationRequired_protocolIEs,
        BearerContextModificationRequired,
        BearerContextModificationRequiredIEs,
        _BearerContextModificationRequiredIEs_val_Value_0,
        _BearerContextModificationRequiredIEs_val_Value_1,
        _BearerContextModificationRequiredIEs_val_Value_2,
        ____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab,
        _____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab_val_Value_0,
        _____System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id_tab_val_Value_1,
        ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__id,
        ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__criticality,
        ___System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item__value,
        __System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired__item_,
        _System_BearerContextModificationRequired_e_UTRAN_BearerContextModificationRequired,
        ____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab,
        _____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab_val_Value_0,
        _____System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id_tab_val_Value_1,
        ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__id,
        ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__criticality,
        ___System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item__value,
        __System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired__item_,
        _System_BearerContextModificationRequired_nG_RAN_BearerContextModificationRequired,
        ___System_BearerContextModificationRequired_choice_extension_id_tab,
        __System_BearerContextModificationRequired_choice_extension_id,
        ___System_BearerContextModificationRequired_choice_extension_criticality_tab,
        __System_BearerContextModificationRequired_choice_extension_criticality,
        ___System_BearerContextModificationRequired_choice_extension_value_tab,
        __System_BearerContextModificationRequired_choice_extension_value,
        _System_BearerContextModificationRequired_choice_extension,
        System_BearerContextModificationRequired,
        System_BearerContextModificationRequired_ExtIEs,
        EUTRAN_BearerContextModificationRequired,
        _EUTRAN_BearerContextModificationRequired_val_Value_0,
        _EUTRAN_BearerContextModificationRequired_val_Value_1,
        NG_RAN_BearerContextModificationRequired,
        _NG_RAN_BearerContextModificationRequired_val_Value_0,
        _NG_RAN_BearerContextModificationRequired_val_Value_1,
        ____BearerContextModificationConfirm_protocolIEs__item__id_tab,
        _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextModificationConfirm_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextModificationConfirm_protocolIEs__item__id,
        ___BearerContextModificationConfirm_protocolIEs__item__criticality,
        ___BearerContextModificationConfirm_protocolIEs__item__value,
        __BearerContextModificationConfirm_protocolIEs__item_,
        _BearerContextModificationConfirm_protocolIEs,
        BearerContextModificationConfirm,
        BearerContextModificationConfirmIEs,
        _BearerContextModificationConfirmIEs_val_Value_0,
        _BearerContextModificationConfirmIEs_val_Value_1,
        _BearerContextModificationConfirmIEs_val_Value_2,
        ____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab,
        _____System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id_tab_val_Value_0,
        ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__id,
        ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__criticality,
        ___System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item__value,
        __System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm__item_,
        _System_BearerContextModificationConfirm_e_UTRAN_BearerContextModificationConfirm,
        ____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab,
        _____System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id_tab_val_Value_0,
        ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__id,
        ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__criticality,
        ___System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item__value,
        __System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm__item_,
        _System_BearerContextModificationConfirm_nG_RAN_BearerContextModificationConfirm,
        ___System_BearerContextModificationConfirm_choice_extension_id_tab,
        __System_BearerContextModificationConfirm_choice_extension_id,
        ___System_BearerContextModificationConfirm_choice_extension_criticality_tab,
        __System_BearerContextModificationConfirm_choice_extension_criticality,
        ___System_BearerContextModificationConfirm_choice_extension_value_tab,
        __System_BearerContextModificationConfirm_choice_extension_value,
        _System_BearerContextModificationConfirm_choice_extension,
        System_BearerContextModificationConfirm,
        System_BearerContextModificationConfirm_ExtIEs,
        EUTRAN_BearerContextModificationConfirm,
        _EUTRAN_BearerContextModificationConfirm_val_Value_0,
        NG_RAN_BearerContextModificationConfirm,
        _NG_RAN_BearerContextModificationConfirm_val_Value_0,
        ____BearerContextReleaseCommand_protocolIEs__item__id_tab,
        _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextReleaseCommand_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextReleaseCommand_protocolIEs__item__id,
        ___BearerContextReleaseCommand_protocolIEs__item__criticality,
        ___BearerContextReleaseCommand_protocolIEs__item__value,
        __BearerContextReleaseCommand_protocolIEs__item_,
        _BearerContextReleaseCommand_protocolIEs,
        BearerContextReleaseCommand,
        BearerContextReleaseCommandIEs,
        _BearerContextReleaseCommandIEs_val_Value_0,
        _BearerContextReleaseCommandIEs_val_Value_1,
        _BearerContextReleaseCommandIEs_val_Value_2,
        ____BearerContextReleaseComplete_protocolIEs__item__id_tab,
        _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextReleaseComplete_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextReleaseComplete_protocolIEs__item__id,
        ___BearerContextReleaseComplete_protocolIEs__item__criticality,
        ___BearerContextReleaseComplete_protocolIEs__item__value,
        __BearerContextReleaseComplete_protocolIEs__item_,
        _BearerContextReleaseComplete_protocolIEs,
        BearerContextReleaseComplete,
        BearerContextReleaseCompleteIEs,
        _BearerContextReleaseCompleteIEs_val_Value_0,
        _BearerContextReleaseCompleteIEs_val_Value_1,
        _BearerContextReleaseCompleteIEs_val_Value_2,
        ____BearerContextReleaseRequest_protocolIEs__item__id_tab,
        _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_2,
        _____BearerContextReleaseRequest_protocolIEs__item__id_tab_val_Value_3,
        ___BearerContextReleaseRequest_protocolIEs__item__id,
        ___BearerContextReleaseRequest_protocolIEs__item__criticality,
        ___BearerContextReleaseRequest_protocolIEs__item__value,
        __BearerContextReleaseRequest_protocolIEs__item_,
        _BearerContextReleaseRequest_protocolIEs,
        BearerContextReleaseRequest,
        BearerContextReleaseRequestIEs,
        _BearerContextReleaseRequestIEs_val_Value_0,
        _BearerContextReleaseRequestIEs_val_Value_1,
        _BearerContextReleaseRequestIEs_val_Value_2,
        _BearerContextReleaseRequestIEs_val_Value_3,
        _DRB_Status_List__item_,
        DRB_Status_List,
        ____BearerContextInactivityNotification_protocolIEs__item__id_tab,
        _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_0,
        _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_1,
        _____BearerContextInactivityNotification_protocolIEs__item__id_tab_val_Value_2,
        ___BearerContextInactivityNotification_protocolIEs__item__id,
        ___BearerContextInactivityNotification_protocolIEs__item__criticality,
        ___BearerContextInactivityNotification_protocolIEs__item__value,
        __BearerContextInactivityNotification_protocolIEs__item_,
        _BearerContextInactivityNotification_protocolIEs,
        BearerContextInactivityNotification,
        BearerContextInactivityNotificationIEs,
        _BearerContextInactivityNotificationIEs_val_Value_0,
        _BearerContextInactivityNotificationIEs_val_Value_1,
        _BearerContextInactivityNotificationIEs_val_Value_2,
        ____DLDataNotification_protocolIEs__item__id_tab,
        _____DLDataNotification_protocolIEs__item__id_tab_val_Value_0,
        _____DLDataNotification_protocolIEs__item__id_tab_val_Value_1,
        _____DLDataNotification_protocolIEs__item__id_tab_val_Value_2,
        ___DLDataNotification_protocolIEs__item__id,
        ___DLDataNotification_protocolIEs__item__criticality,
        ___DLDataNotification_protocolIEs__item__value,
        __DLDataNotification_protocolIEs__item_,
        _DLDataNotification_protocolIEs,
        DLDataNotification,
        DLDataNotificationIEs,
        _DLDataNotificationIEs_val_Value_0,
        _DLDataNotificationIEs_val_Value_1,
        _DLDataNotificationIEs_val_Value_2,
        ____ULDataNotification_protocolIEs__item__id_tab,
        _____ULDataNotification_protocolIEs__item__id_tab_val_Value_0,
        _____ULDataNotification_protocolIEs__item__id_tab_val_Value_1,
        _____ULDataNotification_protocolIEs__item__id_tab_val_Value_2,
        ___ULDataNotification_protocolIEs__item__id,
        ___ULDataNotification_protocolIEs__item__criticality,
        ___ULDataNotification_protocolIEs__item__value,
        __ULDataNotification_protocolIEs__item_,
        _ULDataNotification_protocolIEs,
        ULDataNotification,
        ULDataNotificationIEs,
        _ULDataNotificationIEs_val_Value_0,
        _ULDataNotificationIEs_val_Value_1,
        _ULDataNotificationIEs_val_Value_2,
        ____DataUsageReport_protocolIEs__item__id_tab,
        _____DataUsageReport_protocolIEs__item__id_tab_val_Value_0,
        _____DataUsageReport_protocolIEs__item__id_tab_val_Value_1,
        _____DataUsageReport_protocolIEs__item__id_tab_val_Value_2,
        ___DataUsageReport_protocolIEs__item__id,
        ___DataUsageReport_protocolIEs__item__criticality,
        ___DataUsageReport_protocolIEs__item__value,
        __DataUsageReport_protocolIEs__item_,
        _DataUsageReport_protocolIEs,
        DataUsageReport,
        DataUsageReportIEs,
        _DataUsageReportIEs_val_Value_0,
        _DataUsageReportIEs_val_Value_1,
        _DataUsageReportIEs_val_Value_2,
        ____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab,
        _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_1,
        _____GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id_tab_val_Value_2,
        ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__id,
        ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__criticality,
        ___GNB_CU_UP_CounterCheckRequest_protocolIEs__item__value,
        __GNB_CU_UP_CounterCheckRequest_protocolIEs__item_,
        _GNB_CU_UP_CounterCheckRequest_protocolIEs,
        GNB_CU_UP_CounterCheckRequest,
        GNB_CU_UP_CounterCheckRequestIEs,
        _GNB_CU_UP_CounterCheckRequestIEs_val_Value_0,
        _GNB_CU_UP_CounterCheckRequestIEs_val_Value_1,
        _GNB_CU_UP_CounterCheckRequestIEs_val_Value_2,
        ____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab,
        _____System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id_tab_val_Value_0,
        ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__id,
        ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__criticality,
        ___System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item__value,
        __System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest__item_,
        _System_GNB_CU_UP_CounterCheckRequest_e_UTRAN_GNB_CU_UP_CounterCheckRequest,
        ____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab,
        _____System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id_tab_val_Value_0,
        ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__id,
        ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__criticality,
        ___System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item__value,
        __System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest__item_,
        _System_GNB_CU_UP_CounterCheckRequest_nG_RAN_GNB_CU_UP_CounterCheckRequest,
        ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_id_tab,
        __System_GNB_CU_UP_CounterCheckRequest_choice_extension_id,
        ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality_tab,
        __System_GNB_CU_UP_CounterCheckRequest_choice_extension_criticality,
        ___System_GNB_CU_UP_CounterCheckRequest_choice_extension_value_tab,
        __System_GNB_CU_UP_CounterCheckRequest_choice_extension_value,
        _System_GNB_CU_UP_CounterCheckRequest_choice_extension,
        System_GNB_CU_UP_CounterCheckRequest,
        System_GNB_CU_UP_CounterCheckRequest_ExtIEs,
        EUTRAN_GNB_CU_UP_CounterCheckRequest,
        _EUTRAN_GNB_CU_UP_CounterCheckRequest_val_Value_0,
        NG_RAN_GNB_CU_UP_CounterCheckRequest,
        _NG_RAN_GNB_CU_UP_CounterCheckRequest_val_Value_0,
        ____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab,
        _____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab_val_Value_0,
        _____GNB_CU_UP_StatusIndication_protocolIEs__item__id_tab_val_Value_1,
        ___GNB_CU_UP_StatusIndication_protocolIEs__item__id,
        ___GNB_CU_UP_StatusIndication_protocolIEs__item__criticality,
        ___GNB_CU_UP_StatusIndication_protocolIEs__item__value,
        __GNB_CU_UP_StatusIndication_protocolIEs__item_,
        _GNB_CU_UP_StatusIndication_protocolIEs,
        GNB_CU_UP_StatusIndication,
        GNB_CU_UP_StatusIndicationIEs,
        _GNB_CU_UP_StatusIndicationIEs_val_Value_0,
        _GNB_CU_UP_StatusIndicationIEs_val_Value_1,
        ____MRDC_DataUsageReport_protocolIEs__item__id_tab,
        _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_0,
        _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_1,
        _____MRDC_DataUsageReport_protocolIEs__item__id_tab_val_Value_2,
        ___MRDC_DataUsageReport_protocolIEs__item__id,
        ___MRDC_DataUsageReport_protocolIEs__item__criticality,
        ___MRDC_DataUsageReport_protocolIEs__item__value,
        __MRDC_DataUsageReport_protocolIEs__item_,
        _MRDC_DataUsageReport_protocolIEs,
        MRDC_DataUsageReport,
        MRDC_DataUsageReportIEs,
        _MRDC_DataUsageReportIEs_val_Value_0,
        _MRDC_DataUsageReportIEs_val_Value_1,
        _MRDC_DataUsageReportIEs_val_Value_2,
        ____PrivateMessage_privateIEs__item__id_tab,
        ___PrivateMessage_privateIEs__item__id,
        ____PrivateMessage_privateIEs__item__criticality_tab,
        ___PrivateMessage_privateIEs__item__criticality,
        ____PrivateMessage_privateIEs__item__value_tab,
        ___PrivateMessage_privateIEs__item__value,
        __PrivateMessage_privateIEs__item_,
        _PrivateMessage_privateIEs,
        PrivateMessage,
        PrivateMessage_IEs,
    ]

init_modules(E1AP_PDU_Descriptions, E1AP_Containers, E1AP_CommonDataTypes, E1AP_IEs, E1AP_Constants, E1AP_PDU_Contents)
