# -*- coding: UTF-8 -*-
# Code automatically generated by pycrate_asn1c

from pycrate_asn1rt.utils            import *
from pycrate_asn1rt.err              import *
from pycrate_asn1rt.glob             import make_GLOBAL, GLOBAL
from pycrate_asn1rt.dictobj          import ASN1Dict
from pycrate_asn1rt.refobj           import *
from pycrate_asn1rt.setobj           import *
from pycrate_asn1rt.asnobj_basic     import *
from pycrate_asn1rt.asnobj_str       import *
from pycrate_asn1rt.asnobj_construct import *
from pycrate_asn1rt.asnobj_class     import *
from pycrate_asn1rt.asnobj_ext       import *
from pycrate_asn1rt.init             import init_modules

class NRPPA_CommonDataTypes:

    _name_  = u'NRPPA-CommonDataTypes'
    _oid_   = [0, 4, 0, 0, 22, 3, 4, 1, 3]
    
    _obj_ = [
        u'maxPrivateIEs',
        u'maxProtocolExtensions',
        u'maxProtocolIEs',
        u'Criticality',
        u'NRPPATransactionID',
        u'Presence',
        u'PrivateIE-ID',
        u'ProcedureCode',
        u'ProtocolIE-ID',
        u'TriggeringMessage',
        ]
    _type_ = [
        u'Criticality',
        u'NRPPATransactionID',
        u'Presence',
        u'PrivateIE-ID',
        u'ProcedureCode',
        u'ProtocolIE-ID',
        u'TriggeringMessage',
        ]
    _set_ = [
        ]
    _val_ = [
        u'maxPrivateIEs',
        u'maxProtocolExtensions',
        u'maxProtocolIEs',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< maxPrivateIEs >-----#
    maxPrivateIEs = INT(name=u'maxPrivateIEs', mode=MODE_VALUE)
    maxPrivateIEs._val = 65535
    
    #-----< maxProtocolExtensions >-----#
    maxProtocolExtensions = INT(name=u'maxProtocolExtensions', mode=MODE_VALUE)
    maxProtocolExtensions._val = 65535
    
    #-----< maxProtocolIEs >-----#
    maxProtocolIEs = INT(name=u'maxProtocolIEs', mode=MODE_VALUE)
    maxProtocolIEs._val = 65535
    
    #-----< Criticality >-----#
    Criticality = ENUM(name=u'Criticality', mode=MODE_TYPE)
    Criticality._cont = ASN1Dict([(u'reject', 0), (u'ignore', 1), (u'notify', 2)])
    Criticality._ext = None
    
    #-----< NRPPATransactionID >-----#
    NRPPATransactionID = INT(name=u'NRPPATransactionID', mode=MODE_TYPE)
    NRPPATransactionID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=32767)], ev=None, er=[])
    
    #-----< Presence >-----#
    Presence = ENUM(name=u'Presence', mode=MODE_TYPE)
    Presence._cont = ASN1Dict([(u'optional', 0), (u'conditional', 1), (u'mandatory', 2)])
    Presence._ext = None
    
    #-----< PrivateIE-ID >-----#
    PrivateIE_ID = CHOICE(name=u'PrivateIE-ID', mode=MODE_TYPE)
    _PrivateIE_ID_local = INT(name=u'local', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PrivateIE_ID_local._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _PrivateIE_ID_global_ = OID(name=u'global', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    PrivateIE_ID._cont = ASN1Dict([
        (u'local', _PrivateIE_ID_local),
        (u'global', _PrivateIE_ID_global_),
        ])
    PrivateIE_ID._ext = None
    
    #-----< ProcedureCode >-----#
    ProcedureCode = INT(name=u'ProcedureCode', mode=MODE_TYPE)
    ProcedureCode._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< ProtocolIE-ID >-----#
    ProtocolIE_ID = INT(name=u'ProtocolIE-ID', mode=MODE_TYPE)
    ProtocolIE_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    
    #-----< TriggeringMessage >-----#
    TriggeringMessage = ENUM(name=u'TriggeringMessage', mode=MODE_TYPE)
    TriggeringMessage._cont = ASN1Dict([(u'initiating-message', 0), (u'successful-outcome', 1), (u'unsuccessful-outcome', 2)])
    TriggeringMessage._ext = None
    
    _all_ = [
        maxPrivateIEs,
        maxProtocolExtensions,
        maxProtocolIEs,
        Criticality,
        NRPPATransactionID,
        Presence,
        _PrivateIE_ID_local,
        _PrivateIE_ID_global_,
        PrivateIE_ID,
        ProcedureCode,
        ProtocolIE_ID,
        TriggeringMessage,
    ]

class NRPPA_Constants:

    _name_  = u'NRPPA-Constants'
    _oid_   = [0, 4, 0, 0, 22, 3, 4, 1, 4]
    
    _obj_ = [
        u'id-errorIndication',
        u'id-privateMessage',
        u'id-e-CIDMeasurementInitiation',
        u'id-e-CIDMeasurementFailureIndication',
        u'id-e-CIDMeasurementReport',
        u'id-e-CIDMeasurementTermination',
        u'id-oTDOAInformationExchange',
        u'maxNrOfErrors',
        u'maxCellinRANnode',
        u'maxNoMeas',
        u'maxCellReport',
        u'maxnoOTDOAtypes',
        u'maxServCell',
        u'maxGERANMeas',
        u'maxUTRANMeas',
        u'maxWLANchannels',
        u'maxnoFreqHoppingBandsMinusOne',
        u'id-Cause',
        u'id-CriticalityDiagnostics',
        u'id-LMF-UE-Measurement-ID',
        u'id-ReportCharacteristics',
        u'id-MeasurementPeriodicity',
        u'id-MeasurementQuantities',
        u'id-RAN-UE-Measurement-ID',
        u'id-E-CID-MeasurementResult',
        u'id-OTDOACells',
        u'id-OTDOA-Information-Type-Group',
        u'id-OTDOA-Information-Type-Item',
        u'id-MeasurementQuantities-Item',
        u'id-RequestedSRSTransmissionCharacteristics',
        u'id-Cell-Portion-ID',
        u'id-OtherRATMeasurementQuantities',
        u'id-OtherRATMeasurementQuantities-Item',
        u'id-OtherRATMeasurementResult',
        u'id-WLANMeasurementQuantities',
        u'id-WLANMeasurementQuantities-Item',
        u'id-WLANMeasurementResult',
        u'id-TDD-Config-EUTRA-Item',
        ]
    _type_ = [
        ]
    _set_ = [
        ]
    _val_ = [
        u'id-errorIndication',
        u'id-privateMessage',
        u'id-e-CIDMeasurementInitiation',
        u'id-e-CIDMeasurementFailureIndication',
        u'id-e-CIDMeasurementReport',
        u'id-e-CIDMeasurementTermination',
        u'id-oTDOAInformationExchange',
        u'maxNrOfErrors',
        u'maxCellinRANnode',
        u'maxNoMeas',
        u'maxCellReport',
        u'maxnoOTDOAtypes',
        u'maxServCell',
        u'maxGERANMeas',
        u'maxUTRANMeas',
        u'maxWLANchannels',
        u'maxnoFreqHoppingBandsMinusOne',
        u'id-Cause',
        u'id-CriticalityDiagnostics',
        u'id-LMF-UE-Measurement-ID',
        u'id-ReportCharacteristics',
        u'id-MeasurementPeriodicity',
        u'id-MeasurementQuantities',
        u'id-RAN-UE-Measurement-ID',
        u'id-E-CID-MeasurementResult',
        u'id-OTDOACells',
        u'id-OTDOA-Information-Type-Group',
        u'id-OTDOA-Information-Type-Item',
        u'id-MeasurementQuantities-Item',
        u'id-RequestedSRSTransmissionCharacteristics',
        u'id-Cell-Portion-ID',
        u'id-OtherRATMeasurementQuantities',
        u'id-OtherRATMeasurementQuantities-Item',
        u'id-OtherRATMeasurementResult',
        u'id-WLANMeasurementQuantities',
        u'id-WLANMeasurementQuantities-Item',
        u'id-WLANMeasurementResult',
        u'id-TDD-Config-EUTRA-Item',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< id-errorIndication >-----#
    id_errorIndication = INT(name=u'id-errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_errorIndication._val = 0
    
    #-----< id-privateMessage >-----#
    id_privateMessage = INT(name=u'id-privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_privateMessage._val = 1
    
    #-----< id-e-CIDMeasurementInitiation >-----#
    id_e_CIDMeasurementInitiation = INT(name=u'id-e-CIDMeasurementInitiation', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_e_CIDMeasurementInitiation._val = 2
    
    #-----< id-e-CIDMeasurementFailureIndication >-----#
    id_e_CIDMeasurementFailureIndication = INT(name=u'id-e-CIDMeasurementFailureIndication', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_e_CIDMeasurementFailureIndication._val = 3
    
    #-----< id-e-CIDMeasurementReport >-----#
    id_e_CIDMeasurementReport = INT(name=u'id-e-CIDMeasurementReport', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_e_CIDMeasurementReport._val = 4
    
    #-----< id-e-CIDMeasurementTermination >-----#
    id_e_CIDMeasurementTermination = INT(name=u'id-e-CIDMeasurementTermination', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_e_CIDMeasurementTermination._val = 5
    
    #-----< id-oTDOAInformationExchange >-----#
    id_oTDOAInformationExchange = INT(name=u'id-oTDOAInformationExchange', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')))
    id_oTDOAInformationExchange._val = 6
    
    #-----< maxNrOfErrors >-----#
    maxNrOfErrors = INT(name=u'maxNrOfErrors', mode=MODE_VALUE)
    maxNrOfErrors._val = 256
    
    #-----< maxCellinRANnode >-----#
    maxCellinRANnode = INT(name=u'maxCellinRANnode', mode=MODE_VALUE)
    maxCellinRANnode._val = 3840
    
    #-----< maxNoMeas >-----#
    maxNoMeas = INT(name=u'maxNoMeas', mode=MODE_VALUE)
    maxNoMeas._val = 63
    
    #-----< maxCellReport >-----#
    maxCellReport = INT(name=u'maxCellReport', mode=MODE_VALUE)
    maxCellReport._val = 9
    
    #-----< maxnoOTDOAtypes >-----#
    maxnoOTDOAtypes = INT(name=u'maxnoOTDOAtypes', mode=MODE_VALUE)
    maxnoOTDOAtypes._val = 63
    
    #-----< maxServCell >-----#
    maxServCell = INT(name=u'maxServCell', mode=MODE_VALUE)
    maxServCell._val = 5
    
    #-----< maxGERANMeas >-----#
    maxGERANMeas = INT(name=u'maxGERANMeas', mode=MODE_VALUE)
    maxGERANMeas._val = 8
    
    #-----< maxUTRANMeas >-----#
    maxUTRANMeas = INT(name=u'maxUTRANMeas', mode=MODE_VALUE)
    maxUTRANMeas._val = 8
    
    #-----< maxWLANchannels >-----#
    maxWLANchannels = INT(name=u'maxWLANchannels', mode=MODE_VALUE)
    maxWLANchannels._val = 16
    
    #-----< maxnoFreqHoppingBandsMinusOne >-----#
    maxnoFreqHoppingBandsMinusOne = INT(name=u'maxnoFreqHoppingBandsMinusOne', mode=MODE_VALUE)
    maxnoFreqHoppingBandsMinusOne._val = 7
    
    #-----< id-Cause >-----#
    id_Cause = INT(name=u'id-Cause', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_Cause._val = 0
    
    #-----< id-CriticalityDiagnostics >-----#
    id_CriticalityDiagnostics = INT(name=u'id-CriticalityDiagnostics', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_CriticalityDiagnostics._val = 1
    
    #-----< id-LMF-UE-Measurement-ID >-----#
    id_LMF_UE_Measurement_ID = INT(name=u'id-LMF-UE-Measurement-ID', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_LMF_UE_Measurement_ID._val = 2
    
    #-----< id-ReportCharacteristics >-----#
    id_ReportCharacteristics = INT(name=u'id-ReportCharacteristics', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_ReportCharacteristics._val = 3
    
    #-----< id-MeasurementPeriodicity >-----#
    id_MeasurementPeriodicity = INT(name=u'id-MeasurementPeriodicity', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_MeasurementPeriodicity._val = 4
    
    #-----< id-MeasurementQuantities >-----#
    id_MeasurementQuantities = INT(name=u'id-MeasurementQuantities', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_MeasurementQuantities._val = 5
    
    #-----< id-RAN-UE-Measurement-ID >-----#
    id_RAN_UE_Measurement_ID = INT(name=u'id-RAN-UE-Measurement-ID', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_RAN_UE_Measurement_ID._val = 6
    
    #-----< id-E-CID-MeasurementResult >-----#
    id_E_CID_MeasurementResult = INT(name=u'id-E-CID-MeasurementResult', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_E_CID_MeasurementResult._val = 7
    
    #-----< id-OTDOACells >-----#
    id_OTDOACells = INT(name=u'id-OTDOACells', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_OTDOACells._val = 8
    
    #-----< id-OTDOA-Information-Type-Group >-----#
    id_OTDOA_Information_Type_Group = INT(name=u'id-OTDOA-Information-Type-Group', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_OTDOA_Information_Type_Group._val = 9
    
    #-----< id-OTDOA-Information-Type-Item >-----#
    id_OTDOA_Information_Type_Item = INT(name=u'id-OTDOA-Information-Type-Item', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_OTDOA_Information_Type_Item._val = 10
    
    #-----< id-MeasurementQuantities-Item >-----#
    id_MeasurementQuantities_Item = INT(name=u'id-MeasurementQuantities-Item', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_MeasurementQuantities_Item._val = 11
    
    #-----< id-RequestedSRSTransmissionCharacteristics >-----#
    id_RequestedSRSTransmissionCharacteristics = INT(name=u'id-RequestedSRSTransmissionCharacteristics', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_RequestedSRSTransmissionCharacteristics._val = 12
    
    #-----< id-Cell-Portion-ID >-----#
    id_Cell_Portion_ID = INT(name=u'id-Cell-Portion-ID', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_Cell_Portion_ID._val = 14
    
    #-----< id-OtherRATMeasurementQuantities >-----#
    id_OtherRATMeasurementQuantities = INT(name=u'id-OtherRATMeasurementQuantities', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_OtherRATMeasurementQuantities._val = 15
    
    #-----< id-OtherRATMeasurementQuantities-Item >-----#
    id_OtherRATMeasurementQuantities_Item = INT(name=u'id-OtherRATMeasurementQuantities-Item', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_OtherRATMeasurementQuantities_Item._val = 16
    
    #-----< id-OtherRATMeasurementResult >-----#
    id_OtherRATMeasurementResult = INT(name=u'id-OtherRATMeasurementResult', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_OtherRATMeasurementResult._val = 17
    
    #-----< id-WLANMeasurementQuantities >-----#
    id_WLANMeasurementQuantities = INT(name=u'id-WLANMeasurementQuantities', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_WLANMeasurementQuantities._val = 19
    
    #-----< id-WLANMeasurementQuantities-Item >-----#
    id_WLANMeasurementQuantities_Item = INT(name=u'id-WLANMeasurementQuantities-Item', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_WLANMeasurementQuantities_Item._val = 20
    
    #-----< id-WLANMeasurementResult >-----#
    id_WLANMeasurementResult = INT(name=u'id-WLANMeasurementResult', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_WLANMeasurementResult._val = 21
    
    #-----< id-TDD-Config-EUTRA-Item >-----#
    id_TDD_Config_EUTRA_Item = INT(name=u'id-TDD-Config-EUTRA-Item', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    id_TDD_Config_EUTRA_Item._val = 22
    
    _all_ = [
        id_errorIndication,
        id_privateMessage,
        id_e_CIDMeasurementInitiation,
        id_e_CIDMeasurementFailureIndication,
        id_e_CIDMeasurementReport,
        id_e_CIDMeasurementTermination,
        id_oTDOAInformationExchange,
        maxNrOfErrors,
        maxCellinRANnode,
        maxNoMeas,
        maxCellReport,
        maxnoOTDOAtypes,
        maxServCell,
        maxGERANMeas,
        maxUTRANMeas,
        maxWLANchannels,
        maxnoFreqHoppingBandsMinusOne,
        id_Cause,
        id_CriticalityDiagnostics,
        id_LMF_UE_Measurement_ID,
        id_ReportCharacteristics,
        id_MeasurementPeriodicity,
        id_MeasurementQuantities,
        id_RAN_UE_Measurement_ID,
        id_E_CID_MeasurementResult,
        id_OTDOACells,
        id_OTDOA_Information_Type_Group,
        id_OTDOA_Information_Type_Item,
        id_MeasurementQuantities_Item,
        id_RequestedSRSTransmissionCharacteristics,
        id_Cell_Portion_ID,
        id_OtherRATMeasurementQuantities,
        id_OtherRATMeasurementQuantities_Item,
        id_OtherRATMeasurementResult,
        id_WLANMeasurementQuantities,
        id_WLANMeasurementQuantities_Item,
        id_WLANMeasurementResult,
        id_TDD_Config_EUTRA_Item,
    ]

class NRPPA_Containers:

    _name_  = u'NRPPA-Containers'
    _oid_   = [0, 4, 0, 0, 22, 3, 4, 1, 5]
    
    _obj_ = [
        u'NRPPA-PROTOCOL-IES',
        u'NRPPA-PROTOCOL-EXTENSION',
        u'NRPPA-PRIVATE-IES',
        u'ProtocolIE-Container',
        u'ProtocolIE-Single-Container',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    _type_ = [
        u'NRPPA-PROTOCOL-IES',
        u'NRPPA-PROTOCOL-EXTENSION',
        u'NRPPA-PRIVATE-IES',
        u'ProtocolIE-Container',
        u'ProtocolIE-Single-Container',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    _set_ = [
        ]
    _val_ = [
        ]
    _class_ = [
        u'NRPPA-PROTOCOL-IES',
        u'NRPPA-PROTOCOL-EXTENSION',
        u'NRPPA-PRIVATE-IES',
        ]
    _param_ = [
        u'ProtocolIE-Container',
        u'ProtocolIE-Single-Container',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    
    #-----< NRPPA-PROTOCOL-IES >-----#
    NRPPA_PROTOCOL_IES = CLASS(name=u'NRPPA-PROTOCOL-IES', mode=MODE_TYPE)
    _NRPPA_PROTOCOL_IES_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _NRPPA_PROTOCOL_IES_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Criticality')))
    _NRPPA_PROTOCOL_IES_Value = OPEN(name=u'Value', mode=MODE_TYPE)
    _NRPPA_PROTOCOL_IES_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Presence')))
    NRPPA_PROTOCOL_IES._cont = ASN1Dict([
        (u'id', _NRPPA_PROTOCOL_IES_id),
        (u'criticality', _NRPPA_PROTOCOL_IES_criticality),
        (u'Value', _NRPPA_PROTOCOL_IES_Value),
        (u'presence', _NRPPA_PROTOCOL_IES_presence),
        ])
    
    #-----< NRPPA-PROTOCOL-EXTENSION >-----#
    NRPPA_PROTOCOL_EXTENSION = CLASS(name=u'NRPPA-PROTOCOL-EXTENSION', mode=MODE_TYPE)
    _NRPPA_PROTOCOL_EXTENSION_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _NRPPA_PROTOCOL_EXTENSION_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Criticality')))
    _NRPPA_PROTOCOL_EXTENSION_Extension = OPEN(name=u'Extension', mode=MODE_TYPE)
    _NRPPA_PROTOCOL_EXTENSION_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Presence')))
    NRPPA_PROTOCOL_EXTENSION._cont = ASN1Dict([
        (u'id', _NRPPA_PROTOCOL_EXTENSION_id),
        (u'criticality', _NRPPA_PROTOCOL_EXTENSION_criticality),
        (u'Extension', _NRPPA_PROTOCOL_EXTENSION_Extension),
        (u'presence', _NRPPA_PROTOCOL_EXTENSION_presence),
        ])
    
    #-----< NRPPA-PRIVATE-IES >-----#
    NRPPA_PRIVATE_IES = CLASS(name=u'NRPPA-PRIVATE-IES', mode=MODE_TYPE)
    _NRPPA_PRIVATE_IES_id = CHOICE(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'PrivateIE-ID')))
    _NRPPA_PRIVATE_IES_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Criticality')))
    _NRPPA_PRIVATE_IES_Value = OPEN(name=u'Value', mode=MODE_TYPE)
    _NRPPA_PRIVATE_IES_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Presence')))
    NRPPA_PRIVATE_IES._cont = ASN1Dict([
        (u'id', _NRPPA_PRIVATE_IES_id),
        (u'criticality', _NRPPA_PRIVATE_IES_criticality),
        (u'Value', _NRPPA_PRIVATE_IES_Value),
        (u'presence', _NRPPA_PRIVATE_IES_presence),
        ])
    
    #-----< ProtocolIE-Container >-----#
    ProtocolIE_Container = SEQ_OF(name=u'ProtocolIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-Single-Container >-----#
    ProtocolIE_Single_Container = SEQ(name=u'ProtocolIE-Single-Container', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')), param=True)
    
    #-----< ProtocolIE-Field >-----#
    ProtocolIE_Field = SEQ(name=u'ProtocolIE-Field', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerList >-----#
    ProtocolIE_ContainerList = SEQ_OF(name=u'ProtocolIE-ContainerList', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionContainer >-----#
    ProtocolExtensionContainer = SEQ_OF(name=u'ProtocolExtensionContainer', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionField >-----#
    ProtocolExtensionField = SEQ(name=u'ProtocolExtensionField', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Container >-----#
    PrivateIE_Container = SEQ_OF(name=u'PrivateIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Field >-----#
    PrivateIE_Field = SEQ(name=u'PrivateIE-Field', mode=MODE_TYPE, param=True)
    
    _all_ = [
        _NRPPA_PROTOCOL_IES_id,
        _NRPPA_PROTOCOL_IES_criticality,
        _NRPPA_PROTOCOL_IES_Value,
        _NRPPA_PROTOCOL_IES_presence,
        NRPPA_PROTOCOL_IES,
        _NRPPA_PROTOCOL_EXTENSION_id,
        _NRPPA_PROTOCOL_EXTENSION_criticality,
        _NRPPA_PROTOCOL_EXTENSION_Extension,
        _NRPPA_PROTOCOL_EXTENSION_presence,
        NRPPA_PROTOCOL_EXTENSION,
        _NRPPA_PRIVATE_IES_id,
        _NRPPA_PRIVATE_IES_criticality,
        _NRPPA_PRIVATE_IES_Value,
        _NRPPA_PRIVATE_IES_presence,
        NRPPA_PRIVATE_IES,
    ]

class NRPPA_IEs:

    _name_  = u'NRPPA-IEs'
    _oid_   = [0, 4, 0, 0, 22, 3, 4, 1, 2]
    
    _obj_ = [
        u'BCCH',
        u'BSSID',
        u'Cause',
        u'Cause-ExtensionIE',
        u'CauseMisc',
        u'CauseProtocol',
        u'CauseRadioNetwork',
        u'Cell-Portion-ID',
        u'CGI-EUTRA',
        u'CGI-EUTRA-ExtIEs',
        u'CPLength-EUTRA',
        u'CriticalityDiagnostics',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'DL-Bandwidth-EUTRA',
        u'E-CID-MeasurementResult',
        u'E-CID-MeasurementResult-ExtIEs',
        u'EUTRACellIdentifier',
        u'EARFCN',
        u'HESSID',
        u'Measurement-ID',
        u'MeasurementPeriodicity',
        u'MeasurementQuantities',
        u'MeasurementQuantities-ItemIEs',
        u'MeasurementQuantities-Item',
        u'MeasurementQuantitiesValue-ExtIEs',
        u'MeasurementQuantitiesValue',
        u'MeasuredResults',
        u'MeasuredResultsValue',
        u'MeasuredResultsValue-ExtensionIE',
        u'NarrowBandIndex',
        u'NG-RANAccessPointPosition',
        u'NG-RANAccessPointPosition-ExtIEs',
        u'NG-RAN-CGI',
        u'NG-RAN-CGI-ExtIEs',
        u'NG-RANCell',
        u'NG-RANCell-ExtensionIE',
        u'NRCellIdentifier',
        u'NumberOfAntennaPorts-EUTRA',
        u'NumberOfDlFrames-EUTRA',
        u'NumberOfDlFrames-Extended-EUTRA',
        u'NumberOfFrequencyHoppingBands',
        u'OTDOACells',
        u'OTDOACells-ExtIEs',
        u'OTDOACell-Information',
        u'OTDOACell-Information-Item',
        u'OTDOACell-Information-Item-ExtensionIE',
        u'OTDOA-Information-Item',
        u'OtherRATMeasurementQuantities',
        u'OtherRATMeasurementQuantities-ItemIEs',
        u'OtherRATMeasurementQuantities-Item',
        u'OtherRATMeasurementQuantitiesValue-ExtIEs',
        u'OtherRATMeasurementQuantitiesValue',
        u'OtherRATMeasurementResult',
        u'OtherRATMeasuredResultsValue',
        u'OtherRATMeasuredResultsValue-ExtensionIE',
        u'PCI-EUTRA',
        u'PhysCellIDGERAN',
        u'PhysCellIDUTRA-FDD',
        u'PhysCellIDUTRA-TDD',
        u'PLMN-Identity',
        u'PRS-Bandwidth-EUTRA',
        u'PRS-ConfigurationIndex-EUTRA',
        u'PRS-ID-EUTRA',
        u'PRSMutingConfiguration-EUTRA',
        u'PRSMutingConfiguration-EUTRA-ExtensionIE',
        u'PRSOccasionGroup-EUTRA',
        u'PRSFrequencyHoppingConfiguration-EUTRA',
        u'PRSFrequencyHoppingConfiguration-EUTRA-Item-IEs',
        u'ReportCharacteristics',
        u'RequestedSRSTransmissionCharacteristics',
        u'RequestedSRSTransmissionCharacteristics-ExtIEs',
        u'ResultRSRP-EUTRA',
        u'ResultRSRP-EUTRA-Item',
        u'ResultRSRP-EUTRA-Item-ExtIEs',
        u'ResultRSRQ-EUTRA',
        u'ResultRSRQ-EUTRA-Item',
        u'ResultRSRQ-EUTRA-Item-ExtIEs',
        u'ResultGERAN',
        u'ResultGERAN-Item',
        u'ResultGERAN-Item-ExtIEs',
        u'ResultUTRAN',
        u'ResultUTRAN-Item',
        u'ResultUTRAN-Item-ExtIEs',
        u'RSSI',
        u'SFNInitialisationTime-EUTRA',
        u'SSID',
        u'TAC',
        u'TDD-Config-EUTRA-Item',
        u'TDD-Config-EUTRA-Item-Item-ExtIEs',
        u'TP-ID-EUTRA',
        u'TP-Type-EUTRA',
        u'TypeOfError',
        u'UARFCN',
        u'UTRA-EcN0',
        u'UTRA-RSCP',
        u'ValueRSRP-EUTRA',
        u'ValueRSRQ-EUTRA',
        u'WLANMeasurementQuantities',
        u'WLANMeasurementQuantities-ItemIEs',
        u'WLANMeasurementQuantities-Item',
        u'WLANMeasurementQuantitiesValue-ExtIEs',
        u'WLANMeasurementQuantitiesValue',
        u'WLANMeasurementResult',
        u'WLANMeasurementResult-Item',
        u'WLANMeasurementResult-Item-ExtIEs',
        u'WLAN-RSSI',
        u'WLANBand',
        u'WLANChannelList',
        u'WLANChannel',
        u'WLANCountryCode',
        u'WLANOperatingClass',
        ]
    _type_ = [
        u'BCCH',
        u'BSSID',
        u'Cause',
        u'CauseMisc',
        u'CauseProtocol',
        u'CauseRadioNetwork',
        u'Cell-Portion-ID',
        u'CGI-EUTRA',
        u'CPLength-EUTRA',
        u'CriticalityDiagnostics',
        u'CriticalityDiagnostics-IE-List',
        u'DL-Bandwidth-EUTRA',
        u'E-CID-MeasurementResult',
        u'EUTRACellIdentifier',
        u'EARFCN',
        u'HESSID',
        u'Measurement-ID',
        u'MeasurementPeriodicity',
        u'MeasurementQuantities',
        u'MeasurementQuantities-Item',
        u'MeasurementQuantitiesValue',
        u'MeasuredResults',
        u'MeasuredResultsValue',
        u'NarrowBandIndex',
        u'NG-RANAccessPointPosition',
        u'NG-RAN-CGI',
        u'NG-RANCell',
        u'NRCellIdentifier',
        u'NumberOfAntennaPorts-EUTRA',
        u'NumberOfDlFrames-EUTRA',
        u'NumberOfDlFrames-Extended-EUTRA',
        u'NumberOfFrequencyHoppingBands',
        u'OTDOACells',
        u'OTDOACell-Information',
        u'OTDOACell-Information-Item',
        u'OTDOA-Information-Item',
        u'OtherRATMeasurementQuantities',
        u'OtherRATMeasurementQuantities-Item',
        u'OtherRATMeasurementQuantitiesValue',
        u'OtherRATMeasurementResult',
        u'OtherRATMeasuredResultsValue',
        u'PCI-EUTRA',
        u'PhysCellIDGERAN',
        u'PhysCellIDUTRA-FDD',
        u'PhysCellIDUTRA-TDD',
        u'PLMN-Identity',
        u'PRS-Bandwidth-EUTRA',
        u'PRS-ConfigurationIndex-EUTRA',
        u'PRS-ID-EUTRA',
        u'PRSMutingConfiguration-EUTRA',
        u'PRSOccasionGroup-EUTRA',
        u'PRSFrequencyHoppingConfiguration-EUTRA',
        u'ReportCharacteristics',
        u'RequestedSRSTransmissionCharacteristics',
        u'ResultRSRP-EUTRA',
        u'ResultRSRP-EUTRA-Item',
        u'ResultRSRQ-EUTRA',
        u'ResultRSRQ-EUTRA-Item',
        u'ResultGERAN',
        u'ResultGERAN-Item',
        u'ResultUTRAN',
        u'ResultUTRAN-Item',
        u'RSSI',
        u'SFNInitialisationTime-EUTRA',
        u'SSID',
        u'TAC',
        u'TDD-Config-EUTRA-Item',
        u'TP-ID-EUTRA',
        u'TP-Type-EUTRA',
        u'TypeOfError',
        u'UARFCN',
        u'UTRA-EcN0',
        u'UTRA-RSCP',
        u'ValueRSRP-EUTRA',
        u'ValueRSRQ-EUTRA',
        u'WLANMeasurementQuantities',
        u'WLANMeasurementQuantities-Item',
        u'WLANMeasurementQuantitiesValue',
        u'WLANMeasurementResult',
        u'WLANMeasurementResult-Item',
        u'WLAN-RSSI',
        u'WLANBand',
        u'WLANChannelList',
        u'WLANChannel',
        u'WLANCountryCode',
        u'WLANOperatingClass',
        ]
    _set_ = [
        u'Cause-ExtensionIE',
        u'CGI-EUTRA-ExtIEs',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'E-CID-MeasurementResult-ExtIEs',
        u'MeasurementQuantities-ItemIEs',
        u'MeasurementQuantitiesValue-ExtIEs',
        u'MeasuredResultsValue-ExtensionIE',
        u'NG-RANAccessPointPosition-ExtIEs',
        u'NG-RAN-CGI-ExtIEs',
        u'NG-RANCell-ExtensionIE',
        u'OTDOACells-ExtIEs',
        u'OTDOACell-Information-Item-ExtensionIE',
        u'OtherRATMeasurementQuantities-ItemIEs',
        u'OtherRATMeasurementQuantitiesValue-ExtIEs',
        u'OtherRATMeasuredResultsValue-ExtensionIE',
        u'PRSMutingConfiguration-EUTRA-ExtensionIE',
        u'PRSFrequencyHoppingConfiguration-EUTRA-Item-IEs',
        u'RequestedSRSTransmissionCharacteristics-ExtIEs',
        u'ResultRSRP-EUTRA-Item-ExtIEs',
        u'ResultRSRQ-EUTRA-Item-ExtIEs',
        u'ResultGERAN-Item-ExtIEs',
        u'ResultUTRAN-Item-ExtIEs',
        u'TDD-Config-EUTRA-Item-Item-ExtIEs',
        u'WLANMeasurementQuantities-ItemIEs',
        u'WLANMeasurementQuantitiesValue-ExtIEs',
        u'WLANMeasurementResult-Item-ExtIEs',
        ]
    _val_ = [
        ]
    _class_ = [
        u'Cause-ExtensionIE',
        u'CGI-EUTRA-ExtIEs',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'E-CID-MeasurementResult-ExtIEs',
        u'MeasurementQuantities-ItemIEs',
        u'MeasurementQuantitiesValue-ExtIEs',
        u'MeasuredResultsValue-ExtensionIE',
        u'NG-RANAccessPointPosition-ExtIEs',
        u'NG-RAN-CGI-ExtIEs',
        u'NG-RANCell-ExtensionIE',
        u'OTDOACells-ExtIEs',
        u'OTDOACell-Information-Item-ExtensionIE',
        u'OtherRATMeasurementQuantities-ItemIEs',
        u'OtherRATMeasurementQuantitiesValue-ExtIEs',
        u'OtherRATMeasuredResultsValue-ExtensionIE',
        u'PRSMutingConfiguration-EUTRA-ExtensionIE',
        u'PRSFrequencyHoppingConfiguration-EUTRA-Item-IEs',
        u'RequestedSRSTransmissionCharacteristics-ExtIEs',
        u'ResultRSRP-EUTRA-Item-ExtIEs',
        u'ResultRSRQ-EUTRA-Item-ExtIEs',
        u'ResultGERAN-Item-ExtIEs',
        u'ResultUTRAN-Item-ExtIEs',
        u'TDD-Config-EUTRA-Item-Item-ExtIEs',
        u'WLANMeasurementQuantities-ItemIEs',
        u'WLANMeasurementQuantitiesValue-ExtIEs',
        u'WLANMeasurementResult-Item-ExtIEs',
        ]
    _param_ = [
        ]
    
    #-----< BCCH >-----#
    BCCH = INT(name=u'BCCH', mode=MODE_TYPE)
    BCCH._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1023)], ev=[], er=[])
    
    #-----< BSSID >-----#
    BSSID = OCT_STR(name=u'BSSID', mode=MODE_TYPE)
    BSSID._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    
    #-----< Cause >-----#
    Cause = CHOICE(name=u'Cause', mode=MODE_TYPE)
    _Cause_radioNetwork = ENUM(name=u'radioNetwork', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CauseRadioNetwork')))
    _Cause_protocol = ENUM(name=u'protocol', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CauseProtocol')))
    _Cause_misc = ENUM(name=u'misc', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CauseMisc')))
    _Cause_cause_Extension = SEQ(name=u'cause-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __Cause_cause_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___Cause_cause_Extension_id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___Cause_cause_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_cause_Extension_id._const_tab = ___Cause_cause_Extension_id_tab
    __Cause_cause_Extension_id._const_tab_at = None
    __Cause_cause_Extension_id._const_tab_id = u'id'
    __Cause_cause_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___Cause_cause_Extension_criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___Cause_cause_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_cause_Extension_criticality._const_tab = ___Cause_cause_Extension_criticality_tab
    __Cause_cause_Extension_criticality._const_tab_at = ('..', u'id')
    __Cause_cause_Extension_criticality._const_tab_id = u'criticality'
    __Cause_cause_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___Cause_cause_Extension_value_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___Cause_cause_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_cause_Extension_value._const_tab = ___Cause_cause_Extension_value_tab
    __Cause_cause_Extension_value._const_tab_at = ('..', u'id')
    __Cause_cause_Extension_value._const_tab_id = u'Value'
    _Cause_cause_Extension._cont = ASN1Dict([
        (u'id', __Cause_cause_Extension_id),
        (u'criticality', __Cause_cause_Extension_criticality),
        (u'value', __Cause_cause_Extension_value),
        ])
    _Cause_cause_Extension._ext = None
    Cause._cont = ASN1Dict([
        (u'radioNetwork', _Cause_radioNetwork),
        (u'protocol', _Cause_protocol),
        (u'misc', _Cause_misc),
        (u'cause-Extension', _Cause_cause_Extension),
        ])
    Cause._ext = None
    
    #-----< Cause-ExtensionIE >-----#
    Cause_ExtensionIE = CLASS(name=u'Cause-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    Cause_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CauseMisc >-----#
    CauseMisc = ENUM(name=u'CauseMisc', mode=MODE_TYPE)
    CauseMisc._cont = ASN1Dict([(u'unspecified', 0)])
    CauseMisc._ext = []
    
    #-----< CauseProtocol >-----#
    CauseProtocol = ENUM(name=u'CauseProtocol', mode=MODE_TYPE)
    CauseProtocol._cont = ASN1Dict([(u'transfer-syntax-error', 0), (u'abstract-syntax-error-reject', 1), (u'abstract-syntax-error-ignore-and-notify', 2), (u'message-not-compatible-with-receiver-state', 3), (u'semantic-error', 4), (u'unspecified', 5), (u'abstract-syntax-error-falsely-constructed-message', 6)])
    CauseProtocol._ext = []
    
    #-----< CauseRadioNetwork >-----#
    CauseRadioNetwork = ENUM(name=u'CauseRadioNetwork', mode=MODE_TYPE)
    CauseRadioNetwork._cont = ASN1Dict([(u'unspecified', 0), (u'requested-item-not-supported', 1), (u'requested-item-temporarily-not-available', 2)])
    CauseRadioNetwork._ext = []
    
    #-----< Cell-Portion-ID >-----#
    Cell_Portion_ID = INT(name=u'Cell-Portion-ID', mode=MODE_TYPE)
    Cell_Portion_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< CGI-EUTRA >-----#
    CGI_EUTRA = SEQ(name=u'CGI-EUTRA', mode=MODE_TYPE)
    _CGI_EUTRA_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PLMN-Identity')))
    _CGI_EUTRA_eUTRAcellIdentifier = BIT_STR(name=u'eUTRAcellIdentifier', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'EUTRACellIdentifier')))
    _CGI_EUTRA_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CGI_EUTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___CGI_EUTRA_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____CGI_EUTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____CGI_EUTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CGI_EUTRA_iE_Extensions__item__id._const_tab = ____CGI_EUTRA_iE_Extensions__item__id_tab
    ___CGI_EUTRA_iE_Extensions__item__id._const_tab_at = None
    ___CGI_EUTRA_iE_Extensions__item__id._const_tab_id = u'id'
    ___CGI_EUTRA_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____CGI_EUTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____CGI_EUTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CGI_EUTRA_iE_Extensions__item__criticality._const_tab = ____CGI_EUTRA_iE_Extensions__item__criticality_tab
    ___CGI_EUTRA_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___CGI_EUTRA_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___CGI_EUTRA_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____CGI_EUTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____CGI_EUTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CGI_EUTRA_iE_Extensions__item__extensionValue._const_tab = ____CGI_EUTRA_iE_Extensions__item__extensionValue_tab
    ___CGI_EUTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___CGI_EUTRA_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __CGI_EUTRA_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___CGI_EUTRA_iE_Extensions__item__id),
        (u'criticality', ___CGI_EUTRA_iE_Extensions__item__criticality),
        (u'extensionValue', ___CGI_EUTRA_iE_Extensions__item__extensionValue),
        ])
    __CGI_EUTRA_iE_Extensions__item_._ext = None
    _CGI_EUTRA_iE_Extensions._cont = __CGI_EUTRA_iE_Extensions__item_
    _CGI_EUTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CGI_EUTRA._cont = ASN1Dict([
        (u'pLMN-Identity', _CGI_EUTRA_pLMN_Identity),
        (u'eUTRAcellIdentifier', _CGI_EUTRA_eUTRAcellIdentifier),
        (u'iE-Extensions', _CGI_EUTRA_iE_Extensions),
        ])
    CGI_EUTRA._ext = []
    
    #-----< CGI-EUTRA-ExtIEs >-----#
    CGI_EUTRA_ExtIEs = CLASS(name=u'CGI-EUTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    CGI_EUTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CPLength-EUTRA >-----#
    CPLength_EUTRA = ENUM(name=u'CPLength-EUTRA', mode=MODE_TYPE)
    CPLength_EUTRA._cont = ASN1Dict([(u'normal', 0), (u'extended', 1)])
    CPLength_EUTRA._ext = []
    
    #-----< CriticalityDiagnostics >-----#
    CriticalityDiagnostics = SEQ(name=u'CriticalityDiagnostics', mode=MODE_TYPE)
    _CriticalityDiagnostics_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')), opt=True)
    _CriticalityDiagnostics_triggeringMessage = ENUM(name=u'triggeringMessage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'TriggeringMessage')), opt=True)
    _CriticalityDiagnostics_procedureCriticality = ENUM(name=u'procedureCriticality', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Criticality')), opt=True)
    _CriticalityDiagnostics_nrppatransactionID = INT(name=u'nrppatransactionID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'NRPPATransactionID')), opt=True)
    _CriticalityDiagnostics_iEsCriticalityDiagnostics = SEQ_OF(name=u'iEsCriticalityDiagnostics', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics-IE-List')), opt=True)
    _CriticalityDiagnostics_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CriticalityDiagnostics_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___CriticalityDiagnostics_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__id_tab
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_at = None
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_id = u'id'
    ___CriticalityDiagnostics_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __CriticalityDiagnostics_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___CriticalityDiagnostics_iE_Extensions__item__id),
        (u'criticality', ___CriticalityDiagnostics_iE_Extensions__item__criticality),
        (u'extensionValue', ___CriticalityDiagnostics_iE_Extensions__item__extensionValue),
        ])
    __CriticalityDiagnostics_iE_Extensions__item_._ext = None
    _CriticalityDiagnostics_iE_Extensions._cont = __CriticalityDiagnostics_iE_Extensions__item_
    _CriticalityDiagnostics_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CriticalityDiagnostics._cont = ASN1Dict([
        (u'procedureCode', _CriticalityDiagnostics_procedureCode),
        (u'triggeringMessage', _CriticalityDiagnostics_triggeringMessage),
        (u'procedureCriticality', _CriticalityDiagnostics_procedureCriticality),
        (u'nrppatransactionID', _CriticalityDiagnostics_nrppatransactionID),
        (u'iEsCriticalityDiagnostics', _CriticalityDiagnostics_iEsCriticalityDiagnostics),
        (u'iE-Extensions', _CriticalityDiagnostics_iE_Extensions),
        ])
    CriticalityDiagnostics._ext = []
    
    #-----< CriticalityDiagnostics-ExtIEs >-----#
    CriticalityDiagnostics_ExtIEs = CLASS(name=u'CriticalityDiagnostics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics-IE-List >-----#
    CriticalityDiagnostics_IE_List = SEQ_OF(name=u'CriticalityDiagnostics-IE-List', mode=MODE_TYPE)
    _CriticalityDiagnostics_IE_List__item_ = SEQ(name='_item_', mode=MODE_TYPE)
    __CriticalityDiagnostics_IE_List__item__iECriticality = ENUM(name=u'iECriticality', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Criticality')))
    __CriticalityDiagnostics_IE_List__item__iE_ID = INT(name=u'iE-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProtocolIE-ID')))
    __CriticalityDiagnostics_IE_List__item__typeOfError = ENUM(name=u'typeOfError', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'TypeOfError')))
    __CriticalityDiagnostics_IE_List__item__iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_at = None
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_id = u'id'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id),
        (u'criticality', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality),
        (u'extensionValue', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue),
        ])
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._ext = None
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._cont = ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    _CriticalityDiagnostics_IE_List__item_._cont = ASN1Dict([
        (u'iECriticality', __CriticalityDiagnostics_IE_List__item__iECriticality),
        (u'iE-ID', __CriticalityDiagnostics_IE_List__item__iE_ID),
        (u'typeOfError', __CriticalityDiagnostics_IE_List__item__typeOfError),
        (u'iE-Extensions', __CriticalityDiagnostics_IE_List__item__iE_Extensions),
        ])
    _CriticalityDiagnostics_IE_List__item_._ext = []
    CriticalityDiagnostics_IE_List._cont = _CriticalityDiagnostics_IE_List__item_
    CriticalityDiagnostics_IE_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< CriticalityDiagnostics-IE-List-ExtIEs >-----#
    CriticalityDiagnostics_IE_List_ExtIEs = CLASS(name=u'CriticalityDiagnostics-IE-List-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_IE_List_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DL-Bandwidth-EUTRA >-----#
    DL_Bandwidth_EUTRA = ENUM(name=u'DL-Bandwidth-EUTRA', mode=MODE_TYPE)
    DL_Bandwidth_EUTRA._cont = ASN1Dict([(u'bw6', 0), (u'bw15', 1), (u'bw25', 2), (u'bw50', 3), (u'bw75', 4), (u'bw100', 5)])
    DL_Bandwidth_EUTRA._ext = []
    
    #-----< E-CID-MeasurementResult >-----#
    E_CID_MeasurementResult = SEQ(name=u'E-CID-MeasurementResult', mode=MODE_TYPE)
    _E_CID_MeasurementResult_servingCell_ID = SEQ(name=u'servingCell-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NG-RAN-CGI')))
    _E_CID_MeasurementResult_servingCellTAC = OCT_STR(name=u'servingCellTAC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'TAC')))
    _E_CID_MeasurementResult_nG_RANAccessPointPosition = SEQ(name=u'nG-RANAccessPointPosition', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NG-RANAccessPointPosition')), opt=True)
    _E_CID_MeasurementResult_measuredResults = SEQ_OF(name=u'measuredResults', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'MeasuredResults')), opt=True)
    _E_CID_MeasurementResult_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_CID_MeasurementResult_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___E_CID_MeasurementResult_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____E_CID_MeasurementResult_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____E_CID_MeasurementResult_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_CID_MeasurementResult_iE_Extensions__item__id._const_tab = ____E_CID_MeasurementResult_iE_Extensions__item__id_tab
    ___E_CID_MeasurementResult_iE_Extensions__item__id._const_tab_at = None
    ___E_CID_MeasurementResult_iE_Extensions__item__id._const_tab_id = u'id'
    ___E_CID_MeasurementResult_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____E_CID_MeasurementResult_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____E_CID_MeasurementResult_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_CID_MeasurementResult_iE_Extensions__item__criticality._const_tab = ____E_CID_MeasurementResult_iE_Extensions__item__criticality_tab
    ___E_CID_MeasurementResult_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___E_CID_MeasurementResult_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___E_CID_MeasurementResult_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____E_CID_MeasurementResult_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____E_CID_MeasurementResult_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_CID_MeasurementResult_iE_Extensions__item__extensionValue._const_tab = ____E_CID_MeasurementResult_iE_Extensions__item__extensionValue_tab
    ___E_CID_MeasurementResult_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___E_CID_MeasurementResult_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __E_CID_MeasurementResult_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___E_CID_MeasurementResult_iE_Extensions__item__id),
        (u'criticality', ___E_CID_MeasurementResult_iE_Extensions__item__criticality),
        (u'extensionValue', ___E_CID_MeasurementResult_iE_Extensions__item__extensionValue),
        ])
    __E_CID_MeasurementResult_iE_Extensions__item_._ext = None
    _E_CID_MeasurementResult_iE_Extensions._cont = __E_CID_MeasurementResult_iE_Extensions__item_
    _E_CID_MeasurementResult_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_CID_MeasurementResult._cont = ASN1Dict([
        (u'servingCell-ID', _E_CID_MeasurementResult_servingCell_ID),
        (u'servingCellTAC', _E_CID_MeasurementResult_servingCellTAC),
        (u'nG-RANAccessPointPosition', _E_CID_MeasurementResult_nG_RANAccessPointPosition),
        (u'measuredResults', _E_CID_MeasurementResult_measuredResults),
        (u'iE-Extensions', _E_CID_MeasurementResult_iE_Extensions),
        ])
    E_CID_MeasurementResult._ext = []
    
    #-----< E-CID-MeasurementResult-ExtIEs >-----#
    E_CID_MeasurementResult_ExtIEs = CLASS(name=u'E-CID-MeasurementResult-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    E_CID_MeasurementResult_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EUTRACellIdentifier >-----#
    EUTRACellIdentifier = BIT_STR(name=u'EUTRACellIdentifier', mode=MODE_TYPE)
    EUTRACellIdentifier._const_sz = ASN1Set(rv=[28], rr=[], ev=None, er=[])
    
    #-----< EARFCN >-----#
    EARFCN = INT(name=u'EARFCN', mode=MODE_TYPE)
    EARFCN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=262143)], ev=[], er=[])
    
    #-----< HESSID >-----#
    HESSID = OCT_STR(name=u'HESSID', mode=MODE_TYPE)
    HESSID._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    
    #-----< Measurement-ID >-----#
    Measurement_ID = INT(name=u'Measurement-ID', mode=MODE_TYPE)
    Measurement_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=15)], ev=[], er=[])
    
    #-----< MeasurementPeriodicity >-----#
    MeasurementPeriodicity = ENUM(name=u'MeasurementPeriodicity', mode=MODE_TYPE)
    MeasurementPeriodicity._cont = ASN1Dict([(u'ms120', 0), (u'ms240', 1), (u'ms480', 2), (u'ms640', 3), (u'ms1024', 4), (u'ms2048', 5), (u'ms5120', 6), (u'ms10240', 7), (u'min1', 8), (u'min6', 9), (u'min12', 10), (u'min30', 11), (u'min60', 12)])
    MeasurementPeriodicity._ext = []
    
    #-----< MeasurementQuantities >-----#
    MeasurementQuantities = SEQ_OF(name=u'MeasurementQuantities', mode=MODE_TYPE)
    _MeasurementQuantities__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __MeasurementQuantities__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___MeasurementQuantities__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ____MeasurementQuantities__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementQuantities-Item')))
    ___MeasurementQuantities__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', ____MeasurementQuantities__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __MeasurementQuantities__item__id._const_tab = ___MeasurementQuantities__item__id_tab
    __MeasurementQuantities__item__id._const_tab_at = None
    __MeasurementQuantities__item__id._const_tab_id = u'id'
    __MeasurementQuantities__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    __MeasurementQuantities__item__criticality._const_tab = ___MeasurementQuantities__item__id_tab
    __MeasurementQuantities__item__criticality._const_tab_at = ('..', u'id')
    __MeasurementQuantities__item__criticality._const_tab_id = u'criticality'
    __MeasurementQuantities__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    __MeasurementQuantities__item__value._const_tab = ___MeasurementQuantities__item__id_tab
    __MeasurementQuantities__item__value._const_tab_at = ('..', u'id')
    __MeasurementQuantities__item__value._const_tab_id = u'Value'
    _MeasurementQuantities__item_._cont = ASN1Dict([
        (u'id', __MeasurementQuantities__item__id),
        (u'criticality', __MeasurementQuantities__item__criticality),
        (u'value', __MeasurementQuantities__item__value),
        ])
    _MeasurementQuantities__item_._ext = None
    MeasurementQuantities._cont = _MeasurementQuantities__item_
    MeasurementQuantities._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=63)], ev=None, er=[])
    
    #-----< MeasurementQuantities-ItemIEs >-----#
    MeasurementQuantities_ItemIEs = CLASS(name=u'MeasurementQuantities-ItemIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _MeasurementQuantities_ItemIEs_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementQuantities-Item')))
    MeasurementQuantities_ItemIEs._val = ASN1Set(rv=[dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _MeasurementQuantities_ItemIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    
    #-----< MeasurementQuantities-Item >-----#
    MeasurementQuantities_Item = SEQ(name=u'MeasurementQuantities-Item', mode=MODE_TYPE)
    _MeasurementQuantities_Item_measurementQuantitiesValue = ENUM(name=u'measurementQuantitiesValue', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementQuantitiesValue')))
    _MeasurementQuantities_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MeasurementQuantities_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___MeasurementQuantities_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____MeasurementQuantities_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____MeasurementQuantities_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MeasurementQuantities_Item_iE_Extensions__item__id._const_tab = ____MeasurementQuantities_Item_iE_Extensions__item__id_tab
    ___MeasurementQuantities_Item_iE_Extensions__item__id._const_tab_at = None
    ___MeasurementQuantities_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___MeasurementQuantities_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____MeasurementQuantities_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____MeasurementQuantities_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab = ____MeasurementQuantities_Item_iE_Extensions__item__criticality_tab
    ___MeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MeasurementQuantities_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____MeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____MeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab = ____MeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab
    ___MeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MeasurementQuantities_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MeasurementQuantities_Item_iE_Extensions__item__id),
        (u'criticality', ___MeasurementQuantities_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___MeasurementQuantities_Item_iE_Extensions__item__extensionValue),
        ])
    __MeasurementQuantities_Item_iE_Extensions__item_._ext = None
    _MeasurementQuantities_Item_iE_Extensions._cont = __MeasurementQuantities_Item_iE_Extensions__item_
    _MeasurementQuantities_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MeasurementQuantities_Item._cont = ASN1Dict([
        (u'measurementQuantitiesValue', _MeasurementQuantities_Item_measurementQuantitiesValue),
        (u'iE-Extensions', _MeasurementQuantities_Item_iE_Extensions),
        ])
    MeasurementQuantities_Item._ext = []
    
    #-----< MeasurementQuantitiesValue-ExtIEs >-----#
    MeasurementQuantitiesValue_ExtIEs = CLASS(name=u'MeasurementQuantitiesValue-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    MeasurementQuantitiesValue_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MeasurementQuantitiesValue >-----#
    MeasurementQuantitiesValue = ENUM(name=u'MeasurementQuantitiesValue', mode=MODE_TYPE)
    MeasurementQuantitiesValue._cont = ASN1Dict([(u'cell-ID', 0), (u'angleOfArrival', 1), (u'timingAdvanceType1', 2), (u'timingAdvanceType2', 3), (u'rSRP', 4), (u'rSRQ', 5)])
    MeasurementQuantitiesValue._ext = []
    
    #-----< MeasuredResults >-----#
    MeasuredResults = SEQ_OF(name=u'MeasuredResults', mode=MODE_TYPE)
    _MeasuredResults__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasuredResultsValue')))
    MeasuredResults._cont = _MeasuredResults__item_
    MeasuredResults._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=63)], ev=None, er=[])
    
    #-----< MeasuredResultsValue >-----#
    MeasuredResultsValue = CHOICE(name=u'MeasuredResultsValue', mode=MODE_TYPE)
    _MeasuredResultsValue_valueAngleOfArrival_EUTRA = INT(name=u'valueAngleOfArrival-EUTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MeasuredResultsValue_valueAngleOfArrival_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=719)], ev=None, er=[])
    _MeasuredResultsValue_valueTimingAdvanceType1_EUTRA = INT(name=u'valueTimingAdvanceType1-EUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MeasuredResultsValue_valueTimingAdvanceType1_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7690)], ev=None, er=[])
    _MeasuredResultsValue_valueTimingAdvanceType2_EUTRA = INT(name=u'valueTimingAdvanceType2-EUTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MeasuredResultsValue_valueTimingAdvanceType2_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7690)], ev=None, er=[])
    _MeasuredResultsValue_resultRSRP_EUTRA = SEQ_OF(name=u'resultRSRP-EUTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'ResultRSRP-EUTRA')))
    _MeasuredResultsValue_resultRSRQ_EUTRA = SEQ_OF(name=u'resultRSRQ-EUTRA', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'ResultRSRQ-EUTRA')))
    _MeasuredResultsValue_measuredResultsValue_Extension = SEQ(name=u'measuredResultsValue-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __MeasuredResultsValue_measuredResultsValue_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___MeasuredResultsValue_measuredResultsValue_Extension_id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___MeasuredResultsValue_measuredResultsValue_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MeasuredResultsValue_measuredResultsValue_Extension_id._const_tab = ___MeasuredResultsValue_measuredResultsValue_Extension_id_tab
    __MeasuredResultsValue_measuredResultsValue_Extension_id._const_tab_at = None
    __MeasuredResultsValue_measuredResultsValue_Extension_id._const_tab_id = u'id'
    __MeasuredResultsValue_measuredResultsValue_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___MeasuredResultsValue_measuredResultsValue_Extension_criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___MeasuredResultsValue_measuredResultsValue_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MeasuredResultsValue_measuredResultsValue_Extension_criticality._const_tab = ___MeasuredResultsValue_measuredResultsValue_Extension_criticality_tab
    __MeasuredResultsValue_measuredResultsValue_Extension_criticality._const_tab_at = ('..', u'id')
    __MeasuredResultsValue_measuredResultsValue_Extension_criticality._const_tab_id = u'criticality'
    __MeasuredResultsValue_measuredResultsValue_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___MeasuredResultsValue_measuredResultsValue_Extension_value_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___MeasuredResultsValue_measuredResultsValue_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MeasuredResultsValue_measuredResultsValue_Extension_value._const_tab = ___MeasuredResultsValue_measuredResultsValue_Extension_value_tab
    __MeasuredResultsValue_measuredResultsValue_Extension_value._const_tab_at = ('..', u'id')
    __MeasuredResultsValue_measuredResultsValue_Extension_value._const_tab_id = u'Value'
    _MeasuredResultsValue_measuredResultsValue_Extension._cont = ASN1Dict([
        (u'id', __MeasuredResultsValue_measuredResultsValue_Extension_id),
        (u'criticality', __MeasuredResultsValue_measuredResultsValue_Extension_criticality),
        (u'value', __MeasuredResultsValue_measuredResultsValue_Extension_value),
        ])
    _MeasuredResultsValue_measuredResultsValue_Extension._ext = None
    MeasuredResultsValue._cont = ASN1Dict([
        (u'valueAngleOfArrival-EUTRA', _MeasuredResultsValue_valueAngleOfArrival_EUTRA),
        (u'valueTimingAdvanceType1-EUTRA', _MeasuredResultsValue_valueTimingAdvanceType1_EUTRA),
        (u'valueTimingAdvanceType2-EUTRA', _MeasuredResultsValue_valueTimingAdvanceType2_EUTRA),
        (u'resultRSRP-EUTRA', _MeasuredResultsValue_resultRSRP_EUTRA),
        (u'resultRSRQ-EUTRA', _MeasuredResultsValue_resultRSRQ_EUTRA),
        (u'measuredResultsValue-Extension', _MeasuredResultsValue_measuredResultsValue_Extension),
        ])
    MeasuredResultsValue._ext = None
    
    #-----< MeasuredResultsValue-ExtensionIE >-----#
    MeasuredResultsValue_ExtensionIE = CLASS(name=u'MeasuredResultsValue-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    MeasuredResultsValue_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NarrowBandIndex >-----#
    NarrowBandIndex = INT(name=u'NarrowBandIndex', mode=MODE_TYPE)
    NarrowBandIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=[], er=[])
    
    #-----< NG-RANAccessPointPosition >-----#
    NG_RANAccessPointPosition = SEQ(name=u'NG-RANAccessPointPosition', mode=MODE_TYPE)
    _NG_RANAccessPointPosition_latitudeSign = ENUM(name=u'latitudeSign', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_latitudeSign._cont = ASN1Dict([(u'north', 0), (u'south', 1)])
    _NG_RANAccessPointPosition_latitudeSign._ext = None
    _NG_RANAccessPointPosition_latitude = INT(name=u'latitude', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_latitude._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=8388607)], ev=None, er=[])
    _NG_RANAccessPointPosition_longitude = INT(name=u'longitude', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_longitude._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=-8388608, ub=8388607)], ev=None, er=[])
    _NG_RANAccessPointPosition_directionOfAltitude = ENUM(name=u'directionOfAltitude', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_directionOfAltitude._cont = ASN1Dict([(u'height', 0), (u'depth', 1)])
    _NG_RANAccessPointPosition_directionOfAltitude._ext = None
    _NG_RANAccessPointPosition_altitude = INT(name=u'altitude', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_altitude._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=32767)], ev=None, er=[])
    _NG_RANAccessPointPosition_uncertaintySemi_major = INT(name=u'uncertaintySemi-major', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_uncertaintySemi_major._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=127)], ev=None, er=[])
    _NG_RANAccessPointPosition_uncertaintySemi_minor = INT(name=u'uncertaintySemi-minor', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_uncertaintySemi_minor._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=127)], ev=None, er=[])
    _NG_RANAccessPointPosition_orientationOfMajorAxis = INT(name=u'orientationOfMajorAxis', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_orientationOfMajorAxis._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=179)], ev=None, er=[])
    _NG_RANAccessPointPosition_uncertaintyAltitude = INT(name=u'uncertaintyAltitude', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_uncertaintyAltitude._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=127)], ev=None, er=[])
    _NG_RANAccessPointPosition_confidence = INT(name=u'confidence', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NG_RANAccessPointPosition_confidence._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=100)], ev=None, er=[])
    _NG_RANAccessPointPosition_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NG_RANAccessPointPosition_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___NG_RANAccessPointPosition_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____NG_RANAccessPointPosition_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____NG_RANAccessPointPosition_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RANAccessPointPosition_iE_Extensions__item__id._const_tab = ____NG_RANAccessPointPosition_iE_Extensions__item__id_tab
    ___NG_RANAccessPointPosition_iE_Extensions__item__id._const_tab_at = None
    ___NG_RANAccessPointPosition_iE_Extensions__item__id._const_tab_id = u'id'
    ___NG_RANAccessPointPosition_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NG_RANAccessPointPosition_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____NG_RANAccessPointPosition_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RANAccessPointPosition_iE_Extensions__item__criticality._const_tab = ____NG_RANAccessPointPosition_iE_Extensions__item__criticality_tab
    ___NG_RANAccessPointPosition_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NG_RANAccessPointPosition_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NG_RANAccessPointPosition_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NG_RANAccessPointPosition_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____NG_RANAccessPointPosition_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RANAccessPointPosition_iE_Extensions__item__extensionValue._const_tab = ____NG_RANAccessPointPosition_iE_Extensions__item__extensionValue_tab
    ___NG_RANAccessPointPosition_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NG_RANAccessPointPosition_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NG_RANAccessPointPosition_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NG_RANAccessPointPosition_iE_Extensions__item__id),
        (u'criticality', ___NG_RANAccessPointPosition_iE_Extensions__item__criticality),
        (u'extensionValue', ___NG_RANAccessPointPosition_iE_Extensions__item__extensionValue),
        ])
    __NG_RANAccessPointPosition_iE_Extensions__item_._ext = None
    _NG_RANAccessPointPosition_iE_Extensions._cont = __NG_RANAccessPointPosition_iE_Extensions__item_
    _NG_RANAccessPointPosition_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NG_RANAccessPointPosition._cont = ASN1Dict([
        (u'latitudeSign', _NG_RANAccessPointPosition_latitudeSign),
        (u'latitude', _NG_RANAccessPointPosition_latitude),
        (u'longitude', _NG_RANAccessPointPosition_longitude),
        (u'directionOfAltitude', _NG_RANAccessPointPosition_directionOfAltitude),
        (u'altitude', _NG_RANAccessPointPosition_altitude),
        (u'uncertaintySemi-major', _NG_RANAccessPointPosition_uncertaintySemi_major),
        (u'uncertaintySemi-minor', _NG_RANAccessPointPosition_uncertaintySemi_minor),
        (u'orientationOfMajorAxis', _NG_RANAccessPointPosition_orientationOfMajorAxis),
        (u'uncertaintyAltitude', _NG_RANAccessPointPosition_uncertaintyAltitude),
        (u'confidence', _NG_RANAccessPointPosition_confidence),
        (u'iE-Extensions', _NG_RANAccessPointPosition_iE_Extensions),
        ])
    NG_RANAccessPointPosition._ext = []
    
    #-----< NG-RANAccessPointPosition-ExtIEs >-----#
    NG_RANAccessPointPosition_ExtIEs = CLASS(name=u'NG-RANAccessPointPosition-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    NG_RANAccessPointPosition_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-CGI >-----#
    NG_RAN_CGI = SEQ(name=u'NG-RAN-CGI', mode=MODE_TYPE)
    _NG_RAN_CGI_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PLMN-Identity')))
    _NG_RAN_CGI_nG_RANcell = CHOICE(name=u'nG-RANcell', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NG-RANCell')))
    _NG_RAN_CGI_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NG_RAN_CGI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___NG_RAN_CGI_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____NG_RAN_CGI_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____NG_RAN_CGI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RAN_CGI_iE_Extensions__item__id._const_tab = ____NG_RAN_CGI_iE_Extensions__item__id_tab
    ___NG_RAN_CGI_iE_Extensions__item__id._const_tab_at = None
    ___NG_RAN_CGI_iE_Extensions__item__id._const_tab_id = u'id'
    ___NG_RAN_CGI_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NG_RAN_CGI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____NG_RAN_CGI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RAN_CGI_iE_Extensions__item__criticality._const_tab = ____NG_RAN_CGI_iE_Extensions__item__criticality_tab
    ___NG_RAN_CGI_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NG_RAN_CGI_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NG_RAN_CGI_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NG_RAN_CGI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____NG_RAN_CGI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NG_RAN_CGI_iE_Extensions__item__extensionValue._const_tab = ____NG_RAN_CGI_iE_Extensions__item__extensionValue_tab
    ___NG_RAN_CGI_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NG_RAN_CGI_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NG_RAN_CGI_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NG_RAN_CGI_iE_Extensions__item__id),
        (u'criticality', ___NG_RAN_CGI_iE_Extensions__item__criticality),
        (u'extensionValue', ___NG_RAN_CGI_iE_Extensions__item__extensionValue),
        ])
    __NG_RAN_CGI_iE_Extensions__item_._ext = None
    _NG_RAN_CGI_iE_Extensions._cont = __NG_RAN_CGI_iE_Extensions__item_
    _NG_RAN_CGI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NG_RAN_CGI._cont = ASN1Dict([
        (u'pLMN-Identity', _NG_RAN_CGI_pLMN_Identity),
        (u'nG-RANcell', _NG_RAN_CGI_nG_RANcell),
        (u'iE-Extensions', _NG_RAN_CGI_iE_Extensions),
        ])
    NG_RAN_CGI._ext = []
    
    #-----< NG-RAN-CGI-ExtIEs >-----#
    NG_RAN_CGI_ExtIEs = CLASS(name=u'NG-RAN-CGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    NG_RAN_CGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RANCell >-----#
    NG_RANCell = CHOICE(name=u'NG-RANCell', mode=MODE_TYPE)
    _NG_RANCell_eUTRA_CellID = BIT_STR(name=u'eUTRA-CellID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'EUTRACellIdentifier')))
    _NG_RANCell_nR_CellID = BIT_STR(name=u'nR-CellID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NRCellIdentifier')))
    _NG_RANCell_nG_RANCell_Extension = SEQ(name=u'nG-RANCell-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __NG_RANCell_nG_RANCell_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___NG_RANCell_nG_RANCell_Extension_id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___NG_RANCell_nG_RANCell_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RANCell_nG_RANCell_Extension_id._const_tab = ___NG_RANCell_nG_RANCell_Extension_id_tab
    __NG_RANCell_nG_RANCell_Extension_id._const_tab_at = None
    __NG_RANCell_nG_RANCell_Extension_id._const_tab_id = u'id'
    __NG_RANCell_nG_RANCell_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___NG_RANCell_nG_RANCell_Extension_criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___NG_RANCell_nG_RANCell_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RANCell_nG_RANCell_Extension_criticality._const_tab = ___NG_RANCell_nG_RANCell_Extension_criticality_tab
    __NG_RANCell_nG_RANCell_Extension_criticality._const_tab_at = ('..', u'id')
    __NG_RANCell_nG_RANCell_Extension_criticality._const_tab_id = u'criticality'
    __NG_RANCell_nG_RANCell_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___NG_RANCell_nG_RANCell_Extension_value_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___NG_RANCell_nG_RANCell_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RANCell_nG_RANCell_Extension_value._const_tab = ___NG_RANCell_nG_RANCell_Extension_value_tab
    __NG_RANCell_nG_RANCell_Extension_value._const_tab_at = ('..', u'id')
    __NG_RANCell_nG_RANCell_Extension_value._const_tab_id = u'Value'
    _NG_RANCell_nG_RANCell_Extension._cont = ASN1Dict([
        (u'id', __NG_RANCell_nG_RANCell_Extension_id),
        (u'criticality', __NG_RANCell_nG_RANCell_Extension_criticality),
        (u'value', __NG_RANCell_nG_RANCell_Extension_value),
        ])
    _NG_RANCell_nG_RANCell_Extension._ext = None
    NG_RANCell._cont = ASN1Dict([
        (u'eUTRA-CellID', _NG_RANCell_eUTRA_CellID),
        (u'nR-CellID', _NG_RANCell_nR_CellID),
        (u'nG-RANCell-Extension', _NG_RANCell_nG_RANCell_Extension),
        ])
    NG_RANCell._ext = None
    
    #-----< NG-RANCell-ExtensionIE >-----#
    NG_RANCell_ExtensionIE = CLASS(name=u'NG-RANCell-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    NG_RANCell_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRCellIdentifier >-----#
    NRCellIdentifier = BIT_STR(name=u'NRCellIdentifier', mode=MODE_TYPE)
    NRCellIdentifier._const_sz = ASN1Set(rv=[36], rr=[], ev=None, er=[])
    
    #-----< NumberOfAntennaPorts-EUTRA >-----#
    NumberOfAntennaPorts_EUTRA = ENUM(name=u'NumberOfAntennaPorts-EUTRA', mode=MODE_TYPE)
    NumberOfAntennaPorts_EUTRA._cont = ASN1Dict([(u'n1-or-n2', 0), (u'n4', 1)])
    NumberOfAntennaPorts_EUTRA._ext = []
    
    #-----< NumberOfDlFrames-EUTRA >-----#
    NumberOfDlFrames_EUTRA = ENUM(name=u'NumberOfDlFrames-EUTRA', mode=MODE_TYPE)
    NumberOfDlFrames_EUTRA._cont = ASN1Dict([(u'sf1', 0), (u'sf2', 1), (u'sf4', 2), (u'sf6', 3)])
    NumberOfDlFrames_EUTRA._ext = []
    
    #-----< NumberOfDlFrames-Extended-EUTRA >-----#
    NumberOfDlFrames_Extended_EUTRA = INT(name=u'NumberOfDlFrames-Extended-EUTRA', mode=MODE_TYPE)
    NumberOfDlFrames_Extended_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=160)], ev=[], er=[])
    
    #-----< NumberOfFrequencyHoppingBands >-----#
    NumberOfFrequencyHoppingBands = ENUM(name=u'NumberOfFrequencyHoppingBands', mode=MODE_TYPE)
    NumberOfFrequencyHoppingBands._cont = ASN1Dict([(u'twobands', 0), (u'fourbands', 1)])
    NumberOfFrequencyHoppingBands._ext = []
    
    #-----< OTDOACells >-----#
    OTDOACells = SEQ_OF(name=u'OTDOACells', mode=MODE_TYPE)
    _OTDOACells__item_ = SEQ(name='_item_', mode=MODE_TYPE)
    __OTDOACells__item__oTDOACellInfo = SEQ_OF(name=u'oTDOACellInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'OTDOACell-Information')))
    __OTDOACells__item__iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    ___OTDOACells__item__iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ____OTDOACells__item__iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    _____OTDOACells__item__iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    _____OTDOACells__item__iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____OTDOACells__item__iE_Extensions__item__id._const_tab = _____OTDOACells__item__iE_Extensions__item__id_tab
    ____OTDOACells__item__iE_Extensions__item__id._const_tab_at = None
    ____OTDOACells__item__iE_Extensions__item__id._const_tab_id = u'id'
    ____OTDOACells__item__iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    _____OTDOACells__item__iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    _____OTDOACells__item__iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____OTDOACells__item__iE_Extensions__item__criticality._const_tab = _____OTDOACells__item__iE_Extensions__item__criticality_tab
    ____OTDOACells__item__iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ____OTDOACells__item__iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ____OTDOACells__item__iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    _____OTDOACells__item__iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    _____OTDOACells__item__iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____OTDOACells__item__iE_Extensions__item__extensionValue._const_tab = _____OTDOACells__item__iE_Extensions__item__extensionValue_tab
    ____OTDOACells__item__iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ____OTDOACells__item__iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    ___OTDOACells__item__iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ____OTDOACells__item__iE_Extensions__item__id),
        (u'criticality', ____OTDOACells__item__iE_Extensions__item__criticality),
        (u'extensionValue', ____OTDOACells__item__iE_Extensions__item__extensionValue),
        ])
    ___OTDOACells__item__iE_Extensions__item_._ext = None
    __OTDOACells__item__iE_Extensions._cont = ___OTDOACells__item__iE_Extensions__item_
    __OTDOACells__item__iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    _OTDOACells__item_._cont = ASN1Dict([
        (u'oTDOACellInfo', __OTDOACells__item__oTDOACellInfo),
        (u'iE-Extensions', __OTDOACells__item__iE_Extensions),
        ])
    _OTDOACells__item_._ext = []
    OTDOACells._cont = _OTDOACells__item_
    OTDOACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3840)], ev=None, er=[])
    
    #-----< OTDOACells-ExtIEs >-----#
    OTDOACells_ExtIEs = CLASS(name=u'OTDOACells-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    OTDOACells_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< OTDOACell-Information >-----#
    OTDOACell_Information = SEQ_OF(name=u'OTDOACell-Information', mode=MODE_TYPE)
    _OTDOACell_Information__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OTDOACell-Information-Item')))
    OTDOACell_Information._cont = _OTDOACell_Information__item_
    OTDOACell_Information._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=63)], ev=None, er=[])
    
    #-----< OTDOACell-Information-Item >-----#
    OTDOACell_Information_Item = CHOICE(name=u'OTDOACell-Information-Item', mode=MODE_TYPE)
    _OTDOACell_Information_Item_pCI_EUTRA = INT(name=u'pCI-EUTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PCI-EUTRA')))
    _OTDOACell_Information_Item_cGI_EUTRA = SEQ(name=u'cGI-EUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CGI-EUTRA')))
    _OTDOACell_Information_Item_tAC = OCT_STR(name=u'tAC', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'TAC')))
    _OTDOACell_Information_Item_eARFCN = INT(name=u'eARFCN', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'EARFCN')))
    _OTDOACell_Information_Item_pRS_Bandwidth_EUTRA = ENUM(name=u'pRS-Bandwidth-EUTRA', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PRS-Bandwidth-EUTRA')))
    _OTDOACell_Information_Item_pRS_ConfigurationIndex_EUTRA = INT(name=u'pRS-ConfigurationIndex-EUTRA', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PRS-ConfigurationIndex-EUTRA')))
    _OTDOACell_Information_Item_cPLength_EUTRA = ENUM(name=u'cPLength-EUTRA', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CPLength-EUTRA')))
    _OTDOACell_Information_Item_numberOfDlFrames_EUTRA = ENUM(name=u'numberOfDlFrames-EUTRA', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NumberOfDlFrames-EUTRA')))
    _OTDOACell_Information_Item_numberOfAntennaPorts_EUTRA = ENUM(name=u'numberOfAntennaPorts-EUTRA', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NumberOfAntennaPorts-EUTRA')))
    _OTDOACell_Information_Item_sFNInitialisationTime_EUTRA = BIT_STR(name=u'sFNInitialisationTime-EUTRA', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'SFNInitialisationTime-EUTRA')))
    _OTDOACell_Information_Item_nG_RANAccessPointPosition = SEQ(name=u'nG-RANAccessPointPosition', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NG-RANAccessPointPosition')))
    _OTDOACell_Information_Item_pRSMutingConfiguration_EUTRA = CHOICE(name=u'pRSMutingConfiguration-EUTRA', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PRSMutingConfiguration-EUTRA')))
    _OTDOACell_Information_Item_prsid_EUTRA = INT(name=u'prsid-EUTRA', mode=MODE_TYPE, tag=(12, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PRS-ID-EUTRA')))
    _OTDOACell_Information_Item_tpid_EUTRA = INT(name=u'tpid-EUTRA', mode=MODE_TYPE, tag=(13, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'TP-ID-EUTRA')))
    _OTDOACell_Information_Item_tpType_EUTRA = ENUM(name=u'tpType-EUTRA', mode=MODE_TYPE, tag=(14, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'TP-Type-EUTRA')))
    _OTDOACell_Information_Item_numberOfDlFrames_Extended_EUTRA = INT(name=u'numberOfDlFrames-Extended-EUTRA', mode=MODE_TYPE, tag=(15, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NumberOfDlFrames-Extended-EUTRA')))
    _OTDOACell_Information_Item_crsCPlength_EUTRA = ENUM(name=u'crsCPlength-EUTRA', mode=MODE_TYPE, tag=(16, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CPLength-EUTRA')))
    _OTDOACell_Information_Item_dL_Bandwidth_EUTRA = ENUM(name=u'dL-Bandwidth-EUTRA', mode=MODE_TYPE, tag=(17, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'DL-Bandwidth-EUTRA')))
    _OTDOACell_Information_Item_pRSOccasionGroup_EUTRA = ENUM(name=u'pRSOccasionGroup-EUTRA', mode=MODE_TYPE, tag=(18, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PRSOccasionGroup-EUTRA')))
    _OTDOACell_Information_Item_pRSFrequencyHoppingConfiguration_EUTRA = SEQ(name=u'pRSFrequencyHoppingConfiguration-EUTRA', mode=MODE_TYPE, tag=(19, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PRSFrequencyHoppingConfiguration-EUTRA')))
    _OTDOACell_Information_Item_oTDOACell_Information_Item_Extension = SEQ(name=u'oTDOACell-Information-Item-Extension', mode=MODE_TYPE, tag=(20, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ____OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'TDD-Config-EUTRA-Item')))
    ___OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab._val = ASN1Set(rv=[dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', ____OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab_val_Value_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id._const_tab = ___OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id._const_tab_at = None
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id._const_tab_id = u'id'
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_criticality._const_tab = ___OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_criticality._const_tab_at = ('..', u'id')
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_criticality._const_tab_id = u'criticality'
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_value._const_tab = ___OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_value._const_tab_at = ('..', u'id')
    __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_value._const_tab_id = u'Value'
    _OTDOACell_Information_Item_oTDOACell_Information_Item_Extension._cont = ASN1Dict([
        (u'id', __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id),
        (u'criticality', __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_criticality),
        (u'value', __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_value),
        ])
    _OTDOACell_Information_Item_oTDOACell_Information_Item_Extension._ext = None
    OTDOACell_Information_Item._cont = ASN1Dict([
        (u'pCI-EUTRA', _OTDOACell_Information_Item_pCI_EUTRA),
        (u'cGI-EUTRA', _OTDOACell_Information_Item_cGI_EUTRA),
        (u'tAC', _OTDOACell_Information_Item_tAC),
        (u'eARFCN', _OTDOACell_Information_Item_eARFCN),
        (u'pRS-Bandwidth-EUTRA', _OTDOACell_Information_Item_pRS_Bandwidth_EUTRA),
        (u'pRS-ConfigurationIndex-EUTRA', _OTDOACell_Information_Item_pRS_ConfigurationIndex_EUTRA),
        (u'cPLength-EUTRA', _OTDOACell_Information_Item_cPLength_EUTRA),
        (u'numberOfDlFrames-EUTRA', _OTDOACell_Information_Item_numberOfDlFrames_EUTRA),
        (u'numberOfAntennaPorts-EUTRA', _OTDOACell_Information_Item_numberOfAntennaPorts_EUTRA),
        (u'sFNInitialisationTime-EUTRA', _OTDOACell_Information_Item_sFNInitialisationTime_EUTRA),
        (u'nG-RANAccessPointPosition', _OTDOACell_Information_Item_nG_RANAccessPointPosition),
        (u'pRSMutingConfiguration-EUTRA', _OTDOACell_Information_Item_pRSMutingConfiguration_EUTRA),
        (u'prsid-EUTRA', _OTDOACell_Information_Item_prsid_EUTRA),
        (u'tpid-EUTRA', _OTDOACell_Information_Item_tpid_EUTRA),
        (u'tpType-EUTRA', _OTDOACell_Information_Item_tpType_EUTRA),
        (u'numberOfDlFrames-Extended-EUTRA', _OTDOACell_Information_Item_numberOfDlFrames_Extended_EUTRA),
        (u'crsCPlength-EUTRA', _OTDOACell_Information_Item_crsCPlength_EUTRA),
        (u'dL-Bandwidth-EUTRA', _OTDOACell_Information_Item_dL_Bandwidth_EUTRA),
        (u'pRSOccasionGroup-EUTRA', _OTDOACell_Information_Item_pRSOccasionGroup_EUTRA),
        (u'pRSFrequencyHoppingConfiguration-EUTRA', _OTDOACell_Information_Item_pRSFrequencyHoppingConfiguration_EUTRA),
        (u'oTDOACell-Information-Item-Extension', _OTDOACell_Information_Item_oTDOACell_Information_Item_Extension),
        ])
    OTDOACell_Information_Item._ext = None
    
    #-----< OTDOACell-Information-Item-ExtensionIE >-----#
    OTDOACell_Information_Item_ExtensionIE = CLASS(name=u'OTDOACell-Information-Item-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _OTDOACell_Information_Item_ExtensionIE_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'TDD-Config-EUTRA-Item')))
    OTDOACell_Information_Item_ExtensionIE._val = ASN1Set(rv=[dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _OTDOACell_Information_Item_ExtensionIE_val_Value_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< OTDOA-Information-Item >-----#
    OTDOA_Information_Item = ENUM(name=u'OTDOA-Information-Item', mode=MODE_TYPE)
    OTDOA_Information_Item._cont = ASN1Dict([(u'pci', 0), (u'cGI', 1), (u'tac', 2), (u'earfcn', 3), (u'prsBandwidth', 4), (u'prsConfigIndex', 5), (u'cpLength', 6), (u'noDlFrames', 7), (u'noAntennaPorts', 8), (u'sFNInitTime', 9), (u'nG-RANAccessPointPosition', 10), (u'prsmutingconfiguration', 11), (u'prsid', 12), (u'tpid', 13), (u'tpType', 14), (u'crsCPlength', 15), (u'dlBandwidth', 16), (u'multipleprsConfigurationsperCell', 17), (u'prsOccasionGroup', 18), (u'prsFrequencyHoppingConfiguration', 19), (u'tddConfig', 20)])
    OTDOA_Information_Item._ext = [u'tddConfig']
    
    #-----< OtherRATMeasurementQuantities >-----#
    OtherRATMeasurementQuantities = SEQ_OF(name=u'OtherRATMeasurementQuantities', mode=MODE_TYPE)
    _OtherRATMeasurementQuantities__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __OtherRATMeasurementQuantities__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___OtherRATMeasurementQuantities__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ____OtherRATMeasurementQuantities__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementQuantities-Item')))
    ___OtherRATMeasurementQuantities__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 16), (u'criticality', u'reject'), (u'Value', ____OtherRATMeasurementQuantities__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __OtherRATMeasurementQuantities__item__id._const_tab = ___OtherRATMeasurementQuantities__item__id_tab
    __OtherRATMeasurementQuantities__item__id._const_tab_at = None
    __OtherRATMeasurementQuantities__item__id._const_tab_id = u'id'
    __OtherRATMeasurementQuantities__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    __OtherRATMeasurementQuantities__item__criticality._const_tab = ___OtherRATMeasurementQuantities__item__id_tab
    __OtherRATMeasurementQuantities__item__criticality._const_tab_at = ('..', u'id')
    __OtherRATMeasurementQuantities__item__criticality._const_tab_id = u'criticality'
    __OtherRATMeasurementQuantities__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    __OtherRATMeasurementQuantities__item__value._const_tab = ___OtherRATMeasurementQuantities__item__id_tab
    __OtherRATMeasurementQuantities__item__value._const_tab_at = ('..', u'id')
    __OtherRATMeasurementQuantities__item__value._const_tab_id = u'Value'
    _OtherRATMeasurementQuantities__item_._cont = ASN1Dict([
        (u'id', __OtherRATMeasurementQuantities__item__id),
        (u'criticality', __OtherRATMeasurementQuantities__item__criticality),
        (u'value', __OtherRATMeasurementQuantities__item__value),
        ])
    _OtherRATMeasurementQuantities__item_._ext = None
    OtherRATMeasurementQuantities._cont = _OtherRATMeasurementQuantities__item_
    OtherRATMeasurementQuantities._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    
    #-----< OtherRATMeasurementQuantities-ItemIEs >-----#
    OtherRATMeasurementQuantities_ItemIEs = CLASS(name=u'OtherRATMeasurementQuantities-ItemIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _OtherRATMeasurementQuantities_ItemIEs_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementQuantities-Item')))
    OtherRATMeasurementQuantities_ItemIEs._val = ASN1Set(rv=[dict([(u'id', 16), (u'criticality', u'reject'), (u'Value', _OtherRATMeasurementQuantities_ItemIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    
    #-----< OtherRATMeasurementQuantities-Item >-----#
    OtherRATMeasurementQuantities_Item = SEQ(name=u'OtherRATMeasurementQuantities-Item', mode=MODE_TYPE)
    _OtherRATMeasurementQuantities_Item_otherRATMeasurementQuantitiesValue = ENUM(name=u'otherRATMeasurementQuantitiesValue', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementQuantitiesValue')))
    _OtherRATMeasurementQuantities_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __OtherRATMeasurementQuantities_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__id._const_tab = ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__id_tab
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__id._const_tab_at = None
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab = ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality_tab
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab = ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __OtherRATMeasurementQuantities_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__id),
        (u'criticality', ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue),
        ])
    __OtherRATMeasurementQuantities_Item_iE_Extensions__item_._ext = None
    _OtherRATMeasurementQuantities_Item_iE_Extensions._cont = __OtherRATMeasurementQuantities_Item_iE_Extensions__item_
    _OtherRATMeasurementQuantities_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    OtherRATMeasurementQuantities_Item._cont = ASN1Dict([
        (u'otherRATMeasurementQuantitiesValue', _OtherRATMeasurementQuantities_Item_otherRATMeasurementQuantitiesValue),
        (u'iE-Extensions', _OtherRATMeasurementQuantities_Item_iE_Extensions),
        ])
    OtherRATMeasurementQuantities_Item._ext = []
    
    #-----< OtherRATMeasurementQuantitiesValue-ExtIEs >-----#
    OtherRATMeasurementQuantitiesValue_ExtIEs = CLASS(name=u'OtherRATMeasurementQuantitiesValue-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    OtherRATMeasurementQuantitiesValue_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< OtherRATMeasurementQuantitiesValue >-----#
    OtherRATMeasurementQuantitiesValue = ENUM(name=u'OtherRATMeasurementQuantitiesValue', mode=MODE_TYPE)
    OtherRATMeasurementQuantitiesValue._cont = ASN1Dict([(u'geran', 0), (u'utran', 1)])
    OtherRATMeasurementQuantitiesValue._ext = []
    
    #-----< OtherRATMeasurementResult >-----#
    OtherRATMeasurementResult = SEQ_OF(name=u'OtherRATMeasurementResult', mode=MODE_TYPE)
    _OtherRATMeasurementResult__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasuredResultsValue')))
    OtherRATMeasurementResult._cont = _OtherRATMeasurementResult__item_
    OtherRATMeasurementResult._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=63)], ev=None, er=[])
    
    #-----< OtherRATMeasuredResultsValue >-----#
    OtherRATMeasuredResultsValue = CHOICE(name=u'OtherRATMeasuredResultsValue', mode=MODE_TYPE)
    _OtherRATMeasuredResultsValue_resultGERAN = SEQ_OF(name=u'resultGERAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'ResultGERAN')))
    _OtherRATMeasuredResultsValue_resultUTRAN = SEQ_OF(name=u'resultUTRAN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'ResultUTRAN')))
    _OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension = SEQ(name=u'otherRATMeasuredResultsValue-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id._const_tab = ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id_tab
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id._const_tab_at = None
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id._const_tab_id = u'id'
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality._const_tab = ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality_tab
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality._const_tab_at = ('..', u'id')
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality._const_tab_id = u'criticality'
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value._const_tab = ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value_tab
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value._const_tab_at = ('..', u'id')
    __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value._const_tab_id = u'Value'
    _OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension._cont = ASN1Dict([
        (u'id', __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id),
        (u'criticality', __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality),
        (u'value', __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value),
        ])
    _OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension._ext = None
    OtherRATMeasuredResultsValue._cont = ASN1Dict([
        (u'resultGERAN', _OtherRATMeasuredResultsValue_resultGERAN),
        (u'resultUTRAN', _OtherRATMeasuredResultsValue_resultUTRAN),
        (u'otherRATMeasuredResultsValue-Extension', _OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension),
        ])
    OtherRATMeasuredResultsValue._ext = None
    
    #-----< OtherRATMeasuredResultsValue-ExtensionIE >-----#
    OtherRATMeasuredResultsValue_ExtensionIE = CLASS(name=u'OtherRATMeasuredResultsValue-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    OtherRATMeasuredResultsValue_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PCI-EUTRA >-----#
    PCI_EUTRA = INT(name=u'PCI-EUTRA', mode=MODE_TYPE)
    PCI_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=503)], ev=[], er=[])
    
    #-----< PhysCellIDGERAN >-----#
    PhysCellIDGERAN = INT(name=u'PhysCellIDGERAN', mode=MODE_TYPE)
    PhysCellIDGERAN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=[], er=[])
    
    #-----< PhysCellIDUTRA-FDD >-----#
    PhysCellIDUTRA_FDD = INT(name=u'PhysCellIDUTRA-FDD', mode=MODE_TYPE)
    PhysCellIDUTRA_FDD._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=511)], ev=[], er=[])
    
    #-----< PhysCellIDUTRA-TDD >-----#
    PhysCellIDUTRA_TDD = INT(name=u'PhysCellIDUTRA-TDD', mode=MODE_TYPE)
    PhysCellIDUTRA_TDD._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=127)], ev=[], er=[])
    
    #-----< PLMN-Identity >-----#
    PLMN_Identity = OCT_STR(name=u'PLMN-Identity', mode=MODE_TYPE)
    PLMN_Identity._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< PRS-Bandwidth-EUTRA >-----#
    PRS_Bandwidth_EUTRA = ENUM(name=u'PRS-Bandwidth-EUTRA', mode=MODE_TYPE)
    PRS_Bandwidth_EUTRA._cont = ASN1Dict([(u'bw6', 0), (u'bw15', 1), (u'bw25', 2), (u'bw50', 3), (u'bw75', 4), (u'bw100', 5)])
    PRS_Bandwidth_EUTRA._ext = []
    
    #-----< PRS-ConfigurationIndex-EUTRA >-----#
    PRS_ConfigurationIndex_EUTRA = INT(name=u'PRS-ConfigurationIndex-EUTRA', mode=MODE_TYPE)
    PRS_ConfigurationIndex_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< PRS-ID-EUTRA >-----#
    PRS_ID_EUTRA = INT(name=u'PRS-ID-EUTRA', mode=MODE_TYPE)
    PRS_ID_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< PRSMutingConfiguration-EUTRA >-----#
    PRSMutingConfiguration_EUTRA = CHOICE(name=u'PRSMutingConfiguration-EUTRA', mode=MODE_TYPE)
    _PRSMutingConfiguration_EUTRA_two = BIT_STR(name=u'two', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_two._const_sz = ASN1Set(rv=[2], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_four = BIT_STR(name=u'four', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_four._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_eight = BIT_STR(name=u'eight', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_eight._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_sixteen = BIT_STR(name=u'sixteen', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_sixteen._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_thirty_two = BIT_STR(name=u'thirty-two', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_thirty_two._const_sz = ASN1Set(rv=[32], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_sixty_four = BIT_STR(name=u'sixty-four', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_sixty_four._const_sz = ASN1Set(rv=[64], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_one_hundred_and_twenty_eight = BIT_STR(name=u'one-hundred-and-twenty-eight', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_one_hundred_and_twenty_eight._const_sz = ASN1Set(rv=[128], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_two_hundred_and_fifty_six = BIT_STR(name=u'two-hundred-and-fifty-six', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_two_hundred_and_fifty_six._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_five_hundred_and_twelve = BIT_STR(name=u'five-hundred-and-twelve', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_five_hundred_and_twelve._const_sz = ASN1Set(rv=[512], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_one_thousand_and_twenty_four = BIT_STR(name=u'one-thousand-and-twenty-four', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PRSMutingConfiguration_EUTRA_one_thousand_and_twenty_four._const_sz = ASN1Set(rv=[1024], rr=[], ev=None, er=[])
    _PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension = SEQ(name=u'pRSMutingConfiguration-EUTRA-Extension', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id._const_tab = ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id_tab
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id._const_tab_at = None
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id._const_tab_id = u'id'
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality._const_tab = ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality_tab
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality._const_tab_at = ('..', u'id')
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality._const_tab_id = u'criticality'
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value._const_tab = ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value_tab
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value._const_tab_at = ('..', u'id')
    __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value._const_tab_id = u'Value'
    _PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension._cont = ASN1Dict([
        (u'id', __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id),
        (u'criticality', __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality),
        (u'value', __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value),
        ])
    _PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension._ext = None
    PRSMutingConfiguration_EUTRA._cont = ASN1Dict([
        (u'two', _PRSMutingConfiguration_EUTRA_two),
        (u'four', _PRSMutingConfiguration_EUTRA_four),
        (u'eight', _PRSMutingConfiguration_EUTRA_eight),
        (u'sixteen', _PRSMutingConfiguration_EUTRA_sixteen),
        (u'thirty-two', _PRSMutingConfiguration_EUTRA_thirty_two),
        (u'sixty-four', _PRSMutingConfiguration_EUTRA_sixty_four),
        (u'one-hundred-and-twenty-eight', _PRSMutingConfiguration_EUTRA_one_hundred_and_twenty_eight),
        (u'two-hundred-and-fifty-six', _PRSMutingConfiguration_EUTRA_two_hundred_and_fifty_six),
        (u'five-hundred-and-twelve', _PRSMutingConfiguration_EUTRA_five_hundred_and_twelve),
        (u'one-thousand-and-twenty-four', _PRSMutingConfiguration_EUTRA_one_thousand_and_twenty_four),
        (u'pRSMutingConfiguration-EUTRA-Extension', _PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension),
        ])
    PRSMutingConfiguration_EUTRA._ext = None
    
    #-----< PRSMutingConfiguration-EUTRA-ExtensionIE >-----#
    PRSMutingConfiguration_EUTRA_ExtensionIE = CLASS(name=u'PRSMutingConfiguration-EUTRA-ExtensionIE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    PRSMutingConfiguration_EUTRA_ExtensionIE._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PRSOccasionGroup-EUTRA >-----#
    PRSOccasionGroup_EUTRA = ENUM(name=u'PRSOccasionGroup-EUTRA', mode=MODE_TYPE)
    PRSOccasionGroup_EUTRA._cont = ASN1Dict([(u'og2', 0), (u'og4', 1), (u'og8', 2), (u'og16', 3), (u'og32', 4), (u'og64', 5), (u'og128', 6)])
    PRSOccasionGroup_EUTRA._ext = []
    
    #-----< PRSFrequencyHoppingConfiguration-EUTRA >-----#
    PRSFrequencyHoppingConfiguration_EUTRA = SEQ(name=u'PRSFrequencyHoppingConfiguration-EUTRA', mode=MODE_TYPE)
    _PRSFrequencyHoppingConfiguration_EUTRA_noOfFreqHoppingBands = ENUM(name=u'noOfFreqHoppingBands', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'NumberOfFrequencyHoppingBands')))
    _PRSFrequencyHoppingConfiguration_EUTRA_bandPositions = SEQ_OF(name=u'bandPositions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __PRSFrequencyHoppingConfiguration_EUTRA_bandPositions__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'NarrowBandIndex')))
    _PRSFrequencyHoppingConfiguration_EUTRA_bandPositions._cont = __PRSFrequencyHoppingConfiguration_EUTRA_bandPositions__item_
    _PRSFrequencyHoppingConfiguration_EUTRA_bandPositions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=7)], ev=None, er=[])
    _PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id._const_tab = ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id_tab
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id._const_tab_at = None
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id._const_tab_id = u'id'
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality._const_tab = ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality_tab
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue._const_tab = ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue_tab
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id),
        (u'criticality', ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality),
        (u'extensionValue', ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue),
        ])
    __PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item_._ext = None
    _PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions._cont = __PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item_
    _PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PRSFrequencyHoppingConfiguration_EUTRA._cont = ASN1Dict([
        (u'noOfFreqHoppingBands', _PRSFrequencyHoppingConfiguration_EUTRA_noOfFreqHoppingBands),
        (u'bandPositions', _PRSFrequencyHoppingConfiguration_EUTRA_bandPositions),
        (u'iE-Extensions', _PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions),
        ])
    PRSFrequencyHoppingConfiguration_EUTRA._ext = []
    
    #-----< PRSFrequencyHoppingConfiguration-EUTRA-Item-IEs >-----#
    PRSFrequencyHoppingConfiguration_EUTRA_Item_IEs = CLASS(name=u'PRSFrequencyHoppingConfiguration-EUTRA-Item-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    PRSFrequencyHoppingConfiguration_EUTRA_Item_IEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ReportCharacteristics >-----#
    ReportCharacteristics = ENUM(name=u'ReportCharacteristics', mode=MODE_TYPE)
    ReportCharacteristics._cont = ASN1Dict([(u'onDemand', 0), (u'periodic', 1)])
    ReportCharacteristics._ext = []
    
    #-----< RequestedSRSTransmissionCharacteristics >-----#
    RequestedSRSTransmissionCharacteristics = SEQ(name=u'RequestedSRSTransmissionCharacteristics', mode=MODE_TYPE)
    _RequestedSRSTransmissionCharacteristics_numberOfTransmissions = INT(name=u'numberOfTransmissions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RequestedSRSTransmissionCharacteristics_numberOfTransmissions._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=500)], ev=[], er=[])
    _RequestedSRSTransmissionCharacteristics_bandwidth = INT(name=u'bandwidth', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RequestedSRSTransmissionCharacteristics_bandwidth._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=100)], ev=[], er=[])
    _RequestedSRSTransmissionCharacteristics_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RequestedSRSTransmissionCharacteristics_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id._const_tab = ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id_tab
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id._const_tab_at = None
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id._const_tab_id = u'id'
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality._const_tab = ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality_tab
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue._const_tab = ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue_tab
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __RequestedSRSTransmissionCharacteristics_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id),
        (u'criticality', ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality),
        (u'extensionValue', ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue),
        ])
    __RequestedSRSTransmissionCharacteristics_iE_Extensions__item_._ext = None
    _RequestedSRSTransmissionCharacteristics_iE_Extensions._cont = __RequestedSRSTransmissionCharacteristics_iE_Extensions__item_
    _RequestedSRSTransmissionCharacteristics_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RequestedSRSTransmissionCharacteristics._cont = ASN1Dict([
        (u'numberOfTransmissions', _RequestedSRSTransmissionCharacteristics_numberOfTransmissions),
        (u'bandwidth', _RequestedSRSTransmissionCharacteristics_bandwidth),
        (u'iE-Extensions', _RequestedSRSTransmissionCharacteristics_iE_Extensions),
        ])
    RequestedSRSTransmissionCharacteristics._ext = []
    
    #-----< RequestedSRSTransmissionCharacteristics-ExtIEs >-----#
    RequestedSRSTransmissionCharacteristics_ExtIEs = CLASS(name=u'RequestedSRSTransmissionCharacteristics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    RequestedSRSTransmissionCharacteristics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResultRSRP-EUTRA >-----#
    ResultRSRP_EUTRA = SEQ_OF(name=u'ResultRSRP-EUTRA', mode=MODE_TYPE)
    _ResultRSRP_EUTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'ResultRSRP-EUTRA-Item')))
    ResultRSRP_EUTRA._cont = _ResultRSRP_EUTRA__item_
    ResultRSRP_EUTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=9)], ev=None, er=[])
    
    #-----< ResultRSRP-EUTRA-Item >-----#
    ResultRSRP_EUTRA_Item = SEQ(name=u'ResultRSRP-EUTRA-Item', mode=MODE_TYPE)
    _ResultRSRP_EUTRA_Item_pCI_EUTRA = INT(name=u'pCI-EUTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PCI-EUTRA')))
    _ResultRSRP_EUTRA_Item_eARFCN = INT(name=u'eARFCN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'EARFCN')))
    _ResultRSRP_EUTRA_Item_cGI_EUTRA = SEQ(name=u'cGI-EUTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CGI-EUTRA')), opt=True)
    _ResultRSRP_EUTRA_Item_valueRSRP_EUTRA = INT(name=u'valueRSRP-EUTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'ValueRSRP-EUTRA')))
    _ResultRSRP_EUTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResultRSRP_EUTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____ResultRSRP_EUTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultRSRP_EUTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__id._const_tab = ____ResultRSRP_EUTRA_Item_iE_Extensions__item__id_tab
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality._const_tab = ____ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality_tab
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue_tab
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResultRSRP_EUTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResultRSRP_EUTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __ResultRSRP_EUTRA_Item_iE_Extensions__item_._ext = None
    _ResultRSRP_EUTRA_Item_iE_Extensions._cont = __ResultRSRP_EUTRA_Item_iE_Extensions__item_
    _ResultRSRP_EUTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResultRSRP_EUTRA_Item._cont = ASN1Dict([
        (u'pCI-EUTRA', _ResultRSRP_EUTRA_Item_pCI_EUTRA),
        (u'eARFCN', _ResultRSRP_EUTRA_Item_eARFCN),
        (u'cGI-EUTRA', _ResultRSRP_EUTRA_Item_cGI_EUTRA),
        (u'valueRSRP-EUTRA', _ResultRSRP_EUTRA_Item_valueRSRP_EUTRA),
        (u'iE-Extensions', _ResultRSRP_EUTRA_Item_iE_Extensions),
        ])
    ResultRSRP_EUTRA_Item._ext = []
    
    #-----< ResultRSRP-EUTRA-Item-ExtIEs >-----#
    ResultRSRP_EUTRA_Item_ExtIEs = CLASS(name=u'ResultRSRP-EUTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ResultRSRP_EUTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResultRSRQ-EUTRA >-----#
    ResultRSRQ_EUTRA = SEQ_OF(name=u'ResultRSRQ-EUTRA', mode=MODE_TYPE)
    _ResultRSRQ_EUTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'ResultRSRQ-EUTRA-Item')))
    ResultRSRQ_EUTRA._cont = _ResultRSRQ_EUTRA__item_
    ResultRSRQ_EUTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=9)], ev=None, er=[])
    
    #-----< ResultRSRQ-EUTRA-Item >-----#
    ResultRSRQ_EUTRA_Item = SEQ(name=u'ResultRSRQ-EUTRA-Item', mode=MODE_TYPE)
    _ResultRSRQ_EUTRA_Item_pCI_EUTRA = INT(name=u'pCI-EUTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PCI-EUTRA')))
    _ResultRSRQ_EUTRA_Item_eARFCN = INT(name=u'eARFCN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'EARFCN')))
    _ResultRSRQ_EUTRA_Item_cGI_UTRA = SEQ(name=u'cGI-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'CGI-EUTRA')), opt=True)
    _ResultRSRQ_EUTRA_Item_valueRSRQ_EUTRA = INT(name=u'valueRSRQ-EUTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'ValueRSRQ-EUTRA')))
    _ResultRSRQ_EUTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResultRSRQ_EUTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__id._const_tab = ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__id_tab
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality._const_tab = ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality_tab
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue_tab
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResultRSRQ_EUTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __ResultRSRQ_EUTRA_Item_iE_Extensions__item_._ext = None
    _ResultRSRQ_EUTRA_Item_iE_Extensions._cont = __ResultRSRQ_EUTRA_Item_iE_Extensions__item_
    _ResultRSRQ_EUTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResultRSRQ_EUTRA_Item._cont = ASN1Dict([
        (u'pCI-EUTRA', _ResultRSRQ_EUTRA_Item_pCI_EUTRA),
        (u'eARFCN', _ResultRSRQ_EUTRA_Item_eARFCN),
        (u'cGI-UTRA', _ResultRSRQ_EUTRA_Item_cGI_UTRA),
        (u'valueRSRQ-EUTRA', _ResultRSRQ_EUTRA_Item_valueRSRQ_EUTRA),
        (u'iE-Extensions', _ResultRSRQ_EUTRA_Item_iE_Extensions),
        ])
    ResultRSRQ_EUTRA_Item._ext = []
    
    #-----< ResultRSRQ-EUTRA-Item-ExtIEs >-----#
    ResultRSRQ_EUTRA_Item_ExtIEs = CLASS(name=u'ResultRSRQ-EUTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ResultRSRQ_EUTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResultGERAN >-----#
    ResultGERAN = SEQ_OF(name=u'ResultGERAN', mode=MODE_TYPE)
    _ResultGERAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'ResultGERAN-Item')))
    ResultGERAN._cont = _ResultGERAN__item_
    ResultGERAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< ResultGERAN-Item >-----#
    ResultGERAN_Item = SEQ(name=u'ResultGERAN-Item', mode=MODE_TYPE)
    _ResultGERAN_Item_bCCH = INT(name=u'bCCH', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'BCCH')))
    _ResultGERAN_Item_physCellIDGERAN = INT(name=u'physCellIDGERAN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PhysCellIDGERAN')))
    _ResultGERAN_Item_rSSI = INT(name=u'rSSI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'RSSI')))
    _ResultGERAN_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResultGERAN_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___ResultGERAN_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____ResultGERAN_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultGERAN_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultGERAN_Item_iE_Extensions__item__id._const_tab = ____ResultGERAN_Item_iE_Extensions__item__id_tab
    ___ResultGERAN_Item_iE_Extensions__item__id._const_tab_at = None
    ___ResultGERAN_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResultGERAN_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResultGERAN_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultGERAN_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultGERAN_Item_iE_Extensions__item__criticality._const_tab = ____ResultGERAN_Item_iE_Extensions__item__criticality_tab
    ___ResultGERAN_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResultGERAN_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResultGERAN_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResultGERAN_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultGERAN_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultGERAN_Item_iE_Extensions__item__extensionValue._const_tab = ____ResultGERAN_Item_iE_Extensions__item__extensionValue_tab
    ___ResultGERAN_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResultGERAN_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResultGERAN_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResultGERAN_Item_iE_Extensions__item__id),
        (u'criticality', ___ResultGERAN_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResultGERAN_Item_iE_Extensions__item__extensionValue),
        ])
    __ResultGERAN_Item_iE_Extensions__item_._ext = None
    _ResultGERAN_Item_iE_Extensions._cont = __ResultGERAN_Item_iE_Extensions__item_
    _ResultGERAN_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResultGERAN_Item._cont = ASN1Dict([
        (u'bCCH', _ResultGERAN_Item_bCCH),
        (u'physCellIDGERAN', _ResultGERAN_Item_physCellIDGERAN),
        (u'rSSI', _ResultGERAN_Item_rSSI),
        (u'iE-Extensions', _ResultGERAN_Item_iE_Extensions),
        ])
    ResultGERAN_Item._ext = []
    
    #-----< ResultGERAN-Item-ExtIEs >-----#
    ResultGERAN_Item_ExtIEs = CLASS(name=u'ResultGERAN-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ResultGERAN_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResultUTRAN >-----#
    ResultUTRAN = SEQ_OF(name=u'ResultUTRAN', mode=MODE_TYPE)
    _ResultUTRAN__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'ResultUTRAN-Item')))
    ResultUTRAN._cont = _ResultUTRAN__item_
    ResultUTRAN._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< ResultUTRAN-Item >-----#
    ResultUTRAN_Item = SEQ(name=u'ResultUTRAN-Item', mode=MODE_TYPE)
    _ResultUTRAN_Item_uARFCN = INT(name=u'uARFCN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'UARFCN')))
    _ResultUTRAN_Item_physCellIDUTRAN = CHOICE(name=u'physCellIDUTRAN', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT))
    __ResultUTRAN_Item_physCellIDUTRAN_physCellIDUTRA_FDD = INT(name=u'physCellIDUTRA-FDD', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PhysCellIDUTRA-FDD')))
    __ResultUTRAN_Item_physCellIDUTRAN_physCellIDUTRA_TDD = INT(name=u'physCellIDUTRA-TDD', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'PhysCellIDUTRA-TDD')))
    _ResultUTRAN_Item_physCellIDUTRAN._cont = ASN1Dict([
        (u'physCellIDUTRA-FDD', __ResultUTRAN_Item_physCellIDUTRAN_physCellIDUTRA_FDD),
        (u'physCellIDUTRA-TDD', __ResultUTRAN_Item_physCellIDUTRAN_physCellIDUTRA_TDD),
        ])
    _ResultUTRAN_Item_physCellIDUTRAN._ext = None
    _ResultUTRAN_Item_uTRA_RSCP = INT(name=u'uTRA-RSCP', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'UTRA-RSCP')), opt=True)
    _ResultUTRAN_Item_uTRA_EcN0 = INT(name=u'uTRA-EcN0', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'UTRA-EcN0')), opt=True)
    _ResultUTRAN_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResultUTRAN_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___ResultUTRAN_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____ResultUTRAN_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultUTRAN_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultUTRAN_Item_iE_Extensions__item__id._const_tab = ____ResultUTRAN_Item_iE_Extensions__item__id_tab
    ___ResultUTRAN_Item_iE_Extensions__item__id._const_tab_at = None
    ___ResultUTRAN_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResultUTRAN_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResultUTRAN_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultUTRAN_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultUTRAN_Item_iE_Extensions__item__criticality._const_tab = ____ResultUTRAN_Item_iE_Extensions__item__criticality_tab
    ___ResultUTRAN_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResultUTRAN_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResultUTRAN_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResultUTRAN_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____ResultUTRAN_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResultUTRAN_Item_iE_Extensions__item__extensionValue._const_tab = ____ResultUTRAN_Item_iE_Extensions__item__extensionValue_tab
    ___ResultUTRAN_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResultUTRAN_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResultUTRAN_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResultUTRAN_Item_iE_Extensions__item__id),
        (u'criticality', ___ResultUTRAN_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResultUTRAN_Item_iE_Extensions__item__extensionValue),
        ])
    __ResultUTRAN_Item_iE_Extensions__item_._ext = None
    _ResultUTRAN_Item_iE_Extensions._cont = __ResultUTRAN_Item_iE_Extensions__item_
    _ResultUTRAN_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResultUTRAN_Item._cont = ASN1Dict([
        (u'uARFCN', _ResultUTRAN_Item_uARFCN),
        (u'physCellIDUTRAN', _ResultUTRAN_Item_physCellIDUTRAN),
        (u'uTRA-RSCP', _ResultUTRAN_Item_uTRA_RSCP),
        (u'uTRA-EcN0', _ResultUTRAN_Item_uTRA_EcN0),
        (u'iE-Extensions', _ResultUTRAN_Item_iE_Extensions),
        ])
    ResultUTRAN_Item._ext = []
    
    #-----< ResultUTRAN-Item-ExtIEs >-----#
    ResultUTRAN_Item_ExtIEs = CLASS(name=u'ResultUTRAN-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ResultUTRAN_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RSSI >-----#
    RSSI = INT(name=u'RSSI', mode=MODE_TYPE)
    RSSI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=[], er=[])
    
    #-----< SFNInitialisationTime-EUTRA >-----#
    SFNInitialisationTime_EUTRA = BIT_STR(name=u'SFNInitialisationTime-EUTRA', mode=MODE_TYPE)
    SFNInitialisationTime_EUTRA._const_sz = ASN1Set(rv=[64], rr=[], ev=None, er=[])
    
    #-----< SSID >-----#
    SSID = OCT_STR(name=u'SSID', mode=MODE_TYPE)
    SSID._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TAC >-----#
    TAC = OCT_STR(name=u'TAC', mode=MODE_TYPE)
    TAC._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< TDD-Config-EUTRA-Item >-----#
    TDD_Config_EUTRA_Item = SEQ(name=u'TDD-Config-EUTRA-Item', mode=MODE_TYPE)
    _TDD_Config_EUTRA_Item_subframeAssignment = ENUM(name=u'subframeAssignment', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _TDD_Config_EUTRA_Item_subframeAssignment._cont = ASN1Dict([(u'sa0', 0), (u'sa1', 1), (u'sa2', 2), (u'sa3', 3), (u'sa4', 4), (u'sa5', 5), (u'sa6', 6)])
    _TDD_Config_EUTRA_Item_subframeAssignment._ext = []
    _TDD_Config_EUTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TDD_Config_EUTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____TDD_Config_EUTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____TDD_Config_EUTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__id._const_tab = ____TDD_Config_EUTRA_Item_iE_Extensions__item__id_tab
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TDD_Config_EUTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____TDD_Config_EUTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__criticality._const_tab = ____TDD_Config_EUTRA_Item_iE_Extensions__item__criticality_tab
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue_tab
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TDD_Config_EUTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TDD_Config_EUTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___TDD_Config_EUTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __TDD_Config_EUTRA_Item_iE_Extensions__item_._ext = None
    _TDD_Config_EUTRA_Item_iE_Extensions._cont = __TDD_Config_EUTRA_Item_iE_Extensions__item_
    _TDD_Config_EUTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TDD_Config_EUTRA_Item._cont = ASN1Dict([
        (u'subframeAssignment', _TDD_Config_EUTRA_Item_subframeAssignment),
        (u'iE-Extensions', _TDD_Config_EUTRA_Item_iE_Extensions),
        ])
    TDD_Config_EUTRA_Item._ext = []
    
    #-----< TDD-Config-EUTRA-Item-Item-ExtIEs >-----#
    TDD_Config_EUTRA_Item_Item_ExtIEs = CLASS(name=u'TDD-Config-EUTRA-Item-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    TDD_Config_EUTRA_Item_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TP-ID-EUTRA >-----#
    TP_ID_EUTRA = INT(name=u'TP-ID-EUTRA', mode=MODE_TYPE)
    TP_ID_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< TP-Type-EUTRA >-----#
    TP_Type_EUTRA = ENUM(name=u'TP-Type-EUTRA', mode=MODE_TYPE)
    TP_Type_EUTRA._cont = ASN1Dict([(u'prs-only-tp', 0)])
    TP_Type_EUTRA._ext = []
    
    #-----< TypeOfError >-----#
    TypeOfError = ENUM(name=u'TypeOfError', mode=MODE_TYPE)
    TypeOfError._cont = ASN1Dict([(u'not-understood', 0), (u'missing', 1)])
    TypeOfError._ext = []
    
    #-----< UARFCN >-----#
    UARFCN = INT(name=u'UARFCN', mode=MODE_TYPE)
    UARFCN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=16383)], ev=[], er=[])
    
    #-----< UTRA-EcN0 >-----#
    UTRA_EcN0 = INT(name=u'UTRA-EcN0', mode=MODE_TYPE)
    UTRA_EcN0._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=49)], ev=[], er=[])
    
    #-----< UTRA-RSCP >-----#
    UTRA_RSCP = INT(name=u'UTRA-RSCP', mode=MODE_TYPE)
    UTRA_RSCP._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=-5, ub=91)], ev=[], er=[])
    
    #-----< ValueRSRP-EUTRA >-----#
    ValueRSRP_EUTRA = INT(name=u'ValueRSRP-EUTRA', mode=MODE_TYPE)
    ValueRSRP_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=97)], ev=[], er=[])
    
    #-----< ValueRSRQ-EUTRA >-----#
    ValueRSRQ_EUTRA = INT(name=u'ValueRSRQ-EUTRA', mode=MODE_TYPE)
    ValueRSRQ_EUTRA._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=34)], ev=[], er=[])
    
    #-----< WLANMeasurementQuantities >-----#
    WLANMeasurementQuantities = SEQ_OF(name=u'WLANMeasurementQuantities', mode=MODE_TYPE)
    _WLANMeasurementQuantities__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __WLANMeasurementQuantities__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___WLANMeasurementQuantities__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ____WLANMeasurementQuantities__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementQuantities-Item')))
    ___WLANMeasurementQuantities__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 20), (u'criticality', u'reject'), (u'Value', ____WLANMeasurementQuantities__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __WLANMeasurementQuantities__item__id._const_tab = ___WLANMeasurementQuantities__item__id_tab
    __WLANMeasurementQuantities__item__id._const_tab_at = None
    __WLANMeasurementQuantities__item__id._const_tab_id = u'id'
    __WLANMeasurementQuantities__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    __WLANMeasurementQuantities__item__criticality._const_tab = ___WLANMeasurementQuantities__item__id_tab
    __WLANMeasurementQuantities__item__criticality._const_tab_at = ('..', u'id')
    __WLANMeasurementQuantities__item__criticality._const_tab_id = u'criticality'
    __WLANMeasurementQuantities__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    __WLANMeasurementQuantities__item__value._const_tab = ___WLANMeasurementQuantities__item__id_tab
    __WLANMeasurementQuantities__item__value._const_tab_at = ('..', u'id')
    __WLANMeasurementQuantities__item__value._const_tab_id = u'Value'
    _WLANMeasurementQuantities__item_._cont = ASN1Dict([
        (u'id', __WLANMeasurementQuantities__item__id),
        (u'criticality', __WLANMeasurementQuantities__item__criticality),
        (u'value', __WLANMeasurementQuantities__item__value),
        ])
    _WLANMeasurementQuantities__item_._ext = None
    WLANMeasurementQuantities._cont = _WLANMeasurementQuantities__item_
    WLANMeasurementQuantities._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    
    #-----< WLANMeasurementQuantities-ItemIEs >-----#
    WLANMeasurementQuantities_ItemIEs = CLASS(name=u'WLANMeasurementQuantities-ItemIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _WLANMeasurementQuantities_ItemIEs_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementQuantities-Item')))
    WLANMeasurementQuantities_ItemIEs._val = ASN1Set(rv=[dict([(u'id', 20), (u'criticality', u'reject'), (u'Value', _WLANMeasurementQuantities_ItemIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    
    #-----< WLANMeasurementQuantities-Item >-----#
    WLANMeasurementQuantities_Item = SEQ(name=u'WLANMeasurementQuantities-Item', mode=MODE_TYPE)
    _WLANMeasurementQuantities_Item_wLANMeasurementQuantitiesValue = ENUM(name=u'wLANMeasurementQuantitiesValue', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementQuantitiesValue')))
    _WLANMeasurementQuantities_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __WLANMeasurementQuantities_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____WLANMeasurementQuantities_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____WLANMeasurementQuantities_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__id._const_tab = ____WLANMeasurementQuantities_Item_iE_Extensions__item__id_tab
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__id._const_tab_at = None
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____WLANMeasurementQuantities_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____WLANMeasurementQuantities_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab = ____WLANMeasurementQuantities_Item_iE_Extensions__item__criticality_tab
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab = ____WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __WLANMeasurementQuantities_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___WLANMeasurementQuantities_Item_iE_Extensions__item__id),
        (u'criticality', ___WLANMeasurementQuantities_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue),
        ])
    __WLANMeasurementQuantities_Item_iE_Extensions__item_._ext = None
    _WLANMeasurementQuantities_Item_iE_Extensions._cont = __WLANMeasurementQuantities_Item_iE_Extensions__item_
    _WLANMeasurementQuantities_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    WLANMeasurementQuantities_Item._cont = ASN1Dict([
        (u'wLANMeasurementQuantitiesValue', _WLANMeasurementQuantities_Item_wLANMeasurementQuantitiesValue),
        (u'iE-Extensions', _WLANMeasurementQuantities_Item_iE_Extensions),
        ])
    WLANMeasurementQuantities_Item._ext = []
    
    #-----< WLANMeasurementQuantitiesValue-ExtIEs >-----#
    WLANMeasurementQuantitiesValue_ExtIEs = CLASS(name=u'WLANMeasurementQuantitiesValue-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    WLANMeasurementQuantitiesValue_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< WLANMeasurementQuantitiesValue >-----#
    WLANMeasurementQuantitiesValue = ENUM(name=u'WLANMeasurementQuantitiesValue', mode=MODE_TYPE)
    WLANMeasurementQuantitiesValue._cont = ASN1Dict([(u'wlan', 0)])
    WLANMeasurementQuantitiesValue._ext = []
    
    #-----< WLANMeasurementResult >-----#
    WLANMeasurementResult = SEQ_OF(name=u'WLANMeasurementResult', mode=MODE_TYPE)
    _WLANMeasurementResult__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementResult-Item')))
    WLANMeasurementResult._cont = _WLANMeasurementResult__item_
    WLANMeasurementResult._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=63)], ev=None, er=[])
    
    #-----< WLANMeasurementResult-Item >-----#
    WLANMeasurementResult_Item = SEQ(name=u'WLANMeasurementResult-Item', mode=MODE_TYPE)
    _WLANMeasurementResult_Item_wLAN_RSSI = INT(name=u'wLAN-RSSI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'WLAN-RSSI')))
    _WLANMeasurementResult_Item_sSID = OCT_STR(name=u'sSID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'SSID')), opt=True)
    _WLANMeasurementResult_Item_bSSID = OCT_STR(name=u'bSSID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'BSSID')), opt=True)
    _WLANMeasurementResult_Item_hESSID = OCT_STR(name=u'hESSID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'HESSID')), opt=True)
    _WLANMeasurementResult_Item_operatingClass = INT(name=u'operatingClass', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'WLANOperatingClass')), opt=True)
    _WLANMeasurementResult_Item_countryCode = ENUM(name=u'countryCode', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'WLANCountryCode')), opt=True)
    _WLANMeasurementResult_Item_wLANChannelList = SEQ_OF(name=u'wLANChannelList', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'WLANChannelList')), opt=True)
    _WLANMeasurementResult_Item_wLANBand = ENUM(name=u'wLANBand', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'WLANBand')), opt=True)
    _WLANMeasurementResult_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __WLANMeasurementResult_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___WLANMeasurementResult_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____WLANMeasurementResult_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____WLANMeasurementResult_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementResult_Item_iE_Extensions__item__id._const_tab = ____WLANMeasurementResult_Item_iE_Extensions__item__id_tab
    ___WLANMeasurementResult_Item_iE_Extensions__item__id._const_tab_at = None
    ___WLANMeasurementResult_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___WLANMeasurementResult_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____WLANMeasurementResult_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____WLANMeasurementResult_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementResult_Item_iE_Extensions__item__criticality._const_tab = ____WLANMeasurementResult_Item_iE_Extensions__item__criticality_tab
    ___WLANMeasurementResult_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___WLANMeasurementResult_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___WLANMeasurementResult_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____WLANMeasurementResult_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____WLANMeasurementResult_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___WLANMeasurementResult_Item_iE_Extensions__item__extensionValue._const_tab = ____WLANMeasurementResult_Item_iE_Extensions__item__extensionValue_tab
    ___WLANMeasurementResult_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___WLANMeasurementResult_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __WLANMeasurementResult_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___WLANMeasurementResult_Item_iE_Extensions__item__id),
        (u'criticality', ___WLANMeasurementResult_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___WLANMeasurementResult_Item_iE_Extensions__item__extensionValue),
        ])
    __WLANMeasurementResult_Item_iE_Extensions__item_._ext = None
    _WLANMeasurementResult_Item_iE_Extensions._cont = __WLANMeasurementResult_Item_iE_Extensions__item_
    _WLANMeasurementResult_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    WLANMeasurementResult_Item._cont = ASN1Dict([
        (u'wLAN-RSSI', _WLANMeasurementResult_Item_wLAN_RSSI),
        (u'sSID', _WLANMeasurementResult_Item_sSID),
        (u'bSSID', _WLANMeasurementResult_Item_bSSID),
        (u'hESSID', _WLANMeasurementResult_Item_hESSID),
        (u'operatingClass', _WLANMeasurementResult_Item_operatingClass),
        (u'countryCode', _WLANMeasurementResult_Item_countryCode),
        (u'wLANChannelList', _WLANMeasurementResult_Item_wLANChannelList),
        (u'wLANBand', _WLANMeasurementResult_Item_wLANBand),
        (u'iE-Extensions', _WLANMeasurementResult_Item_iE_Extensions),
        ])
    WLANMeasurementResult_Item._ext = []
    
    #-----< WLANMeasurementResult-Item-ExtIEs >-----#
    WLANMeasurementResult_Item_ExtIEs = CLASS(name=u'WLANMeasurementResult-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    WLANMeasurementResult_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< WLAN-RSSI >-----#
    WLAN_RSSI = INT(name=u'WLAN-RSSI', mode=MODE_TYPE)
    WLAN_RSSI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=141)], ev=[], er=[])
    
    #-----< WLANBand >-----#
    WLANBand = ENUM(name=u'WLANBand', mode=MODE_TYPE)
    WLANBand._cont = ASN1Dict([(u'band2dot4', 0), (u'band5', 1)])
    WLANBand._ext = []
    
    #-----< WLANChannelList >-----#
    WLANChannelList = SEQ_OF(name=u'WLANChannelList', mode=MODE_TYPE)
    _WLANChannelList__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANChannel')))
    WLANChannelList._cont = _WLANChannelList__item_
    WLANChannelList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< WLANChannel >-----#
    WLANChannel = INT(name=u'WLANChannel', mode=MODE_TYPE)
    WLANChannel._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< WLANCountryCode >-----#
    WLANCountryCode = ENUM(name=u'WLANCountryCode', mode=MODE_TYPE)
    WLANCountryCode._cont = ASN1Dict([(u'unitedStates', 0), (u'europe', 1), (u'japan', 2), (u'global', 3)])
    WLANCountryCode._ext = []
    
    #-----< WLANOperatingClass >-----#
    WLANOperatingClass = INT(name=u'WLANOperatingClass', mode=MODE_TYPE)
    WLANOperatingClass._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    _all_ = [
        BCCH,
        BSSID,
        _Cause_radioNetwork,
        _Cause_protocol,
        _Cause_misc,
        ___Cause_cause_Extension_id_tab,
        __Cause_cause_Extension_id,
        ___Cause_cause_Extension_criticality_tab,
        __Cause_cause_Extension_criticality,
        ___Cause_cause_Extension_value_tab,
        __Cause_cause_Extension_value,
        _Cause_cause_Extension,
        Cause,
        Cause_ExtensionIE,
        CauseMisc,
        CauseProtocol,
        CauseRadioNetwork,
        Cell_Portion_ID,
        _CGI_EUTRA_pLMN_Identity,
        _CGI_EUTRA_eUTRAcellIdentifier,
        ____CGI_EUTRA_iE_Extensions__item__id_tab,
        ___CGI_EUTRA_iE_Extensions__item__id,
        ____CGI_EUTRA_iE_Extensions__item__criticality_tab,
        ___CGI_EUTRA_iE_Extensions__item__criticality,
        ____CGI_EUTRA_iE_Extensions__item__extensionValue_tab,
        ___CGI_EUTRA_iE_Extensions__item__extensionValue,
        __CGI_EUTRA_iE_Extensions__item_,
        _CGI_EUTRA_iE_Extensions,
        CGI_EUTRA,
        CGI_EUTRA_ExtIEs,
        CPLength_EUTRA,
        _CriticalityDiagnostics_procedureCode,
        _CriticalityDiagnostics_triggeringMessage,
        _CriticalityDiagnostics_procedureCriticality,
        _CriticalityDiagnostics_nrppatransactionID,
        _CriticalityDiagnostics_iEsCriticalityDiagnostics,
        ____CriticalityDiagnostics_iE_Extensions__item__id_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__id,
        ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__criticality,
        ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__extensionValue,
        __CriticalityDiagnostics_iE_Extensions__item_,
        _CriticalityDiagnostics_iE_Extensions,
        CriticalityDiagnostics,
        CriticalityDiagnostics_ExtIEs,
        __CriticalityDiagnostics_IE_List__item__iECriticality,
        __CriticalityDiagnostics_IE_List__item__iE_ID,
        __CriticalityDiagnostics_IE_List__item__typeOfError,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue,
        ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_,
        __CriticalityDiagnostics_IE_List__item__iE_Extensions,
        _CriticalityDiagnostics_IE_List__item_,
        CriticalityDiagnostics_IE_List,
        CriticalityDiagnostics_IE_List_ExtIEs,
        DL_Bandwidth_EUTRA,
        _E_CID_MeasurementResult_servingCell_ID,
        _E_CID_MeasurementResult_servingCellTAC,
        _E_CID_MeasurementResult_nG_RANAccessPointPosition,
        _E_CID_MeasurementResult_measuredResults,
        ____E_CID_MeasurementResult_iE_Extensions__item__id_tab,
        ___E_CID_MeasurementResult_iE_Extensions__item__id,
        ____E_CID_MeasurementResult_iE_Extensions__item__criticality_tab,
        ___E_CID_MeasurementResult_iE_Extensions__item__criticality,
        ____E_CID_MeasurementResult_iE_Extensions__item__extensionValue_tab,
        ___E_CID_MeasurementResult_iE_Extensions__item__extensionValue,
        __E_CID_MeasurementResult_iE_Extensions__item_,
        _E_CID_MeasurementResult_iE_Extensions,
        E_CID_MeasurementResult,
        E_CID_MeasurementResult_ExtIEs,
        EUTRACellIdentifier,
        EARFCN,
        HESSID,
        Measurement_ID,
        MeasurementPeriodicity,
        ___MeasurementQuantities__item__id_tab,
        ____MeasurementQuantities__item__id_tab_val_Value_0,
        __MeasurementQuantities__item__id,
        __MeasurementQuantities__item__criticality,
        __MeasurementQuantities__item__value,
        _MeasurementQuantities__item_,
        MeasurementQuantities,
        MeasurementQuantities_ItemIEs,
        _MeasurementQuantities_ItemIEs_val_Value_0,
        _MeasurementQuantities_Item_measurementQuantitiesValue,
        ____MeasurementQuantities_Item_iE_Extensions__item__id_tab,
        ___MeasurementQuantities_Item_iE_Extensions__item__id,
        ____MeasurementQuantities_Item_iE_Extensions__item__criticality_tab,
        ___MeasurementQuantities_Item_iE_Extensions__item__criticality,
        ____MeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab,
        ___MeasurementQuantities_Item_iE_Extensions__item__extensionValue,
        __MeasurementQuantities_Item_iE_Extensions__item_,
        _MeasurementQuantities_Item_iE_Extensions,
        MeasurementQuantities_Item,
        MeasurementQuantitiesValue_ExtIEs,
        MeasurementQuantitiesValue,
        _MeasuredResults__item_,
        MeasuredResults,
        _MeasuredResultsValue_valueAngleOfArrival_EUTRA,
        _MeasuredResultsValue_valueTimingAdvanceType1_EUTRA,
        _MeasuredResultsValue_valueTimingAdvanceType2_EUTRA,
        _MeasuredResultsValue_resultRSRP_EUTRA,
        _MeasuredResultsValue_resultRSRQ_EUTRA,
        ___MeasuredResultsValue_measuredResultsValue_Extension_id_tab,
        __MeasuredResultsValue_measuredResultsValue_Extension_id,
        ___MeasuredResultsValue_measuredResultsValue_Extension_criticality_tab,
        __MeasuredResultsValue_measuredResultsValue_Extension_criticality,
        ___MeasuredResultsValue_measuredResultsValue_Extension_value_tab,
        __MeasuredResultsValue_measuredResultsValue_Extension_value,
        _MeasuredResultsValue_measuredResultsValue_Extension,
        MeasuredResultsValue,
        MeasuredResultsValue_ExtensionIE,
        NarrowBandIndex,
        _NG_RANAccessPointPosition_latitudeSign,
        _NG_RANAccessPointPosition_latitude,
        _NG_RANAccessPointPosition_longitude,
        _NG_RANAccessPointPosition_directionOfAltitude,
        _NG_RANAccessPointPosition_altitude,
        _NG_RANAccessPointPosition_uncertaintySemi_major,
        _NG_RANAccessPointPosition_uncertaintySemi_minor,
        _NG_RANAccessPointPosition_orientationOfMajorAxis,
        _NG_RANAccessPointPosition_uncertaintyAltitude,
        _NG_RANAccessPointPosition_confidence,
        ____NG_RANAccessPointPosition_iE_Extensions__item__id_tab,
        ___NG_RANAccessPointPosition_iE_Extensions__item__id,
        ____NG_RANAccessPointPosition_iE_Extensions__item__criticality_tab,
        ___NG_RANAccessPointPosition_iE_Extensions__item__criticality,
        ____NG_RANAccessPointPosition_iE_Extensions__item__extensionValue_tab,
        ___NG_RANAccessPointPosition_iE_Extensions__item__extensionValue,
        __NG_RANAccessPointPosition_iE_Extensions__item_,
        _NG_RANAccessPointPosition_iE_Extensions,
        NG_RANAccessPointPosition,
        NG_RANAccessPointPosition_ExtIEs,
        _NG_RAN_CGI_pLMN_Identity,
        _NG_RAN_CGI_nG_RANcell,
        ____NG_RAN_CGI_iE_Extensions__item__id_tab,
        ___NG_RAN_CGI_iE_Extensions__item__id,
        ____NG_RAN_CGI_iE_Extensions__item__criticality_tab,
        ___NG_RAN_CGI_iE_Extensions__item__criticality,
        ____NG_RAN_CGI_iE_Extensions__item__extensionValue_tab,
        ___NG_RAN_CGI_iE_Extensions__item__extensionValue,
        __NG_RAN_CGI_iE_Extensions__item_,
        _NG_RAN_CGI_iE_Extensions,
        NG_RAN_CGI,
        NG_RAN_CGI_ExtIEs,
        _NG_RANCell_eUTRA_CellID,
        _NG_RANCell_nR_CellID,
        ___NG_RANCell_nG_RANCell_Extension_id_tab,
        __NG_RANCell_nG_RANCell_Extension_id,
        ___NG_RANCell_nG_RANCell_Extension_criticality_tab,
        __NG_RANCell_nG_RANCell_Extension_criticality,
        ___NG_RANCell_nG_RANCell_Extension_value_tab,
        __NG_RANCell_nG_RANCell_Extension_value,
        _NG_RANCell_nG_RANCell_Extension,
        NG_RANCell,
        NG_RANCell_ExtensionIE,
        NRCellIdentifier,
        NumberOfAntennaPorts_EUTRA,
        NumberOfDlFrames_EUTRA,
        NumberOfDlFrames_Extended_EUTRA,
        NumberOfFrequencyHoppingBands,
        __OTDOACells__item__oTDOACellInfo,
        _____OTDOACells__item__iE_Extensions__item__id_tab,
        ____OTDOACells__item__iE_Extensions__item__id,
        _____OTDOACells__item__iE_Extensions__item__criticality_tab,
        ____OTDOACells__item__iE_Extensions__item__criticality,
        _____OTDOACells__item__iE_Extensions__item__extensionValue_tab,
        ____OTDOACells__item__iE_Extensions__item__extensionValue,
        ___OTDOACells__item__iE_Extensions__item_,
        __OTDOACells__item__iE_Extensions,
        _OTDOACells__item_,
        OTDOACells,
        OTDOACells_ExtIEs,
        _OTDOACell_Information__item_,
        OTDOACell_Information,
        _OTDOACell_Information_Item_pCI_EUTRA,
        _OTDOACell_Information_Item_cGI_EUTRA,
        _OTDOACell_Information_Item_tAC,
        _OTDOACell_Information_Item_eARFCN,
        _OTDOACell_Information_Item_pRS_Bandwidth_EUTRA,
        _OTDOACell_Information_Item_pRS_ConfigurationIndex_EUTRA,
        _OTDOACell_Information_Item_cPLength_EUTRA,
        _OTDOACell_Information_Item_numberOfDlFrames_EUTRA,
        _OTDOACell_Information_Item_numberOfAntennaPorts_EUTRA,
        _OTDOACell_Information_Item_sFNInitialisationTime_EUTRA,
        _OTDOACell_Information_Item_nG_RANAccessPointPosition,
        _OTDOACell_Information_Item_pRSMutingConfiguration_EUTRA,
        _OTDOACell_Information_Item_prsid_EUTRA,
        _OTDOACell_Information_Item_tpid_EUTRA,
        _OTDOACell_Information_Item_tpType_EUTRA,
        _OTDOACell_Information_Item_numberOfDlFrames_Extended_EUTRA,
        _OTDOACell_Information_Item_crsCPlength_EUTRA,
        _OTDOACell_Information_Item_dL_Bandwidth_EUTRA,
        _OTDOACell_Information_Item_pRSOccasionGroup_EUTRA,
        _OTDOACell_Information_Item_pRSFrequencyHoppingConfiguration_EUTRA,
        ___OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab,
        ____OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id_tab_val_Value_0,
        __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_id,
        __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_criticality,
        __OTDOACell_Information_Item_oTDOACell_Information_Item_Extension_value,
        _OTDOACell_Information_Item_oTDOACell_Information_Item_Extension,
        OTDOACell_Information_Item,
        OTDOACell_Information_Item_ExtensionIE,
        _OTDOACell_Information_Item_ExtensionIE_val_Value_0,
        OTDOA_Information_Item,
        ___OtherRATMeasurementQuantities__item__id_tab,
        ____OtherRATMeasurementQuantities__item__id_tab_val_Value_0,
        __OtherRATMeasurementQuantities__item__id,
        __OtherRATMeasurementQuantities__item__criticality,
        __OtherRATMeasurementQuantities__item__value,
        _OtherRATMeasurementQuantities__item_,
        OtherRATMeasurementQuantities,
        OtherRATMeasurementQuantities_ItemIEs,
        _OtherRATMeasurementQuantities_ItemIEs_val_Value_0,
        _OtherRATMeasurementQuantities_Item_otherRATMeasurementQuantitiesValue,
        ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__id_tab,
        ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__id,
        ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality_tab,
        ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__criticality,
        ____OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab,
        ___OtherRATMeasurementQuantities_Item_iE_Extensions__item__extensionValue,
        __OtherRATMeasurementQuantities_Item_iE_Extensions__item_,
        _OtherRATMeasurementQuantities_Item_iE_Extensions,
        OtherRATMeasurementQuantities_Item,
        OtherRATMeasurementQuantitiesValue_ExtIEs,
        OtherRATMeasurementQuantitiesValue,
        _OtherRATMeasurementResult__item_,
        OtherRATMeasurementResult,
        _OtherRATMeasuredResultsValue_resultGERAN,
        _OtherRATMeasuredResultsValue_resultUTRAN,
        ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id_tab,
        __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_id,
        ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality_tab,
        __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_criticality,
        ___OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value_tab,
        __OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension_value,
        _OtherRATMeasuredResultsValue_otherRATMeasuredResultsValue_Extension,
        OtherRATMeasuredResultsValue,
        OtherRATMeasuredResultsValue_ExtensionIE,
        PCI_EUTRA,
        PhysCellIDGERAN,
        PhysCellIDUTRA_FDD,
        PhysCellIDUTRA_TDD,
        PLMN_Identity,
        PRS_Bandwidth_EUTRA,
        PRS_ConfigurationIndex_EUTRA,
        PRS_ID_EUTRA,
        _PRSMutingConfiguration_EUTRA_two,
        _PRSMutingConfiguration_EUTRA_four,
        _PRSMutingConfiguration_EUTRA_eight,
        _PRSMutingConfiguration_EUTRA_sixteen,
        _PRSMutingConfiguration_EUTRA_thirty_two,
        _PRSMutingConfiguration_EUTRA_sixty_four,
        _PRSMutingConfiguration_EUTRA_one_hundred_and_twenty_eight,
        _PRSMutingConfiguration_EUTRA_two_hundred_and_fifty_six,
        _PRSMutingConfiguration_EUTRA_five_hundred_and_twelve,
        _PRSMutingConfiguration_EUTRA_one_thousand_and_twenty_four,
        ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id_tab,
        __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_id,
        ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality_tab,
        __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_criticality,
        ___PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value_tab,
        __PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension_value,
        _PRSMutingConfiguration_EUTRA_pRSMutingConfiguration_EUTRA_Extension,
        PRSMutingConfiguration_EUTRA,
        PRSMutingConfiguration_EUTRA_ExtensionIE,
        PRSOccasionGroup_EUTRA,
        _PRSFrequencyHoppingConfiguration_EUTRA_noOfFreqHoppingBands,
        __PRSFrequencyHoppingConfiguration_EUTRA_bandPositions__item_,
        _PRSFrequencyHoppingConfiguration_EUTRA_bandPositions,
        ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id_tab,
        ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__id,
        ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality_tab,
        ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__criticality,
        ____PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue_tab,
        ___PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item__extensionValue,
        __PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions__item_,
        _PRSFrequencyHoppingConfiguration_EUTRA_iE_Extensions,
        PRSFrequencyHoppingConfiguration_EUTRA,
        PRSFrequencyHoppingConfiguration_EUTRA_Item_IEs,
        ReportCharacteristics,
        _RequestedSRSTransmissionCharacteristics_numberOfTransmissions,
        _RequestedSRSTransmissionCharacteristics_bandwidth,
        ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id_tab,
        ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__id,
        ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality_tab,
        ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__criticality,
        ____RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue_tab,
        ___RequestedSRSTransmissionCharacteristics_iE_Extensions__item__extensionValue,
        __RequestedSRSTransmissionCharacteristics_iE_Extensions__item_,
        _RequestedSRSTransmissionCharacteristics_iE_Extensions,
        RequestedSRSTransmissionCharacteristics,
        RequestedSRSTransmissionCharacteristics_ExtIEs,
        _ResultRSRP_EUTRA__item_,
        ResultRSRP_EUTRA,
        _ResultRSRP_EUTRA_Item_pCI_EUTRA,
        _ResultRSRP_EUTRA_Item_eARFCN,
        _ResultRSRP_EUTRA_Item_cGI_EUTRA,
        _ResultRSRP_EUTRA_Item_valueRSRP_EUTRA,
        ____ResultRSRP_EUTRA_Item_iE_Extensions__item__id_tab,
        ___ResultRSRP_EUTRA_Item_iE_Extensions__item__id,
        ____ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality_tab,
        ___ResultRSRP_EUTRA_Item_iE_Extensions__item__criticality,
        ____ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___ResultRSRP_EUTRA_Item_iE_Extensions__item__extensionValue,
        __ResultRSRP_EUTRA_Item_iE_Extensions__item_,
        _ResultRSRP_EUTRA_Item_iE_Extensions,
        ResultRSRP_EUTRA_Item,
        ResultRSRP_EUTRA_Item_ExtIEs,
        _ResultRSRQ_EUTRA__item_,
        ResultRSRQ_EUTRA,
        _ResultRSRQ_EUTRA_Item_pCI_EUTRA,
        _ResultRSRQ_EUTRA_Item_eARFCN,
        _ResultRSRQ_EUTRA_Item_cGI_UTRA,
        _ResultRSRQ_EUTRA_Item_valueRSRQ_EUTRA,
        ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__id_tab,
        ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__id,
        ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality_tab,
        ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__criticality,
        ____ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___ResultRSRQ_EUTRA_Item_iE_Extensions__item__extensionValue,
        __ResultRSRQ_EUTRA_Item_iE_Extensions__item_,
        _ResultRSRQ_EUTRA_Item_iE_Extensions,
        ResultRSRQ_EUTRA_Item,
        ResultRSRQ_EUTRA_Item_ExtIEs,
        _ResultGERAN__item_,
        ResultGERAN,
        _ResultGERAN_Item_bCCH,
        _ResultGERAN_Item_physCellIDGERAN,
        _ResultGERAN_Item_rSSI,
        ____ResultGERAN_Item_iE_Extensions__item__id_tab,
        ___ResultGERAN_Item_iE_Extensions__item__id,
        ____ResultGERAN_Item_iE_Extensions__item__criticality_tab,
        ___ResultGERAN_Item_iE_Extensions__item__criticality,
        ____ResultGERAN_Item_iE_Extensions__item__extensionValue_tab,
        ___ResultGERAN_Item_iE_Extensions__item__extensionValue,
        __ResultGERAN_Item_iE_Extensions__item_,
        _ResultGERAN_Item_iE_Extensions,
        ResultGERAN_Item,
        ResultGERAN_Item_ExtIEs,
        _ResultUTRAN__item_,
        ResultUTRAN,
        _ResultUTRAN_Item_uARFCN,
        __ResultUTRAN_Item_physCellIDUTRAN_physCellIDUTRA_FDD,
        __ResultUTRAN_Item_physCellIDUTRAN_physCellIDUTRA_TDD,
        _ResultUTRAN_Item_physCellIDUTRAN,
        _ResultUTRAN_Item_uTRA_RSCP,
        _ResultUTRAN_Item_uTRA_EcN0,
        ____ResultUTRAN_Item_iE_Extensions__item__id_tab,
        ___ResultUTRAN_Item_iE_Extensions__item__id,
        ____ResultUTRAN_Item_iE_Extensions__item__criticality_tab,
        ___ResultUTRAN_Item_iE_Extensions__item__criticality,
        ____ResultUTRAN_Item_iE_Extensions__item__extensionValue_tab,
        ___ResultUTRAN_Item_iE_Extensions__item__extensionValue,
        __ResultUTRAN_Item_iE_Extensions__item_,
        _ResultUTRAN_Item_iE_Extensions,
        ResultUTRAN_Item,
        ResultUTRAN_Item_ExtIEs,
        RSSI,
        SFNInitialisationTime_EUTRA,
        SSID,
        TAC,
        _TDD_Config_EUTRA_Item_subframeAssignment,
        ____TDD_Config_EUTRA_Item_iE_Extensions__item__id_tab,
        ___TDD_Config_EUTRA_Item_iE_Extensions__item__id,
        ____TDD_Config_EUTRA_Item_iE_Extensions__item__criticality_tab,
        ___TDD_Config_EUTRA_Item_iE_Extensions__item__criticality,
        ____TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___TDD_Config_EUTRA_Item_iE_Extensions__item__extensionValue,
        __TDD_Config_EUTRA_Item_iE_Extensions__item_,
        _TDD_Config_EUTRA_Item_iE_Extensions,
        TDD_Config_EUTRA_Item,
        TDD_Config_EUTRA_Item_Item_ExtIEs,
        TP_ID_EUTRA,
        TP_Type_EUTRA,
        TypeOfError,
        UARFCN,
        UTRA_EcN0,
        UTRA_RSCP,
        ValueRSRP_EUTRA,
        ValueRSRQ_EUTRA,
        ___WLANMeasurementQuantities__item__id_tab,
        ____WLANMeasurementQuantities__item__id_tab_val_Value_0,
        __WLANMeasurementQuantities__item__id,
        __WLANMeasurementQuantities__item__criticality,
        __WLANMeasurementQuantities__item__value,
        _WLANMeasurementQuantities__item_,
        WLANMeasurementQuantities,
        WLANMeasurementQuantities_ItemIEs,
        _WLANMeasurementQuantities_ItemIEs_val_Value_0,
        _WLANMeasurementQuantities_Item_wLANMeasurementQuantitiesValue,
        ____WLANMeasurementQuantities_Item_iE_Extensions__item__id_tab,
        ___WLANMeasurementQuantities_Item_iE_Extensions__item__id,
        ____WLANMeasurementQuantities_Item_iE_Extensions__item__criticality_tab,
        ___WLANMeasurementQuantities_Item_iE_Extensions__item__criticality,
        ____WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue_tab,
        ___WLANMeasurementQuantities_Item_iE_Extensions__item__extensionValue,
        __WLANMeasurementQuantities_Item_iE_Extensions__item_,
        _WLANMeasurementQuantities_Item_iE_Extensions,
        WLANMeasurementQuantities_Item,
        WLANMeasurementQuantitiesValue_ExtIEs,
        WLANMeasurementQuantitiesValue,
        _WLANMeasurementResult__item_,
        WLANMeasurementResult,
        _WLANMeasurementResult_Item_wLAN_RSSI,
        _WLANMeasurementResult_Item_sSID,
        _WLANMeasurementResult_Item_bSSID,
        _WLANMeasurementResult_Item_hESSID,
        _WLANMeasurementResult_Item_operatingClass,
        _WLANMeasurementResult_Item_countryCode,
        _WLANMeasurementResult_Item_wLANChannelList,
        _WLANMeasurementResult_Item_wLANBand,
        ____WLANMeasurementResult_Item_iE_Extensions__item__id_tab,
        ___WLANMeasurementResult_Item_iE_Extensions__item__id,
        ____WLANMeasurementResult_Item_iE_Extensions__item__criticality_tab,
        ___WLANMeasurementResult_Item_iE_Extensions__item__criticality,
        ____WLANMeasurementResult_Item_iE_Extensions__item__extensionValue_tab,
        ___WLANMeasurementResult_Item_iE_Extensions__item__extensionValue,
        __WLANMeasurementResult_Item_iE_Extensions__item_,
        _WLANMeasurementResult_Item_iE_Extensions,
        WLANMeasurementResult_Item,
        WLANMeasurementResult_Item_ExtIEs,
        WLAN_RSSI,
        WLANBand,
        _WLANChannelList__item_,
        WLANChannelList,
        WLANChannel,
        WLANCountryCode,
        WLANOperatingClass,
    ]

class NRPPA_PDU_Contents:

    _name_  = u'NRPPA-PDU-Contents'
    _oid_   = [0, 4, 0, 0, 22, 3, 4, 1, 1]
    
    _obj_ = [
        u'E-CIDMeasurementInitiationRequest',
        u'E-CIDMeasurementInitiationRequest-IEs',
        u'E-CIDMeasurementInitiationResponse',
        u'E-CIDMeasurementInitiationResponse-IEs',
        u'E-CIDMeasurementInitiationFailure',
        u'E-CIDMeasurementInitiationFailure-IEs',
        u'E-CIDMeasurementFailureIndication',
        u'E-CIDMeasurementFailureIndication-IEs',
        u'E-CIDMeasurementReport',
        u'E-CIDMeasurementReport-IEs',
        u'E-CIDMeasurementTerminationCommand',
        u'E-CIDMeasurementTerminationCommand-IEs',
        u'OTDOAInformationRequest',
        u'OTDOAInformationRequest-IEs',
        u'OTDOA-Information-Type',
        u'OTDOA-Information-TypeIEs',
        u'OTDOA-Information-Type-Item',
        u'OTDOA-Information-Type-ItemExtIEs',
        u'OTDOAInformationResponse',
        u'OTDOAInformationResponse-IEs',
        u'OTDOAInformationFailure',
        u'OTDOAInformationFailure-IEs',
        u'ErrorIndication',
        u'ErrorIndication-IEs',
        u'PrivateMessage',
        u'PrivateMessage-IEs',
        ]
    _type_ = [
        u'E-CIDMeasurementInitiationRequest',
        u'E-CIDMeasurementInitiationResponse',
        u'E-CIDMeasurementInitiationFailure',
        u'E-CIDMeasurementFailureIndication',
        u'E-CIDMeasurementReport',
        u'E-CIDMeasurementTerminationCommand',
        u'OTDOAInformationRequest',
        u'OTDOA-Information-Type',
        u'OTDOA-Information-Type-Item',
        u'OTDOAInformationResponse',
        u'OTDOAInformationFailure',
        u'ErrorIndication',
        u'PrivateMessage',
        ]
    _set_ = [
        u'E-CIDMeasurementInitiationRequest-IEs',
        u'E-CIDMeasurementInitiationResponse-IEs',
        u'E-CIDMeasurementInitiationFailure-IEs',
        u'E-CIDMeasurementFailureIndication-IEs',
        u'E-CIDMeasurementReport-IEs',
        u'E-CIDMeasurementTerminationCommand-IEs',
        u'OTDOAInformationRequest-IEs',
        u'OTDOA-Information-TypeIEs',
        u'OTDOA-Information-Type-ItemExtIEs',
        u'OTDOAInformationResponse-IEs',
        u'OTDOAInformationFailure-IEs',
        u'ErrorIndication-IEs',
        u'PrivateMessage-IEs',
        ]
    _val_ = [
        ]
    _class_ = [
        u'E-CIDMeasurementInitiationRequest-IEs',
        u'E-CIDMeasurementInitiationResponse-IEs',
        u'E-CIDMeasurementInitiationFailure-IEs',
        u'E-CIDMeasurementFailureIndication-IEs',
        u'E-CIDMeasurementReport-IEs',
        u'E-CIDMeasurementTerminationCommand-IEs',
        u'OTDOAInformationRequest-IEs',
        u'OTDOA-Information-TypeIEs',
        u'OTDOA-Information-Type-ItemExtIEs',
        u'OTDOAInformationResponse-IEs',
        u'OTDOAInformationFailure-IEs',
        u'ErrorIndication-IEs',
        u'PrivateMessage-IEs',
        ]
    _param_ = [
        ]
    
    #-----< E-CIDMeasurementInitiationRequest >-----#
    E_CIDMeasurementInitiationRequest = SEQ(name=u'E-CIDMeasurementInitiationRequest', mode=MODE_TYPE)
    _E_CIDMeasurementInitiationRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __E_CIDMeasurementInitiationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'ReportCharacteristics')))
    _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementPeriodicity')))
    _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementQuantities')))
    _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementQuantities')))
    _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementQuantities')))
    ____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'conditional')]), dict([(u'id', 5), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 15), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 19), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__id._const_tab = ____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__id._const_tab_at = None
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__criticality._const_tab = ____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__value._const_tab = ____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementInitiationRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __E_CIDMeasurementInitiationRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_CIDMeasurementInitiationRequest_protocolIEs__item__id),
        (u'criticality', ___E_CIDMeasurementInitiationRequest_protocolIEs__item__criticality),
        (u'value', ___E_CIDMeasurementInitiationRequest_protocolIEs__item__value),
        ])
    __E_CIDMeasurementInitiationRequest_protocolIEs__item_._ext = None
    _E_CIDMeasurementInitiationRequest_protocolIEs._cont = __E_CIDMeasurementInitiationRequest_protocolIEs__item_
    _E_CIDMeasurementInitiationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_CIDMeasurementInitiationRequest._cont = ASN1Dict([
        (u'protocolIEs', _E_CIDMeasurementInitiationRequest_protocolIEs),
        ])
    E_CIDMeasurementInitiationRequest._ext = []
    
    #-----< E-CIDMeasurementInitiationRequest-IEs >-----#
    E_CIDMeasurementInitiationRequest_IEs = CLASS(name=u'E-CIDMeasurementInitiationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _E_CIDMeasurementInitiationRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementInitiationRequest_IEs_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'ReportCharacteristics')))
    _E_CIDMeasurementInitiationRequest_IEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementPeriodicity')))
    _E_CIDMeasurementInitiationRequest_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'MeasurementQuantities')))
    _E_CIDMeasurementInitiationRequest_IEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementQuantities')))
    _E_CIDMeasurementInitiationRequest_IEs_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementQuantities')))
    E_CIDMeasurementInitiationRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 3), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationRequest_IEs_val_Value_2), (u'presence', u'conditional')]), dict([(u'id', 5), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationRequest_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 15), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationRequest_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 19), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationRequest_IEs_val_Value_5), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-CIDMeasurementInitiationResponse >-----#
    E_CIDMeasurementInitiationResponse = SEQ(name=u'E-CIDMeasurementInitiationResponse', mode=MODE_TYPE)
    _E_CIDMeasurementInitiationResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __E_CIDMeasurementInitiationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'E-CID-MeasurementResult')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cell-Portion-ID')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementResult')))
    _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_6 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementResult')))
    ____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 14), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 17), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 21), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__id._const_tab = ____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__id._const_tab_at = None
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__criticality._const_tab = ____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__value._const_tab = ____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementInitiationResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __E_CIDMeasurementInitiationResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_CIDMeasurementInitiationResponse_protocolIEs__item__id),
        (u'criticality', ___E_CIDMeasurementInitiationResponse_protocolIEs__item__criticality),
        (u'value', ___E_CIDMeasurementInitiationResponse_protocolIEs__item__value),
        ])
    __E_CIDMeasurementInitiationResponse_protocolIEs__item_._ext = None
    _E_CIDMeasurementInitiationResponse_protocolIEs._cont = __E_CIDMeasurementInitiationResponse_protocolIEs__item_
    _E_CIDMeasurementInitiationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_CIDMeasurementInitiationResponse._cont = ASN1Dict([
        (u'protocolIEs', _E_CIDMeasurementInitiationResponse_protocolIEs),
        ])
    E_CIDMeasurementInitiationResponse._ext = []
    
    #-----< E-CIDMeasurementInitiationResponse-IEs >-----#
    E_CIDMeasurementInitiationResponse_IEs = CLASS(name=u'E-CIDMeasurementInitiationResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'E-CID-MeasurementResult')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cell-Portion-ID')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OtherRATMeasurementResult')))
    _E_CIDMeasurementInitiationResponse_IEs_val_Value_6 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'WLANMeasurementResult')))
    E_CIDMeasurementInitiationResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 14), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 17), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 21), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationResponse_IEs_val_Value_6), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-CIDMeasurementInitiationFailure >-----#
    E_CIDMeasurementInitiationFailure = SEQ(name=u'E-CIDMeasurementInitiationFailure', mode=MODE_TYPE)
    _E_CIDMeasurementInitiationFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __E_CIDMeasurementInitiationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    ____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__id._const_tab = ____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__id._const_tab_at = None
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__criticality._const_tab = ____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__value._const_tab = ____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementInitiationFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __E_CIDMeasurementInitiationFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_CIDMeasurementInitiationFailure_protocolIEs__item__id),
        (u'criticality', ___E_CIDMeasurementInitiationFailure_protocolIEs__item__criticality),
        (u'value', ___E_CIDMeasurementInitiationFailure_protocolIEs__item__value),
        ])
    __E_CIDMeasurementInitiationFailure_protocolIEs__item_._ext = None
    _E_CIDMeasurementInitiationFailure_protocolIEs._cont = __E_CIDMeasurementInitiationFailure_protocolIEs__item_
    _E_CIDMeasurementInitiationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_CIDMeasurementInitiationFailure._cont = ASN1Dict([
        (u'protocolIEs', _E_CIDMeasurementInitiationFailure_protocolIEs),
        ])
    E_CIDMeasurementInitiationFailure._ext = []
    
    #-----< E-CIDMeasurementInitiationFailure-IEs >-----#
    E_CIDMeasurementInitiationFailure_IEs = CLASS(name=u'E-CIDMeasurementInitiationFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _E_CIDMeasurementInitiationFailure_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementInitiationFailure_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    _E_CIDMeasurementInitiationFailure_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    E_CIDMeasurementInitiationFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementInitiationFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationFailure_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementInitiationFailure_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-CIDMeasurementFailureIndication >-----#
    E_CIDMeasurementFailureIndication = SEQ(name=u'E-CIDMeasurementFailureIndication', mode=MODE_TYPE)
    _E_CIDMeasurementFailureIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __E_CIDMeasurementFailureIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    ____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__id._const_tab = ____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__id._const_tab_at = None
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__criticality._const_tab = ____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__value._const_tab = ____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementFailureIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __E_CIDMeasurementFailureIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_CIDMeasurementFailureIndication_protocolIEs__item__id),
        (u'criticality', ___E_CIDMeasurementFailureIndication_protocolIEs__item__criticality),
        (u'value', ___E_CIDMeasurementFailureIndication_protocolIEs__item__value),
        ])
    __E_CIDMeasurementFailureIndication_protocolIEs__item_._ext = None
    _E_CIDMeasurementFailureIndication_protocolIEs._cont = __E_CIDMeasurementFailureIndication_protocolIEs__item_
    _E_CIDMeasurementFailureIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_CIDMeasurementFailureIndication._cont = ASN1Dict([
        (u'protocolIEs', _E_CIDMeasurementFailureIndication_protocolIEs),
        ])
    E_CIDMeasurementFailureIndication._ext = []
    
    #-----< E-CIDMeasurementFailureIndication-IEs >-----#
    E_CIDMeasurementFailureIndication_IEs = CLASS(name=u'E-CIDMeasurementFailureIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _E_CIDMeasurementFailureIndication_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementFailureIndication_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementFailureIndication_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    E_CIDMeasurementFailureIndication_IEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementFailureIndication_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementFailureIndication_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementFailureIndication_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< E-CIDMeasurementReport >-----#
    E_CIDMeasurementReport = SEQ(name=u'E-CIDMeasurementReport', mode=MODE_TYPE)
    _E_CIDMeasurementReport_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __E_CIDMeasurementReport_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___E_CIDMeasurementReport_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____E_CIDMeasurementReport_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'E-CID-MeasurementResult')))
    _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cell-Portion-ID')))
    ____E_CIDMeasurementReport_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 14), (u'criticality', u'ignore'), (u'Value', _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___E_CIDMeasurementReport_protocolIEs__item__id._const_tab = ____E_CIDMeasurementReport_protocolIEs__item__id_tab
    ___E_CIDMeasurementReport_protocolIEs__item__id._const_tab_at = None
    ___E_CIDMeasurementReport_protocolIEs__item__id._const_tab_id = u'id'
    ___E_CIDMeasurementReport_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___E_CIDMeasurementReport_protocolIEs__item__criticality._const_tab = ____E_CIDMeasurementReport_protocolIEs__item__id_tab
    ___E_CIDMeasurementReport_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementReport_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_CIDMeasurementReport_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___E_CIDMeasurementReport_protocolIEs__item__value._const_tab = ____E_CIDMeasurementReport_protocolIEs__item__id_tab
    ___E_CIDMeasurementReport_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementReport_protocolIEs__item__value._const_tab_id = u'Value'
    __E_CIDMeasurementReport_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_CIDMeasurementReport_protocolIEs__item__id),
        (u'criticality', ___E_CIDMeasurementReport_protocolIEs__item__criticality),
        (u'value', ___E_CIDMeasurementReport_protocolIEs__item__value),
        ])
    __E_CIDMeasurementReport_protocolIEs__item_._ext = None
    _E_CIDMeasurementReport_protocolIEs._cont = __E_CIDMeasurementReport_protocolIEs__item_
    _E_CIDMeasurementReport_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_CIDMeasurementReport._cont = ASN1Dict([
        (u'protocolIEs', _E_CIDMeasurementReport_protocolIEs),
        ])
    E_CIDMeasurementReport._ext = []
    
    #-----< E-CIDMeasurementReport-IEs >-----#
    E_CIDMeasurementReport_IEs = CLASS(name=u'E-CIDMeasurementReport-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _E_CIDMeasurementReport_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementReport_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementReport_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'E-CID-MeasurementResult')))
    _E_CIDMeasurementReport_IEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cell-Portion-ID')))
    E_CIDMeasurementReport_IEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementReport_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementReport_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementReport_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 14), (u'criticality', u'ignore'), (u'Value', _E_CIDMeasurementReport_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-CIDMeasurementTerminationCommand >-----#
    E_CIDMeasurementTerminationCommand = SEQ(name=u'E-CIDMeasurementTerminationCommand', mode=MODE_TYPE)
    _E_CIDMeasurementTerminationCommand_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __E_CIDMeasurementTerminationCommand_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    ____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__id._const_tab = ____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__id._const_tab_at = None
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__id._const_tab_id = u'id'
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__criticality._const_tab = ____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__value._const_tab = ____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_CIDMeasurementTerminationCommand_protocolIEs__item__value._const_tab_id = u'Value'
    __E_CIDMeasurementTerminationCommand_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_CIDMeasurementTerminationCommand_protocolIEs__item__id),
        (u'criticality', ___E_CIDMeasurementTerminationCommand_protocolIEs__item__criticality),
        (u'value', ___E_CIDMeasurementTerminationCommand_protocolIEs__item__value),
        ])
    __E_CIDMeasurementTerminationCommand_protocolIEs__item_._ext = None
    _E_CIDMeasurementTerminationCommand_protocolIEs._cont = __E_CIDMeasurementTerminationCommand_protocolIEs__item_
    _E_CIDMeasurementTerminationCommand_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_CIDMeasurementTerminationCommand._cont = ASN1Dict([
        (u'protocolIEs', _E_CIDMeasurementTerminationCommand_protocolIEs),
        ])
    E_CIDMeasurementTerminationCommand._ext = []
    
    #-----< E-CIDMeasurementTerminationCommand-IEs >-----#
    E_CIDMeasurementTerminationCommand_IEs = CLASS(name=u'E-CIDMeasurementTerminationCommand-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _E_CIDMeasurementTerminationCommand_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    _E_CIDMeasurementTerminationCommand_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Measurement-ID')))
    E_CIDMeasurementTerminationCommand_IEs._val = ASN1Set(rv=[dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementTerminationCommand_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'reject'), (u'Value', _E_CIDMeasurementTerminationCommand_IEs_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< OTDOAInformationRequest >-----#
    OTDOAInformationRequest = SEQ(name=u'OTDOAInformationRequest', mode=MODE_TYPE)
    _OTDOAInformationRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __OTDOAInformationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___OTDOAInformationRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____OTDOAInformationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____OTDOAInformationRequest_protocolIEs__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOA-Information-Type')))
    ____OTDOAInformationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 9), (u'criticality', u'reject'), (u'Value', _____OTDOAInformationRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___OTDOAInformationRequest_protocolIEs__item__id._const_tab = ____OTDOAInformationRequest_protocolIEs__item__id_tab
    ___OTDOAInformationRequest_protocolIEs__item__id._const_tab_at = None
    ___OTDOAInformationRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___OTDOAInformationRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___OTDOAInformationRequest_protocolIEs__item__criticality._const_tab = ____OTDOAInformationRequest_protocolIEs__item__id_tab
    ___OTDOAInformationRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___OTDOAInformationRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___OTDOAInformationRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___OTDOAInformationRequest_protocolIEs__item__value._const_tab = ____OTDOAInformationRequest_protocolIEs__item__id_tab
    ___OTDOAInformationRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___OTDOAInformationRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __OTDOAInformationRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___OTDOAInformationRequest_protocolIEs__item__id),
        (u'criticality', ___OTDOAInformationRequest_protocolIEs__item__criticality),
        (u'value', ___OTDOAInformationRequest_protocolIEs__item__value),
        ])
    __OTDOAInformationRequest_protocolIEs__item_._ext = None
    _OTDOAInformationRequest_protocolIEs._cont = __OTDOAInformationRequest_protocolIEs__item_
    _OTDOAInformationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    OTDOAInformationRequest._cont = ASN1Dict([
        (u'protocolIEs', _OTDOAInformationRequest_protocolIEs),
        ])
    OTDOAInformationRequest._ext = []
    
    #-----< OTDOAInformationRequest-IEs >-----#
    OTDOAInformationRequest_IEs = CLASS(name=u'OTDOAInformationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _OTDOAInformationRequest_IEs_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOA-Information-Type')))
    OTDOAInformationRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 9), (u'criticality', u'reject'), (u'Value', _OTDOAInformationRequest_IEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< OTDOA-Information-Type >-----#
    OTDOA_Information_Type = SEQ_OF(name=u'OTDOA-Information-Type', mode=MODE_TYPE)
    _OTDOA_Information_Type__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Single-Container')))
    __OTDOA_Information_Type__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ___OTDOA_Information_Type__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    ____OTDOA_Information_Type__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOA-Information-Type-Item')))
    ___OTDOA_Information_Type__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 10), (u'criticality', u'reject'), (u'Value', ____OTDOA_Information_Type__item__id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __OTDOA_Information_Type__item__id._const_tab = ___OTDOA_Information_Type__item__id_tab
    __OTDOA_Information_Type__item__id._const_tab_at = None
    __OTDOA_Information_Type__item__id._const_tab_id = u'id'
    __OTDOA_Information_Type__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    __OTDOA_Information_Type__item__criticality._const_tab = ___OTDOA_Information_Type__item__id_tab
    __OTDOA_Information_Type__item__criticality._const_tab_at = ('..', u'id')
    __OTDOA_Information_Type__item__criticality._const_tab_id = u'criticality'
    __OTDOA_Information_Type__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    __OTDOA_Information_Type__item__value._const_tab = ___OTDOA_Information_Type__item__id_tab
    __OTDOA_Information_Type__item__value._const_tab_at = ('..', u'id')
    __OTDOA_Information_Type__item__value._const_tab_id = u'Value'
    _OTDOA_Information_Type__item_._cont = ASN1Dict([
        (u'id', __OTDOA_Information_Type__item__id),
        (u'criticality', __OTDOA_Information_Type__item__criticality),
        (u'value', __OTDOA_Information_Type__item__value),
        ])
    _OTDOA_Information_Type__item_._ext = None
    OTDOA_Information_Type._cont = _OTDOA_Information_Type__item_
    OTDOA_Information_Type._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=63)], ev=None, er=[])
    
    #-----< OTDOA-Information-TypeIEs >-----#
    OTDOA_Information_TypeIEs = CLASS(name=u'OTDOA-Information-TypeIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _OTDOA_Information_TypeIEs_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOA-Information-Type-Item')))
    OTDOA_Information_TypeIEs._val = ASN1Set(rv=[dict([(u'id', 10), (u'criticality', u'reject'), (u'Value', _OTDOA_Information_TypeIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< OTDOA-Information-Type-Item >-----#
    OTDOA_Information_Type_Item = SEQ(name=u'OTDOA-Information-Type-Item', mode=MODE_TYPE)
    _OTDOA_Information_Type_Item_oTDOA_Information_Type_Item = ENUM(name=u'oTDOA-Information-Type-Item', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-IEs', 'OTDOA-Information-Item')))
    _OTDOA_Information_Type_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionContainer')), opt=True)
    __OTDOA_Information_Type_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolExtensionField')))
    ___OTDOA_Information_Type_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'id']))
    ____OTDOA_Information_Type_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____OTDOA_Information_Type_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___OTDOA_Information_Type_Item_iE_Extensions__item__id._const_tab = ____OTDOA_Information_Type_Item_iE_Extensions__item__id_tab
    ___OTDOA_Information_Type_Item_iE_Extensions__item__id._const_tab_at = None
    ___OTDOA_Information_Type_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___OTDOA_Information_Type_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'criticality']))
    ____OTDOA_Information_Type_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____OTDOA_Information_Type_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___OTDOA_Information_Type_Item_iE_Extensions__item__criticality._const_tab = ____OTDOA_Information_Type_Item_iE_Extensions__item__criticality_tab
    ___OTDOA_Information_Type_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___OTDOA_Information_Type_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION'), [u'Extension']))
    ____OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_NRPPA-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    ____OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue._const_tab = ____OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue_tab
    ___OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __OTDOA_Information_Type_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___OTDOA_Information_Type_Item_iE_Extensions__item__id),
        (u'criticality', ___OTDOA_Information_Type_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue),
        ])
    __OTDOA_Information_Type_Item_iE_Extensions__item_._ext = None
    _OTDOA_Information_Type_Item_iE_Extensions._cont = __OTDOA_Information_Type_Item_iE_Extensions__item_
    _OTDOA_Information_Type_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    OTDOA_Information_Type_Item._cont = ASN1Dict([
        (u'oTDOA-Information-Type-Item', _OTDOA_Information_Type_Item_oTDOA_Information_Type_Item),
        (u'iE-Extensions', _OTDOA_Information_Type_Item_iE_Extensions),
        ])
    OTDOA_Information_Type_Item._ext = []
    
    #-----< OTDOA-Information-Type-ItemExtIEs >-----#
    OTDOA_Information_Type_ItemExtIEs = CLASS(name=u'OTDOA-Information-Type-ItemExtIEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-EXTENSION')))
    OTDOA_Information_Type_ItemExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< OTDOAInformationResponse >-----#
    OTDOAInformationResponse = SEQ(name=u'OTDOAInformationResponse', mode=MODE_TYPE)
    _OTDOAInformationResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __OTDOAInformationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___OTDOAInformationResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____OTDOAInformationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____OTDOAInformationResponse_protocolIEs__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OTDOACells')))
    _____OTDOAInformationResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    ____OTDOAInformationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _____OTDOAInformationResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____OTDOAInformationResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___OTDOAInformationResponse_protocolIEs__item__id._const_tab = ____OTDOAInformationResponse_protocolIEs__item__id_tab
    ___OTDOAInformationResponse_protocolIEs__item__id._const_tab_at = None
    ___OTDOAInformationResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___OTDOAInformationResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___OTDOAInformationResponse_protocolIEs__item__criticality._const_tab = ____OTDOAInformationResponse_protocolIEs__item__id_tab
    ___OTDOAInformationResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___OTDOAInformationResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___OTDOAInformationResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___OTDOAInformationResponse_protocolIEs__item__value._const_tab = ____OTDOAInformationResponse_protocolIEs__item__id_tab
    ___OTDOAInformationResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___OTDOAInformationResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __OTDOAInformationResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___OTDOAInformationResponse_protocolIEs__item__id),
        (u'criticality', ___OTDOAInformationResponse_protocolIEs__item__criticality),
        (u'value', ___OTDOAInformationResponse_protocolIEs__item__value),
        ])
    __OTDOAInformationResponse_protocolIEs__item_._ext = None
    _OTDOAInformationResponse_protocolIEs._cont = __OTDOAInformationResponse_protocolIEs__item_
    _OTDOAInformationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    OTDOAInformationResponse._cont = ASN1Dict([
        (u'protocolIEs', _OTDOAInformationResponse_protocolIEs),
        ])
    OTDOAInformationResponse._ext = []
    
    #-----< OTDOAInformationResponse-IEs >-----#
    OTDOAInformationResponse_IEs = CLASS(name=u'OTDOAInformationResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _OTDOAInformationResponse_IEs_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'OTDOACells')))
    _OTDOAInformationResponse_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    OTDOAInformationResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _OTDOAInformationResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _OTDOAInformationResponse_IEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< OTDOAInformationFailure >-----#
    OTDOAInformationFailure = SEQ(name=u'OTDOAInformationFailure', mode=MODE_TYPE)
    _OTDOAInformationFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __OTDOAInformationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___OTDOAInformationFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____OTDOAInformationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____OTDOAInformationFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    _____OTDOAInformationFailure_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    ____OTDOAInformationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____OTDOAInformationFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____OTDOAInformationFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___OTDOAInformationFailure_protocolIEs__item__id._const_tab = ____OTDOAInformationFailure_protocolIEs__item__id_tab
    ___OTDOAInformationFailure_protocolIEs__item__id._const_tab_at = None
    ___OTDOAInformationFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___OTDOAInformationFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___OTDOAInformationFailure_protocolIEs__item__criticality._const_tab = ____OTDOAInformationFailure_protocolIEs__item__id_tab
    ___OTDOAInformationFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___OTDOAInformationFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___OTDOAInformationFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___OTDOAInformationFailure_protocolIEs__item__value._const_tab = ____OTDOAInformationFailure_protocolIEs__item__id_tab
    ___OTDOAInformationFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___OTDOAInformationFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __OTDOAInformationFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___OTDOAInformationFailure_protocolIEs__item__id),
        (u'criticality', ___OTDOAInformationFailure_protocolIEs__item__criticality),
        (u'value', ___OTDOAInformationFailure_protocolIEs__item__value),
        ])
    __OTDOAInformationFailure_protocolIEs__item_._ext = None
    _OTDOAInformationFailure_protocolIEs._cont = __OTDOAInformationFailure_protocolIEs__item_
    _OTDOAInformationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    OTDOAInformationFailure._cont = ASN1Dict([
        (u'protocolIEs', _OTDOAInformationFailure_protocolIEs),
        ])
    OTDOAInformationFailure._ext = []
    
    #-----< OTDOAInformationFailure-IEs >-----#
    OTDOAInformationFailure_IEs = CLASS(name=u'OTDOAInformationFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _OTDOAInformationFailure_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    _OTDOAInformationFailure_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    OTDOAInformationFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _OTDOAInformationFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _OTDOAInformationFailure_IEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ErrorIndication >-----#
    ErrorIndication = SEQ(name=u'ErrorIndication', mode=MODE_TYPE)
    _ErrorIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Container')))
    __ErrorIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'ProtocolIE-Field')))
    ___ErrorIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'id']))
    ____ErrorIndication_protocolIEs__item__id_tab = CLASS(name='_tab_NRPPA-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    ____ErrorIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ErrorIndication_protocolIEs__item__id._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__id._const_tab_at = None
    ___ErrorIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___ErrorIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'criticality']))
    ___ErrorIndication_protocolIEs__item__criticality._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ErrorIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES'), [u'Value']))
    ___ErrorIndication_protocolIEs__item__value._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ErrorIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __ErrorIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ErrorIndication_protocolIEs__item__id),
        (u'criticality', ___ErrorIndication_protocolIEs__item__criticality),
        (u'value', ___ErrorIndication_protocolIEs__item__value),
        ])
    __ErrorIndication_protocolIEs__item_._ext = None
    _ErrorIndication_protocolIEs._cont = __ErrorIndication_protocolIEs__item_
    _ErrorIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ErrorIndication._cont = ASN1Dict([
        (u'protocolIEs', _ErrorIndication_protocolIEs),
        ])
    ErrorIndication._ext = []
    
    #-----< ErrorIndication-IEs >-----#
    ErrorIndication_IEs = CLASS(name=u'ErrorIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PROTOCOL-IES')))
    _ErrorIndication_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'Cause')))
    _ErrorIndication_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-IEs', 'CriticalityDiagnostics')))
    ErrorIndication_IEs._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 1), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PrivateMessage >-----#
    PrivateMessage = SEQ(name=u'PrivateMessage', mode=MODE_TYPE)
    _PrivateMessage_privateIEs = SEQ_OF(name=u'privateIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-Containers', 'PrivateIE-Container')))
    __PrivateMessage_privateIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-Containers', 'PrivateIE-Field')))
    ___PrivateMessage_privateIEs__item__id = CHOICE(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PRIVATE-IES'), [u'id']))
    ____PrivateMessage_privateIEs__item__id_tab = CLASS(name='_tab_NRPPA-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__id._const_tab = ____PrivateMessage_privateIEs__item__id_tab
    ___PrivateMessage_privateIEs__item__id._const_tab_at = None
    ___PrivateMessage_privateIEs__item__id._const_tab_id = u'id'
    ___PrivateMessage_privateIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PRIVATE-IES'), [u'criticality']))
    ____PrivateMessage_privateIEs__item__criticality_tab = CLASS(name='_tab_NRPPA-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__criticality._const_tab = ____PrivateMessage_privateIEs__item__criticality_tab
    ___PrivateMessage_privateIEs__item__criticality._const_tab_at = ('..', u'id')
    ___PrivateMessage_privateIEs__item__criticality._const_tab_id = u'criticality'
    ___PrivateMessage_privateIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-Containers', 'NRPPA-PRIVATE-IES'), [u'Value']))
    ____PrivateMessage_privateIEs__item__value_tab = CLASS(name='_tab_NRPPA-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__value._const_tab = ____PrivateMessage_privateIEs__item__value_tab
    ___PrivateMessage_privateIEs__item__value._const_tab_at = ('..', u'id')
    ___PrivateMessage_privateIEs__item__value._const_tab_id = u'Value'
    __PrivateMessage_privateIEs__item_._cont = ASN1Dict([
        (u'id', ___PrivateMessage_privateIEs__item__id),
        (u'criticality', ___PrivateMessage_privateIEs__item__criticality),
        (u'value', ___PrivateMessage_privateIEs__item__value),
        ])
    __PrivateMessage_privateIEs__item_._ext = None
    _PrivateMessage_privateIEs._cont = __PrivateMessage_privateIEs__item_
    _PrivateMessage_privateIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PrivateMessage._cont = ASN1Dict([
        (u'privateIEs', _PrivateMessage_privateIEs),
        ])
    PrivateMessage._ext = []
    
    #-----< PrivateMessage-IEs >-----#
    PrivateMessage_IEs = CLASS(name=u'PrivateMessage-IEs', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-Containers', 'NRPPA-PRIVATE-IES')))
    PrivateMessage_IEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    _all_ = [
        ____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab,
        _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_1,
        _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_2,
        _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_3,
        _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_4,
        _____E_CIDMeasurementInitiationRequest_protocolIEs__item__id_tab_val_Value_5,
        ___E_CIDMeasurementInitiationRequest_protocolIEs__item__id,
        ___E_CIDMeasurementInitiationRequest_protocolIEs__item__criticality,
        ___E_CIDMeasurementInitiationRequest_protocolIEs__item__value,
        __E_CIDMeasurementInitiationRequest_protocolIEs__item_,
        _E_CIDMeasurementInitiationRequest_protocolIEs,
        E_CIDMeasurementInitiationRequest,
        E_CIDMeasurementInitiationRequest_IEs,
        _E_CIDMeasurementInitiationRequest_IEs_val_Value_0,
        _E_CIDMeasurementInitiationRequest_IEs_val_Value_1,
        _E_CIDMeasurementInitiationRequest_IEs_val_Value_2,
        _E_CIDMeasurementInitiationRequest_IEs_val_Value_3,
        _E_CIDMeasurementInitiationRequest_IEs_val_Value_4,
        _E_CIDMeasurementInitiationRequest_IEs_val_Value_5,
        ____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_1,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_2,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_3,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_4,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_5,
        _____E_CIDMeasurementInitiationResponse_protocolIEs__item__id_tab_val_Value_6,
        ___E_CIDMeasurementInitiationResponse_protocolIEs__item__id,
        ___E_CIDMeasurementInitiationResponse_protocolIEs__item__criticality,
        ___E_CIDMeasurementInitiationResponse_protocolIEs__item__value,
        __E_CIDMeasurementInitiationResponse_protocolIEs__item_,
        _E_CIDMeasurementInitiationResponse_protocolIEs,
        E_CIDMeasurementInitiationResponse,
        E_CIDMeasurementInitiationResponse_IEs,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_0,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_1,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_2,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_3,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_4,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_5,
        _E_CIDMeasurementInitiationResponse_IEs_val_Value_6,
        ____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab,
        _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_1,
        _____E_CIDMeasurementInitiationFailure_protocolIEs__item__id_tab_val_Value_2,
        ___E_CIDMeasurementInitiationFailure_protocolIEs__item__id,
        ___E_CIDMeasurementInitiationFailure_protocolIEs__item__criticality,
        ___E_CIDMeasurementInitiationFailure_protocolIEs__item__value,
        __E_CIDMeasurementInitiationFailure_protocolIEs__item_,
        _E_CIDMeasurementInitiationFailure_protocolIEs,
        E_CIDMeasurementInitiationFailure,
        E_CIDMeasurementInitiationFailure_IEs,
        _E_CIDMeasurementInitiationFailure_IEs_val_Value_0,
        _E_CIDMeasurementInitiationFailure_IEs_val_Value_1,
        _E_CIDMeasurementInitiationFailure_IEs_val_Value_2,
        ____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab,
        _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_0,
        _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_1,
        _____E_CIDMeasurementFailureIndication_protocolIEs__item__id_tab_val_Value_2,
        ___E_CIDMeasurementFailureIndication_protocolIEs__item__id,
        ___E_CIDMeasurementFailureIndication_protocolIEs__item__criticality,
        ___E_CIDMeasurementFailureIndication_protocolIEs__item__value,
        __E_CIDMeasurementFailureIndication_protocolIEs__item_,
        _E_CIDMeasurementFailureIndication_protocolIEs,
        E_CIDMeasurementFailureIndication,
        E_CIDMeasurementFailureIndication_IEs,
        _E_CIDMeasurementFailureIndication_IEs_val_Value_0,
        _E_CIDMeasurementFailureIndication_IEs_val_Value_1,
        _E_CIDMeasurementFailureIndication_IEs_val_Value_2,
        ____E_CIDMeasurementReport_protocolIEs__item__id_tab,
        _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_0,
        _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_1,
        _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_2,
        _____E_CIDMeasurementReport_protocolIEs__item__id_tab_val_Value_3,
        ___E_CIDMeasurementReport_protocolIEs__item__id,
        ___E_CIDMeasurementReport_protocolIEs__item__criticality,
        ___E_CIDMeasurementReport_protocolIEs__item__value,
        __E_CIDMeasurementReport_protocolIEs__item_,
        _E_CIDMeasurementReport_protocolIEs,
        E_CIDMeasurementReport,
        E_CIDMeasurementReport_IEs,
        _E_CIDMeasurementReport_IEs_val_Value_0,
        _E_CIDMeasurementReport_IEs_val_Value_1,
        _E_CIDMeasurementReport_IEs_val_Value_2,
        _E_CIDMeasurementReport_IEs_val_Value_3,
        ____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab,
        _____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab_val_Value_0,
        _____E_CIDMeasurementTerminationCommand_protocolIEs__item__id_tab_val_Value_1,
        ___E_CIDMeasurementTerminationCommand_protocolIEs__item__id,
        ___E_CIDMeasurementTerminationCommand_protocolIEs__item__criticality,
        ___E_CIDMeasurementTerminationCommand_protocolIEs__item__value,
        __E_CIDMeasurementTerminationCommand_protocolIEs__item_,
        _E_CIDMeasurementTerminationCommand_protocolIEs,
        E_CIDMeasurementTerminationCommand,
        E_CIDMeasurementTerminationCommand_IEs,
        _E_CIDMeasurementTerminationCommand_IEs_val_Value_0,
        _E_CIDMeasurementTerminationCommand_IEs_val_Value_1,
        ____OTDOAInformationRequest_protocolIEs__item__id_tab,
        _____OTDOAInformationRequest_protocolIEs__item__id_tab_val_Value_0,
        ___OTDOAInformationRequest_protocolIEs__item__id,
        ___OTDOAInformationRequest_protocolIEs__item__criticality,
        ___OTDOAInformationRequest_protocolIEs__item__value,
        __OTDOAInformationRequest_protocolIEs__item_,
        _OTDOAInformationRequest_protocolIEs,
        OTDOAInformationRequest,
        OTDOAInformationRequest_IEs,
        _OTDOAInformationRequest_IEs_val_Value_0,
        ___OTDOA_Information_Type__item__id_tab,
        ____OTDOA_Information_Type__item__id_tab_val_Value_0,
        __OTDOA_Information_Type__item__id,
        __OTDOA_Information_Type__item__criticality,
        __OTDOA_Information_Type__item__value,
        _OTDOA_Information_Type__item_,
        OTDOA_Information_Type,
        OTDOA_Information_TypeIEs,
        _OTDOA_Information_TypeIEs_val_Value_0,
        _OTDOA_Information_Type_Item_oTDOA_Information_Type_Item,
        ____OTDOA_Information_Type_Item_iE_Extensions__item__id_tab,
        ___OTDOA_Information_Type_Item_iE_Extensions__item__id,
        ____OTDOA_Information_Type_Item_iE_Extensions__item__criticality_tab,
        ___OTDOA_Information_Type_Item_iE_Extensions__item__criticality,
        ____OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue_tab,
        ___OTDOA_Information_Type_Item_iE_Extensions__item__extensionValue,
        __OTDOA_Information_Type_Item_iE_Extensions__item_,
        _OTDOA_Information_Type_Item_iE_Extensions,
        OTDOA_Information_Type_Item,
        OTDOA_Information_Type_ItemExtIEs,
        ____OTDOAInformationResponse_protocolIEs__item__id_tab,
        _____OTDOAInformationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____OTDOAInformationResponse_protocolIEs__item__id_tab_val_Value_1,
        ___OTDOAInformationResponse_protocolIEs__item__id,
        ___OTDOAInformationResponse_protocolIEs__item__criticality,
        ___OTDOAInformationResponse_protocolIEs__item__value,
        __OTDOAInformationResponse_protocolIEs__item_,
        _OTDOAInformationResponse_protocolIEs,
        OTDOAInformationResponse,
        OTDOAInformationResponse_IEs,
        _OTDOAInformationResponse_IEs_val_Value_0,
        _OTDOAInformationResponse_IEs_val_Value_1,
        ____OTDOAInformationFailure_protocolIEs__item__id_tab,
        _____OTDOAInformationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____OTDOAInformationFailure_protocolIEs__item__id_tab_val_Value_1,
        ___OTDOAInformationFailure_protocolIEs__item__id,
        ___OTDOAInformationFailure_protocolIEs__item__criticality,
        ___OTDOAInformationFailure_protocolIEs__item__value,
        __OTDOAInformationFailure_protocolIEs__item_,
        _OTDOAInformationFailure_protocolIEs,
        OTDOAInformationFailure,
        OTDOAInformationFailure_IEs,
        _OTDOAInformationFailure_IEs_val_Value_0,
        _OTDOAInformationFailure_IEs_val_Value_1,
        ____ErrorIndication_protocolIEs__item__id_tab,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1,
        ___ErrorIndication_protocolIEs__item__id,
        ___ErrorIndication_protocolIEs__item__criticality,
        ___ErrorIndication_protocolIEs__item__value,
        __ErrorIndication_protocolIEs__item_,
        _ErrorIndication_protocolIEs,
        ErrorIndication,
        ErrorIndication_IEs,
        _ErrorIndication_IEs_val_Value_0,
        _ErrorIndication_IEs_val_Value_1,
        ____PrivateMessage_privateIEs__item__id_tab,
        ___PrivateMessage_privateIEs__item__id,
        ____PrivateMessage_privateIEs__item__criticality_tab,
        ___PrivateMessage_privateIEs__item__criticality,
        ____PrivateMessage_privateIEs__item__value_tab,
        ___PrivateMessage_privateIEs__item__value,
        __PrivateMessage_privateIEs__item_,
        _PrivateMessage_privateIEs,
        PrivateMessage,
        PrivateMessage_IEs,
    ]

class NRPPA_PDU_Descriptions:

    _name_  = u'NRPPA-PDU-Descriptions'
    _oid_   = [0, 4, 0, 0, 22, 3, 4, 1, 0]
    
    _obj_ = [
        u'NRPPA-ELEMENTARY-PROCEDURE',
        u'NRPPA-PDU',
        u'InitiatingMessage',
        u'SuccessfulOutcome',
        u'UnsuccessfulOutcome',
        u'NRPPA-ELEMENTARY-PROCEDURES',
        u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-1',
        u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-2',
        u'e-CIDMeasurementInitiation',
        u'e-CIDMeasurementFailureIndication',
        u'e-CIDMeasurementReport',
        u'e-CIDMeasurementTermination',
        u'oTDOAInformationExchange',
        u'errorIndication',
        u'privateMessage',
        ]
    _type_ = [
        u'NRPPA-ELEMENTARY-PROCEDURE',
        u'NRPPA-PDU',
        u'InitiatingMessage',
        u'SuccessfulOutcome',
        u'UnsuccessfulOutcome',
        ]
    _set_ = [
        u'NRPPA-ELEMENTARY-PROCEDURES',
        u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-1',
        u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-2',
        ]
    _val_ = [
        u'e-CIDMeasurementInitiation',
        u'e-CIDMeasurementFailureIndication',
        u'e-CIDMeasurementReport',
        u'e-CIDMeasurementTermination',
        u'oTDOAInformationExchange',
        u'errorIndication',
        u'privateMessage',
        ]
    _class_ = [
        u'NRPPA-ELEMENTARY-PROCEDURE',
        u'NRPPA-ELEMENTARY-PROCEDURES',
        u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-1',
        u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-2',
        u'e-CIDMeasurementInitiation',
        u'e-CIDMeasurementFailureIndication',
        u'e-CIDMeasurementReport',
        u'e-CIDMeasurementTermination',
        u'oTDOAInformationExchange',
        u'errorIndication',
        u'privateMessage',
        ]
    _param_ = [
        ]
    
    #-----< NRPPA-ELEMENTARY-PROCEDURE >-----#
    NRPPA_ELEMENTARY_PROCEDURE = CLASS(name=u'NRPPA-ELEMENTARY-PROCEDURE', mode=MODE_TYPE)
    _NRPPA_ELEMENTARY_PROCEDURE_InitiatingMessage = OPEN(name=u'InitiatingMessage', mode=MODE_TYPE)
    _NRPPA_ELEMENTARY_PROCEDURE_SuccessfulOutcome = OPEN(name=u'SuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _NRPPA_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome = OPEN(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _NRPPA_ELEMENTARY_PROCEDURE_procedureCode = INT(name=u'procedureCode', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'ProcedureCode')), uniq=True)
    _NRPPA_ELEMENTARY_PROCEDURE_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'Criticality')), default=u'ignore')
    NRPPA_ELEMENTARY_PROCEDURE._cont = ASN1Dict([
        (u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURE_InitiatingMessage),
        (u'SuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURE_SuccessfulOutcome),
        (u'UnsuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome),
        (u'procedureCode', _NRPPA_ELEMENTARY_PROCEDURE_procedureCode),
        (u'criticality', _NRPPA_ELEMENTARY_PROCEDURE_criticality),
        ])
    
    #-----< NRPPA-PDU >-----#
    NRPPA_PDU = CHOICE(name=u'NRPPA-PDU', mode=MODE_TYPE)
    _NRPPA_PDU_initiatingMessage = SEQ(name=u'initiatingMessage', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'InitiatingMessage')))
    _NRPPA_PDU_successfulOutcome = SEQ(name=u'successfulOutcome', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'SuccessfulOutcome')))
    _NRPPA_PDU_unsuccessfulOutcome = SEQ(name=u'unsuccessfulOutcome', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'UnsuccessfulOutcome')))
    NRPPA_PDU._cont = ASN1Dict([
        (u'initiatingMessage', _NRPPA_PDU_initiatingMessage),
        (u'successfulOutcome', _NRPPA_PDU_successfulOutcome),
        (u'unsuccessfulOutcome', _NRPPA_PDU_unsuccessfulOutcome),
        ])
    NRPPA_PDU._ext = []
    
    #-----< InitiatingMessage >-----#
    InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE)
    _InitiatingMessage_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __InitiatingMessage_procedureCode_tab = CLASS(name='_tab_NRPPA-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementFailureIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementReport')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementTerminationCommand')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'ErrorIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'PrivateMessage')))
    __InitiatingMessage_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0), (u'procedureCode', 2), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2), (u'procedureCode', 3), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3), (u'procedureCode', 4), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5), (u'procedureCode', 0), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6), (u'procedureCode', 1), (u'criticality', u'ignore')])], rr=[], ev=None, er=[])
    _InitiatingMessage_procedureCode._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_procedureCode._const_tab_at = None
    _InitiatingMessage_procedureCode._const_tab_id = u'procedureCode'
    _InitiatingMessage_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _InitiatingMessage_criticality._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_criticality._const_tab_at = ('..', u'procedureCode')
    _InitiatingMessage_criticality._const_tab_id = u'criticality'
    _InitiatingMessage_nrppatransactionID = INT(name=u'nrppatransactionID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'NRPPATransactionID')))
    _InitiatingMessage_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'InitiatingMessage']))
    _InitiatingMessage_value._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_value._const_tab_at = ('..', u'procedureCode')
    _InitiatingMessage_value._const_tab_id = u'InitiatingMessage'
    InitiatingMessage._cont = ASN1Dict([
        (u'procedureCode', _InitiatingMessage_procedureCode),
        (u'criticality', _InitiatingMessage_criticality),
        (u'nrppatransactionID', _InitiatingMessage_nrppatransactionID),
        (u'value', _InitiatingMessage_value),
        ])
    InitiatingMessage._ext = None
    
    #-----< SuccessfulOutcome >-----#
    SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE)
    _SuccessfulOutcome_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __SuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_NRPPA-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementFailureIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementReport')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementTerminationCommand')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'ErrorIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'PrivateMessage')))
    __SuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0), (u'procedureCode', 2), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), (u'procedureCode', 3), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), (u'procedureCode', 4), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), (u'procedureCode', 0), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), (u'procedureCode', 1), (u'criticality', u'ignore')])], rr=[], ev=None, er=[])
    _SuccessfulOutcome_procedureCode._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_procedureCode._const_tab_at = None
    _SuccessfulOutcome_procedureCode._const_tab_id = u'procedureCode'
    _SuccessfulOutcome_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _SuccessfulOutcome_criticality._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_criticality._const_tab_at = ('..', u'procedureCode')
    _SuccessfulOutcome_criticality._const_tab_id = u'criticality'
    _SuccessfulOutcome_nrppatransactionID = INT(name=u'nrppatransactionID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'NRPPATransactionID')))
    _SuccessfulOutcome_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'SuccessfulOutcome']))
    _SuccessfulOutcome_value._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_value._const_tab_at = ('..', u'procedureCode')
    _SuccessfulOutcome_value._const_tab_id = u'SuccessfulOutcome'
    SuccessfulOutcome._cont = ASN1Dict([
        (u'procedureCode', _SuccessfulOutcome_procedureCode),
        (u'criticality', _SuccessfulOutcome_criticality),
        (u'nrppatransactionID', _SuccessfulOutcome_nrppatransactionID),
        (u'value', _SuccessfulOutcome_value),
        ])
    SuccessfulOutcome._ext = None
    
    #-----< UnsuccessfulOutcome >-----#
    UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE)
    _UnsuccessfulOutcome_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __UnsuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_NRPPA-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementFailureIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementReport')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementTerminationCommand')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'ErrorIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'PrivateMessage')))
    __UnsuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0), (u'procedureCode', 2), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), (u'procedureCode', 3), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), (u'procedureCode', 4), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), (u'procedureCode', 0), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), (u'procedureCode', 1), (u'criticality', u'ignore')])], rr=[], ev=None, er=[])
    _UnsuccessfulOutcome_procedureCode._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_procedureCode._const_tab_at = None
    _UnsuccessfulOutcome_procedureCode._const_tab_id = u'procedureCode'
    _UnsuccessfulOutcome_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _UnsuccessfulOutcome_criticality._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_criticality._const_tab_at = ('..', u'procedureCode')
    _UnsuccessfulOutcome_criticality._const_tab_id = u'criticality'
    _UnsuccessfulOutcome_nrppatransactionID = INT(name=u'nrppatransactionID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('NRPPA-CommonDataTypes', 'NRPPATransactionID')))
    _UnsuccessfulOutcome_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE'), [u'UnsuccessfulOutcome']))
    _UnsuccessfulOutcome_value._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_value._const_tab_at = ('..', u'procedureCode')
    _UnsuccessfulOutcome_value._const_tab_id = u'UnsuccessfulOutcome'
    UnsuccessfulOutcome._cont = ASN1Dict([
        (u'procedureCode', _UnsuccessfulOutcome_procedureCode),
        (u'criticality', _UnsuccessfulOutcome_criticality),
        (u'nrppatransactionID', _UnsuccessfulOutcome_nrppatransactionID),
        (u'value', _UnsuccessfulOutcome_value),
        ])
    UnsuccessfulOutcome._ext = None
    
    #-----< NRPPA-ELEMENTARY-PROCEDURES >-----#
    NRPPA_ELEMENTARY_PROCEDURES = CLASS(name=u'NRPPA-ELEMENTARY-PROCEDURES', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationRequest')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationResponse')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationFailure')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationRequest')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationResponse')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationFailure')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementFailureIndication')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementReport')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementTerminationCommand')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'ErrorIndication')))
    _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'PrivateMessage')))
    NRPPA_ELEMENTARY_PROCEDURES._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0), (u'SuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0), (u'procedureCode', 2), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1), (u'SuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2), (u'procedureCode', 3), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3), (u'procedureCode', 4), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5), (u'procedureCode', 0), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6), (u'procedureCode', 1), (u'criticality', u'ignore')])], rr=[], ev=[], er=[])
    
    #-----< NRPPA-ELEMENTARY-PROCEDURES-CLASS-1 >-----#
    NRPPA_ELEMENTARY_PROCEDURES_CLASS_1 = CLASS(name=u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-1', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationRequest')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationResponse')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationFailure')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationRequest')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationResponse')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationFailure')))
    NRPPA_ELEMENTARY_PROCEDURES_CLASS_1._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0), (u'SuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0), (u'procedureCode', 2), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1), (u'SuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1), (u'procedureCode', 6), (u'criticality', u'reject')])], rr=[], ev=[], er=[])
    
    #-----< NRPPA-ELEMENTARY-PROCEDURES-CLASS-2 >-----#
    NRPPA_ELEMENTARY_PROCEDURES_CLASS_2 = CLASS(name=u'NRPPA-ELEMENTARY-PROCEDURES-CLASS-2', mode=MODE_SET, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementFailureIndication')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementReport')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementTerminationCommand')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'ErrorIndication')))
    _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'PrivateMessage')))
    NRPPA_ELEMENTARY_PROCEDURES_CLASS_2._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0), (u'procedureCode', 3), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1), (u'procedureCode', 4), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3), (u'procedureCode', 0), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4), (u'procedureCode', 1), (u'criticality', u'ignore')])], rr=[], ev=[], er=[])
    
    #-----< e-CIDMeasurementInitiation >-----#
    e_CIDMeasurementInitiation = CLASS(name=u'e-CIDMeasurementInitiation', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _e_CIDMeasurementInitiation_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationRequest')))
    _e_CIDMeasurementInitiation_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationResponse')))
    _e_CIDMeasurementInitiation_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementInitiationFailure')))
    e_CIDMeasurementInitiation._val = dict([(u'InitiatingMessage', _e_CIDMeasurementInitiation_val_InitiatingMessage), (u'SuccessfulOutcome', _e_CIDMeasurementInitiation_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _e_CIDMeasurementInitiation_val_UnsuccessfulOutcome), (u'procedureCode', 2), (u'criticality', u'reject')])
    
    #-----< e-CIDMeasurementFailureIndication >-----#
    e_CIDMeasurementFailureIndication = CLASS(name=u'e-CIDMeasurementFailureIndication', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _e_CIDMeasurementFailureIndication_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementFailureIndication')))
    e_CIDMeasurementFailureIndication._val = dict([(u'InitiatingMessage', _e_CIDMeasurementFailureIndication_val_InitiatingMessage), (u'procedureCode', 3), (u'criticality', u'ignore')])
    
    #-----< e-CIDMeasurementReport >-----#
    e_CIDMeasurementReport = CLASS(name=u'e-CIDMeasurementReport', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _e_CIDMeasurementReport_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementReport')))
    e_CIDMeasurementReport._val = dict([(u'InitiatingMessage', _e_CIDMeasurementReport_val_InitiatingMessage), (u'procedureCode', 4), (u'criticality', u'ignore')])
    
    #-----< e-CIDMeasurementTermination >-----#
    e_CIDMeasurementTermination = CLASS(name=u'e-CIDMeasurementTermination', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _e_CIDMeasurementTermination_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'E-CIDMeasurementTerminationCommand')))
    e_CIDMeasurementTermination._val = dict([(u'InitiatingMessage', _e_CIDMeasurementTermination_val_InitiatingMessage), (u'procedureCode', 5), (u'criticality', u'reject')])
    
    #-----< oTDOAInformationExchange >-----#
    oTDOAInformationExchange = CLASS(name=u'oTDOAInformationExchange', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _oTDOAInformationExchange_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationRequest')))
    _oTDOAInformationExchange_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationResponse')))
    _oTDOAInformationExchange_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'OTDOAInformationFailure')))
    oTDOAInformationExchange._val = dict([(u'InitiatingMessage', _oTDOAInformationExchange_val_InitiatingMessage), (u'SuccessfulOutcome', _oTDOAInformationExchange_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _oTDOAInformationExchange_val_UnsuccessfulOutcome), (u'procedureCode', 6), (u'criticality', u'reject')])
    
    #-----< errorIndication >-----#
    errorIndication = CLASS(name=u'errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _errorIndication_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'ErrorIndication')))
    errorIndication._val = dict([(u'InitiatingMessage', _errorIndication_val_InitiatingMessage), (u'procedureCode', 0), (u'criticality', u'ignore')])
    
    #-----< privateMessage >-----#
    privateMessage = CLASS(name=u'privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('NRPPA-PDU-Descriptions', 'NRPPA-ELEMENTARY-PROCEDURE')))
    _privateMessage_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('NRPPA-PDU-Contents', 'PrivateMessage')))
    privateMessage._val = dict([(u'InitiatingMessage', _privateMessage_val_InitiatingMessage), (u'procedureCode', 1), (u'criticality', u'ignore')])
    
    _all_ = [
        _NRPPA_ELEMENTARY_PROCEDURE_InitiatingMessage,
        _NRPPA_ELEMENTARY_PROCEDURE_SuccessfulOutcome,
        _NRPPA_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome,
        _NRPPA_ELEMENTARY_PROCEDURE_procedureCode,
        _NRPPA_ELEMENTARY_PROCEDURE_criticality,
        NRPPA_ELEMENTARY_PROCEDURE,
        _NRPPA_PDU_initiatingMessage,
        _NRPPA_PDU_successfulOutcome,
        _NRPPA_PDU_unsuccessfulOutcome,
        NRPPA_PDU,
        __InitiatingMessage_procedureCode_tab,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6,
        _InitiatingMessage_procedureCode,
        _InitiatingMessage_criticality,
        _InitiatingMessage_nrppatransactionID,
        _InitiatingMessage_value,
        InitiatingMessage,
        __SuccessfulOutcome_procedureCode_tab,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        _SuccessfulOutcome_procedureCode,
        _SuccessfulOutcome_criticality,
        _SuccessfulOutcome_nrppatransactionID,
        _SuccessfulOutcome_value,
        SuccessfulOutcome,
        __UnsuccessfulOutcome_procedureCode_tab,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        _UnsuccessfulOutcome_procedureCode,
        _UnsuccessfulOutcome_criticality,
        _UnsuccessfulOutcome_nrppatransactionID,
        _UnsuccessfulOutcome_value,
        UnsuccessfulOutcome,
        NRPPA_ELEMENTARY_PROCEDURES,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0,
        _NRPPA_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0,
        _NRPPA_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1,
        _NRPPA_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1,
        _NRPPA_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5,
        _NRPPA_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6,
        NRPPA_ELEMENTARY_PROCEDURES_CLASS_1,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1,
        NRPPA_ELEMENTARY_PROCEDURES_CLASS_2,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3,
        _NRPPA_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4,
        e_CIDMeasurementInitiation,
        _e_CIDMeasurementInitiation_val_InitiatingMessage,
        _e_CIDMeasurementInitiation_val_SuccessfulOutcome,
        _e_CIDMeasurementInitiation_val_UnsuccessfulOutcome,
        e_CIDMeasurementFailureIndication,
        _e_CIDMeasurementFailureIndication_val_InitiatingMessage,
        e_CIDMeasurementReport,
        _e_CIDMeasurementReport_val_InitiatingMessage,
        e_CIDMeasurementTermination,
        _e_CIDMeasurementTermination_val_InitiatingMessage,
        oTDOAInformationExchange,
        _oTDOAInformationExchange_val_InitiatingMessage,
        _oTDOAInformationExchange_val_SuccessfulOutcome,
        _oTDOAInformationExchange_val_UnsuccessfulOutcome,
        errorIndication,
        _errorIndication_val_InitiatingMessage,
        privateMessage,
        _privateMessage_val_InitiatingMessage,
    ]

init_modules(NRPPA_CommonDataTypes, NRPPA_Constants, NRPPA_Containers, NRPPA_IEs, NRPPA_PDU_Contents, NRPPA_PDU_Descriptions)
