# -*- coding: UTF-8 -*-
# Code automatically generated by pycrate_asn1c

from pycrate_asn1rt.utils            import *
from pycrate_asn1rt.err              import *
from pycrate_asn1rt.glob             import make_GLOBAL, GLOBAL
from pycrate_asn1rt.dictobj          import ASN1Dict
from pycrate_asn1rt.refobj           import *
from pycrate_asn1rt.setobj           import *
from pycrate_asn1rt.asnobj_basic     import *
from pycrate_asn1rt.asnobj_str       import *
from pycrate_asn1rt.asnobj_construct import *
from pycrate_asn1rt.asnobj_class     import *
from pycrate_asn1rt.asnobj_ext       import *
from pycrate_asn1rt.init             import init_modules

class XnAP_CommonDataTypes:

    _name_  = u'XnAP-CommonDataTypes'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 3]
    
    _obj_ = [
        u'maxPrivateIEs',
        u'maxProtocolExtensions',
        u'maxProtocolIEs',
        u'Criticality',
        u'Presence',
        u'PrivateIE-ID',
        u'ProcedureCode',
        u'ProtocolIE-ID',
        u'TriggeringMessage',
        ]
    _type_ = [
        u'Criticality',
        u'Presence',
        u'PrivateIE-ID',
        u'ProcedureCode',
        u'ProtocolIE-ID',
        u'TriggeringMessage',
        ]
    _set_ = [
        ]
    _val_ = [
        u'maxPrivateIEs',
        u'maxProtocolExtensions',
        u'maxProtocolIEs',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< maxPrivateIEs >-----#
    maxPrivateIEs = INT(name=u'maxPrivateIEs', mode=MODE_VALUE)
    maxPrivateIEs._val = 65535
    
    #-----< maxProtocolExtensions >-----#
    maxProtocolExtensions = INT(name=u'maxProtocolExtensions', mode=MODE_VALUE)
    maxProtocolExtensions._val = 65535
    
    #-----< maxProtocolIEs >-----#
    maxProtocolIEs = INT(name=u'maxProtocolIEs', mode=MODE_VALUE)
    maxProtocolIEs._val = 65535
    
    #-----< Criticality >-----#
    Criticality = ENUM(name=u'Criticality', mode=MODE_TYPE)
    Criticality._cont = ASN1Dict([(u'reject', 0), (u'ignore', 1), (u'notify', 2)])
    Criticality._ext = None
    
    #-----< Presence >-----#
    Presence = ENUM(name=u'Presence', mode=MODE_TYPE)
    Presence._cont = ASN1Dict([(u'optional', 0), (u'conditional', 1), (u'mandatory', 2)])
    Presence._ext = None
    
    #-----< PrivateIE-ID >-----#
    PrivateIE_ID = CHOICE(name=u'PrivateIE-ID', mode=MODE_TYPE)
    _PrivateIE_ID_local = INT(name=u'local', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PrivateIE_ID_local._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _PrivateIE_ID_global_ = OID(name=u'global', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    PrivateIE_ID._cont = ASN1Dict([
        (u'local', _PrivateIE_ID_local),
        (u'global', _PrivateIE_ID_global_),
        ])
    PrivateIE_ID._ext = None
    
    #-----< ProcedureCode >-----#
    ProcedureCode = INT(name=u'ProcedureCode', mode=MODE_TYPE)
    ProcedureCode._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< ProtocolIE-ID >-----#
    ProtocolIE_ID = INT(name=u'ProtocolIE-ID', mode=MODE_TYPE)
    ProtocolIE_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    
    #-----< TriggeringMessage >-----#
    TriggeringMessage = ENUM(name=u'TriggeringMessage', mode=MODE_TYPE)
    TriggeringMessage._cont = ASN1Dict([(u'initiating-message', 0), (u'successful-outcome', 1), (u'unsuccessful-outcome', 2)])
    TriggeringMessage._ext = None
    
    _all_ = [
        maxPrivateIEs,
        maxProtocolExtensions,
        maxProtocolIEs,
        Criticality,
        Presence,
        _PrivateIE_ID_local,
        _PrivateIE_ID_global_,
        PrivateIE_ID,
        ProcedureCode,
        ProtocolIE_ID,
        TriggeringMessage,
    ]

class XnAP_Constants:

    _name_  = u'XnAP-Constants'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 4]
    
    _obj_ = [
        u'id-handoverPreparation',
        u'id-sNStatusTransfer',
        u'id-handoverCancel',
        u'id-retrieveUEContext',
        u'id-rANPaging',
        u'id-xnUAddressIndication',
        u'id-uEContextRelease',
        u'id-sNGRANnodeAdditionPreparation',
        u'id-sNGRANnodeReconfigurationCompletion',
        u'id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'id-mNGRANnodeinitiatedSNGRANnodeRelease',
        u'id-sNGRANnodeinitiatedSNGRANnodeRelease',
        u'id-sNGRANnodeCounterCheck',
        u'id-sNGRANnodeChange',
        u'id-rRCTransfer',
        u'id-xnRemoval',
        u'id-xnSetup',
        u'id-nGRANnodeConfigurationUpdate',
        u'id-cellActivation',
        u'id-reset',
        u'id-errorIndication',
        u'id-privateMessage',
        u'id-notificationControl',
        u'id-activityNotification',
        u'id-e-UTRA-NR-CellResourceCoordination',
        u'id-secondaryRATDataUsageReport',
        u'maxEARFCN',
        u'maxnoofAllowedAreas',
        u'maxnoofAMFRegions',
        u'maxnoofAoIs',
        u'maxnoofBPLMNs',
        u'maxnoofCellsinAoI',
        u'maxnoofCellsinUEHistoryInfo',
        u'maxnoofCellsinNG-RANnode',
        u'maxnoofCellsinRNA',
        u'maxnoofCellsUEMovingTrajectory',
        u'maxnoofDRBs',
        u'maxnoofEUTRABands',
        u'maxnoofEUTRABPLMNs',
        u'maxnoofEPLMNs',
        u'maxnoofForbiddenTACs',
        u'maxnoofMBSFNEUTRA',
        u'maxnoofMultiConnectivityMinusOne',
        u'maxnoofNeighbours',
        u'maxnoofNRCellBands',
        u'maxnoofPLMNs',
        u'maxnoofPDUSessions',
        u'maxnoofProtectedResourcePatterns',
        u'maxnoofQoSFlows',
        u'maxnoofRANAreaCodes',
        u'maxnoofRANAreasinRNA',
        u'maxnoofRANNodesinAoI',
        u'maxnoofSCellGroups',
        u'maxnoofSCellGroupsplus1',
        u'maxnoofSliceItems',
        u'maxnoofsupportedPLMNs',
        u'maxnoofsupportedTACs',
        u'maxnoofTAI',
        u'maxnoofTAIsinAoI',
        u'maxnooftimeperiods',
        u'maxnoofTNLAssociations',
        u'maxnoofUEContexts',
        u'maxNRARFCN',
        u'maxNrOfErrors',
        u'id-ActivatedServedCells',
        u'id-ActivationIDforCellActivation',
        u'id-admittedSplitSRB',
        u'id-admittedSplitSRBrelease',
        u'id-AMF-Region-Information',
        u'id-AssistanceDataForRANPaging',
        u'id-BearersSubjectToCounterCheck',
        u'id-Cause',
        u'id-cellAssistanceInfo-NR',
        u'id-ConfigurationUpdateInitiatingNodeChoice',
        u'id-CriticalityDiagnostics',
        u'id-XnUAddressInfoperPDUSession-List',
        u'id-DRBsSubjectToStatusTransfer-List',
        u'id-ExpectedUEBehaviour',
        u'id-GlobalNG-RAN-node-ID',
        u'id-GUAMI',
        u'id-indexToRatFrequSelectionPriority',
        u'id-initiatingNodeType-ResourceCoordRequest',
        u'id-List-of-served-cells-E-UTRA',
        u'id-List-of-served-cells-NR',
        u'id-LocationReportingInformation',
        u'id-MAC-I',
        u'id-MaskedIMEISV',
        u'id-M-NG-RANnodeUEXnAPID',
        u'id-MN-to-SN-Container',
        u'id-MobilityRestrictionList',
        u'id-new-NG-RAN-Cell-Identity',
        u'id-newNG-RANnodeUEXnAPID',
        u'id-UEReportRRCTransfer',
        u'id-oldNG-RANnodeUEXnAPID',
        u'id-OldtoNewNG-RANnodeResumeContainer',
        u'id-PagingDRX',
        u'id-PCellID',
        u'id-PDCPChangeIndication',
        u'id-PDUSessionAdmittedAddedAddReqAck',
        u'id-PDUSessionAdmittedModSNModConfirm',
        u'id-PDUSessionAdmitted-SNModResponse',
        u'id-PDUSessionNotAdmittedAddReqAck',
        u'id-PDUSessionNotAdmitted-SNModResponse',
        u'id-PDUSessionReleasedList-RelConf',
        u'id-PDUSessionReleasedSNModConfirm',
        u'id-PDUSessionResourcesActivityNotifyList',
        u'id-PDUSessionResourcesAdmitted-List',
        u'id-PDUSessionResourcesNotAdmitted-List',
        u'id-PDUSessionResourcesNotifyList',
        u'id-PDUSession-SNChangeConfirm-List',
        u'id-PDUSession-SNChangeRequired-List',
        u'id-PDUSessionToBeAddedAddReq',
        u'id-PDUSessionToBeModifiedSNModRequired',
        u'id-PDUSessionToBeReleasedList-RelRqd',
        u'id-PDUSessionToBeReleased-RelReq',
        u'id-PDUSessionToBeReleasedSNModRequired',
        u'id-RANPagingArea',
        u'id-PagingPriority',
        u'id-requestedSplitSRB',
        u'id-requestedSplitSRBrelease',
        u'id-ResetRequestTypeInfo',
        u'id-ResetResponseTypeInfo',
        u'id-RespondingNodeTypeConfigUpdateAck',
        u'id-respondingNodeType-ResourceCoordResponse',
        u'id-ResponseInfo-ReconfCompl',
        u'id-RRCConfigIndication',
        u'id-RRCResumeCause',
        u'id-SCGConfigurationQuery',
        u'id-selectedPLMN',
        u'id-ServedCellsToActivate',
        u'id-servedCellsToUpdate-E-UTRA',
        u'id-ServedCellsToUpdateInitiatingNodeChoice',
        u'id-servedCellsToUpdate-NR',
        u'id-s-ng-RANnode-SecurityKey',
        u'id-S-NG-RANnodeUE-AMBR',
        u'id-S-NG-RANnodeUEXnAPID',
        u'id-SN-to-MN-Container',
        u'id-sourceNG-RANnodeUEXnAPID',
        u'id-SplitSRB-RRCTransfer',
        u'id-TAISupport-list',
        u'id-TimeToWait',
        u'id-Target2SourceNG-RANnodeTranspContainer',
        u'id-targetCellGlobalID',
        u'id-targetNG-RANnodeUEXnAPID',
        u'id-target-S-NG-RANnodeID',
        u'id-TraceActivation',
        u'id-UEContextID',
        u'id-UEContextInfoHORequest',
        u'id-UEContextInfoRetrUECtxtResp',
        u'id-UEContextInfo-SNModRequest',
        u'id-UEContextKeptIndicator',
        u'id-UEContextRefAtSN-HORequest',
        u'id-UEHistoryInformation',
        u'id-UEIdentityIndexValue',
        u'id-UERANPagingIdentity',
        u'id-UESecurityCapabilities',
        u'id-UserPlaneTrafficActivityReport',
        u'id-XnRemovalThreshold',
        u'id-DesiredActNotificationLevel',
        u'id-AvailableDRBIDs',
        u'id-AdditionalDRBIDs',
        u'id-SpareDRBIDs',
        u'id-RequiredNumberOfDRBIDs',
        u'id-TNLA-To-Add-List',
        u'id-TNLA-To-Update-List',
        u'id-TNLA-To-Remove-List',
        u'id-TNLA-Setup-List',
        u'id-TNLA-Failed-To-Setup-List',
        u'id-PDUSessionToBeReleased-RelReqAck',
        u'id-S-NG-RANnodeMaxIPDataRate-UL',
        u'id-PDUSessionResourceSecondaryRATUsageList',
        u'id-Additional-UL-NG-U-TNLatUPF-List',
        u'id-SecondarydataForwardingInfoFromTarget-List',
        u'id-LocationInformationSNReporting',
        u'id-LocationInformationSN',
        u'id-LastE-UTRANPLMNIdentity',
        u'id-S-NG-RANnodeMaxIPDataRate-DL',
        u'id-MaxIPrate-DL',
        u'id-SecurityResult',
        u'id-S-NSSAI',
        u'id-MR-DC-ResourceCoordinationInfo',
        u'id-AMF-Region-Information-To-Add',
        u'id-AMF-Region-Information-To-Delete',
        u'id-OldQoSFlowMap-ULendmarkerexpected',
        u'id-RANPagingFailure',
        u'id-UERadioCapabilityForPaging',
        u'id-PDUSessionDataForwarding-SNModResponse',
        u'id-DRBsNotAdmittedSetupModifyList',
        u'id-Secondary-MN-Xn-U-TNLInfoatM',
        u'id-NE-DC-TDM-Pattern',
        u'id-PDUSessionCommonNetworkInstance',
        u'id-BPLMN-ID-Info-EUTRA',
        u'id-BPLMN-ID-Info-NR',
        u'id-InterfaceInstanceIndication',
        u'id-S-NG-RANnode-Addition-Trigger-Ind',
        u'id-DefaultDRB-Allowed',
        u'id-DRB-IDs-takenintouse',
        u'id-SplitSessionIndicator',
        u'id-CNTypeRestrictionsForEquivalent',
        u'id-CNTypeRestrictionsForServing',
        u'id-DRBs-transferred-to-MN',
        u'id-ULForwardingProposal',
        u'id-EndpointIPAddressAndPort',
        ]
    _type_ = [
        ]
    _set_ = [
        ]
    _val_ = [
        u'id-handoverPreparation',
        u'id-sNStatusTransfer',
        u'id-handoverCancel',
        u'id-retrieveUEContext',
        u'id-rANPaging',
        u'id-xnUAddressIndication',
        u'id-uEContextRelease',
        u'id-sNGRANnodeAdditionPreparation',
        u'id-sNGRANnodeReconfigurationCompletion',
        u'id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'id-mNGRANnodeinitiatedSNGRANnodeRelease',
        u'id-sNGRANnodeinitiatedSNGRANnodeRelease',
        u'id-sNGRANnodeCounterCheck',
        u'id-sNGRANnodeChange',
        u'id-rRCTransfer',
        u'id-xnRemoval',
        u'id-xnSetup',
        u'id-nGRANnodeConfigurationUpdate',
        u'id-cellActivation',
        u'id-reset',
        u'id-errorIndication',
        u'id-privateMessage',
        u'id-notificationControl',
        u'id-activityNotification',
        u'id-e-UTRA-NR-CellResourceCoordination',
        u'id-secondaryRATDataUsageReport',
        u'maxEARFCN',
        u'maxnoofAllowedAreas',
        u'maxnoofAMFRegions',
        u'maxnoofAoIs',
        u'maxnoofBPLMNs',
        u'maxnoofCellsinAoI',
        u'maxnoofCellsinUEHistoryInfo',
        u'maxnoofCellsinNG-RANnode',
        u'maxnoofCellsinRNA',
        u'maxnoofCellsUEMovingTrajectory',
        u'maxnoofDRBs',
        u'maxnoofEUTRABands',
        u'maxnoofEUTRABPLMNs',
        u'maxnoofEPLMNs',
        u'maxnoofForbiddenTACs',
        u'maxnoofMBSFNEUTRA',
        u'maxnoofMultiConnectivityMinusOne',
        u'maxnoofNeighbours',
        u'maxnoofNRCellBands',
        u'maxnoofPLMNs',
        u'maxnoofPDUSessions',
        u'maxnoofProtectedResourcePatterns',
        u'maxnoofQoSFlows',
        u'maxnoofRANAreaCodes',
        u'maxnoofRANAreasinRNA',
        u'maxnoofRANNodesinAoI',
        u'maxnoofSCellGroups',
        u'maxnoofSCellGroupsplus1',
        u'maxnoofSliceItems',
        u'maxnoofsupportedPLMNs',
        u'maxnoofsupportedTACs',
        u'maxnoofTAI',
        u'maxnoofTAIsinAoI',
        u'maxnooftimeperiods',
        u'maxnoofTNLAssociations',
        u'maxnoofUEContexts',
        u'maxNRARFCN',
        u'maxNrOfErrors',
        u'id-ActivatedServedCells',
        u'id-ActivationIDforCellActivation',
        u'id-admittedSplitSRB',
        u'id-admittedSplitSRBrelease',
        u'id-AMF-Region-Information',
        u'id-AssistanceDataForRANPaging',
        u'id-BearersSubjectToCounterCheck',
        u'id-Cause',
        u'id-cellAssistanceInfo-NR',
        u'id-ConfigurationUpdateInitiatingNodeChoice',
        u'id-CriticalityDiagnostics',
        u'id-XnUAddressInfoperPDUSession-List',
        u'id-DRBsSubjectToStatusTransfer-List',
        u'id-ExpectedUEBehaviour',
        u'id-GlobalNG-RAN-node-ID',
        u'id-GUAMI',
        u'id-indexToRatFrequSelectionPriority',
        u'id-initiatingNodeType-ResourceCoordRequest',
        u'id-List-of-served-cells-E-UTRA',
        u'id-List-of-served-cells-NR',
        u'id-LocationReportingInformation',
        u'id-MAC-I',
        u'id-MaskedIMEISV',
        u'id-M-NG-RANnodeUEXnAPID',
        u'id-MN-to-SN-Container',
        u'id-MobilityRestrictionList',
        u'id-new-NG-RAN-Cell-Identity',
        u'id-newNG-RANnodeUEXnAPID',
        u'id-UEReportRRCTransfer',
        u'id-oldNG-RANnodeUEXnAPID',
        u'id-OldtoNewNG-RANnodeResumeContainer',
        u'id-PagingDRX',
        u'id-PCellID',
        u'id-PDCPChangeIndication',
        u'id-PDUSessionAdmittedAddedAddReqAck',
        u'id-PDUSessionAdmittedModSNModConfirm',
        u'id-PDUSessionAdmitted-SNModResponse',
        u'id-PDUSessionNotAdmittedAddReqAck',
        u'id-PDUSessionNotAdmitted-SNModResponse',
        u'id-PDUSessionReleasedList-RelConf',
        u'id-PDUSessionReleasedSNModConfirm',
        u'id-PDUSessionResourcesActivityNotifyList',
        u'id-PDUSessionResourcesAdmitted-List',
        u'id-PDUSessionResourcesNotAdmitted-List',
        u'id-PDUSessionResourcesNotifyList',
        u'id-PDUSession-SNChangeConfirm-List',
        u'id-PDUSession-SNChangeRequired-List',
        u'id-PDUSessionToBeAddedAddReq',
        u'id-PDUSessionToBeModifiedSNModRequired',
        u'id-PDUSessionToBeReleasedList-RelRqd',
        u'id-PDUSessionToBeReleased-RelReq',
        u'id-PDUSessionToBeReleasedSNModRequired',
        u'id-RANPagingArea',
        u'id-PagingPriority',
        u'id-requestedSplitSRB',
        u'id-requestedSplitSRBrelease',
        u'id-ResetRequestTypeInfo',
        u'id-ResetResponseTypeInfo',
        u'id-RespondingNodeTypeConfigUpdateAck',
        u'id-respondingNodeType-ResourceCoordResponse',
        u'id-ResponseInfo-ReconfCompl',
        u'id-RRCConfigIndication',
        u'id-RRCResumeCause',
        u'id-SCGConfigurationQuery',
        u'id-selectedPLMN',
        u'id-ServedCellsToActivate',
        u'id-servedCellsToUpdate-E-UTRA',
        u'id-ServedCellsToUpdateInitiatingNodeChoice',
        u'id-servedCellsToUpdate-NR',
        u'id-s-ng-RANnode-SecurityKey',
        u'id-S-NG-RANnodeUE-AMBR',
        u'id-S-NG-RANnodeUEXnAPID',
        u'id-SN-to-MN-Container',
        u'id-sourceNG-RANnodeUEXnAPID',
        u'id-SplitSRB-RRCTransfer',
        u'id-TAISupport-list',
        u'id-TimeToWait',
        u'id-Target2SourceNG-RANnodeTranspContainer',
        u'id-targetCellGlobalID',
        u'id-targetNG-RANnodeUEXnAPID',
        u'id-target-S-NG-RANnodeID',
        u'id-TraceActivation',
        u'id-UEContextID',
        u'id-UEContextInfoHORequest',
        u'id-UEContextInfoRetrUECtxtResp',
        u'id-UEContextInfo-SNModRequest',
        u'id-UEContextKeptIndicator',
        u'id-UEContextRefAtSN-HORequest',
        u'id-UEHistoryInformation',
        u'id-UEIdentityIndexValue',
        u'id-UERANPagingIdentity',
        u'id-UESecurityCapabilities',
        u'id-UserPlaneTrafficActivityReport',
        u'id-XnRemovalThreshold',
        u'id-DesiredActNotificationLevel',
        u'id-AvailableDRBIDs',
        u'id-AdditionalDRBIDs',
        u'id-SpareDRBIDs',
        u'id-RequiredNumberOfDRBIDs',
        u'id-TNLA-To-Add-List',
        u'id-TNLA-To-Update-List',
        u'id-TNLA-To-Remove-List',
        u'id-TNLA-Setup-List',
        u'id-TNLA-Failed-To-Setup-List',
        u'id-PDUSessionToBeReleased-RelReqAck',
        u'id-S-NG-RANnodeMaxIPDataRate-UL',
        u'id-PDUSessionResourceSecondaryRATUsageList',
        u'id-Additional-UL-NG-U-TNLatUPF-List',
        u'id-SecondarydataForwardingInfoFromTarget-List',
        u'id-LocationInformationSNReporting',
        u'id-LocationInformationSN',
        u'id-LastE-UTRANPLMNIdentity',
        u'id-S-NG-RANnodeMaxIPDataRate-DL',
        u'id-MaxIPrate-DL',
        u'id-SecurityResult',
        u'id-S-NSSAI',
        u'id-MR-DC-ResourceCoordinationInfo',
        u'id-AMF-Region-Information-To-Add',
        u'id-AMF-Region-Information-To-Delete',
        u'id-OldQoSFlowMap-ULendmarkerexpected',
        u'id-RANPagingFailure',
        u'id-UERadioCapabilityForPaging',
        u'id-PDUSessionDataForwarding-SNModResponse',
        u'id-DRBsNotAdmittedSetupModifyList',
        u'id-Secondary-MN-Xn-U-TNLInfoatM',
        u'id-NE-DC-TDM-Pattern',
        u'id-PDUSessionCommonNetworkInstance',
        u'id-BPLMN-ID-Info-EUTRA',
        u'id-BPLMN-ID-Info-NR',
        u'id-InterfaceInstanceIndication',
        u'id-S-NG-RANnode-Addition-Trigger-Ind',
        u'id-DefaultDRB-Allowed',
        u'id-DRB-IDs-takenintouse',
        u'id-SplitSessionIndicator',
        u'id-CNTypeRestrictionsForEquivalent',
        u'id-CNTypeRestrictionsForServing',
        u'id-DRBs-transferred-to-MN',
        u'id-ULForwardingProposal',
        u'id-EndpointIPAddressAndPort',
        ]
    _class_ = [
        ]
    _param_ = [
        ]
    
    #-----< id-handoverPreparation >-----#
    id_handoverPreparation = INT(name=u'id-handoverPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_handoverPreparation._val = 0
    
    #-----< id-sNStatusTransfer >-----#
    id_sNStatusTransfer = INT(name=u'id-sNStatusTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNStatusTransfer._val = 1
    
    #-----< id-handoverCancel >-----#
    id_handoverCancel = INT(name=u'id-handoverCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_handoverCancel._val = 2
    
    #-----< id-retrieveUEContext >-----#
    id_retrieveUEContext = INT(name=u'id-retrieveUEContext', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_retrieveUEContext._val = 3
    
    #-----< id-rANPaging >-----#
    id_rANPaging = INT(name=u'id-rANPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_rANPaging._val = 4
    
    #-----< id-xnUAddressIndication >-----#
    id_xnUAddressIndication = INT(name=u'id-xnUAddressIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_xnUAddressIndication._val = 5
    
    #-----< id-uEContextRelease >-----#
    id_uEContextRelease = INT(name=u'id-uEContextRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_uEContextRelease._val = 6
    
    #-----< id-sNGRANnodeAdditionPreparation >-----#
    id_sNGRANnodeAdditionPreparation = INT(name=u'id-sNGRANnodeAdditionPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeAdditionPreparation._val = 7
    
    #-----< id-sNGRANnodeReconfigurationCompletion >-----#
    id_sNGRANnodeReconfigurationCompletion = INT(name=u'id-sNGRANnodeReconfigurationCompletion', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeReconfigurationCompletion._val = 8
    
    #-----< id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    id_mNGRANnodeinitiatedSNGRANnodeModificationPreparation = INT(name=u'id-mNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_mNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = 9
    
    #-----< id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    id_sNGRANnodeinitiatedSNGRANnodeModificationPreparation = INT(name=u'id-sNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = 10
    
    #-----< id-mNGRANnodeinitiatedSNGRANnodeRelease >-----#
    id_mNGRANnodeinitiatedSNGRANnodeRelease = INT(name=u'id-mNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_mNGRANnodeinitiatedSNGRANnodeRelease._val = 11
    
    #-----< id-sNGRANnodeinitiatedSNGRANnodeRelease >-----#
    id_sNGRANnodeinitiatedSNGRANnodeRelease = INT(name=u'id-sNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeinitiatedSNGRANnodeRelease._val = 12
    
    #-----< id-sNGRANnodeCounterCheck >-----#
    id_sNGRANnodeCounterCheck = INT(name=u'id-sNGRANnodeCounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeCounterCheck._val = 13
    
    #-----< id-sNGRANnodeChange >-----#
    id_sNGRANnodeChange = INT(name=u'id-sNGRANnodeChange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_sNGRANnodeChange._val = 14
    
    #-----< id-rRCTransfer >-----#
    id_rRCTransfer = INT(name=u'id-rRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_rRCTransfer._val = 15
    
    #-----< id-xnRemoval >-----#
    id_xnRemoval = INT(name=u'id-xnRemoval', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_xnRemoval._val = 16
    
    #-----< id-xnSetup >-----#
    id_xnSetup = INT(name=u'id-xnSetup', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_xnSetup._val = 17
    
    #-----< id-nGRANnodeConfigurationUpdate >-----#
    id_nGRANnodeConfigurationUpdate = INT(name=u'id-nGRANnodeConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_nGRANnodeConfigurationUpdate._val = 18
    
    #-----< id-cellActivation >-----#
    id_cellActivation = INT(name=u'id-cellActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_cellActivation._val = 19
    
    #-----< id-reset >-----#
    id_reset = INT(name=u'id-reset', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_reset._val = 20
    
    #-----< id-errorIndication >-----#
    id_errorIndication = INT(name=u'id-errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_errorIndication._val = 21
    
    #-----< id-privateMessage >-----#
    id_privateMessage = INT(name=u'id-privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_privateMessage._val = 22
    
    #-----< id-notificationControl >-----#
    id_notificationControl = INT(name=u'id-notificationControl', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_notificationControl._val = 23
    
    #-----< id-activityNotification >-----#
    id_activityNotification = INT(name=u'id-activityNotification', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_activityNotification._val = 24
    
    #-----< id-e-UTRA-NR-CellResourceCoordination >-----#
    id_e_UTRA_NR_CellResourceCoordination = INT(name=u'id-e-UTRA-NR-CellResourceCoordination', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_e_UTRA_NR_CellResourceCoordination._val = 25
    
    #-----< id-secondaryRATDataUsageReport >-----#
    id_secondaryRATDataUsageReport = INT(name=u'id-secondaryRATDataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')))
    id_secondaryRATDataUsageReport._val = 26
    
    #-----< maxEARFCN >-----#
    maxEARFCN = INT(name=u'maxEARFCN', mode=MODE_VALUE)
    maxEARFCN._val = 262143
    
    #-----< maxnoofAllowedAreas >-----#
    maxnoofAllowedAreas = INT(name=u'maxnoofAllowedAreas', mode=MODE_VALUE)
    maxnoofAllowedAreas._val = 16
    
    #-----< maxnoofAMFRegions >-----#
    maxnoofAMFRegions = INT(name=u'maxnoofAMFRegions', mode=MODE_VALUE)
    maxnoofAMFRegions._val = 16
    
    #-----< maxnoofAoIs >-----#
    maxnoofAoIs = INT(name=u'maxnoofAoIs', mode=MODE_VALUE)
    maxnoofAoIs._val = 64
    
    #-----< maxnoofBPLMNs >-----#
    maxnoofBPLMNs = INT(name=u'maxnoofBPLMNs', mode=MODE_VALUE)
    maxnoofBPLMNs._val = 12
    
    #-----< maxnoofCellsinAoI >-----#
    maxnoofCellsinAoI = INT(name=u'maxnoofCellsinAoI', mode=MODE_VALUE)
    maxnoofCellsinAoI._val = 256
    
    #-----< maxnoofCellsinUEHistoryInfo >-----#
    maxnoofCellsinUEHistoryInfo = INT(name=u'maxnoofCellsinUEHistoryInfo', mode=MODE_VALUE)
    maxnoofCellsinUEHistoryInfo._val = 16
    
    #-----< maxnoofCellsinNG-RANnode >-----#
    maxnoofCellsinNG_RANnode = INT(name=u'maxnoofCellsinNG-RANnode', mode=MODE_VALUE)
    maxnoofCellsinNG_RANnode._val = 16384
    
    #-----< maxnoofCellsinRNA >-----#
    maxnoofCellsinRNA = INT(name=u'maxnoofCellsinRNA', mode=MODE_VALUE)
    maxnoofCellsinRNA._val = 32
    
    #-----< maxnoofCellsUEMovingTrajectory >-----#
    maxnoofCellsUEMovingTrajectory = INT(name=u'maxnoofCellsUEMovingTrajectory', mode=MODE_VALUE)
    maxnoofCellsUEMovingTrajectory._val = 16
    
    #-----< maxnoofDRBs >-----#
    maxnoofDRBs = INT(name=u'maxnoofDRBs', mode=MODE_VALUE)
    maxnoofDRBs._val = 32
    
    #-----< maxnoofEUTRABands >-----#
    maxnoofEUTRABands = INT(name=u'maxnoofEUTRABands', mode=MODE_VALUE)
    maxnoofEUTRABands._val = 16
    
    #-----< maxnoofEUTRABPLMNs >-----#
    maxnoofEUTRABPLMNs = INT(name=u'maxnoofEUTRABPLMNs', mode=MODE_VALUE)
    maxnoofEUTRABPLMNs._val = 6
    
    #-----< maxnoofEPLMNs >-----#
    maxnoofEPLMNs = INT(name=u'maxnoofEPLMNs', mode=MODE_VALUE)
    maxnoofEPLMNs._val = 15
    
    #-----< maxnoofForbiddenTACs >-----#
    maxnoofForbiddenTACs = INT(name=u'maxnoofForbiddenTACs', mode=MODE_VALUE)
    maxnoofForbiddenTACs._val = 4096
    
    #-----< maxnoofMBSFNEUTRA >-----#
    maxnoofMBSFNEUTRA = INT(name=u'maxnoofMBSFNEUTRA', mode=MODE_VALUE)
    maxnoofMBSFNEUTRA._val = 8
    
    #-----< maxnoofMultiConnectivityMinusOne >-----#
    maxnoofMultiConnectivityMinusOne = INT(name=u'maxnoofMultiConnectivityMinusOne', mode=MODE_VALUE)
    maxnoofMultiConnectivityMinusOne._val = 3
    
    #-----< maxnoofNeighbours >-----#
    maxnoofNeighbours = INT(name=u'maxnoofNeighbours', mode=MODE_VALUE)
    maxnoofNeighbours._val = 1024
    
    #-----< maxnoofNRCellBands >-----#
    maxnoofNRCellBands = INT(name=u'maxnoofNRCellBands', mode=MODE_VALUE)
    maxnoofNRCellBands._val = 32
    
    #-----< maxnoofPLMNs >-----#
    maxnoofPLMNs = INT(name=u'maxnoofPLMNs', mode=MODE_VALUE)
    maxnoofPLMNs._val = 16
    
    #-----< maxnoofPDUSessions >-----#
    maxnoofPDUSessions = INT(name=u'maxnoofPDUSessions', mode=MODE_VALUE)
    maxnoofPDUSessions._val = 256
    
    #-----< maxnoofProtectedResourcePatterns >-----#
    maxnoofProtectedResourcePatterns = INT(name=u'maxnoofProtectedResourcePatterns', mode=MODE_VALUE)
    maxnoofProtectedResourcePatterns._val = 16
    
    #-----< maxnoofQoSFlows >-----#
    maxnoofQoSFlows = INT(name=u'maxnoofQoSFlows', mode=MODE_VALUE)
    maxnoofQoSFlows._val = 64
    
    #-----< maxnoofRANAreaCodes >-----#
    maxnoofRANAreaCodes = INT(name=u'maxnoofRANAreaCodes', mode=MODE_VALUE)
    maxnoofRANAreaCodes._val = 32
    
    #-----< maxnoofRANAreasinRNA >-----#
    maxnoofRANAreasinRNA = INT(name=u'maxnoofRANAreasinRNA', mode=MODE_VALUE)
    maxnoofRANAreasinRNA._val = 16
    
    #-----< maxnoofRANNodesinAoI >-----#
    maxnoofRANNodesinAoI = INT(name=u'maxnoofRANNodesinAoI', mode=MODE_VALUE)
    maxnoofRANNodesinAoI._val = 64
    
    #-----< maxnoofSCellGroups >-----#
    maxnoofSCellGroups = INT(name=u'maxnoofSCellGroups', mode=MODE_VALUE)
    maxnoofSCellGroups._val = 3
    
    #-----< maxnoofSCellGroupsplus1 >-----#
    maxnoofSCellGroupsplus1 = INT(name=u'maxnoofSCellGroupsplus1', mode=MODE_VALUE)
    maxnoofSCellGroupsplus1._val = 4
    
    #-----< maxnoofSliceItems >-----#
    maxnoofSliceItems = INT(name=u'maxnoofSliceItems', mode=MODE_VALUE)
    maxnoofSliceItems._val = 1024
    
    #-----< maxnoofsupportedPLMNs >-----#
    maxnoofsupportedPLMNs = INT(name=u'maxnoofsupportedPLMNs', mode=MODE_VALUE)
    maxnoofsupportedPLMNs._val = 12
    
    #-----< maxnoofsupportedTACs >-----#
    maxnoofsupportedTACs = INT(name=u'maxnoofsupportedTACs', mode=MODE_VALUE)
    maxnoofsupportedTACs._val = 256
    
    #-----< maxnoofTAI >-----#
    maxnoofTAI = INT(name=u'maxnoofTAI', mode=MODE_VALUE)
    maxnoofTAI._val = 16
    
    #-----< maxnoofTAIsinAoI >-----#
    maxnoofTAIsinAoI = INT(name=u'maxnoofTAIsinAoI', mode=MODE_VALUE)
    maxnoofTAIsinAoI._val = 16
    
    #-----< maxnooftimeperiods >-----#
    maxnooftimeperiods = INT(name=u'maxnooftimeperiods', mode=MODE_VALUE)
    maxnooftimeperiods._val = 2
    
    #-----< maxnoofTNLAssociations >-----#
    maxnoofTNLAssociations = INT(name=u'maxnoofTNLAssociations', mode=MODE_VALUE)
    maxnoofTNLAssociations._val = 32
    
    #-----< maxnoofUEContexts >-----#
    maxnoofUEContexts = INT(name=u'maxnoofUEContexts', mode=MODE_VALUE)
    maxnoofUEContexts._val = 8192
    
    #-----< maxNRARFCN >-----#
    maxNRARFCN = INT(name=u'maxNRARFCN', mode=MODE_VALUE)
    maxNRARFCN._val = 3279165
    
    #-----< maxNrOfErrors >-----#
    maxNrOfErrors = INT(name=u'maxNrOfErrors', mode=MODE_VALUE)
    maxNrOfErrors._val = 256
    
    #-----< id-ActivatedServedCells >-----#
    id_ActivatedServedCells = INT(name=u'id-ActivatedServedCells', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ActivatedServedCells._val = 0
    
    #-----< id-ActivationIDforCellActivation >-----#
    id_ActivationIDforCellActivation = INT(name=u'id-ActivationIDforCellActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ActivationIDforCellActivation._val = 1
    
    #-----< id-admittedSplitSRB >-----#
    id_admittedSplitSRB = INT(name=u'id-admittedSplitSRB', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_admittedSplitSRB._val = 2
    
    #-----< id-admittedSplitSRBrelease >-----#
    id_admittedSplitSRBrelease = INT(name=u'id-admittedSplitSRBrelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_admittedSplitSRBrelease._val = 3
    
    #-----< id-AMF-Region-Information >-----#
    id_AMF_Region_Information = INT(name=u'id-AMF-Region-Information', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AMF_Region_Information._val = 4
    
    #-----< id-AssistanceDataForRANPaging >-----#
    id_AssistanceDataForRANPaging = INT(name=u'id-AssistanceDataForRANPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AssistanceDataForRANPaging._val = 5
    
    #-----< id-BearersSubjectToCounterCheck >-----#
    id_BearersSubjectToCounterCheck = INT(name=u'id-BearersSubjectToCounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BearersSubjectToCounterCheck._val = 6
    
    #-----< id-Cause >-----#
    id_Cause = INT(name=u'id-Cause', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Cause._val = 7
    
    #-----< id-cellAssistanceInfo-NR >-----#
    id_cellAssistanceInfo_NR = INT(name=u'id-cellAssistanceInfo-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_cellAssistanceInfo_NR._val = 8
    
    #-----< id-ConfigurationUpdateInitiatingNodeChoice >-----#
    id_ConfigurationUpdateInitiatingNodeChoice = INT(name=u'id-ConfigurationUpdateInitiatingNodeChoice', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ConfigurationUpdateInitiatingNodeChoice._val = 9
    
    #-----< id-CriticalityDiagnostics >-----#
    id_CriticalityDiagnostics = INT(name=u'id-CriticalityDiagnostics', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CriticalityDiagnostics._val = 10
    
    #-----< id-XnUAddressInfoperPDUSession-List >-----#
    id_XnUAddressInfoperPDUSession_List = INT(name=u'id-XnUAddressInfoperPDUSession-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_XnUAddressInfoperPDUSession_List._val = 11
    
    #-----< id-DRBsSubjectToStatusTransfer-List >-----#
    id_DRBsSubjectToStatusTransfer_List = INT(name=u'id-DRBsSubjectToStatusTransfer-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBsSubjectToStatusTransfer_List._val = 12
    
    #-----< id-ExpectedUEBehaviour >-----#
    id_ExpectedUEBehaviour = INT(name=u'id-ExpectedUEBehaviour', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ExpectedUEBehaviour._val = 13
    
    #-----< id-GlobalNG-RAN-node-ID >-----#
    id_GlobalNG_RAN_node_ID = INT(name=u'id-GlobalNG-RAN-node-ID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GlobalNG_RAN_node_ID._val = 14
    
    #-----< id-GUAMI >-----#
    id_GUAMI = INT(name=u'id-GUAMI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_GUAMI._val = 15
    
    #-----< id-indexToRatFrequSelectionPriority >-----#
    id_indexToRatFrequSelectionPriority = INT(name=u'id-indexToRatFrequSelectionPriority', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_indexToRatFrequSelectionPriority._val = 16
    
    #-----< id-initiatingNodeType-ResourceCoordRequest >-----#
    id_initiatingNodeType_ResourceCoordRequest = INT(name=u'id-initiatingNodeType-ResourceCoordRequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_initiatingNodeType_ResourceCoordRequest._val = 17
    
    #-----< id-List-of-served-cells-E-UTRA >-----#
    id_List_of_served_cells_E_UTRA = INT(name=u'id-List-of-served-cells-E-UTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_List_of_served_cells_E_UTRA._val = 18
    
    #-----< id-List-of-served-cells-NR >-----#
    id_List_of_served_cells_NR = INT(name=u'id-List-of-served-cells-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_List_of_served_cells_NR._val = 19
    
    #-----< id-LocationReportingInformation >-----#
    id_LocationReportingInformation = INT(name=u'id-LocationReportingInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LocationReportingInformation._val = 20
    
    #-----< id-MAC-I >-----#
    id_MAC_I = INT(name=u'id-MAC-I', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MAC_I._val = 21
    
    #-----< id-MaskedIMEISV >-----#
    id_MaskedIMEISV = INT(name=u'id-MaskedIMEISV', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MaskedIMEISV._val = 22
    
    #-----< id-M-NG-RANnodeUEXnAPID >-----#
    id_M_NG_RANnodeUEXnAPID = INT(name=u'id-M-NG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_M_NG_RANnodeUEXnAPID._val = 23
    
    #-----< id-MN-to-SN-Container >-----#
    id_MN_to_SN_Container = INT(name=u'id-MN-to-SN-Container', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MN_to_SN_Container._val = 24
    
    #-----< id-MobilityRestrictionList >-----#
    id_MobilityRestrictionList = INT(name=u'id-MobilityRestrictionList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MobilityRestrictionList._val = 25
    
    #-----< id-new-NG-RAN-Cell-Identity >-----#
    id_new_NG_RAN_Cell_Identity = INT(name=u'id-new-NG-RAN-Cell-Identity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_new_NG_RAN_Cell_Identity._val = 26
    
    #-----< id-newNG-RANnodeUEXnAPID >-----#
    id_newNG_RANnodeUEXnAPID = INT(name=u'id-newNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_newNG_RANnodeUEXnAPID._val = 27
    
    #-----< id-UEReportRRCTransfer >-----#
    id_UEReportRRCTransfer = INT(name=u'id-UEReportRRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEReportRRCTransfer._val = 28
    
    #-----< id-oldNG-RANnodeUEXnAPID >-----#
    id_oldNG_RANnodeUEXnAPID = INT(name=u'id-oldNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_oldNG_RANnodeUEXnAPID._val = 29
    
    #-----< id-OldtoNewNG-RANnodeResumeContainer >-----#
    id_OldtoNewNG_RANnodeResumeContainer = INT(name=u'id-OldtoNewNG-RANnodeResumeContainer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OldtoNewNG_RANnodeResumeContainer._val = 30
    
    #-----< id-PagingDRX >-----#
    id_PagingDRX = INT(name=u'id-PagingDRX', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PagingDRX._val = 31
    
    #-----< id-PCellID >-----#
    id_PCellID = INT(name=u'id-PCellID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PCellID._val = 32
    
    #-----< id-PDCPChangeIndication >-----#
    id_PDCPChangeIndication = INT(name=u'id-PDCPChangeIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDCPChangeIndication._val = 33
    
    #-----< id-PDUSessionAdmittedAddedAddReqAck >-----#
    id_PDUSessionAdmittedAddedAddReqAck = INT(name=u'id-PDUSessionAdmittedAddedAddReqAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionAdmittedAddedAddReqAck._val = 34
    
    #-----< id-PDUSessionAdmittedModSNModConfirm >-----#
    id_PDUSessionAdmittedModSNModConfirm = INT(name=u'id-PDUSessionAdmittedModSNModConfirm', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionAdmittedModSNModConfirm._val = 35
    
    #-----< id-PDUSessionAdmitted-SNModResponse >-----#
    id_PDUSessionAdmitted_SNModResponse = INT(name=u'id-PDUSessionAdmitted-SNModResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionAdmitted_SNModResponse._val = 36
    
    #-----< id-PDUSessionNotAdmittedAddReqAck >-----#
    id_PDUSessionNotAdmittedAddReqAck = INT(name=u'id-PDUSessionNotAdmittedAddReqAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionNotAdmittedAddReqAck._val = 37
    
    #-----< id-PDUSessionNotAdmitted-SNModResponse >-----#
    id_PDUSessionNotAdmitted_SNModResponse = INT(name=u'id-PDUSessionNotAdmitted-SNModResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionNotAdmitted_SNModResponse._val = 38
    
    #-----< id-PDUSessionReleasedList-RelConf >-----#
    id_PDUSessionReleasedList_RelConf = INT(name=u'id-PDUSessionReleasedList-RelConf', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionReleasedList_RelConf._val = 39
    
    #-----< id-PDUSessionReleasedSNModConfirm >-----#
    id_PDUSessionReleasedSNModConfirm = INT(name=u'id-PDUSessionReleasedSNModConfirm', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionReleasedSNModConfirm._val = 40
    
    #-----< id-PDUSessionResourcesActivityNotifyList >-----#
    id_PDUSessionResourcesActivityNotifyList = INT(name=u'id-PDUSessionResourcesActivityNotifyList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesActivityNotifyList._val = 41
    
    #-----< id-PDUSessionResourcesAdmitted-List >-----#
    id_PDUSessionResourcesAdmitted_List = INT(name=u'id-PDUSessionResourcesAdmitted-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesAdmitted_List._val = 42
    
    #-----< id-PDUSessionResourcesNotAdmitted-List >-----#
    id_PDUSessionResourcesNotAdmitted_List = INT(name=u'id-PDUSessionResourcesNotAdmitted-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesNotAdmitted_List._val = 43
    
    #-----< id-PDUSessionResourcesNotifyList >-----#
    id_PDUSessionResourcesNotifyList = INT(name=u'id-PDUSessionResourcesNotifyList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourcesNotifyList._val = 44
    
    #-----< id-PDUSession-SNChangeConfirm-List >-----#
    id_PDUSession_SNChangeConfirm_List = INT(name=u'id-PDUSession-SNChangeConfirm-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSession_SNChangeConfirm_List._val = 45
    
    #-----< id-PDUSession-SNChangeRequired-List >-----#
    id_PDUSession_SNChangeRequired_List = INT(name=u'id-PDUSession-SNChangeRequired-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSession_SNChangeRequired_List._val = 46
    
    #-----< id-PDUSessionToBeAddedAddReq >-----#
    id_PDUSessionToBeAddedAddReq = INT(name=u'id-PDUSessionToBeAddedAddReq', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeAddedAddReq._val = 47
    
    #-----< id-PDUSessionToBeModifiedSNModRequired >-----#
    id_PDUSessionToBeModifiedSNModRequired = INT(name=u'id-PDUSessionToBeModifiedSNModRequired', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeModifiedSNModRequired._val = 48
    
    #-----< id-PDUSessionToBeReleasedList-RelRqd >-----#
    id_PDUSessionToBeReleasedList_RelRqd = INT(name=u'id-PDUSessionToBeReleasedList-RelRqd', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleasedList_RelRqd._val = 49
    
    #-----< id-PDUSessionToBeReleased-RelReq >-----#
    id_PDUSessionToBeReleased_RelReq = INT(name=u'id-PDUSessionToBeReleased-RelReq', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleased_RelReq._val = 50
    
    #-----< id-PDUSessionToBeReleasedSNModRequired >-----#
    id_PDUSessionToBeReleasedSNModRequired = INT(name=u'id-PDUSessionToBeReleasedSNModRequired', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleasedSNModRequired._val = 51
    
    #-----< id-RANPagingArea >-----#
    id_RANPagingArea = INT(name=u'id-RANPagingArea', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RANPagingArea._val = 52
    
    #-----< id-PagingPriority >-----#
    id_PagingPriority = INT(name=u'id-PagingPriority', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PagingPriority._val = 53
    
    #-----< id-requestedSplitSRB >-----#
    id_requestedSplitSRB = INT(name=u'id-requestedSplitSRB', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_requestedSplitSRB._val = 54
    
    #-----< id-requestedSplitSRBrelease >-----#
    id_requestedSplitSRBrelease = INT(name=u'id-requestedSplitSRBrelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_requestedSplitSRBrelease._val = 55
    
    #-----< id-ResetRequestTypeInfo >-----#
    id_ResetRequestTypeInfo = INT(name=u'id-ResetRequestTypeInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResetRequestTypeInfo._val = 56
    
    #-----< id-ResetResponseTypeInfo >-----#
    id_ResetResponseTypeInfo = INT(name=u'id-ResetResponseTypeInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResetResponseTypeInfo._val = 57
    
    #-----< id-RespondingNodeTypeConfigUpdateAck >-----#
    id_RespondingNodeTypeConfigUpdateAck = INT(name=u'id-RespondingNodeTypeConfigUpdateAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RespondingNodeTypeConfigUpdateAck._val = 58
    
    #-----< id-respondingNodeType-ResourceCoordResponse >-----#
    id_respondingNodeType_ResourceCoordResponse = INT(name=u'id-respondingNodeType-ResourceCoordResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_respondingNodeType_ResourceCoordResponse._val = 59
    
    #-----< id-ResponseInfo-ReconfCompl >-----#
    id_ResponseInfo_ReconfCompl = INT(name=u'id-ResponseInfo-ReconfCompl', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ResponseInfo_ReconfCompl._val = 60
    
    #-----< id-RRCConfigIndication >-----#
    id_RRCConfigIndication = INT(name=u'id-RRCConfigIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RRCConfigIndication._val = 61
    
    #-----< id-RRCResumeCause >-----#
    id_RRCResumeCause = INT(name=u'id-RRCResumeCause', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RRCResumeCause._val = 62
    
    #-----< id-SCGConfigurationQuery >-----#
    id_SCGConfigurationQuery = INT(name=u'id-SCGConfigurationQuery', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SCGConfigurationQuery._val = 63
    
    #-----< id-selectedPLMN >-----#
    id_selectedPLMN = INT(name=u'id-selectedPLMN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_selectedPLMN._val = 64
    
    #-----< id-ServedCellsToActivate >-----#
    id_ServedCellsToActivate = INT(name=u'id-ServedCellsToActivate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ServedCellsToActivate._val = 65
    
    #-----< id-servedCellsToUpdate-E-UTRA >-----#
    id_servedCellsToUpdate_E_UTRA = INT(name=u'id-servedCellsToUpdate-E-UTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_servedCellsToUpdate_E_UTRA._val = 66
    
    #-----< id-ServedCellsToUpdateInitiatingNodeChoice >-----#
    id_ServedCellsToUpdateInitiatingNodeChoice = INT(name=u'id-ServedCellsToUpdateInitiatingNodeChoice', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ServedCellsToUpdateInitiatingNodeChoice._val = 67
    
    #-----< id-servedCellsToUpdate-NR >-----#
    id_servedCellsToUpdate_NR = INT(name=u'id-servedCellsToUpdate-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_servedCellsToUpdate_NR._val = 68
    
    #-----< id-s-ng-RANnode-SecurityKey >-----#
    id_s_ng_RANnode_SecurityKey = INT(name=u'id-s-ng-RANnode-SecurityKey', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_s_ng_RANnode_SecurityKey._val = 69
    
    #-----< id-S-NG-RANnodeUE-AMBR >-----#
    id_S_NG_RANnodeUE_AMBR = INT(name=u'id-S-NG-RANnodeUE-AMBR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeUE_AMBR._val = 70
    
    #-----< id-S-NG-RANnodeUEXnAPID >-----#
    id_S_NG_RANnodeUEXnAPID = INT(name=u'id-S-NG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeUEXnAPID._val = 71
    
    #-----< id-SN-to-MN-Container >-----#
    id_SN_to_MN_Container = INT(name=u'id-SN-to-MN-Container', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SN_to_MN_Container._val = 72
    
    #-----< id-sourceNG-RANnodeUEXnAPID >-----#
    id_sourceNG_RANnodeUEXnAPID = INT(name=u'id-sourceNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_sourceNG_RANnodeUEXnAPID._val = 73
    
    #-----< id-SplitSRB-RRCTransfer >-----#
    id_SplitSRB_RRCTransfer = INT(name=u'id-SplitSRB-RRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SplitSRB_RRCTransfer._val = 74
    
    #-----< id-TAISupport-list >-----#
    id_TAISupport_list = INT(name=u'id-TAISupport-list', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TAISupport_list._val = 75
    
    #-----< id-TimeToWait >-----#
    id_TimeToWait = INT(name=u'id-TimeToWait', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TimeToWait._val = 76
    
    #-----< id-Target2SourceNG-RANnodeTranspContainer >-----#
    id_Target2SourceNG_RANnodeTranspContainer = INT(name=u'id-Target2SourceNG-RANnodeTranspContainer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Target2SourceNG_RANnodeTranspContainer._val = 77
    
    #-----< id-targetCellGlobalID >-----#
    id_targetCellGlobalID = INT(name=u'id-targetCellGlobalID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_targetCellGlobalID._val = 78
    
    #-----< id-targetNG-RANnodeUEXnAPID >-----#
    id_targetNG_RANnodeUEXnAPID = INT(name=u'id-targetNG-RANnodeUEXnAPID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_targetNG_RANnodeUEXnAPID._val = 79
    
    #-----< id-target-S-NG-RANnodeID >-----#
    id_target_S_NG_RANnodeID = INT(name=u'id-target-S-NG-RANnodeID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_target_S_NG_RANnodeID._val = 80
    
    #-----< id-TraceActivation >-----#
    id_TraceActivation = INT(name=u'id-TraceActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TraceActivation._val = 81
    
    #-----< id-UEContextID >-----#
    id_UEContextID = INT(name=u'id-UEContextID', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextID._val = 82
    
    #-----< id-UEContextInfoHORequest >-----#
    id_UEContextInfoHORequest = INT(name=u'id-UEContextInfoHORequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextInfoHORequest._val = 83
    
    #-----< id-UEContextInfoRetrUECtxtResp >-----#
    id_UEContextInfoRetrUECtxtResp = INT(name=u'id-UEContextInfoRetrUECtxtResp', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextInfoRetrUECtxtResp._val = 84
    
    #-----< id-UEContextInfo-SNModRequest >-----#
    id_UEContextInfo_SNModRequest = INT(name=u'id-UEContextInfo-SNModRequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextInfo_SNModRequest._val = 85
    
    #-----< id-UEContextKeptIndicator >-----#
    id_UEContextKeptIndicator = INT(name=u'id-UEContextKeptIndicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextKeptIndicator._val = 86
    
    #-----< id-UEContextRefAtSN-HORequest >-----#
    id_UEContextRefAtSN_HORequest = INT(name=u'id-UEContextRefAtSN-HORequest', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEContextRefAtSN_HORequest._val = 87
    
    #-----< id-UEHistoryInformation >-----#
    id_UEHistoryInformation = INT(name=u'id-UEHistoryInformation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEHistoryInformation._val = 88
    
    #-----< id-UEIdentityIndexValue >-----#
    id_UEIdentityIndexValue = INT(name=u'id-UEIdentityIndexValue', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UEIdentityIndexValue._val = 89
    
    #-----< id-UERANPagingIdentity >-----#
    id_UERANPagingIdentity = INT(name=u'id-UERANPagingIdentity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UERANPagingIdentity._val = 90
    
    #-----< id-UESecurityCapabilities >-----#
    id_UESecurityCapabilities = INT(name=u'id-UESecurityCapabilities', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UESecurityCapabilities._val = 91
    
    #-----< id-UserPlaneTrafficActivityReport >-----#
    id_UserPlaneTrafficActivityReport = INT(name=u'id-UserPlaneTrafficActivityReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UserPlaneTrafficActivityReport._val = 92
    
    #-----< id-XnRemovalThreshold >-----#
    id_XnRemovalThreshold = INT(name=u'id-XnRemovalThreshold', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_XnRemovalThreshold._val = 93
    
    #-----< id-DesiredActNotificationLevel >-----#
    id_DesiredActNotificationLevel = INT(name=u'id-DesiredActNotificationLevel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DesiredActNotificationLevel._val = 94
    
    #-----< id-AvailableDRBIDs >-----#
    id_AvailableDRBIDs = INT(name=u'id-AvailableDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AvailableDRBIDs._val = 95
    
    #-----< id-AdditionalDRBIDs >-----#
    id_AdditionalDRBIDs = INT(name=u'id-AdditionalDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AdditionalDRBIDs._val = 96
    
    #-----< id-SpareDRBIDs >-----#
    id_SpareDRBIDs = INT(name=u'id-SpareDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SpareDRBIDs._val = 97
    
    #-----< id-RequiredNumberOfDRBIDs >-----#
    id_RequiredNumberOfDRBIDs = INT(name=u'id-RequiredNumberOfDRBIDs', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RequiredNumberOfDRBIDs._val = 98
    
    #-----< id-TNLA-To-Add-List >-----#
    id_TNLA_To_Add_List = INT(name=u'id-TNLA-To-Add-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_To_Add_List._val = 99
    
    #-----< id-TNLA-To-Update-List >-----#
    id_TNLA_To_Update_List = INT(name=u'id-TNLA-To-Update-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_To_Update_List._val = 100
    
    #-----< id-TNLA-To-Remove-List >-----#
    id_TNLA_To_Remove_List = INT(name=u'id-TNLA-To-Remove-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_To_Remove_List._val = 101
    
    #-----< id-TNLA-Setup-List >-----#
    id_TNLA_Setup_List = INT(name=u'id-TNLA-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_Setup_List._val = 102
    
    #-----< id-TNLA-Failed-To-Setup-List >-----#
    id_TNLA_Failed_To_Setup_List = INT(name=u'id-TNLA-Failed-To-Setup-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_TNLA_Failed_To_Setup_List._val = 103
    
    #-----< id-PDUSessionToBeReleased-RelReqAck >-----#
    id_PDUSessionToBeReleased_RelReqAck = INT(name=u'id-PDUSessionToBeReleased-RelReqAck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionToBeReleased_RelReqAck._val = 104
    
    #-----< id-S-NG-RANnodeMaxIPDataRate-UL >-----#
    id_S_NG_RANnodeMaxIPDataRate_UL = INT(name=u'id-S-NG-RANnodeMaxIPDataRate-UL', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeMaxIPDataRate_UL._val = 105
    
    #-----< id-PDUSessionResourceSecondaryRATUsageList >-----#
    id_PDUSessionResourceSecondaryRATUsageList = INT(name=u'id-PDUSessionResourceSecondaryRATUsageList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionResourceSecondaryRATUsageList._val = 107
    
    #-----< id-Additional-UL-NG-U-TNLatUPF-List >-----#
    id_Additional_UL_NG_U_TNLatUPF_List = INT(name=u'id-Additional-UL-NG-U-TNLatUPF-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Additional_UL_NG_U_TNLatUPF_List._val = 108
    
    #-----< id-SecondarydataForwardingInfoFromTarget-List >-----#
    id_SecondarydataForwardingInfoFromTarget_List = INT(name=u'id-SecondarydataForwardingInfoFromTarget-List', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SecondarydataForwardingInfoFromTarget_List._val = 109
    
    #-----< id-LocationInformationSNReporting >-----#
    id_LocationInformationSNReporting = INT(name=u'id-LocationInformationSNReporting', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LocationInformationSNReporting._val = 110
    
    #-----< id-LocationInformationSN >-----#
    id_LocationInformationSN = INT(name=u'id-LocationInformationSN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LocationInformationSN._val = 111
    
    #-----< id-LastE-UTRANPLMNIdentity >-----#
    id_LastE_UTRANPLMNIdentity = INT(name=u'id-LastE-UTRANPLMNIdentity', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_LastE_UTRANPLMNIdentity._val = 112
    
    #-----< id-S-NG-RANnodeMaxIPDataRate-DL >-----#
    id_S_NG_RANnodeMaxIPDataRate_DL = INT(name=u'id-S-NG-RANnodeMaxIPDataRate-DL', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnodeMaxIPDataRate_DL._val = 113
    
    #-----< id-MaxIPrate-DL >-----#
    id_MaxIPrate_DL = INT(name=u'id-MaxIPrate-DL', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MaxIPrate_DL._val = 114
    
    #-----< id-SecurityResult >-----#
    id_SecurityResult = INT(name=u'id-SecurityResult', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SecurityResult._val = 115
    
    #-----< id-S-NSSAI >-----#
    id_S_NSSAI = INT(name=u'id-S-NSSAI', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NSSAI._val = 116
    
    #-----< id-MR-DC-ResourceCoordinationInfo >-----#
    id_MR_DC_ResourceCoordinationInfo = INT(name=u'id-MR-DC-ResourceCoordinationInfo', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_MR_DC_ResourceCoordinationInfo._val = 117
    
    #-----< id-AMF-Region-Information-To-Add >-----#
    id_AMF_Region_Information_To_Add = INT(name=u'id-AMF-Region-Information-To-Add', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AMF_Region_Information_To_Add._val = 118
    
    #-----< id-AMF-Region-Information-To-Delete >-----#
    id_AMF_Region_Information_To_Delete = INT(name=u'id-AMF-Region-Information-To-Delete', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_AMF_Region_Information_To_Delete._val = 119
    
    #-----< id-OldQoSFlowMap-ULendmarkerexpected >-----#
    id_OldQoSFlowMap_ULendmarkerexpected = INT(name=u'id-OldQoSFlowMap-ULendmarkerexpected', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_OldQoSFlowMap_ULendmarkerexpected._val = 120
    
    #-----< id-RANPagingFailure >-----#
    id_RANPagingFailure = INT(name=u'id-RANPagingFailure', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_RANPagingFailure._val = 121
    
    #-----< id-UERadioCapabilityForPaging >-----#
    id_UERadioCapabilityForPaging = INT(name=u'id-UERadioCapabilityForPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_UERadioCapabilityForPaging._val = 122
    
    #-----< id-PDUSessionDataForwarding-SNModResponse >-----#
    id_PDUSessionDataForwarding_SNModResponse = INT(name=u'id-PDUSessionDataForwarding-SNModResponse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionDataForwarding_SNModResponse._val = 123
    
    #-----< id-DRBsNotAdmittedSetupModifyList >-----#
    id_DRBsNotAdmittedSetupModifyList = INT(name=u'id-DRBsNotAdmittedSetupModifyList', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBsNotAdmittedSetupModifyList._val = 124
    
    #-----< id-Secondary-MN-Xn-U-TNLInfoatM >-----#
    id_Secondary_MN_Xn_U_TNLInfoatM = INT(name=u'id-Secondary-MN-Xn-U-TNLInfoatM', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_Secondary_MN_Xn_U_TNLInfoatM._val = 125
    
    #-----< id-NE-DC-TDM-Pattern >-----#
    id_NE_DC_TDM_Pattern = INT(name=u'id-NE-DC-TDM-Pattern', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_NE_DC_TDM_Pattern._val = 126
    
    #-----< id-PDUSessionCommonNetworkInstance >-----#
    id_PDUSessionCommonNetworkInstance = INT(name=u'id-PDUSessionCommonNetworkInstance', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_PDUSessionCommonNetworkInstance._val = 127
    
    #-----< id-BPLMN-ID-Info-EUTRA >-----#
    id_BPLMN_ID_Info_EUTRA = INT(name=u'id-BPLMN-ID-Info-EUTRA', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BPLMN_ID_Info_EUTRA._val = 128
    
    #-----< id-BPLMN-ID-Info-NR >-----#
    id_BPLMN_ID_Info_NR = INT(name=u'id-BPLMN-ID-Info-NR', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_BPLMN_ID_Info_NR._val = 129
    
    #-----< id-InterfaceInstanceIndication >-----#
    id_InterfaceInstanceIndication = INT(name=u'id-InterfaceInstanceIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_InterfaceInstanceIndication._val = 130
    
    #-----< id-S-NG-RANnode-Addition-Trigger-Ind >-----#
    id_S_NG_RANnode_Addition_Trigger_Ind = INT(name=u'id-S-NG-RANnode-Addition-Trigger-Ind', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_S_NG_RANnode_Addition_Trigger_Ind._val = 131
    
    #-----< id-DefaultDRB-Allowed >-----#
    id_DefaultDRB_Allowed = INT(name=u'id-DefaultDRB-Allowed', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DefaultDRB_Allowed._val = 132
    
    #-----< id-DRB-IDs-takenintouse >-----#
    id_DRB_IDs_takenintouse = INT(name=u'id-DRB-IDs-takenintouse', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRB_IDs_takenintouse._val = 133
    
    #-----< id-SplitSessionIndicator >-----#
    id_SplitSessionIndicator = INT(name=u'id-SplitSessionIndicator', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_SplitSessionIndicator._val = 134
    
    #-----< id-CNTypeRestrictionsForEquivalent >-----#
    id_CNTypeRestrictionsForEquivalent = INT(name=u'id-CNTypeRestrictionsForEquivalent', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNTypeRestrictionsForEquivalent._val = 135
    
    #-----< id-CNTypeRestrictionsForServing >-----#
    id_CNTypeRestrictionsForServing = INT(name=u'id-CNTypeRestrictionsForServing', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_CNTypeRestrictionsForServing._val = 136
    
    #-----< id-DRBs-transferred-to-MN >-----#
    id_DRBs_transferred_to_MN = INT(name=u'id-DRBs-transferred-to-MN', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_DRBs_transferred_to_MN._val = 137
    
    #-----< id-ULForwardingProposal >-----#
    id_ULForwardingProposal = INT(name=u'id-ULForwardingProposal', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_ULForwardingProposal._val = 138
    
    #-----< id-EndpointIPAddressAndPort >-----#
    id_EndpointIPAddressAndPort = INT(name=u'id-EndpointIPAddressAndPort', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    id_EndpointIPAddressAndPort._val = 139
    
    _all_ = [
        id_handoverPreparation,
        id_sNStatusTransfer,
        id_handoverCancel,
        id_retrieveUEContext,
        id_rANPaging,
        id_xnUAddressIndication,
        id_uEContextRelease,
        id_sNGRANnodeAdditionPreparation,
        id_sNGRANnodeReconfigurationCompletion,
        id_mNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        id_sNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        id_mNGRANnodeinitiatedSNGRANnodeRelease,
        id_sNGRANnodeinitiatedSNGRANnodeRelease,
        id_sNGRANnodeCounterCheck,
        id_sNGRANnodeChange,
        id_rRCTransfer,
        id_xnRemoval,
        id_xnSetup,
        id_nGRANnodeConfigurationUpdate,
        id_cellActivation,
        id_reset,
        id_errorIndication,
        id_privateMessage,
        id_notificationControl,
        id_activityNotification,
        id_e_UTRA_NR_CellResourceCoordination,
        id_secondaryRATDataUsageReport,
        maxEARFCN,
        maxnoofAllowedAreas,
        maxnoofAMFRegions,
        maxnoofAoIs,
        maxnoofBPLMNs,
        maxnoofCellsinAoI,
        maxnoofCellsinUEHistoryInfo,
        maxnoofCellsinNG_RANnode,
        maxnoofCellsinRNA,
        maxnoofCellsUEMovingTrajectory,
        maxnoofDRBs,
        maxnoofEUTRABands,
        maxnoofEUTRABPLMNs,
        maxnoofEPLMNs,
        maxnoofForbiddenTACs,
        maxnoofMBSFNEUTRA,
        maxnoofMultiConnectivityMinusOne,
        maxnoofNeighbours,
        maxnoofNRCellBands,
        maxnoofPLMNs,
        maxnoofPDUSessions,
        maxnoofProtectedResourcePatterns,
        maxnoofQoSFlows,
        maxnoofRANAreaCodes,
        maxnoofRANAreasinRNA,
        maxnoofRANNodesinAoI,
        maxnoofSCellGroups,
        maxnoofSCellGroupsplus1,
        maxnoofSliceItems,
        maxnoofsupportedPLMNs,
        maxnoofsupportedTACs,
        maxnoofTAI,
        maxnoofTAIsinAoI,
        maxnooftimeperiods,
        maxnoofTNLAssociations,
        maxnoofUEContexts,
        maxNRARFCN,
        maxNrOfErrors,
        id_ActivatedServedCells,
        id_ActivationIDforCellActivation,
        id_admittedSplitSRB,
        id_admittedSplitSRBrelease,
        id_AMF_Region_Information,
        id_AssistanceDataForRANPaging,
        id_BearersSubjectToCounterCheck,
        id_Cause,
        id_cellAssistanceInfo_NR,
        id_ConfigurationUpdateInitiatingNodeChoice,
        id_CriticalityDiagnostics,
        id_XnUAddressInfoperPDUSession_List,
        id_DRBsSubjectToStatusTransfer_List,
        id_ExpectedUEBehaviour,
        id_GlobalNG_RAN_node_ID,
        id_GUAMI,
        id_indexToRatFrequSelectionPriority,
        id_initiatingNodeType_ResourceCoordRequest,
        id_List_of_served_cells_E_UTRA,
        id_List_of_served_cells_NR,
        id_LocationReportingInformation,
        id_MAC_I,
        id_MaskedIMEISV,
        id_M_NG_RANnodeUEXnAPID,
        id_MN_to_SN_Container,
        id_MobilityRestrictionList,
        id_new_NG_RAN_Cell_Identity,
        id_newNG_RANnodeUEXnAPID,
        id_UEReportRRCTransfer,
        id_oldNG_RANnodeUEXnAPID,
        id_OldtoNewNG_RANnodeResumeContainer,
        id_PagingDRX,
        id_PCellID,
        id_PDCPChangeIndication,
        id_PDUSessionAdmittedAddedAddReqAck,
        id_PDUSessionAdmittedModSNModConfirm,
        id_PDUSessionAdmitted_SNModResponse,
        id_PDUSessionNotAdmittedAddReqAck,
        id_PDUSessionNotAdmitted_SNModResponse,
        id_PDUSessionReleasedList_RelConf,
        id_PDUSessionReleasedSNModConfirm,
        id_PDUSessionResourcesActivityNotifyList,
        id_PDUSessionResourcesAdmitted_List,
        id_PDUSessionResourcesNotAdmitted_List,
        id_PDUSessionResourcesNotifyList,
        id_PDUSession_SNChangeConfirm_List,
        id_PDUSession_SNChangeRequired_List,
        id_PDUSessionToBeAddedAddReq,
        id_PDUSessionToBeModifiedSNModRequired,
        id_PDUSessionToBeReleasedList_RelRqd,
        id_PDUSessionToBeReleased_RelReq,
        id_PDUSessionToBeReleasedSNModRequired,
        id_RANPagingArea,
        id_PagingPriority,
        id_requestedSplitSRB,
        id_requestedSplitSRBrelease,
        id_ResetRequestTypeInfo,
        id_ResetResponseTypeInfo,
        id_RespondingNodeTypeConfigUpdateAck,
        id_respondingNodeType_ResourceCoordResponse,
        id_ResponseInfo_ReconfCompl,
        id_RRCConfigIndication,
        id_RRCResumeCause,
        id_SCGConfigurationQuery,
        id_selectedPLMN,
        id_ServedCellsToActivate,
        id_servedCellsToUpdate_E_UTRA,
        id_ServedCellsToUpdateInitiatingNodeChoice,
        id_servedCellsToUpdate_NR,
        id_s_ng_RANnode_SecurityKey,
        id_S_NG_RANnodeUE_AMBR,
        id_S_NG_RANnodeUEXnAPID,
        id_SN_to_MN_Container,
        id_sourceNG_RANnodeUEXnAPID,
        id_SplitSRB_RRCTransfer,
        id_TAISupport_list,
        id_TimeToWait,
        id_Target2SourceNG_RANnodeTranspContainer,
        id_targetCellGlobalID,
        id_targetNG_RANnodeUEXnAPID,
        id_target_S_NG_RANnodeID,
        id_TraceActivation,
        id_UEContextID,
        id_UEContextInfoHORequest,
        id_UEContextInfoRetrUECtxtResp,
        id_UEContextInfo_SNModRequest,
        id_UEContextKeptIndicator,
        id_UEContextRefAtSN_HORequest,
        id_UEHistoryInformation,
        id_UEIdentityIndexValue,
        id_UERANPagingIdentity,
        id_UESecurityCapabilities,
        id_UserPlaneTrafficActivityReport,
        id_XnRemovalThreshold,
        id_DesiredActNotificationLevel,
        id_AvailableDRBIDs,
        id_AdditionalDRBIDs,
        id_SpareDRBIDs,
        id_RequiredNumberOfDRBIDs,
        id_TNLA_To_Add_List,
        id_TNLA_To_Update_List,
        id_TNLA_To_Remove_List,
        id_TNLA_Setup_List,
        id_TNLA_Failed_To_Setup_List,
        id_PDUSessionToBeReleased_RelReqAck,
        id_S_NG_RANnodeMaxIPDataRate_UL,
        id_PDUSessionResourceSecondaryRATUsageList,
        id_Additional_UL_NG_U_TNLatUPF_List,
        id_SecondarydataForwardingInfoFromTarget_List,
        id_LocationInformationSNReporting,
        id_LocationInformationSN,
        id_LastE_UTRANPLMNIdentity,
        id_S_NG_RANnodeMaxIPDataRate_DL,
        id_MaxIPrate_DL,
        id_SecurityResult,
        id_S_NSSAI,
        id_MR_DC_ResourceCoordinationInfo,
        id_AMF_Region_Information_To_Add,
        id_AMF_Region_Information_To_Delete,
        id_OldQoSFlowMap_ULendmarkerexpected,
        id_RANPagingFailure,
        id_UERadioCapabilityForPaging,
        id_PDUSessionDataForwarding_SNModResponse,
        id_DRBsNotAdmittedSetupModifyList,
        id_Secondary_MN_Xn_U_TNLInfoatM,
        id_NE_DC_TDM_Pattern,
        id_PDUSessionCommonNetworkInstance,
        id_BPLMN_ID_Info_EUTRA,
        id_BPLMN_ID_Info_NR,
        id_InterfaceInstanceIndication,
        id_S_NG_RANnode_Addition_Trigger_Ind,
        id_DefaultDRB_Allowed,
        id_DRB_IDs_takenintouse,
        id_SplitSessionIndicator,
        id_CNTypeRestrictionsForEquivalent,
        id_CNTypeRestrictionsForServing,
        id_DRBs_transferred_to_MN,
        id_ULForwardingProposal,
        id_EndpointIPAddressAndPort,
    ]

class XnAP_IEs:

    _name_  = u'XnAP-IEs'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 2]
    
    _obj_ = [
        u'Additional-UL-NG-U-TNLatUPF-Item',
        u'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs',
        u'Additional-UL-NG-U-TNLatUPF-List',
        u'ActivationIDforCellActivation',
        u'AllocationandRetentionPriority',
        u'AllocationandRetentionPriority-ExtIEs',
        u'ActivationSFN',
        u'AMF-Region-Information',
        u'GlobalAMF-Region-Information',
        u'GlobalAMF-Region-Information-ExtIEs',
        u'AMF-UE-NGAP-ID',
        u'AreaOfInterestInformation',
        u'AreaOfInterest-Item',
        u'AreaOfInterest-Item-ExtIEs',
        u'AS-SecurityInformation',
        u'AS-SecurityInformation-ExtIEs',
        u'AssistanceDataForRANPaging',
        u'AssistanceDataForRANPaging-ExtIEs',
        u'AveragingWindow',
        u'BPLMN-ID-Info-EUTRA',
        u'BPLMN-ID-Info-EUTRA-Item',
        u'BPLMN-ID-Info-EUTRA-Item-ExtIEs',
        u'BPLMN-ID-Info-NR',
        u'BPLMN-ID-Info-NR-Item',
        u'BPLMN-ID-Info-NR-Item-ExtIEs',
        u'BitRate',
        u'BroadcastPLMNs',
        u'BroadcastEUTRAPLMNs',
        u'BroadcastPLMNinTAISupport-Item',
        u'BroadcastPLMNinTAISupport-Item-ExtIEs',
        u'Cause',
        u'Cause-ExtIEs',
        u'CauseRadioNetworkLayer',
        u'CauseTransportLayer',
        u'CauseProtocol',
        u'CauseMisc',
        u'CellAssistanceInfo-NR',
        u'CellAssistanceInfo-NR-ExtIEs',
        u'CellGroupID',
        u'Connectivity-Support',
        u'Connectivity-Support-ExtIEs',
        u'COUNT-PDCP-SN12',
        u'COUNT-PDCP-SN12-ExtIEs',
        u'COUNT-PDCP-SN18',
        u'COUNT-PDCP-SN18-ExtIEs',
        u'CPTransportLayerInformation',
        u'CPTransportLayerInformation-ExtIEs',
        u'CriticalityDiagnostics',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'C-RNTI',
        u'CyclicPrefix-E-UTRA-DL',
        u'CyclicPrefix-E-UTRA-UL',
        u'XnUAddressInfoperPDUSession-List',
        u'XnUAddressInfoperPDUSession-Item',
        u'XnUAddressInfoperPDUSession-Item-ExtIEs',
        u'DataForwardingAccepted',
        u'DataForwardingInfoFromTargetNGRANnode',
        u'DataForwardingInfoFromTargetNGRANnode-ExtIEs',
        u'QoSFLowsAcceptedToBeForwarded-List',
        u'QoSFLowsAcceptedToBeForwarded-Item',
        u'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs',
        u'DataforwardingandOffloadingInfofromSource',
        u'DataforwardingandOffloadingInfofromSource-ExtIEs',
        u'QoSFLowsToBeForwarded-List',
        u'QoSFLowsToBeForwarded-Item',
        u'QoSFLowsToBeForwarded-Item-ExtIEs',
        u'DataForwardingResponseDRBItemList',
        u'DataForwardingResponseDRBItem',
        u'DataForwardingResponseDRBItem-ExtIEs',
        u'DataTrafficResources',
        u'DataTrafficResourceIndication',
        u'DataTrafficResourceIndication-ExtIEs',
        u'DeliveryStatus',
        u'DesiredActNotificationLevel',
        u'DefaultDRB-Allowed',
        u'DLForwarding',
        u'DRB-ID',
        u'DRB-List',
        u'DRB-List-withCause',
        u'DRB-List-withCause-Item',
        u'DRB-List-withCause-Item-ExtIEs',
        u'DRB-Number',
        u'DRBsSubjectToStatusTransfer-List',
        u'DRBsSubjectToStatusTransfer-Item',
        u'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        u'DRBBStatusTransferChoice',
        u'DRBBStatusTransferChoice-ExtIEs',
        u'DRBBStatusTransfer12bitsSN',
        u'DRBBStatusTransfer12bitsSN-ExtIEs',
        u'DRBBStatusTransfer18bitsSN',
        u'DRBBStatusTransfer18bitsSN-ExtIEs',
        u'DRBToQoSFlowMapping-List',
        u'DRBToQoSFlowMapping-Item',
        u'DRBToQoSFlowMapping-Item-ExtIEs',
        u'DuplicationActivation',
        u'Dynamic5QIDescriptor',
        u'Dynamic5QIDescriptor-ExtIEs',
        u'E-RAB-ID',
        u'E-UTRAARFCN',
        u'E-UTRA-Cell-Identity',
        u'E-UTRA-CGI',
        u'E-UTRA-CGI-ExtIEs',
        u'E-UTRAFrequencyBandIndicator',
        u'E-UTRAMultibandInfoList',
        u'E-UTRAPCI',
        u'E-UTRAPRACHConfiguration',
        u'E-UTRAPRACHConfiguration-ExtIEs',
        u'E-UTRATransmissionBandwidth',
        u'EndpointIPAddressAndPort',
        u'EndpointIPAddressAndPort-ExtIEs',
        u'EventType',
        u'ExpectedActivityPeriod',
        u'ExpectedHOInterval',
        u'ExpectedIdlePeriod',
        u'ExpectedUEActivityBehaviour',
        u'ExpectedUEActivityBehaviour-ExtIEs',
        u'ExpectedUEBehaviour',
        u'ExpectedUEBehaviour-ExtIEs',
        u'ExpectedUEMobility',
        u'ExpectedUEMovingTrajectory',
        u'ExpectedUEMovingTrajectoryItem',
        u'ExpectedUEMovingTrajectoryItem-ExtIEs',
        u'SourceOfUEActivityBehaviourInformation',
        u'FiveQI',
        u'GBRQoSFlowInfo',
        u'GBRQoSFlowInfo-ExtIEs',
        u'GlobalgNB-ID',
        u'GlobalgNB-ID-ExtIEs',
        u'GNB-ID-Choice',
        u'GNB-ID-Choice-ExtIEs',
        u'GlobalngeNB-ID',
        u'GlobaleNB-ID-ExtIEs',
        u'ENB-ID-Choice',
        u'ENB-ID-Choice-ExtIEs',
        u'GlobalNG-RANCell-ID',
        u'GlobalNG-RANCell-ID-ExtIEs',
        u'GlobalNG-RANNode-ID',
        u'GlobalNG-RANNode-ID-ExtIEs',
        u'GTP-TEID',
        u'GTPtunnelTransportLayerInformation',
        u'GTPtunnelTransportLayerInformation-ExtIEs',
        u'GUAMI',
        u'GUAMI-ExtIEs',
        u'InterfaceInstanceIndication',
        u'I-RNTI',
        u'I-RNTI-ExtIEs',
        u'LastVisitedCell-Item',
        u'LastVisitedCell-Item-ExtIEs',
        u'LastVisitedEUTRANCellInformation',
        u'LastVisitedGERANCellInformation',
        u'LastVisitedNGRANCellInformation',
        u'LastVisitedUTRANCellInformation',
        u'LCID',
        u'ListOfCells',
        u'CellsinAoI-Item',
        u'CellsinAoI-Item-ExtIEs',
        u'ListOfRANNodesinAoI',
        u'GlobalNG-RANNodesinAoI-Item',
        u'GlobalNG-RANNodesinAoI-Item-ExtIEs',
        u'ListOfTAIsinAoI',
        u'TAIsinAoI-Item',
        u'TAIsinAoI-Item-ExtIEs',
        u'LocationInformationSNReporting',
        u'LocationReportingInformation',
        u'LocationReportingInformation-ExtIEs',
        u'LowerLayerPresenceStatusChange',
        u'MAC-I',
        u'MaskedIMEISV',
        u'MaximumDataBurstVolume',
        u'MaximumIPdatarate',
        u'MaximumIPdatarate-ExtIEs',
        u'MaxIPrate',
        u'MBSFNControlRegionLength',
        u'MBSFNSubframeAllocation-E-UTRA',
        u'MBSFNSubframeAllocation-E-UTRA-ExtIEs',
        u'MBSFNSubframeInfo-E-UTRA',
        u'MBSFNSubframeInfo-E-UTRA-Item',
        u'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs',
        u'MobilityRestrictionList',
        u'MobilityRestrictionList-ExtIEs',
        u'CNTypeRestrictionsForEquivalent',
        u'CNTypeRestrictionsForEquivalentItem',
        u'CNTypeRestrictionsForEquivalentItem-ExtIEs',
        u'CNTypeRestrictionsForServing',
        u'RAT-RestrictionsList',
        u'RAT-RestrictionsItem',
        u'RAT-RestrictionsItem-ExtIEs',
        u'RAT-RestrictionInformation',
        u'ForbiddenAreaList',
        u'ForbiddenAreaItem',
        u'ForbiddenAreaItem-ExtIEs',
        u'ServiceAreaList',
        u'ServiceAreaItem',
        u'ServiceAreaItem-ExtIEs',
        u'MR-DC-ResourceCoordinationInfo',
        u'MR-DC-ResourceCoordinationInfo-ExtIEs',
        u'NG-RAN-Node-ResourceCoordinationInfo',
        u'E-UTRA-ResourceCoordinationInfo',
        u'E-UTRA-ResourceCoordinationInfo-ExtIEs',
        u'E-UTRA-CoordinationAssistanceInfo',
        u'NR-ResourceCoordinationInfo',
        u'NR-ResourceCoordinationInfo-ExtIEs',
        u'NR-CoordinationAssistanceInfo',
        u'NE-DC-TDM-Pattern',
        u'NE-DC-TDM-Pattern-ExtIEs',
        u'NeighbourInformation-E-UTRA',
        u'NeighbourInformation-E-UTRA-Item',
        u'NeighbourInformation-E-UTRA-Item-ExtIEs',
        u'NeighbourInformation-NR',
        u'NeighbourInformation-NR-Item',
        u'NeighbourInformation-NR-Item-ExtIEs',
        u'NeighbourInformation-NR-ModeInfo',
        u'NeighbourInformation-NR-ModeInfo-ExtIEs',
        u'NeighbourInformation-NR-ModeFDDInfo',
        u'NeighbourInformation-NR-ModeFDDInfo-ExtIEs',
        u'NeighbourInformation-NR-ModeTDDInfo',
        u'NeighbourInformation-NR-ModeTDDInfo-ExtIEs',
        u'NG-RAN-Cell-Identity',
        u'NG-RAN-Cell-Identity-ExtIEs',
        u'NG-RAN-CellPCI',
        u'NG-RAN-CellPCI-ExtIEs',
        u'NG-RANnodeUEXnAPID',
        u'NonDynamic5QIDescriptor',
        u'NonDynamic5QIDescriptor-ExtIEs',
        u'NRARFCN',
        u'NR-Cell-Identity',
        u'NG-RAN-Cell-Identity-ListinRANPagingArea',
        u'NR-CGI',
        u'NR-CGI-ExtIEs',
        u'NRFrequencyBand',
        u'NRFrequencyBand-List',
        u'NRFrequencyBandItem',
        u'NRFrequencyBandItem-ExtIEs',
        u'NRFrequencyInfo',
        u'NRFrequencyInfo-ExtIEs',
        u'NRModeInfo',
        u'NRModeInfo-ExtIEs',
        u'NRModeInfoFDD',
        u'NRModeInfoFDD-ExtIEs',
        u'NRModeInfoTDD',
        u'NRModeInfoTDD-ExtIEs',
        u'NRNRB',
        u'NRPCI',
        u'NRSCS',
        u'NRTransmissionBandwidth',
        u'NRTransmissionBandwidth-ExtIEs',
        u'NumberOfAntennaPorts-E-UTRA',
        u'PacketDelayBudget',
        u'PacketErrorRate',
        u'PacketErrorRate-ExtIEs',
        u'PER-Scalar',
        u'PER-Exponent',
        u'PacketLossRate',
        u'PagingDRX',
        u'PagingPriority',
        u'PDCPChangeIndication',
        u'PDCPChangeIndication-ExtIEs',
        u'PDCPDuplicationConfiguration',
        u'PDCPSNLength',
        u'PDCPSNLength-ExtIEs',
        u'PDUSessionAggregateMaximumBitRate',
        u'PDUSessionAggregateMaximumBitRate-ExtIEs',
        u'PDUSession-List',
        u'PDUSession-List-withCause',
        u'PDUSession-List-withCause-Item',
        u'PDUSession-List-withCause-Item-ExtIEs',
        u'PDUSession-List-withDataForwardingFromTarget',
        u'PDUSession-List-withDataForwardingFromTarget-Item',
        u'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs',
        u'PDUSession-List-withDataForwardingRequest',
        u'PDUSession-List-withDataForwardingRequest-Item',
        u'PDUSession-List-withDataForwardingRequest-Item-ExtIEs',
        u'PDUSessionResourcesAdmitted-List',
        u'PDUSessionResourcesAdmitted-Item',
        u'PDUSessionResourcesAdmitted-Item-ExtIEs',
        u'PDUSessionResourceAdmittedInfo',
        u'PDUSessionResourceAdmittedInfo-ExtIEs',
        u'PDUSessionResourcesNotAdmitted-List',
        u'PDUSessionResourcesNotAdmitted-Item',
        u'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs',
        u'PDUSessionResourcesToBeSetup-List',
        u'PDUSessionResourcesToBeSetup-Item',
        u'PDUSessionResourcesToBeSetup-Item-ExtIEs',
        u'PDUSessionResourceSetupInfo-SNterminated',
        u'PDUSessionResourceSetupInfo-SNterminated-ExtIEs',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupResponseInfo-SNterminated',
        u'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetupList-SetupResponse-SNterminated',
        u'DRBsToBeSetupList-SetupResponse-SNterminated-Item',
        u'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupInfo-MNterminated',
        u'PDUSessionResourceSetupInfo-MNterminated-ExtIEs',
        u'DRBsToBeSetupList-Setup-MNterminated',
        u'DRBsToBeSetupList-Setup-MNterminated-Item',
        u'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupResponseInfo-MNterminated',
        u'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs',
        u'DRBsAdmittedList-SetupResponse-MNterminated',
        u'DRBsAdmittedList-SetupResponse-MNterminated-Item',
        u'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationInfo-SNterminated',
        u'PDUSessionResourceModificationInfo-SNterminated-ExtIEs',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs',
        u'DRBsToBeModified-List-Modified-SNterminated',
        u'DRBsToBeModified-List-Modified-SNterminated-Item',
        u'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationResponseInfo-SNterminated',
        u'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationInfo-MNterminated',
        u'PDUSessionResourceModificationInfo-MNterminated-ExtIEs',
        u'DRBsToBeModifiedList-Modification-MNterminated',
        u'DRBsToBeModifiedList-Modification-MNterminated-Item',
        u'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationResponseInfo-MNterminated',
        u'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs',
        u'DRBsAdmittedList-ModificationResponse-MNterminated',
        u'DRBsAdmittedList-ModificationResponse-MNterminated-Item',
        u'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceChangeRequiredInfo-SNterminated',
        u'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs',
        u'PDUSessionResourceChangeConfirmInfo-SNterminated',
        u'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs',
        u'PDUSessionResourceChangeRequiredInfo-MNterminated',
        u'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceChangeConfirmInfo-MNterminated',
        u'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceModRqdInfo-SNterminated',
        u'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetup-List-ModRqd-SNterminated',
        u'DRBsToBeSetup-List-ModRqd-SNterminated-Item',
        u'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        u'DRBsToBeModified-List-ModRqd-SNterminated',
        u'DRBsToBeModified-List-ModRqd-SNterminated-Item',
        u'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModConfirmInfo-SNterminated',
        u'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs',
        u'DRBsAdmittedList-ModConfirm-SNterminated',
        u'DRBsAdmittedList-ModConfirm-SNterminated-Item',
        u'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModRqdInfo-MNterminated',
        u'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs',
        u'DRBsToBeModified-List-ModRqd-MNterminated',
        u'DRBsToBeModified-List-ModRqd-MNterminated-Item',
        u'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModConfirmInfo-MNterminated',
        u'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated',
        u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item',
        u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSecondaryRATUsageList',
        u'PDUSessionResourceSecondaryRATUsageItem',
        u'PDUSessionResourceSecondaryRATUsageItem-ExtIEs',
        u'PDUSessionUsageReport',
        u'PDUSessionUsageReport-ExtIEs',
        u'PDUSessionType',
        u'PDUSession-ID',
        u'PDUSessionNetworkInstance',
        u'PDUSessionCommonNetworkInstance',
        u'PLMN-Identity',
        u'PortNumber',
        u'PriorityLevelQoS',
        u'ProtectedE-UTRAResourceIndication',
        u'ProtectedE-UTRAResourceIndication-ExtIEs',
        u'ProtectedE-UTRAResourceList',
        u'ProtectedE-UTRAResource-Item',
        u'ProtectedE-UTRAResource-Item-ExtIEs',
        u'ProtectedE-UTRAFootprintTimePattern',
        u'ProtectedE-UTRAFootprintTimePattern-ExtIEs',
        u'QoSCharacteristics',
        u'QoSCharacteristics-ExtIEs',
        u'QoSFlowIdentifier',
        u'QoSFlowLevelQoSParameters',
        u'QoSFlowLevelQoSParameters-ExtIEs',
        u'QoSFlowMappingIndication',
        u'QoSFlowNotificationControlIndicationInfo',
        u'QoSFlowNotify-Item',
        u'QoSFlowNotificationControlIndicationInfo-ExtIEs',
        u'QoSFlows-List',
        u'QoSFlow-Item',
        u'QoSFlow-Item-ExtIEs',
        u'QoSFlows-List-withCause',
        u'QoSFlowwithCause-Item',
        u'QoSFlowwithCause-Item-ExtIEs',
        u'QoSFlowsAdmitted-List',
        u'QoSFlowsAdmitted-Item',
        u'QoSFlowsAdmitted-Item-ExtIEs',
        u'QoSFlowsToBeSetup-List',
        u'QoSFlowsToBeSetup-Item',
        u'QoSFlowsToBeSetup-Item-ExtIEs',
        u'QoSFlowsUsageReportList',
        u'QoSFlowsUsageReport-Item',
        u'QoSFlowsUsageReport-Item-ExtIEs',
        u'RANAC',
        u'RANAreaID',
        u'RANAreaID-ExtIEs',
        u'RANAreaID-List',
        u'RANPagingArea',
        u'RANPagingArea-ExtIEs',
        u'RANPagingAreaChoice',
        u'RANPagingAreaChoice-ExtIEs',
        u'RANPagingAttemptInfo',
        u'RANPagingAttemptInfo-ExtIEs',
        u'RANPagingFailure',
        u'ReferenceID',
        u'ReflectiveQoSAttribute',
        u'ReportArea',
        u'RequestReferenceID',
        u'ReservedSubframePattern',
        u'ReservedSubframePattern-ExtIEs',
        u'ResetRequestTypeInfo',
        u'ResetRequestTypeInfo-ExtIEs',
        u'ResetRequestTypeInfo-Full',
        u'ResetRequestTypeInfo-Full-ExtIEs',
        u'ResetRequestTypeInfo-Partial',
        u'ResetRequestTypeInfo-Partial-ExtIEs',
        u'ResetRequestPartialReleaseList',
        u'ResetRequestPartialReleaseItem',
        u'ResetRequestPartialReleaseItem-ExtIEs',
        u'ResetResponseTypeInfo',
        u'ResetResponseTypeInfo-ExtIEs',
        u'ResetResponseTypeInfo-Full',
        u'ResetResponseTypeInfo-Full-ExtIEs',
        u'ResetResponseTypeInfo-Partial',
        u'ResetResponseTypeInfo-Partial-ExtIEs',
        u'ResetResponsePartialReleaseList',
        u'ResetResponsePartialReleaseItem',
        u'ResetResponsePartialReleaseItem-ExtIEs',
        u'RLCMode',
        u'RLC-Status',
        u'RLC-Status-ExtIEs',
        u'Reestablishment-Indication',
        u'RFSP-Index',
        u'RRCConfigIndication',
        u'RRCResumeCause',
        u'SecondarydataForwardingInfoFromTarget-Item',
        u'SecondarydataForwardingInfoFromTarget-Item-ExtIEs',
        u'SecondarydataForwardingInfoFromTarget-List',
        u'SCGConfigurationQuery',
        u'SecondaryRATUsageInformation',
        u'SecondaryRATUsageInformation-ExtIEs',
        u'SecurityIndication',
        u'SecurityIndication-ExtIEs',
        u'SecurityResult',
        u'SecurityResult-ExtIEs',
        u'ServedCellInformation-E-UTRA',
        u'ServedCellInformation-E-UTRA-ExtIEs',
        u'ServedCellInformation-E-UTRA-perBPLMN',
        u'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs',
        u'ServedCellInformation-E-UTRA-ModeInfo',
        u'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs',
        u'ServedCellInformation-E-UTRA-FDDInfo',
        u'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs',
        u'ServedCellInformation-E-UTRA-TDDInfo',
        u'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs',
        u'ServedCells-E-UTRA',
        u'ServedCells-E-UTRA-Item',
        u'ServedCells-E-UTRA-Item-ExtIEs',
        u'ServedCellsToUpdate-E-UTRA',
        u'ServedCellsToUpdate-E-UTRA-ExtIEs',
        u'ServedCells-ToModify-E-UTRA',
        u'ServedCells-ToModify-E-UTRA-Item',
        u'Served-cells-ToModify-E-UTRA-Item-ExtIEs',
        u'ServedCellInformation-NR',
        u'ServedCellInformation-NR-ExtIEs',
        u'ServedCells-NR',
        u'ServedCells-NR-Item',
        u'ServedCells-NR-Item-ExtIEs',
        u'ServedCells-ToModify-NR',
        u'ServedCells-ToModify-NR-Item',
        u'Served-cells-ToModify-NR-Item-ExtIEs',
        u'ServedCellsToUpdate-NR',
        u'ServedCellsToUpdate-NR-ExtIEs',
        u'SharedResourceType',
        u'SharedResourceType-ExtIEs',
        u'SharedResourceType-UL-OnlySharing',
        u'SharedResourceType-UL-OnlySharing-ExtIEs',
        u'SharedResourceType-ULDL-Sharing',
        u'SharedResourceType-ULDL-Sharing-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-UL-Resources',
        u'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged',
        u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-DL-Resources',
        u'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged',
        u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs',
        u'SliceSupport-List',
        u'S-NG-RANnode-SecurityKey',
        u'S-NG-RANnode-Addition-Trigger-Ind',
        u'S-NSSAI',
        u'S-NSSAI-ExtIEs',
        u'SpecialSubframeInfo-E-UTRA',
        u'SpecialSubframeInfo-E-UTRA-ExtIEs',
        u'SpecialSubframePatterns-E-UTRA',
        u'SpectrumSharingGroupID',
        u'SplitSessionIndicator',
        u'SplitSRBsTypes',
        u'SUL-FrequencyBand',
        u'SUL-Information',
        u'SUL-Information-ExtIEs',
        u'SupportedSULBandList',
        u'SupportedSULBandItem',
        u'SupportedSULBandItem-ExtIEs',
        u'TAC',
        u'TAISupport-List',
        u'TAISupport-Item',
        u'TAISupport-Item-ExtIEs',
        u'Target-CGI',
        u'TargetCGI-ExtIEs',
        u'TimeToWait',
        u'TNLA-To-Add-List',
        u'TNLA-To-Add-Item',
        u'TNLA-To-Add-Item-ExtIEs',
        u'TNLA-To-Update-List',
        u'TNLA-To-Update-Item',
        u'TNLA-To-Update-Item-ExtIEs',
        u'TNLA-To-Remove-List',
        u'TNLA-To-Remove-Item',
        u'TNLA-To-Remove-Item-ExtIEs',
        u'TNLA-Setup-List',
        u'TNLA-Setup-Item',
        u'TNLA-Setup-Item-ExtIEs',
        u'TNLA-Failed-To-Setup-List',
        u'TNLA-Failed-To-Setup-Item',
        u'TNLA-Failed-To-Setup-Item-ExtIEs',
        u'TNLAssociationUsage',
        u'TransportLayerAddress',
        u'TraceActivation',
        u'TraceActivation-ExtIEs',
        u'Trace-Depth',
        u'TypeOfError',
        u'UEAggregateMaximumBitRate',
        u'UEAggregateMaximumBitRate-ExtIEs',
        u'UEContextKeptIndicator',
        u'UEContextID',
        u'UEContextID-ExtIEs',
        u'UEContextIDforRRCResume',
        u'UEContextIDforRRCResume-ExtIEs',
        u'UEContextIDforRRCReestablishment',
        u'UEContextIDforRRCReestablishment-ExtIEs',
        u'UEContextInfoRetrUECtxtResp',
        u'UEContextInfoRetrUECtxtResp-ExtIEs',
        u'UEHistoryInformation',
        u'UEIdentityIndexValue',
        u'UEIdentityIndexValue-ExtIEs',
        u'UERadioCapabilityForPaging',
        u'UERadioCapabilityForPaging-ExtIEs',
        u'UERadioCapabilityForPagingOfNR',
        u'UERadioCapabilityForPagingOfEUTRA',
        u'UERANPagingIdentity',
        u'UERANPagingIdentity-ExtIEs',
        u'UESecurityCapabilities',
        u'UESecurityCapabilities-ExtIEs',
        u'ULConfiguration',
        u'ULConfiguration-ExtIEs',
        u'UL-UE-Configuration',
        u'ULForwarding',
        u'ULForwardingProposal',
        u'UPTransportLayerInformation',
        u'UPTransportLayerInformation-ExtIEs',
        u'UPTransportParameters',
        u'UPTransportParametersItem',
        u'UPTransportParametersItem-ExtIEs',
        u'UserPlaneTrafficActivityReport',
        u'VolumeTimedReportList',
        u'VolumeTimedReport-Item',
        u'VolumeTimedReport-Item-ExtIEs',
        u'XnBenefitValue',
        ]
    _type_ = [
        u'Additional-UL-NG-U-TNLatUPF-Item',
        u'Additional-UL-NG-U-TNLatUPF-List',
        u'ActivationIDforCellActivation',
        u'AllocationandRetentionPriority',
        u'ActivationSFN',
        u'AMF-Region-Information',
        u'GlobalAMF-Region-Information',
        u'AMF-UE-NGAP-ID',
        u'AreaOfInterestInformation',
        u'AreaOfInterest-Item',
        u'AS-SecurityInformation',
        u'AssistanceDataForRANPaging',
        u'AveragingWindow',
        u'BPLMN-ID-Info-EUTRA',
        u'BPLMN-ID-Info-EUTRA-Item',
        u'BPLMN-ID-Info-NR',
        u'BPLMN-ID-Info-NR-Item',
        u'BitRate',
        u'BroadcastPLMNs',
        u'BroadcastEUTRAPLMNs',
        u'BroadcastPLMNinTAISupport-Item',
        u'Cause',
        u'CauseRadioNetworkLayer',
        u'CauseTransportLayer',
        u'CauseProtocol',
        u'CauseMisc',
        u'CellAssistanceInfo-NR',
        u'CellGroupID',
        u'Connectivity-Support',
        u'COUNT-PDCP-SN12',
        u'COUNT-PDCP-SN18',
        u'CPTransportLayerInformation',
        u'CriticalityDiagnostics',
        u'CriticalityDiagnostics-IE-List',
        u'C-RNTI',
        u'CyclicPrefix-E-UTRA-DL',
        u'CyclicPrefix-E-UTRA-UL',
        u'XnUAddressInfoperPDUSession-List',
        u'XnUAddressInfoperPDUSession-Item',
        u'DataForwardingAccepted',
        u'DataForwardingInfoFromTargetNGRANnode',
        u'QoSFLowsAcceptedToBeForwarded-List',
        u'QoSFLowsAcceptedToBeForwarded-Item',
        u'DataforwardingandOffloadingInfofromSource',
        u'QoSFLowsToBeForwarded-List',
        u'QoSFLowsToBeForwarded-Item',
        u'DataForwardingResponseDRBItemList',
        u'DataForwardingResponseDRBItem',
        u'DataTrafficResources',
        u'DataTrafficResourceIndication',
        u'DeliveryStatus',
        u'DesiredActNotificationLevel',
        u'DefaultDRB-Allowed',
        u'DLForwarding',
        u'DRB-ID',
        u'DRB-List',
        u'DRB-List-withCause',
        u'DRB-List-withCause-Item',
        u'DRB-Number',
        u'DRBsSubjectToStatusTransfer-List',
        u'DRBsSubjectToStatusTransfer-Item',
        u'DRBBStatusTransferChoice',
        u'DRBBStatusTransfer12bitsSN',
        u'DRBBStatusTransfer18bitsSN',
        u'DRBToQoSFlowMapping-List',
        u'DRBToQoSFlowMapping-Item',
        u'DuplicationActivation',
        u'Dynamic5QIDescriptor',
        u'E-RAB-ID',
        u'E-UTRAARFCN',
        u'E-UTRA-Cell-Identity',
        u'E-UTRA-CGI',
        u'E-UTRAFrequencyBandIndicator',
        u'E-UTRAMultibandInfoList',
        u'E-UTRAPCI',
        u'E-UTRAPRACHConfiguration',
        u'E-UTRATransmissionBandwidth',
        u'EndpointIPAddressAndPort',
        u'EventType',
        u'ExpectedActivityPeriod',
        u'ExpectedHOInterval',
        u'ExpectedIdlePeriod',
        u'ExpectedUEActivityBehaviour',
        u'ExpectedUEBehaviour',
        u'ExpectedUEMobility',
        u'ExpectedUEMovingTrajectory',
        u'ExpectedUEMovingTrajectoryItem',
        u'SourceOfUEActivityBehaviourInformation',
        u'FiveQI',
        u'GBRQoSFlowInfo',
        u'GlobalgNB-ID',
        u'GNB-ID-Choice',
        u'GlobalngeNB-ID',
        u'ENB-ID-Choice',
        u'GlobalNG-RANCell-ID',
        u'GlobalNG-RANNode-ID',
        u'GTP-TEID',
        u'GTPtunnelTransportLayerInformation',
        u'GUAMI',
        u'InterfaceInstanceIndication',
        u'I-RNTI',
        u'LastVisitedCell-Item',
        u'LastVisitedEUTRANCellInformation',
        u'LastVisitedGERANCellInformation',
        u'LastVisitedNGRANCellInformation',
        u'LastVisitedUTRANCellInformation',
        u'LCID',
        u'ListOfCells',
        u'CellsinAoI-Item',
        u'ListOfRANNodesinAoI',
        u'GlobalNG-RANNodesinAoI-Item',
        u'ListOfTAIsinAoI',
        u'TAIsinAoI-Item',
        u'LocationInformationSNReporting',
        u'LocationReportingInformation',
        u'LowerLayerPresenceStatusChange',
        u'MAC-I',
        u'MaskedIMEISV',
        u'MaximumDataBurstVolume',
        u'MaximumIPdatarate',
        u'MaxIPrate',
        u'MBSFNControlRegionLength',
        u'MBSFNSubframeAllocation-E-UTRA',
        u'MBSFNSubframeInfo-E-UTRA',
        u'MBSFNSubframeInfo-E-UTRA-Item',
        u'MobilityRestrictionList',
        u'CNTypeRestrictionsForEquivalent',
        u'CNTypeRestrictionsForEquivalentItem',
        u'CNTypeRestrictionsForServing',
        u'RAT-RestrictionsList',
        u'RAT-RestrictionsItem',
        u'RAT-RestrictionInformation',
        u'ForbiddenAreaList',
        u'ForbiddenAreaItem',
        u'ServiceAreaList',
        u'ServiceAreaItem',
        u'MR-DC-ResourceCoordinationInfo',
        u'NG-RAN-Node-ResourceCoordinationInfo',
        u'E-UTRA-ResourceCoordinationInfo',
        u'E-UTRA-CoordinationAssistanceInfo',
        u'NR-ResourceCoordinationInfo',
        u'NR-CoordinationAssistanceInfo',
        u'NE-DC-TDM-Pattern',
        u'NeighbourInformation-E-UTRA',
        u'NeighbourInformation-E-UTRA-Item',
        u'NeighbourInformation-NR',
        u'NeighbourInformation-NR-Item',
        u'NeighbourInformation-NR-ModeInfo',
        u'NeighbourInformation-NR-ModeFDDInfo',
        u'NeighbourInformation-NR-ModeTDDInfo',
        u'NG-RAN-Cell-Identity',
        u'NG-RAN-CellPCI',
        u'NG-RANnodeUEXnAPID',
        u'NonDynamic5QIDescriptor',
        u'NRARFCN',
        u'NR-Cell-Identity',
        u'NG-RAN-Cell-Identity-ListinRANPagingArea',
        u'NR-CGI',
        u'NRFrequencyBand',
        u'NRFrequencyBand-List',
        u'NRFrequencyBandItem',
        u'NRFrequencyInfo',
        u'NRModeInfo',
        u'NRModeInfoFDD',
        u'NRModeInfoTDD',
        u'NRNRB',
        u'NRPCI',
        u'NRSCS',
        u'NRTransmissionBandwidth',
        u'NumberOfAntennaPorts-E-UTRA',
        u'PacketDelayBudget',
        u'PacketErrorRate',
        u'PER-Scalar',
        u'PER-Exponent',
        u'PacketLossRate',
        u'PagingDRX',
        u'PagingPriority',
        u'PDCPChangeIndication',
        u'PDCPDuplicationConfiguration',
        u'PDCPSNLength',
        u'PDUSessionAggregateMaximumBitRate',
        u'PDUSession-List',
        u'PDUSession-List-withCause',
        u'PDUSession-List-withCause-Item',
        u'PDUSession-List-withDataForwardingFromTarget',
        u'PDUSession-List-withDataForwardingFromTarget-Item',
        u'PDUSession-List-withDataForwardingRequest',
        u'PDUSession-List-withDataForwardingRequest-Item',
        u'PDUSessionResourcesAdmitted-List',
        u'PDUSessionResourcesAdmitted-Item',
        u'PDUSessionResourceAdmittedInfo',
        u'PDUSessionResourcesNotAdmitted-List',
        u'PDUSessionResourcesNotAdmitted-Item',
        u'PDUSessionResourcesToBeSetup-List',
        u'PDUSessionResourcesToBeSetup-Item',
        u'PDUSessionResourceSetupInfo-SNterminated',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item',
        u'PDUSessionResourceSetupResponseInfo-SNterminated',
        u'DRBsToBeSetupList-SetupResponse-SNterminated',
        u'DRBsToBeSetupList-SetupResponse-SNterminated-Item',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item',
        u'PDUSessionResourceSetupInfo-MNterminated',
        u'DRBsToBeSetupList-Setup-MNterminated',
        u'DRBsToBeSetupList-Setup-MNterminated-Item',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item',
        u'PDUSessionResourceSetupResponseInfo-MNterminated',
        u'DRBsAdmittedList-SetupResponse-MNterminated',
        u'DRBsAdmittedList-SetupResponse-MNterminated-Item',
        u'PDUSessionResourceModificationInfo-SNterminated',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item',
        u'DRBsToBeModified-List-Modified-SNterminated',
        u'DRBsToBeModified-List-Modified-SNterminated-Item',
        u'PDUSessionResourceModificationResponseInfo-SNterminated',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item',
        u'PDUSessionResourceModificationInfo-MNterminated',
        u'DRBsToBeModifiedList-Modification-MNterminated',
        u'DRBsToBeModifiedList-Modification-MNterminated-Item',
        u'PDUSessionResourceModificationResponseInfo-MNterminated',
        u'DRBsAdmittedList-ModificationResponse-MNterminated',
        u'DRBsAdmittedList-ModificationResponse-MNterminated-Item',
        u'PDUSessionResourceChangeRequiredInfo-SNterminated',
        u'PDUSessionResourceChangeConfirmInfo-SNterminated',
        u'PDUSessionResourceChangeRequiredInfo-MNterminated',
        u'PDUSessionResourceChangeConfirmInfo-MNterminated',
        u'PDUSessionResourceModRqdInfo-SNterminated',
        u'DRBsToBeSetup-List-ModRqd-SNterminated',
        u'DRBsToBeSetup-List-ModRqd-SNterminated-Item',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item',
        u'DRBsToBeModified-List-ModRqd-SNterminated',
        u'DRBsToBeModified-List-ModRqd-SNterminated-Item',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item',
        u'PDUSessionResourceModConfirmInfo-SNterminated',
        u'DRBsAdmittedList-ModConfirm-SNterminated',
        u'DRBsAdmittedList-ModConfirm-SNterminated-Item',
        u'PDUSessionResourceModRqdInfo-MNterminated',
        u'DRBsToBeModified-List-ModRqd-MNterminated',
        u'DRBsToBeModified-List-ModRqd-MNterminated-Item',
        u'PDUSessionResourceModConfirmInfo-MNterminated',
        u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated',
        u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item',
        u'PDUSessionResourceSecondaryRATUsageList',
        u'PDUSessionResourceSecondaryRATUsageItem',
        u'PDUSessionUsageReport',
        u'PDUSessionType',
        u'PDUSession-ID',
        u'PDUSessionNetworkInstance',
        u'PDUSessionCommonNetworkInstance',
        u'PLMN-Identity',
        u'PortNumber',
        u'PriorityLevelQoS',
        u'ProtectedE-UTRAResourceIndication',
        u'ProtectedE-UTRAResourceList',
        u'ProtectedE-UTRAResource-Item',
        u'ProtectedE-UTRAFootprintTimePattern',
        u'QoSCharacteristics',
        u'QoSFlowIdentifier',
        u'QoSFlowLevelQoSParameters',
        u'QoSFlowMappingIndication',
        u'QoSFlowNotificationControlIndicationInfo',
        u'QoSFlowNotify-Item',
        u'QoSFlows-List',
        u'QoSFlow-Item',
        u'QoSFlows-List-withCause',
        u'QoSFlowwithCause-Item',
        u'QoSFlowsAdmitted-List',
        u'QoSFlowsAdmitted-Item',
        u'QoSFlowsToBeSetup-List',
        u'QoSFlowsToBeSetup-Item',
        u'QoSFlowsUsageReportList',
        u'QoSFlowsUsageReport-Item',
        u'RANAC',
        u'RANAreaID',
        u'RANAreaID-List',
        u'RANPagingArea',
        u'RANPagingAreaChoice',
        u'RANPagingAttemptInfo',
        u'RANPagingFailure',
        u'ReferenceID',
        u'ReflectiveQoSAttribute',
        u'ReportArea',
        u'RequestReferenceID',
        u'ReservedSubframePattern',
        u'ResetRequestTypeInfo',
        u'ResetRequestTypeInfo-Full',
        u'ResetRequestTypeInfo-Partial',
        u'ResetRequestPartialReleaseList',
        u'ResetRequestPartialReleaseItem',
        u'ResetResponseTypeInfo',
        u'ResetResponseTypeInfo-Full',
        u'ResetResponseTypeInfo-Partial',
        u'ResetResponsePartialReleaseList',
        u'ResetResponsePartialReleaseItem',
        u'RLCMode',
        u'RLC-Status',
        u'Reestablishment-Indication',
        u'RFSP-Index',
        u'RRCConfigIndication',
        u'RRCResumeCause',
        u'SecondarydataForwardingInfoFromTarget-Item',
        u'SecondarydataForwardingInfoFromTarget-List',
        u'SCGConfigurationQuery',
        u'SecondaryRATUsageInformation',
        u'SecurityIndication',
        u'SecurityResult',
        u'ServedCellInformation-E-UTRA',
        u'ServedCellInformation-E-UTRA-perBPLMN',
        u'ServedCellInformation-E-UTRA-ModeInfo',
        u'ServedCellInformation-E-UTRA-FDDInfo',
        u'ServedCellInformation-E-UTRA-TDDInfo',
        u'ServedCells-E-UTRA',
        u'ServedCells-E-UTRA-Item',
        u'ServedCellsToUpdate-E-UTRA',
        u'ServedCells-ToModify-E-UTRA',
        u'ServedCells-ToModify-E-UTRA-Item',
        u'ServedCellInformation-NR',
        u'ServedCells-NR',
        u'ServedCells-NR-Item',
        u'ServedCells-ToModify-NR',
        u'ServedCells-ToModify-NR-Item',
        u'ServedCellsToUpdate-NR',
        u'SharedResourceType',
        u'SharedResourceType-UL-OnlySharing',
        u'SharedResourceType-ULDL-Sharing',
        u'SharedResourceType-ULDL-Sharing-UL-Resources',
        u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged',
        u'SharedResourceType-ULDL-Sharing-DL-Resources',
        u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged',
        u'SliceSupport-List',
        u'S-NG-RANnode-SecurityKey',
        u'S-NG-RANnode-Addition-Trigger-Ind',
        u'S-NSSAI',
        u'SpecialSubframeInfo-E-UTRA',
        u'SpecialSubframePatterns-E-UTRA',
        u'SpectrumSharingGroupID',
        u'SplitSessionIndicator',
        u'SplitSRBsTypes',
        u'SUL-FrequencyBand',
        u'SUL-Information',
        u'SupportedSULBandList',
        u'SupportedSULBandItem',
        u'TAC',
        u'TAISupport-List',
        u'TAISupport-Item',
        u'Target-CGI',
        u'TimeToWait',
        u'TNLA-To-Add-List',
        u'TNLA-To-Add-Item',
        u'TNLA-To-Update-List',
        u'TNLA-To-Update-Item',
        u'TNLA-To-Remove-List',
        u'TNLA-To-Remove-Item',
        u'TNLA-Setup-List',
        u'TNLA-Setup-Item',
        u'TNLA-Failed-To-Setup-List',
        u'TNLA-Failed-To-Setup-Item',
        u'TNLAssociationUsage',
        u'TransportLayerAddress',
        u'TraceActivation',
        u'Trace-Depth',
        u'TypeOfError',
        u'UEAggregateMaximumBitRate',
        u'UEContextKeptIndicator',
        u'UEContextID',
        u'UEContextIDforRRCResume',
        u'UEContextIDforRRCReestablishment',
        u'UEContextInfoRetrUECtxtResp',
        u'UEHistoryInformation',
        u'UEIdentityIndexValue',
        u'UERadioCapabilityForPaging',
        u'UERadioCapabilityForPagingOfNR',
        u'UERadioCapabilityForPagingOfEUTRA',
        u'UERANPagingIdentity',
        u'UESecurityCapabilities',
        u'ULConfiguration',
        u'UL-UE-Configuration',
        u'ULForwarding',
        u'ULForwardingProposal',
        u'UPTransportLayerInformation',
        u'UPTransportParameters',
        u'UPTransportParametersItem',
        u'UserPlaneTrafficActivityReport',
        u'VolumeTimedReportList',
        u'VolumeTimedReport-Item',
        u'XnBenefitValue',
        ]
    _set_ = [
        u'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs',
        u'AllocationandRetentionPriority-ExtIEs',
        u'GlobalAMF-Region-Information-ExtIEs',
        u'AreaOfInterest-Item-ExtIEs',
        u'AS-SecurityInformation-ExtIEs',
        u'AssistanceDataForRANPaging-ExtIEs',
        u'BPLMN-ID-Info-EUTRA-Item-ExtIEs',
        u'BPLMN-ID-Info-NR-Item-ExtIEs',
        u'BroadcastPLMNinTAISupport-Item-ExtIEs',
        u'Cause-ExtIEs',
        u'CellAssistanceInfo-NR-ExtIEs',
        u'Connectivity-Support-ExtIEs',
        u'COUNT-PDCP-SN12-ExtIEs',
        u'COUNT-PDCP-SN18-ExtIEs',
        u'CPTransportLayerInformation-ExtIEs',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'XnUAddressInfoperPDUSession-Item-ExtIEs',
        u'DataForwardingInfoFromTargetNGRANnode-ExtIEs',
        u'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs',
        u'DataforwardingandOffloadingInfofromSource-ExtIEs',
        u'QoSFLowsToBeForwarded-Item-ExtIEs',
        u'DataForwardingResponseDRBItem-ExtIEs',
        u'DataTrafficResourceIndication-ExtIEs',
        u'DRB-List-withCause-Item-ExtIEs',
        u'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        u'DRBBStatusTransferChoice-ExtIEs',
        u'DRBBStatusTransfer12bitsSN-ExtIEs',
        u'DRBBStatusTransfer18bitsSN-ExtIEs',
        u'DRBToQoSFlowMapping-Item-ExtIEs',
        u'Dynamic5QIDescriptor-ExtIEs',
        u'E-UTRA-CGI-ExtIEs',
        u'E-UTRAPRACHConfiguration-ExtIEs',
        u'EndpointIPAddressAndPort-ExtIEs',
        u'ExpectedUEActivityBehaviour-ExtIEs',
        u'ExpectedUEBehaviour-ExtIEs',
        u'ExpectedUEMovingTrajectoryItem-ExtIEs',
        u'GBRQoSFlowInfo-ExtIEs',
        u'GlobalgNB-ID-ExtIEs',
        u'GNB-ID-Choice-ExtIEs',
        u'GlobaleNB-ID-ExtIEs',
        u'ENB-ID-Choice-ExtIEs',
        u'GlobalNG-RANCell-ID-ExtIEs',
        u'GlobalNG-RANNode-ID-ExtIEs',
        u'GTPtunnelTransportLayerInformation-ExtIEs',
        u'GUAMI-ExtIEs',
        u'I-RNTI-ExtIEs',
        u'LastVisitedCell-Item-ExtIEs',
        u'CellsinAoI-Item-ExtIEs',
        u'GlobalNG-RANNodesinAoI-Item-ExtIEs',
        u'TAIsinAoI-Item-ExtIEs',
        u'LocationReportingInformation-ExtIEs',
        u'MaximumIPdatarate-ExtIEs',
        u'MBSFNSubframeAllocation-E-UTRA-ExtIEs',
        u'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs',
        u'MobilityRestrictionList-ExtIEs',
        u'CNTypeRestrictionsForEquivalentItem-ExtIEs',
        u'RAT-RestrictionsItem-ExtIEs',
        u'ForbiddenAreaItem-ExtIEs',
        u'ServiceAreaItem-ExtIEs',
        u'MR-DC-ResourceCoordinationInfo-ExtIEs',
        u'E-UTRA-ResourceCoordinationInfo-ExtIEs',
        u'NR-ResourceCoordinationInfo-ExtIEs',
        u'NE-DC-TDM-Pattern-ExtIEs',
        u'NeighbourInformation-E-UTRA-Item-ExtIEs',
        u'NeighbourInformation-NR-Item-ExtIEs',
        u'NeighbourInformation-NR-ModeInfo-ExtIEs',
        u'NeighbourInformation-NR-ModeFDDInfo-ExtIEs',
        u'NeighbourInformation-NR-ModeTDDInfo-ExtIEs',
        u'NG-RAN-Cell-Identity-ExtIEs',
        u'NG-RAN-CellPCI-ExtIEs',
        u'NonDynamic5QIDescriptor-ExtIEs',
        u'NR-CGI-ExtIEs',
        u'NRFrequencyBandItem-ExtIEs',
        u'NRFrequencyInfo-ExtIEs',
        u'NRModeInfo-ExtIEs',
        u'NRModeInfoFDD-ExtIEs',
        u'NRModeInfoTDD-ExtIEs',
        u'NRTransmissionBandwidth-ExtIEs',
        u'PacketErrorRate-ExtIEs',
        u'PDCPChangeIndication-ExtIEs',
        u'PDCPSNLength-ExtIEs',
        u'PDUSessionAggregateMaximumBitRate-ExtIEs',
        u'PDUSession-List-withCause-Item-ExtIEs',
        u'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs',
        u'PDUSession-List-withDataForwardingRequest-Item-ExtIEs',
        u'PDUSessionResourcesAdmitted-Item-ExtIEs',
        u'PDUSessionResourceAdmittedInfo-ExtIEs',
        u'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs',
        u'PDUSessionResourcesToBeSetup-Item-ExtIEs',
        u'PDUSessionResourceSetupInfo-SNterminated-ExtIEs',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupInfo-MNterminated-ExtIEs',
        u'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs',
        u'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationInfo-SNterminated-ExtIEs',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs',
        u'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationInfo-MNterminated-ExtIEs',
        u'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs',
        u'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs',
        u'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs',
        u'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        u'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs',
        u'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs',
        u'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSecondaryRATUsageItem-ExtIEs',
        u'PDUSessionUsageReport-ExtIEs',
        u'ProtectedE-UTRAResourceIndication-ExtIEs',
        u'ProtectedE-UTRAResource-Item-ExtIEs',
        u'ProtectedE-UTRAFootprintTimePattern-ExtIEs',
        u'QoSCharacteristics-ExtIEs',
        u'QoSFlowLevelQoSParameters-ExtIEs',
        u'QoSFlowNotificationControlIndicationInfo-ExtIEs',
        u'QoSFlow-Item-ExtIEs',
        u'QoSFlowwithCause-Item-ExtIEs',
        u'QoSFlowsAdmitted-Item-ExtIEs',
        u'QoSFlowsToBeSetup-Item-ExtIEs',
        u'QoSFlowsUsageReport-Item-ExtIEs',
        u'RANAreaID-ExtIEs',
        u'RANPagingArea-ExtIEs',
        u'RANPagingAreaChoice-ExtIEs',
        u'RANPagingAttemptInfo-ExtIEs',
        u'ReservedSubframePattern-ExtIEs',
        u'ResetRequestTypeInfo-ExtIEs',
        u'ResetRequestTypeInfo-Full-ExtIEs',
        u'ResetRequestTypeInfo-Partial-ExtIEs',
        u'ResetRequestPartialReleaseItem-ExtIEs',
        u'ResetResponseTypeInfo-ExtIEs',
        u'ResetResponseTypeInfo-Full-ExtIEs',
        u'ResetResponseTypeInfo-Partial-ExtIEs',
        u'ResetResponsePartialReleaseItem-ExtIEs',
        u'RLC-Status-ExtIEs',
        u'SecondarydataForwardingInfoFromTarget-Item-ExtIEs',
        u'SecondaryRATUsageInformation-ExtIEs',
        u'SecurityIndication-ExtIEs',
        u'SecurityResult-ExtIEs',
        u'ServedCellInformation-E-UTRA-ExtIEs',
        u'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs',
        u'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs',
        u'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs',
        u'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs',
        u'ServedCells-E-UTRA-Item-ExtIEs',
        u'ServedCellsToUpdate-E-UTRA-ExtIEs',
        u'Served-cells-ToModify-E-UTRA-Item-ExtIEs',
        u'ServedCellInformation-NR-ExtIEs',
        u'ServedCells-NR-Item-ExtIEs',
        u'Served-cells-ToModify-NR-Item-ExtIEs',
        u'ServedCellsToUpdate-NR-ExtIEs',
        u'SharedResourceType-ExtIEs',
        u'SharedResourceType-UL-OnlySharing-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs',
        u'S-NSSAI-ExtIEs',
        u'SpecialSubframeInfo-E-UTRA-ExtIEs',
        u'SUL-Information-ExtIEs',
        u'SupportedSULBandItem-ExtIEs',
        u'TAISupport-Item-ExtIEs',
        u'TargetCGI-ExtIEs',
        u'TNLA-To-Add-Item-ExtIEs',
        u'TNLA-To-Update-Item-ExtIEs',
        u'TNLA-To-Remove-Item-ExtIEs',
        u'TNLA-Setup-Item-ExtIEs',
        u'TNLA-Failed-To-Setup-Item-ExtIEs',
        u'TraceActivation-ExtIEs',
        u'UEAggregateMaximumBitRate-ExtIEs',
        u'UEContextID-ExtIEs',
        u'UEContextIDforRRCResume-ExtIEs',
        u'UEContextIDforRRCReestablishment-ExtIEs',
        u'UEContextInfoRetrUECtxtResp-ExtIEs',
        u'UEIdentityIndexValue-ExtIEs',
        u'UERadioCapabilityForPaging-ExtIEs',
        u'UERANPagingIdentity-ExtIEs',
        u'UESecurityCapabilities-ExtIEs',
        u'ULConfiguration-ExtIEs',
        u'UPTransportLayerInformation-ExtIEs',
        u'UPTransportParametersItem-ExtIEs',
        u'VolumeTimedReport-Item-ExtIEs',
        ]
    _val_ = [
        ]
    _class_ = [
        u'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs',
        u'AllocationandRetentionPriority-ExtIEs',
        u'GlobalAMF-Region-Information-ExtIEs',
        u'AreaOfInterest-Item-ExtIEs',
        u'AS-SecurityInformation-ExtIEs',
        u'AssistanceDataForRANPaging-ExtIEs',
        u'BPLMN-ID-Info-EUTRA-Item-ExtIEs',
        u'BPLMN-ID-Info-NR-Item-ExtIEs',
        u'BroadcastPLMNinTAISupport-Item-ExtIEs',
        u'Cause-ExtIEs',
        u'CellAssistanceInfo-NR-ExtIEs',
        u'Connectivity-Support-ExtIEs',
        u'COUNT-PDCP-SN12-ExtIEs',
        u'COUNT-PDCP-SN18-ExtIEs',
        u'CPTransportLayerInformation-ExtIEs',
        u'CriticalityDiagnostics-ExtIEs',
        u'CriticalityDiagnostics-IE-List-ExtIEs',
        u'XnUAddressInfoperPDUSession-Item-ExtIEs',
        u'DataForwardingInfoFromTargetNGRANnode-ExtIEs',
        u'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs',
        u'DataforwardingandOffloadingInfofromSource-ExtIEs',
        u'QoSFLowsToBeForwarded-Item-ExtIEs',
        u'DataForwardingResponseDRBItem-ExtIEs',
        u'DataTrafficResourceIndication-ExtIEs',
        u'DRB-List-withCause-Item-ExtIEs',
        u'DRBsSubjectToStatusTransfer-Item-ExtIEs',
        u'DRBBStatusTransferChoice-ExtIEs',
        u'DRBBStatusTransfer12bitsSN-ExtIEs',
        u'DRBBStatusTransfer18bitsSN-ExtIEs',
        u'DRBToQoSFlowMapping-Item-ExtIEs',
        u'Dynamic5QIDescriptor-ExtIEs',
        u'E-UTRA-CGI-ExtIEs',
        u'E-UTRAPRACHConfiguration-ExtIEs',
        u'EndpointIPAddressAndPort-ExtIEs',
        u'ExpectedUEActivityBehaviour-ExtIEs',
        u'ExpectedUEBehaviour-ExtIEs',
        u'ExpectedUEMovingTrajectoryItem-ExtIEs',
        u'GBRQoSFlowInfo-ExtIEs',
        u'GlobalgNB-ID-ExtIEs',
        u'GNB-ID-Choice-ExtIEs',
        u'GlobaleNB-ID-ExtIEs',
        u'ENB-ID-Choice-ExtIEs',
        u'GlobalNG-RANCell-ID-ExtIEs',
        u'GlobalNG-RANNode-ID-ExtIEs',
        u'GTPtunnelTransportLayerInformation-ExtIEs',
        u'GUAMI-ExtIEs',
        u'I-RNTI-ExtIEs',
        u'LastVisitedCell-Item-ExtIEs',
        u'CellsinAoI-Item-ExtIEs',
        u'GlobalNG-RANNodesinAoI-Item-ExtIEs',
        u'TAIsinAoI-Item-ExtIEs',
        u'LocationReportingInformation-ExtIEs',
        u'MaximumIPdatarate-ExtIEs',
        u'MBSFNSubframeAllocation-E-UTRA-ExtIEs',
        u'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs',
        u'MobilityRestrictionList-ExtIEs',
        u'CNTypeRestrictionsForEquivalentItem-ExtIEs',
        u'RAT-RestrictionsItem-ExtIEs',
        u'ForbiddenAreaItem-ExtIEs',
        u'ServiceAreaItem-ExtIEs',
        u'MR-DC-ResourceCoordinationInfo-ExtIEs',
        u'E-UTRA-ResourceCoordinationInfo-ExtIEs',
        u'NR-ResourceCoordinationInfo-ExtIEs',
        u'NE-DC-TDM-Pattern-ExtIEs',
        u'NeighbourInformation-E-UTRA-Item-ExtIEs',
        u'NeighbourInformation-NR-Item-ExtIEs',
        u'NeighbourInformation-NR-ModeInfo-ExtIEs',
        u'NeighbourInformation-NR-ModeFDDInfo-ExtIEs',
        u'NeighbourInformation-NR-ModeTDDInfo-ExtIEs',
        u'NG-RAN-Cell-Identity-ExtIEs',
        u'NG-RAN-CellPCI-ExtIEs',
        u'NonDynamic5QIDescriptor-ExtIEs',
        u'NR-CGI-ExtIEs',
        u'NRFrequencyBandItem-ExtIEs',
        u'NRFrequencyInfo-ExtIEs',
        u'NRModeInfo-ExtIEs',
        u'NRModeInfoFDD-ExtIEs',
        u'NRModeInfoTDD-ExtIEs',
        u'NRTransmissionBandwidth-ExtIEs',
        u'PacketErrorRate-ExtIEs',
        u'PDCPChangeIndication-ExtIEs',
        u'PDCPSNLength-ExtIEs',
        u'PDUSessionAggregateMaximumBitRate-ExtIEs',
        u'PDUSession-List-withCause-Item-ExtIEs',
        u'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs',
        u'PDUSession-List-withDataForwardingRequest-Item-ExtIEs',
        u'PDUSessionResourcesAdmitted-Item-ExtIEs',
        u'PDUSessionResourceAdmittedInfo-ExtIEs',
        u'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs',
        u'PDUSessionResourcesToBeSetup-Item-ExtIEs',
        u'PDUSessionResourceSetupInfo-SNterminated-ExtIEs',
        u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs',
        u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupInfo-MNterminated-ExtIEs',
        u'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs',
        u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs',
        u'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationInfo-SNterminated-ExtIEs',
        u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs',
        u'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs',
        u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationInfo-MNterminated-ExtIEs',
        u'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs',
        u'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs',
        u'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs',
        u'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs',
        u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        u'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs',
        u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs',
        u'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs',
        u'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs',
        u'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs',
        u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs',
        u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs',
        u'PDUSessionResourceSecondaryRATUsageItem-ExtIEs',
        u'PDUSessionUsageReport-ExtIEs',
        u'ProtectedE-UTRAResourceIndication-ExtIEs',
        u'ProtectedE-UTRAResource-Item-ExtIEs',
        u'ProtectedE-UTRAFootprintTimePattern-ExtIEs',
        u'QoSCharacteristics-ExtIEs',
        u'QoSFlowLevelQoSParameters-ExtIEs',
        u'QoSFlowNotificationControlIndicationInfo-ExtIEs',
        u'QoSFlow-Item-ExtIEs',
        u'QoSFlowwithCause-Item-ExtIEs',
        u'QoSFlowsAdmitted-Item-ExtIEs',
        u'QoSFlowsToBeSetup-Item-ExtIEs',
        u'QoSFlowsUsageReport-Item-ExtIEs',
        u'RANAreaID-ExtIEs',
        u'RANPagingArea-ExtIEs',
        u'RANPagingAreaChoice-ExtIEs',
        u'RANPagingAttemptInfo-ExtIEs',
        u'ReservedSubframePattern-ExtIEs',
        u'ResetRequestTypeInfo-ExtIEs',
        u'ResetRequestTypeInfo-Full-ExtIEs',
        u'ResetRequestTypeInfo-Partial-ExtIEs',
        u'ResetRequestPartialReleaseItem-ExtIEs',
        u'ResetResponseTypeInfo-ExtIEs',
        u'ResetResponseTypeInfo-Full-ExtIEs',
        u'ResetResponseTypeInfo-Partial-ExtIEs',
        u'ResetResponsePartialReleaseItem-ExtIEs',
        u'RLC-Status-ExtIEs',
        u'SecondarydataForwardingInfoFromTarget-Item-ExtIEs',
        u'SecondaryRATUsageInformation-ExtIEs',
        u'SecurityIndication-ExtIEs',
        u'SecurityResult-ExtIEs',
        u'ServedCellInformation-E-UTRA-ExtIEs',
        u'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs',
        u'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs',
        u'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs',
        u'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs',
        u'ServedCells-E-UTRA-Item-ExtIEs',
        u'ServedCellsToUpdate-E-UTRA-ExtIEs',
        u'Served-cells-ToModify-E-UTRA-Item-ExtIEs',
        u'ServedCellInformation-NR-ExtIEs',
        u'ServedCells-NR-Item-ExtIEs',
        u'Served-cells-ToModify-NR-Item-ExtIEs',
        u'ServedCellsToUpdate-NR-ExtIEs',
        u'SharedResourceType-ExtIEs',
        u'SharedResourceType-UL-OnlySharing-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs',
        u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs',
        u'S-NSSAI-ExtIEs',
        u'SpecialSubframeInfo-E-UTRA-ExtIEs',
        u'SUL-Information-ExtIEs',
        u'SupportedSULBandItem-ExtIEs',
        u'TAISupport-Item-ExtIEs',
        u'TargetCGI-ExtIEs',
        u'TNLA-To-Add-Item-ExtIEs',
        u'TNLA-To-Update-Item-ExtIEs',
        u'TNLA-To-Remove-Item-ExtIEs',
        u'TNLA-Setup-Item-ExtIEs',
        u'TNLA-Failed-To-Setup-Item-ExtIEs',
        u'TraceActivation-ExtIEs',
        u'UEAggregateMaximumBitRate-ExtIEs',
        u'UEContextID-ExtIEs',
        u'UEContextIDforRRCResume-ExtIEs',
        u'UEContextIDforRRCReestablishment-ExtIEs',
        u'UEContextInfoRetrUECtxtResp-ExtIEs',
        u'UEIdentityIndexValue-ExtIEs',
        u'UERadioCapabilityForPaging-ExtIEs',
        u'UERANPagingIdentity-ExtIEs',
        u'UESecurityCapabilities-ExtIEs',
        u'ULConfiguration-ExtIEs',
        u'UPTransportLayerInformation-ExtIEs',
        u'UPTransportParametersItem-ExtIEs',
        u'VolumeTimedReport-Item-ExtIEs',
        ]
    _param_ = [
        ]
    
    #-----< Additional-UL-NG-U-TNLatUPF-Item >-----#
    Additional_UL_NG_U_TNLatUPF_Item = SEQ(name=u'Additional-UL-NG-U-TNLatUPF-Item', mode=MODE_TYPE)
    _Additional_UL_NG_U_TNLatUPF_Item_additional_UL_NG_U_TNLatUPF = CHOICE(name=u'additional-UL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id._const_tab = ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id._const_tab_at = None
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality._const_tab = ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality_tab
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue._const_tab = ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue_tab
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id),
        (u'criticality', ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue),
        ])
    __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_._ext = None
    _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions._cont = __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_
    _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Additional_UL_NG_U_TNLatUPF_Item._cont = ASN1Dict([
        (u'additional-UL-NG-U-TNLatUPF', _Additional_UL_NG_U_TNLatUPF_Item_additional_UL_NG_U_TNLatUPF),
        (u'iE-Extensions', _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions),
        ])
    Additional_UL_NG_U_TNLatUPF_Item._ext = []
    
    #-----< Additional-UL-NG-U-TNLatUPF-Item-ExtIEs >-----#
    Additional_UL_NG_U_TNLatUPF_Item_ExtIEs = CLASS(name=u'Additional-UL-NG-U-TNLatUPF-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Additional_UL_NG_U_TNLatUPF_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Additional-UL-NG-U-TNLatUPF-List >-----#
    Additional_UL_NG_U_TNLatUPF_List = SEQ_OF(name=u'Additional-UL-NG-U-TNLatUPF-List', mode=MODE_TYPE)
    _Additional_UL_NG_U_TNLatUPF_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-Item')))
    Additional_UL_NG_U_TNLatUPF_List._cont = _Additional_UL_NG_U_TNLatUPF_List__item_
    Additional_UL_NG_U_TNLatUPF_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    
    #-----< ActivationIDforCellActivation >-----#
    ActivationIDforCellActivation = INT(name=u'ActivationIDforCellActivation', mode=MODE_TYPE)
    ActivationIDforCellActivation._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< AllocationandRetentionPriority >-----#
    AllocationandRetentionPriority = SEQ(name=u'AllocationandRetentionPriority', mode=MODE_TYPE)
    _AllocationandRetentionPriority_priorityLevel = INT(name=u'priorityLevel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AllocationandRetentionPriority_priorityLevel._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=[], er=[])
    _AllocationandRetentionPriority_pre_emption_capability = ENUM(name=u'pre-emption-capability', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AllocationandRetentionPriority_pre_emption_capability._cont = ASN1Dict([(u'shall-not-trigger-preemptdatDion', 0), (u'may-trigger-preemption', 1)])
    _AllocationandRetentionPriority_pre_emption_capability._ext = []
    _AllocationandRetentionPriority_pre_emption_vulnerability = ENUM(name=u'pre-emption-vulnerability', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AllocationandRetentionPriority_pre_emption_vulnerability._cont = ASN1Dict([(u'not-preemptable', 0), (u'preemptable', 1)])
    _AllocationandRetentionPriority_pre_emption_vulnerability._ext = []
    _AllocationandRetentionPriority_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AllocationandRetentionPriority_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AllocationandRetentionPriority_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____AllocationandRetentionPriority_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllocationandRetentionPriority_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllocationandRetentionPriority_iE_Extensions__item__id._const_tab = ____AllocationandRetentionPriority_iE_Extensions__item__id_tab
    ___AllocationandRetentionPriority_iE_Extensions__item__id._const_tab_at = None
    ___AllocationandRetentionPriority_iE_Extensions__item__id._const_tab_id = u'id'
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality._const_tab = ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___AllocationandRetentionPriority_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue._const_tab = ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __AllocationandRetentionPriority_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___AllocationandRetentionPriority_iE_Extensions__item__id),
        (u'criticality', ___AllocationandRetentionPriority_iE_Extensions__item__criticality),
        (u'extensionValue', ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue),
        ])
    __AllocationandRetentionPriority_iE_Extensions__item_._ext = None
    _AllocationandRetentionPriority_iE_Extensions._cont = __AllocationandRetentionPriority_iE_Extensions__item_
    _AllocationandRetentionPriority_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AllocationandRetentionPriority._cont = ASN1Dict([
        (u'priorityLevel', _AllocationandRetentionPriority_priorityLevel),
        (u'pre-emption-capability', _AllocationandRetentionPriority_pre_emption_capability),
        (u'pre-emption-vulnerability', _AllocationandRetentionPriority_pre_emption_vulnerability),
        (u'iE-Extensions', _AllocationandRetentionPriority_iE_Extensions),
        ])
    AllocationandRetentionPriority._ext = []
    
    #-----< AllocationandRetentionPriority-ExtIEs >-----#
    AllocationandRetentionPriority_ExtIEs = CLASS(name=u'AllocationandRetentionPriority-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AllocationandRetentionPriority_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ActivationSFN >-----#
    ActivationSFN = INT(name=u'ActivationSFN', mode=MODE_TYPE)
    ActivationSFN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1023)], ev=None, er=[])
    
    #-----< AMF-Region-Information >-----#
    AMF_Region_Information = SEQ_OF(name=u'AMF-Region-Information', mode=MODE_TYPE)
    _AMF_Region_Information__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalAMF-Region-Information')))
    AMF_Region_Information._cont = _AMF_Region_Information__item_
    AMF_Region_Information._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< GlobalAMF-Region-Information >-----#
    GlobalAMF_Region_Information = SEQ(name=u'GlobalAMF-Region-Information', mode=MODE_TYPE)
    _GlobalAMF_Region_Information_plmn_ID = OCT_STR(name=u'plmn-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalAMF_Region_Information_amf_region_id = BIT_STR(name=u'amf-region-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GlobalAMF_Region_Information_amf_region_id._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _GlobalAMF_Region_Information_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalAMF_Region_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalAMF_Region_Information_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalAMF_Region_Information_iE_Extensions__item__id._const_tab = ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab
    ___GlobalAMF_Region_Information_iE_Extensions__item__id._const_tab_at = None
    ___GlobalAMF_Region_Information_iE_Extensions__item__id._const_tab_id = u'id'
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality._const_tab = ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GlobalAMF_Region_Information_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue._const_tab = ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GlobalAMF_Region_Information_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GlobalAMF_Region_Information_iE_Extensions__item__id),
        (u'criticality', ___GlobalAMF_Region_Information_iE_Extensions__item__criticality),
        (u'extensionValue', ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue),
        ])
    __GlobalAMF_Region_Information_iE_Extensions__item_._ext = None
    _GlobalAMF_Region_Information_iE_Extensions._cont = __GlobalAMF_Region_Information_iE_Extensions__item_
    _GlobalAMF_Region_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalAMF_Region_Information._cont = ASN1Dict([
        (u'plmn-ID', _GlobalAMF_Region_Information_plmn_ID),
        (u'amf-region-id', _GlobalAMF_Region_Information_amf_region_id),
        (u'iE-Extensions', _GlobalAMF_Region_Information_iE_Extensions),
        ])
    GlobalAMF_Region_Information._ext = []
    
    #-----< GlobalAMF-Region-Information-ExtIEs >-----#
    GlobalAMF_Region_Information_ExtIEs = CLASS(name=u'GlobalAMF-Region-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalAMF_Region_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AMF-UE-NGAP-ID >-----#
    AMF_UE_NGAP_ID = INT(name=u'AMF-UE-NGAP-ID', mode=MODE_TYPE)
    AMF_UE_NGAP_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1099511627775)], ev=None, er=[])
    
    #-----< AreaOfInterestInformation >-----#
    AreaOfInterestInformation = SEQ_OF(name=u'AreaOfInterestInformation', mode=MODE_TYPE)
    _AreaOfInterestInformation__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AreaOfInterest-Item')))
    AreaOfInterestInformation._cont = _AreaOfInterestInformation__item_
    AreaOfInterestInformation._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< AreaOfInterest-Item >-----#
    AreaOfInterest_Item = SEQ(name=u'AreaOfInterest-Item', mode=MODE_TYPE)
    _AreaOfInterest_Item_listOfTAIsinAoI = SEQ_OF(name=u'listOfTAIsinAoI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ListOfTAIsinAoI')), opt=True)
    _AreaOfInterest_Item_listOfCellsinAoI = SEQ_OF(name=u'listOfCellsinAoI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ListOfCells')), opt=True)
    _AreaOfInterest_Item_listOfRANNodesinAoI = SEQ_OF(name=u'listOfRANNodesinAoI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ListOfRANNodesinAoI')), opt=True)
    _AreaOfInterest_Item_requestReferenceID = INT(name=u'requestReferenceID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RequestReferenceID')))
    _AreaOfInterest_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AreaOfInterest_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AreaOfInterest_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____AreaOfInterest_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaOfInterest_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaOfInterest_Item_iE_Extensions__item__id._const_tab = ____AreaOfInterest_Item_iE_Extensions__item__id_tab
    ___AreaOfInterest_Item_iE_Extensions__item__id._const_tab_at = None
    ___AreaOfInterest_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___AreaOfInterest_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaOfInterest_Item_iE_Extensions__item__criticality._const_tab = ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab
    ___AreaOfInterest_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___AreaOfInterest_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue._const_tab = ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___AreaOfInterest_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __AreaOfInterest_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___AreaOfInterest_Item_iE_Extensions__item__id),
        (u'criticality', ___AreaOfInterest_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___AreaOfInterest_Item_iE_Extensions__item__extensionValue),
        ])
    __AreaOfInterest_Item_iE_Extensions__item_._ext = None
    _AreaOfInterest_Item_iE_Extensions._cont = __AreaOfInterest_Item_iE_Extensions__item_
    _AreaOfInterest_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AreaOfInterest_Item._cont = ASN1Dict([
        (u'listOfTAIsinAoI', _AreaOfInterest_Item_listOfTAIsinAoI),
        (u'listOfCellsinAoI', _AreaOfInterest_Item_listOfCellsinAoI),
        (u'listOfRANNodesinAoI', _AreaOfInterest_Item_listOfRANNodesinAoI),
        (u'requestReferenceID', _AreaOfInterest_Item_requestReferenceID),
        (u'iE-Extensions', _AreaOfInterest_Item_iE_Extensions),
        ])
    AreaOfInterest_Item._ext = []
    
    #-----< AreaOfInterest-Item-ExtIEs >-----#
    AreaOfInterest_Item_ExtIEs = CLASS(name=u'AreaOfInterest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AreaOfInterest_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AS-SecurityInformation >-----#
    AS_SecurityInformation = SEQ(name=u'AS-SecurityInformation', mode=MODE_TYPE)
    _AS_SecurityInformation_key_NG_RAN_Star = BIT_STR(name=u'key-NG-RAN-Star', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AS_SecurityInformation_key_NG_RAN_Star._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    _AS_SecurityInformation_ncc = INT(name=u'ncc', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _AS_SecurityInformation_ncc._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7)], ev=None, er=[])
    _AS_SecurityInformation_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AS_SecurityInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AS_SecurityInformation_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____AS_SecurityInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AS_SecurityInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AS_SecurityInformation_iE_Extensions__item__id._const_tab = ____AS_SecurityInformation_iE_Extensions__item__id_tab
    ___AS_SecurityInformation_iE_Extensions__item__id._const_tab_at = None
    ___AS_SecurityInformation_iE_Extensions__item__id._const_tab_id = u'id'
    ___AS_SecurityInformation_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____AS_SecurityInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AS_SecurityInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AS_SecurityInformation_iE_Extensions__item__criticality._const_tab = ____AS_SecurityInformation_iE_Extensions__item__criticality_tab
    ___AS_SecurityInformation_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___AS_SecurityInformation_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue._const_tab = ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___AS_SecurityInformation_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __AS_SecurityInformation_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___AS_SecurityInformation_iE_Extensions__item__id),
        (u'criticality', ___AS_SecurityInformation_iE_Extensions__item__criticality),
        (u'extensionValue', ___AS_SecurityInformation_iE_Extensions__item__extensionValue),
        ])
    __AS_SecurityInformation_iE_Extensions__item_._ext = None
    _AS_SecurityInformation_iE_Extensions._cont = __AS_SecurityInformation_iE_Extensions__item_
    _AS_SecurityInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AS_SecurityInformation._cont = ASN1Dict([
        (u'key-NG-RAN-Star', _AS_SecurityInformation_key_NG_RAN_Star),
        (u'ncc', _AS_SecurityInformation_ncc),
        (u'iE-Extensions', _AS_SecurityInformation_iE_Extensions),
        ])
    AS_SecurityInformation._ext = []
    
    #-----< AS-SecurityInformation-ExtIEs >-----#
    AS_SecurityInformation_ExtIEs = CLASS(name=u'AS-SecurityInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AS_SecurityInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AssistanceDataForRANPaging >-----#
    AssistanceDataForRANPaging = SEQ(name=u'AssistanceDataForRANPaging', mode=MODE_TYPE)
    _AssistanceDataForRANPaging_ran_paging_attempt_info = SEQ(name=u'ran-paging-attempt-info', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANPagingAttemptInfo')), opt=True)
    _AssistanceDataForRANPaging_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __AssistanceDataForRANPaging_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___AssistanceDataForRANPaging_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AssistanceDataForRANPaging_iE_Extensions__item__id._const_tab = ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab
    ___AssistanceDataForRANPaging_iE_Extensions__item__id._const_tab_at = None
    ___AssistanceDataForRANPaging_iE_Extensions__item__id._const_tab_id = u'id'
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____AssistanceDataForRANPaging_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AssistanceDataForRANPaging_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality._const_tab = ____AssistanceDataForRANPaging_iE_Extensions__item__criticality_tab
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___AssistanceDataForRANPaging_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____AssistanceDataForRANPaging_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____AssistanceDataForRANPaging_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue._const_tab = ____AssistanceDataForRANPaging_iE_Extensions__item__extensionValue_tab
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __AssistanceDataForRANPaging_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___AssistanceDataForRANPaging_iE_Extensions__item__id),
        (u'criticality', ___AssistanceDataForRANPaging_iE_Extensions__item__criticality),
        (u'extensionValue', ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue),
        ])
    __AssistanceDataForRANPaging_iE_Extensions__item_._ext = None
    _AssistanceDataForRANPaging_iE_Extensions._cont = __AssistanceDataForRANPaging_iE_Extensions__item_
    _AssistanceDataForRANPaging_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    AssistanceDataForRANPaging._cont = ASN1Dict([
        (u'ran-paging-attempt-info', _AssistanceDataForRANPaging_ran_paging_attempt_info),
        (u'iE-Extensions', _AssistanceDataForRANPaging_iE_Extensions),
        ])
    AssistanceDataForRANPaging._ext = []
    
    #-----< AssistanceDataForRANPaging-ExtIEs >-----#
    AssistanceDataForRANPaging_ExtIEs = CLASS(name=u'AssistanceDataForRANPaging-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    AssistanceDataForRANPaging_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< AveragingWindow >-----#
    AveragingWindow = INT(name=u'AveragingWindow', mode=MODE_TYPE)
    AveragingWindow._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< BPLMN-ID-Info-EUTRA >-----#
    BPLMN_ID_Info_EUTRA = SEQ_OF(name=u'BPLMN-ID-Info-EUTRA', mode=MODE_TYPE)
    _BPLMN_ID_Info_EUTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-EUTRA-Item')))
    BPLMN_ID_Info_EUTRA._cont = _BPLMN_ID_Info_EUTRA__item_
    BPLMN_ID_Info_EUTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=6)], ev=None, er=[])
    
    #-----< BPLMN-ID-Info-EUTRA-Item >-----#
    BPLMN_ID_Info_EUTRA_Item = SEQ(name=u'BPLMN-ID-Info-EUTRA-Item', mode=MODE_TYPE)
    _BPLMN_ID_Info_EUTRA_Item_broadcastPLMNs = SEQ_OF(name=u'broadcastPLMNs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastEUTRAPLMNs')))
    _BPLMN_ID_Info_EUTRA_Item_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _BPLMN_ID_Info_EUTRA_Item_e_utraCI = BIT_STR(name=u'e-utraCI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _BPLMN_ID_Info_EUTRA_Item_ranac = INT(name=u'ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _BPLMN_ID_Info_EUTRA_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id._const_tab = ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id._const_tab_at = None
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality._const_tab = ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue._const_tab = ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id),
        (u'criticality', ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue),
        ])
    __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_._ext = None
    _BPLMN_ID_Info_EUTRA_Item_iE_Extension._cont = __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_
    _BPLMN_ID_Info_EUTRA_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BPLMN_ID_Info_EUTRA_Item._cont = ASN1Dict([
        (u'broadcastPLMNs', _BPLMN_ID_Info_EUTRA_Item_broadcastPLMNs),
        (u'tac', _BPLMN_ID_Info_EUTRA_Item_tac),
        (u'e-utraCI', _BPLMN_ID_Info_EUTRA_Item_e_utraCI),
        (u'ranac', _BPLMN_ID_Info_EUTRA_Item_ranac),
        (u'iE-Extension', _BPLMN_ID_Info_EUTRA_Item_iE_Extension),
        ])
    BPLMN_ID_Info_EUTRA_Item._ext = []
    
    #-----< BPLMN-ID-Info-EUTRA-Item-ExtIEs >-----#
    BPLMN_ID_Info_EUTRA_Item_ExtIEs = CLASS(name=u'BPLMN-ID-Info-EUTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BPLMN_ID_Info_EUTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BPLMN-ID-Info-NR >-----#
    BPLMN_ID_Info_NR = SEQ_OF(name=u'BPLMN-ID-Info-NR', mode=MODE_TYPE)
    _BPLMN_ID_Info_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-NR-Item')))
    BPLMN_ID_Info_NR._cont = _BPLMN_ID_Info_NR__item_
    BPLMN_ID_Info_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BPLMN-ID-Info-NR-Item >-----#
    BPLMN_ID_Info_NR_Item = SEQ(name=u'BPLMN-ID-Info-NR-Item', mode=MODE_TYPE)
    _BPLMN_ID_Info_NR_Item_broadcastPLMNs = SEQ_OF(name=u'broadcastPLMNs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPLMNs')))
    _BPLMN_ID_Info_NR_Item_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _BPLMN_ID_Info_NR_Item_nr_CI = BIT_STR(name=u'nr-CI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _BPLMN_ID_Info_NR_Item_ranac = INT(name=u'ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _BPLMN_ID_Info_NR_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BPLMN_ID_Info_NR_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id._const_tab = ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id._const_tab_at = None
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality._const_tab = ____BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality_tab
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue._const_tab = ____BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue_tab
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __BPLMN_ID_Info_NR_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id),
        (u'criticality', ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue),
        ])
    __BPLMN_ID_Info_NR_Item_iE_Extension__item_._ext = None
    _BPLMN_ID_Info_NR_Item_iE_Extension._cont = __BPLMN_ID_Info_NR_Item_iE_Extension__item_
    _BPLMN_ID_Info_NR_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BPLMN_ID_Info_NR_Item._cont = ASN1Dict([
        (u'broadcastPLMNs', _BPLMN_ID_Info_NR_Item_broadcastPLMNs),
        (u'tac', _BPLMN_ID_Info_NR_Item_tac),
        (u'nr-CI', _BPLMN_ID_Info_NR_Item_nr_CI),
        (u'ranac', _BPLMN_ID_Info_NR_Item_ranac),
        (u'iE-Extension', _BPLMN_ID_Info_NR_Item_iE_Extension),
        ])
    BPLMN_ID_Info_NR_Item._ext = []
    
    #-----< BPLMN-ID-Info-NR-Item-ExtIEs >-----#
    BPLMN_ID_Info_NR_Item_ExtIEs = CLASS(name=u'BPLMN-ID-Info-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BPLMN_ID_Info_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< BitRate >-----#
    BitRate = INT(name=u'BitRate', mode=MODE_TYPE)
    BitRate._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4000000000000)], ev=[], er=[])
    
    #-----< BroadcastPLMNs >-----#
    BroadcastPLMNs = SEQ_OF(name=u'BroadcastPLMNs', mode=MODE_TYPE)
    _BroadcastPLMNs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    BroadcastPLMNs._cont = _BroadcastPLMNs__item_
    BroadcastPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    
    #-----< BroadcastEUTRAPLMNs >-----#
    BroadcastEUTRAPLMNs = SEQ_OF(name=u'BroadcastEUTRAPLMNs', mode=MODE_TYPE)
    _BroadcastEUTRAPLMNs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    BroadcastEUTRAPLMNs._cont = _BroadcastEUTRAPLMNs__item_
    BroadcastEUTRAPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=6)], ev=None, er=[])
    
    #-----< BroadcastPLMNinTAISupport-Item >-----#
    BroadcastPLMNinTAISupport_Item = SEQ(name=u'BroadcastPLMNinTAISupport-Item', mode=MODE_TYPE)
    _BroadcastPLMNinTAISupport_Item_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _BroadcastPLMNinTAISupport_Item_tAISliceSupport_List = SEQ_OF(name=u'tAISliceSupport-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SliceSupport-List')))
    _BroadcastPLMNinTAISupport_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BroadcastPLMNinTAISupport_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id._const_tab = ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id._const_tab_at = None
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality._const_tab = ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality_tab
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue._const_tab = ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue_tab
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __BroadcastPLMNinTAISupport_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id),
        (u'criticality', ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue),
        ])
    __BroadcastPLMNinTAISupport_Item_iE_Extension__item_._ext = None
    _BroadcastPLMNinTAISupport_Item_iE_Extension._cont = __BroadcastPLMNinTAISupport_Item_iE_Extension__item_
    _BroadcastPLMNinTAISupport_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BroadcastPLMNinTAISupport_Item._cont = ASN1Dict([
        (u'plmn-id', _BroadcastPLMNinTAISupport_Item_plmn_id),
        (u'tAISliceSupport-List', _BroadcastPLMNinTAISupport_Item_tAISliceSupport_List),
        (u'iE-Extension', _BroadcastPLMNinTAISupport_Item_iE_Extension),
        ])
    BroadcastPLMNinTAISupport_Item._ext = []
    
    #-----< BroadcastPLMNinTAISupport-Item-ExtIEs >-----#
    BroadcastPLMNinTAISupport_Item_ExtIEs = CLASS(name=u'BroadcastPLMNinTAISupport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BroadcastPLMNinTAISupport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Cause >-----#
    Cause = CHOICE(name=u'Cause', mode=MODE_TYPE)
    _Cause_radioNetwork = ENUM(name=u'radioNetwork', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseRadioNetworkLayer')))
    _Cause_transport = ENUM(name=u'transport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseTransportLayer')))
    _Cause_protocol = ENUM(name=u'protocol', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseProtocol')))
    _Cause_misc = ENUM(name=u'misc', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CauseMisc')))
    _Cause_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __Cause_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___Cause_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cause_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_id._const_tab = ___Cause_choice_extension_id_tab
    __Cause_choice_extension_id._const_tab_at = None
    __Cause_choice_extension_id._const_tab_id = u'id'
    __Cause_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___Cause_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cause_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_criticality._const_tab = ___Cause_choice_extension_criticality_tab
    __Cause_choice_extension_criticality._const_tab_at = ('..', u'id')
    __Cause_choice_extension_criticality._const_tab_id = u'criticality'
    __Cause_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___Cause_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Cause_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Cause_choice_extension_value._const_tab = ___Cause_choice_extension_value_tab
    __Cause_choice_extension_value._const_tab_at = ('..', u'id')
    __Cause_choice_extension_value._const_tab_id = u'Value'
    _Cause_choice_extension._cont = ASN1Dict([
        (u'id', __Cause_choice_extension_id),
        (u'criticality', __Cause_choice_extension_criticality),
        (u'value', __Cause_choice_extension_value),
        ])
    _Cause_choice_extension._ext = None
    Cause._cont = ASN1Dict([
        (u'radioNetwork', _Cause_radioNetwork),
        (u'transport', _Cause_transport),
        (u'protocol', _Cause_protocol),
        (u'misc', _Cause_misc),
        (u'choice-extension', _Cause_choice_extension),
        ])
    Cause._ext = None
    
    #-----< Cause-ExtIEs >-----#
    Cause_ExtIEs = CLASS(name=u'Cause-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    Cause_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CauseRadioNetworkLayer >-----#
    CauseRadioNetworkLayer = ENUM(name=u'CauseRadioNetworkLayer', mode=MODE_TYPE)
    CauseRadioNetworkLayer._cont = ASN1Dict([(u'cell-not-available', 0), (u'handover-desirable-for-radio-reasons', 1), (u'handover-target-not-allowed', 2), (u'invalid-AMF-Set-ID', 3), (u'no-radio-resources-available-in-target-cell', 4), (u'partial-handover', 5), (u'reduce-load-in-serving-cell', 6), (u'resource-optimisation-handover', 7), (u'time-critical-handover', 8), (u'tXnRELOCoverall-expiry', 9), (u'tTXnRELOCprep-expiry', 10), (u'unknown-GUAMI-ID', 11), (u'unknown-local-NG-RAN-node-UE-XnAP-ID', 12), (u'inconsistent-remote-NG-RAN-node-UE-XnAP-ID', 13), (u'encryption-and-or-integrity-protection-algorithms-not-supported', 14), (u'protection-algorithms-not-supported', 15), (u'multiple-PDU-session-ID-instances', 16), (u'unknown-PDU-session-ID', 17), (u'unknown-QoS-Flow-ID', 18), (u'multiple-QoS-Flow-ID-instances', 19), (u'switch-off-ongoing', 20), (u'not-supported-5QI-value', 21), (u'tXnDCoverall-expiry', 22), (u'tXnDCprep-expiry', 23), (u'action-desirable-for-radio-reasons', 24), (u'reduce-load', 25), (u'resource-optimisation', 26), (u'time-critical-action', 27), (u'target-not-allowed', 28), (u'no-radio-resources-available', 29), (u'invalid-QoS-combination', 30), (u'encryption-algorithms-not-supported', 31), (u'procedure-cancelled', 32), (u'rRM-purpose', 33), (u'improve-user-bit-rate', 34), (u'user-inactivity', 35), (u'radio-connection-with-UE-lost', 36), (u'failure-in-the-radio-interface-procedure', 37), (u'bearer-option-not-supported', 38), (u'up-integrity-protection-not-possible', 39), (u'up-confidentiality-protection-not-possible', 40), (u'resources-not-available-for-the-slice-s', 41), (u'ue-max-IP-data-rate-reason', 42), (u'cP-integrity-protection-failure', 43), (u'uP-integrity-protection-failure', 44), (u'slice-not-supported-by-NG-RAN', 45), (u'mN-Mobility', 46), (u'sN-Mobility', 47), (u'count-reaches-max-value', 48), (u'unknown-old-en-gNB-UE-X2AP-ID', 49), (u'pDCP-Overload', 50), (u'drb-id-not-available', 51), (u'unspecified', 52), (u'ue-context-id-not-known', 53), (u'non-relocation-of-context', 54)])
    CauseRadioNetworkLayer._ext = [u'ue-context-id-not-known', u'non-relocation-of-context']
    
    #-----< CauseTransportLayer >-----#
    CauseTransportLayer = ENUM(name=u'CauseTransportLayer', mode=MODE_TYPE)
    CauseTransportLayer._cont = ASN1Dict([(u'transport-resource-unavailable', 0), (u'unspecified', 1)])
    CauseTransportLayer._ext = []
    
    #-----< CauseProtocol >-----#
    CauseProtocol = ENUM(name=u'CauseProtocol', mode=MODE_TYPE)
    CauseProtocol._cont = ASN1Dict([(u'transfer-syntax-error', 0), (u'abstract-syntax-error-reject', 1), (u'abstract-syntax-error-ignore-and-notify', 2), (u'message-not-compatible-with-receiver-state', 3), (u'semantic-error', 4), (u'abstract-syntax-error-falsely-constructed-message', 5), (u'unspecified', 6)])
    CauseProtocol._ext = []
    
    #-----< CauseMisc >-----#
    CauseMisc = ENUM(name=u'CauseMisc', mode=MODE_TYPE)
    CauseMisc._cont = ASN1Dict([(u'control-processing-overload', 0), (u'hardware-failure', 1), (u'o-and-M-intervention', 2), (u'not-enough-user-plane-processing-resources', 3), (u'unspecified', 4)])
    CauseMisc._ext = []
    
    #-----< CellAssistanceInfo-NR >-----#
    CellAssistanceInfo_NR = CHOICE(name=u'CellAssistanceInfo-NR', mode=MODE_TYPE)
    _CellAssistanceInfo_NR_limitedNR_List = SEQ_OF(name=u'limitedNR-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __CellAssistanceInfo_NR_limitedNR_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _CellAssistanceInfo_NR_limitedNR_List._cont = __CellAssistanceInfo_NR_limitedNR_List__item_
    _CellAssistanceInfo_NR_limitedNR_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _CellAssistanceInfo_NR_full_List = ENUM(name=u'full-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _CellAssistanceInfo_NR_full_List._cont = ASN1Dict([(u'all-served-cells-NR', 0)])
    _CellAssistanceInfo_NR_full_List._ext = []
    _CellAssistanceInfo_NR_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __CellAssistanceInfo_NR_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___CellAssistanceInfo_NR_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_NR_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_NR_choice_extension_id._const_tab = ___CellAssistanceInfo_NR_choice_extension_id_tab
    __CellAssistanceInfo_NR_choice_extension_id._const_tab_at = None
    __CellAssistanceInfo_NR_choice_extension_id._const_tab_id = u'id'
    __CellAssistanceInfo_NR_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___CellAssistanceInfo_NR_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_NR_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_NR_choice_extension_criticality._const_tab = ___CellAssistanceInfo_NR_choice_extension_criticality_tab
    __CellAssistanceInfo_NR_choice_extension_criticality._const_tab_at = ('..', u'id')
    __CellAssistanceInfo_NR_choice_extension_criticality._const_tab_id = u'criticality'
    __CellAssistanceInfo_NR_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___CellAssistanceInfo_NR_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___CellAssistanceInfo_NR_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __CellAssistanceInfo_NR_choice_extension_value._const_tab = ___CellAssistanceInfo_NR_choice_extension_value_tab
    __CellAssistanceInfo_NR_choice_extension_value._const_tab_at = ('..', u'id')
    __CellAssistanceInfo_NR_choice_extension_value._const_tab_id = u'Value'
    _CellAssistanceInfo_NR_choice_extension._cont = ASN1Dict([
        (u'id', __CellAssistanceInfo_NR_choice_extension_id),
        (u'criticality', __CellAssistanceInfo_NR_choice_extension_criticality),
        (u'value', __CellAssistanceInfo_NR_choice_extension_value),
        ])
    _CellAssistanceInfo_NR_choice_extension._ext = None
    CellAssistanceInfo_NR._cont = ASN1Dict([
        (u'limitedNR-List', _CellAssistanceInfo_NR_limitedNR_List),
        (u'full-List', _CellAssistanceInfo_NR_full_List),
        (u'choice-extension', _CellAssistanceInfo_NR_choice_extension),
        ])
    CellAssistanceInfo_NR._ext = None
    
    #-----< CellAssistanceInfo-NR-ExtIEs >-----#
    CellAssistanceInfo_NR_ExtIEs = CLASS(name=u'CellAssistanceInfo-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    CellAssistanceInfo_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellGroupID >-----#
    CellGroupID = INT(name=u'CellGroupID', mode=MODE_TYPE)
    CellGroupID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3)], ev=None, er=[])
    
    #-----< Connectivity-Support >-----#
    Connectivity_Support = SEQ(name=u'Connectivity-Support', mode=MODE_TYPE)
    _Connectivity_Support_eNDC_Support = ENUM(name=u'eNDC-Support', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _Connectivity_Support_eNDC_Support._cont = ASN1Dict([(u'supported', 0), (u'not-supported', 1)])
    _Connectivity_Support_eNDC_Support._ext = []
    _Connectivity_Support_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Connectivity_Support_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Connectivity_Support_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____Connectivity_Support_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Connectivity_Support_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Connectivity_Support_iE_Extensions__item__id._const_tab = ____Connectivity_Support_iE_Extensions__item__id_tab
    ___Connectivity_Support_iE_Extensions__item__id._const_tab_at = None
    ___Connectivity_Support_iE_Extensions__item__id._const_tab_id = u'id'
    ___Connectivity_Support_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Connectivity_Support_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Connectivity_Support_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Connectivity_Support_iE_Extensions__item__criticality._const_tab = ____Connectivity_Support_iE_Extensions__item__criticality_tab
    ___Connectivity_Support_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Connectivity_Support_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Connectivity_Support_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Connectivity_Support_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Connectivity_Support_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Connectivity_Support_iE_Extensions__item__extensionValue._const_tab = ____Connectivity_Support_iE_Extensions__item__extensionValue_tab
    ___Connectivity_Support_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Connectivity_Support_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Connectivity_Support_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Connectivity_Support_iE_Extensions__item__id),
        (u'criticality', ___Connectivity_Support_iE_Extensions__item__criticality),
        (u'extensionValue', ___Connectivity_Support_iE_Extensions__item__extensionValue),
        ])
    __Connectivity_Support_iE_Extensions__item_._ext = None
    _Connectivity_Support_iE_Extensions._cont = __Connectivity_Support_iE_Extensions__item_
    _Connectivity_Support_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Connectivity_Support._cont = ASN1Dict([
        (u'eNDC-Support', _Connectivity_Support_eNDC_Support),
        (u'iE-Extensions', _Connectivity_Support_iE_Extensions),
        ])
    Connectivity_Support._ext = []
    
    #-----< Connectivity-Support-ExtIEs >-----#
    Connectivity_Support_ExtIEs = CLASS(name=u'Connectivity-Support-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Connectivity_Support_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< COUNT-PDCP-SN12 >-----#
    COUNT_PDCP_SN12 = SEQ(name=u'COUNT-PDCP-SN12', mode=MODE_TYPE)
    _COUNT_PDCP_SN12_pdcp_SN12 = INT(name=u'pdcp-SN12', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN12_pdcp_SN12._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=None, er=[])
    _COUNT_PDCP_SN12_hfn_PDCP_SN12 = INT(name=u'hfn-PDCP-SN12', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN12_hfn_PDCP_SN12._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1048575)], ev=None, er=[])
    _COUNT_PDCP_SN12_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __COUNT_PDCP_SN12_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___COUNT_PDCP_SN12_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN12_iE_Extensions__item__id._const_tab = ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab
    ___COUNT_PDCP_SN12_iE_Extensions__item__id._const_tab_at = None
    ___COUNT_PDCP_SN12_iE_Extensions__item__id._const_tab_id = u'id'
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality._const_tab = ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___COUNT_PDCP_SN12_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue._const_tab = ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __COUNT_PDCP_SN12_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___COUNT_PDCP_SN12_iE_Extensions__item__id),
        (u'criticality', ___COUNT_PDCP_SN12_iE_Extensions__item__criticality),
        (u'extensionValue', ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue),
        ])
    __COUNT_PDCP_SN12_iE_Extensions__item_._ext = None
    _COUNT_PDCP_SN12_iE_Extensions._cont = __COUNT_PDCP_SN12_iE_Extensions__item_
    _COUNT_PDCP_SN12_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    COUNT_PDCP_SN12._cont = ASN1Dict([
        (u'pdcp-SN12', _COUNT_PDCP_SN12_pdcp_SN12),
        (u'hfn-PDCP-SN12', _COUNT_PDCP_SN12_hfn_PDCP_SN12),
        (u'iE-Extensions', _COUNT_PDCP_SN12_iE_Extensions),
        ])
    COUNT_PDCP_SN12._ext = []
    
    #-----< COUNT-PDCP-SN12-ExtIEs >-----#
    COUNT_PDCP_SN12_ExtIEs = CLASS(name=u'COUNT-PDCP-SN12-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    COUNT_PDCP_SN12_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< COUNT-PDCP-SN18 >-----#
    COUNT_PDCP_SN18 = SEQ(name=u'COUNT-PDCP-SN18', mode=MODE_TYPE)
    _COUNT_PDCP_SN18_pdcp_SN18 = INT(name=u'pdcp-SN18', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN18_pdcp_SN18._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=262143)], ev=None, er=[])
    _COUNT_PDCP_SN18_hfn_PDCP_SN18 = INT(name=u'hfn-PDCP-SN18', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _COUNT_PDCP_SN18_hfn_PDCP_SN18._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=16383)], ev=None, er=[])
    _COUNT_PDCP_SN18_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __COUNT_PDCP_SN18_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___COUNT_PDCP_SN18_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN18_iE_Extensions__item__id._const_tab = ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab
    ___COUNT_PDCP_SN18_iE_Extensions__item__id._const_tab_at = None
    ___COUNT_PDCP_SN18_iE_Extensions__item__id._const_tab_id = u'id'
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality._const_tab = ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___COUNT_PDCP_SN18_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue._const_tab = ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __COUNT_PDCP_SN18_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___COUNT_PDCP_SN18_iE_Extensions__item__id),
        (u'criticality', ___COUNT_PDCP_SN18_iE_Extensions__item__criticality),
        (u'extensionValue', ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue),
        ])
    __COUNT_PDCP_SN18_iE_Extensions__item_._ext = None
    _COUNT_PDCP_SN18_iE_Extensions._cont = __COUNT_PDCP_SN18_iE_Extensions__item_
    _COUNT_PDCP_SN18_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    COUNT_PDCP_SN18._cont = ASN1Dict([
        (u'pdcp-SN18', _COUNT_PDCP_SN18_pdcp_SN18),
        (u'hfn-PDCP-SN18', _COUNT_PDCP_SN18_hfn_PDCP_SN18),
        (u'iE-Extensions', _COUNT_PDCP_SN18_iE_Extensions),
        ])
    COUNT_PDCP_SN18._ext = []
    
    #-----< COUNT-PDCP-SN18-ExtIEs >-----#
    COUNT_PDCP_SN18_ExtIEs = CLASS(name=u'COUNT-PDCP-SN18-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    COUNT_PDCP_SN18_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CPTransportLayerInformation >-----#
    CPTransportLayerInformation = CHOICE(name=u'CPTransportLayerInformation', mode=MODE_TYPE)
    _CPTransportLayerInformation_endpointIPAddress = BIT_STR(name=u'endpointIPAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _CPTransportLayerInformation_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __CPTransportLayerInformation_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___CPTransportLayerInformation_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ____CPTransportLayerInformation_choice_extension_id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'EndpointIPAddressAndPort')))
    ___CPTransportLayerInformation_choice_extension_id_tab._val = ASN1Set(rv=[dict([(u'id', 139), (u'criticality', u'reject'), (u'Value', ____CPTransportLayerInformation_choice_extension_id_tab_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    __CPTransportLayerInformation_choice_extension_id._const_tab = ___CPTransportLayerInformation_choice_extension_id_tab
    __CPTransportLayerInformation_choice_extension_id._const_tab_at = None
    __CPTransportLayerInformation_choice_extension_id._const_tab_id = u'id'
    __CPTransportLayerInformation_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    __CPTransportLayerInformation_choice_extension_criticality._const_tab = ___CPTransportLayerInformation_choice_extension_id_tab
    __CPTransportLayerInformation_choice_extension_criticality._const_tab_at = ('..', u'id')
    __CPTransportLayerInformation_choice_extension_criticality._const_tab_id = u'criticality'
    __CPTransportLayerInformation_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    __CPTransportLayerInformation_choice_extension_value._const_tab = ___CPTransportLayerInformation_choice_extension_id_tab
    __CPTransportLayerInformation_choice_extension_value._const_tab_at = ('..', u'id')
    __CPTransportLayerInformation_choice_extension_value._const_tab_id = u'Value'
    _CPTransportLayerInformation_choice_extension._cont = ASN1Dict([
        (u'id', __CPTransportLayerInformation_choice_extension_id),
        (u'criticality', __CPTransportLayerInformation_choice_extension_criticality),
        (u'value', __CPTransportLayerInformation_choice_extension_value),
        ])
    _CPTransportLayerInformation_choice_extension._ext = None
    CPTransportLayerInformation._cont = ASN1Dict([
        (u'endpointIPAddress', _CPTransportLayerInformation_endpointIPAddress),
        (u'choice-extension', _CPTransportLayerInformation_choice_extension),
        ])
    CPTransportLayerInformation._ext = None
    
    #-----< CPTransportLayerInformation-ExtIEs >-----#
    CPTransportLayerInformation_ExtIEs = CLASS(name=u'CPTransportLayerInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CPTransportLayerInformation_ExtIEs_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'EndpointIPAddressAndPort')))
    CPTransportLayerInformation_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 139), (u'criticality', u'reject'), (u'Value', _CPTransportLayerInformation_ExtIEs_val_Value_0), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics >-----#
    CriticalityDiagnostics = SEQ(name=u'CriticalityDiagnostics', mode=MODE_TYPE)
    _CriticalityDiagnostics_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')), opt=True)
    _CriticalityDiagnostics_triggeringMessage = ENUM(name=u'triggeringMessage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'TriggeringMessage')), opt=True)
    _CriticalityDiagnostics_procedureCriticality = ENUM(name=u'procedureCriticality', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')), opt=True)
    _CriticalityDiagnostics_iEsCriticalityDiagnostics = SEQ_OF(name=u'iEsCriticalityDiagnostics', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics-IE-List')), opt=True)
    _CriticalityDiagnostics_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CriticalityDiagnostics_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CriticalityDiagnostics_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__id_tab
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_at = None
    ___CriticalityDiagnostics_iE_Extensions__item__id._const_tab_id = u'id'
    ___CriticalityDiagnostics_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___CriticalityDiagnostics_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab = ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___CriticalityDiagnostics_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __CriticalityDiagnostics_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___CriticalityDiagnostics_iE_Extensions__item__id),
        (u'criticality', ___CriticalityDiagnostics_iE_Extensions__item__criticality),
        (u'extensionValue', ___CriticalityDiagnostics_iE_Extensions__item__extensionValue),
        ])
    __CriticalityDiagnostics_iE_Extensions__item_._ext = None
    _CriticalityDiagnostics_iE_Extensions._cont = __CriticalityDiagnostics_iE_Extensions__item_
    _CriticalityDiagnostics_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CriticalityDiagnostics._cont = ASN1Dict([
        (u'procedureCode', _CriticalityDiagnostics_procedureCode),
        (u'triggeringMessage', _CriticalityDiagnostics_triggeringMessage),
        (u'procedureCriticality', _CriticalityDiagnostics_procedureCriticality),
        (u'iEsCriticalityDiagnostics', _CriticalityDiagnostics_iEsCriticalityDiagnostics),
        (u'iE-Extensions', _CriticalityDiagnostics_iE_Extensions),
        ])
    CriticalityDiagnostics._ext = []
    
    #-----< CriticalityDiagnostics-ExtIEs >-----#
    CriticalityDiagnostics_ExtIEs = CLASS(name=u'CriticalityDiagnostics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CriticalityDiagnostics-IE-List >-----#
    CriticalityDiagnostics_IE_List = SEQ_OF(name=u'CriticalityDiagnostics-IE-List', mode=MODE_TYPE)
    _CriticalityDiagnostics_IE_List__item_ = SEQ(name='_item_', mode=MODE_TYPE)
    __CriticalityDiagnostics_IE_List__item__iECriticality = ENUM(name=u'iECriticality', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    __CriticalityDiagnostics_IE_List__item__iE_ID = INT(name=u'iE-ID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')))
    __CriticalityDiagnostics_IE_List__item__typeOfError = ENUM(name=u'typeOfError', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TypeOfError')))
    __CriticalityDiagnostics_IE_List__item__iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_at = None
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id._const_tab_id = u'id'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab = _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id),
        (u'criticality', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality),
        (u'extensionValue', ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue),
        ])
    ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_._ext = None
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._cont = ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_
    __CriticalityDiagnostics_IE_List__item__iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    _CriticalityDiagnostics_IE_List__item_._cont = ASN1Dict([
        (u'iECriticality', __CriticalityDiagnostics_IE_List__item__iECriticality),
        (u'iE-ID', __CriticalityDiagnostics_IE_List__item__iE_ID),
        (u'typeOfError', __CriticalityDiagnostics_IE_List__item__typeOfError),
        (u'iE-Extensions', __CriticalityDiagnostics_IE_List__item__iE_Extensions),
        ])
    _CriticalityDiagnostics_IE_List__item_._ext = []
    CriticalityDiagnostics_IE_List._cont = _CriticalityDiagnostics_IE_List__item_
    CriticalityDiagnostics_IE_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< CriticalityDiagnostics-IE-List-ExtIEs >-----#
    CriticalityDiagnostics_IE_List_ExtIEs = CLASS(name=u'CriticalityDiagnostics-IE-List-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CriticalityDiagnostics_IE_List_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< C-RNTI >-----#
    C_RNTI = BIT_STR(name=u'C-RNTI', mode=MODE_TYPE)
    C_RNTI._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< CyclicPrefix-E-UTRA-DL >-----#
    CyclicPrefix_E_UTRA_DL = ENUM(name=u'CyclicPrefix-E-UTRA-DL', mode=MODE_TYPE)
    CyclicPrefix_E_UTRA_DL._cont = ASN1Dict([(u'normal', 0), (u'extended', 1)])
    CyclicPrefix_E_UTRA_DL._ext = []
    
    #-----< CyclicPrefix-E-UTRA-UL >-----#
    CyclicPrefix_E_UTRA_UL = ENUM(name=u'CyclicPrefix-E-UTRA-UL', mode=MODE_TYPE)
    CyclicPrefix_E_UTRA_UL._cont = ASN1Dict([(u'normal', 0), (u'extended', 1)])
    CyclicPrefix_E_UTRA_UL._ext = []
    
    #-----< XnUAddressInfoperPDUSession-List >-----#
    XnUAddressInfoperPDUSession_List = SEQ_OF(name=u'XnUAddressInfoperPDUSession-List', mode=MODE_TYPE)
    _XnUAddressInfoperPDUSession_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnUAddressInfoperPDUSession-Item')))
    XnUAddressInfoperPDUSession_List._cont = _XnUAddressInfoperPDUSession_List__item_
    XnUAddressInfoperPDUSession_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< XnUAddressInfoperPDUSession-Item >-----#
    XnUAddressInfoperPDUSession_Item = SEQ(name=u'XnUAddressInfoperPDUSession-Item', mode=MODE_TYPE)
    _XnUAddressInfoperPDUSession_Item_pduSession_ID = INT(name=u'pduSession-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _XnUAddressInfoperPDUSession_Item_dataForwardingInfoFromTargetNGRANnode = SEQ(name=u'dataForwardingInfoFromTargetNGRANnode', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _XnUAddressInfoperPDUSession_Item_pduSessionResourceSetupCompleteInfo_SNterm = SEQ(name=u'pduSessionResourceSetupCompleteInfo-SNterm', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceBearerSetupCompleteInfo-SNterminated')), opt=True)
    _XnUAddressInfoperPDUSession_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __XnUAddressInfoperPDUSession_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_1 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 109), (u'criticality', u'ignore'), (u'Extension', _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id._const_tab = ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id._const_tab_at = None
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality._const_tab = ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue._const_tab = ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __XnUAddressInfoperPDUSession_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id),
        (u'criticality', ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue),
        ])
    __XnUAddressInfoperPDUSession_Item_iE_Extension__item_._ext = None
    _XnUAddressInfoperPDUSession_Item_iE_Extension._cont = __XnUAddressInfoperPDUSession_Item_iE_Extension__item_
    _XnUAddressInfoperPDUSession_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    XnUAddressInfoperPDUSession_Item._cont = ASN1Dict([
        (u'pduSession-ID', _XnUAddressInfoperPDUSession_Item_pduSession_ID),
        (u'dataForwardingInfoFromTargetNGRANnode', _XnUAddressInfoperPDUSession_Item_dataForwardingInfoFromTargetNGRANnode),
        (u'pduSessionResourceSetupCompleteInfo-SNterm', _XnUAddressInfoperPDUSession_Item_pduSessionResourceSetupCompleteInfo_SNterm),
        (u'iE-Extension', _XnUAddressInfoperPDUSession_Item_iE_Extension),
        ])
    XnUAddressInfoperPDUSession_Item._ext = []
    
    #-----< XnUAddressInfoperPDUSession-Item-ExtIEs >-----#
    XnUAddressInfoperPDUSession_Item_ExtIEs = CLASS(name=u'XnUAddressInfoperPDUSession-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_1 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    XnUAddressInfoperPDUSession_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 109), (u'criticality', u'ignore'), (u'Extension', _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DataForwardingAccepted >-----#
    DataForwardingAccepted = ENUM(name=u'DataForwardingAccepted', mode=MODE_TYPE)
    DataForwardingAccepted._cont = ASN1Dict([(u'data-forwarding-accepted', 0)])
    DataForwardingAccepted._ext = []
    
    #-----< DataForwardingInfoFromTargetNGRANnode >-----#
    DataForwardingInfoFromTargetNGRANnode = SEQ(name=u'DataForwardingInfoFromTargetNGRANnode', mode=MODE_TYPE)
    _DataForwardingInfoFromTargetNGRANnode_qosFlowsAcceptedForDataForwarding_List = SEQ_OF(name=u'qosFlowsAcceptedForDataForwarding-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsAcceptedToBeForwarded-List')))
    _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelDLDataForwardingInfo = CHOICE(name=u'pduSessionLevelDLDataForwardingInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelULDataForwardingInfo = CHOICE(name=u'pduSessionLevelULDataForwardingInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingInfoFromTargetNGRANnode_dataForwardingResponseDRBItemList = SEQ_OF(name=u'dataForwardingResponseDRBItemList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingResponseDRBItemList')), opt=True)
    _DataForwardingInfoFromTargetNGRANnode_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id._const_tab = ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id._const_tab_at = None
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id._const_tab_id = u'id'
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality._const_tab = ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue._const_tab = ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id),
        (u'criticality', ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality),
        (u'extensionValue', ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue),
        ])
    __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_._ext = None
    _DataForwardingInfoFromTargetNGRANnode_iE_Extension._cont = __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_
    _DataForwardingInfoFromTargetNGRANnode_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataForwardingInfoFromTargetNGRANnode._cont = ASN1Dict([
        (u'qosFlowsAcceptedForDataForwarding-List', _DataForwardingInfoFromTargetNGRANnode_qosFlowsAcceptedForDataForwarding_List),
        (u'pduSessionLevelDLDataForwardingInfo', _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelDLDataForwardingInfo),
        (u'pduSessionLevelULDataForwardingInfo', _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelULDataForwardingInfo),
        (u'dataForwardingResponseDRBItemList', _DataForwardingInfoFromTargetNGRANnode_dataForwardingResponseDRBItemList),
        (u'iE-Extension', _DataForwardingInfoFromTargetNGRANnode_iE_Extension),
        ])
    DataForwardingInfoFromTargetNGRANnode._ext = []
    
    #-----< DataForwardingInfoFromTargetNGRANnode-ExtIEs >-----#
    DataForwardingInfoFromTargetNGRANnode_ExtIEs = CLASS(name=u'DataForwardingInfoFromTargetNGRANnode-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataForwardingInfoFromTargetNGRANnode_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFLowsAcceptedToBeForwarded-List >-----#
    QoSFLowsAcceptedToBeForwarded_List = SEQ_OF(name=u'QoSFLowsAcceptedToBeForwarded-List', mode=MODE_TYPE)
    _QoSFLowsAcceptedToBeForwarded_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsAcceptedToBeForwarded-Item')))
    QoSFLowsAcceptedToBeForwarded_List._cont = _QoSFLowsAcceptedToBeForwarded_List__item_
    QoSFLowsAcceptedToBeForwarded_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFLowsAcceptedToBeForwarded-Item >-----#
    QoSFLowsAcceptedToBeForwarded_Item = SEQ(name=u'QoSFLowsAcceptedToBeForwarded-Item', mode=MODE_TYPE)
    _QoSFLowsAcceptedToBeForwarded_Item_qosFlowIdentifier = INT(name=u'qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id._const_tab = ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality._const_tab = ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id),
        (u'criticality', ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_._ext = None
    _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension._cont = __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_
    _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFLowsAcceptedToBeForwarded_Item._cont = ASN1Dict([
        (u'qosFlowIdentifier', _QoSFLowsAcceptedToBeForwarded_Item_qosFlowIdentifier),
        (u'iE-Extension', _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension),
        ])
    QoSFLowsAcceptedToBeForwarded_Item._ext = []
    
    #-----< QoSFLowsAcceptedToBeForwarded-Item-ExtIEs >-----#
    QoSFLowsAcceptedToBeForwarded_Item_ExtIEs = CLASS(name=u'QoSFLowsAcceptedToBeForwarded-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFLowsAcceptedToBeForwarded_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataforwardingandOffloadingInfofromSource >-----#
    DataforwardingandOffloadingInfofromSource = SEQ(name=u'DataforwardingandOffloadingInfofromSource', mode=MODE_TYPE)
    _DataforwardingandOffloadingInfofromSource_qosFlowsToBeForwarded = SEQ_OF(name=u'qosFlowsToBeForwarded', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsToBeForwarded-List')))
    _DataforwardingandOffloadingInfofromSource_sourceDRBtoQoSFlowMapping = SEQ_OF(name=u'sourceDRBtoQoSFlowMapping', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBToQoSFlowMapping-List')), opt=True)
    _DataforwardingandOffloadingInfofromSource_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataforwardingandOffloadingInfofromSource_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id._const_tab = ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id._const_tab_at = None
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id._const_tab_id = u'id'
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality._const_tab = ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue._const_tab = ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DataforwardingandOffloadingInfofromSource_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id),
        (u'criticality', ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality),
        (u'extensionValue', ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue),
        ])
    __DataforwardingandOffloadingInfofromSource_iE_Extension__item_._ext = None
    _DataforwardingandOffloadingInfofromSource_iE_Extension._cont = __DataforwardingandOffloadingInfofromSource_iE_Extension__item_
    _DataforwardingandOffloadingInfofromSource_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataforwardingandOffloadingInfofromSource._cont = ASN1Dict([
        (u'qosFlowsToBeForwarded', _DataforwardingandOffloadingInfofromSource_qosFlowsToBeForwarded),
        (u'sourceDRBtoQoSFlowMapping', _DataforwardingandOffloadingInfofromSource_sourceDRBtoQoSFlowMapping),
        (u'iE-Extension', _DataforwardingandOffloadingInfofromSource_iE_Extension),
        ])
    DataforwardingandOffloadingInfofromSource._ext = []
    
    #-----< DataforwardingandOffloadingInfofromSource-ExtIEs >-----#
    DataforwardingandOffloadingInfofromSource_ExtIEs = CLASS(name=u'DataforwardingandOffloadingInfofromSource-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataforwardingandOffloadingInfofromSource_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFLowsToBeForwarded-List >-----#
    QoSFLowsToBeForwarded_List = SEQ_OF(name=u'QoSFLowsToBeForwarded-List', mode=MODE_TYPE)
    _QoSFLowsToBeForwarded_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFLowsToBeForwarded-Item')))
    QoSFLowsToBeForwarded_List._cont = _QoSFLowsToBeForwarded_List__item_
    QoSFLowsToBeForwarded_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFLowsToBeForwarded-Item >-----#
    QoSFLowsToBeForwarded_Item = SEQ(name=u'QoSFLowsToBeForwarded-Item', mode=MODE_TYPE)
    _QoSFLowsToBeForwarded_Item_qosFlowIdentifier = INT(name=u'qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFLowsToBeForwarded_Item_dl_dataforwarding = ENUM(name=u'dl-dataforwarding', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DLForwarding')))
    _QoSFLowsToBeForwarded_Item_ul_dataforwarding = ENUM(name=u'ul-dataforwarding', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULForwarding')))
    _QoSFLowsToBeForwarded_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFLowsToBeForwarded_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_0 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ULForwardingProposal')))
    ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 138), (u'criticality', u'ignore'), (u'Extension', _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id._const_tab = ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab = ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __QoSFLowsToBeForwarded_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id),
        (u'criticality', ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFLowsToBeForwarded_Item_iE_Extension__item_._ext = None
    _QoSFLowsToBeForwarded_Item_iE_Extension._cont = __QoSFLowsToBeForwarded_Item_iE_Extension__item_
    _QoSFLowsToBeForwarded_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFLowsToBeForwarded_Item._cont = ASN1Dict([
        (u'qosFlowIdentifier', _QoSFLowsToBeForwarded_Item_qosFlowIdentifier),
        (u'dl-dataforwarding', _QoSFLowsToBeForwarded_Item_dl_dataforwarding),
        (u'ul-dataforwarding', _QoSFLowsToBeForwarded_Item_ul_dataforwarding),
        (u'iE-Extension', _QoSFLowsToBeForwarded_Item_iE_Extension),
        ])
    QoSFLowsToBeForwarded_Item._ext = []
    
    #-----< QoSFLowsToBeForwarded-Item-ExtIEs >-----#
    QoSFLowsToBeForwarded_Item_ExtIEs = CLASS(name=u'QoSFLowsToBeForwarded-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_0 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ULForwardingProposal')))
    QoSFLowsToBeForwarded_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 138), (u'criticality', u'ignore'), (u'Extension', _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DataForwardingResponseDRBItemList >-----#
    DataForwardingResponseDRBItemList = SEQ_OF(name=u'DataForwardingResponseDRBItemList', mode=MODE_TYPE)
    _DataForwardingResponseDRBItemList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingResponseDRBItem')))
    DataForwardingResponseDRBItemList._cont = _DataForwardingResponseDRBItemList__item_
    DataForwardingResponseDRBItemList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DataForwardingResponseDRBItem >-----#
    DataForwardingResponseDRBItem = SEQ(name=u'DataForwardingResponseDRBItem', mode=MODE_TYPE)
    _DataForwardingResponseDRBItem_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DataForwardingResponseDRBItem_dlForwardingUPTNL = CHOICE(name=u'dlForwardingUPTNL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingResponseDRBItem_ulForwardingUPTNL = CHOICE(name=u'ulForwardingUPTNL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DataForwardingResponseDRBItem_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataForwardingResponseDRBItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataForwardingResponseDRBItem_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingResponseDRBItem_iE_Extension__item__id._const_tab = ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab
    ___DataForwardingResponseDRBItem_iE_Extension__item__id._const_tab_at = None
    ___DataForwardingResponseDRBItem_iE_Extension__item__id._const_tab_id = u'id'
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality._const_tab = ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DataForwardingResponseDRBItem_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue._const_tab = ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DataForwardingResponseDRBItem_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DataForwardingResponseDRBItem_iE_Extension__item__id),
        (u'criticality', ___DataForwardingResponseDRBItem_iE_Extension__item__criticality),
        (u'extensionValue', ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue),
        ])
    __DataForwardingResponseDRBItem_iE_Extension__item_._ext = None
    _DataForwardingResponseDRBItem_iE_Extension._cont = __DataForwardingResponseDRBItem_iE_Extension__item_
    _DataForwardingResponseDRBItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataForwardingResponseDRBItem._cont = ASN1Dict([
        (u'drb-ID', _DataForwardingResponseDRBItem_drb_ID),
        (u'dlForwardingUPTNL', _DataForwardingResponseDRBItem_dlForwardingUPTNL),
        (u'ulForwardingUPTNL', _DataForwardingResponseDRBItem_ulForwardingUPTNL),
        (u'iE-Extension', _DataForwardingResponseDRBItem_iE_Extension),
        ])
    DataForwardingResponseDRBItem._ext = []
    
    #-----< DataForwardingResponseDRBItem-ExtIEs >-----#
    DataForwardingResponseDRBItem_ExtIEs = CLASS(name=u'DataForwardingResponseDRBItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataForwardingResponseDRBItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DataTrafficResources >-----#
    DataTrafficResources = BIT_STR(name=u'DataTrafficResources', mode=MODE_TYPE)
    DataTrafficResources._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=17600)], ev=None, er=[])
    
    #-----< DataTrafficResourceIndication >-----#
    DataTrafficResourceIndication = SEQ(name=u'DataTrafficResourceIndication', mode=MODE_TYPE)
    _DataTrafficResourceIndication_activationSFN = INT(name=u'activationSFN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ActivationSFN')))
    _DataTrafficResourceIndication_sharedResourceType = CHOICE(name=u'sharedResourceType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType')))
    _DataTrafficResourceIndication_reservedSubframePattern = SEQ(name=u'reservedSubframePattern', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReservedSubframePattern')), opt=True)
    _DataTrafficResourceIndication_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DataTrafficResourceIndication_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DataTrafficResourceIndication_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DataTrafficResourceIndication_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataTrafficResourceIndication_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataTrafficResourceIndication_iE_Extension__item__id._const_tab = ____DataTrafficResourceIndication_iE_Extension__item__id_tab
    ___DataTrafficResourceIndication_iE_Extension__item__id._const_tab_at = None
    ___DataTrafficResourceIndication_iE_Extension__item__id._const_tab_id = u'id'
    ___DataTrafficResourceIndication_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataTrafficResourceIndication_iE_Extension__item__criticality._const_tab = ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab
    ___DataTrafficResourceIndication_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DataTrafficResourceIndication_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue._const_tab = ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DataTrafficResourceIndication_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DataTrafficResourceIndication_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DataTrafficResourceIndication_iE_Extension__item__id),
        (u'criticality', ___DataTrafficResourceIndication_iE_Extension__item__criticality),
        (u'extensionValue', ___DataTrafficResourceIndication_iE_Extension__item__extensionValue),
        ])
    __DataTrafficResourceIndication_iE_Extension__item_._ext = None
    _DataTrafficResourceIndication_iE_Extension._cont = __DataTrafficResourceIndication_iE_Extension__item_
    _DataTrafficResourceIndication_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DataTrafficResourceIndication._cont = ASN1Dict([
        (u'activationSFN', _DataTrafficResourceIndication_activationSFN),
        (u'sharedResourceType', _DataTrafficResourceIndication_sharedResourceType),
        (u'reservedSubframePattern', _DataTrafficResourceIndication_reservedSubframePattern),
        (u'iE-Extension', _DataTrafficResourceIndication_iE_Extension),
        ])
    DataTrafficResourceIndication._ext = []
    
    #-----< DataTrafficResourceIndication-ExtIEs >-----#
    DataTrafficResourceIndication_ExtIEs = CLASS(name=u'DataTrafficResourceIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DataTrafficResourceIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DeliveryStatus >-----#
    DeliveryStatus = INT(name=u'DeliveryStatus', mode=MODE_TYPE)
    DeliveryStatus._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< DesiredActNotificationLevel >-----#
    DesiredActNotificationLevel = ENUM(name=u'DesiredActNotificationLevel', mode=MODE_TYPE)
    DesiredActNotificationLevel._cont = ASN1Dict([(u'none', 0), (u'qos-flow', 1), (u'pdu-session', 2), (u'ue-level', 3)])
    DesiredActNotificationLevel._ext = []
    
    #-----< DefaultDRB-Allowed >-----#
    DefaultDRB_Allowed = ENUM(name=u'DefaultDRB-Allowed', mode=MODE_TYPE)
    DefaultDRB_Allowed._cont = ASN1Dict([(u'true', 0), (u'false', 1)])
    DefaultDRB_Allowed._ext = []
    
    #-----< DLForwarding >-----#
    DLForwarding = ENUM(name=u'DLForwarding', mode=MODE_TYPE)
    DLForwarding._cont = ASN1Dict([(u'dl-forwarding-proposed', 0)])
    DLForwarding._ext = []
    
    #-----< DRB-ID >-----#
    DRB_ID = INT(name=u'DRB-ID', mode=MODE_TYPE)
    DRB_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< DRB-List >-----#
    DRB_List = SEQ_OF(name=u'DRB-List', mode=MODE_TYPE)
    _DRB_List__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    DRB_List._cont = _DRB_List__item_
    DRB_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-List-withCause >-----#
    DRB_List_withCause = SEQ_OF(name=u'DRB-List-withCause', mode=MODE_TYPE)
    _DRB_List_withCause__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause-Item')))
    DRB_List_withCause._cont = _DRB_List_withCause__item_
    DRB_List_withCause._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRB-List-withCause-Item >-----#
    DRB_List_withCause_Item = SEQ(name=u'DRB-List-withCause-Item', mode=MODE_TYPE)
    _DRB_List_withCause_Item_drb_id = INT(name=u'drb-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRB_List_withCause_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _DRB_List_withCause_Item_rLC_Mode = ENUM(name=u'rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')), opt=True)
    _DRB_List_withCause_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRB_List_withCause_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRB_List_withCause_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRB_List_withCause_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRB_List_withCause_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_List_withCause_Item_iE_Extension__item__id._const_tab = ____DRB_List_withCause_Item_iE_Extension__item__id_tab
    ___DRB_List_withCause_Item_iE_Extension__item__id._const_tab_at = None
    ___DRB_List_withCause_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___DRB_List_withCause_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_List_withCause_Item_iE_Extension__item__criticality._const_tab = ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab
    ___DRB_List_withCause_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DRB_List_withCause_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue._const_tab = ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRB_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DRB_List_withCause_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DRB_List_withCause_Item_iE_Extension__item__id),
        (u'criticality', ___DRB_List_withCause_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___DRB_List_withCause_Item_iE_Extension__item__extensionValue),
        ])
    __DRB_List_withCause_Item_iE_Extension__item_._ext = None
    _DRB_List_withCause_Item_iE_Extension._cont = __DRB_List_withCause_Item_iE_Extension__item_
    _DRB_List_withCause_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRB_List_withCause_Item._cont = ASN1Dict([
        (u'drb-id', _DRB_List_withCause_Item_drb_id),
        (u'cause', _DRB_List_withCause_Item_cause),
        (u'rLC-Mode', _DRB_List_withCause_Item_rLC_Mode),
        (u'iE-Extension', _DRB_List_withCause_Item_iE_Extension),
        ])
    DRB_List_withCause_Item._ext = []
    
    #-----< DRB-List-withCause-Item-ExtIEs >-----#
    DRB_List_withCause_Item_ExtIEs = CLASS(name=u'DRB-List-withCause-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRB_List_withCause_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRB-Number >-----#
    DRB_Number = INT(name=u'DRB-Number', mode=MODE_TYPE)
    DRB_Number._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< DRBsSubjectToStatusTransfer-List >-----#
    DRBsSubjectToStatusTransfer_List = SEQ_OF(name=u'DRBsSubjectToStatusTransfer-List', mode=MODE_TYPE)
    _DRBsSubjectToStatusTransfer_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToStatusTransfer-Item')))
    DRBsSubjectToStatusTransfer_List._cont = _DRBsSubjectToStatusTransfer_List__item_
    DRBsSubjectToStatusTransfer_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsSubjectToStatusTransfer-Item >-----#
    DRBsSubjectToStatusTransfer_Item = SEQ(name=u'DRBsSubjectToStatusTransfer-Item', mode=MODE_TYPE)
    _DRBsSubjectToStatusTransfer_Item_drbID = INT(name=u'drbID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_UL = CHOICE(name=u'pdcpStatusTransfer-UL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransferChoice')))
    _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_DL = CHOICE(name=u'pdcpStatusTransfer-DL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransferChoice')))
    _DRBsSubjectToStatusTransfer_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List')))
    ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 120), (u'criticality', u'reject'), (u'Extension', _____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id._const_tab = ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id._const_tab_at = None
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality._const_tab = ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab = ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id),
        (u'criticality', ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue),
        ])
    __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_._ext = None
    _DRBsSubjectToStatusTransfer_Item_iE_Extension._cont = __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_
    _DRBsSubjectToStatusTransfer_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsSubjectToStatusTransfer_Item._cont = ASN1Dict([
        (u'drbID', _DRBsSubjectToStatusTransfer_Item_drbID),
        (u'pdcpStatusTransfer-UL', _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_UL),
        (u'pdcpStatusTransfer-DL', _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_DL),
        (u'iE-Extension', _DRBsSubjectToStatusTransfer_Item_iE_Extension),
        ])
    DRBsSubjectToStatusTransfer_Item._ext = []
    
    #-----< DRBsSubjectToStatusTransfer-Item-ExtIEs >-----#
    DRBsSubjectToStatusTransfer_Item_ExtIEs = CLASS(name=u'DRBsSubjectToStatusTransfer-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsSubjectToStatusTransfer_Item_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List')))
    DRBsSubjectToStatusTransfer_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 120), (u'criticality', u'reject'), (u'Extension', _DRBsSubjectToStatusTransfer_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransferChoice >-----#
    DRBBStatusTransferChoice = CHOICE(name=u'DRBBStatusTransferChoice', mode=MODE_TYPE)
    _DRBBStatusTransferChoice_pdcp_sn_12bits = SEQ(name=u'pdcp-sn-12bits', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransfer12bitsSN')))
    _DRBBStatusTransferChoice_pdcp_sn_18bits = SEQ(name=u'pdcp-sn-18bits', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBBStatusTransfer18bitsSN')))
    _DRBBStatusTransferChoice_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __DRBBStatusTransferChoice_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___DRBBStatusTransferChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DRBBStatusTransferChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DRBBStatusTransferChoice_choice_extension_id._const_tab = ___DRBBStatusTransferChoice_choice_extension_id_tab
    __DRBBStatusTransferChoice_choice_extension_id._const_tab_at = None
    __DRBBStatusTransferChoice_choice_extension_id._const_tab_id = u'id'
    __DRBBStatusTransferChoice_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___DRBBStatusTransferChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DRBBStatusTransferChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DRBBStatusTransferChoice_choice_extension_criticality._const_tab = ___DRBBStatusTransferChoice_choice_extension_criticality_tab
    __DRBBStatusTransferChoice_choice_extension_criticality._const_tab_at = ('..', u'id')
    __DRBBStatusTransferChoice_choice_extension_criticality._const_tab_id = u'criticality'
    __DRBBStatusTransferChoice_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___DRBBStatusTransferChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___DRBBStatusTransferChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __DRBBStatusTransferChoice_choice_extension_value._const_tab = ___DRBBStatusTransferChoice_choice_extension_value_tab
    __DRBBStatusTransferChoice_choice_extension_value._const_tab_at = ('..', u'id')
    __DRBBStatusTransferChoice_choice_extension_value._const_tab_id = u'Value'
    _DRBBStatusTransferChoice_choice_extension._cont = ASN1Dict([
        (u'id', __DRBBStatusTransferChoice_choice_extension_id),
        (u'criticality', __DRBBStatusTransferChoice_choice_extension_criticality),
        (u'value', __DRBBStatusTransferChoice_choice_extension_value),
        ])
    _DRBBStatusTransferChoice_choice_extension._ext = None
    DRBBStatusTransferChoice._cont = ASN1Dict([
        (u'pdcp-sn-12bits', _DRBBStatusTransferChoice_pdcp_sn_12bits),
        (u'pdcp-sn-18bits', _DRBBStatusTransferChoice_pdcp_sn_18bits),
        (u'choice-extension', _DRBBStatusTransferChoice_choice_extension),
        ])
    DRBBStatusTransferChoice._ext = None
    
    #-----< DRBBStatusTransferChoice-ExtIEs >-----#
    DRBBStatusTransferChoice_ExtIEs = CLASS(name=u'DRBBStatusTransferChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    DRBBStatusTransferChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransfer12bitsSN >-----#
    DRBBStatusTransfer12bitsSN = SEQ(name=u'DRBBStatusTransfer12bitsSN', mode=MODE_TYPE)
    _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU = BIT_STR(name=u'receiveStatusofPDCPSDU', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2048)], ev=None, er=[])
    _DRBBStatusTransfer12bitsSN_cOUNTValue = SEQ(name=u'cOUNTValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'COUNT-PDCP-SN12')))
    _DRBBStatusTransfer12bitsSN_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBBStatusTransfer12bitsSN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id._const_tab = ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id._const_tab_at = None
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id._const_tab_id = u'id'
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality._const_tab = ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue._const_tab = ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DRBBStatusTransfer12bitsSN_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id),
        (u'criticality', ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality),
        (u'extensionValue', ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue),
        ])
    __DRBBStatusTransfer12bitsSN_iE_Extension__item_._ext = None
    _DRBBStatusTransfer12bitsSN_iE_Extension._cont = __DRBBStatusTransfer12bitsSN_iE_Extension__item_
    _DRBBStatusTransfer12bitsSN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBBStatusTransfer12bitsSN._cont = ASN1Dict([
        (u'receiveStatusofPDCPSDU', _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU),
        (u'cOUNTValue', _DRBBStatusTransfer12bitsSN_cOUNTValue),
        (u'iE-Extension', _DRBBStatusTransfer12bitsSN_iE_Extension),
        ])
    DRBBStatusTransfer12bitsSN._ext = []
    
    #-----< DRBBStatusTransfer12bitsSN-ExtIEs >-----#
    DRBBStatusTransfer12bitsSN_ExtIEs = CLASS(name=u'DRBBStatusTransfer12bitsSN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBBStatusTransfer12bitsSN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBBStatusTransfer18bitsSN >-----#
    DRBBStatusTransfer18bitsSN = SEQ(name=u'DRBBStatusTransfer18bitsSN', mode=MODE_TYPE)
    _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU = BIT_STR(name=u'receiveStatusofPDCPSDU', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=131072)], ev=None, er=[])
    _DRBBStatusTransfer18bitsSN_cOUNTValue = SEQ(name=u'cOUNTValue', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'COUNT-PDCP-SN18')))
    _DRBBStatusTransfer18bitsSN_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBBStatusTransfer18bitsSN_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id._const_tab = ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id._const_tab_at = None
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id._const_tab_id = u'id'
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality._const_tab = ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue._const_tab = ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DRBBStatusTransfer18bitsSN_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id),
        (u'criticality', ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality),
        (u'extensionValue', ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue),
        ])
    __DRBBStatusTransfer18bitsSN_iE_Extension__item_._ext = None
    _DRBBStatusTransfer18bitsSN_iE_Extension._cont = __DRBBStatusTransfer18bitsSN_iE_Extension__item_
    _DRBBStatusTransfer18bitsSN_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBBStatusTransfer18bitsSN._cont = ASN1Dict([
        (u'receiveStatusofPDCPSDU', _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU),
        (u'cOUNTValue', _DRBBStatusTransfer18bitsSN_cOUNTValue),
        (u'iE-Extension', _DRBBStatusTransfer18bitsSN_iE_Extension),
        ])
    DRBBStatusTransfer18bitsSN._ext = []
    
    #-----< DRBBStatusTransfer18bitsSN-ExtIEs >-----#
    DRBBStatusTransfer18bitsSN_ExtIEs = CLASS(name=u'DRBBStatusTransfer18bitsSN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBBStatusTransfer18bitsSN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBToQoSFlowMapping-List >-----#
    DRBToQoSFlowMapping_List = SEQ_OF(name=u'DRBToQoSFlowMapping-List', mode=MODE_TYPE)
    _DRBToQoSFlowMapping_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBToQoSFlowMapping-Item')))
    DRBToQoSFlowMapping_List._cont = _DRBToQoSFlowMapping_List__item_
    DRBToQoSFlowMapping_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBToQoSFlowMapping-Item >-----#
    DRBToQoSFlowMapping_Item = SEQ(name=u'DRBToQoSFlowMapping-Item', mode=MODE_TYPE)
    _DRBToQoSFlowMapping_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBToQoSFlowMapping_Item_qosFlows_List = SEQ_OF(name=u'qosFlows-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List')))
    _DRBToQoSFlowMapping_Item_rLC_Mode = ENUM(name=u'rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')), opt=True)
    _DRBToQoSFlowMapping_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBToQoSFlowMapping_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id._const_tab = ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id._const_tab_at = None
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality._const_tab = ____DRBToQoSFlowMapping_Item_iE_Extension__item__criticality_tab
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue._const_tab = ____DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue_tab
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __DRBToQoSFlowMapping_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___DRBToQoSFlowMapping_Item_iE_Extension__item__id),
        (u'criticality', ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue),
        ])
    __DRBToQoSFlowMapping_Item_iE_Extension__item_._ext = None
    _DRBToQoSFlowMapping_Item_iE_Extension._cont = __DRBToQoSFlowMapping_Item_iE_Extension__item_
    _DRBToQoSFlowMapping_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBToQoSFlowMapping_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBToQoSFlowMapping_Item_drb_ID),
        (u'qosFlows-List', _DRBToQoSFlowMapping_Item_qosFlows_List),
        (u'rLC-Mode', _DRBToQoSFlowMapping_Item_rLC_Mode),
        (u'iE-Extension', _DRBToQoSFlowMapping_Item_iE_Extension),
        ])
    DRBToQoSFlowMapping_Item._ext = []
    
    #-----< DRBToQoSFlowMapping-Item-ExtIEs >-----#
    DRBToQoSFlowMapping_Item_ExtIEs = CLASS(name=u'DRBToQoSFlowMapping-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBToQoSFlowMapping_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DuplicationActivation >-----#
    DuplicationActivation = ENUM(name=u'DuplicationActivation', mode=MODE_TYPE)
    DuplicationActivation._cont = ASN1Dict([(u'active', 0), (u'inactive', 1)])
    DuplicationActivation._ext = []
    
    #-----< Dynamic5QIDescriptor >-----#
    Dynamic5QIDescriptor = SEQ(name=u'Dynamic5QIDescriptor', mode=MODE_TYPE)
    _Dynamic5QIDescriptor_priorityLevelQoS = INT(name=u'priorityLevelQoS', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PriorityLevelQoS')))
    _Dynamic5QIDescriptor_packetDelayBudget = INT(name=u'packetDelayBudget', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketDelayBudget')))
    _Dynamic5QIDescriptor_packetErrorRate = SEQ(name=u'packetErrorRate', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketErrorRate')))
    _Dynamic5QIDescriptor_fiveQI = INT(name=u'fiveQI', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'FiveQI')), opt=True)
    _Dynamic5QIDescriptor_delayCritical = ENUM(name=u'delayCritical', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Dynamic5QIDescriptor_delayCritical._cont = ASN1Dict([(u'delay-critical', 0), (u'non-delay-critical', 1)])
    _Dynamic5QIDescriptor_delayCritical._ext = []
    _Dynamic5QIDescriptor_averagingWindow = INT(name=u'averagingWindow', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AveragingWindow')), opt=True)
    _Dynamic5QIDescriptor_maximumDataBurstVolume = INT(name=u'maximumDataBurstVolume', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumDataBurstVolume')), opt=True)
    _Dynamic5QIDescriptor_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Dynamic5QIDescriptor_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Dynamic5QIDescriptor_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____Dynamic5QIDescriptor_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Dynamic5QIDescriptor_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extension__item__id._const_tab = ____Dynamic5QIDescriptor_iE_Extension__item__id_tab
    ___Dynamic5QIDescriptor_iE_Extension__item__id._const_tab_at = None
    ___Dynamic5QIDescriptor_iE_Extension__item__id._const_tab_id = u'id'
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Dynamic5QIDescriptor_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Dynamic5QIDescriptor_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality._const_tab = ____Dynamic5QIDescriptor_iE_Extension__item__criticality_tab
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___Dynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Dynamic5QIDescriptor_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Dynamic5QIDescriptor_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab = ____Dynamic5QIDescriptor_iE_Extension__item__extensionValue_tab
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __Dynamic5QIDescriptor_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___Dynamic5QIDescriptor_iE_Extension__item__id),
        (u'criticality', ___Dynamic5QIDescriptor_iE_Extension__item__criticality),
        (u'extensionValue', ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue),
        ])
    __Dynamic5QIDescriptor_iE_Extension__item_._ext = None
    _Dynamic5QIDescriptor_iE_Extension._cont = __Dynamic5QIDescriptor_iE_Extension__item_
    _Dynamic5QIDescriptor_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Dynamic5QIDescriptor._cont = ASN1Dict([
        (u'priorityLevelQoS', _Dynamic5QIDescriptor_priorityLevelQoS),
        (u'packetDelayBudget', _Dynamic5QIDescriptor_packetDelayBudget),
        (u'packetErrorRate', _Dynamic5QIDescriptor_packetErrorRate),
        (u'fiveQI', _Dynamic5QIDescriptor_fiveQI),
        (u'delayCritical', _Dynamic5QIDescriptor_delayCritical),
        (u'averagingWindow', _Dynamic5QIDescriptor_averagingWindow),
        (u'maximumDataBurstVolume', _Dynamic5QIDescriptor_maximumDataBurstVolume),
        (u'iE-Extension', _Dynamic5QIDescriptor_iE_Extension),
        ])
    Dynamic5QIDescriptor._ext = []
    
    #-----< Dynamic5QIDescriptor-ExtIEs >-----#
    Dynamic5QIDescriptor_ExtIEs = CLASS(name=u'Dynamic5QIDescriptor-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Dynamic5QIDescriptor_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-RAB-ID >-----#
    E_RAB_ID = INT(name=u'E-RAB-ID', mode=MODE_TYPE)
    E_RAB_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=[], er=[])
    
    #-----< E-UTRAARFCN >-----#
    E_UTRAARFCN = INT(name=u'E-UTRAARFCN', mode=MODE_TYPE)
    E_UTRAARFCN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=262143)], ev=None, er=[])
    
    #-----< E-UTRA-Cell-Identity >-----#
    E_UTRA_Cell_Identity = BIT_STR(name=u'E-UTRA-Cell-Identity', mode=MODE_TYPE)
    E_UTRA_Cell_Identity._const_sz = ASN1Set(rv=[28], rr=[], ev=None, er=[])
    
    #-----< E-UTRA-CGI >-----#
    E_UTRA_CGI = SEQ(name=u'E-UTRA-CGI', mode=MODE_TYPE)
    _E_UTRA_CGI_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _E_UTRA_CGI_e_utra_CI = BIT_STR(name=u'e-utra-CI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _E_UTRA_CGI_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_UTRA_CGI_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___E_UTRA_CGI_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____E_UTRA_CGI_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_CGI_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_CGI_iE_Extension__item__id._const_tab = ____E_UTRA_CGI_iE_Extension__item__id_tab
    ___E_UTRA_CGI_iE_Extension__item__id._const_tab_at = None
    ___E_UTRA_CGI_iE_Extension__item__id._const_tab_id = u'id'
    ___E_UTRA_CGI_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____E_UTRA_CGI_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_CGI_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_CGI_iE_Extension__item__criticality._const_tab = ____E_UTRA_CGI_iE_Extension__item__criticality_tab
    ___E_UTRA_CGI_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___E_UTRA_CGI_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___E_UTRA_CGI_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_CGI_iE_Extension__item__extensionValue._const_tab = ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab
    ___E_UTRA_CGI_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___E_UTRA_CGI_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __E_UTRA_CGI_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___E_UTRA_CGI_iE_Extension__item__id),
        (u'criticality', ___E_UTRA_CGI_iE_Extension__item__criticality),
        (u'extensionValue', ___E_UTRA_CGI_iE_Extension__item__extensionValue),
        ])
    __E_UTRA_CGI_iE_Extension__item_._ext = None
    _E_UTRA_CGI_iE_Extension._cont = __E_UTRA_CGI_iE_Extension__item_
    _E_UTRA_CGI_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_UTRA_CGI._cont = ASN1Dict([
        (u'plmn-id', _E_UTRA_CGI_plmn_id),
        (u'e-utra-CI', _E_UTRA_CGI_e_utra_CI),
        (u'iE-Extension', _E_UTRA_CGI_iE_Extension),
        ])
    E_UTRA_CGI._ext = []
    
    #-----< E-UTRA-CGI-ExtIEs >-----#
    E_UTRA_CGI_ExtIEs = CLASS(name=u'E-UTRA-CGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    E_UTRA_CGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRAFrequencyBandIndicator >-----#
    E_UTRAFrequencyBandIndicator = INT(name=u'E-UTRAFrequencyBandIndicator', mode=MODE_TYPE)
    E_UTRAFrequencyBandIndicator._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=[], er=[])
    
    #-----< E-UTRAMultibandInfoList >-----#
    E_UTRAMultibandInfoList = SEQ_OF(name=u'E-UTRAMultibandInfoList', mode=MODE_TYPE)
    _E_UTRAMultibandInfoList__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAFrequencyBandIndicator')))
    E_UTRAMultibandInfoList._cont = _E_UTRAMultibandInfoList__item_
    E_UTRAMultibandInfoList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< E-UTRAPCI >-----#
    E_UTRAPCI = INT(name=u'E-UTRAPCI', mode=MODE_TYPE)
    E_UTRAPCI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=503)], ev=[], er=[])
    
    #-----< E-UTRAPRACHConfiguration >-----#
    E_UTRAPRACHConfiguration = SEQ(name=u'E-UTRAPRACHConfiguration', mode=MODE_TYPE)
    _E_UTRAPRACHConfiguration_rootSequenceIndex = INT(name=u'rootSequenceIndex', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_rootSequenceIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=837)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_zeroCorrelationIndex = INT(name=u'zeroCorrelationIndex', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_zeroCorrelationIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=15)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_highSpeedFlag = ENUM(name=u'highSpeedFlag', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_highSpeedFlag._cont = ASN1Dict([(u'true', 0), (u'false', 1)])
    _E_UTRAPRACHConfiguration_highSpeedFlag._ext = []
    _E_UTRAPRACHConfiguration_prach_FreqOffset = INT(name=u'prach-FreqOffset', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRAPRACHConfiguration_prach_FreqOffset._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=94)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_prach_ConfigIndex = INT(name=u'prach-ConfigIndex', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _E_UTRAPRACHConfiguration_prach_ConfigIndex._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=None, er=[])
    _E_UTRAPRACHConfiguration_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_UTRAPRACHConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id._const_tab = ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__id._const_tab_id = u'id'
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality._const_tab = ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab = ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __E_UTRAPRACHConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___E_UTRAPRACHConfiguration_iE_Extensions__item__id),
        (u'criticality', ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality),
        (u'extensionValue', ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue),
        ])
    __E_UTRAPRACHConfiguration_iE_Extensions__item_._ext = None
    _E_UTRAPRACHConfiguration_iE_Extensions._cont = __E_UTRAPRACHConfiguration_iE_Extensions__item_
    _E_UTRAPRACHConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_UTRAPRACHConfiguration._cont = ASN1Dict([
        (u'rootSequenceIndex', _E_UTRAPRACHConfiguration_rootSequenceIndex),
        (u'zeroCorrelationIndex', _E_UTRAPRACHConfiguration_zeroCorrelationIndex),
        (u'highSpeedFlag', _E_UTRAPRACHConfiguration_highSpeedFlag),
        (u'prach-FreqOffset', _E_UTRAPRACHConfiguration_prach_FreqOffset),
        (u'prach-ConfigIndex', _E_UTRAPRACHConfiguration_prach_ConfigIndex),
        (u'iE-Extensions', _E_UTRAPRACHConfiguration_iE_Extensions),
        ])
    E_UTRAPRACHConfiguration._ext = []
    
    #-----< E-UTRAPRACHConfiguration-ExtIEs >-----#
    E_UTRAPRACHConfiguration_ExtIEs = CLASS(name=u'E-UTRAPRACHConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    E_UTRAPRACHConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRATransmissionBandwidth >-----#
    E_UTRATransmissionBandwidth = ENUM(name=u'E-UTRATransmissionBandwidth', mode=MODE_TYPE)
    E_UTRATransmissionBandwidth._cont = ASN1Dict([(u'bw6', 0), (u'bw15', 1), (u'bw25', 2), (u'bw50', 3), (u'bw75', 4), (u'bw100', 5), (u'bw1', 6)])
    E_UTRATransmissionBandwidth._ext = [u'bw1']
    
    #-----< EndpointIPAddressAndPort >-----#
    EndpointIPAddressAndPort = SEQ(name=u'EndpointIPAddressAndPort', mode=MODE_TYPE)
    _EndpointIPAddressAndPort_endpointIPAddress = BIT_STR(name=u'endpointIPAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _EndpointIPAddressAndPort_portNumber = BIT_STR(name=u'portNumber', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PortNumber')))
    _EndpointIPAddressAndPort_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __EndpointIPAddressAndPort_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___EndpointIPAddressAndPort_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EndpointIPAddressAndPort_iE_Extensions__item__id._const_tab = ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab
    ___EndpointIPAddressAndPort_iE_Extensions__item__id._const_tab_at = None
    ___EndpointIPAddressAndPort_iE_Extensions__item__id._const_tab_id = u'id'
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality._const_tab = ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___EndpointIPAddressAndPort_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue._const_tab = ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __EndpointIPAddressAndPort_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___EndpointIPAddressAndPort_iE_Extensions__item__id),
        (u'criticality', ___EndpointIPAddressAndPort_iE_Extensions__item__criticality),
        (u'extensionValue', ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue),
        ])
    __EndpointIPAddressAndPort_iE_Extensions__item_._ext = None
    _EndpointIPAddressAndPort_iE_Extensions._cont = __EndpointIPAddressAndPort_iE_Extensions__item_
    _EndpointIPAddressAndPort_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    EndpointIPAddressAndPort._cont = ASN1Dict([
        (u'endpointIPAddress', _EndpointIPAddressAndPort_endpointIPAddress),
        (u'portNumber', _EndpointIPAddressAndPort_portNumber),
        (u'iE-Extensions', _EndpointIPAddressAndPort_iE_Extensions),
        ])
    EndpointIPAddressAndPort._ext = None
    
    #-----< EndpointIPAddressAndPort-ExtIEs >-----#
    EndpointIPAddressAndPort_ExtIEs = CLASS(name=u'EndpointIPAddressAndPort-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    EndpointIPAddressAndPort_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< EventType >-----#
    EventType = ENUM(name=u'EventType', mode=MODE_TYPE)
    EventType._cont = ASN1Dict([(u'report-upon-change-of-serving-cell', 0), (u'report-UE-moving-presence-into-or-out-of-the-Area-of-Interest', 1)])
    EventType._ext = []
    
    #-----< ExpectedActivityPeriod >-----#
    ExpectedActivityPeriod = INT(name=u'ExpectedActivityPeriod', mode=MODE_TYPE)
    ExpectedActivityPeriod._const_val = ASN1Set(rv=[40, 50, 60, 80, 100, 120, 150, 180, 181], rr=[ASN1RangeInt(lb=1, ub=30)], ev=[], er=[])
    
    #-----< ExpectedHOInterval >-----#
    ExpectedHOInterval = ENUM(name=u'ExpectedHOInterval', mode=MODE_TYPE)
    ExpectedHOInterval._cont = ASN1Dict([(u'sec15', 0), (u'sec30', 1), (u'sec60', 2), (u'sec90', 3), (u'sec120', 4), (u'sec180', 5), (u'long-time', 6)])
    ExpectedHOInterval._ext = []
    
    #-----< ExpectedIdlePeriod >-----#
    ExpectedIdlePeriod = INT(name=u'ExpectedIdlePeriod', mode=MODE_TYPE)
    ExpectedIdlePeriod._const_val = ASN1Set(rv=[40, 50, 60, 80, 100, 120, 150, 180, 181], rr=[ASN1RangeInt(lb=1, ub=30)], ev=[], er=[])
    
    #-----< ExpectedUEActivityBehaviour >-----#
    ExpectedUEActivityBehaviour = SEQ(name=u'ExpectedUEActivityBehaviour', mode=MODE_TYPE)
    _ExpectedUEActivityBehaviour_expectedActivityPeriod = INT(name=u'expectedActivityPeriod', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedActivityPeriod')), opt=True)
    _ExpectedUEActivityBehaviour_expectedIdlePeriod = INT(name=u'expectedIdlePeriod', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedIdlePeriod')), opt=True)
    _ExpectedUEActivityBehaviour_sourceOfUEActivityBehaviourInformation = ENUM(name=u'sourceOfUEActivityBehaviourInformation', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SourceOfUEActivityBehaviourInformation')), opt=True)
    _ExpectedUEActivityBehaviour_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExpectedUEActivityBehaviour_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id._const_tab = ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id._const_tab_at = None
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__id._const_tab_id = u'id'
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality._const_tab = ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue._const_tab = ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ExpectedUEActivityBehaviour_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ExpectedUEActivityBehaviour_iE_Extensions__item__id),
        (u'criticality', ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality),
        (u'extensionValue', ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue),
        ])
    __ExpectedUEActivityBehaviour_iE_Extensions__item_._ext = None
    _ExpectedUEActivityBehaviour_iE_Extensions._cont = __ExpectedUEActivityBehaviour_iE_Extensions__item_
    _ExpectedUEActivityBehaviour_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExpectedUEActivityBehaviour._cont = ASN1Dict([
        (u'expectedActivityPeriod', _ExpectedUEActivityBehaviour_expectedActivityPeriod),
        (u'expectedIdlePeriod', _ExpectedUEActivityBehaviour_expectedIdlePeriod),
        (u'sourceOfUEActivityBehaviourInformation', _ExpectedUEActivityBehaviour_sourceOfUEActivityBehaviourInformation),
        (u'iE-Extensions', _ExpectedUEActivityBehaviour_iE_Extensions),
        ])
    ExpectedUEActivityBehaviour._ext = []
    
    #-----< ExpectedUEActivityBehaviour-ExtIEs >-----#
    ExpectedUEActivityBehaviour_ExtIEs = CLASS(name=u'ExpectedUEActivityBehaviour-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExpectedUEActivityBehaviour_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ExpectedUEBehaviour >-----#
    ExpectedUEBehaviour = SEQ(name=u'ExpectedUEBehaviour', mode=MODE_TYPE)
    _ExpectedUEBehaviour_expectedUEActivityBehaviour = SEQ(name=u'expectedUEActivityBehaviour', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEActivityBehaviour')), opt=True)
    _ExpectedUEBehaviour_expectedHOInterval = ENUM(name=u'expectedHOInterval', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedHOInterval')), opt=True)
    _ExpectedUEBehaviour_expectedUEMobility = ENUM(name=u'expectedUEMobility', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEMobility')), opt=True)
    _ExpectedUEBehaviour_expectedUEMovingTrajectory = SEQ_OF(name=u'expectedUEMovingTrajectory', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEMovingTrajectory')), opt=True)
    _ExpectedUEBehaviour_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExpectedUEBehaviour_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExpectedUEBehaviour_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ExpectedUEBehaviour_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEBehaviour_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEBehaviour_iE_Extensions__item__id._const_tab = ____ExpectedUEBehaviour_iE_Extensions__item__id_tab
    ___ExpectedUEBehaviour_iE_Extensions__item__id._const_tab_at = None
    ___ExpectedUEBehaviour_iE_Extensions__item__id._const_tab_id = u'id'
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality._const_tab = ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ExpectedUEBehaviour_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue._const_tab = ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ExpectedUEBehaviour_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ExpectedUEBehaviour_iE_Extensions__item__id),
        (u'criticality', ___ExpectedUEBehaviour_iE_Extensions__item__criticality),
        (u'extensionValue', ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue),
        ])
    __ExpectedUEBehaviour_iE_Extensions__item_._ext = None
    _ExpectedUEBehaviour_iE_Extensions._cont = __ExpectedUEBehaviour_iE_Extensions__item_
    _ExpectedUEBehaviour_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExpectedUEBehaviour._cont = ASN1Dict([
        (u'expectedUEActivityBehaviour', _ExpectedUEBehaviour_expectedUEActivityBehaviour),
        (u'expectedHOInterval', _ExpectedUEBehaviour_expectedHOInterval),
        (u'expectedUEMobility', _ExpectedUEBehaviour_expectedUEMobility),
        (u'expectedUEMovingTrajectory', _ExpectedUEBehaviour_expectedUEMovingTrajectory),
        (u'iE-Extensions', _ExpectedUEBehaviour_iE_Extensions),
        ])
    ExpectedUEBehaviour._ext = []
    
    #-----< ExpectedUEBehaviour-ExtIEs >-----#
    ExpectedUEBehaviour_ExtIEs = CLASS(name=u'ExpectedUEBehaviour-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExpectedUEBehaviour_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ExpectedUEMobility >-----#
    ExpectedUEMobility = ENUM(name=u'ExpectedUEMobility', mode=MODE_TYPE)
    ExpectedUEMobility._cont = ASN1Dict([(u'stationary', 0), (u'mobile', 1)])
    ExpectedUEMobility._ext = []
    
    #-----< ExpectedUEMovingTrajectory >-----#
    ExpectedUEMovingTrajectory = SEQ_OF(name=u'ExpectedUEMovingTrajectory', mode=MODE_TYPE)
    _ExpectedUEMovingTrajectory__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEMovingTrajectoryItem')))
    ExpectedUEMovingTrajectory._cont = _ExpectedUEMovingTrajectory__item_
    ExpectedUEMovingTrajectory._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ExpectedUEMovingTrajectoryItem >-----#
    ExpectedUEMovingTrajectoryItem = SEQ(name=u'ExpectedUEMovingTrajectoryItem', mode=MODE_TYPE)
    _ExpectedUEMovingTrajectoryItem_nGRAN_CGI = SEQ(name=u'nGRAN-CGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _ExpectedUEMovingTrajectoryItem_timeStayedInCell = INT(name=u'timeStayedInCell', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ExpectedUEMovingTrajectoryItem_timeStayedInCell._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=None, er=[])
    _ExpectedUEMovingTrajectoryItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id._const_tab = ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id._const_tab_at = None
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality._const_tab = ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue._const_tab = ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id),
        (u'criticality', ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue),
        ])
    __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_._ext = None
    _ExpectedUEMovingTrajectoryItem_iE_Extensions._cont = __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_
    _ExpectedUEMovingTrajectoryItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ExpectedUEMovingTrajectoryItem._cont = ASN1Dict([
        (u'nGRAN-CGI', _ExpectedUEMovingTrajectoryItem_nGRAN_CGI),
        (u'timeStayedInCell', _ExpectedUEMovingTrajectoryItem_timeStayedInCell),
        (u'iE-Extensions', _ExpectedUEMovingTrajectoryItem_iE_Extensions),
        ])
    ExpectedUEMovingTrajectoryItem._ext = []
    
    #-----< ExpectedUEMovingTrajectoryItem-ExtIEs >-----#
    ExpectedUEMovingTrajectoryItem_ExtIEs = CLASS(name=u'ExpectedUEMovingTrajectoryItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ExpectedUEMovingTrajectoryItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SourceOfUEActivityBehaviourInformation >-----#
    SourceOfUEActivityBehaviourInformation = ENUM(name=u'SourceOfUEActivityBehaviourInformation', mode=MODE_TYPE)
    SourceOfUEActivityBehaviourInformation._cont = ASN1Dict([(u'subscription-information', 0), (u'statistics', 1)])
    SourceOfUEActivityBehaviourInformation._ext = []
    
    #-----< FiveQI >-----#
    FiveQI = INT(name=u'FiveQI', mode=MODE_TYPE)
    FiveQI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    
    #-----< GBRQoSFlowInfo >-----#
    GBRQoSFlowInfo = SEQ(name=u'GBRQoSFlowInfo', mode=MODE_TYPE)
    _GBRQoSFlowInfo_maxFlowBitRateDL = INT(name=u'maxFlowBitRateDL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_maxFlowBitRateUL = INT(name=u'maxFlowBitRateUL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_guaranteedFlowBitRateDL = INT(name=u'guaranteedFlowBitRateDL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_guaranteedFlowBitRateUL = INT(name=u'guaranteedFlowBitRateUL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _GBRQoSFlowInfo_notificationControl = ENUM(name=u'notificationControl', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _GBRQoSFlowInfo_notificationControl._cont = ASN1Dict([(u'notification-requested', 0)])
    _GBRQoSFlowInfo_notificationControl._ext = []
    _GBRQoSFlowInfo_maxPacketLossRateDL = INT(name=u'maxPacketLossRateDL', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketLossRate')), opt=True)
    _GBRQoSFlowInfo_maxPacketLossRateUL = INT(name=u'maxPacketLossRateUL', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PacketLossRate')), opt=True)
    _GBRQoSFlowInfo_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GBRQoSFlowInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GBRQoSFlowInfo_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GBRQoSFlowInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GBRQoSFlowInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBRQoSFlowInfo_iE_Extensions__item__id._const_tab = ____GBRQoSFlowInfo_iE_Extensions__item__id_tab
    ___GBRQoSFlowInfo_iE_Extensions__item__id._const_tab_at = None
    ___GBRQoSFlowInfo_iE_Extensions__item__id._const_tab_id = u'id'
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GBRQoSFlowInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GBRQoSFlowInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality._const_tab = ____GBRQoSFlowInfo_iE_Extensions__item__criticality_tab
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GBRQoSFlowInfo_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GBRQoSFlowInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GBRQoSFlowInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue._const_tab = ____GBRQoSFlowInfo_iE_Extensions__item__extensionValue_tab
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GBRQoSFlowInfo_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GBRQoSFlowInfo_iE_Extensions__item__id),
        (u'criticality', ___GBRQoSFlowInfo_iE_Extensions__item__criticality),
        (u'extensionValue', ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue),
        ])
    __GBRQoSFlowInfo_iE_Extensions__item_._ext = None
    _GBRQoSFlowInfo_iE_Extensions._cont = __GBRQoSFlowInfo_iE_Extensions__item_
    _GBRQoSFlowInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GBRQoSFlowInfo._cont = ASN1Dict([
        (u'maxFlowBitRateDL', _GBRQoSFlowInfo_maxFlowBitRateDL),
        (u'maxFlowBitRateUL', _GBRQoSFlowInfo_maxFlowBitRateUL),
        (u'guaranteedFlowBitRateDL', _GBRQoSFlowInfo_guaranteedFlowBitRateDL),
        (u'guaranteedFlowBitRateUL', _GBRQoSFlowInfo_guaranteedFlowBitRateUL),
        (u'notificationControl', _GBRQoSFlowInfo_notificationControl),
        (u'maxPacketLossRateDL', _GBRQoSFlowInfo_maxPacketLossRateDL),
        (u'maxPacketLossRateUL', _GBRQoSFlowInfo_maxPacketLossRateUL),
        (u'iE-Extensions', _GBRQoSFlowInfo_iE_Extensions),
        ])
    GBRQoSFlowInfo._ext = []
    
    #-----< GBRQoSFlowInfo-ExtIEs >-----#
    GBRQoSFlowInfo_ExtIEs = CLASS(name=u'GBRQoSFlowInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GBRQoSFlowInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalgNB-ID >-----#
    GlobalgNB_ID = SEQ(name=u'GlobalgNB-ID', mode=MODE_TYPE)
    _GlobalgNB_ID_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalgNB_ID_gnb_id = CHOICE(name=u'gnb-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GNB-ID-Choice')))
    _GlobalgNB_ID_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalgNB_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalgNB_ID_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GlobalgNB_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalgNB_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalgNB_ID_iE_Extensions__item__id._const_tab = ____GlobalgNB_ID_iE_Extensions__item__id_tab
    ___GlobalgNB_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalgNB_ID_iE_Extensions__item__id._const_tab_id = u'id'
    ___GlobalgNB_ID_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GlobalgNB_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalgNB_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalgNB_ID_iE_Extensions__item__criticality._const_tab = ____GlobalgNB_ID_iE_Extensions__item__criticality_tab
    ___GlobalgNB_ID_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GlobalgNB_ID_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GlobalgNB_ID_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GlobalgNB_ID_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GlobalgNB_ID_iE_Extensions__item__id),
        (u'criticality', ___GlobalgNB_ID_iE_Extensions__item__criticality),
        (u'extensionValue', ___GlobalgNB_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalgNB_ID_iE_Extensions__item_._ext = None
    _GlobalgNB_ID_iE_Extensions._cont = __GlobalgNB_ID_iE_Extensions__item_
    _GlobalgNB_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalgNB_ID._cont = ASN1Dict([
        (u'plmn-id', _GlobalgNB_ID_plmn_id),
        (u'gnb-id', _GlobalgNB_ID_gnb_id),
        (u'iE-Extensions', _GlobalgNB_ID_iE_Extensions),
        ])
    GlobalgNB_ID._ext = []
    
    #-----< GlobalgNB-ID-ExtIEs >-----#
    GlobalgNB_ID_ExtIEs = CLASS(name=u'GlobalgNB-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalgNB_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GNB-ID-Choice >-----#
    GNB_ID_Choice = CHOICE(name=u'GNB-ID-Choice', mode=MODE_TYPE)
    _GNB_ID_Choice_gnb_ID = BIT_STR(name=u'gnb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GNB_ID_Choice_gnb_ID._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=22, ub=32)], ev=None, er=[])
    _GNB_ID_Choice_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __GNB_ID_Choice_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___GNB_ID_Choice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GNB_ID_Choice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GNB_ID_Choice_choice_extension_id._const_tab = ___GNB_ID_Choice_choice_extension_id_tab
    __GNB_ID_Choice_choice_extension_id._const_tab_at = None
    __GNB_ID_Choice_choice_extension_id._const_tab_id = u'id'
    __GNB_ID_Choice_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___GNB_ID_Choice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GNB_ID_Choice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GNB_ID_Choice_choice_extension_criticality._const_tab = ___GNB_ID_Choice_choice_extension_criticality_tab
    __GNB_ID_Choice_choice_extension_criticality._const_tab_at = ('..', u'id')
    __GNB_ID_Choice_choice_extension_criticality._const_tab_id = u'criticality'
    __GNB_ID_Choice_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___GNB_ID_Choice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GNB_ID_Choice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GNB_ID_Choice_choice_extension_value._const_tab = ___GNB_ID_Choice_choice_extension_value_tab
    __GNB_ID_Choice_choice_extension_value._const_tab_at = ('..', u'id')
    __GNB_ID_Choice_choice_extension_value._const_tab_id = u'Value'
    _GNB_ID_Choice_choice_extension._cont = ASN1Dict([
        (u'id', __GNB_ID_Choice_choice_extension_id),
        (u'criticality', __GNB_ID_Choice_choice_extension_criticality),
        (u'value', __GNB_ID_Choice_choice_extension_value),
        ])
    _GNB_ID_Choice_choice_extension._ext = None
    GNB_ID_Choice._cont = ASN1Dict([
        (u'gnb-ID', _GNB_ID_Choice_gnb_ID),
        (u'choice-extension', _GNB_ID_Choice_choice_extension),
        ])
    GNB_ID_Choice._ext = None
    
    #-----< GNB-ID-Choice-ExtIEs >-----#
    GNB_ID_Choice_ExtIEs = CLASS(name=u'GNB-ID-Choice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    GNB_ID_Choice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalngeNB-ID >-----#
    GlobalngeNB_ID = SEQ(name=u'GlobalngeNB-ID', mode=MODE_TYPE)
    _GlobalngeNB_ID_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalngeNB_ID_enb_id = CHOICE(name=u'enb-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ENB-ID-Choice')))
    _GlobalngeNB_ID_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalngeNB_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalngeNB_ID_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GlobalngeNB_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalngeNB_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalngeNB_ID_iE_Extensions__item__id._const_tab = ____GlobalngeNB_ID_iE_Extensions__item__id_tab
    ___GlobalngeNB_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalngeNB_ID_iE_Extensions__item__id._const_tab_id = u'id'
    ___GlobalngeNB_ID_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalngeNB_ID_iE_Extensions__item__criticality._const_tab = ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab
    ___GlobalngeNB_ID_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GlobalngeNB_ID_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GlobalngeNB_ID_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GlobalngeNB_ID_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GlobalngeNB_ID_iE_Extensions__item__id),
        (u'criticality', ___GlobalngeNB_ID_iE_Extensions__item__criticality),
        (u'extensionValue', ___GlobalngeNB_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalngeNB_ID_iE_Extensions__item_._ext = None
    _GlobalngeNB_ID_iE_Extensions._cont = __GlobalngeNB_ID_iE_Extensions__item_
    _GlobalngeNB_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalngeNB_ID._cont = ASN1Dict([
        (u'plmn-id', _GlobalngeNB_ID_plmn_id),
        (u'enb-id', _GlobalngeNB_ID_enb_id),
        (u'iE-Extensions', _GlobalngeNB_ID_iE_Extensions),
        ])
    GlobalngeNB_ID._ext = []
    
    #-----< GlobaleNB-ID-ExtIEs >-----#
    GlobaleNB_ID_ExtIEs = CLASS(name=u'GlobaleNB-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobaleNB_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ENB-ID-Choice >-----#
    ENB_ID_Choice = CHOICE(name=u'ENB-ID-Choice', mode=MODE_TYPE)
    _ENB_ID_Choice_enb_ID_macro = BIT_STR(name=u'enb-ID-macro', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ENB_ID_Choice_enb_ID_macro._const_sz = ASN1Set(rv=[20], rr=[], ev=None, er=[])
    _ENB_ID_Choice_enb_ID_shortmacro = BIT_STR(name=u'enb-ID-shortmacro', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ENB_ID_Choice_enb_ID_shortmacro._const_sz = ASN1Set(rv=[18], rr=[], ev=None, er=[])
    _ENB_ID_Choice_enb_ID_longmacro = BIT_STR(name=u'enb-ID-longmacro', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ENB_ID_Choice_enb_ID_longmacro._const_sz = ASN1Set(rv=[21], rr=[], ev=None, er=[])
    _ENB_ID_Choice_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ENB_ID_Choice_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ENB_ID_Choice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ENB_ID_Choice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ENB_ID_Choice_choice_extension_id._const_tab = ___ENB_ID_Choice_choice_extension_id_tab
    __ENB_ID_Choice_choice_extension_id._const_tab_at = None
    __ENB_ID_Choice_choice_extension_id._const_tab_id = u'id'
    __ENB_ID_Choice_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ENB_ID_Choice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ENB_ID_Choice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ENB_ID_Choice_choice_extension_criticality._const_tab = ___ENB_ID_Choice_choice_extension_criticality_tab
    __ENB_ID_Choice_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ENB_ID_Choice_choice_extension_criticality._const_tab_id = u'criticality'
    __ENB_ID_Choice_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ENB_ID_Choice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ENB_ID_Choice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ENB_ID_Choice_choice_extension_value._const_tab = ___ENB_ID_Choice_choice_extension_value_tab
    __ENB_ID_Choice_choice_extension_value._const_tab_at = ('..', u'id')
    __ENB_ID_Choice_choice_extension_value._const_tab_id = u'Value'
    _ENB_ID_Choice_choice_extension._cont = ASN1Dict([
        (u'id', __ENB_ID_Choice_choice_extension_id),
        (u'criticality', __ENB_ID_Choice_choice_extension_criticality),
        (u'value', __ENB_ID_Choice_choice_extension_value),
        ])
    _ENB_ID_Choice_choice_extension._ext = None
    ENB_ID_Choice._cont = ASN1Dict([
        (u'enb-ID-macro', _ENB_ID_Choice_enb_ID_macro),
        (u'enb-ID-shortmacro', _ENB_ID_Choice_enb_ID_shortmacro),
        (u'enb-ID-longmacro', _ENB_ID_Choice_enb_ID_longmacro),
        (u'choice-extension', _ENB_ID_Choice_choice_extension),
        ])
    ENB_ID_Choice._ext = None
    
    #-----< ENB-ID-Choice-ExtIEs >-----#
    ENB_ID_Choice_ExtIEs = CLASS(name=u'ENB-ID-Choice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ENB_ID_Choice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalNG-RANCell-ID >-----#
    GlobalNG_RANCell_ID = SEQ(name=u'GlobalNG-RANCell-ID', mode=MODE_TYPE)
    _GlobalNG_RANCell_ID_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GlobalNG_RANCell_ID_ng_RAN_Cell_id = CHOICE(name=u'ng-RAN-Cell-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _GlobalNG_RANCell_ID_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalNG_RANCell_ID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id._const_tab = ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id._const_tab_at = None
    ___GlobalNG_RANCell_ID_iE_Extensions__item__id._const_tab_id = u'id'
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality._const_tab = ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue._const_tab = ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GlobalNG_RANCell_ID_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GlobalNG_RANCell_ID_iE_Extensions__item__id),
        (u'criticality', ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality),
        (u'extensionValue', ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue),
        ])
    __GlobalNG_RANCell_ID_iE_Extensions__item_._ext = None
    _GlobalNG_RANCell_ID_iE_Extensions._cont = __GlobalNG_RANCell_ID_iE_Extensions__item_
    _GlobalNG_RANCell_ID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalNG_RANCell_ID._cont = ASN1Dict([
        (u'plmn-id', _GlobalNG_RANCell_ID_plmn_id),
        (u'ng-RAN-Cell-id', _GlobalNG_RANCell_ID_ng_RAN_Cell_id),
        (u'iE-Extensions', _GlobalNG_RANCell_ID_iE_Extensions),
        ])
    GlobalNG_RANCell_ID._ext = []
    
    #-----< GlobalNG-RANCell-ID-ExtIEs >-----#
    GlobalNG_RANCell_ID_ExtIEs = CLASS(name=u'GlobalNG-RANCell-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalNG_RANCell_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GlobalNG-RANNode-ID >-----#
    GlobalNG_RANNode_ID = CHOICE(name=u'GlobalNG-RANNode-ID', mode=MODE_TYPE)
    _GlobalNG_RANNode_ID_gNB = SEQ(name=u'gNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalgNB-ID')))
    _GlobalNG_RANNode_ID_ng_eNB = SEQ(name=u'ng-eNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalngeNB-ID')))
    _GlobalNG_RANNode_ID_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __GlobalNG_RANNode_ID_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___GlobalNG_RANNode_ID_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GlobalNG_RANNode_ID_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GlobalNG_RANNode_ID_choice_extension_id._const_tab = ___GlobalNG_RANNode_ID_choice_extension_id_tab
    __GlobalNG_RANNode_ID_choice_extension_id._const_tab_at = None
    __GlobalNG_RANNode_ID_choice_extension_id._const_tab_id = u'id'
    __GlobalNG_RANNode_ID_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___GlobalNG_RANNode_ID_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GlobalNG_RANNode_ID_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GlobalNG_RANNode_ID_choice_extension_criticality._const_tab = ___GlobalNG_RANNode_ID_choice_extension_criticality_tab
    __GlobalNG_RANNode_ID_choice_extension_criticality._const_tab_at = ('..', u'id')
    __GlobalNG_RANNode_ID_choice_extension_criticality._const_tab_id = u'criticality'
    __GlobalNG_RANNode_ID_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___GlobalNG_RANNode_ID_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___GlobalNG_RANNode_ID_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __GlobalNG_RANNode_ID_choice_extension_value._const_tab = ___GlobalNG_RANNode_ID_choice_extension_value_tab
    __GlobalNG_RANNode_ID_choice_extension_value._const_tab_at = ('..', u'id')
    __GlobalNG_RANNode_ID_choice_extension_value._const_tab_id = u'Value'
    _GlobalNG_RANNode_ID_choice_extension._cont = ASN1Dict([
        (u'id', __GlobalNG_RANNode_ID_choice_extension_id),
        (u'criticality', __GlobalNG_RANNode_ID_choice_extension_criticality),
        (u'value', __GlobalNG_RANNode_ID_choice_extension_value),
        ])
    _GlobalNG_RANNode_ID_choice_extension._ext = None
    GlobalNG_RANNode_ID._cont = ASN1Dict([
        (u'gNB', _GlobalNG_RANNode_ID_gNB),
        (u'ng-eNB', _GlobalNG_RANNode_ID_ng_eNB),
        (u'choice-extension', _GlobalNG_RANNode_ID_choice_extension),
        ])
    GlobalNG_RANNode_ID._ext = None
    
    #-----< GlobalNG-RANNode-ID-ExtIEs >-----#
    GlobalNG_RANNode_ID_ExtIEs = CLASS(name=u'GlobalNG-RANNode-ID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    GlobalNG_RANNode_ID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GTP-TEID >-----#
    GTP_TEID = OCT_STR(name=u'GTP-TEID', mode=MODE_TYPE)
    GTP_TEID._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    
    #-----< GTPtunnelTransportLayerInformation >-----#
    GTPtunnelTransportLayerInformation = SEQ(name=u'GTPtunnelTransportLayerInformation', mode=MODE_TYPE)
    _GTPtunnelTransportLayerInformation_tnl_address = BIT_STR(name=u'tnl-address', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _GTPtunnelTransportLayerInformation_gtp_teid = OCT_STR(name=u'gtp-teid', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GTP-TEID')))
    _GTPtunnelTransportLayerInformation_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GTPtunnelTransportLayerInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id._const_tab = ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id._const_tab_at = None
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id._const_tab_id = u'id'
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality._const_tab = ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue._const_tab = ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GTPtunnelTransportLayerInformation_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id),
        (u'criticality', ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality),
        (u'extensionValue', ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue),
        ])
    __GTPtunnelTransportLayerInformation_iE_Extensions__item_._ext = None
    _GTPtunnelTransportLayerInformation_iE_Extensions._cont = __GTPtunnelTransportLayerInformation_iE_Extensions__item_
    _GTPtunnelTransportLayerInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GTPtunnelTransportLayerInformation._cont = ASN1Dict([
        (u'tnl-address', _GTPtunnelTransportLayerInformation_tnl_address),
        (u'gtp-teid', _GTPtunnelTransportLayerInformation_gtp_teid),
        (u'iE-Extensions', _GTPtunnelTransportLayerInformation_iE_Extensions),
        ])
    GTPtunnelTransportLayerInformation._ext = []
    
    #-----< GTPtunnelTransportLayerInformation-ExtIEs >-----#
    GTPtunnelTransportLayerInformation_ExtIEs = CLASS(name=u'GTPtunnelTransportLayerInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GTPtunnelTransportLayerInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< GUAMI >-----#
    GUAMI = SEQ(name=u'GUAMI', mode=MODE_TYPE)
    _GUAMI_plmn_ID = OCT_STR(name=u'plmn-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _GUAMI_amf_region_id = BIT_STR(name=u'amf-region-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GUAMI_amf_region_id._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _GUAMI_amf_set_id = BIT_STR(name=u'amf-set-id', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GUAMI_amf_set_id._const_sz = ASN1Set(rv=[10], rr=[], ev=None, er=[])
    _GUAMI_amf_pointer = BIT_STR(name=u'amf-pointer', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _GUAMI_amf_pointer._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    _GUAMI_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GUAMI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GUAMI_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GUAMI_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GUAMI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GUAMI_iE_Extensions__item__id._const_tab = ____GUAMI_iE_Extensions__item__id_tab
    ___GUAMI_iE_Extensions__item__id._const_tab_at = None
    ___GUAMI_iE_Extensions__item__id._const_tab_id = u'id'
    ___GUAMI_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GUAMI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GUAMI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GUAMI_iE_Extensions__item__criticality._const_tab = ____GUAMI_iE_Extensions__item__criticality_tab
    ___GUAMI_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GUAMI_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GUAMI_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GUAMI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GUAMI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GUAMI_iE_Extensions__item__extensionValue._const_tab = ____GUAMI_iE_Extensions__item__extensionValue_tab
    ___GUAMI_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GUAMI_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GUAMI_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GUAMI_iE_Extensions__item__id),
        (u'criticality', ___GUAMI_iE_Extensions__item__criticality),
        (u'extensionValue', ___GUAMI_iE_Extensions__item__extensionValue),
        ])
    __GUAMI_iE_Extensions__item_._ext = None
    _GUAMI_iE_Extensions._cont = __GUAMI_iE_Extensions__item_
    _GUAMI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GUAMI._cont = ASN1Dict([
        (u'plmn-ID', _GUAMI_plmn_ID),
        (u'amf-region-id', _GUAMI_amf_region_id),
        (u'amf-set-id', _GUAMI_amf_set_id),
        (u'amf-pointer', _GUAMI_amf_pointer),
        (u'iE-Extensions', _GUAMI_iE_Extensions),
        ])
    GUAMI._ext = []
    
    #-----< GUAMI-ExtIEs >-----#
    GUAMI_ExtIEs = CLASS(name=u'GUAMI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GUAMI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< InterfaceInstanceIndication >-----#
    InterfaceInstanceIndication = INT(name=u'InterfaceInstanceIndication', mode=MODE_TYPE)
    InterfaceInstanceIndication._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=[], er=[])
    
    #-----< I-RNTI >-----#
    I_RNTI = CHOICE(name=u'I-RNTI', mode=MODE_TYPE)
    _I_RNTI_i_RNTI_full = BIT_STR(name=u'i-RNTI-full', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _I_RNTI_i_RNTI_full._const_sz = ASN1Set(rv=[40], rr=[], ev=None, er=[])
    _I_RNTI_i_RNTI_short = BIT_STR(name=u'i-RNTI-short', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _I_RNTI_i_RNTI_short._const_sz = ASN1Set(rv=[24], rr=[], ev=None, er=[])
    _I_RNTI_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __I_RNTI_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___I_RNTI_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___I_RNTI_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __I_RNTI_choice_extension_id._const_tab = ___I_RNTI_choice_extension_id_tab
    __I_RNTI_choice_extension_id._const_tab_at = None
    __I_RNTI_choice_extension_id._const_tab_id = u'id'
    __I_RNTI_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___I_RNTI_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___I_RNTI_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __I_RNTI_choice_extension_criticality._const_tab = ___I_RNTI_choice_extension_criticality_tab
    __I_RNTI_choice_extension_criticality._const_tab_at = ('..', u'id')
    __I_RNTI_choice_extension_criticality._const_tab_id = u'criticality'
    __I_RNTI_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___I_RNTI_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___I_RNTI_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __I_RNTI_choice_extension_value._const_tab = ___I_RNTI_choice_extension_value_tab
    __I_RNTI_choice_extension_value._const_tab_at = ('..', u'id')
    __I_RNTI_choice_extension_value._const_tab_id = u'Value'
    _I_RNTI_choice_extension._cont = ASN1Dict([
        (u'id', __I_RNTI_choice_extension_id),
        (u'criticality', __I_RNTI_choice_extension_criticality),
        (u'value', __I_RNTI_choice_extension_value),
        ])
    _I_RNTI_choice_extension._ext = None
    I_RNTI._cont = ASN1Dict([
        (u'i-RNTI-full', _I_RNTI_i_RNTI_full),
        (u'i-RNTI-short', _I_RNTI_i_RNTI_short),
        (u'choice-extension', _I_RNTI_choice_extension),
        ])
    I_RNTI._ext = None
    
    #-----< I-RNTI-ExtIEs >-----#
    I_RNTI_ExtIEs = CLASS(name=u'I-RNTI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    I_RNTI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LastVisitedCell-Item >-----#
    LastVisitedCell_Item = CHOICE(name=u'LastVisitedCell-Item', mode=MODE_TYPE)
    _LastVisitedCell_Item_nG_RAN_Cell = OCT_STR(name=u'nG-RAN-Cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedNGRANCellInformation')))
    _LastVisitedCell_Item_e_UTRAN_Cell = OCT_STR(name=u'e-UTRAN-Cell', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedEUTRANCellInformation')))
    _LastVisitedCell_Item_uTRAN_Cell = OCT_STR(name=u'uTRAN-Cell', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedUTRANCellInformation')))
    _LastVisitedCell_Item_gERAN_Cell = OCT_STR(name=u'gERAN-Cell', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedGERANCellInformation')))
    _LastVisitedCell_Item_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __LastVisitedCell_Item_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___LastVisitedCell_Item_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___LastVisitedCell_Item_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __LastVisitedCell_Item_choice_extension_id._const_tab = ___LastVisitedCell_Item_choice_extension_id_tab
    __LastVisitedCell_Item_choice_extension_id._const_tab_at = None
    __LastVisitedCell_Item_choice_extension_id._const_tab_id = u'id'
    __LastVisitedCell_Item_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___LastVisitedCell_Item_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___LastVisitedCell_Item_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __LastVisitedCell_Item_choice_extension_criticality._const_tab = ___LastVisitedCell_Item_choice_extension_criticality_tab
    __LastVisitedCell_Item_choice_extension_criticality._const_tab_at = ('..', u'id')
    __LastVisitedCell_Item_choice_extension_criticality._const_tab_id = u'criticality'
    __LastVisitedCell_Item_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___LastVisitedCell_Item_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___LastVisitedCell_Item_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __LastVisitedCell_Item_choice_extension_value._const_tab = ___LastVisitedCell_Item_choice_extension_value_tab
    __LastVisitedCell_Item_choice_extension_value._const_tab_at = ('..', u'id')
    __LastVisitedCell_Item_choice_extension_value._const_tab_id = u'Value'
    _LastVisitedCell_Item_choice_extension._cont = ASN1Dict([
        (u'id', __LastVisitedCell_Item_choice_extension_id),
        (u'criticality', __LastVisitedCell_Item_choice_extension_criticality),
        (u'value', __LastVisitedCell_Item_choice_extension_value),
        ])
    _LastVisitedCell_Item_choice_extension._ext = None
    LastVisitedCell_Item._cont = ASN1Dict([
        (u'nG-RAN-Cell', _LastVisitedCell_Item_nG_RAN_Cell),
        (u'e-UTRAN-Cell', _LastVisitedCell_Item_e_UTRAN_Cell),
        (u'uTRAN-Cell', _LastVisitedCell_Item_uTRAN_Cell),
        (u'gERAN-Cell', _LastVisitedCell_Item_gERAN_Cell),
        (u'choice-extension', _LastVisitedCell_Item_choice_extension),
        ])
    LastVisitedCell_Item._ext = None
    
    #-----< LastVisitedCell-Item-ExtIEs >-----#
    LastVisitedCell_Item_ExtIEs = CLASS(name=u'LastVisitedCell-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    LastVisitedCell_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LastVisitedEUTRANCellInformation >-----#
    LastVisitedEUTRANCellInformation = OCT_STR(name=u'LastVisitedEUTRANCellInformation', mode=MODE_TYPE)
    
    #-----< LastVisitedGERANCellInformation >-----#
    LastVisitedGERANCellInformation = OCT_STR(name=u'LastVisitedGERANCellInformation', mode=MODE_TYPE)
    
    #-----< LastVisitedNGRANCellInformation >-----#
    LastVisitedNGRANCellInformation = OCT_STR(name=u'LastVisitedNGRANCellInformation', mode=MODE_TYPE)
    
    #-----< LastVisitedUTRANCellInformation >-----#
    LastVisitedUTRANCellInformation = OCT_STR(name=u'LastVisitedUTRANCellInformation', mode=MODE_TYPE)
    
    #-----< LCID >-----#
    LCID = INT(name=u'LCID', mode=MODE_TYPE)
    LCID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=[], er=[])
    
    #-----< ListOfCells >-----#
    ListOfCells = SEQ_OF(name=u'ListOfCells', mode=MODE_TYPE)
    _ListOfCells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellsinAoI-Item')))
    ListOfCells._cont = _ListOfCells__item_
    ListOfCells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< CellsinAoI-Item >-----#
    CellsinAoI_Item = SEQ(name=u'CellsinAoI-Item', mode=MODE_TYPE)
    _CellsinAoI_Item_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _CellsinAoI_Item_ng_ran_cell_id = CHOICE(name=u'ng-ran-cell-id', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _CellsinAoI_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CellsinAoI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CellsinAoI_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____CellsinAoI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellsinAoI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellsinAoI_Item_iE_Extensions__item__id._const_tab = ____CellsinAoI_Item_iE_Extensions__item__id_tab
    ___CellsinAoI_Item_iE_Extensions__item__id._const_tab_at = None
    ___CellsinAoI_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___CellsinAoI_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____CellsinAoI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellsinAoI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellsinAoI_Item_iE_Extensions__item__criticality._const_tab = ____CellsinAoI_Item_iE_Extensions__item__criticality_tab
    ___CellsinAoI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___CellsinAoI_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue._const_tab = ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___CellsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __CellsinAoI_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___CellsinAoI_Item_iE_Extensions__item__id),
        (u'criticality', ___CellsinAoI_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___CellsinAoI_Item_iE_Extensions__item__extensionValue),
        ])
    __CellsinAoI_Item_iE_Extensions__item_._ext = None
    _CellsinAoI_Item_iE_Extensions._cont = __CellsinAoI_Item_iE_Extensions__item_
    _CellsinAoI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CellsinAoI_Item._cont = ASN1Dict([
        (u'pLMN-Identity', _CellsinAoI_Item_pLMN_Identity),
        (u'ng-ran-cell-id', _CellsinAoI_Item_ng_ran_cell_id),
        (u'iE-Extensions', _CellsinAoI_Item_iE_Extensions),
        ])
    CellsinAoI_Item._ext = []
    
    #-----< CellsinAoI-Item-ExtIEs >-----#
    CellsinAoI_Item_ExtIEs = CLASS(name=u'CellsinAoI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CellsinAoI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ListOfRANNodesinAoI >-----#
    ListOfRANNodesinAoI = SEQ_OF(name=u'ListOfRANNodesinAoI', mode=MODE_TYPE)
    _ListOfRANNodesinAoI__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNodesinAoI-Item')))
    ListOfRANNodesinAoI._cont = _ListOfRANNodesinAoI__item_
    ListOfRANNodesinAoI._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< GlobalNG-RANNodesinAoI-Item >-----#
    GlobalNG_RANNodesinAoI_Item = SEQ(name=u'GlobalNG-RANNodesinAoI-Item', mode=MODE_TYPE)
    _GlobalNG_RANNodesinAoI_Item_global_NG_RAN_Node_ID = CHOICE(name=u'global-NG-RAN-Node-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _GlobalNG_RANNodesinAoI_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id._const_tab = ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id._const_tab_at = None
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality._const_tab = ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue._const_tab = ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id),
        (u'criticality', ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue),
        ])
    __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_._ext = None
    _GlobalNG_RANNodesinAoI_Item_iE_Extensions._cont = __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_
    _GlobalNG_RANNodesinAoI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    GlobalNG_RANNodesinAoI_Item._cont = ASN1Dict([
        (u'global-NG-RAN-Node-ID', _GlobalNG_RANNodesinAoI_Item_global_NG_RAN_Node_ID),
        (u'iE-Extensions', _GlobalNG_RANNodesinAoI_Item_iE_Extensions),
        ])
    GlobalNG_RANNodesinAoI_Item._ext = []
    
    #-----< GlobalNG-RANNodesinAoI-Item-ExtIEs >-----#
    GlobalNG_RANNodesinAoI_Item_ExtIEs = CLASS(name=u'GlobalNG-RANNodesinAoI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    GlobalNG_RANNodesinAoI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ListOfTAIsinAoI >-----#
    ListOfTAIsinAoI = SEQ_OF(name=u'ListOfTAIsinAoI', mode=MODE_TYPE)
    _ListOfTAIsinAoI__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAIsinAoI-Item')))
    ListOfTAIsinAoI._cont = _ListOfTAIsinAoI__item_
    ListOfTAIsinAoI._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< TAIsinAoI-Item >-----#
    TAIsinAoI_Item = SEQ(name=u'TAIsinAoI-Item', mode=MODE_TYPE)
    _TAIsinAoI_Item_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _TAIsinAoI_Item_tAC = OCT_STR(name=u'tAC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _TAIsinAoI_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TAIsinAoI_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TAIsinAoI_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TAIsinAoI_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIsinAoI_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIsinAoI_Item_iE_Extensions__item__id._const_tab = ____TAIsinAoI_Item_iE_Extensions__item__id_tab
    ___TAIsinAoI_Item_iE_Extensions__item__id._const_tab_at = None
    ___TAIsinAoI_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TAIsinAoI_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIsinAoI_Item_iE_Extensions__item__criticality._const_tab = ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab
    ___TAIsinAoI_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TAIsinAoI_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue._const_tab = ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TAIsinAoI_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TAIsinAoI_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TAIsinAoI_Item_iE_Extensions__item__id),
        (u'criticality', ___TAIsinAoI_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TAIsinAoI_Item_iE_Extensions__item__extensionValue),
        ])
    __TAIsinAoI_Item_iE_Extensions__item_._ext = None
    _TAIsinAoI_Item_iE_Extensions._cont = __TAIsinAoI_Item_iE_Extensions__item_
    _TAIsinAoI_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TAIsinAoI_Item._cont = ASN1Dict([
        (u'pLMN-Identity', _TAIsinAoI_Item_pLMN_Identity),
        (u'tAC', _TAIsinAoI_Item_tAC),
        (u'iE-Extensions', _TAIsinAoI_Item_iE_Extensions),
        ])
    TAIsinAoI_Item._ext = []
    
    #-----< TAIsinAoI-Item-ExtIEs >-----#
    TAIsinAoI_Item_ExtIEs = CLASS(name=u'TAIsinAoI-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TAIsinAoI_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LocationInformationSNReporting >-----#
    LocationInformationSNReporting = ENUM(name=u'LocationInformationSNReporting', mode=MODE_TYPE)
    LocationInformationSNReporting._cont = ASN1Dict([(u'pSCell', 0)])
    LocationInformationSNReporting._ext = []
    
    #-----< LocationReportingInformation >-----#
    LocationReportingInformation = SEQ(name=u'LocationReportingInformation', mode=MODE_TYPE)
    _LocationReportingInformation_eventType = ENUM(name=u'eventType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'EventType')))
    _LocationReportingInformation_reportArea = ENUM(name=u'reportArea', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReportArea')))
    _LocationReportingInformation_areaOfInterest = SEQ_OF(name=u'areaOfInterest', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AreaOfInterestInformation')), opt=True)
    _LocationReportingInformation_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __LocationReportingInformation_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___LocationReportingInformation_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____LocationReportingInformation_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LocationReportingInformation_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LocationReportingInformation_iE_Extensions__item__id._const_tab = ____LocationReportingInformation_iE_Extensions__item__id_tab
    ___LocationReportingInformation_iE_Extensions__item__id._const_tab_at = None
    ___LocationReportingInformation_iE_Extensions__item__id._const_tab_id = u'id'
    ___LocationReportingInformation_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____LocationReportingInformation_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LocationReportingInformation_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LocationReportingInformation_iE_Extensions__item__criticality._const_tab = ____LocationReportingInformation_iE_Extensions__item__criticality_tab
    ___LocationReportingInformation_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___LocationReportingInformation_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___LocationReportingInformation_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____LocationReportingInformation_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____LocationReportingInformation_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___LocationReportingInformation_iE_Extensions__item__extensionValue._const_tab = ____LocationReportingInformation_iE_Extensions__item__extensionValue_tab
    ___LocationReportingInformation_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___LocationReportingInformation_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __LocationReportingInformation_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___LocationReportingInformation_iE_Extensions__item__id),
        (u'criticality', ___LocationReportingInformation_iE_Extensions__item__criticality),
        (u'extensionValue', ___LocationReportingInformation_iE_Extensions__item__extensionValue),
        ])
    __LocationReportingInformation_iE_Extensions__item_._ext = None
    _LocationReportingInformation_iE_Extensions._cont = __LocationReportingInformation_iE_Extensions__item_
    _LocationReportingInformation_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    LocationReportingInformation._cont = ASN1Dict([
        (u'eventType', _LocationReportingInformation_eventType),
        (u'reportArea', _LocationReportingInformation_reportArea),
        (u'areaOfInterest', _LocationReportingInformation_areaOfInterest),
        (u'iE-Extensions', _LocationReportingInformation_iE_Extensions),
        ])
    LocationReportingInformation._ext = []
    
    #-----< LocationReportingInformation-ExtIEs >-----#
    LocationReportingInformation_ExtIEs = CLASS(name=u'LocationReportingInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    LocationReportingInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< LowerLayerPresenceStatusChange >-----#
    LowerLayerPresenceStatusChange = ENUM(name=u'LowerLayerPresenceStatusChange', mode=MODE_TYPE)
    LowerLayerPresenceStatusChange._cont = ASN1Dict([(u'release-lower-layers', 0), (u're-establish-lower-layers', 1)])
    LowerLayerPresenceStatusChange._ext = []
    
    #-----< MAC-I >-----#
    MAC_I = BIT_STR(name=u'MAC-I', mode=MODE_TYPE)
    MAC_I._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< MaskedIMEISV >-----#
    MaskedIMEISV = BIT_STR(name=u'MaskedIMEISV', mode=MODE_TYPE)
    MaskedIMEISV._const_sz = ASN1Set(rv=[64], rr=[], ev=None, er=[])
    
    #-----< MaximumDataBurstVolume >-----#
    MaximumDataBurstVolume = INT(name=u'MaximumDataBurstVolume', mode=MODE_TYPE)
    MaximumDataBurstVolume._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4095)], ev=[], er=[])
    
    #-----< MaximumIPdatarate >-----#
    MaximumIPdatarate = SEQ(name=u'MaximumIPdatarate', mode=MODE_TYPE)
    _MaximumIPdatarate_maxIPrate_UL = ENUM(name=u'maxIPrate-UL', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaxIPrate')))
    _MaximumIPdatarate_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MaximumIPdatarate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MaximumIPdatarate_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____MaximumIPdatarate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____MaximumIPdatarate_iE_Extensions__item__id_tab_val_Extension_0 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaxIPrate')))
    ____MaximumIPdatarate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 114), (u'criticality', u'ignore'), (u'Extension', _____MaximumIPdatarate_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab_at = None
    ___MaximumIPdatarate_iE_Extensions__item__id._const_tab_id = u'id'
    ___MaximumIPdatarate_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MaximumIPdatarate_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab = ____MaximumIPdatarate_iE_Extensions__item__id_tab
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MaximumIPdatarate_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MaximumIPdatarate_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MaximumIPdatarate_iE_Extensions__item__id),
        (u'criticality', ___MaximumIPdatarate_iE_Extensions__item__criticality),
        (u'extensionValue', ___MaximumIPdatarate_iE_Extensions__item__extensionValue),
        ])
    __MaximumIPdatarate_iE_Extensions__item_._ext = None
    _MaximumIPdatarate_iE_Extensions._cont = __MaximumIPdatarate_iE_Extensions__item_
    _MaximumIPdatarate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MaximumIPdatarate._cont = ASN1Dict([
        (u'maxIPrate-UL', _MaximumIPdatarate_maxIPrate_UL),
        (u'iE-Extensions', _MaximumIPdatarate_iE_Extensions),
        ])
    MaximumIPdatarate._ext = []
    
    #-----< MaximumIPdatarate-ExtIEs >-----#
    MaximumIPdatarate_ExtIEs = CLASS(name=u'MaximumIPdatarate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _MaximumIPdatarate_ExtIEs_val_Extension_0 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaxIPrate')))
    MaximumIPdatarate_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 114), (u'criticality', u'ignore'), (u'Extension', _MaximumIPdatarate_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< MaxIPrate >-----#
    MaxIPrate = ENUM(name=u'MaxIPrate', mode=MODE_TYPE)
    MaxIPrate._cont = ASN1Dict([(u'bitrate64kbs', 0), (u'max-UErate', 1)])
    MaxIPrate._ext = []
    
    #-----< MBSFNControlRegionLength >-----#
    MBSFNControlRegionLength = INT(name=u'MBSFNControlRegionLength', mode=MODE_TYPE)
    MBSFNControlRegionLength._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3)], ev=None, er=[])
    
    #-----< MBSFNSubframeAllocation-E-UTRA >-----#
    MBSFNSubframeAllocation_E_UTRA = CHOICE(name=u'MBSFNSubframeAllocation-E-UTRA', mode=MODE_TYPE)
    _MBSFNSubframeAllocation_E_UTRA_oneframe = BIT_STR(name=u'oneframe', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeAllocation_E_UTRA_oneframe._const_sz = ASN1Set(rv=[6], rr=[], ev=None, er=[])
    _MBSFNSubframeAllocation_E_UTRA_fourframes = BIT_STR(name=u'fourframes', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeAllocation_E_UTRA_fourframes._const_sz = ASN1Set(rv=[24], rr=[], ev=None, er=[])
    _MBSFNSubframeAllocation_E_UTRA_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id._const_tab = ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id._const_tab_at = None
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_id._const_tab_id = u'id'
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality._const_tab = ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality._const_tab_at = ('..', u'id')
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality._const_tab_id = u'criticality'
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value._const_tab = ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value._const_tab_at = ('..', u'id')
    __MBSFNSubframeAllocation_E_UTRA_choice_extension_value._const_tab_id = u'Value'
    _MBSFNSubframeAllocation_E_UTRA_choice_extension._cont = ASN1Dict([
        (u'id', __MBSFNSubframeAllocation_E_UTRA_choice_extension_id),
        (u'criticality', __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality),
        (u'value', __MBSFNSubframeAllocation_E_UTRA_choice_extension_value),
        ])
    _MBSFNSubframeAllocation_E_UTRA_choice_extension._ext = None
    MBSFNSubframeAllocation_E_UTRA._cont = ASN1Dict([
        (u'oneframe', _MBSFNSubframeAllocation_E_UTRA_oneframe),
        (u'fourframes', _MBSFNSubframeAllocation_E_UTRA_fourframes),
        (u'choice-extension', _MBSFNSubframeAllocation_E_UTRA_choice_extension),
        ])
    MBSFNSubframeAllocation_E_UTRA._ext = None
    
    #-----< MBSFNSubframeAllocation-E-UTRA-ExtIEs >-----#
    MBSFNSubframeAllocation_E_UTRA_ExtIEs = CLASS(name=u'MBSFNSubframeAllocation-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    MBSFNSubframeAllocation_E_UTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MBSFNSubframeInfo-E-UTRA >-----#
    MBSFNSubframeInfo_E_UTRA = SEQ_OF(name=u'MBSFNSubframeInfo-E-UTRA', mode=MODE_TYPE)
    _MBSFNSubframeInfo_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MBSFNSubframeInfo-E-UTRA-Item')))
    MBSFNSubframeInfo_E_UTRA._cont = _MBSFNSubframeInfo_E_UTRA__item_
    MBSFNSubframeInfo_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=None, er=[])
    
    #-----< MBSFNSubframeInfo-E-UTRA-Item >-----#
    MBSFNSubframeInfo_E_UTRA_Item = SEQ(name=u'MBSFNSubframeInfo-E-UTRA-Item', mode=MODE_TYPE)
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod = ENUM(name=u'radioframeAllocationPeriod', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod._cont = ASN1Dict([(u'n1', 0), (u'n2', 1), (u'n4', 2), (u'n8', 3), (u'n16', 4), (u'n32', 5)])
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod._ext = []
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset = INT(name=u'radioframeAllocationOffset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=7)], ev=[], er=[])
    _MBSFNSubframeInfo_E_UTRA_Item_subframeAllocation = CHOICE(name=u'subframeAllocation', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNSubframeAllocation-E-UTRA')))
    _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_._ext = None
    _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions._cont = __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_
    _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MBSFNSubframeInfo_E_UTRA_Item._cont = ASN1Dict([
        (u'radioframeAllocationPeriod', _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod),
        (u'radioframeAllocationOffset', _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset),
        (u'subframeAllocation', _MBSFNSubframeInfo_E_UTRA_Item_subframeAllocation),
        (u'iE-Extensions', _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions),
        ])
    MBSFNSubframeInfo_E_UTRA_Item._ext = []
    
    #-----< MBSFNSubframeInfo-E-UTRA-Item-ExtIEs >-----#
    MBSFNSubframeInfo_E_UTRA_Item_ExtIEs = CLASS(name=u'MBSFNSubframeInfo-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MBSFNSubframeInfo_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MobilityRestrictionList >-----#
    MobilityRestrictionList = SEQ(name=u'MobilityRestrictionList', mode=MODE_TYPE)
    _MobilityRestrictionList_serving_PLMN = OCT_STR(name=u'serving-PLMN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _MobilityRestrictionList_equivalent_PLMNs = SEQ_OF(name=u'equivalent-PLMNs', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __MobilityRestrictionList_equivalent_PLMNs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _MobilityRestrictionList_equivalent_PLMNs._cont = __MobilityRestrictionList_equivalent_PLMNs__item_
    _MobilityRestrictionList_equivalent_PLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=15)], ev=None, er=[])
    _MobilityRestrictionList_rat_Restrictions = SEQ_OF(name=u'rat-Restrictions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RAT-RestrictionsList')), opt=True)
    _MobilityRestrictionList_forbiddenAreaInformation = SEQ_OF(name=u'forbiddenAreaInformation', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ForbiddenAreaList')), opt=True)
    _MobilityRestrictionList_serviceAreaInformation = SEQ_OF(name=u'serviceAreaInformation', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServiceAreaList')), opt=True)
    _MobilityRestrictionList_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MobilityRestrictionList_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MobilityRestrictionList_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____MobilityRestrictionList_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForServing')))
    _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_2 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForEquivalent')))
    ____MobilityRestrictionList_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 112), (u'criticality', u'ignore'), (u'Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 136), (u'criticality', u'ignore'), (u'Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')]), dict([(u'id', 135), (u'criticality', u'ignore'), (u'Extension', _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___MobilityRestrictionList_iE_Extensions__item__id._const_tab = ____MobilityRestrictionList_iE_Extensions__item__id_tab
    ___MobilityRestrictionList_iE_Extensions__item__id._const_tab_at = None
    ___MobilityRestrictionList_iE_Extensions__item__id._const_tab_id = u'id'
    ___MobilityRestrictionList_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___MobilityRestrictionList_iE_Extensions__item__criticality._const_tab = ____MobilityRestrictionList_iE_Extensions__item__id_tab
    ___MobilityRestrictionList_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___MobilityRestrictionList_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue._const_tab = ____MobilityRestrictionList_iE_Extensions__item__id_tab
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___MobilityRestrictionList_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __MobilityRestrictionList_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___MobilityRestrictionList_iE_Extensions__item__id),
        (u'criticality', ___MobilityRestrictionList_iE_Extensions__item__criticality),
        (u'extensionValue', ___MobilityRestrictionList_iE_Extensions__item__extensionValue),
        ])
    __MobilityRestrictionList_iE_Extensions__item_._ext = None
    _MobilityRestrictionList_iE_Extensions._cont = __MobilityRestrictionList_iE_Extensions__item_
    _MobilityRestrictionList_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MobilityRestrictionList._cont = ASN1Dict([
        (u'serving-PLMN', _MobilityRestrictionList_serving_PLMN),
        (u'equivalent-PLMNs', _MobilityRestrictionList_equivalent_PLMNs),
        (u'rat-Restrictions', _MobilityRestrictionList_rat_Restrictions),
        (u'forbiddenAreaInformation', _MobilityRestrictionList_forbiddenAreaInformation),
        (u'serviceAreaInformation', _MobilityRestrictionList_serviceAreaInformation),
        (u'iE-Extensions', _MobilityRestrictionList_iE_Extensions),
        ])
    MobilityRestrictionList._ext = []
    
    #-----< MobilityRestrictionList-ExtIEs >-----#
    MobilityRestrictionList_ExtIEs = CLASS(name=u'MobilityRestrictionList-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _MobilityRestrictionList_ExtIEs_val_Extension_0 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _MobilityRestrictionList_ExtIEs_val_Extension_1 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForServing')))
    _MobilityRestrictionList_ExtIEs_val_Extension_2 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForEquivalent')))
    MobilityRestrictionList_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 112), (u'criticality', u'ignore'), (u'Extension', _MobilityRestrictionList_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 136), (u'criticality', u'ignore'), (u'Extension', _MobilityRestrictionList_ExtIEs_val_Extension_1), (u'presence', u'optional')]), dict([(u'id', 135), (u'criticality', u'ignore'), (u'Extension', _MobilityRestrictionList_ExtIEs_val_Extension_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< CNTypeRestrictionsForEquivalent >-----#
    CNTypeRestrictionsForEquivalent = SEQ_OF(name=u'CNTypeRestrictionsForEquivalent', mode=MODE_TYPE)
    _CNTypeRestrictionsForEquivalent__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CNTypeRestrictionsForEquivalentItem')))
    CNTypeRestrictionsForEquivalent._cont = _CNTypeRestrictionsForEquivalent__item_
    CNTypeRestrictionsForEquivalent._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=15)], ev=None, er=[])
    
    #-----< CNTypeRestrictionsForEquivalentItem >-----#
    CNTypeRestrictionsForEquivalentItem = SEQ(name=u'CNTypeRestrictionsForEquivalentItem', mode=MODE_TYPE)
    _CNTypeRestrictionsForEquivalentItem_plmn_Identity = OCT_STR(name=u'plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _CNTypeRestrictionsForEquivalentItem_cn_Type = ENUM(name=u'cn-Type', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _CNTypeRestrictionsForEquivalentItem_cn_Type._cont = ASN1Dict([(u'epc-forbidden', 0), (u'fiveGC-forbidden', 1)])
    _CNTypeRestrictionsForEquivalentItem_cn_Type._ext = []
    _CNTypeRestrictionsForEquivalentItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id._const_tab = ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id._const_tab_at = None
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality._const_tab = ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue._const_tab = ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id),
        (u'criticality', ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue),
        ])
    __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_._ext = None
    _CNTypeRestrictionsForEquivalentItem_iE_Extensions._cont = __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_
    _CNTypeRestrictionsForEquivalentItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    CNTypeRestrictionsForEquivalentItem._cont = ASN1Dict([
        (u'plmn-Identity', _CNTypeRestrictionsForEquivalentItem_plmn_Identity),
        (u'cn-Type', _CNTypeRestrictionsForEquivalentItem_cn_Type),
        (u'iE-Extensions', _CNTypeRestrictionsForEquivalentItem_iE_Extensions),
        ])
    CNTypeRestrictionsForEquivalentItem._ext = []
    
    #-----< CNTypeRestrictionsForEquivalentItem-ExtIEs >-----#
    CNTypeRestrictionsForEquivalentItem_ExtIEs = CLASS(name=u'CNTypeRestrictionsForEquivalentItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    CNTypeRestrictionsForEquivalentItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CNTypeRestrictionsForServing >-----#
    CNTypeRestrictionsForServing = ENUM(name=u'CNTypeRestrictionsForServing', mode=MODE_TYPE)
    CNTypeRestrictionsForServing._cont = ASN1Dict([(u'epc-forbidden', 0)])
    CNTypeRestrictionsForServing._ext = []
    
    #-----< RAT-RestrictionsList >-----#
    RAT_RestrictionsList = SEQ_OF(name=u'RAT-RestrictionsList', mode=MODE_TYPE)
    _RAT_RestrictionsList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RAT-RestrictionsItem')))
    RAT_RestrictionsList._cont = _RAT_RestrictionsList__item_
    RAT_RestrictionsList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< RAT-RestrictionsItem >-----#
    RAT_RestrictionsItem = SEQ(name=u'RAT-RestrictionsItem', mode=MODE_TYPE)
    _RAT_RestrictionsItem_plmn_Identity = OCT_STR(name=u'plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _RAT_RestrictionsItem_rat_RestrictionInformation = BIT_STR(name=u'rat-RestrictionInformation', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RAT-RestrictionInformation')))
    _RAT_RestrictionsItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RAT_RestrictionsItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RAT_RestrictionsItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RAT_RestrictionsItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RAT_RestrictionsItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RAT_RestrictionsItem_iE_Extensions__item__id._const_tab = ____RAT_RestrictionsItem_iE_Extensions__item__id_tab
    ___RAT_RestrictionsItem_iE_Extensions__item__id._const_tab_at = None
    ___RAT_RestrictionsItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RAT_RestrictionsItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RAT_RestrictionsItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality._const_tab = ____RAT_RestrictionsItem_iE_Extensions__item__criticality_tab
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___RAT_RestrictionsItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RAT_RestrictionsItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RAT_RestrictionsItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue._const_tab = ____RAT_RestrictionsItem_iE_Extensions__item__extensionValue_tab
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __RAT_RestrictionsItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___RAT_RestrictionsItem_iE_Extensions__item__id),
        (u'criticality', ___RAT_RestrictionsItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue),
        ])
    __RAT_RestrictionsItem_iE_Extensions__item_._ext = None
    _RAT_RestrictionsItem_iE_Extensions._cont = __RAT_RestrictionsItem_iE_Extensions__item_
    _RAT_RestrictionsItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RAT_RestrictionsItem._cont = ASN1Dict([
        (u'plmn-Identity', _RAT_RestrictionsItem_plmn_Identity),
        (u'rat-RestrictionInformation', _RAT_RestrictionsItem_rat_RestrictionInformation),
        (u'iE-Extensions', _RAT_RestrictionsItem_iE_Extensions),
        ])
    RAT_RestrictionsItem._ext = []
    
    #-----< RAT-RestrictionsItem-ExtIEs >-----#
    RAT_RestrictionsItem_ExtIEs = CLASS(name=u'RAT-RestrictionsItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RAT_RestrictionsItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RAT-RestrictionInformation >-----#
    RAT_RestrictionInformation = BIT_STR(name=u'RAT-RestrictionInformation', mode=MODE_TYPE)
    RAT_RestrictionInformation._cont = ASN1Dict([(u'e-UTRA', 0), (u'nR', 1)])
    RAT_RestrictionInformation._const_sz = ASN1Set(rv=[8], rr=[], ev=[], er=[])
    
    #-----< ForbiddenAreaList >-----#
    ForbiddenAreaList = SEQ_OF(name=u'ForbiddenAreaList', mode=MODE_TYPE)
    _ForbiddenAreaList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ForbiddenAreaItem')))
    ForbiddenAreaList._cont = _ForbiddenAreaList__item_
    ForbiddenAreaList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ForbiddenAreaItem >-----#
    ForbiddenAreaItem = SEQ(name=u'ForbiddenAreaItem', mode=MODE_TYPE)
    _ForbiddenAreaItem_plmn_Identity = OCT_STR(name=u'plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _ForbiddenAreaItem_forbidden_TACs = SEQ_OF(name=u'forbidden-TACs', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ForbiddenAreaItem_forbidden_TACs__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ForbiddenAreaItem_forbidden_TACs._cont = __ForbiddenAreaItem_forbidden_TACs__item_
    _ForbiddenAreaItem_forbidden_TACs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4096)], ev=None, er=[])
    _ForbiddenAreaItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ForbiddenAreaItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ForbiddenAreaItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ForbiddenAreaItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ForbiddenAreaItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ForbiddenAreaItem_iE_Extensions__item__id._const_tab = ____ForbiddenAreaItem_iE_Extensions__item__id_tab
    ___ForbiddenAreaItem_iE_Extensions__item__id._const_tab_at = None
    ___ForbiddenAreaItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___ForbiddenAreaItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ForbiddenAreaItem_iE_Extensions__item__criticality._const_tab = ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab
    ___ForbiddenAreaItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ForbiddenAreaItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue._const_tab = ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ForbiddenAreaItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ForbiddenAreaItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ForbiddenAreaItem_iE_Extensions__item__id),
        (u'criticality', ___ForbiddenAreaItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___ForbiddenAreaItem_iE_Extensions__item__extensionValue),
        ])
    __ForbiddenAreaItem_iE_Extensions__item_._ext = None
    _ForbiddenAreaItem_iE_Extensions._cont = __ForbiddenAreaItem_iE_Extensions__item_
    _ForbiddenAreaItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ForbiddenAreaItem._cont = ASN1Dict([
        (u'plmn-Identity', _ForbiddenAreaItem_plmn_Identity),
        (u'forbidden-TACs', _ForbiddenAreaItem_forbidden_TACs),
        (u'iE-Extensions', _ForbiddenAreaItem_iE_Extensions),
        ])
    ForbiddenAreaItem._ext = []
    
    #-----< ForbiddenAreaItem-ExtIEs >-----#
    ForbiddenAreaItem_ExtIEs = CLASS(name=u'ForbiddenAreaItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ForbiddenAreaItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServiceAreaList >-----#
    ServiceAreaList = SEQ_OF(name=u'ServiceAreaList', mode=MODE_TYPE)
    _ServiceAreaList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServiceAreaItem')))
    ServiceAreaList._cont = _ServiceAreaList__item_
    ServiceAreaList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ServiceAreaItem >-----#
    ServiceAreaItem = SEQ(name=u'ServiceAreaItem', mode=MODE_TYPE)
    _ServiceAreaItem_plmn_Identity = OCT_STR(name=u'plmn-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _ServiceAreaItem_allowed_TACs_ServiceArea = SEQ_OF(name=u'allowed-TACs-ServiceArea', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServiceAreaItem_allowed_TACs_ServiceArea__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServiceAreaItem_allowed_TACs_ServiceArea._cont = __ServiceAreaItem_allowed_TACs_ServiceArea__item_
    _ServiceAreaItem_allowed_TACs_ServiceArea._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    _ServiceAreaItem_not_allowed_TACs_ServiceArea = SEQ_OF(name=u'not-allowed-TACs-ServiceArea', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServiceAreaItem_not_allowed_TACs_ServiceArea__item_ = OCT_STR(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServiceAreaItem_not_allowed_TACs_ServiceArea._cont = __ServiceAreaItem_not_allowed_TACs_ServiceArea__item_
    _ServiceAreaItem_not_allowed_TACs_ServiceArea._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    _ServiceAreaItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServiceAreaItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServiceAreaItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServiceAreaItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServiceAreaItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServiceAreaItem_iE_Extensions__item__id._const_tab = ____ServiceAreaItem_iE_Extensions__item__id_tab
    ___ServiceAreaItem_iE_Extensions__item__id._const_tab_at = None
    ___ServiceAreaItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServiceAreaItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServiceAreaItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServiceAreaItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServiceAreaItem_iE_Extensions__item__criticality._const_tab = ____ServiceAreaItem_iE_Extensions__item__criticality_tab
    ___ServiceAreaItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServiceAreaItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServiceAreaItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServiceAreaItem_iE_Extensions__item__extensionValue._const_tab = ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab
    ___ServiceAreaItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServiceAreaItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServiceAreaItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServiceAreaItem_iE_Extensions__item__id),
        (u'criticality', ___ServiceAreaItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServiceAreaItem_iE_Extensions__item__extensionValue),
        ])
    __ServiceAreaItem_iE_Extensions__item_._ext = None
    _ServiceAreaItem_iE_Extensions._cont = __ServiceAreaItem_iE_Extensions__item_
    _ServiceAreaItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServiceAreaItem._cont = ASN1Dict([
        (u'plmn-Identity', _ServiceAreaItem_plmn_Identity),
        (u'allowed-TACs-ServiceArea', _ServiceAreaItem_allowed_TACs_ServiceArea),
        (u'not-allowed-TACs-ServiceArea', _ServiceAreaItem_not_allowed_TACs_ServiceArea),
        (u'iE-Extensions', _ServiceAreaItem_iE_Extensions),
        ])
    ServiceAreaItem._ext = []
    
    #-----< ServiceAreaItem-ExtIEs >-----#
    ServiceAreaItem_ExtIEs = CLASS(name=u'ServiceAreaItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServiceAreaItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< MR-DC-ResourceCoordinationInfo >-----#
    MR_DC_ResourceCoordinationInfo = SEQ(name=u'MR-DC-ResourceCoordinationInfo', mode=MODE_TYPE)
    _MR_DC_ResourceCoordinationInfo_ng_RAN_Node_ResourceCoordinationInfo = CHOICE(name=u'ng-RAN-Node-ResourceCoordinationInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Node-ResourceCoordinationInfo')))
    _MR_DC_ResourceCoordinationInfo_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __MR_DC_ResourceCoordinationInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id._const_tab = ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_at = None
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_id = u'id'
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab = ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab = ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __MR_DC_ResourceCoordinationInfo_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id),
        (u'criticality', ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality),
        (u'extensionValue', ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue),
        ])
    __MR_DC_ResourceCoordinationInfo_iE_Extension__item_._ext = None
    _MR_DC_ResourceCoordinationInfo_iE_Extension._cont = __MR_DC_ResourceCoordinationInfo_iE_Extension__item_
    _MR_DC_ResourceCoordinationInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    MR_DC_ResourceCoordinationInfo._cont = ASN1Dict([
        (u'ng-RAN-Node-ResourceCoordinationInfo', _MR_DC_ResourceCoordinationInfo_ng_RAN_Node_ResourceCoordinationInfo),
        (u'iE-Extension', _MR_DC_ResourceCoordinationInfo_iE_Extension),
        ])
    MR_DC_ResourceCoordinationInfo._ext = []
    
    #-----< MR-DC-ResourceCoordinationInfo-ExtIEs >-----#
    MR_DC_ResourceCoordinationInfo_ExtIEs = CLASS(name=u'MR-DC-ResourceCoordinationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    MR_DC_ResourceCoordinationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-Node-ResourceCoordinationInfo >-----#
    NG_RAN_Node_ResourceCoordinationInfo = CHOICE(name=u'NG-RAN-Node-ResourceCoordinationInfo', mode=MODE_TYPE)
    _NG_RAN_Node_ResourceCoordinationInfo_eutra_resource_coordination_info = SEQ(name=u'eutra-resource-coordination-info', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-ResourceCoordinationInfo')))
    _NG_RAN_Node_ResourceCoordinationInfo_nr_resource_coordination_info = SEQ(name=u'nr-resource-coordination-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-ResourceCoordinationInfo')))
    NG_RAN_Node_ResourceCoordinationInfo._cont = ASN1Dict([
        (u'eutra-resource-coordination-info', _NG_RAN_Node_ResourceCoordinationInfo_eutra_resource_coordination_info),
        (u'nr-resource-coordination-info', _NG_RAN_Node_ResourceCoordinationInfo_nr_resource_coordination_info),
        ])
    NG_RAN_Node_ResourceCoordinationInfo._ext = None
    
    #-----< E-UTRA-ResourceCoordinationInfo >-----#
    E_UTRA_ResourceCoordinationInfo = SEQ(name=u'E-UTRA-ResourceCoordinationInfo', mode=MODE_TYPE)
    _E_UTRA_ResourceCoordinationInfo_e_utra_cell = SEQ(name=u'e-utra-cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _E_UTRA_ResourceCoordinationInfo_ul_coordination_info = BIT_STR(name=u'ul-coordination-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _E_UTRA_ResourceCoordinationInfo_ul_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _E_UTRA_ResourceCoordinationInfo_dl_coordination_info = BIT_STR(name=u'dl-coordination-info', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _E_UTRA_ResourceCoordinationInfo_dl_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _E_UTRA_ResourceCoordinationInfo_nr_cell = SEQ(name=u'nr-cell', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')), opt=True)
    _E_UTRA_ResourceCoordinationInfo_e_utra_coordination_assistance_info = ENUM(name=u'e-utra-coordination-assistance-info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CoordinationAssistanceInfo')), opt=True)
    _E_UTRA_ResourceCoordinationInfo_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id._const_tab = ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_at = None
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_id = u'id'
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab = ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab = ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id),
        (u'criticality', ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality),
        (u'extensionValue', ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue),
        ])
    __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_._ext = None
    _E_UTRA_ResourceCoordinationInfo_iE_Extension._cont = __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_
    _E_UTRA_ResourceCoordinationInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    E_UTRA_ResourceCoordinationInfo._cont = ASN1Dict([
        (u'e-utra-cell', _E_UTRA_ResourceCoordinationInfo_e_utra_cell),
        (u'ul-coordination-info', _E_UTRA_ResourceCoordinationInfo_ul_coordination_info),
        (u'dl-coordination-info', _E_UTRA_ResourceCoordinationInfo_dl_coordination_info),
        (u'nr-cell', _E_UTRA_ResourceCoordinationInfo_nr_cell),
        (u'e-utra-coordination-assistance-info', _E_UTRA_ResourceCoordinationInfo_e_utra_coordination_assistance_info),
        (u'iE-Extension', _E_UTRA_ResourceCoordinationInfo_iE_Extension),
        ])
    E_UTRA_ResourceCoordinationInfo._ext = []
    
    #-----< E-UTRA-ResourceCoordinationInfo-ExtIEs >-----#
    E_UTRA_ResourceCoordinationInfo_ExtIEs = CLASS(name=u'E-UTRA-ResourceCoordinationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    E_UTRA_ResourceCoordinationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRA-CoordinationAssistanceInfo >-----#
    E_UTRA_CoordinationAssistanceInfo = ENUM(name=u'E-UTRA-CoordinationAssistanceInfo', mode=MODE_TYPE)
    E_UTRA_CoordinationAssistanceInfo._cont = ASN1Dict([(u'coordination-not-required', 0)])
    E_UTRA_CoordinationAssistanceInfo._ext = []
    
    #-----< NR-ResourceCoordinationInfo >-----#
    NR_ResourceCoordinationInfo = SEQ(name=u'NR-ResourceCoordinationInfo', mode=MODE_TYPE)
    _NR_ResourceCoordinationInfo_nr_cell = SEQ(name=u'nr-cell', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _NR_ResourceCoordinationInfo_ul_coordination_info = BIT_STR(name=u'ul-coordination-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NR_ResourceCoordinationInfo_ul_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _NR_ResourceCoordinationInfo_dl_coordination_info = BIT_STR(name=u'dl-coordination-info', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _NR_ResourceCoordinationInfo_dl_coordination_info._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=4400)], ev=None, er=[])
    _NR_ResourceCoordinationInfo_e_utra_cell = SEQ(name=u'e-utra-cell', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')), opt=True)
    _NR_ResourceCoordinationInfo_nr_coordination_assistance_info = ENUM(name=u'nr-coordination-assistance-info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CoordinationAssistanceInfo')), opt=True)
    _NR_ResourceCoordinationInfo_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NR_ResourceCoordinationInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id._const_tab = ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_at = None
    ___NR_ResourceCoordinationInfo_iE_Extension__item__id._const_tab_id = u'id'
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab = ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab = ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NR_ResourceCoordinationInfo_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NR_ResourceCoordinationInfo_iE_Extension__item__id),
        (u'criticality', ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality),
        (u'extensionValue', ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue),
        ])
    __NR_ResourceCoordinationInfo_iE_Extension__item_._ext = None
    _NR_ResourceCoordinationInfo_iE_Extension._cont = __NR_ResourceCoordinationInfo_iE_Extension__item_
    _NR_ResourceCoordinationInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NR_ResourceCoordinationInfo._cont = ASN1Dict([
        (u'nr-cell', _NR_ResourceCoordinationInfo_nr_cell),
        (u'ul-coordination-info', _NR_ResourceCoordinationInfo_ul_coordination_info),
        (u'dl-coordination-info', _NR_ResourceCoordinationInfo_dl_coordination_info),
        (u'e-utra-cell', _NR_ResourceCoordinationInfo_e_utra_cell),
        (u'nr-coordination-assistance-info', _NR_ResourceCoordinationInfo_nr_coordination_assistance_info),
        (u'iE-Extension', _NR_ResourceCoordinationInfo_iE_Extension),
        ])
    NR_ResourceCoordinationInfo._ext = []
    
    #-----< NR-ResourceCoordinationInfo-ExtIEs >-----#
    NR_ResourceCoordinationInfo_ExtIEs = CLASS(name=u'NR-ResourceCoordinationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NR_ResourceCoordinationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NR-CoordinationAssistanceInfo >-----#
    NR_CoordinationAssistanceInfo = ENUM(name=u'NR-CoordinationAssistanceInfo', mode=MODE_TYPE)
    NR_CoordinationAssistanceInfo._cont = ASN1Dict([(u'coordination-not-required', 0)])
    NR_CoordinationAssistanceInfo._ext = []
    
    #-----< NE-DC-TDM-Pattern >-----#
    NE_DC_TDM_Pattern = SEQ(name=u'NE-DC-TDM-Pattern', mode=MODE_TYPE)
    _NE_DC_TDM_Pattern_subframeAssignment = ENUM(name=u'subframeAssignment', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NE_DC_TDM_Pattern_subframeAssignment._cont = ASN1Dict([(u'sa0', 0), (u'sa1', 1), (u'sa2', 2), (u'sa3', 3), (u'sa4', 4), (u'sa5', 5), (u'sa6', 6)])
    _NE_DC_TDM_Pattern_subframeAssignment._ext = None
    _NE_DC_TDM_Pattern_harqOffset = INT(name=u'harqOffset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NE_DC_TDM_Pattern_harqOffset._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=None, er=[])
    _NE_DC_TDM_Pattern_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NE_DC_TDM_Pattern_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NE_DC_TDM_Pattern_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NE_DC_TDM_Pattern_iE_Extension__item__id._const_tab = ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab
    ___NE_DC_TDM_Pattern_iE_Extension__item__id._const_tab_at = None
    ___NE_DC_TDM_Pattern_iE_Extension__item__id._const_tab_id = u'id'
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality._const_tab = ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NE_DC_TDM_Pattern_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue._const_tab = ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NE_DC_TDM_Pattern_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NE_DC_TDM_Pattern_iE_Extension__item__id),
        (u'criticality', ___NE_DC_TDM_Pattern_iE_Extension__item__criticality),
        (u'extensionValue', ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue),
        ])
    __NE_DC_TDM_Pattern_iE_Extension__item_._ext = None
    _NE_DC_TDM_Pattern_iE_Extension._cont = __NE_DC_TDM_Pattern_iE_Extension__item_
    _NE_DC_TDM_Pattern_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NE_DC_TDM_Pattern._cont = ASN1Dict([
        (u'subframeAssignment', _NE_DC_TDM_Pattern_subframeAssignment),
        (u'harqOffset', _NE_DC_TDM_Pattern_harqOffset),
        (u'iE-Extension', _NE_DC_TDM_Pattern_iE_Extension),
        ])
    NE_DC_TDM_Pattern._ext = []
    
    #-----< NE-DC-TDM-Pattern-ExtIEs >-----#
    NE_DC_TDM_Pattern_ExtIEs = CLASS(name=u'NE-DC-TDM-Pattern-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NE_DC_TDM_Pattern_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-E-UTRA >-----#
    NeighbourInformation_E_UTRA = SEQ_OF(name=u'NeighbourInformation-E-UTRA', mode=MODE_TYPE)
    _NeighbourInformation_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA-Item')))
    NeighbourInformation_E_UTRA._cont = _NeighbourInformation_E_UTRA__item_
    NeighbourInformation_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< NeighbourInformation-E-UTRA-Item >-----#
    NeighbourInformation_E_UTRA_Item = SEQ(name=u'NeighbourInformation-E-UTRA-Item', mode=MODE_TYPE)
    _NeighbourInformation_E_UTRA_Item_e_utra_PCI = INT(name=u'e-utra-PCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPCI')))
    _NeighbourInformation_E_UTRA_Item_e_utra_cgi = SEQ(name=u'e-utra-cgi', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _NeighbourInformation_E_UTRA_Item_earfcn = INT(name=u'earfcn', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _NeighbourInformation_E_UTRA_Item_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _NeighbourInformation_E_UTRA_Item_ranac = INT(name=u'ranac', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _NeighbourInformation_E_UTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_._ext = None
    _NeighbourInformation_E_UTRA_Item_iE_Extensions._cont = __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_
    _NeighbourInformation_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_E_UTRA_Item._cont = ASN1Dict([
        (u'e-utra-PCI', _NeighbourInformation_E_UTRA_Item_e_utra_PCI),
        (u'e-utra-cgi', _NeighbourInformation_E_UTRA_Item_e_utra_cgi),
        (u'earfcn', _NeighbourInformation_E_UTRA_Item_earfcn),
        (u'tac', _NeighbourInformation_E_UTRA_Item_tac),
        (u'ranac', _NeighbourInformation_E_UTRA_Item_ranac),
        (u'iE-Extensions', _NeighbourInformation_E_UTRA_Item_iE_Extensions),
        ])
    NeighbourInformation_E_UTRA_Item._ext = []
    
    #-----< NeighbourInformation-E-UTRA-Item-ExtIEs >-----#
    NeighbourInformation_E_UTRA_Item_ExtIEs = CLASS(name=u'NeighbourInformation-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR >-----#
    NeighbourInformation_NR = SEQ_OF(name=u'NeighbourInformation-NR', mode=MODE_TYPE)
    _NeighbourInformation_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-Item')))
    NeighbourInformation_NR._cont = _NeighbourInformation_NR__item_
    NeighbourInformation_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< NeighbourInformation-NR-Item >-----#
    NeighbourInformation_NR_Item = SEQ(name=u'NeighbourInformation-NR-Item', mode=MODE_TYPE)
    _NeighbourInformation_NR_Item_nr_PCI = INT(name=u'nr-PCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    _NeighbourInformation_NR_Item_nr_cgi = SEQ(name=u'nr-cgi', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _NeighbourInformation_NR_Item_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _NeighbourInformation_NR_Item_ranac = INT(name=u'ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _NeighbourInformation_NR_Item_nr_mode_info = CHOICE(name=u'nr-mode-info', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-ModeInfo')))
    _NeighbourInformation_NR_Item_connectivitySupport = SEQ(name=u'connectivitySupport', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Connectivity-Support')))
    _NeighbourInformation_NR_Item_measurementTimingConfiguration = OCT_STR(name=u'measurementTimingConfiguration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _NeighbourInformation_NR_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_NR_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id._const_tab = ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_NR_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality._const_tab = ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NeighbourInformation_NR_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NeighbourInformation_NR_Item_iE_Extensions__item__id),
        (u'criticality', ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_NR_Item_iE_Extensions__item_._ext = None
    _NeighbourInformation_NR_Item_iE_Extensions._cont = __NeighbourInformation_NR_Item_iE_Extensions__item_
    _NeighbourInformation_NR_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_NR_Item._cont = ASN1Dict([
        (u'nr-PCI', _NeighbourInformation_NR_Item_nr_PCI),
        (u'nr-cgi', _NeighbourInformation_NR_Item_nr_cgi),
        (u'tac', _NeighbourInformation_NR_Item_tac),
        (u'ranac', _NeighbourInformation_NR_Item_ranac),
        (u'nr-mode-info', _NeighbourInformation_NR_Item_nr_mode_info),
        (u'connectivitySupport', _NeighbourInformation_NR_Item_connectivitySupport),
        (u'measurementTimingConfiguration', _NeighbourInformation_NR_Item_measurementTimingConfiguration),
        (u'iE-Extensions', _NeighbourInformation_NR_Item_iE_Extensions),
        ])
    NeighbourInformation_NR_Item._ext = []
    
    #-----< NeighbourInformation-NR-Item-ExtIEs >-----#
    NeighbourInformation_NR_Item_ExtIEs = CLASS(name=u'NeighbourInformation-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR-ModeInfo >-----#
    NeighbourInformation_NR_ModeInfo = CHOICE(name=u'NeighbourInformation-NR-ModeInfo', mode=MODE_TYPE)
    _NeighbourInformation_NR_ModeInfo_fdd_info = SEQ(name=u'fdd-info', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-ModeFDDInfo')))
    _NeighbourInformation_NR_ModeInfo_tdd_info = SEQ(name=u'tdd-info', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR-ModeTDDInfo')))
    _NeighbourInformation_NR_ModeInfo_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NeighbourInformation_NR_ModeInfo_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NeighbourInformation_NR_ModeInfo_choice_extension_id._const_tab = ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab
    __NeighbourInformation_NR_ModeInfo_choice_extension_id._const_tab_at = None
    __NeighbourInformation_NR_ModeInfo_choice_extension_id._const_tab_id = u'id'
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality._const_tab = ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality._const_tab_at = ('..', u'id')
    __NeighbourInformation_NR_ModeInfo_choice_extension_criticality._const_tab_id = u'criticality'
    __NeighbourInformation_NR_ModeInfo_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NeighbourInformation_NR_ModeInfo_choice_extension_value._const_tab = ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab
    __NeighbourInformation_NR_ModeInfo_choice_extension_value._const_tab_at = ('..', u'id')
    __NeighbourInformation_NR_ModeInfo_choice_extension_value._const_tab_id = u'Value'
    _NeighbourInformation_NR_ModeInfo_choice_extension._cont = ASN1Dict([
        (u'id', __NeighbourInformation_NR_ModeInfo_choice_extension_id),
        (u'criticality', __NeighbourInformation_NR_ModeInfo_choice_extension_criticality),
        (u'value', __NeighbourInformation_NR_ModeInfo_choice_extension_value),
        ])
    _NeighbourInformation_NR_ModeInfo_choice_extension._ext = None
    NeighbourInformation_NR_ModeInfo._cont = ASN1Dict([
        (u'fdd-info', _NeighbourInformation_NR_ModeInfo_fdd_info),
        (u'tdd-info', _NeighbourInformation_NR_ModeInfo_tdd_info),
        (u'choice-extension', _NeighbourInformation_NR_ModeInfo_choice_extension),
        ])
    NeighbourInformation_NR_ModeInfo._ext = None
    
    #-----< NeighbourInformation-NR-ModeInfo-ExtIEs >-----#
    NeighbourInformation_NR_ModeInfo_ExtIEs = CLASS(name=u'NeighbourInformation-NR-ModeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NeighbourInformation_NR_ModeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR-ModeFDDInfo >-----#
    NeighbourInformation_NR_ModeFDDInfo = SEQ(name=u'NeighbourInformation-NR-ModeFDDInfo', mode=MODE_TYPE)
    _NeighbourInformation_NR_ModeFDDInfo_ul_NR_FreqInfo = SEQ(name=u'ul-NR-FreqInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NeighbourInformation_NR_ModeFDDInfo_dl_NR_FequInfo = SEQ(name=u'dl-NR-FequInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions = SEQ_OF(name=u'ie-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id._const_tab = ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id._const_tab_id = u'id'
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality._const_tab = ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id),
        (u'criticality', ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality),
        (u'extensionValue', ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_._ext = None
    _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions._cont = __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_
    _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_NR_ModeFDDInfo._cont = ASN1Dict([
        (u'ul-NR-FreqInfo', _NeighbourInformation_NR_ModeFDDInfo_ul_NR_FreqInfo),
        (u'dl-NR-FequInfo', _NeighbourInformation_NR_ModeFDDInfo_dl_NR_FequInfo),
        (u'ie-Extensions', _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions),
        ])
    NeighbourInformation_NR_ModeFDDInfo._ext = []
    
    #-----< NeighbourInformation-NR-ModeFDDInfo-ExtIEs >-----#
    NeighbourInformation_NR_ModeFDDInfo_ExtIEs = CLASS(name=u'NeighbourInformation-NR-ModeFDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_NR_ModeFDDInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NeighbourInformation-NR-ModeTDDInfo >-----#
    NeighbourInformation_NR_ModeTDDInfo = SEQ(name=u'NeighbourInformation-NR-ModeTDDInfo', mode=MODE_TYPE)
    _NeighbourInformation_NR_ModeTDDInfo_nr_FreqInfo = SEQ(name=u'nr-FreqInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions = SEQ_OF(name=u'ie-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id._const_tab = ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id._const_tab_at = None
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id._const_tab_id = u'id'
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality._const_tab = ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue._const_tab = ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id),
        (u'criticality', ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality),
        (u'extensionValue', ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue),
        ])
    __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_._ext = None
    _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions._cont = __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_
    _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NeighbourInformation_NR_ModeTDDInfo._cont = ASN1Dict([
        (u'nr-FreqInfo', _NeighbourInformation_NR_ModeTDDInfo_nr_FreqInfo),
        (u'ie-Extensions', _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions),
        ])
    NeighbourInformation_NR_ModeTDDInfo._ext = []
    
    #-----< NeighbourInformation-NR-ModeTDDInfo-ExtIEs >-----#
    NeighbourInformation_NR_ModeTDDInfo_ExtIEs = CLASS(name=u'NeighbourInformation-NR-ModeTDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NeighbourInformation_NR_ModeTDDInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-Cell-Identity >-----#
    NG_RAN_Cell_Identity = CHOICE(name=u'NG-RAN-Cell-Identity', mode=MODE_TYPE)
    _NG_RAN_Cell_Identity_nr = BIT_STR(name=u'nr', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _NG_RAN_Cell_Identity_e_utra = BIT_STR(name=u'e-utra', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-Cell-Identity')))
    _NG_RAN_Cell_Identity_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NG_RAN_Cell_Identity_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___NG_RAN_Cell_Identity_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_Cell_Identity_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_Cell_Identity_choice_extension_id._const_tab = ___NG_RAN_Cell_Identity_choice_extension_id_tab
    __NG_RAN_Cell_Identity_choice_extension_id._const_tab_at = None
    __NG_RAN_Cell_Identity_choice_extension_id._const_tab_id = u'id'
    __NG_RAN_Cell_Identity_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NG_RAN_Cell_Identity_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_Cell_Identity_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_Cell_Identity_choice_extension_criticality._const_tab = ___NG_RAN_Cell_Identity_choice_extension_criticality_tab
    __NG_RAN_Cell_Identity_choice_extension_criticality._const_tab_at = ('..', u'id')
    __NG_RAN_Cell_Identity_choice_extension_criticality._const_tab_id = u'criticality'
    __NG_RAN_Cell_Identity_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NG_RAN_Cell_Identity_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_Cell_Identity_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_Cell_Identity_choice_extension_value._const_tab = ___NG_RAN_Cell_Identity_choice_extension_value_tab
    __NG_RAN_Cell_Identity_choice_extension_value._const_tab_at = ('..', u'id')
    __NG_RAN_Cell_Identity_choice_extension_value._const_tab_id = u'Value'
    _NG_RAN_Cell_Identity_choice_extension._cont = ASN1Dict([
        (u'id', __NG_RAN_Cell_Identity_choice_extension_id),
        (u'criticality', __NG_RAN_Cell_Identity_choice_extension_criticality),
        (u'value', __NG_RAN_Cell_Identity_choice_extension_value),
        ])
    _NG_RAN_Cell_Identity_choice_extension._ext = None
    NG_RAN_Cell_Identity._cont = ASN1Dict([
        (u'nr', _NG_RAN_Cell_Identity_nr),
        (u'e-utra', _NG_RAN_Cell_Identity_e_utra),
        (u'choice-extension', _NG_RAN_Cell_Identity_choice_extension),
        ])
    NG_RAN_Cell_Identity._ext = None
    
    #-----< NG-RAN-Cell-Identity-ExtIEs >-----#
    NG_RAN_Cell_Identity_ExtIEs = CLASS(name=u'NG-RAN-Cell-Identity-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NG_RAN_Cell_Identity_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RAN-CellPCI >-----#
    NG_RAN_CellPCI = CHOICE(name=u'NG-RAN-CellPCI', mode=MODE_TYPE)
    _NG_RAN_CellPCI_nr = INT(name=u'nr', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    _NG_RAN_CellPCI_e_utra = INT(name=u'e-utra', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPCI')))
    _NG_RAN_CellPCI_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NG_RAN_CellPCI_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___NG_RAN_CellPCI_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_CellPCI_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_CellPCI_choice_extension_id._const_tab = ___NG_RAN_CellPCI_choice_extension_id_tab
    __NG_RAN_CellPCI_choice_extension_id._const_tab_at = None
    __NG_RAN_CellPCI_choice_extension_id._const_tab_id = u'id'
    __NG_RAN_CellPCI_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NG_RAN_CellPCI_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_CellPCI_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_CellPCI_choice_extension_criticality._const_tab = ___NG_RAN_CellPCI_choice_extension_criticality_tab
    __NG_RAN_CellPCI_choice_extension_criticality._const_tab_at = ('..', u'id')
    __NG_RAN_CellPCI_choice_extension_criticality._const_tab_id = u'criticality'
    __NG_RAN_CellPCI_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NG_RAN_CellPCI_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NG_RAN_CellPCI_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NG_RAN_CellPCI_choice_extension_value._const_tab = ___NG_RAN_CellPCI_choice_extension_value_tab
    __NG_RAN_CellPCI_choice_extension_value._const_tab_at = ('..', u'id')
    __NG_RAN_CellPCI_choice_extension_value._const_tab_id = u'Value'
    _NG_RAN_CellPCI_choice_extension._cont = ASN1Dict([
        (u'id', __NG_RAN_CellPCI_choice_extension_id),
        (u'criticality', __NG_RAN_CellPCI_choice_extension_criticality),
        (u'value', __NG_RAN_CellPCI_choice_extension_value),
        ])
    _NG_RAN_CellPCI_choice_extension._ext = None
    NG_RAN_CellPCI._cont = ASN1Dict([
        (u'nr', _NG_RAN_CellPCI_nr),
        (u'e-utra', _NG_RAN_CellPCI_e_utra),
        (u'choice-extension', _NG_RAN_CellPCI_choice_extension),
        ])
    NG_RAN_CellPCI._ext = None
    
    #-----< NG-RAN-CellPCI-ExtIEs >-----#
    NG_RAN_CellPCI_ExtIEs = CLASS(name=u'NG-RAN-CellPCI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NG_RAN_CellPCI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NG-RANnodeUEXnAPID >-----#
    NG_RANnodeUEXnAPID = INT(name=u'NG-RANnodeUEXnAPID', mode=MODE_TYPE)
    NG_RANnodeUEXnAPID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    
    #-----< NonDynamic5QIDescriptor >-----#
    NonDynamic5QIDescriptor = SEQ(name=u'NonDynamic5QIDescriptor', mode=MODE_TYPE)
    _NonDynamic5QIDescriptor_fiveQI = INT(name=u'fiveQI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'FiveQI')))
    _NonDynamic5QIDescriptor_priorityLevelQoS = INT(name=u'priorityLevelQoS', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PriorityLevelQoS')), opt=True)
    _NonDynamic5QIDescriptor_averagingWindow = INT(name=u'averagingWindow', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AveragingWindow')), opt=True)
    _NonDynamic5QIDescriptor_maximumDataBurstVolume = INT(name=u'maximumDataBurstVolume', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumDataBurstVolume')), opt=True)
    _NonDynamic5QIDescriptor_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NonDynamic5QIDescriptor_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NonDynamic5QIDescriptor_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NonDynamic5QIDescriptor_iE_Extension__item__id._const_tab = ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab
    ___NonDynamic5QIDescriptor_iE_Extension__item__id._const_tab_at = None
    ___NonDynamic5QIDescriptor_iE_Extension__item__id._const_tab_id = u'id'
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NonDynamic5QIDescriptor_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NonDynamic5QIDescriptor_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality._const_tab = ____NonDynamic5QIDescriptor_iE_Extension__item__criticality_tab
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NonDynamic5QIDescriptor_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NonDynamic5QIDescriptor_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NonDynamic5QIDescriptor_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab = ____NonDynamic5QIDescriptor_iE_Extension__item__extensionValue_tab
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NonDynamic5QIDescriptor_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NonDynamic5QIDescriptor_iE_Extension__item__id),
        (u'criticality', ___NonDynamic5QIDescriptor_iE_Extension__item__criticality),
        (u'extensionValue', ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue),
        ])
    __NonDynamic5QIDescriptor_iE_Extension__item_._ext = None
    _NonDynamic5QIDescriptor_iE_Extension._cont = __NonDynamic5QIDescriptor_iE_Extension__item_
    _NonDynamic5QIDescriptor_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NonDynamic5QIDescriptor._cont = ASN1Dict([
        (u'fiveQI', _NonDynamic5QIDescriptor_fiveQI),
        (u'priorityLevelQoS', _NonDynamic5QIDescriptor_priorityLevelQoS),
        (u'averagingWindow', _NonDynamic5QIDescriptor_averagingWindow),
        (u'maximumDataBurstVolume', _NonDynamic5QIDescriptor_maximumDataBurstVolume),
        (u'iE-Extension', _NonDynamic5QIDescriptor_iE_Extension),
        ])
    NonDynamic5QIDescriptor._ext = []
    
    #-----< NonDynamic5QIDescriptor-ExtIEs >-----#
    NonDynamic5QIDescriptor_ExtIEs = CLASS(name=u'NonDynamic5QIDescriptor-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NonDynamic5QIDescriptor_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRARFCN >-----#
    NRARFCN = INT(name=u'NRARFCN', mode=MODE_TYPE)
    NRARFCN._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=3279165)], ev=None, er=[])
    
    #-----< NR-Cell-Identity >-----#
    NR_Cell_Identity = BIT_STR(name=u'NR-Cell-Identity', mode=MODE_TYPE)
    NR_Cell_Identity._const_sz = ASN1Set(rv=[36], rr=[], ev=None, er=[])
    
    #-----< NG-RAN-Cell-Identity-ListinRANPagingArea >-----#
    NG_RAN_Cell_Identity_ListinRANPagingArea = SEQ_OF(name=u'NG-RAN-Cell-Identity-ListinRANPagingArea', mode=MODE_TYPE)
    _NG_RAN_Cell_Identity_ListinRANPagingArea__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    NG_RAN_Cell_Identity_ListinRANPagingArea._cont = _NG_RAN_Cell_Identity_ListinRANPagingArea__item_
    NG_RAN_Cell_Identity_ListinRANPagingArea._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< NR-CGI >-----#
    NR_CGI = SEQ(name=u'NR-CGI', mode=MODE_TYPE)
    _NR_CGI_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _NR_CGI_nr_CI = BIT_STR(name=u'nr-CI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-Cell-Identity')))
    _NR_CGI_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NR_CGI_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NR_CGI_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NR_CGI_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extension__item__id._const_tab = ____NR_CGI_iE_Extension__item__id_tab
    ___NR_CGI_iE_Extension__item__id._const_tab_at = None
    ___NR_CGI_iE_Extension__item__id._const_tab_id = u'id'
    ___NR_CGI_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NR_CGI_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extension__item__criticality._const_tab = ____NR_CGI_iE_Extension__item__criticality_tab
    ___NR_CGI_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NR_CGI_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NR_CGI_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NR_CGI_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NR_CGI_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NR_CGI_iE_Extension__item__extensionValue._const_tab = ____NR_CGI_iE_Extension__item__extensionValue_tab
    ___NR_CGI_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NR_CGI_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NR_CGI_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NR_CGI_iE_Extension__item__id),
        (u'criticality', ___NR_CGI_iE_Extension__item__criticality),
        (u'extensionValue', ___NR_CGI_iE_Extension__item__extensionValue),
        ])
    __NR_CGI_iE_Extension__item_._ext = None
    _NR_CGI_iE_Extension._cont = __NR_CGI_iE_Extension__item_
    _NR_CGI_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NR_CGI._cont = ASN1Dict([
        (u'plmn-id', _NR_CGI_plmn_id),
        (u'nr-CI', _NR_CGI_nr_CI),
        (u'iE-Extension', _NR_CGI_iE_Extension),
        ])
    NR_CGI._ext = []
    
    #-----< NR-CGI-ExtIEs >-----#
    NR_CGI_ExtIEs = CLASS(name=u'NR-CGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NR_CGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRFrequencyBand >-----#
    NRFrequencyBand = INT(name=u'NRFrequencyBand', mode=MODE_TYPE)
    NRFrequencyBand._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=[], er=[])
    
    #-----< NRFrequencyBand-List >-----#
    NRFrequencyBand_List = SEQ_OF(name=u'NRFrequencyBand-List', mode=MODE_TYPE)
    _NRFrequencyBand_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyBandItem')))
    NRFrequencyBand_List._cont = _NRFrequencyBand_List__item_
    NRFrequencyBand_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< NRFrequencyBandItem >-----#
    NRFrequencyBandItem = SEQ(name=u'NRFrequencyBandItem', mode=MODE_TYPE)
    _NRFrequencyBandItem_nr_frequency_band = INT(name=u'nr-frequency-band', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyBand')))
    _NRFrequencyBandItem_supported_SUL_Band_List = SEQ_OF(name=u'supported-SUL-Band-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SupportedSULBandList')), opt=True)
    _NRFrequencyBandItem_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRFrequencyBandItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRFrequencyBandItem_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NRFrequencyBandItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyBandItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyBandItem_iE_Extension__item__id._const_tab = ____NRFrequencyBandItem_iE_Extension__item__id_tab
    ___NRFrequencyBandItem_iE_Extension__item__id._const_tab_at = None
    ___NRFrequencyBandItem_iE_Extension__item__id._const_tab_id = u'id'
    ___NRFrequencyBandItem_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NRFrequencyBandItem_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyBandItem_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyBandItem_iE_Extension__item__criticality._const_tab = ____NRFrequencyBandItem_iE_Extension__item__criticality_tab
    ___NRFrequencyBandItem_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NRFrequencyBandItem_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue._const_tab = ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NRFrequencyBandItem_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NRFrequencyBandItem_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NRFrequencyBandItem_iE_Extension__item__id),
        (u'criticality', ___NRFrequencyBandItem_iE_Extension__item__criticality),
        (u'extensionValue', ___NRFrequencyBandItem_iE_Extension__item__extensionValue),
        ])
    __NRFrequencyBandItem_iE_Extension__item_._ext = None
    _NRFrequencyBandItem_iE_Extension._cont = __NRFrequencyBandItem_iE_Extension__item_
    _NRFrequencyBandItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRFrequencyBandItem._cont = ASN1Dict([
        (u'nr-frequency-band', _NRFrequencyBandItem_nr_frequency_band),
        (u'supported-SUL-Band-List', _NRFrequencyBandItem_supported_SUL_Band_List),
        (u'iE-Extension', _NRFrequencyBandItem_iE_Extension),
        ])
    NRFrequencyBandItem._ext = []
    
    #-----< NRFrequencyBandItem-ExtIEs >-----#
    NRFrequencyBandItem_ExtIEs = CLASS(name=u'NRFrequencyBandItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRFrequencyBandItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRFrequencyInfo >-----#
    NRFrequencyInfo = SEQ(name=u'NRFrequencyInfo', mode=MODE_TYPE)
    _NRFrequencyInfo_nrARFCN = INT(name=u'nrARFCN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRARFCN')))
    _NRFrequencyInfo_sul_information = SEQ(name=u'sul-information', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SUL-Information')), opt=True)
    _NRFrequencyInfo_frequencyBand_List = SEQ_OF(name=u'frequencyBand-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyBand-List')))
    _NRFrequencyInfo_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRFrequencyInfo_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRFrequencyInfo_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NRFrequencyInfo_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyInfo_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyInfo_iE_Extension__item__id._const_tab = ____NRFrequencyInfo_iE_Extension__item__id_tab
    ___NRFrequencyInfo_iE_Extension__item__id._const_tab_at = None
    ___NRFrequencyInfo_iE_Extension__item__id._const_tab_id = u'id'
    ___NRFrequencyInfo_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NRFrequencyInfo_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyInfo_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyInfo_iE_Extension__item__criticality._const_tab = ____NRFrequencyInfo_iE_Extension__item__criticality_tab
    ___NRFrequencyInfo_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NRFrequencyInfo_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NRFrequencyInfo_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NRFrequencyInfo_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRFrequencyInfo_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRFrequencyInfo_iE_Extension__item__extensionValue._const_tab = ____NRFrequencyInfo_iE_Extension__item__extensionValue_tab
    ___NRFrequencyInfo_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NRFrequencyInfo_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NRFrequencyInfo_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NRFrequencyInfo_iE_Extension__item__id),
        (u'criticality', ___NRFrequencyInfo_iE_Extension__item__criticality),
        (u'extensionValue', ___NRFrequencyInfo_iE_Extension__item__extensionValue),
        ])
    __NRFrequencyInfo_iE_Extension__item_._ext = None
    _NRFrequencyInfo_iE_Extension._cont = __NRFrequencyInfo_iE_Extension__item_
    _NRFrequencyInfo_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRFrequencyInfo._cont = ASN1Dict([
        (u'nrARFCN', _NRFrequencyInfo_nrARFCN),
        (u'sul-information', _NRFrequencyInfo_sul_information),
        (u'frequencyBand-List', _NRFrequencyInfo_frequencyBand_List),
        (u'iE-Extension', _NRFrequencyInfo_iE_Extension),
        ])
    NRFrequencyInfo._ext = []
    
    #-----< NRFrequencyInfo-ExtIEs >-----#
    NRFrequencyInfo_ExtIEs = CLASS(name=u'NRFrequencyInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRFrequencyInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRModeInfo >-----#
    NRModeInfo = CHOICE(name=u'NRModeInfo', mode=MODE_TYPE)
    _NRModeInfo_fdd = SEQ(name=u'fdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRModeInfoFDD')))
    _NRModeInfo_tdd = SEQ(name=u'tdd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRModeInfoTDD')))
    _NRModeInfo_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __NRModeInfo_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___NRModeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NRModeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NRModeInfo_choice_extension_id._const_tab = ___NRModeInfo_choice_extension_id_tab
    __NRModeInfo_choice_extension_id._const_tab_at = None
    __NRModeInfo_choice_extension_id._const_tab_id = u'id'
    __NRModeInfo_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NRModeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NRModeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NRModeInfo_choice_extension_criticality._const_tab = ___NRModeInfo_choice_extension_criticality_tab
    __NRModeInfo_choice_extension_criticality._const_tab_at = ('..', u'id')
    __NRModeInfo_choice_extension_criticality._const_tab_id = u'criticality'
    __NRModeInfo_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NRModeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___NRModeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __NRModeInfo_choice_extension_value._const_tab = ___NRModeInfo_choice_extension_value_tab
    __NRModeInfo_choice_extension_value._const_tab_at = ('..', u'id')
    __NRModeInfo_choice_extension_value._const_tab_id = u'Value'
    _NRModeInfo_choice_extension._cont = ASN1Dict([
        (u'id', __NRModeInfo_choice_extension_id),
        (u'criticality', __NRModeInfo_choice_extension_criticality),
        (u'value', __NRModeInfo_choice_extension_value),
        ])
    _NRModeInfo_choice_extension._ext = None
    NRModeInfo._cont = ASN1Dict([
        (u'fdd', _NRModeInfo_fdd),
        (u'tdd', _NRModeInfo_tdd),
        (u'choice-extension', _NRModeInfo_choice_extension),
        ])
    NRModeInfo._ext = None
    
    #-----< NRModeInfo-ExtIEs >-----#
    NRModeInfo_ExtIEs = CLASS(name=u'NRModeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    NRModeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRModeInfoFDD >-----#
    NRModeInfoFDD = SEQ(name=u'NRModeInfoFDD', mode=MODE_TYPE)
    _NRModeInfoFDD_ulNRFrequencyInfo = SEQ(name=u'ulNRFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NRModeInfoFDD_dlNRFrequencyInfo = SEQ(name=u'dlNRFrequencyInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NRModeInfoFDD_ulNRTransmissonBandwidth = SEQ(name=u'ulNRTransmissonBandwidth', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _NRModeInfoFDD_dlNRTransmissonBandwidth = SEQ(name=u'dlNRTransmissonBandwidth', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _NRModeInfoFDD_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRModeInfoFDD_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRModeInfoFDD_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NRModeInfoFDD_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRModeInfoFDD_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRModeInfoFDD_iE_Extension__item__id._const_tab = ____NRModeInfoFDD_iE_Extension__item__id_tab
    ___NRModeInfoFDD_iE_Extension__item__id._const_tab_at = None
    ___NRModeInfoFDD_iE_Extension__item__id._const_tab_id = u'id'
    ___NRModeInfoFDD_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NRModeInfoFDD_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRModeInfoFDD_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRModeInfoFDD_iE_Extension__item__criticality._const_tab = ____NRModeInfoFDD_iE_Extension__item__criticality_tab
    ___NRModeInfoFDD_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NRModeInfoFDD_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NRModeInfoFDD_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NRModeInfoFDD_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRModeInfoFDD_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRModeInfoFDD_iE_Extension__item__extensionValue._const_tab = ____NRModeInfoFDD_iE_Extension__item__extensionValue_tab
    ___NRModeInfoFDD_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NRModeInfoFDD_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NRModeInfoFDD_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NRModeInfoFDD_iE_Extension__item__id),
        (u'criticality', ___NRModeInfoFDD_iE_Extension__item__criticality),
        (u'extensionValue', ___NRModeInfoFDD_iE_Extension__item__extensionValue),
        ])
    __NRModeInfoFDD_iE_Extension__item_._ext = None
    _NRModeInfoFDD_iE_Extension._cont = __NRModeInfoFDD_iE_Extension__item_
    _NRModeInfoFDD_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRModeInfoFDD._cont = ASN1Dict([
        (u'ulNRFrequencyInfo', _NRModeInfoFDD_ulNRFrequencyInfo),
        (u'dlNRFrequencyInfo', _NRModeInfoFDD_dlNRFrequencyInfo),
        (u'ulNRTransmissonBandwidth', _NRModeInfoFDD_ulNRTransmissonBandwidth),
        (u'dlNRTransmissonBandwidth', _NRModeInfoFDD_dlNRTransmissonBandwidth),
        (u'iE-Extension', _NRModeInfoFDD_iE_Extension),
        ])
    NRModeInfoFDD._ext = []
    
    #-----< NRModeInfoFDD-ExtIEs >-----#
    NRModeInfoFDD_ExtIEs = CLASS(name=u'NRModeInfoFDD-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRModeInfoFDD_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRModeInfoTDD >-----#
    NRModeInfoTDD = SEQ(name=u'NRModeInfoTDD', mode=MODE_TYPE)
    _NRModeInfoTDD_nrFrequencyInfo = SEQ(name=u'nrFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRFrequencyInfo')))
    _NRModeInfoTDD_nrTransmissonBandwidth = SEQ(name=u'nrTransmissonBandwidth', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _NRModeInfoTDD_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRModeInfoTDD_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRModeInfoTDD_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NRModeInfoTDD_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRModeInfoTDD_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRModeInfoTDD_iE_Extension__item__id._const_tab = ____NRModeInfoTDD_iE_Extension__item__id_tab
    ___NRModeInfoTDD_iE_Extension__item__id._const_tab_at = None
    ___NRModeInfoTDD_iE_Extension__item__id._const_tab_id = u'id'
    ___NRModeInfoTDD_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NRModeInfoTDD_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRModeInfoTDD_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRModeInfoTDD_iE_Extension__item__criticality._const_tab = ____NRModeInfoTDD_iE_Extension__item__criticality_tab
    ___NRModeInfoTDD_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___NRModeInfoTDD_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___NRModeInfoTDD_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NRModeInfoTDD_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRModeInfoTDD_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRModeInfoTDD_iE_Extension__item__extensionValue._const_tab = ____NRModeInfoTDD_iE_Extension__item__extensionValue_tab
    ___NRModeInfoTDD_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___NRModeInfoTDD_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __NRModeInfoTDD_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___NRModeInfoTDD_iE_Extension__item__id),
        (u'criticality', ___NRModeInfoTDD_iE_Extension__item__criticality),
        (u'extensionValue', ___NRModeInfoTDD_iE_Extension__item__extensionValue),
        ])
    __NRModeInfoTDD_iE_Extension__item_._ext = None
    _NRModeInfoTDD_iE_Extension._cont = __NRModeInfoTDD_iE_Extension__item_
    _NRModeInfoTDD_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRModeInfoTDD._cont = ASN1Dict([
        (u'nrFrequencyInfo', _NRModeInfoTDD_nrFrequencyInfo),
        (u'nrTransmissonBandwidth', _NRModeInfoTDD_nrTransmissonBandwidth),
        (u'iE-Extension', _NRModeInfoTDD_iE_Extension),
        ])
    NRModeInfoTDD._ext = []
    
    #-----< NRModeInfoTDD-ExtIEs >-----#
    NRModeInfoTDD_ExtIEs = CLASS(name=u'NRModeInfoTDD-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRModeInfoTDD_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NRNRB >-----#
    NRNRB = ENUM(name=u'NRNRB', mode=MODE_TYPE)
    NRNRB._cont = ASN1Dict([(u'nrb11', 0), (u'nrb18', 1), (u'nrb24', 2), (u'nrb25', 3), (u'nrb31', 4), (u'nrb32', 5), (u'nrb38', 6), (u'nrb51', 7), (u'nrb52', 8), (u'nrb65', 9), (u'nrb66', 10), (u'nrb78', 11), (u'nrb79', 12), (u'nrb93', 13), (u'nrb106', 14), (u'nrb107', 15), (u'nrb121', 16), (u'nrb132', 17), (u'nrb133', 18), (u'nrb135', 19), (u'nrb160', 20), (u'nrb162', 21), (u'nrb189', 22), (u'nrb216', 23), (u'nrb217', 24), (u'nrb245', 25), (u'nrb264', 26), (u'nrb270', 27), (u'nrb273', 28)])
    NRNRB._ext = []
    
    #-----< NRPCI >-----#
    NRPCI = INT(name=u'NRPCI', mode=MODE_TYPE)
    NRPCI._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1007)], ev=[], er=[])
    
    #-----< NRSCS >-----#
    NRSCS = ENUM(name=u'NRSCS', mode=MODE_TYPE)
    NRSCS._cont = ASN1Dict([(u'scs15', 0), (u'scs30', 1), (u'scs60', 2), (u'scs120', 3)])
    NRSCS._ext = []
    
    #-----< NRTransmissionBandwidth >-----#
    NRTransmissionBandwidth = SEQ(name=u'NRTransmissionBandwidth', mode=MODE_TYPE)
    _NRTransmissionBandwidth_nRSCS = ENUM(name=u'nRSCS', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRSCS')))
    _NRTransmissionBandwidth_nRNRB = ENUM(name=u'nRNRB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRNRB')))
    _NRTransmissionBandwidth_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __NRTransmissionBandwidth_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___NRTransmissionBandwidth_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____NRTransmissionBandwidth_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRTransmissionBandwidth_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRTransmissionBandwidth_iE_Extensions__item__id._const_tab = ____NRTransmissionBandwidth_iE_Extensions__item__id_tab
    ___NRTransmissionBandwidth_iE_Extensions__item__id._const_tab_at = None
    ___NRTransmissionBandwidth_iE_Extensions__item__id._const_tab_id = u'id'
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality._const_tab = ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___NRTransmissionBandwidth_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue._const_tab = ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __NRTransmissionBandwidth_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___NRTransmissionBandwidth_iE_Extensions__item__id),
        (u'criticality', ___NRTransmissionBandwidth_iE_Extensions__item__criticality),
        (u'extensionValue', ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue),
        ])
    __NRTransmissionBandwidth_iE_Extensions__item_._ext = None
    _NRTransmissionBandwidth_iE_Extensions._cont = __NRTransmissionBandwidth_iE_Extensions__item_
    _NRTransmissionBandwidth_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    NRTransmissionBandwidth._cont = ASN1Dict([
        (u'nRSCS', _NRTransmissionBandwidth_nRSCS),
        (u'nRNRB', _NRTransmissionBandwidth_nRNRB),
        (u'iE-Extensions', _NRTransmissionBandwidth_iE_Extensions),
        ])
    NRTransmissionBandwidth._ext = []
    
    #-----< NRTransmissionBandwidth-ExtIEs >-----#
    NRTransmissionBandwidth_ExtIEs = CLASS(name=u'NRTransmissionBandwidth-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    NRTransmissionBandwidth_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NumberOfAntennaPorts-E-UTRA >-----#
    NumberOfAntennaPorts_E_UTRA = ENUM(name=u'NumberOfAntennaPorts-E-UTRA', mode=MODE_TYPE)
    NumberOfAntennaPorts_E_UTRA._cont = ASN1Dict([(u'an1', 0), (u'an2', 1), (u'an4', 2)])
    NumberOfAntennaPorts_E_UTRA._ext = []
    
    #-----< PacketDelayBudget >-----#
    PacketDelayBudget = INT(name=u'PacketDelayBudget', mode=MODE_TYPE)
    PacketDelayBudget._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1023)], ev=[], er=[])
    
    #-----< PacketErrorRate >-----#
    PacketErrorRate = SEQ(name=u'PacketErrorRate', mode=MODE_TYPE)
    _PacketErrorRate_pER_Scalar = INT(name=u'pER-Scalar', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PER-Scalar')))
    _PacketErrorRate_pER_Exponent = INT(name=u'pER-Exponent', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PER-Exponent')))
    _PacketErrorRate_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PacketErrorRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PacketErrorRate_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PacketErrorRate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__id._const_tab = ____PacketErrorRate_iE_Extensions__item__id_tab
    ___PacketErrorRate_iE_Extensions__item__id._const_tab_at = None
    ___PacketErrorRate_iE_Extensions__item__id._const_tab_id = u'id'
    ___PacketErrorRate_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PacketErrorRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab = ____PacketErrorRate_iE_Extensions__item__criticality_tab
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PacketErrorRate_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PacketErrorRate_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PacketErrorRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PacketErrorRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab = ____PacketErrorRate_iE_Extensions__item__extensionValue_tab
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PacketErrorRate_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PacketErrorRate_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PacketErrorRate_iE_Extensions__item__id),
        (u'criticality', ___PacketErrorRate_iE_Extensions__item__criticality),
        (u'extensionValue', ___PacketErrorRate_iE_Extensions__item__extensionValue),
        ])
    __PacketErrorRate_iE_Extensions__item_._ext = None
    _PacketErrorRate_iE_Extensions._cont = __PacketErrorRate_iE_Extensions__item_
    _PacketErrorRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PacketErrorRate._cont = ASN1Dict([
        (u'pER-Scalar', _PacketErrorRate_pER_Scalar),
        (u'pER-Exponent', _PacketErrorRate_pER_Exponent),
        (u'iE-Extensions', _PacketErrorRate_iE_Extensions),
        ])
    PacketErrorRate._ext = []
    
    #-----< PacketErrorRate-ExtIEs >-----#
    PacketErrorRate_ExtIEs = CLASS(name=u'PacketErrorRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PacketErrorRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PER-Scalar >-----#
    PER_Scalar = INT(name=u'PER-Scalar', mode=MODE_TYPE)
    PER_Scalar._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=[], er=[])
    
    #-----< PER-Exponent >-----#
    PER_Exponent = INT(name=u'PER-Exponent', mode=MODE_TYPE)
    PER_Exponent._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=9)], ev=[], er=[])
    
    #-----< PacketLossRate >-----#
    PacketLossRate = INT(name=u'PacketLossRate', mode=MODE_TYPE)
    PacketLossRate._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=1000)], ev=[], er=[])
    
    #-----< PagingDRX >-----#
    PagingDRX = ENUM(name=u'PagingDRX', mode=MODE_TYPE)
    PagingDRX._cont = ASN1Dict([(u'v32', 0), (u'v64', 1), (u'v128', 2), (u'v256', 3)])
    PagingDRX._ext = []
    
    #-----< PagingPriority >-----#
    PagingPriority = ENUM(name=u'PagingPriority', mode=MODE_TYPE)
    PagingPriority._cont = ASN1Dict([(u'priolevel1', 0), (u'priolevel2', 1), (u'priolevel3', 2), (u'priolevel4', 3), (u'priolevel5', 4), (u'priolevel6', 5), (u'priolevel7', 6), (u'priolevel8', 7)])
    PagingPriority._ext = []
    
    #-----< PDCPChangeIndication >-----#
    PDCPChangeIndication = CHOICE(name=u'PDCPChangeIndication', mode=MODE_TYPE)
    _PDCPChangeIndication_from_S_NG_RAN_node = ENUM(name=u'from-S-NG-RAN-node', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPChangeIndication_from_S_NG_RAN_node._cont = ASN1Dict([(u's-ng-ran-node-key-update-required', 0), (u'pdcp-data-recovery-required', 1)])
    _PDCPChangeIndication_from_S_NG_RAN_node._ext = []
    _PDCPChangeIndication_from_M_NG_RAN_node = ENUM(name=u'from-M-NG-RAN-node', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPChangeIndication_from_M_NG_RAN_node._cont = ASN1Dict([(u'pdcp-data-recovery-required', 0)])
    _PDCPChangeIndication_from_M_NG_RAN_node._ext = []
    _PDCPChangeIndication_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __PDCPChangeIndication_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___PDCPChangeIndication_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___PDCPChangeIndication_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PDCPChangeIndication_choice_extension_id._const_tab = ___PDCPChangeIndication_choice_extension_id_tab
    __PDCPChangeIndication_choice_extension_id._const_tab_at = None
    __PDCPChangeIndication_choice_extension_id._const_tab_id = u'id'
    __PDCPChangeIndication_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___PDCPChangeIndication_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___PDCPChangeIndication_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PDCPChangeIndication_choice_extension_criticality._const_tab = ___PDCPChangeIndication_choice_extension_criticality_tab
    __PDCPChangeIndication_choice_extension_criticality._const_tab_at = ('..', u'id')
    __PDCPChangeIndication_choice_extension_criticality._const_tab_id = u'criticality'
    __PDCPChangeIndication_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___PDCPChangeIndication_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___PDCPChangeIndication_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __PDCPChangeIndication_choice_extension_value._const_tab = ___PDCPChangeIndication_choice_extension_value_tab
    __PDCPChangeIndication_choice_extension_value._const_tab_at = ('..', u'id')
    __PDCPChangeIndication_choice_extension_value._const_tab_id = u'Value'
    _PDCPChangeIndication_choice_extension._cont = ASN1Dict([
        (u'id', __PDCPChangeIndication_choice_extension_id),
        (u'criticality', __PDCPChangeIndication_choice_extension_criticality),
        (u'value', __PDCPChangeIndication_choice_extension_value),
        ])
    _PDCPChangeIndication_choice_extension._ext = None
    PDCPChangeIndication._cont = ASN1Dict([
        (u'from-S-NG-RAN-node', _PDCPChangeIndication_from_S_NG_RAN_node),
        (u'from-M-NG-RAN-node', _PDCPChangeIndication_from_M_NG_RAN_node),
        (u'choice-extension', _PDCPChangeIndication_choice_extension),
        ])
    PDCPChangeIndication._ext = None
    
    #-----< PDCPChangeIndication-ExtIEs >-----#
    PDCPChangeIndication_ExtIEs = CLASS(name=u'PDCPChangeIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    PDCPChangeIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDCPDuplicationConfiguration >-----#
    PDCPDuplicationConfiguration = ENUM(name=u'PDCPDuplicationConfiguration', mode=MODE_TYPE)
    PDCPDuplicationConfiguration._cont = ASN1Dict([(u'configured', 0), (u'de-configured', 1)])
    PDCPDuplicationConfiguration._ext = []
    
    #-----< PDCPSNLength >-----#
    PDCPSNLength = SEQ(name=u'PDCPSNLength', mode=MODE_TYPE)
    _PDCPSNLength_ulPDCPSNLength = ENUM(name=u'ulPDCPSNLength', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPSNLength_ulPDCPSNLength._cont = ASN1Dict([(u'v12bits', 0), (u'v18bits', 1)])
    _PDCPSNLength_ulPDCPSNLength._ext = []
    _PDCPSNLength_dlPDCPSNLength = ENUM(name=u'dlPDCPSNLength', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDCPSNLength_dlPDCPSNLength._cont = ASN1Dict([(u'v12bits', 0), (u'v18bits', 1)])
    _PDCPSNLength_dlPDCPSNLength._ext = []
    _PDCPSNLength_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDCPSNLength_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDCPSNLength_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDCPSNLength_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDCPSNLength_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCPSNLength_iE_Extension__item__id._const_tab = ____PDCPSNLength_iE_Extension__item__id_tab
    ___PDCPSNLength_iE_Extension__item__id._const_tab_at = None
    ___PDCPSNLength_iE_Extension__item__id._const_tab_id = u'id'
    ___PDCPSNLength_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDCPSNLength_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDCPSNLength_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCPSNLength_iE_Extension__item__criticality._const_tab = ____PDCPSNLength_iE_Extension__item__criticality_tab
    ___PDCPSNLength_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDCPSNLength_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDCPSNLength_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDCPSNLength_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDCPSNLength_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDCPSNLength_iE_Extension__item__extensionValue._const_tab = ____PDCPSNLength_iE_Extension__item__extensionValue_tab
    ___PDCPSNLength_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDCPSNLength_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDCPSNLength_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDCPSNLength_iE_Extension__item__id),
        (u'criticality', ___PDCPSNLength_iE_Extension__item__criticality),
        (u'extensionValue', ___PDCPSNLength_iE_Extension__item__extensionValue),
        ])
    __PDCPSNLength_iE_Extension__item_._ext = None
    _PDCPSNLength_iE_Extension._cont = __PDCPSNLength_iE_Extension__item_
    _PDCPSNLength_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDCPSNLength._cont = ASN1Dict([
        (u'ulPDCPSNLength', _PDCPSNLength_ulPDCPSNLength),
        (u'dlPDCPSNLength', _PDCPSNLength_dlPDCPSNLength),
        (u'iE-Extension', _PDCPSNLength_iE_Extension),
        ])
    PDCPSNLength._ext = []
    
    #-----< PDCPSNLength-ExtIEs >-----#
    PDCPSNLength_ExtIEs = CLASS(name=u'PDCPSNLength-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDCPSNLength_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAggregateMaximumBitRate >-----#
    PDUSessionAggregateMaximumBitRate = SEQ(name=u'PDUSessionAggregateMaximumBitRate', mode=MODE_TYPE)
    _PDUSessionAggregateMaximumBitRate_downlink_session_AMBR = INT(name=u'downlink-session-AMBR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _PDUSessionAggregateMaximumBitRate_uplink_session_AMBR = INT(name=u'uplink-session-AMBR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _PDUSessionAggregateMaximumBitRate_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id._const_tab = ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab = ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_._ext = None
    _PDUSessionAggregateMaximumBitRate_iE_Extensions._cont = __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_
    _PDUSessionAggregateMaximumBitRate_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAggregateMaximumBitRate._cont = ASN1Dict([
        (u'downlink-session-AMBR', _PDUSessionAggregateMaximumBitRate_downlink_session_AMBR),
        (u'uplink-session-AMBR', _PDUSessionAggregateMaximumBitRate_uplink_session_AMBR),
        (u'iE-Extensions', _PDUSessionAggregateMaximumBitRate_iE_Extensions),
        ])
    PDUSessionAggregateMaximumBitRate._ext = []
    
    #-----< PDUSessionAggregateMaximumBitRate-ExtIEs >-----#
    PDUSessionAggregateMaximumBitRate_ExtIEs = CLASS(name=u'PDUSessionAggregateMaximumBitRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAggregateMaximumBitRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSession-List >-----#
    PDUSession_List = SEQ_OF(name=u'PDUSession-List', mode=MODE_TYPE)
    _PDUSession_List__item_ = INT(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    PDUSession_List._cont = _PDUSession_List__item_
    PDUSession_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withCause >-----#
    PDUSession_List_withCause = SEQ_OF(name=u'PDUSession-List-withCause', mode=MODE_TYPE)
    _PDUSession_List_withCause__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause-Item')))
    PDUSession_List_withCause._cont = _PDUSession_List_withCause__item_
    PDUSession_List_withCause._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withCause-Item >-----#
    PDUSession_List_withCause_Item = SEQ(name=u'PDUSession-List-withCause-Item', mode=MODE_TYPE)
    _PDUSession_List_withCause_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_List_withCause_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')), opt=True)
    _PDUSession_List_withCause_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_List_withCause_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_List_withCause_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withCause_Item_iE_Extension__item__id._const_tab = ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withCause_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_List_withCause_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSession_List_withCause_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSession_List_withCause_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSession_List_withCause_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSession_List_withCause_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_List_withCause_Item_iE_Extension__item_._ext = None
    _PDUSession_List_withCause_Item_iE_Extension._cont = __PDUSession_List_withCause_Item_iE_Extension__item_
    _PDUSession_List_withCause_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_List_withCause_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSession_List_withCause_Item_pduSessionId),
        (u'cause', _PDUSession_List_withCause_Item_cause),
        (u'iE-Extension', _PDUSession_List_withCause_Item_iE_Extension),
        ])
    PDUSession_List_withCause_Item._ext = []
    
    #-----< PDUSession-List-withCause-Item-ExtIEs >-----#
    PDUSession_List_withCause_Item_ExtIEs = CLASS(name=u'PDUSession-List-withCause-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_List_withCause_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSession-List-withDataForwardingFromTarget >-----#
    PDUSession_List_withDataForwardingFromTarget = SEQ_OF(name=u'PDUSession-List-withDataForwardingFromTarget', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingFromTarget__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingFromTarget-Item')))
    PDUSession_List_withDataForwardingFromTarget._cont = _PDUSession_List_withDataForwardingFromTarget__item_
    PDUSession_List_withDataForwardingFromTarget._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withDataForwardingFromTarget-Item >-----#
    PDUSession_List_withDataForwardingFromTarget_Item = SEQ(name=u'PDUSession-List-withDataForwardingFromTarget-Item', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingFromTarget_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_List_withDataForwardingFromTarget_Item_dataforwardinginfoTarget = SEQ(name=u'dataforwardinginfoTarget', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')))
    _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id._const_tab = ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_._ext = None
    _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension._cont = __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_
    _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_List_withDataForwardingFromTarget_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSession_List_withDataForwardingFromTarget_Item_pduSessionId),
        (u'dataforwardinginfoTarget', _PDUSession_List_withDataForwardingFromTarget_Item_dataforwardinginfoTarget),
        (u'iE-Extension', _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension),
        ])
    PDUSession_List_withDataForwardingFromTarget_Item._ext = []
    
    #-----< PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs >-----#
    PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs = CLASS(name=u'PDUSession-List-withDataForwardingFromTarget-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSession-List-withDataForwardingRequest >-----#
    PDUSession_List_withDataForwardingRequest = SEQ_OF(name=u'PDUSession-List-withDataForwardingRequest', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingRequest__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest-Item')))
    PDUSession_List_withDataForwardingRequest._cont = _PDUSession_List_withDataForwardingRequest__item_
    PDUSession_List_withDataForwardingRequest._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-List-withDataForwardingRequest-Item >-----#
    PDUSession_List_withDataForwardingRequest_Item = SEQ(name=u'PDUSession-List-withDataForwardingRequest-Item', mode=MODE_TYPE)
    _PDUSession_List_withDataForwardingRequest_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_List_withDataForwardingRequest_Item_dataforwardingInfofromSource = SEQ(name=u'dataforwardingInfofromSource', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSession_List_withDataForwardingRequest_Item_dRBtoBeReleasedList = SEQ_OF(name=u'dRBtoBeReleasedList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBToQoSFlowMapping-List')), opt=True)
    _PDUSession_List_withDataForwardingRequest_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id._const_tab = ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality_tab
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_._ext = None
    _PDUSession_List_withDataForwardingRequest_Item_iE_Extension._cont = __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_
    _PDUSession_List_withDataForwardingRequest_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_List_withDataForwardingRequest_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSession_List_withDataForwardingRequest_Item_pduSessionId),
        (u'dataforwardingInfofromSource', _PDUSession_List_withDataForwardingRequest_Item_dataforwardingInfofromSource),
        (u'dRBtoBeReleasedList', _PDUSession_List_withDataForwardingRequest_Item_dRBtoBeReleasedList),
        (u'iE-Extension', _PDUSession_List_withDataForwardingRequest_Item_iE_Extension),
        ])
    PDUSession_List_withDataForwardingRequest_Item._ext = []
    
    #-----< PDUSession-List-withDataForwardingRequest-Item-ExtIEs >-----#
    PDUSession_List_withDataForwardingRequest_Item_ExtIEs = CLASS(name=u'PDUSession-List-withDataForwardingRequest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_List_withDataForwardingRequest_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesAdmitted-List >-----#
    PDUSessionResourcesAdmitted_List = SEQ_OF(name=u'PDUSessionResourcesAdmitted-List', mode=MODE_TYPE)
    _PDUSessionResourcesAdmitted_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesAdmitted-Item')))
    PDUSessionResourcesAdmitted_List._cont = _PDUSessionResourcesAdmitted_List__item_
    PDUSessionResourcesAdmitted_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesAdmitted-Item >-----#
    PDUSessionResourcesAdmitted_Item = SEQ(name=u'PDUSessionResourcesAdmitted-Item', mode=MODE_TYPE)
    _PDUSessionResourcesAdmitted_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesAdmitted_Item_pduSessionResourceAdmittedInfo = SEQ(name=u'pduSessionResourceAdmittedInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceAdmittedInfo')))
    _PDUSessionResourcesAdmitted_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesAdmitted_Item_iE_Extensions._cont = __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_
    _PDUSessionResourcesAdmitted_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesAdmitted_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionResourcesAdmitted_Item_pduSessionId),
        (u'pduSessionResourceAdmittedInfo', _PDUSessionResourcesAdmitted_Item_pduSessionResourceAdmittedInfo),
        (u'iE-Extensions', _PDUSessionResourcesAdmitted_Item_iE_Extensions),
        ])
    PDUSessionResourcesAdmitted_Item._ext = []
    
    #-----< PDUSessionResourcesAdmitted-Item-ExtIEs >-----#
    PDUSessionResourcesAdmitted_Item_ExtIEs = CLASS(name=u'PDUSessionResourcesAdmitted-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesAdmitted_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceAdmittedInfo >-----#
    PDUSessionResourceAdmittedInfo = SEQ(name=u'PDUSessionResourceAdmittedInfo', mode=MODE_TYPE)
    _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged = ENUM(name=u'dL-NG-U-TNL-Information-Unchanged', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged._cont = ASN1Dict([(u'true', 0)])
    _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged._ext = []
    _PDUSessionResourceAdmittedInfo_qosFlowsAdmitted_List = SEQ_OF(name=u'qosFlowsAdmitted-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsAdmitted-List')))
    _PDUSessionResourceAdmittedInfo_qosFlowsNotAdmitted_List = SEQ_OF(name=u'qosFlowsNotAdmitted-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceAdmittedInfo_dataForwardingInfoFromTarget = SEQ(name=u'dataForwardingInfoFromTarget', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceAdmittedInfo_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceAdmittedInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 109), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id._const_tab = ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceAdmittedInfo_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceAdmittedInfo_iE_Extensions__item_._ext = None
    _PDUSessionResourceAdmittedInfo_iE_Extensions._cont = __PDUSessionResourceAdmittedInfo_iE_Extensions__item_
    _PDUSessionResourceAdmittedInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceAdmittedInfo._cont = ASN1Dict([
        (u'dL-NG-U-TNL-Information-Unchanged', _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged),
        (u'qosFlowsAdmitted-List', _PDUSessionResourceAdmittedInfo_qosFlowsAdmitted_List),
        (u'qosFlowsNotAdmitted-List', _PDUSessionResourceAdmittedInfo_qosFlowsNotAdmitted_List),
        (u'dataForwardingInfoFromTarget', _PDUSessionResourceAdmittedInfo_dataForwardingInfoFromTarget),
        (u'iE-Extensions', _PDUSessionResourceAdmittedInfo_iE_Extensions),
        ])
    PDUSessionResourceAdmittedInfo._ext = []
    
    #-----< PDUSessionResourceAdmittedInfo-ExtIEs >-----#
    PDUSessionResourceAdmittedInfo_ExtIEs = CLASS(name=u'PDUSessionResourceAdmittedInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceAdmittedInfo_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-List')))
    PDUSessionResourceAdmittedInfo_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 109), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourceAdmittedInfo_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesNotAdmitted-List >-----#
    PDUSessionResourcesNotAdmitted_List = SEQ_OF(name=u'PDUSessionResourcesNotAdmitted-List', mode=MODE_TYPE)
    _PDUSessionResourcesNotAdmitted_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-Item')))
    PDUSessionResourcesNotAdmitted_List._cont = _PDUSessionResourcesNotAdmitted_List__item_
    PDUSessionResourcesNotAdmitted_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesNotAdmitted-Item >-----#
    PDUSessionResourcesNotAdmitted_Item = SEQ(name=u'PDUSessionResourcesNotAdmitted-Item', mode=MODE_TYPE)
    _PDUSessionResourcesNotAdmitted_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesNotAdmitted_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')), opt=True)
    _PDUSessionResourcesNotAdmitted_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id._const_tab = ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_._ext = None
    _PDUSessionResourcesNotAdmitted_Item_iE_Extension._cont = __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_
    _PDUSessionResourcesNotAdmitted_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesNotAdmitted_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionResourcesNotAdmitted_Item_pduSessionId),
        (u'cause', _PDUSessionResourcesNotAdmitted_Item_cause),
        (u'iE-Extension', _PDUSessionResourcesNotAdmitted_Item_iE_Extension),
        ])
    PDUSessionResourcesNotAdmitted_Item._ext = []
    
    #-----< PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs >-----#
    PDUSessionResourcesNotAdmitted_Item_Item_ExtIEs = CLASS(name=u'PDUSessionResourcesNotAdmitted-Item-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesNotAdmitted_Item_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesToBeSetup-List >-----#
    PDUSessionResourcesToBeSetup_List = SEQ_OF(name=u'PDUSessionResourcesToBeSetup-List', mode=MODE_TYPE)
    _PDUSessionResourcesToBeSetup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesToBeSetup-Item')))
    PDUSessionResourcesToBeSetup_List._cont = _PDUSessionResourcesToBeSetup_List__item_
    PDUSessionResourcesToBeSetup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesToBeSetup-Item >-----#
    PDUSessionResourcesToBeSetup_Item = SEQ(name=u'PDUSessionResourcesToBeSetup-Item', mode=MODE_TYPE)
    _PDUSessionResourcesToBeSetup_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesToBeSetup_Item_s_NSSAI = SEQ(name=u's-NSSAI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionResourcesToBeSetup_Item_pduSessionAMBR = SEQ(name=u'pduSessionAMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_uL_NG_U_TNLatUPF = CHOICE(name=u'uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourcesToBeSetup_Item_source_DL_NG_U_TNL_Information = CHOICE(name=u'source-DL-NG-U-TNL-Information', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_securityIndication = SEQ(name=u'securityIndication', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecurityIndication')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_pduSessionType = ENUM(name=u'pduSessionType', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourcesToBeSetup_Item_pduSessionNetworkInstance = INT(name=u'pduSessionNetworkInstance', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionNetworkInstance')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_qosFlowsToBeSetup_List = SEQ_OF(name=u'qosFlowsToBeSetup-List', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List')))
    _PDUSessionResourcesToBeSetup_Item_dataforwardinginfofromSource = SEQ(name=u'dataforwardinginfofromSource', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourcesToBeSetup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-List')))
    _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 108), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 127), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesToBeSetup_Item_iE_Extensions._cont = __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_
    _PDUSessionResourcesToBeSetup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesToBeSetup_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionResourcesToBeSetup_Item_pduSessionId),
        (u's-NSSAI', _PDUSessionResourcesToBeSetup_Item_s_NSSAI),
        (u'pduSessionAMBR', _PDUSessionResourcesToBeSetup_Item_pduSessionAMBR),
        (u'uL-NG-U-TNLatUPF', _PDUSessionResourcesToBeSetup_Item_uL_NG_U_TNLatUPF),
        (u'source-DL-NG-U-TNL-Information', _PDUSessionResourcesToBeSetup_Item_source_DL_NG_U_TNL_Information),
        (u'securityIndication', _PDUSessionResourcesToBeSetup_Item_securityIndication),
        (u'pduSessionType', _PDUSessionResourcesToBeSetup_Item_pduSessionType),
        (u'pduSessionNetworkInstance', _PDUSessionResourcesToBeSetup_Item_pduSessionNetworkInstance),
        (u'qosFlowsToBeSetup-List', _PDUSessionResourcesToBeSetup_Item_qosFlowsToBeSetup_List),
        (u'dataforwardinginfofromSource', _PDUSessionResourcesToBeSetup_Item_dataforwardinginfofromSource),
        (u'iE-Extensions', _PDUSessionResourcesToBeSetup_Item_iE_Extensions),
        ])
    PDUSessionResourcesToBeSetup_Item._ext = []
    
    #-----< PDUSessionResourcesToBeSetup-Item-ExtIEs >-----#
    PDUSessionResourcesToBeSetup_Item_ExtIEs = CLASS(name=u'PDUSessionResourcesToBeSetup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Additional-UL-NG-U-TNLatUPF-List')))
    _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    PDUSessionResourcesToBeSetup_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 108), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 127), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupInfo-SNterminated >-----#
    PDUSessionResourceSetupInfo_SNterminated = SEQ(name=u'PDUSessionResourceSetupInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupInfo_SNterminated_uL_NG_U_TNLatUPF = CHOICE(name=u'uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceSetupInfo_SNterminated_pduSessionType = ENUM(name=u'pduSessionType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourceSetupInfo_SNterminated_pduSessionNetworkInstance = INT(name=u'pduSessionNetworkInstance', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionNetworkInstance')), opt=True)
    _PDUSessionResourceSetupInfo_SNterminated_qosFlowsToBeSetup_List = SEQ_OF(name=u'qosFlowsToBeSetup-List', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Setup-SNterminated')))
    _PDUSessionResourceSetupInfo_SNterminated_dataforwardinginfofromSource = SEQ(name=u'dataforwardinginfofromSource', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceSetupInfo_SNterminated_securityIndication = SEQ(name=u'securityIndication', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecurityIndication')), opt=True)
    _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSessionIndicator')))
    ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 115), (u'criticality', u'reject'), (u'Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 127), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')]), dict([(u'id', 132), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2), (u'presence', u'optional')]), dict([(u'id', 134), (u'criticality', u'reject'), (u'Extension', _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupInfo_SNterminated._cont = ASN1Dict([
        (u'uL-NG-U-TNLatUPF', _PDUSessionResourceSetupInfo_SNterminated_uL_NG_U_TNLatUPF),
        (u'pduSessionType', _PDUSessionResourceSetupInfo_SNterminated_pduSessionType),
        (u'pduSessionNetworkInstance', _PDUSessionResourceSetupInfo_SNterminated_pduSessionNetworkInstance),
        (u'qosFlowsToBeSetup-List', _PDUSessionResourceSetupInfo_SNterminated_qosFlowsToBeSetup_List),
        (u'dataforwardinginfofromSource', _PDUSessionResourceSetupInfo_SNterminated_dataforwardinginfofromSource),
        (u'securityIndication', _PDUSessionResourceSetupInfo_SNterminated_securityIndication),
        (u'iE-Extensions', _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceSetupInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceSetupInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceSetupInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_1 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_2 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_3 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSessionIndicator')))
    PDUSessionResourceSetupInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 115), (u'criticality', u'reject'), (u'Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 127), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_1), (u'presence', u'optional')]), dict([(u'id', 132), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_2), (u'presence', u'optional')]), dict([(u'id', 134), (u'criticality', u'reject'), (u'Extension', _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeSetup-List-Setup-SNterminated >-----#
    QoSFlowsToBeSetup_List_Setup_SNterminated = SEQ_OF(name=u'QoSFlowsToBeSetup-List-Setup-SNterminated', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Setup_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Setup-SNterminated-Item')))
    QoSFlowsToBeSetup_List_Setup_SNterminated._cont = _QoSFlowsToBeSetup_List_Setup_SNterminated__item_
    QoSFlowsToBeSetup_List_Setup_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeSetup-List-Setup-SNterminated-Item >-----#
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item = SEQ(name=u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qfi = INT(name=u'qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qosFlowLevelQoSParameters = SEQ(name=u'qosFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_offeredGBRQoSFlowInfo = SEQ(name=u'offeredGBRQoSFlowInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions._cont = __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item._cont = ASN1Dict([
        (u'qfi', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qfi),
        (u'qosFlowLevelQoSParameters', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qosFlowLevelQoSParameters),
        (u'offeredGBRQoSFlowInfo', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_offeredGBRQoSFlowInfo),
        (u'iE-Extensions', _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item._ext = []
    
    #-----< QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs >-----#
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs = CLASS(name=u'QoSFlowsToBeSetup-List-Setup-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupResponseInfo-SNterminated >-----#
    PDUSessionResourceSetupResponseInfo_SNterminated = SEQ(name=u'PDUSessionResourceSetupResponseInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN = CHOICE(name=u'dL-NG-U-TNLatNG-RAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _PDUSessionResourceSetupResponseInfo_SNterminated_dRBsToBeSetup = SEQ_OF(name=u'dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-SetupResponse-SNterminated')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_dataforwardinginfoTarget = SEQ(name=u'dataforwardinginfoTarget', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_qosFlowsNotAdmittedList = SEQ_OF(name=u'qosFlowsNotAdmittedList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_securityResult = SEQ(name=u'securityResult', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecurityResult')), opt=True)
    _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupResponseInfo_SNterminated._cont = ASN1Dict([
        (u'dL-NG-U-TNLatNG-RAN', _PDUSessionResourceSetupResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN),
        (u'dRBsToBeSetup', _PDUSessionResourceSetupResponseInfo_SNterminated_dRBsToBeSetup),
        (u'dataforwardinginfoTarget', _PDUSessionResourceSetupResponseInfo_SNterminated_dataforwardinginfoTarget),
        (u'qosFlowsNotAdmittedList', _PDUSessionResourceSetupResponseInfo_SNterminated_qosFlowsNotAdmittedList),
        (u'securityResult', _PDUSessionResourceSetupResponseInfo_SNterminated_securityResult),
        (u'iE-Extensions', _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupResponseInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceSetupResponseInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetupList-SetupResponse-SNterminated >-----#
    DRBsToBeSetupList_SetupResponse_SNterminated = SEQ_OF(name=u'DRBsToBeSetupList-SetupResponse-SNterminated', mode=MODE_TYPE)
    _DRBsToBeSetupList_SetupResponse_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-SetupResponse-SNterminated-Item')))
    DRBsToBeSetupList_SetupResponse_SNterminated._cont = _DRBsToBeSetupList_SetupResponse_SNterminated__item_
    DRBsToBeSetupList_SetupResponse_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeSetupList-SetupResponse-SNterminated-Item >-----#
    DRBsToBeSetupList_SetupResponse_SNterminated_Item = SEQ(name=u'DRBsToBeSetupList-SetupResponse-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'sN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_dRB_QoS = SEQ(name=u'dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_pDCP_SNLength = SEQ(name=u'pDCP-SNLength', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPSNLength')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_rLC_Mode = ENUM(name=u'rLC-Mode', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_uL_Configuration = SEQ(name=u'uL-Configuration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_duplicationActivation = ENUM(name=u'duplicationActivation', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated = SEQ_OF(name=u'qoSFlowsMappedtoDRB-SetupResponse-SNterminated', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-SNterminated')))
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions._cont = __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetupList_SetupResponse_SNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_drb_ID),
        (u'sN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo),
        (u'dRB-QoS', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_dRB_QoS),
        (u'pDCP-SNLength', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_pDCP_SNLength),
        (u'rLC-Mode', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_rLC_Mode),
        (u'uL-Configuration', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_uL_Configuration),
        (u'secondary-SN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo),
        (u'duplicationActivation', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_duplicationActivation),
        (u'qoSFlowsMappedtoDRB-SetupResponse-SNterminated', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated),
        (u'iE-Extensions', _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetupList_SetupResponse_SNterminated_Item._ext = []
    
    #-----< DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs >-----#
    DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeSetupList-SetupResponse-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-SNterminated >-----#
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated = SEQ_OF(name=u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item')))
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated._cont = _QoSFlowsMappedtoDRB_SetupResponse_SNterminated__item_
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item >-----#
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item = SEQ(name=u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qoSFlowIdentifier = INT(name=u'qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_mCGRequestedGBRQoSFlowInfo = SEQ(name=u'mCGRequestedGBRQoSFlowInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qosFlowMappingIndication = ENUM(name=u'qosFlowMappingIndication', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions._cont = __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item._cont = ASN1Dict([
        (u'qoSFlowIdentifier', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qoSFlowIdentifier),
        (u'mCGRequestedGBRQoSFlowInfo', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_mCGRequestedGBRQoSFlowInfo),
        (u'qosFlowMappingIndication', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qosFlowMappingIndication),
        (u'iE-Extensions', _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item._ext = []
    
    #-----< QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs >-----#
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs = CLASS(name=u'QoSFlowsMappedtoDRB-SetupResponse-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupInfo-MNterminated >-----#
    PDUSessionResourceSetupInfo_MNterminated = SEQ(name=u'PDUSessionResourceSetupInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupInfo_MNterminated_pduSessionType = ENUM(name=u'pduSessionType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourceSetupInfo_MNterminated_dRBsToBeSetup = SEQ_OF(name=u'dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-Setup-MNterminated')))
    _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupInfo_MNterminated._cont = ASN1Dict([
        (u'pduSessionType', _PDUSessionResourceSetupInfo_MNterminated_pduSessionType),
        (u'dRBsToBeSetup', _PDUSessionResourceSetupInfo_MNterminated_dRBsToBeSetup),
        (u'iE-Extensions', _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceSetupInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceSetupInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceSetupInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceSetupInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetupList-Setup-MNterminated >-----#
    DRBsToBeSetupList_Setup_MNterminated = SEQ_OF(name=u'DRBsToBeSetupList-Setup-MNterminated', mode=MODE_TYPE)
    _DRBsToBeSetupList_Setup_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-Setup-MNterminated-Item')))
    DRBsToBeSetupList_Setup_MNterminated._cont = _DRBsToBeSetupList_Setup_MNterminated__item_
    DRBsToBeSetupList_Setup_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeSetupList-Setup-MNterminated-Item >-----#
    DRBsToBeSetupList_Setup_MNterminated_Item = SEQ(name=u'DRBsToBeSetupList-Setup-MNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetupList_Setup_MNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'mN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_rLC_Mode = ENUM(name=u'rLC-Mode', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_uL_Configuration = SEQ(name=u'uL-Configuration', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_dRB_QoS = SEQ(name=u'dRB-QoS', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_pDCP_SNLength = SEQ(name=u'pDCP-SNLength', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPSNLength')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'secondary-MN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_duplicationActivation = ENUM(name=u'duplicationActivation', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeSetupList_Setup_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated = SEQ_OF(name=u'qoSFlowsMappedtoDRB-Setup-MNterminated', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-Setup-MNterminated')))
    _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions._cont = __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetupList_Setup_MNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeSetupList_Setup_MNterminated_Item_drb_ID),
        (u'mN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_Setup_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo),
        (u'rLC-Mode', _DRBsToBeSetupList_Setup_MNterminated_Item_rLC_Mode),
        (u'uL-Configuration', _DRBsToBeSetupList_Setup_MNterminated_Item_uL_Configuration),
        (u'dRB-QoS', _DRBsToBeSetupList_Setup_MNterminated_Item_dRB_QoS),
        (u'pDCP-SNLength', _DRBsToBeSetupList_Setup_MNterminated_Item_pDCP_SNLength),
        (u'secondary-MN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetupList_Setup_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo),
        (u'duplicationActivation', _DRBsToBeSetupList_Setup_MNterminated_Item_duplicationActivation),
        (u'qoSFlowsMappedtoDRB-Setup-MNterminated', _DRBsToBeSetupList_Setup_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated),
        (u'iE-Extensions', _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetupList_Setup_MNterminated_Item._ext = []
    
    #-----< DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs >-----#
    DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeSetupList-Setup-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsMappedtoDRB-Setup-MNterminated >-----#
    QoSFlowsMappedtoDRB_Setup_MNterminated = SEQ_OF(name=u'QoSFlowsMappedtoDRB-Setup-MNterminated', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_Setup_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-Setup-MNterminated-Item')))
    QoSFlowsMappedtoDRB_Setup_MNterminated._cont = _QoSFlowsMappedtoDRB_Setup_MNterminated__item_
    QoSFlowsMappedtoDRB_Setup_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsMappedtoDRB-Setup-MNterminated-Item >-----#
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item = SEQ(name=u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowIdentifier = INT(name=u'qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowLevelQoSParameters = SEQ(name=u'qoSFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qosFlowMappingIndication = ENUM(name=u'qosFlowMappingIndication', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions._cont = __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_
    _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item._cont = ASN1Dict([
        (u'qoSFlowIdentifier', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowIdentifier),
        (u'qoSFlowLevelQoSParameters', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowLevelQoSParameters),
        (u'qosFlowMappingIndication', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qosFlowMappingIndication),
        (u'iE-Extensions', _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions),
        ])
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item._ext = []
    
    #-----< QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs >-----#
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs = CLASS(name=u'QoSFlowsMappedtoDRB-Setup-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSetupResponseInfo-MNterminated >-----#
    PDUSessionResourceSetupResponseInfo_MNterminated = SEQ(name=u'PDUSessionResourceSetupResponseInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceSetupResponseInfo_MNterminated_dRBsAdmittedList = SEQ_OF(name=u'dRBsAdmittedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-SetupResponse-MNterminated')))
    _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')))
    ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 124), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSetupResponseInfo_MNterminated._cont = ASN1Dict([
        (u'dRBsAdmittedList', _PDUSessionResourceSetupResponseInfo_MNterminated_dRBsAdmittedList),
        (u'iE-Extensions', _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceSetupResponseInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceSetupResponseInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')))
    PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 124), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsAdmittedList-SetupResponse-MNterminated >-----#
    DRBsAdmittedList_SetupResponse_MNterminated = SEQ_OF(name=u'DRBsAdmittedList-SetupResponse-MNterminated', mode=MODE_TYPE)
    _DRBsAdmittedList_SetupResponse_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-SetupResponse-MNterminated-Item')))
    DRBsAdmittedList_SetupResponse_MNterminated._cont = _DRBsAdmittedList_SetupResponse_MNterminated__item_
    DRBsAdmittedList_SetupResponse_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsAdmittedList-SetupResponse-MNterminated-Item >-----#
    DRBsAdmittedList_SetupResponse_MNterminated_Item = SEQ(name=u'DRBsAdmittedList-SetupResponse-MNterminated-Item', mode=MODE_TYPE)
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo = SEQ_OF(name=u'sN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo = SEQ_OF(name=u'secondary-SN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_lCID = INT(name=u'lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions._cont = __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_
    _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsAdmittedList_SetupResponse_MNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsAdmittedList_SetupResponse_MNterminated_Item_drb_ID),
        (u'sN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_SetupResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo),
        (u'secondary-SN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_SetupResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo),
        (u'lCID', _DRBsAdmittedList_SetupResponse_MNterminated_Item_lCID),
        (u'iE-Extensions', _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions),
        ])
    DRBsAdmittedList_SetupResponse_MNterminated_Item._ext = []
    
    #-----< DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs >-----#
    DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs = CLASS(name=u'DRBsAdmittedList-SetupResponse-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationInfo-SNterminated >-----#
    PDUSessionResourceModificationInfo_SNterminated = SEQ(name=u'PDUSessionResourceModificationInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationInfo_SNterminated_uL_NG_U_TNLatUPF = CHOICE(name=u'uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_pduSessionNetworkInstance = INT(name=u'pduSessionNetworkInstance', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionNetworkInstance')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeSetup_List = SEQ_OF(name=u'qosFlowsToBeSetup-List', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Setup-SNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_dataforwardinginfofromSource = SEQ(name=u'dataforwardinginfofromSource', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeModified_List = SEQ_OF(name=u'qosFlowsToBeModified-List', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Modified-SNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_qoSFlowsToBeReleased_List = SEQ_OF(name=u'qoSFlowsToBeReleased-List', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_drbsToBeModifiedList = SEQ_OF(name=u'drbsToBeModifiedList', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-Modified-SNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_dRBsToBeReleased = SEQ_OF(name=u'dRBsToBeReleased', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 127), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 132), (u'criticality', u'ignore'), (u'Extension', _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationInfo_SNterminated._cont = ASN1Dict([
        (u'uL-NG-U-TNLatUPF', _PDUSessionResourceModificationInfo_SNterminated_uL_NG_U_TNLatUPF),
        (u'pduSessionNetworkInstance', _PDUSessionResourceModificationInfo_SNterminated_pduSessionNetworkInstance),
        (u'qosFlowsToBeSetup-List', _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeSetup_List),
        (u'dataforwardinginfofromSource', _PDUSessionResourceModificationInfo_SNterminated_dataforwardinginfofromSource),
        (u'qosFlowsToBeModified-List', _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeModified_List),
        (u'qoSFlowsToBeReleased-List', _PDUSessionResourceModificationInfo_SNterminated_qoSFlowsToBeReleased_List),
        (u'drbsToBeModifiedList', _PDUSessionResourceModificationInfo_SNterminated_drbsToBeModifiedList),
        (u'dRBsToBeReleased', _PDUSessionResourceModificationInfo_SNterminated_dRBsToBeReleased),
        (u'iE-Extensions', _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModificationInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModificationInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModificationInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_0 = OCT_STR(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionCommonNetworkInstance')))
    _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_1 = ENUM(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DefaultDRB-Allowed')))
    PDUSessionResourceModificationInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 127), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_0), (u'presence', u'optional')]), dict([(u'id', 132), (u'criticality', u'ignore'), (u'Extension', _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeSetup-List-Modified-SNterminated >-----#
    QoSFlowsToBeSetup_List_Modified_SNterminated = SEQ_OF(name=u'QoSFlowsToBeSetup-List-Modified-SNterminated', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Modified_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-List-Modified-SNterminated-Item')))
    QoSFlowsToBeSetup_List_Modified_SNterminated._cont = _QoSFlowsToBeSetup_List_Modified_SNterminated__item_
    QoSFlowsToBeSetup_List_Modified_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeSetup-List-Modified-SNterminated-Item >-----#
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item = SEQ(name=u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qfi = INT(name=u'qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowLevelQoSParameters = SEQ(name=u'qosFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_offeredGBRQoSFlowInfo = SEQ(name=u'offeredGBRQoSFlowInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowMappingIndication = ENUM(name=u'qosFlowMappingIndication', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions._cont = __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item._cont = ASN1Dict([
        (u'qfi', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qfi),
        (u'qosFlowLevelQoSParameters', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowLevelQoSParameters),
        (u'offeredGBRQoSFlowInfo', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_offeredGBRQoSFlowInfo),
        (u'qosFlowMappingIndication', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowMappingIndication),
        (u'iE-Extensions', _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item._ext = []
    
    #-----< QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs >-----#
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs = CLASS(name=u'QoSFlowsToBeSetup-List-Modified-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModified-List-Modified-SNterminated >-----#
    DRBsToBeModified_List_Modified_SNterminated = SEQ_OF(name=u'DRBsToBeModified-List-Modified-SNterminated', mode=MODE_TYPE)
    _DRBsToBeModified_List_Modified_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-Modified-SNterminated-Item')))
    DRBsToBeModified_List_Modified_SNterminated._cont = _DRBsToBeModified_List_Modified_SNterminated__item_
    DRBsToBeModified_List_Modified_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModified-List-Modified-SNterminated-Item >-----#
    DRBsToBeModified_List_Modified_SNterminated_Item = SEQ(name=u'DRBsToBeModified-List-Modified-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModified_List_Modified_SNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModified_List_Modified_SNterminated_Item_mN_DL_SCG_UP_TNLInfo = SEQ_OF(name=u'mN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_secondary_MN_DL_SCG_UP_TNLInfo = SEQ_OF(name=u'secondary-MN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_lCID = INT(name=u'lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_rlc_status = SEQ(name=u'rlc-status', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLC-Status')), opt=True)
    _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions._cont = __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModified_List_Modified_SNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeModified_List_Modified_SNterminated_Item_drb_ID),
        (u'mN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_Modified_SNterminated_Item_mN_DL_SCG_UP_TNLInfo),
        (u'secondary-MN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_Modified_SNterminated_Item_secondary_MN_DL_SCG_UP_TNLInfo),
        (u'lCID', _DRBsToBeModified_List_Modified_SNterminated_Item_lCID),
        (u'rlc-status', _DRBsToBeModified_List_Modified_SNterminated_Item_rlc_status),
        (u'iE-Extensions', _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModified_List_Modified_SNterminated_Item._ext = []
    
    #-----< DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs >-----#
    DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeModified-List-Modified-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationResponseInfo-SNterminated >-----#
    PDUSessionResourceModificationResponseInfo_SNterminated = SEQ(name=u'PDUSessionResourceModificationResponseInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN = CHOICE(name=u'dL-NG-U-TNLatNG-RAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeSetup = SEQ_OF(name=u'dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-SetupResponse-SNterminated')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfoTarget = SEQ(name=u'dataforwardinginfoTarget', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeModified = SEQ_OF(name=u'dRBsToBeModified', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-ModificationResponse-SNterminated')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeReleased = SEQ_OF(name=u'dRBsToBeReleased', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfofromSource = SEQ(name=u'dataforwardinginfofromSource', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsNotAdmittedTBAdded = SEQ_OF(name=u'qosFlowsNotAdmittedTBAdded', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsReleased = SEQ_OF(name=u'qosFlowsReleased', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationResponseInfo_SNterminated._cont = ASN1Dict([
        (u'dL-NG-U-TNLatNG-RAN', _PDUSessionResourceModificationResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN),
        (u'dRBsToBeSetup', _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeSetup),
        (u'dataforwardinginfoTarget', _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfoTarget),
        (u'dRBsToBeModified', _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeModified),
        (u'dRBsToBeReleased', _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeReleased),
        (u'dataforwardinginfofromSource', _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfofromSource),
        (u'qosFlowsNotAdmittedTBAdded', _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsNotAdmittedTBAdded),
        (u'qosFlowsReleased', _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsReleased),
        (u'iE-Extensions', _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationResponseInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModificationResponseInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModifiedList-ModificationResponse-SNterminated >-----#
    DRBsToBeModifiedList_ModificationResponse_SNterminated = SEQ_OF(name=u'DRBsToBeModifiedList-ModificationResponse-SNterminated', mode=MODE_TYPE)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item')))
    DRBsToBeModifiedList_ModificationResponse_SNterminated._cont = _DRBsToBeModifiedList_ModificationResponse_SNterminated__item_
    DRBsToBeModifiedList_ModificationResponse_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModifiedList-ModificationResponse-SNterminated-Item >-----#
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item = SEQ(name=u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'sN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_dRB_QoS = SEQ(name=u'dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated = SEQ_OF(name=u'qoSFlowsMappedtoDRB-SetupResponse-SNterminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-SetupResponse-SNterminated')), opt=True)
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions._cont = __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_drb_ID),
        (u'sN-UL-PDCP-UP-TNLInfo', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo),
        (u'dRB-QoS', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_dRB_QoS),
        (u'qoSFlowsMappedtoDRB-SetupResponse-SNterminated', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated),
        (u'iE-Extensions', _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item._ext = []
    
    #-----< DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs >-----#
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeModifiedList-ModificationResponse-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationInfo-MNterminated >-----#
    PDUSessionResourceModificationInfo_MNterminated = SEQ(name=u'PDUSessionResourceModificationInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationInfo_MNterminated_pduSessionType = ENUM(name=u'pduSessionType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionType')))
    _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeSetup = SEQ_OF(name=u'dRBsToBeSetup', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-Setup-MNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeModified = SEQ_OF(name=u'dRBsToBeModified', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-Modification-MNterminated')), opt=True)
    _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeReleased = SEQ_OF(name=u'dRBsToBeReleased', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationInfo_MNterminated._cont = ASN1Dict([
        (u'pduSessionType', _PDUSessionResourceModificationInfo_MNterminated_pduSessionType),
        (u'dRBsToBeSetup', _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeSetup),
        (u'dRBsToBeModified', _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeModified),
        (u'dRBsToBeReleased', _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeReleased),
        (u'iE-Extensions', _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModificationInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModificationInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModificationInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModificationInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModifiedList-Modification-MNterminated >-----#
    DRBsToBeModifiedList_Modification_MNterminated = SEQ_OF(name=u'DRBsToBeModifiedList-Modification-MNterminated', mode=MODE_TYPE)
    _DRBsToBeModifiedList_Modification_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModifiedList-Modification-MNterminated-Item')))
    DRBsToBeModifiedList_Modification_MNterminated._cont = _DRBsToBeModifiedList_Modification_MNterminated__item_
    DRBsToBeModifiedList_Modification_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModifiedList-Modification-MNterminated-Item >-----#
    DRBsToBeModifiedList_Modification_MNterminated_Item = SEQ(name=u'DRBsToBeModifiedList-Modification-MNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModifiedList_Modification_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'mN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_dRB_QoS = SEQ(name=u'dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'secondary-MN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_uL_Configuration = SEQ(name=u'uL-Configuration', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_pdcpDuplicationConfiguration = ENUM(name=u'pdcpDuplicationConfiguration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPDuplicationConfiguration')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_duplicationActivation = ENUM(name=u'duplicationActivation', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated = SEQ_OF(name=u'qoSFlowsMappedtoDRB-Setup-MNterminated', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsMappedtoDRB-Setup-MNterminated')), opt=True)
    _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions._cont = __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_
    _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModifiedList_Modification_MNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeModifiedList_Modification_MNterminated_Item_drb_ID),
        (u'mN-UL-PDCP-UP-TNLInfo', _DRBsToBeModifiedList_Modification_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo),
        (u'dRB-QoS', _DRBsToBeModifiedList_Modification_MNterminated_Item_dRB_QoS),
        (u'secondary-MN-UL-PDCP-UP-TNLInfo', _DRBsToBeModifiedList_Modification_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo),
        (u'uL-Configuration', _DRBsToBeModifiedList_Modification_MNterminated_Item_uL_Configuration),
        (u'pdcpDuplicationConfiguration', _DRBsToBeModifiedList_Modification_MNterminated_Item_pdcpDuplicationConfiguration),
        (u'duplicationActivation', _DRBsToBeModifiedList_Modification_MNterminated_Item_duplicationActivation),
        (u'qoSFlowsMappedtoDRB-Setup-MNterminated', _DRBsToBeModifiedList_Modification_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated),
        (u'iE-Extensions', _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModifiedList_Modification_MNterminated_Item._ext = []
    
    #-----< DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs >-----#
    DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeModifiedList-Modification-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModificationResponseInfo-MNterminated >-----#
    PDUSessionResourceModificationResponseInfo_MNterminated = SEQ(name=u'PDUSessionResourceModificationResponseInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsAdmittedList = SEQ_OF(name=u'dRBsAdmittedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModificationResponse-MNterminated')))
    _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsReleasedList = SEQ_OF(name=u'dRBsReleasedList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')), opt=True)
    _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsNotAdmittedSetupModifyList = SEQ_OF(name=u'dRBsNotAdmittedSetupModifyList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModificationResponseInfo_MNterminated._cont = ASN1Dict([
        (u'dRBsAdmittedList', _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsAdmittedList),
        (u'dRBsReleasedList', _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsReleasedList),
        (u'dRBsNotAdmittedSetupModifyList', _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsNotAdmittedSetupModifyList),
        (u'iE-Extensions', _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModificationResponseInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModificationResponseInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModificationResponseInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModificationResponseInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsAdmittedList-ModificationResponse-MNterminated >-----#
    DRBsAdmittedList_ModificationResponse_MNterminated = SEQ_OF(name=u'DRBsAdmittedList-ModificationResponse-MNterminated', mode=MODE_TYPE)
    _DRBsAdmittedList_ModificationResponse_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModificationResponse-MNterminated-Item')))
    DRBsAdmittedList_ModificationResponse_MNterminated._cont = _DRBsAdmittedList_ModificationResponse_MNterminated__item_
    DRBsAdmittedList_ModificationResponse_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsAdmittedList-ModificationResponse-MNterminated-Item >-----#
    DRBsAdmittedList_ModificationResponse_MNterminated_Item = SEQ(name=u'DRBsAdmittedList-ModificationResponse-MNterminated-Item', mode=MODE_TYPE)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo = SEQ_OF(name=u'sN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo = SEQ_OF(name=u'secondary-SN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_lCID = INT(name=u'lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions._cont = __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_
    _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsAdmittedList_ModificationResponse_MNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_drb_ID),
        (u'sN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo),
        (u'secondary-SN-DL-SCG-UP-TNLInfo', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo),
        (u'lCID', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_lCID),
        (u'iE-Extensions', _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions),
        ])
    DRBsAdmittedList_ModificationResponse_MNterminated_Item._ext = []
    
    #-----< DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs >-----#
    DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs = CLASS(name=u'DRBsAdmittedList-ModificationResponse-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeRequiredInfo-SNterminated >-----#
    PDUSessionResourceChangeRequiredInfo_SNterminated = SEQ(name=u'PDUSessionResourceChangeRequiredInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeRequiredInfo_SNterminated_dataforwardinginfofromSource = SEQ(name=u'dataforwardinginfofromSource', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeRequiredInfo_SNterminated._cont = ASN1Dict([
        (u'dataforwardinginfofromSource', _PDUSessionResourceChangeRequiredInfo_SNterminated_dataforwardinginfofromSource),
        (u'iE-Extensions', _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeRequiredInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceChangeRequiredInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceChangeRequiredInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceChangeRequiredInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeConfirmInfo-SNterminated >-----#
    PDUSessionResourceChangeConfirmInfo_SNterminated = SEQ(name=u'PDUSessionResourceChangeConfirmInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeConfirmInfo_SNterminated_dataforwardinginfoTarget = SEQ(name=u'dataforwardinginfoTarget', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeConfirmInfo_SNterminated._cont = ASN1Dict([
        (u'dataforwardinginfoTarget', _PDUSessionResourceChangeConfirmInfo_SNterminated_dataforwardinginfoTarget),
        (u'iE-Extensions', _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeConfirmInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceChangeConfirmInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeRequiredInfo-MNterminated >-----#
    PDUSessionResourceChangeRequiredInfo_MNterminated = SEQ(name=u'PDUSessionResourceChangeRequiredInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeRequiredInfo_MNterminated._cont = ASN1Dict([
        (u'iE-Extensions', _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeRequiredInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceChangeRequiredInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceChangeRequiredInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceChangeRequiredInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceChangeConfirmInfo-MNterminated >-----#
    PDUSessionResourceChangeConfirmInfo_MNterminated = SEQ(name=u'PDUSessionResourceChangeConfirmInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceChangeConfirmInfo_MNterminated._cont = ASN1Dict([
        (u'iE-Extensions', _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceChangeConfirmInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceChangeConfirmInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceChangeConfirmInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceChangeConfirmInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModRqdInfo-SNterminated >-----#
    PDUSessionResourceModRqdInfo_SNterminated = SEQ(name=u'PDUSessionResourceModRqdInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModRqdInfo_SNterminated_dL_NG_U_TNLatNG_RAN = CHOICE(name=u'dL-NG-U-TNLatNG-RAN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_qoSFlowsToBeReleased_List = SEQ_OF(name=u'qoSFlowsToBeReleased-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlows-List-withCause')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_dataforwardinginfofromSource = SEQ(name=u'dataforwardinginfofromSource', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataforwardingandOffloadingInfofromSource')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeSetupList = SEQ_OF(name=u'drbsToBeSetupList', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetup-List-ModRqd-SNterminated')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeModifiedList = SEQ_OF(name=u'drbsToBeModifiedList', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-SNterminated')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_dRBsToBeReleased = SEQ_OF(name=u'dRBsToBeReleased', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModRqdInfo_SNterminated._cont = ASN1Dict([
        (u'dL-NG-U-TNLatNG-RAN', _PDUSessionResourceModRqdInfo_SNterminated_dL_NG_U_TNLatNG_RAN),
        (u'qoSFlowsToBeReleased-List', _PDUSessionResourceModRqdInfo_SNterminated_qoSFlowsToBeReleased_List),
        (u'dataforwardinginfofromSource', _PDUSessionResourceModRqdInfo_SNterminated_dataforwardinginfofromSource),
        (u'drbsToBeSetupList', _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeSetupList),
        (u'drbsToBeModifiedList', _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeModifiedList),
        (u'dRBsToBeReleased', _PDUSessionResourceModRqdInfo_SNterminated_dRBsToBeReleased),
        (u'iE-Extensions', _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModRqdInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModRqdInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModRqdInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModRqdInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModRqdInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetup-List-ModRqd-SNterminated >-----#
    DRBsToBeSetup_List_ModRqd_SNterminated = SEQ_OF(name=u'DRBsToBeSetup-List-ModRqd-SNterminated', mode=MODE_TYPE)
    _DRBsToBeSetup_List_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetup-List-ModRqd-SNterminated-Item')))
    DRBsToBeSetup_List_ModRqd_SNterminated._cont = _DRBsToBeSetup_List_ModRqd_SNterminated__item_
    DRBsToBeSetup_List_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeSetup-List-ModRqd-SNterminated-Item >-----#
    DRBsToBeSetup_List_ModRqd_SNterminated_Item = SEQ(name=u'DRBsToBeSetup-List-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_pDCP_SNLength = SEQ(name=u'pDCP-SNLength', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPSNLength')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_sn_UL_PDCP_UPTNLinfo = SEQ_OF(name=u'sn-UL-PDCP-UPTNLinfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_dRB_QoS = SEQ(name=u'dRB-QoS', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_duplicationActivation = ENUM(name=u'duplicationActivation', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_uL_Configuration = SEQ(name=u'uL-Configuration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name=u'qoSFlowsMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_rLC_Mode = ENUM(name=u'rLC-Mode', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLCMode')))
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions._cont = __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetup_List_ModRqd_SNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_drb_ID),
        (u'pDCP-SNLength', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_pDCP_SNLength),
        (u'sn-UL-PDCP-UPTNLinfo', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_sn_UL_PDCP_UPTNLinfo),
        (u'dRB-QoS', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_dRB_QoS),
        (u'secondary-SN-UL-PDCP-UP-TNLInfo', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo),
        (u'duplicationActivation', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_duplicationActivation),
        (u'uL-Configuration', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_uL_Configuration),
        (u'qoSFlowsMappedtoDRB-ModRqd-SNterminated', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated),
        (u'rLC-Mode', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_rLC_Mode),
        (u'iE-Extensions', _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetup_List_ModRqd_SNterminated_Item._ext = []
    
    #-----< DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs >-----#
    DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeSetup-List-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated >-----#
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name=u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE)
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item')))
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated._cont = _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated__item_
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item >-----#
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item = SEQ(name=u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier = INT(name=u'qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo = SEQ(name=u'mCGRequestedGBRQoSFlowInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._cont = __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item._cont = ASN1Dict([
        (u'qoSFlowIdentifier', _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier),
        (u'mCGRequestedGBRQoSFlowInfo', _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo),
        (u'iE-Extensions', _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item._ext = []
    
    #-----< QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs >-----#
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs = CLASS(name=u'QoSFlowsSetupMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-SNterminated >-----#
    DRBsToBeModified_List_ModRqd_SNterminated = SEQ_OF(name=u'DRBsToBeModified-List-ModRqd-SNterminated', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-SNterminated-Item')))
    DRBsToBeModified_List_ModRqd_SNterminated._cont = _DRBsToBeModified_List_ModRqd_SNterminated__item_
    DRBsToBeModified_List_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-SNterminated-Item >-----#
    DRBsToBeModified_List_ModRqd_SNterminated_Item = SEQ(name=u'DRBsToBeModified-List-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'sN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_dRB_QoS = SEQ(name=u'dRB-QoS', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo = SEQ_OF(name=u'secondary-SN-UL-PDCP-UP-TNLInfo', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_uL_Configuration = SEQ(name=u'uL-Configuration', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ULConfiguration')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_pdcpDuplicationConfiguration = ENUM(name=u'pdcpDuplicationConfiguration', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDCPDuplicationConfiguration')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_duplicationActivation = ENUM(name=u'duplicationActivation', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DuplicationActivation')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name=u'qoSFlowsMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated')), opt=True)
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions._cont = __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModified_List_ModRqd_SNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeModified_List_ModRqd_SNterminated_Item_drb_ID),
        (u'sN-UL-PDCP-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo),
        (u'dRB-QoS', _DRBsToBeModified_List_ModRqd_SNterminated_Item_dRB_QoS),
        (u'secondary-SN-UL-PDCP-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo),
        (u'uL-Configuration', _DRBsToBeModified_List_ModRqd_SNterminated_Item_uL_Configuration),
        (u'pdcpDuplicationConfiguration', _DRBsToBeModified_List_ModRqd_SNterminated_Item_pdcpDuplicationConfiguration),
        (u'duplicationActivation', _DRBsToBeModified_List_ModRqd_SNterminated_Item_duplicationActivation),
        (u'qoSFlowsMappedtoDRB-ModRqd-SNterminated', _DRBsToBeModified_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated),
        (u'iE-Extensions', _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModified_List_ModRqd_SNterminated_Item._ext = []
    
    #-----< DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs >-----#
    DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeModified-List-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated >-----#
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated = SEQ_OF(name=u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated', mode=MODE_TYPE)
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item')))
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated._cont = _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated__item_
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item >-----#
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item = SEQ(name=u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item', mode=MODE_TYPE)
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier = INT(name=u'qoSFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo = SEQ(name=u'mCGRequestedGBRQoSFlowInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_._ext = None
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._cont = __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_
    _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item._cont = ASN1Dict([
        (u'qoSFlowIdentifier', _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier),
        (u'mCGRequestedGBRQoSFlowInfo', _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo),
        (u'iE-Extensions', _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions),
        ])
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item._ext = []
    
    #-----< QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs >-----#
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs = CLASS(name=u'QoSFlowsModifiedMappedtoDRB-ModRqd-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModConfirmInfo-SNterminated >-----#
    PDUSessionResourceModConfirmInfo_SNterminated = SEQ(name=u'PDUSessionResourceModConfirmInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModConfirmInfo_SNterminated_uL_NG_U_TNLatUPF = CHOICE(name=u'uL-NG-U-TNLatUPF', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _PDUSessionResourceModConfirmInfo_SNterminated_dRBsAdmittedList = SEQ_OF(name=u'dRBsAdmittedList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModConfirm-SNterminated')))
    _PDUSessionResourceModConfirmInfo_SNterminated_dRBsNotAdmittedSetupModifyList = SEQ_OF(name=u'dRBsNotAdmittedSetupModifyList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModConfirmInfo_SNterminated_dataforwardinginfoTarget = SEQ(name=u'dataforwardinginfoTarget', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')), opt=True)
    _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModConfirmInfo_SNterminated._cont = ASN1Dict([
        (u'uL-NG-U-TNLatUPF', _PDUSessionResourceModConfirmInfo_SNterminated_uL_NG_U_TNLatUPF),
        (u'dRBsAdmittedList', _PDUSessionResourceModConfirmInfo_SNterminated_dRBsAdmittedList),
        (u'dRBsNotAdmittedSetupModifyList', _PDUSessionResourceModConfirmInfo_SNterminated_dRBsNotAdmittedSetupModifyList),
        (u'dataforwardinginfoTarget', _PDUSessionResourceModConfirmInfo_SNterminated_dataforwardinginfoTarget),
        (u'iE-Extensions', _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceModConfirmInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModConfirmInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 133), (u'criticality', u'reject'), (u'Extension', _PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< DRBsAdmittedList-ModConfirm-SNterminated >-----#
    DRBsAdmittedList_ModConfirm_SNterminated = SEQ_OF(name=u'DRBsAdmittedList-ModConfirm-SNterminated', mode=MODE_TYPE)
    _DRBsAdmittedList_ModConfirm_SNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsAdmittedList-ModConfirm-SNterminated-Item')))
    DRBsAdmittedList_ModConfirm_SNterminated._cont = _DRBsAdmittedList_ModConfirm_SNterminated__item_
    DRBsAdmittedList_ModConfirm_SNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsAdmittedList-ModConfirm-SNterminated-Item >-----#
    DRBsAdmittedList_ModConfirm_SNterminated_Item = SEQ(name=u'DRBsAdmittedList-ModConfirm-SNterminated-Item', mode=MODE_TYPE)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_mN_DL_CG_UP_TNLInfo = SEQ_OF(name=u'mN-DL-CG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_secondary_MN_DL_CG_UP_TNLInfo = SEQ_OF(name=u'secondary-MN-DL-CG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParameters')), opt=True)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_lCID = INT(name=u'lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions._cont = __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_
    _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsAdmittedList_ModConfirm_SNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsAdmittedList_ModConfirm_SNterminated_Item_drb_ID),
        (u'mN-DL-CG-UP-TNLInfo', _DRBsAdmittedList_ModConfirm_SNterminated_Item_mN_DL_CG_UP_TNLInfo),
        (u'secondary-MN-DL-CG-UP-TNLInfo', _DRBsAdmittedList_ModConfirm_SNterminated_Item_secondary_MN_DL_CG_UP_TNLInfo),
        (u'lCID', _DRBsAdmittedList_ModConfirm_SNterminated_Item_lCID),
        (u'iE-Extensions', _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions),
        ])
    DRBsAdmittedList_ModConfirm_SNterminated_Item._ext = []
    
    #-----< DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs >-----#
    DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsAdmittedList-ModConfirm-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModRqdInfo-MNterminated >-----#
    PDUSessionResourceModRqdInfo_MNterminated = SEQ(name=u'PDUSessionResourceModRqdInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeModified = SEQ_OF(name=u'dRBsToBeModified', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-MNterminated')), opt=True)
    _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeReleased = SEQ_OF(name=u'dRBsToBeReleased', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-List-withCause')), opt=True)
    _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModRqdInfo_MNterminated._cont = ASN1Dict([
        (u'dRBsToBeModified', _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeModified),
        (u'dRBsToBeReleased', _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeReleased),
        (u'iE-Extensions', _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModRqdInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModRqdInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModRqdInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModRqdInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModRqdInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-MNterminated >-----#
    DRBsToBeModified_List_ModRqd_MNterminated = SEQ_OF(name=u'DRBsToBeModified-List-ModRqd-MNterminated', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_MNterminated__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeModified-List-ModRqd-MNterminated-Item')))
    DRBsToBeModified_List_ModRqd_MNterminated._cont = _DRBsToBeModified_List_ModRqd_MNterminated__item_
    DRBsToBeModified_List_ModRqd_MNterminated._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< DRBsToBeModified-List-ModRqd-MNterminated-Item >-----#
    DRBsToBeModified_List_ModRqd_MNterminated_Item = SEQ(name=u'DRBsToBeModified-List-ModRqd-MNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_sN_DL_SCG_UP_TNLInfo = CHOICE(name=u'sN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo = CHOICE(name=u'secondary-SN-DL-SCG-UP-TNLInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')), opt=True)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_lCID = INT(name=u'lCID', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LCID')), opt=True)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_rlc_status = SEQ(name=u'rlc-status', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RLC-Status')), opt=True)
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality_tab
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue_tab
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions._cont = __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_
    _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeModified_List_ModRqd_MNterminated_Item._cont = ASN1Dict([
        (u'drb-ID', _DRBsToBeModified_List_ModRqd_MNterminated_Item_drb_ID),
        (u'sN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_MNterminated_Item_sN_DL_SCG_UP_TNLInfo),
        (u'secondary-SN-DL-SCG-UP-TNLInfo', _DRBsToBeModified_List_ModRqd_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo),
        (u'lCID', _DRBsToBeModified_List_ModRqd_MNterminated_Item_lCID),
        (u'rlc-status', _DRBsToBeModified_List_ModRqd_MNterminated_Item_rlc_status),
        (u'iE-Extensions', _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions),
        ])
    DRBsToBeModified_List_ModRqd_MNterminated_Item._ext = []
    
    #-----< DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs >-----#
    DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeModified-List-ModRqd-MNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceModConfirmInfo-MNterminated >-----#
    PDUSessionResourceModConfirmInfo_MNterminated = SEQ(name=u'PDUSessionResourceModConfirmInfo-MNterminated', mode=MODE_TYPE)
    _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions._cont = __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_
    _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceModConfirmInfo_MNterminated._cont = ASN1Dict([
        (u'iE-Extensions', _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions),
        ])
    PDUSessionResourceModConfirmInfo_MNterminated._ext = []
    
    #-----< PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs >-----#
    PDUSessionResourceModConfirmInfo_MNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceModConfirmInfo-MNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceModConfirmInfo_MNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceBearerSetupCompleteInfo-SNterminated >-----#
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated = SEQ(name=u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated', mode=MODE_TYPE)
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList = SEQ_OF(name=u'dRBsToBeSetupList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item')))
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList._cont = __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList__item_
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id._const_tab = ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_._ext = None
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions._cont = __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_
    _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated._cont = ASN1Dict([
        (u'dRBsToBeSetupList', _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList),
        (u'iE-Extensions', _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions),
        ])
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated._ext = []
    
    #-----< PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs >-----#
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated_ExtIEs = CLASS(name=u'PDUSessionResourceBearerSetupCompleteInfo-SNterminated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceBearerSetupCompleteInfo_SNterminated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item >-----#
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item = SEQ(name=u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item', mode=MODE_TYPE)
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_dRB_ID = INT(name=u'dRB-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_mN_Xn_U_TNLInfoatM = CHOICE(name=u'mN-Xn-U-TNLInfoatM', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0 = CHOICE(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 125), (u'criticality', u'ignore'), (u'Extension', _____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id._const_tab = ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id._const_tab_at = None
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality._const_tab = ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab = ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id),
        (u'criticality', ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue),
        ])
    __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_._ext = None
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions._cont = __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item._cont = ASN1Dict([
        (u'dRB-ID', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_dRB_ID),
        (u'mN-Xn-U-TNLInfoatM', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_mN_Xn_U_TNLInfoatM),
        (u'iE-Extensions', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions),
        ])
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item._ext = []
    
    #-----< DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs >-----#
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs = CLASS(name=u'DRBsToBeSetupList-BearerSetupComplete-SNterminated-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs_val_Extension_0 = CHOICE(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 125), (u'criticality', u'ignore'), (u'Extension', _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourceSecondaryRATUsageList >-----#
    PDUSessionResourceSecondaryRATUsageList = SEQ_OF(name=u'PDUSessionResourceSecondaryRATUsageList', mode=MODE_TYPE)
    _PDUSessionResourceSecondaryRATUsageList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSecondaryRATUsageItem')))
    PDUSessionResourceSecondaryRATUsageList._cont = _PDUSessionResourceSecondaryRATUsageList__item_
    PDUSessionResourceSecondaryRATUsageList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourceSecondaryRATUsageItem >-----#
    PDUSessionResourceSecondaryRATUsageItem = SEQ(name=u'PDUSessionResourceSecondaryRATUsageItem', mode=MODE_TYPE)
    _PDUSessionResourceSecondaryRATUsageItem_pDUSessionID = INT(name=u'pDUSessionID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourceSecondaryRATUsageItem_secondaryRATUsageInformation = SEQ(name=u'secondaryRATUsageInformation', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SecondaryRATUsageInformation')))
    _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id._const_tab = ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_._ext = None
    _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions._cont = __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_
    _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourceSecondaryRATUsageItem._cont = ASN1Dict([
        (u'pDUSessionID', _PDUSessionResourceSecondaryRATUsageItem_pDUSessionID),
        (u'secondaryRATUsageInformation', _PDUSessionResourceSecondaryRATUsageItem_secondaryRATUsageInformation),
        (u'iE-Extensions', _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions),
        ])
    PDUSessionResourceSecondaryRATUsageItem._ext = []
    
    #-----< PDUSessionResourceSecondaryRATUsageItem-ExtIEs >-----#
    PDUSessionResourceSecondaryRATUsageItem_ExtIEs = CLASS(name=u'PDUSessionResourceSecondaryRATUsageItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourceSecondaryRATUsageItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionUsageReport >-----#
    PDUSessionUsageReport = SEQ(name=u'PDUSessionUsageReport', mode=MODE_TYPE)
    _PDUSessionUsageReport_rATType = ENUM(name=u'rATType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _PDUSessionUsageReport_rATType._cont = ASN1Dict([(u'nr', 0), (u'eutra', 1)])
    _PDUSessionUsageReport_rATType._ext = []
    _PDUSessionUsageReport_pDUSessionTimedReportList = SEQ_OF(name=u'pDUSessionTimedReportList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'VolumeTimedReportList')))
    _PDUSessionUsageReport_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionUsageReport_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionUsageReport_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionUsageReport_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionUsageReport_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionUsageReport_iE_Extensions__item__id._const_tab = ____PDUSessionUsageReport_iE_Extensions__item__id_tab
    ___PDUSessionUsageReport_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionUsageReport_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionUsageReport_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionUsageReport_iE_Extensions__item__criticality._const_tab = ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab
    ___PDUSessionUsageReport_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionUsageReport_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionUsageReport_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionUsageReport_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionUsageReport_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionUsageReport_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionUsageReport_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionUsageReport_iE_Extensions__item_._ext = None
    _PDUSessionUsageReport_iE_Extensions._cont = __PDUSessionUsageReport_iE_Extensions__item_
    _PDUSessionUsageReport_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionUsageReport._cont = ASN1Dict([
        (u'rATType', _PDUSessionUsageReport_rATType),
        (u'pDUSessionTimedReportList', _PDUSessionUsageReport_pDUSessionTimedReportList),
        (u'iE-Extensions', _PDUSessionUsageReport_iE_Extensions),
        ])
    PDUSessionUsageReport._ext = []
    
    #-----< PDUSessionUsageReport-ExtIEs >-----#
    PDUSessionUsageReport_ExtIEs = CLASS(name=u'PDUSessionUsageReport-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionUsageReport_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionType >-----#
    PDUSessionType = ENUM(name=u'PDUSessionType', mode=MODE_TYPE)
    PDUSessionType._cont = ASN1Dict([(u'ipv4', 0), (u'ipv6', 1), (u'ipv4v6', 2), (u'ethernet', 3), (u'unstructured', 4)])
    PDUSessionType._ext = []
    
    #-----< PDUSession-ID >-----#
    PDUSession_ID = INT(name=u'PDUSession-ID', mode=MODE_TYPE)
    PDUSession_ID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< PDUSessionNetworkInstance >-----#
    PDUSessionNetworkInstance = INT(name=u'PDUSessionNetworkInstance', mode=MODE_TYPE)
    PDUSessionNetworkInstance._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=[], er=[])
    
    #-----< PDUSessionCommonNetworkInstance >-----#
    PDUSessionCommonNetworkInstance = OCT_STR(name=u'PDUSessionCommonNetworkInstance', mode=MODE_TYPE)
    
    #-----< PLMN-Identity >-----#
    PLMN_Identity = OCT_STR(name=u'PLMN-Identity', mode=MODE_TYPE)
    PLMN_Identity._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< PortNumber >-----#
    PortNumber = BIT_STR(name=u'PortNumber', mode=MODE_TYPE)
    PortNumber._const_sz = ASN1Set(rv=[16], rr=[], ev=None, er=[])
    
    #-----< PriorityLevelQoS >-----#
    PriorityLevelQoS = INT(name=u'PriorityLevelQoS', mode=MODE_TYPE)
    PriorityLevelQoS._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=127)], ev=[], er=[])
    
    #-----< ProtectedE-UTRAResourceIndication >-----#
    ProtectedE_UTRAResourceIndication = SEQ(name=u'ProtectedE-UTRAResourceIndication', mode=MODE_TYPE)
    _ProtectedE_UTRAResourceIndication_activationSFN = INT(name=u'activationSFN', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ActivationSFN')))
    _ProtectedE_UTRAResourceIndication_protectedResourceList = SEQ_OF(name=u'protectedResourceList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAResourceList')))
    _ProtectedE_UTRAResourceIndication_mbsfnControlRegionLength = INT(name=u'mbsfnControlRegionLength', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNControlRegionLength')), opt=True)
    _ProtectedE_UTRAResourceIndication_pDCCHRegionLength = INT(name=u'pDCCHRegionLength', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResourceIndication_pDCCHRegionLength._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    _ProtectedE_UTRAResourceIndication_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ProtectedE_UTRAResourceIndication_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id._const_tab = ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id._const_tab_at = None
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id._const_tab_id = u'id'
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality._const_tab = ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue._const_tab = ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ProtectedE_UTRAResourceIndication_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id),
        (u'criticality', ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality),
        (u'extensionValue', ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue),
        ])
    __ProtectedE_UTRAResourceIndication_iE_Extensions__item_._ext = None
    _ProtectedE_UTRAResourceIndication_iE_Extensions._cont = __ProtectedE_UTRAResourceIndication_iE_Extensions__item_
    _ProtectedE_UTRAResourceIndication_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ProtectedE_UTRAResourceIndication._cont = ASN1Dict([
        (u'activationSFN', _ProtectedE_UTRAResourceIndication_activationSFN),
        (u'protectedResourceList', _ProtectedE_UTRAResourceIndication_protectedResourceList),
        (u'mbsfnControlRegionLength', _ProtectedE_UTRAResourceIndication_mbsfnControlRegionLength),
        (u'pDCCHRegionLength', _ProtectedE_UTRAResourceIndication_pDCCHRegionLength),
        (u'iE-Extensions', _ProtectedE_UTRAResourceIndication_iE_Extensions),
        ])
    ProtectedE_UTRAResourceIndication._ext = []
    
    #-----< ProtectedE-UTRAResourceIndication-ExtIEs >-----#
    ProtectedE_UTRAResourceIndication_ExtIEs = CLASS(name=u'ProtectedE-UTRAResourceIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ProtectedE_UTRAResourceIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ProtectedE-UTRAResourceList >-----#
    ProtectedE_UTRAResourceList = SEQ_OF(name=u'ProtectedE-UTRAResourceList', mode=MODE_TYPE)
    _ProtectedE_UTRAResourceList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAResource-Item')))
    ProtectedE_UTRAResourceList._cont = _ProtectedE_UTRAResourceList__item_
    ProtectedE_UTRAResourceList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< ProtectedE-UTRAResource-Item >-----#
    ProtectedE_UTRAResource_Item = SEQ(name=u'ProtectedE-UTRAResource-Item', mode=MODE_TYPE)
    _ProtectedE_UTRAResource_Item_resourceType = ENUM(name=u'resourceType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResource_Item_resourceType._cont = ASN1Dict([(u'downlinknonCRS', 0), (u'cRS', 1), (u'uplink', 2)])
    _ProtectedE_UTRAResource_Item_resourceType._ext = []
    _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint = BIT_STR(name=u'intra-PRBProtectedResourceFootprint', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint._const_sz = ASN1Set(rv=[84], rr=[], ev=[], er=[])
    _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern = BIT_STR(name=u'protectedFootprintFrequencyPattern', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=6, ub=110)], ev=[], er=[])
    _ProtectedE_UTRAResource_Item_protectedFootprintTimePattern = SEQ(name=u'protectedFootprintTimePattern', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAFootprintTimePattern')))
    _ProtectedE_UTRAResource_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ProtectedE_UTRAResource_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id._const_tab = ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id._const_tab_at = None
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality._const_tab = ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue._const_tab = ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ProtectedE_UTRAResource_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id),
        (u'criticality', ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue),
        ])
    __ProtectedE_UTRAResource_Item_iE_Extensions__item_._ext = None
    _ProtectedE_UTRAResource_Item_iE_Extensions._cont = __ProtectedE_UTRAResource_Item_iE_Extensions__item_
    _ProtectedE_UTRAResource_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ProtectedE_UTRAResource_Item._cont = ASN1Dict([
        (u'resourceType', _ProtectedE_UTRAResource_Item_resourceType),
        (u'intra-PRBProtectedResourceFootprint', _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint),
        (u'protectedFootprintFrequencyPattern', _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern),
        (u'protectedFootprintTimePattern', _ProtectedE_UTRAResource_Item_protectedFootprintTimePattern),
        (u'iE-Extensions', _ProtectedE_UTRAResource_Item_iE_Extensions),
        ])
    ProtectedE_UTRAResource_Item._ext = []
    
    #-----< ProtectedE-UTRAResource-Item-ExtIEs >-----#
    ProtectedE_UTRAResource_Item_ExtIEs = CLASS(name=u'ProtectedE-UTRAResource-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ProtectedE_UTRAResource_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ProtectedE-UTRAFootprintTimePattern >-----#
    ProtectedE_UTRAFootprintTimePattern = SEQ(name=u'ProtectedE-UTRAFootprintTimePattern', mode=MODE_TYPE)
    _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity = INT(name=u'protectedFootprintTimeperiodicity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=320)], ev=[], er=[])
    _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime = INT(name=u'protectedFootrpintStartTime', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=20)], ev=[], er=[])
    _ProtectedE_UTRAFootprintTimePattern_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id._const_tab = ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id._const_tab_at = None
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id._const_tab_id = u'id'
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality._const_tab = ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue._const_tab = ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id),
        (u'criticality', ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality),
        (u'extensionValue', ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue),
        ])
    __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_._ext = None
    _ProtectedE_UTRAFootprintTimePattern_iE_Extensions._cont = __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_
    _ProtectedE_UTRAFootprintTimePattern_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ProtectedE_UTRAFootprintTimePattern._cont = ASN1Dict([
        (u'protectedFootprintTimeperiodicity', _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity),
        (u'protectedFootrpintStartTime', _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime),
        (u'iE-Extensions', _ProtectedE_UTRAFootprintTimePattern_iE_Extensions),
        ])
    ProtectedE_UTRAFootprintTimePattern._ext = []
    
    #-----< ProtectedE-UTRAFootprintTimePattern-ExtIEs >-----#
    ProtectedE_UTRAFootprintTimePattern_ExtIEs = CLASS(name=u'ProtectedE-UTRAFootprintTimePattern-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ProtectedE_UTRAFootprintTimePattern_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSCharacteristics >-----#
    QoSCharacteristics = CHOICE(name=u'QoSCharacteristics', mode=MODE_TYPE)
    _QoSCharacteristics_non_dynamic = SEQ(name=u'non-dynamic', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NonDynamic5QIDescriptor')))
    _QoSCharacteristics_dynamic = SEQ(name=u'dynamic', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Dynamic5QIDescriptor')))
    _QoSCharacteristics_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __QoSCharacteristics_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___QoSCharacteristics_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___QoSCharacteristics_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoSCharacteristics_choice_extension_id._const_tab = ___QoSCharacteristics_choice_extension_id_tab
    __QoSCharacteristics_choice_extension_id._const_tab_at = None
    __QoSCharacteristics_choice_extension_id._const_tab_id = u'id'
    __QoSCharacteristics_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___QoSCharacteristics_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___QoSCharacteristics_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoSCharacteristics_choice_extension_criticality._const_tab = ___QoSCharacteristics_choice_extension_criticality_tab
    __QoSCharacteristics_choice_extension_criticality._const_tab_at = ('..', u'id')
    __QoSCharacteristics_choice_extension_criticality._const_tab_id = u'criticality'
    __QoSCharacteristics_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___QoSCharacteristics_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___QoSCharacteristics_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __QoSCharacteristics_choice_extension_value._const_tab = ___QoSCharacteristics_choice_extension_value_tab
    __QoSCharacteristics_choice_extension_value._const_tab_at = ('..', u'id')
    __QoSCharacteristics_choice_extension_value._const_tab_id = u'Value'
    _QoSCharacteristics_choice_extension._cont = ASN1Dict([
        (u'id', __QoSCharacteristics_choice_extension_id),
        (u'criticality', __QoSCharacteristics_choice_extension_criticality),
        (u'value', __QoSCharacteristics_choice_extension_value),
        ])
    _QoSCharacteristics_choice_extension._ext = None
    QoSCharacteristics._cont = ASN1Dict([
        (u'non-dynamic', _QoSCharacteristics_non_dynamic),
        (u'dynamic', _QoSCharacteristics_dynamic),
        (u'choice-extension', _QoSCharacteristics_choice_extension),
        ])
    QoSCharacteristics._ext = None
    
    #-----< QoSCharacteristics-ExtIEs >-----#
    QoSCharacteristics_ExtIEs = CLASS(name=u'QoSCharacteristics-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    QoSCharacteristics_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowIdentifier >-----#
    QoSFlowIdentifier = INT(name=u'QoSFlowIdentifier', mode=MODE_TYPE)
    QoSFlowIdentifier._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=63)], ev=[], er=[])
    
    #-----< QoSFlowLevelQoSParameters >-----#
    QoSFlowLevelQoSParameters = SEQ(name=u'QoSFlowLevelQoSParameters', mode=MODE_TYPE)
    _QoSFlowLevelQoSParameters_qos_characteristics = CHOICE(name=u'qos-characteristics', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSCharacteristics')))
    _QoSFlowLevelQoSParameters_allocationAndRetentionPrio = SEQ(name=u'allocationAndRetentionPrio', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AllocationandRetentionPriority')))
    _QoSFlowLevelQoSParameters_gBRQoSFlowInfo = SEQ(name=u'gBRQoSFlowInfo', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GBRQoSFlowInfo')), opt=True)
    _QoSFlowLevelQoSParameters_relectiveQoS = ENUM(name=u'relectiveQoS', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ReflectiveQoSAttribute')), opt=True)
    _QoSFlowLevelQoSParameters_additionalQoSflowInfo = ENUM(name=u'additionalQoSflowInfo', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _QoSFlowLevelQoSParameters_additionalQoSflowInfo._cont = ASN1Dict([(u'more-likely', 0)])
    _QoSFlowLevelQoSParameters_additionalQoSflowInfo._ext = []
    _QoSFlowLevelQoSParameters_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowLevelQoSParameters_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowLevelQoSParameters_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowLevelQoSParameters_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowLevelQoSParameters_iE_Extensions__item_._ext = None
    _QoSFlowLevelQoSParameters_iE_Extensions._cont = __QoSFlowLevelQoSParameters_iE_Extensions__item_
    _QoSFlowLevelQoSParameters_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowLevelQoSParameters._cont = ASN1Dict([
        (u'qos-characteristics', _QoSFlowLevelQoSParameters_qos_characteristics),
        (u'allocationAndRetentionPrio', _QoSFlowLevelQoSParameters_allocationAndRetentionPrio),
        (u'gBRQoSFlowInfo', _QoSFlowLevelQoSParameters_gBRQoSFlowInfo),
        (u'relectiveQoS', _QoSFlowLevelQoSParameters_relectiveQoS),
        (u'additionalQoSflowInfo', _QoSFlowLevelQoSParameters_additionalQoSflowInfo),
        (u'iE-Extensions', _QoSFlowLevelQoSParameters_iE_Extensions),
        ])
    QoSFlowLevelQoSParameters._ext = []
    
    #-----< QoSFlowLevelQoSParameters-ExtIEs >-----#
    QoSFlowLevelQoSParameters_ExtIEs = CLASS(name=u'QoSFlowLevelQoSParameters-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowLevelQoSParameters_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowMappingIndication >-----#
    QoSFlowMappingIndication = ENUM(name=u'QoSFlowMappingIndication', mode=MODE_TYPE)
    QoSFlowMappingIndication._cont = ASN1Dict([(u'ul', 0), (u'dl', 1)])
    QoSFlowMappingIndication._ext = []
    
    #-----< QoSFlowNotificationControlIndicationInfo >-----#
    QoSFlowNotificationControlIndicationInfo = SEQ_OF(name=u'QoSFlowNotificationControlIndicationInfo', mode=MODE_TYPE)
    _QoSFlowNotificationControlIndicationInfo__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowNotify-Item')))
    QoSFlowNotificationControlIndicationInfo._cont = _QoSFlowNotificationControlIndicationInfo__item_
    QoSFlowNotificationControlIndicationInfo._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowNotify-Item >-----#
    QoSFlowNotify_Item = SEQ(name=u'QoSFlowNotify-Item', mode=MODE_TYPE)
    _QoSFlowNotify_Item_qosFlowIdentifier = INT(name=u'qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowNotify_Item_notificationInformation = ENUM(name=u'notificationInformation', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _QoSFlowNotify_Item_notificationInformation._cont = ASN1Dict([(u'fulfilled', 0), (u'not-fulfilled', 1)])
    _QoSFlowNotify_Item_notificationInformation._ext = []
    _QoSFlowNotify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowNotify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowNotify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowNotify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowNotify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowNotify_Item_iE_Extensions__item__id._const_tab = ____QoSFlowNotify_Item_iE_Extensions__item__id_tab
    ___QoSFlowNotify_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowNotify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowNotify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowNotify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowNotify_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowNotify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowNotify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowNotify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowNotify_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowNotify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowNotify_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowNotify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowNotify_Item_iE_Extensions__item_._ext = None
    _QoSFlowNotify_Item_iE_Extensions._cont = __QoSFlowNotify_Item_iE_Extensions__item_
    _QoSFlowNotify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowNotify_Item._cont = ASN1Dict([
        (u'qosFlowIdentifier', _QoSFlowNotify_Item_qosFlowIdentifier),
        (u'notificationInformation', _QoSFlowNotify_Item_notificationInformation),
        (u'iE-Extensions', _QoSFlowNotify_Item_iE_Extensions),
        ])
    QoSFlowNotify_Item._ext = []
    
    #-----< QoSFlowNotificationControlIndicationInfo-ExtIEs >-----#
    QoSFlowNotificationControlIndicationInfo_ExtIEs = CLASS(name=u'QoSFlowNotificationControlIndicationInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowNotificationControlIndicationInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlows-List >-----#
    QoSFlows_List = SEQ_OF(name=u'QoSFlows-List', mode=MODE_TYPE)
    _QoSFlows_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlow-Item')))
    QoSFlows_List._cont = _QoSFlows_List__item_
    QoSFlows_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlow-Item >-----#
    QoSFlow_Item = SEQ(name=u'QoSFlow-Item', mode=MODE_TYPE)
    _QoSFlow_Item_qfi = INT(name=u'qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlow_Item_qosFlowMappingIndication = ENUM(name=u'qosFlowMappingIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowMappingIndication')), opt=True)
    _QoSFlow_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlow_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlow_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlow_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlow_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlow_Item_iE_Extension__item__id._const_tab = ____QoSFlow_Item_iE_Extension__item__id_tab
    ___QoSFlow_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlow_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___QoSFlow_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlow_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlow_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlow_Item_iE_Extension__item__criticality._const_tab = ____QoSFlow_Item_iE_Extension__item__criticality_tab
    ___QoSFlow_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlow_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___QoSFlow_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlow_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlow_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlow_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlow_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlow_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlow_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlow_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___QoSFlow_Item_iE_Extension__item__id),
        (u'criticality', ___QoSFlow_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___QoSFlow_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlow_Item_iE_Extension__item_._ext = None
    _QoSFlow_Item_iE_Extension._cont = __QoSFlow_Item_iE_Extension__item_
    _QoSFlow_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlow_Item._cont = ASN1Dict([
        (u'qfi', _QoSFlow_Item_qfi),
        (u'qosFlowMappingIndication', _QoSFlow_Item_qosFlowMappingIndication),
        (u'iE-Extension', _QoSFlow_Item_iE_Extension),
        ])
    QoSFlow_Item._ext = []
    
    #-----< QoSFlow-Item-ExtIEs >-----#
    QoSFlow_Item_ExtIEs = CLASS(name=u'QoSFlow-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlow_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlows-List-withCause >-----#
    QoSFlows_List_withCause = SEQ_OF(name=u'QoSFlows-List-withCause', mode=MODE_TYPE)
    _QoSFlows_List_withCause__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowwithCause-Item')))
    QoSFlows_List_withCause._cont = _QoSFlows_List_withCause__item_
    QoSFlows_List_withCause._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowwithCause-Item >-----#
    QoSFlowwithCause_Item = SEQ(name=u'QoSFlowwithCause-Item', mode=MODE_TYPE)
    _QoSFlowwithCause_Item_qfi = INT(name=u'qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowwithCause_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')), opt=True)
    _QoSFlowwithCause_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowwithCause_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowwithCause_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowwithCause_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowwithCause_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowwithCause_Item_iE_Extension__item__id._const_tab = ____QoSFlowwithCause_Item_iE_Extension__item__id_tab
    ___QoSFlowwithCause_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowwithCause_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowwithCause_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowwithCause_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowwithCause_Item_iE_Extension__item__id),
        (u'criticality', ___QoSFlowwithCause_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowwithCause_Item_iE_Extension__item_._ext = None
    _QoSFlowwithCause_Item_iE_Extension._cont = __QoSFlowwithCause_Item_iE_Extension__item_
    _QoSFlowwithCause_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowwithCause_Item._cont = ASN1Dict([
        (u'qfi', _QoSFlowwithCause_Item_qfi),
        (u'cause', _QoSFlowwithCause_Item_cause),
        (u'iE-Extension', _QoSFlowwithCause_Item_iE_Extension),
        ])
    QoSFlowwithCause_Item._ext = []
    
    #-----< QoSFlowwithCause-Item-ExtIEs >-----#
    QoSFlowwithCause_Item_ExtIEs = CLASS(name=u'QoSFlowwithCause-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowwithCause_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsAdmitted-List >-----#
    QoSFlowsAdmitted_List = SEQ_OF(name=u'QoSFlowsAdmitted-List', mode=MODE_TYPE)
    _QoSFlowsAdmitted_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsAdmitted-Item')))
    QoSFlowsAdmitted_List._cont = _QoSFlowsAdmitted_List__item_
    QoSFlowsAdmitted_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsAdmitted-Item >-----#
    QoSFlowsAdmitted_Item = SEQ(name=u'QoSFlowsAdmitted-Item', mode=MODE_TYPE)
    _QoSFlowsAdmitted_Item_qfi = INT(name=u'qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsAdmitted_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsAdmitted_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id._const_tab = ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowsAdmitted_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowsAdmitted_Item_iE_Extension__item__criticality_tab
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsAdmitted_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsAdmitted_Item_iE_Extension__item__id),
        (u'criticality', ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowsAdmitted_Item_iE_Extension__item_._ext = None
    _QoSFlowsAdmitted_Item_iE_Extension._cont = __QoSFlowsAdmitted_Item_iE_Extension__item_
    _QoSFlowsAdmitted_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsAdmitted_Item._cont = ASN1Dict([
        (u'qfi', _QoSFlowsAdmitted_Item_qfi),
        (u'iE-Extension', _QoSFlowsAdmitted_Item_iE_Extension),
        ])
    QoSFlowsAdmitted_Item._ext = []
    
    #-----< QoSFlowsAdmitted-Item-ExtIEs >-----#
    QoSFlowsAdmitted_Item_ExtIEs = CLASS(name=u'QoSFlowsAdmitted-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsAdmitted_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsToBeSetup-List >-----#
    QoSFlowsToBeSetup_List = SEQ_OF(name=u'QoSFlowsToBeSetup-List', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsToBeSetup-Item')))
    QoSFlowsToBeSetup_List._cont = _QoSFlowsToBeSetup_List__item_
    QoSFlowsToBeSetup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsToBeSetup-Item >-----#
    QoSFlowsToBeSetup_Item = SEQ(name=u'QoSFlowsToBeSetup-Item', mode=MODE_TYPE)
    _QoSFlowsToBeSetup_Item_qfi = INT(name=u'qfi', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsToBeSetup_Item_qosFlowLevelQoSParameters = SEQ(name=u'qosFlowLevelQoSParameters', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowLevelQoSParameters')))
    _QoSFlowsToBeSetup_Item_e_RAB_ID = INT(name=u'e-RAB-ID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-RAB-ID')), opt=True)
    _QoSFlowsToBeSetup_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsToBeSetup_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id._const_tab = ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id._const_tab_at = None
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality._const_tab = ____QoSFlowsToBeSetup_Item_iE_Extension__item__criticality_tab
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue._const_tab = ____QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue_tab
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsToBeSetup_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsToBeSetup_Item_iE_Extension__item__id),
        (u'criticality', ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue),
        ])
    __QoSFlowsToBeSetup_Item_iE_Extension__item_._ext = None
    _QoSFlowsToBeSetup_Item_iE_Extension._cont = __QoSFlowsToBeSetup_Item_iE_Extension__item_
    _QoSFlowsToBeSetup_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsToBeSetup_Item._cont = ASN1Dict([
        (u'qfi', _QoSFlowsToBeSetup_Item_qfi),
        (u'qosFlowLevelQoSParameters', _QoSFlowsToBeSetup_Item_qosFlowLevelQoSParameters),
        (u'e-RAB-ID', _QoSFlowsToBeSetup_Item_e_RAB_ID),
        (u'iE-Extension', _QoSFlowsToBeSetup_Item_iE_Extension),
        ])
    QoSFlowsToBeSetup_Item._ext = []
    
    #-----< QoSFlowsToBeSetup-Item-ExtIEs >-----#
    QoSFlowsToBeSetup_Item_ExtIEs = CLASS(name=u'QoSFlowsToBeSetup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsToBeSetup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsUsageReportList >-----#
    QoSFlowsUsageReportList = SEQ_OF(name=u'QoSFlowsUsageReportList', mode=MODE_TYPE)
    _QoSFlowsUsageReportList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsUsageReport-Item')))
    QoSFlowsUsageReportList._cont = _QoSFlowsUsageReportList__item_
    QoSFlowsUsageReportList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsUsageReport-Item >-----#
    QoSFlowsUsageReport_Item = SEQ(name=u'QoSFlowsUsageReport-Item', mode=MODE_TYPE)
    _QoSFlowsUsageReport_Item_qosFlowIdentifier = INT(name=u'qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsUsageReport_Item_rATType = ENUM(name=u'rATType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _QoSFlowsUsageReport_Item_rATType._cont = ASN1Dict([(u'nr', 0), (u'eutra', 1)])
    _QoSFlowsUsageReport_Item_rATType._ext = []
    _QoSFlowsUsageReport_Item_qoSFlowsTimedReportList = SEQ_OF(name=u'qoSFlowsTimedReportList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'VolumeTimedReportList')))
    _QoSFlowsUsageReport_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsUsageReport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id._const_tab = ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality._const_tab = ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsUsageReport_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsUsageReport_Item_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsUsageReport_Item_iE_Extensions__item_._ext = None
    _QoSFlowsUsageReport_Item_iE_Extensions._cont = __QoSFlowsUsageReport_Item_iE_Extensions__item_
    _QoSFlowsUsageReport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsUsageReport_Item._cont = ASN1Dict([
        (u'qosFlowIdentifier', _QoSFlowsUsageReport_Item_qosFlowIdentifier),
        (u'rATType', _QoSFlowsUsageReport_Item_rATType),
        (u'qoSFlowsTimedReportList', _QoSFlowsUsageReport_Item_qoSFlowsTimedReportList),
        (u'iE-Extensions', _QoSFlowsUsageReport_Item_iE_Extensions),
        ])
    QoSFlowsUsageReport_Item._ext = []
    
    #-----< QoSFlowsUsageReport-Item-ExtIEs >-----#
    QoSFlowsUsageReport_Item_ExtIEs = CLASS(name=u'QoSFlowsUsageReport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsUsageReport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANAC >-----#
    RANAC = INT(name=u'RANAC', mode=MODE_TYPE)
    RANAC._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=255)], ev=None, er=[])
    
    #-----< RANAreaID >-----#
    RANAreaID = SEQ(name=u'RANAreaID', mode=MODE_TYPE)
    _RANAreaID_tAC = OCT_STR(name=u'tAC', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _RANAreaID_rANAC = INT(name=u'rANAC', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _RANAreaID_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RANAreaID_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RANAreaID_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RANAreaID_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANAreaID_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANAreaID_iE_Extensions__item__id._const_tab = ____RANAreaID_iE_Extensions__item__id_tab
    ___RANAreaID_iE_Extensions__item__id._const_tab_at = None
    ___RANAreaID_iE_Extensions__item__id._const_tab_id = u'id'
    ___RANAreaID_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RANAreaID_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANAreaID_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANAreaID_iE_Extensions__item__criticality._const_tab = ____RANAreaID_iE_Extensions__item__criticality_tab
    ___RANAreaID_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___RANAreaID_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___RANAreaID_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RANAreaID_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANAreaID_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANAreaID_iE_Extensions__item__extensionValue._const_tab = ____RANAreaID_iE_Extensions__item__extensionValue_tab
    ___RANAreaID_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___RANAreaID_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __RANAreaID_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___RANAreaID_iE_Extensions__item__id),
        (u'criticality', ___RANAreaID_iE_Extensions__item__criticality),
        (u'extensionValue', ___RANAreaID_iE_Extensions__item__extensionValue),
        ])
    __RANAreaID_iE_Extensions__item_._ext = None
    _RANAreaID_iE_Extensions._cont = __RANAreaID_iE_Extensions__item_
    _RANAreaID_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RANAreaID._cont = ASN1Dict([
        (u'tAC', _RANAreaID_tAC),
        (u'rANAC', _RANAreaID_rANAC),
        (u'iE-Extensions', _RANAreaID_iE_Extensions),
        ])
    RANAreaID._ext = []
    
    #-----< RANAreaID-ExtIEs >-----#
    RANAreaID_ExtIEs = CLASS(name=u'RANAreaID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RANAreaID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANAreaID-List >-----#
    RANAreaID_List = SEQ_OF(name=u'RANAreaID-List', mode=MODE_TYPE)
    _RANAreaID_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANAreaID')))
    RANAreaID_List._cont = _RANAreaID_List__item_
    RANAreaID_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< RANPagingArea >-----#
    RANPagingArea = SEQ(name=u'RANPagingArea', mode=MODE_TYPE)
    _RANPagingArea_pLMN_Identity = OCT_STR(name=u'pLMN-Identity', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _RANPagingArea_rANPagingAreaChoice = CHOICE(name=u'rANPagingAreaChoice', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANPagingAreaChoice')))
    _RANPagingArea_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RANPagingArea_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RANPagingArea_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RANPagingArea_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingArea_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingArea_iE_Extensions__item__id._const_tab = ____RANPagingArea_iE_Extensions__item__id_tab
    ___RANPagingArea_iE_Extensions__item__id._const_tab_at = None
    ___RANPagingArea_iE_Extensions__item__id._const_tab_id = u'id'
    ___RANPagingArea_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RANPagingArea_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingArea_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingArea_iE_Extensions__item__criticality._const_tab = ____RANPagingArea_iE_Extensions__item__criticality_tab
    ___RANPagingArea_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___RANPagingArea_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___RANPagingArea_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RANPagingArea_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingArea_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingArea_iE_Extensions__item__extensionValue._const_tab = ____RANPagingArea_iE_Extensions__item__extensionValue_tab
    ___RANPagingArea_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___RANPagingArea_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __RANPagingArea_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___RANPagingArea_iE_Extensions__item__id),
        (u'criticality', ___RANPagingArea_iE_Extensions__item__criticality),
        (u'extensionValue', ___RANPagingArea_iE_Extensions__item__extensionValue),
        ])
    __RANPagingArea_iE_Extensions__item_._ext = None
    _RANPagingArea_iE_Extensions._cont = __RANPagingArea_iE_Extensions__item_
    _RANPagingArea_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RANPagingArea._cont = ASN1Dict([
        (u'pLMN-Identity', _RANPagingArea_pLMN_Identity),
        (u'rANPagingAreaChoice', _RANPagingArea_rANPagingAreaChoice),
        (u'iE-Extensions', _RANPagingArea_iE_Extensions),
        ])
    RANPagingArea._ext = []
    
    #-----< RANPagingArea-ExtIEs >-----#
    RANPagingArea_ExtIEs = CLASS(name=u'RANPagingArea-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RANPagingArea_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPagingAreaChoice >-----#
    RANPagingAreaChoice = CHOICE(name=u'RANPagingAreaChoice', mode=MODE_TYPE)
    _RANPagingAreaChoice_cell_List = SEQ_OF(name=u'cell-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity-ListinRANPagingArea')))
    _RANPagingAreaChoice_rANAreaID_List = SEQ_OF(name=u'rANAreaID-List', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAreaID-List')))
    _RANPagingAreaChoice_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RANPagingAreaChoice_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___RANPagingAreaChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RANPagingAreaChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RANPagingAreaChoice_choice_extension_id._const_tab = ___RANPagingAreaChoice_choice_extension_id_tab
    __RANPagingAreaChoice_choice_extension_id._const_tab_at = None
    __RANPagingAreaChoice_choice_extension_id._const_tab_id = u'id'
    __RANPagingAreaChoice_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RANPagingAreaChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RANPagingAreaChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RANPagingAreaChoice_choice_extension_criticality._const_tab = ___RANPagingAreaChoice_choice_extension_criticality_tab
    __RANPagingAreaChoice_choice_extension_criticality._const_tab_at = ('..', u'id')
    __RANPagingAreaChoice_choice_extension_criticality._const_tab_id = u'criticality'
    __RANPagingAreaChoice_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RANPagingAreaChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RANPagingAreaChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RANPagingAreaChoice_choice_extension_value._const_tab = ___RANPagingAreaChoice_choice_extension_value_tab
    __RANPagingAreaChoice_choice_extension_value._const_tab_at = ('..', u'id')
    __RANPagingAreaChoice_choice_extension_value._const_tab_id = u'Value'
    _RANPagingAreaChoice_choice_extension._cont = ASN1Dict([
        (u'id', __RANPagingAreaChoice_choice_extension_id),
        (u'criticality', __RANPagingAreaChoice_choice_extension_criticality),
        (u'value', __RANPagingAreaChoice_choice_extension_value),
        ])
    _RANPagingAreaChoice_choice_extension._ext = None
    RANPagingAreaChoice._cont = ASN1Dict([
        (u'cell-List', _RANPagingAreaChoice_cell_List),
        (u'rANAreaID-List', _RANPagingAreaChoice_rANAreaID_List),
        (u'choice-extension', _RANPagingAreaChoice_choice_extension),
        ])
    RANPagingAreaChoice._ext = None
    
    #-----< RANPagingAreaChoice-ExtIEs >-----#
    RANPagingAreaChoice_ExtIEs = CLASS(name=u'RANPagingAreaChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RANPagingAreaChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPagingAttemptInfo >-----#
    RANPagingAttemptInfo = SEQ(name=u'RANPagingAttemptInfo', mode=MODE_TYPE)
    _RANPagingAttemptInfo_pagingAttemptCount = INT(name=u'pagingAttemptCount', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RANPagingAttemptInfo_pagingAttemptCount._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=[], er=[])
    _RANPagingAttemptInfo_intendedNumberOfPagingAttempts = INT(name=u'intendedNumberOfPagingAttempts', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _RANPagingAttemptInfo_intendedNumberOfPagingAttempts._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=[], er=[])
    _RANPagingAttemptInfo_nextPagingAreaScope = ENUM(name=u'nextPagingAreaScope', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _RANPagingAttemptInfo_nextPagingAreaScope._cont = ASN1Dict([(u'same', 0), (u'changed', 1)])
    _RANPagingAttemptInfo_nextPagingAreaScope._ext = []
    _RANPagingAttemptInfo_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RANPagingAttemptInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RANPagingAttemptInfo_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RANPagingAttemptInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingAttemptInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingAttemptInfo_iE_Extensions__item__id._const_tab = ____RANPagingAttemptInfo_iE_Extensions__item__id_tab
    ___RANPagingAttemptInfo_iE_Extensions__item__id._const_tab_at = None
    ___RANPagingAttemptInfo_iE_Extensions__item__id._const_tab_id = u'id'
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality._const_tab = ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___RANPagingAttemptInfo_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue._const_tab = ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __RANPagingAttemptInfo_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___RANPagingAttemptInfo_iE_Extensions__item__id),
        (u'criticality', ___RANPagingAttemptInfo_iE_Extensions__item__criticality),
        (u'extensionValue', ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue),
        ])
    __RANPagingAttemptInfo_iE_Extensions__item_._ext = None
    _RANPagingAttemptInfo_iE_Extensions._cont = __RANPagingAttemptInfo_iE_Extensions__item_
    _RANPagingAttemptInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RANPagingAttemptInfo._cont = ASN1Dict([
        (u'pagingAttemptCount', _RANPagingAttemptInfo_pagingAttemptCount),
        (u'intendedNumberOfPagingAttempts', _RANPagingAttemptInfo_intendedNumberOfPagingAttempts),
        (u'nextPagingAreaScope', _RANPagingAttemptInfo_nextPagingAreaScope),
        (u'iE-Extensions', _RANPagingAttemptInfo_iE_Extensions),
        ])
    RANPagingAttemptInfo._ext = []
    
    #-----< RANPagingAttemptInfo-ExtIEs >-----#
    RANPagingAttemptInfo_ExtIEs = CLASS(name=u'RANPagingAttemptInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RANPagingAttemptInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RANPagingFailure >-----#
    RANPagingFailure = ENUM(name=u'RANPagingFailure', mode=MODE_TYPE)
    RANPagingFailure._cont = ASN1Dict([(u'true', 0)])
    RANPagingFailure._ext = []
    
    #-----< ReferenceID >-----#
    ReferenceID = INT(name=u'ReferenceID', mode=MODE_TYPE)
    ReferenceID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=[], er=[])
    
    #-----< ReflectiveQoSAttribute >-----#
    ReflectiveQoSAttribute = ENUM(name=u'ReflectiveQoSAttribute', mode=MODE_TYPE)
    ReflectiveQoSAttribute._cont = ASN1Dict([(u'subject-to-reflective-QoS', 0)])
    ReflectiveQoSAttribute._ext = []
    
    #-----< ReportArea >-----#
    ReportArea = ENUM(name=u'ReportArea', mode=MODE_TYPE)
    ReportArea._cont = ASN1Dict([(u'cell', 0)])
    ReportArea._ext = []
    
    #-----< RequestReferenceID >-----#
    RequestReferenceID = INT(name=u'RequestReferenceID', mode=MODE_TYPE)
    RequestReferenceID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=[], er=[])
    
    #-----< ReservedSubframePattern >-----#
    ReservedSubframePattern = SEQ(name=u'ReservedSubframePattern', mode=MODE_TYPE)
    _ReservedSubframePattern_subframeType = ENUM(name=u'subframeType', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ReservedSubframePattern_subframeType._cont = ASN1Dict([(u'mbsfn', 0), (u'non-mbsfn', 1)])
    _ReservedSubframePattern_subframeType._ext = []
    _ReservedSubframePattern_reservedSubframePattern = BIT_STR(name=u'reservedSubframePattern', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ReservedSubframePattern_reservedSubframePattern._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=10, ub=160)], ev=None, er=[])
    _ReservedSubframePattern_mbsfnControlRegionLength = INT(name=u'mbsfnControlRegionLength', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNControlRegionLength')), opt=True)
    _ReservedSubframePattern_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ReservedSubframePattern_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ReservedSubframePattern_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ReservedSubframePattern_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ReservedSubframePattern_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ReservedSubframePattern_iE_Extension__item__id._const_tab = ____ReservedSubframePattern_iE_Extension__item__id_tab
    ___ReservedSubframePattern_iE_Extension__item__id._const_tab_at = None
    ___ReservedSubframePattern_iE_Extension__item__id._const_tab_id = u'id'
    ___ReservedSubframePattern_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ReservedSubframePattern_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ReservedSubframePattern_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ReservedSubframePattern_iE_Extension__item__criticality._const_tab = ____ReservedSubframePattern_iE_Extension__item__criticality_tab
    ___ReservedSubframePattern_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___ReservedSubframePattern_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___ReservedSubframePattern_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ReservedSubframePattern_iE_Extension__item__extensionValue._const_tab = ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab
    ___ReservedSubframePattern_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___ReservedSubframePattern_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __ReservedSubframePattern_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___ReservedSubframePattern_iE_Extension__item__id),
        (u'criticality', ___ReservedSubframePattern_iE_Extension__item__criticality),
        (u'extensionValue', ___ReservedSubframePattern_iE_Extension__item__extensionValue),
        ])
    __ReservedSubframePattern_iE_Extension__item_._ext = None
    _ReservedSubframePattern_iE_Extension._cont = __ReservedSubframePattern_iE_Extension__item_
    _ReservedSubframePattern_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ReservedSubframePattern._cont = ASN1Dict([
        (u'subframeType', _ReservedSubframePattern_subframeType),
        (u'reservedSubframePattern', _ReservedSubframePattern_reservedSubframePattern),
        (u'mbsfnControlRegionLength', _ReservedSubframePattern_mbsfnControlRegionLength),
        (u'iE-Extension', _ReservedSubframePattern_iE_Extension),
        ])
    ReservedSubframePattern._ext = []
    
    #-----< ReservedSubframePattern-ExtIEs >-----#
    ReservedSubframePattern_ExtIEs = CLASS(name=u'ReservedSubframePattern-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ReservedSubframePattern_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestTypeInfo >-----#
    ResetRequestTypeInfo = CHOICE(name=u'ResetRequestTypeInfo', mode=MODE_TYPE)
    _ResetRequestTypeInfo_fullReset = SEQ(name=u'fullReset', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo-Full')))
    _ResetRequestTypeInfo_partialReset = SEQ(name=u'partialReset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo-Partial')))
    _ResetRequestTypeInfo_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ResetRequestTypeInfo_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ResetRequestTypeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetRequestTypeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetRequestTypeInfo_choice_extension_id._const_tab = ___ResetRequestTypeInfo_choice_extension_id_tab
    __ResetRequestTypeInfo_choice_extension_id._const_tab_at = None
    __ResetRequestTypeInfo_choice_extension_id._const_tab_id = u'id'
    __ResetRequestTypeInfo_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ResetRequestTypeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetRequestTypeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetRequestTypeInfo_choice_extension_criticality._const_tab = ___ResetRequestTypeInfo_choice_extension_criticality_tab
    __ResetRequestTypeInfo_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ResetRequestTypeInfo_choice_extension_criticality._const_tab_id = u'criticality'
    __ResetRequestTypeInfo_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ResetRequestTypeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetRequestTypeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetRequestTypeInfo_choice_extension_value._const_tab = ___ResetRequestTypeInfo_choice_extension_value_tab
    __ResetRequestTypeInfo_choice_extension_value._const_tab_at = ('..', u'id')
    __ResetRequestTypeInfo_choice_extension_value._const_tab_id = u'Value'
    _ResetRequestTypeInfo_choice_extension._cont = ASN1Dict([
        (u'id', __ResetRequestTypeInfo_choice_extension_id),
        (u'criticality', __ResetRequestTypeInfo_choice_extension_criticality),
        (u'value', __ResetRequestTypeInfo_choice_extension_value),
        ])
    _ResetRequestTypeInfo_choice_extension._ext = None
    ResetRequestTypeInfo._cont = ASN1Dict([
        (u'fullReset', _ResetRequestTypeInfo_fullReset),
        (u'partialReset', _ResetRequestTypeInfo_partialReset),
        (u'choice-extension', _ResetRequestTypeInfo_choice_extension),
        ])
    ResetRequestTypeInfo._ext = None
    
    #-----< ResetRequestTypeInfo-ExtIEs >-----#
    ResetRequestTypeInfo_ExtIEs = CLASS(name=u'ResetRequestTypeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ResetRequestTypeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestTypeInfo-Full >-----#
    ResetRequestTypeInfo_Full = SEQ(name=u'ResetRequestTypeInfo-Full', mode=MODE_TYPE)
    _ResetRequestTypeInfo_Full_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetRequestTypeInfo_Full_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id._const_tab = ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id._const_tab_at = None
    ___ResetRequestTypeInfo_Full_iE_Extension__item__id._const_tab_id = u'id'
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality._const_tab = ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue._const_tab = ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __ResetRequestTypeInfo_Full_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___ResetRequestTypeInfo_Full_iE_Extension__item__id),
        (u'criticality', ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality),
        (u'extensionValue', ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue),
        ])
    __ResetRequestTypeInfo_Full_iE_Extension__item_._ext = None
    _ResetRequestTypeInfo_Full_iE_Extension._cont = __ResetRequestTypeInfo_Full_iE_Extension__item_
    _ResetRequestTypeInfo_Full_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetRequestTypeInfo_Full._cont = ASN1Dict([
        (u'iE-Extension', _ResetRequestTypeInfo_Full_iE_Extension),
        ])
    ResetRequestTypeInfo_Full._ext = []
    
    #-----< ResetRequestTypeInfo-Full-ExtIEs >-----#
    ResetRequestTypeInfo_Full_ExtIEs = CLASS(name=u'ResetRequestTypeInfo-Full-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetRequestTypeInfo_Full_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestTypeInfo-Partial >-----#
    ResetRequestTypeInfo_Partial = SEQ(name=u'ResetRequestTypeInfo-Partial', mode=MODE_TYPE)
    _ResetRequestTypeInfo_Partial_ue_contexts_ToBeReleasedList = SEQ_OF(name=u'ue-contexts-ToBeReleasedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestPartialReleaseList')))
    _ResetRequestTypeInfo_Partial_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetRequestTypeInfo_Partial_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id._const_tab = ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id._const_tab_at = None
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__id._const_tab_id = u'id'
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality._const_tab = ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab = ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __ResetRequestTypeInfo_Partial_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___ResetRequestTypeInfo_Partial_iE_Extension__item__id),
        (u'criticality', ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality),
        (u'extensionValue', ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue),
        ])
    __ResetRequestTypeInfo_Partial_iE_Extension__item_._ext = None
    _ResetRequestTypeInfo_Partial_iE_Extension._cont = __ResetRequestTypeInfo_Partial_iE_Extension__item_
    _ResetRequestTypeInfo_Partial_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetRequestTypeInfo_Partial._cont = ASN1Dict([
        (u'ue-contexts-ToBeReleasedList', _ResetRequestTypeInfo_Partial_ue_contexts_ToBeReleasedList),
        (u'iE-Extension', _ResetRequestTypeInfo_Partial_iE_Extension),
        ])
    ResetRequestTypeInfo_Partial._ext = []
    
    #-----< ResetRequestTypeInfo-Partial-ExtIEs >-----#
    ResetRequestTypeInfo_Partial_ExtIEs = CLASS(name=u'ResetRequestTypeInfo-Partial-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetRequestTypeInfo_Partial_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetRequestPartialReleaseList >-----#
    ResetRequestPartialReleaseList = SEQ_OF(name=u'ResetRequestPartialReleaseList', mode=MODE_TYPE)
    _ResetRequestPartialReleaseList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestPartialReleaseItem')))
    ResetRequestPartialReleaseList._cont = _ResetRequestPartialReleaseList__item_
    ResetRequestPartialReleaseList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8192)], ev=None, er=[])
    
    #-----< ResetRequestPartialReleaseItem >-----#
    ResetRequestPartialReleaseItem = SEQ(name=u'ResetRequestPartialReleaseItem', mode=MODE_TYPE)
    _ResetRequestPartialReleaseItem_ng_ran_node1UEXnAPID = INT(name=u'ng-ran-node1UEXnAPID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetRequestPartialReleaseItem_ng_ran_node2UEXnAPID = INT(name=u'ng-ran-node2UEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetRequestPartialReleaseItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetRequestPartialReleaseItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id._const_tab = ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id._const_tab_at = None
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality._const_tab = ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue._const_tab = ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResetRequestPartialReleaseItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResetRequestPartialReleaseItem_iE_Extensions__item__id),
        (u'criticality', ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue),
        ])
    __ResetRequestPartialReleaseItem_iE_Extensions__item_._ext = None
    _ResetRequestPartialReleaseItem_iE_Extensions._cont = __ResetRequestPartialReleaseItem_iE_Extensions__item_
    _ResetRequestPartialReleaseItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetRequestPartialReleaseItem._cont = ASN1Dict([
        (u'ng-ran-node1UEXnAPID', _ResetRequestPartialReleaseItem_ng_ran_node1UEXnAPID),
        (u'ng-ran-node2UEXnAPID', _ResetRequestPartialReleaseItem_ng_ran_node2UEXnAPID),
        (u'iE-Extensions', _ResetRequestPartialReleaseItem_iE_Extensions),
        ])
    ResetRequestPartialReleaseItem._ext = []
    
    #-----< ResetRequestPartialReleaseItem-ExtIEs >-----#
    ResetRequestPartialReleaseItem_ExtIEs = CLASS(name=u'ResetRequestPartialReleaseItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetRequestPartialReleaseItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponseTypeInfo >-----#
    ResetResponseTypeInfo = CHOICE(name=u'ResetResponseTypeInfo', mode=MODE_TYPE)
    _ResetResponseTypeInfo_fullReset = SEQ(name=u'fullReset', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo-Full')))
    _ResetResponseTypeInfo_partialReset = SEQ(name=u'partialReset', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo-Partial')))
    _ResetResponseTypeInfo_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ResetResponseTypeInfo_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ResetResponseTypeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetResponseTypeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetResponseTypeInfo_choice_extension_id._const_tab = ___ResetResponseTypeInfo_choice_extension_id_tab
    __ResetResponseTypeInfo_choice_extension_id._const_tab_at = None
    __ResetResponseTypeInfo_choice_extension_id._const_tab_id = u'id'
    __ResetResponseTypeInfo_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ResetResponseTypeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetResponseTypeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetResponseTypeInfo_choice_extension_criticality._const_tab = ___ResetResponseTypeInfo_choice_extension_criticality_tab
    __ResetResponseTypeInfo_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ResetResponseTypeInfo_choice_extension_criticality._const_tab_id = u'criticality'
    __ResetResponseTypeInfo_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ResetResponseTypeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResetResponseTypeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResetResponseTypeInfo_choice_extension_value._const_tab = ___ResetResponseTypeInfo_choice_extension_value_tab
    __ResetResponseTypeInfo_choice_extension_value._const_tab_at = ('..', u'id')
    __ResetResponseTypeInfo_choice_extension_value._const_tab_id = u'Value'
    _ResetResponseTypeInfo_choice_extension._cont = ASN1Dict([
        (u'id', __ResetResponseTypeInfo_choice_extension_id),
        (u'criticality', __ResetResponseTypeInfo_choice_extension_criticality),
        (u'value', __ResetResponseTypeInfo_choice_extension_value),
        ])
    _ResetResponseTypeInfo_choice_extension._ext = None
    ResetResponseTypeInfo._cont = ASN1Dict([
        (u'fullReset', _ResetResponseTypeInfo_fullReset),
        (u'partialReset', _ResetResponseTypeInfo_partialReset),
        (u'choice-extension', _ResetResponseTypeInfo_choice_extension),
        ])
    ResetResponseTypeInfo._ext = None
    
    #-----< ResetResponseTypeInfo-ExtIEs >-----#
    ResetResponseTypeInfo_ExtIEs = CLASS(name=u'ResetResponseTypeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ResetResponseTypeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponseTypeInfo-Full >-----#
    ResetResponseTypeInfo_Full = SEQ(name=u'ResetResponseTypeInfo-Full', mode=MODE_TYPE)
    _ResetResponseTypeInfo_Full_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetResponseTypeInfo_Full_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id._const_tab = ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id._const_tab_at = None
    ___ResetResponseTypeInfo_Full_iE_Extension__item__id._const_tab_id = u'id'
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality._const_tab = ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue._const_tab = ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __ResetResponseTypeInfo_Full_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___ResetResponseTypeInfo_Full_iE_Extension__item__id),
        (u'criticality', ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality),
        (u'extensionValue', ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue),
        ])
    __ResetResponseTypeInfo_Full_iE_Extension__item_._ext = None
    _ResetResponseTypeInfo_Full_iE_Extension._cont = __ResetResponseTypeInfo_Full_iE_Extension__item_
    _ResetResponseTypeInfo_Full_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetResponseTypeInfo_Full._cont = ASN1Dict([
        (u'iE-Extension', _ResetResponseTypeInfo_Full_iE_Extension),
        ])
    ResetResponseTypeInfo_Full._ext = []
    
    #-----< ResetResponseTypeInfo-Full-ExtIEs >-----#
    ResetResponseTypeInfo_Full_ExtIEs = CLASS(name=u'ResetResponseTypeInfo-Full-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetResponseTypeInfo_Full_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponseTypeInfo-Partial >-----#
    ResetResponseTypeInfo_Partial = SEQ(name=u'ResetResponseTypeInfo-Partial', mode=MODE_TYPE)
    _ResetResponseTypeInfo_Partial_ue_contexts_AdmittedToBeReleasedList = SEQ_OF(name=u'ue-contexts-AdmittedToBeReleasedList', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ResetResponsePartialReleaseList')))
    _ResetResponseTypeInfo_Partial_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetResponseTypeInfo_Partial_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id._const_tab = ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id._const_tab_at = None
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__id._const_tab_id = u'id'
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality._const_tab = ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab = ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __ResetResponseTypeInfo_Partial_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___ResetResponseTypeInfo_Partial_iE_Extension__item__id),
        (u'criticality', ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality),
        (u'extensionValue', ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue),
        ])
    __ResetResponseTypeInfo_Partial_iE_Extension__item_._ext = None
    _ResetResponseTypeInfo_Partial_iE_Extension._cont = __ResetResponseTypeInfo_Partial_iE_Extension__item_
    _ResetResponseTypeInfo_Partial_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetResponseTypeInfo_Partial._cont = ASN1Dict([
        (u'ue-contexts-AdmittedToBeReleasedList', _ResetResponseTypeInfo_Partial_ue_contexts_AdmittedToBeReleasedList),
        (u'iE-Extension', _ResetResponseTypeInfo_Partial_iE_Extension),
        ])
    ResetResponseTypeInfo_Partial._ext = []
    
    #-----< ResetResponseTypeInfo-Partial-ExtIEs >-----#
    ResetResponseTypeInfo_Partial_ExtIEs = CLASS(name=u'ResetResponseTypeInfo-Partial-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetResponseTypeInfo_Partial_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResetResponsePartialReleaseList >-----#
    ResetResponsePartialReleaseList = SEQ_OF(name=u'ResetResponsePartialReleaseList', mode=MODE_TYPE)
    _ResetResponsePartialReleaseList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetResponsePartialReleaseItem')))
    ResetResponsePartialReleaseList._cont = _ResetResponsePartialReleaseList__item_
    ResetResponsePartialReleaseList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8192)], ev=None, er=[])
    
    #-----< ResetResponsePartialReleaseItem >-----#
    ResetResponsePartialReleaseItem = SEQ(name=u'ResetResponsePartialReleaseItem', mode=MODE_TYPE)
    _ResetResponsePartialReleaseItem_ng_ran_node1UEXnAPID = INT(name=u'ng-ran-node1UEXnAPID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetResponsePartialReleaseItem_ng_ran_node2UEXnAPID = INT(name=u'ng-ran-node2UEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')), opt=True)
    _ResetResponsePartialReleaseItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResetResponsePartialReleaseItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id._const_tab = ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id._const_tab_at = None
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality._const_tab = ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue._const_tab = ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResetResponsePartialReleaseItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResetResponsePartialReleaseItem_iE_Extensions__item__id),
        (u'criticality', ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue),
        ])
    __ResetResponsePartialReleaseItem_iE_Extensions__item_._ext = None
    _ResetResponsePartialReleaseItem_iE_Extensions._cont = __ResetResponsePartialReleaseItem_iE_Extensions__item_
    _ResetResponsePartialReleaseItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResetResponsePartialReleaseItem._cont = ASN1Dict([
        (u'ng-ran-node1UEXnAPID', _ResetResponsePartialReleaseItem_ng_ran_node1UEXnAPID),
        (u'ng-ran-node2UEXnAPID', _ResetResponsePartialReleaseItem_ng_ran_node2UEXnAPID),
        (u'iE-Extensions', _ResetResponsePartialReleaseItem_iE_Extensions),
        ])
    ResetResponsePartialReleaseItem._ext = []
    
    #-----< ResetResponsePartialReleaseItem-ExtIEs >-----#
    ResetResponsePartialReleaseItem_ExtIEs = CLASS(name=u'ResetResponsePartialReleaseItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResetResponsePartialReleaseItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RLCMode >-----#
    RLCMode = ENUM(name=u'RLCMode', mode=MODE_TYPE)
    RLCMode._cont = ASN1Dict([(u'rlc-am', 0), (u'rlc-um-bidirectional', 1), (u'rlc-um-unidirectional-ul', 2), (u'rlc-um-unidirectional-dl', 3)])
    RLCMode._ext = []
    
    #-----< RLC-Status >-----#
    RLC_Status = SEQ(name=u'RLC-Status', mode=MODE_TYPE)
    _RLC_Status_reestablishment_Indication = ENUM(name=u'reestablishment-Indication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Reestablishment-Indication')))
    _RLC_Status_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RLC_Status_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RLC_Status_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RLC_Status_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLC_Status_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLC_Status_iE_Extensions__item__id._const_tab = ____RLC_Status_iE_Extensions__item__id_tab
    ___RLC_Status_iE_Extensions__item__id._const_tab_at = None
    ___RLC_Status_iE_Extensions__item__id._const_tab_id = u'id'
    ___RLC_Status_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RLC_Status_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLC_Status_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLC_Status_iE_Extensions__item__criticality._const_tab = ____RLC_Status_iE_Extensions__item__criticality_tab
    ___RLC_Status_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___RLC_Status_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___RLC_Status_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RLC_Status_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RLC_Status_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RLC_Status_iE_Extensions__item__extensionValue._const_tab = ____RLC_Status_iE_Extensions__item__extensionValue_tab
    ___RLC_Status_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___RLC_Status_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __RLC_Status_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___RLC_Status_iE_Extensions__item__id),
        (u'criticality', ___RLC_Status_iE_Extensions__item__criticality),
        (u'extensionValue', ___RLC_Status_iE_Extensions__item__extensionValue),
        ])
    __RLC_Status_iE_Extensions__item_._ext = None
    _RLC_Status_iE_Extensions._cont = __RLC_Status_iE_Extensions__item_
    _RLC_Status_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RLC_Status._cont = ASN1Dict([
        (u'reestablishment-Indication', _RLC_Status_reestablishment_Indication),
        (u'iE-Extensions', _RLC_Status_iE_Extensions),
        ])
    RLC_Status._ext = []
    
    #-----< RLC-Status-ExtIEs >-----#
    RLC_Status_ExtIEs = CLASS(name=u'RLC-Status-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RLC_Status_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Reestablishment-Indication >-----#
    Reestablishment_Indication = ENUM(name=u'Reestablishment-Indication', mode=MODE_TYPE)
    Reestablishment_Indication._cont = ASN1Dict([(u'reestablished', 0)])
    Reestablishment_Indication._ext = []
    
    #-----< RFSP-Index >-----#
    RFSP_Index = INT(name=u'RFSP-Index', mode=MODE_TYPE)
    RFSP_Index._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< RRCConfigIndication >-----#
    RRCConfigIndication = ENUM(name=u'RRCConfigIndication', mode=MODE_TYPE)
    RRCConfigIndication._cont = ASN1Dict([(u'full-config', 0), (u'delta-config', 1)])
    RRCConfigIndication._ext = []
    
    #-----< RRCResumeCause >-----#
    RRCResumeCause = ENUM(name=u'RRCResumeCause', mode=MODE_TYPE)
    RRCResumeCause._cont = ASN1Dict([(u'rna-Update', 0)])
    RRCResumeCause._ext = []
    
    #-----< SecondarydataForwardingInfoFromTarget-Item >-----#
    SecondarydataForwardingInfoFromTarget_Item = SEQ(name=u'SecondarydataForwardingInfoFromTarget-Item', mode=MODE_TYPE)
    _SecondarydataForwardingInfoFromTarget_Item_secondarydataForwardingInfoFromTarget = SEQ(name=u'secondarydataForwardingInfoFromTarget', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataForwardingInfoFromTargetNGRANnode')))
    _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id._const_tab = ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id._const_tab_at = None
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality._const_tab = ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue._const_tab = ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id),
        (u'criticality', ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue),
        ])
    __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_._ext = None
    _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions._cont = __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_
    _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecondarydataForwardingInfoFromTarget_Item._cont = ASN1Dict([
        (u'secondarydataForwardingInfoFromTarget', _SecondarydataForwardingInfoFromTarget_Item_secondarydataForwardingInfoFromTarget),
        (u'iE-Extensions', _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions),
        ])
    SecondarydataForwardingInfoFromTarget_Item._ext = []
    
    #-----< SecondarydataForwardingInfoFromTarget-Item-ExtIEs >-----#
    SecondarydataForwardingInfoFromTarget_Item_ExtIEs = CLASS(name=u'SecondarydataForwardingInfoFromTarget-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecondarydataForwardingInfoFromTarget_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecondarydataForwardingInfoFromTarget-List >-----#
    SecondarydataForwardingInfoFromTarget_List = SEQ_OF(name=u'SecondarydataForwardingInfoFromTarget-List', mode=MODE_TYPE)
    _SecondarydataForwardingInfoFromTarget_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SecondarydataForwardingInfoFromTarget-Item')))
    SecondarydataForwardingInfoFromTarget_List._cont = _SecondarydataForwardingInfoFromTarget_List__item_
    SecondarydataForwardingInfoFromTarget_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=3)], ev=None, er=[])
    
    #-----< SCGConfigurationQuery >-----#
    SCGConfigurationQuery = ENUM(name=u'SCGConfigurationQuery', mode=MODE_TYPE)
    SCGConfigurationQuery._cont = ASN1Dict([(u'true', 0)])
    SCGConfigurationQuery._ext = []
    
    #-----< SecondaryRATUsageInformation >-----#
    SecondaryRATUsageInformation = SEQ(name=u'SecondaryRATUsageInformation', mode=MODE_TYPE)
    _SecondaryRATUsageInformation_pDUSessionUsageReport = SEQ(name=u'pDUSessionUsageReport', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionUsageReport')), opt=True)
    _SecondaryRATUsageInformation_qosFlowsUsageReportList = SEQ_OF(name=u'qosFlowsUsageReportList', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowsUsageReportList')), opt=True)
    _SecondaryRATUsageInformation_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecondaryRATUsageInformation_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecondaryRATUsageInformation_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecondaryRATUsageInformation_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondaryRATUsageInformation_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondaryRATUsageInformation_iE_Extension__item__id._const_tab = ____SecondaryRATUsageInformation_iE_Extension__item__id_tab
    ___SecondaryRATUsageInformation_iE_Extension__item__id._const_tab_at = None
    ___SecondaryRATUsageInformation_iE_Extension__item__id._const_tab_id = u'id'
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality._const_tab = ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___SecondaryRATUsageInformation_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue._const_tab = ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __SecondaryRATUsageInformation_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___SecondaryRATUsageInformation_iE_Extension__item__id),
        (u'criticality', ___SecondaryRATUsageInformation_iE_Extension__item__criticality),
        (u'extensionValue', ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue),
        ])
    __SecondaryRATUsageInformation_iE_Extension__item_._ext = None
    _SecondaryRATUsageInformation_iE_Extension._cont = __SecondaryRATUsageInformation_iE_Extension__item_
    _SecondaryRATUsageInformation_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecondaryRATUsageInformation._cont = ASN1Dict([
        (u'pDUSessionUsageReport', _SecondaryRATUsageInformation_pDUSessionUsageReport),
        (u'qosFlowsUsageReportList', _SecondaryRATUsageInformation_qosFlowsUsageReportList),
        (u'iE-Extension', _SecondaryRATUsageInformation_iE_Extension),
        ])
    SecondaryRATUsageInformation._ext = []
    
    #-----< SecondaryRATUsageInformation-ExtIEs >-----#
    SecondaryRATUsageInformation_ExtIEs = CLASS(name=u'SecondaryRATUsageInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecondaryRATUsageInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityIndication >-----#
    SecurityIndication = SEQ(name=u'SecurityIndication', mode=MODE_TYPE)
    _SecurityIndication_integrityProtectionIndication = ENUM(name=u'integrityProtectionIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityIndication_integrityProtectionIndication._cont = ASN1Dict([(u'required', 0), (u'preferred', 1), (u'not-needed', 2)])
    _SecurityIndication_integrityProtectionIndication._ext = []
    _SecurityIndication_confidentialityProtectionIndication = ENUM(name=u'confidentialityProtectionIndication', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityIndication_confidentialityProtectionIndication._cont = ASN1Dict([(u'required', 0), (u'preferred', 1), (u'not-needed', 2)])
    _SecurityIndication_confidentialityProtectionIndication._ext = []
    _SecurityIndication_maximumIPdatarate = SEQ(name=u'maximumIPdatarate', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MaximumIPdatarate')), opt=True)
    _SecurityIndication_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityIndication_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecurityIndication_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecurityIndication_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__id._const_tab = ____SecurityIndication_iE_Extensions__item__id_tab
    ___SecurityIndication_iE_Extensions__item__id._const_tab_at = None
    ___SecurityIndication_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecurityIndication_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecurityIndication_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab = ____SecurityIndication_iE_Extensions__item__criticality_tab
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecurityIndication_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecurityIndication_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecurityIndication_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityIndication_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab = ____SecurityIndication_iE_Extensions__item__extensionValue_tab
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecurityIndication_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecurityIndication_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecurityIndication_iE_Extensions__item__id),
        (u'criticality', ___SecurityIndication_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecurityIndication_iE_Extensions__item__extensionValue),
        ])
    __SecurityIndication_iE_Extensions__item_._ext = None
    _SecurityIndication_iE_Extensions._cont = __SecurityIndication_iE_Extensions__item_
    _SecurityIndication_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityIndication._cont = ASN1Dict([
        (u'integrityProtectionIndication', _SecurityIndication_integrityProtectionIndication),
        (u'confidentialityProtectionIndication', _SecurityIndication_confidentialityProtectionIndication),
        (u'maximumIPdatarate', _SecurityIndication_maximumIPdatarate),
        (u'iE-Extensions', _SecurityIndication_iE_Extensions),
        ])
    SecurityIndication._ext = []
    
    #-----< SecurityIndication-ExtIEs >-----#
    SecurityIndication_ExtIEs = CLASS(name=u'SecurityIndication-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecurityIndication_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecurityResult >-----#
    SecurityResult = SEQ(name=u'SecurityResult', mode=MODE_TYPE)
    _SecurityResult_integrityProtectionResult = ENUM(name=u'integrityProtectionResult', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityResult_integrityProtectionResult._cont = ASN1Dict([(u'performed', 0), (u'not-performed', 1)])
    _SecurityResult_integrityProtectionResult._ext = []
    _SecurityResult_confidentialityProtectionResult = ENUM(name=u'confidentialityProtectionResult', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SecurityResult_confidentialityProtectionResult._cont = ASN1Dict([(u'performed', 0), (u'not-performed', 1)])
    _SecurityResult_confidentialityProtectionResult._ext = []
    _SecurityResult_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SecurityResult_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SecurityResult_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SecurityResult_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__id._const_tab = ____SecurityResult_iE_Extensions__item__id_tab
    ___SecurityResult_iE_Extensions__item__id._const_tab_at = None
    ___SecurityResult_iE_Extensions__item__id._const_tab_id = u'id'
    ___SecurityResult_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SecurityResult_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__criticality._const_tab = ____SecurityResult_iE_Extensions__item__criticality_tab
    ___SecurityResult_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SecurityResult_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SecurityResult_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SecurityResult_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SecurityResult_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab = ____SecurityResult_iE_Extensions__item__extensionValue_tab
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SecurityResult_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SecurityResult_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SecurityResult_iE_Extensions__item__id),
        (u'criticality', ___SecurityResult_iE_Extensions__item__criticality),
        (u'extensionValue', ___SecurityResult_iE_Extensions__item__extensionValue),
        ])
    __SecurityResult_iE_Extensions__item_._ext = None
    _SecurityResult_iE_Extensions._cont = __SecurityResult_iE_Extensions__item_
    _SecurityResult_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SecurityResult._cont = ASN1Dict([
        (u'integrityProtectionResult', _SecurityResult_integrityProtectionResult),
        (u'confidentialityProtectionResult', _SecurityResult_confidentialityProtectionResult),
        (u'iE-Extensions', _SecurityResult_iE_Extensions),
        ])
    SecurityResult._ext = []
    
    #-----< SecurityResult-ExtIEs >-----#
    SecurityResult_ExtIEs = CLASS(name=u'SecurityResult-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SecurityResult_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA >-----#
    ServedCellInformation_E_UTRA = SEQ(name=u'ServedCellInformation-E-UTRA', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_e_utra_pci = INT(name=u'e-utra-pci', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPCI')))
    _ServedCellInformation_E_UTRA_e_utra_cgi = SEQ(name=u'e-utra-cgi', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCellInformation_E_UTRA_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServedCellInformation_E_UTRA_ranac = INT(name=u'ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _ServedCellInformation_E_UTRA_broadcastPLMNs = SEQ_OF(name=u'broadcastPLMNs', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ServedCellInformation_E_UTRA_broadcastPLMNs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-perBPLMN')))
    _ServedCellInformation_E_UTRA_broadcastPLMNs._cont = __ServedCellInformation_E_UTRA_broadcastPLMNs__item_
    _ServedCellInformation_E_UTRA_broadcastPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    _ServedCellInformation_E_UTRA_e_utra_mode_info = CHOICE(name=u'e-utra-mode-info', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-ModeInfo')))
    _ServedCellInformation_E_UTRA_numberofAntennaPorts = ENUM(name=u'numberofAntennaPorts', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NumberOfAntennaPorts-E-UTRA')), opt=True)
    _ServedCellInformation_E_UTRA_prach_configuration = SEQ(name=u'prach-configuration', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAPRACHConfiguration')), opt=True)
    _ServedCellInformation_E_UTRA_mBSFNsubframeInfo = SEQ_OF(name=u'mBSFNsubframeInfo', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MBSFNSubframeInfo-E-UTRA')), opt=True)
    _ServedCellInformation_E_UTRA_multibandInfo = SEQ_OF(name=u'multibandInfo', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAMultibandInfoList')), opt=True)
    _ServedCellInformation_E_UTRA_freqBandIndicatorPriority = ENUM(name=u'freqBandIndicatorPriority', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCellInformation_E_UTRA_freqBandIndicatorPriority._cont = ASN1Dict([(u'not-broadcast', 0), (u'broadcast', 1)])
    _ServedCellInformation_E_UTRA_freqBandIndicatorPriority._ext = []
    _ServedCellInformation_E_UTRA_bandwidthReducedSI = ENUM(name=u'bandwidthReducedSI', mode=MODE_TYPE, tag=(11, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCellInformation_E_UTRA_bandwidthReducedSI._cont = ASN1Dict([(u'scheduled', 0)])
    _ServedCellInformation_E_UTRA_bandwidthReducedSI._ext = []
    _ServedCellInformation_E_UTRA_protectedE_UTRAResourceIndication = SEQ(name=u'protectedE-UTRAResourceIndication', mode=MODE_TYPE, tag=(12, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ProtectedE-UTRAResourceIndication')), opt=True)
    _ServedCellInformation_E_UTRA_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(13, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-EUTRA')))
    ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 128), (u'criticality', u'ignore'), (u'Extension', _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellInformation_E_UTRA_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellInformation_E_UTRA_iE_Extensions__item__id),
        (u'criticality', ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_iE_Extensions._cont = __ServedCellInformation_E_UTRA_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA._cont = ASN1Dict([
        (u'e-utra-pci', _ServedCellInformation_E_UTRA_e_utra_pci),
        (u'e-utra-cgi', _ServedCellInformation_E_UTRA_e_utra_cgi),
        (u'tac', _ServedCellInformation_E_UTRA_tac),
        (u'ranac', _ServedCellInformation_E_UTRA_ranac),
        (u'broadcastPLMNs', _ServedCellInformation_E_UTRA_broadcastPLMNs),
        (u'e-utra-mode-info', _ServedCellInformation_E_UTRA_e_utra_mode_info),
        (u'numberofAntennaPorts', _ServedCellInformation_E_UTRA_numberofAntennaPorts),
        (u'prach-configuration', _ServedCellInformation_E_UTRA_prach_configuration),
        (u'mBSFNsubframeInfo', _ServedCellInformation_E_UTRA_mBSFNsubframeInfo),
        (u'multibandInfo', _ServedCellInformation_E_UTRA_multibandInfo),
        (u'freqBandIndicatorPriority', _ServedCellInformation_E_UTRA_freqBandIndicatorPriority),
        (u'bandwidthReducedSI', _ServedCellInformation_E_UTRA_bandwidthReducedSI),
        (u'protectedE-UTRAResourceIndication', _ServedCellInformation_E_UTRA_protectedE_UTRAResourceIndication),
        (u'iE-Extensions', _ServedCellInformation_E_UTRA_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA._ext = []
    
    #-----< ServedCellInformation-E-UTRA-ExtIEs >-----#
    ServedCellInformation_E_UTRA_ExtIEs = CLASS(name=u'ServedCellInformation-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-EUTRA')))
    ServedCellInformation_E_UTRA_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 128), (u'criticality', u'ignore'), (u'Extension', _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-perBPLMN >-----#
    ServedCellInformation_E_UTRA_perBPLMN = SEQ(name=u'ServedCellInformation-E-UTRA-perBPLMN', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_perBPLMN_plmn_id = OCT_STR(name=u'plmn-id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id),
        (u'criticality', ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions._cont = __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA_perBPLMN._cont = ASN1Dict([
        (u'plmn-id', _ServedCellInformation_E_UTRA_perBPLMN_plmn_id),
        (u'iE-Extensions', _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA_perBPLMN._ext = []
    
    #-----< ServedCellInformation-E-UTRA-perBPLMN-ExtIEs >-----#
    ServedCellInformation_E_UTRA_perBPLMN_ExtIEs = CLASS(name=u'ServedCellInformation-E-UTRA-perBPLMN-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellInformation_E_UTRA_perBPLMN_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-ModeInfo >-----#
    ServedCellInformation_E_UTRA_ModeInfo = CHOICE(name=u'ServedCellInformation-E-UTRA-ModeInfo', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_ModeInfo_fdd = SEQ(name=u'fdd', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-FDDInfo')))
    _ServedCellInformation_E_UTRA_ModeInfo_tdd = SEQ(name=u'tdd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA-TDDInfo')))
    _ServedCellInformation_E_UTRA_ModeInfo_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id._const_tab = ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id._const_tab_at = None
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id._const_tab_id = u'id'
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality._const_tab = ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality._const_tab_id = u'criticality'
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value._const_tab = ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value._const_tab_at = ('..', u'id')
    __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value._const_tab_id = u'Value'
    _ServedCellInformation_E_UTRA_ModeInfo_choice_extension._cont = ASN1Dict([
        (u'id', __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id),
        (u'criticality', __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality),
        (u'value', __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value),
        ])
    _ServedCellInformation_E_UTRA_ModeInfo_choice_extension._ext = None
    ServedCellInformation_E_UTRA_ModeInfo._cont = ASN1Dict([
        (u'fdd', _ServedCellInformation_E_UTRA_ModeInfo_fdd),
        (u'tdd', _ServedCellInformation_E_UTRA_ModeInfo_tdd),
        (u'choice-extension', _ServedCellInformation_E_UTRA_ModeInfo_choice_extension),
        ])
    ServedCellInformation_E_UTRA_ModeInfo._ext = None
    
    #-----< ServedCellInformation-E-UTRA-ModeInfo-ExtIEs >-----#
    ServedCellInformation_E_UTRA_ModeInfo_ExtIEs = CLASS(name=u'ServedCellInformation-E-UTRA-ModeInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ServedCellInformation_E_UTRA_ModeInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-FDDInfo >-----#
    ServedCellInformation_E_UTRA_FDDInfo = SEQ(name=u'ServedCellInformation-E-UTRA-FDDInfo', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_FDDInfo_ul_earfcn = INT(name=u'ul-earfcn', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _ServedCellInformation_E_UTRA_FDDInfo_dl_earfcn = INT(name=u'dl-earfcn', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _ServedCellInformation_E_UTRA_FDDInfo_ul_e_utraTxBW = ENUM(name=u'ul-e-utraTxBW', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRATransmissionBandwidth')))
    _ServedCellInformation_E_UTRA_FDDInfo_dl_e_utraTxBW = ENUM(name=u'dl-e-utraTxBW', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRATransmissionBandwidth')))
    _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality_tab
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue_tab
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id),
        (u'criticality', ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions._cont = __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA_FDDInfo._cont = ASN1Dict([
        (u'ul-earfcn', _ServedCellInformation_E_UTRA_FDDInfo_ul_earfcn),
        (u'dl-earfcn', _ServedCellInformation_E_UTRA_FDDInfo_dl_earfcn),
        (u'ul-e-utraTxBW', _ServedCellInformation_E_UTRA_FDDInfo_ul_e_utraTxBW),
        (u'dl-e-utraTxBW', _ServedCellInformation_E_UTRA_FDDInfo_dl_e_utraTxBW),
        (u'iE-Extensions', _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA_FDDInfo._ext = []
    
    #-----< ServedCellInformation-E-UTRA-FDDInfo-ExtIEs >-----#
    ServedCellInformation_E_UTRA_FDDInfo_ExtIEs = CLASS(name=u'ServedCellInformation-E-UTRA-FDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellInformation_E_UTRA_FDDInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-E-UTRA-TDDInfo >-----#
    ServedCellInformation_E_UTRA_TDDInfo = SEQ(name=u'ServedCellInformation-E-UTRA-TDDInfo', mode=MODE_TYPE)
    _ServedCellInformation_E_UTRA_TDDInfo_earfcn = INT(name=u'earfcn', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRAARFCN')))
    _ServedCellInformation_E_UTRA_TDDInfo_e_utraTxBW = ENUM(name=u'e-utraTxBW', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRATransmissionBandwidth')))
    _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet = ENUM(name=u'subframeAssignmnet', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet._cont = ASN1Dict([(u'sa0', 0), (u'sa1', 1), (u'sa2', 2), (u'sa3', 3), (u'sa4', 4), (u'sa5', 5), (u'sa6', 6)])
    _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet._ext = []
    _ServedCellInformation_E_UTRA_TDDInfo_specialSubframeInfo = SEQ(name=u'specialSubframeInfo', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpecialSubframeInfo-E-UTRA')))
    _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id._const_tab = ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality_tab
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue_tab
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id),
        (u'criticality', ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_._ext = None
    _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions._cont = __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_
    _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_E_UTRA_TDDInfo._cont = ASN1Dict([
        (u'earfcn', _ServedCellInformation_E_UTRA_TDDInfo_earfcn),
        (u'e-utraTxBW', _ServedCellInformation_E_UTRA_TDDInfo_e_utraTxBW),
        (u'subframeAssignmnet', _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet),
        (u'specialSubframeInfo', _ServedCellInformation_E_UTRA_TDDInfo_specialSubframeInfo),
        (u'iE-Extensions', _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions),
        ])
    ServedCellInformation_E_UTRA_TDDInfo._ext = []
    
    #-----< ServedCellInformation-E-UTRA-TDDInfo-ExtIEs >-----#
    ServedCellInformation_E_UTRA_TDDInfo_ExtIEs = CLASS(name=u'ServedCellInformation-E-UTRA-TDDInfo-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellInformation_E_UTRA_TDDInfo_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCells-E-UTRA >-----#
    ServedCells_E_UTRA = SEQ_OF(name=u'ServedCells-E-UTRA', mode=MODE_TYPE)
    _ServedCells_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA-Item')))
    ServedCells_E_UTRA._cont = _ServedCells_E_UTRA__item_
    ServedCells_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-E-UTRA-Item >-----#
    ServedCells_E_UTRA_Item = SEQ(name=u'ServedCells-E-UTRA-Item', mode=MODE_TYPE)
    _ServedCells_E_UTRA_Item_served_cell_info_E_UTRA = SEQ(name=u'served-cell-info-E-UTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA')))
    _ServedCells_E_UTRA_Item_neighbour_info_NR = SEQ_OF(name=u'neighbour-info-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_E_UTRA_Item_neighbour_info_E_UTRA = SEQ_OF(name=u'neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_E_UTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCells_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCells_E_UTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_E_UTRA_Item_iE_Extensions__item_._ext = None
    _ServedCells_E_UTRA_Item_iE_Extensions._cont = __ServedCells_E_UTRA_Item_iE_Extensions__item_
    _ServedCells_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_E_UTRA_Item._cont = ASN1Dict([
        (u'served-cell-info-E-UTRA', _ServedCells_E_UTRA_Item_served_cell_info_E_UTRA),
        (u'neighbour-info-NR', _ServedCells_E_UTRA_Item_neighbour_info_NR),
        (u'neighbour-info-E-UTRA', _ServedCells_E_UTRA_Item_neighbour_info_E_UTRA),
        (u'iE-Extensions', _ServedCells_E_UTRA_Item_iE_Extensions),
        ])
    ServedCells_E_UTRA_Item._ext = []
    
    #-----< ServedCells-E-UTRA-Item-ExtIEs >-----#
    ServedCells_E_UTRA_Item_ExtIEs = CLASS(name=u'ServedCells-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCells_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellsToUpdate-E-UTRA >-----#
    ServedCellsToUpdate_E_UTRA = SEQ(name=u'ServedCellsToUpdate-E-UTRA', mode=MODE_TYPE)
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToAdd_E_UTRA = SEQ_OF(name=u'served-Cells-ToAdd-E-UTRA', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')), opt=True)
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToModify_E_UTRA = SEQ_OF(name=u'served-Cells-ToModify-E-UTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-E-UTRA')), opt=True)
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA = SEQ_OF(name=u'served-Cells-ToDelete-E-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA._cont = __ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA__item_
    _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToUpdate_E_UTRA_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id._const_tab = ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality._const_tab = ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue._const_tab = ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id),
        (u'criticality', ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue),
        ])
    __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_._ext = None
    _ServedCellsToUpdate_E_UTRA_iE_Extensions._cont = __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_
    _ServedCellsToUpdate_E_UTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellsToUpdate_E_UTRA._cont = ASN1Dict([
        (u'served-Cells-ToAdd-E-UTRA', _ServedCellsToUpdate_E_UTRA_served_Cells_ToAdd_E_UTRA),
        (u'served-Cells-ToModify-E-UTRA', _ServedCellsToUpdate_E_UTRA_served_Cells_ToModify_E_UTRA),
        (u'served-Cells-ToDelete-E-UTRA', _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA),
        (u'iE-Extensions', _ServedCellsToUpdate_E_UTRA_iE_Extensions),
        ])
    ServedCellsToUpdate_E_UTRA._ext = []
    
    #-----< ServedCellsToUpdate-E-UTRA-ExtIEs >-----#
    ServedCellsToUpdate_E_UTRA_ExtIEs = CLASS(name=u'ServedCellsToUpdate-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellsToUpdate_E_UTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCells-ToModify-E-UTRA >-----#
    ServedCells_ToModify_E_UTRA = SEQ_OF(name=u'ServedCells-ToModify-E-UTRA', mode=MODE_TYPE)
    _ServedCells_ToModify_E_UTRA__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-E-UTRA-Item')))
    ServedCells_ToModify_E_UTRA._cont = _ServedCells_ToModify_E_UTRA__item_
    ServedCells_ToModify_E_UTRA._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-ToModify-E-UTRA-Item >-----#
    ServedCells_ToModify_E_UTRA_Item = SEQ(name=u'ServedCells-ToModify-E-UTRA-Item', mode=MODE_TYPE)
    _ServedCells_ToModify_E_UTRA_Item_old_ECGI = SEQ(name=u'old-ECGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCells_ToModify_E_UTRA_Item_served_cell_info_E_UTRA = SEQ(name=u'served-cell-info-E-UTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-E-UTRA')))
    _ServedCells_ToModify_E_UTRA_Item_neighbour_info_NR = SEQ_OF(name=u'neighbour-info-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_ToModify_E_UTRA_Item_neighbour_info_E_UTRA = SEQ_OF(name=u'neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_ToModify_E_UTRA_Item_deactivation_indication = ENUM(name=u'deactivation-indication', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCells_ToModify_E_UTRA_Item_deactivation_indication._cont = ASN1Dict([(u'deactivated', 0)])
    _ServedCells_ToModify_E_UTRA_Item_deactivation_indication._ext = []
    _ServedCells_ToModify_E_UTRA_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id._const_tab = ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id),
        (u'criticality', ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_._ext = None
    _ServedCells_ToModify_E_UTRA_Item_iE_Extensions._cont = __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_
    _ServedCells_ToModify_E_UTRA_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_ToModify_E_UTRA_Item._cont = ASN1Dict([
        (u'old-ECGI', _ServedCells_ToModify_E_UTRA_Item_old_ECGI),
        (u'served-cell-info-E-UTRA', _ServedCells_ToModify_E_UTRA_Item_served_cell_info_E_UTRA),
        (u'neighbour-info-NR', _ServedCells_ToModify_E_UTRA_Item_neighbour_info_NR),
        (u'neighbour-info-E-UTRA', _ServedCells_ToModify_E_UTRA_Item_neighbour_info_E_UTRA),
        (u'deactivation-indication', _ServedCells_ToModify_E_UTRA_Item_deactivation_indication),
        (u'iE-Extensions', _ServedCells_ToModify_E_UTRA_Item_iE_Extensions),
        ])
    ServedCells_ToModify_E_UTRA_Item._ext = []
    
    #-----< Served-cells-ToModify-E-UTRA-Item-ExtIEs >-----#
    Served_cells_ToModify_E_UTRA_Item_ExtIEs = CLASS(name=u'Served-cells-ToModify-E-UTRA-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Served_cells_ToModify_E_UTRA_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellInformation-NR >-----#
    ServedCellInformation_NR = SEQ(name=u'ServedCellInformation-NR', mode=MODE_TYPE)
    _ServedCellInformation_NR_nrPCI = INT(name=u'nrPCI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRPCI')))
    _ServedCellInformation_NR_cellID = SEQ(name=u'cellID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCellInformation_NR_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _ServedCellInformation_NR_ranac = INT(name=u'ranac', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RANAC')), opt=True)
    _ServedCellInformation_NR_broadcastPLMN = SEQ_OF(name=u'broadcastPLMN', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPLMNs')))
    _ServedCellInformation_NR_nrModeInfo = CHOICE(name=u'nrModeInfo', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRModeInfo')))
    _ServedCellInformation_NR_measurementTimingConfiguration = OCT_STR(name=u'measurementTimingConfiguration', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _ServedCellInformation_NR_connectivitySupport = SEQ(name=u'connectivitySupport', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Connectivity-Support')))
    _ServedCellInformation_NR_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellInformation_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellInformation_NR_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellInformation_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-NR')))
    ____ServedCellInformation_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 129), (u'criticality', u'ignore'), (u'Extension', _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ServedCellInformation_NR_iE_Extensions__item__id._const_tab = ____ServedCellInformation_NR_iE_Extensions__item__id_tab
    ___ServedCellInformation_NR_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellInformation_NR_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellInformation_NR_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___ServedCellInformation_NR_iE_Extensions__item__criticality._const_tab = ____ServedCellInformation_NR_iE_Extensions__item__id_tab
    ___ServedCellInformation_NR_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellInformation_NR_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue._const_tab = ____ServedCellInformation_NR_iE_Extensions__item__id_tab
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellInformation_NR_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellInformation_NR_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellInformation_NR_iE_Extensions__item__id),
        (u'criticality', ___ServedCellInformation_NR_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellInformation_NR_iE_Extensions__item__extensionValue),
        ])
    __ServedCellInformation_NR_iE_Extensions__item_._ext = None
    _ServedCellInformation_NR_iE_Extensions._cont = __ServedCellInformation_NR_iE_Extensions__item_
    _ServedCellInformation_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellInformation_NR._cont = ASN1Dict([
        (u'nrPCI', _ServedCellInformation_NR_nrPCI),
        (u'cellID', _ServedCellInformation_NR_cellID),
        (u'tac', _ServedCellInformation_NR_tac),
        (u'ranac', _ServedCellInformation_NR_ranac),
        (u'broadcastPLMN', _ServedCellInformation_NR_broadcastPLMN),
        (u'nrModeInfo', _ServedCellInformation_NR_nrModeInfo),
        (u'measurementTimingConfiguration', _ServedCellInformation_NR_measurementTimingConfiguration),
        (u'connectivitySupport', _ServedCellInformation_NR_connectivitySupport),
        (u'iE-Extensions', _ServedCellInformation_NR_iE_Extensions),
        ])
    ServedCellInformation_NR._ext = []
    
    #-----< ServedCellInformation-NR-ExtIEs >-----#
    ServedCellInformation_NR_ExtIEs = CLASS(name=u'ServedCellInformation-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _ServedCellInformation_NR_ExtIEs_val_Extension_0 = SEQ_OF(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BPLMN-ID-Info-NR')))
    ServedCellInformation_NR_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 129), (u'criticality', u'ignore'), (u'Extension', _ServedCellInformation_NR_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCells-NR >-----#
    ServedCells_NR = SEQ_OF(name=u'ServedCells-NR', mode=MODE_TYPE)
    _ServedCells_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR-Item')))
    ServedCells_NR._cont = _ServedCells_NR__item_
    ServedCells_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-NR-Item >-----#
    ServedCells_NR_Item = SEQ(name=u'ServedCells-NR-Item', mode=MODE_TYPE)
    _ServedCells_NR_Item_served_cell_info_NR = SEQ(name=u'served-cell-info-NR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-NR')))
    _ServedCells_NR_Item_neighbour_info_NR = SEQ_OF(name=u'neighbour-info-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_NR_Item_neighbour_info_E_UTRA = SEQ_OF(name=u'neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_NR_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_NR_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_NR_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCells_NR_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_NR_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_NR_Item_iE_Extensions__item__id._const_tab = ____ServedCells_NR_Item_iE_Extensions__item__id_tab
    ___ServedCells_NR_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_NR_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCells_NR_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_NR_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_NR_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCells_NR_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCells_NR_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCells_NR_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCells_NR_Item_iE_Extensions__item__id),
        (u'criticality', ___ServedCells_NR_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCells_NR_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_NR_Item_iE_Extensions__item_._ext = None
    _ServedCells_NR_Item_iE_Extensions._cont = __ServedCells_NR_Item_iE_Extensions__item_
    _ServedCells_NR_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_NR_Item._cont = ASN1Dict([
        (u'served-cell-info-NR', _ServedCells_NR_Item_served_cell_info_NR),
        (u'neighbour-info-NR', _ServedCells_NR_Item_neighbour_info_NR),
        (u'neighbour-info-E-UTRA', _ServedCells_NR_Item_neighbour_info_E_UTRA),
        (u'iE-Extensions', _ServedCells_NR_Item_iE_Extensions),
        ])
    ServedCells_NR_Item._ext = []
    
    #-----< ServedCells-NR-Item-ExtIEs >-----#
    ServedCells_NR_Item_ExtIEs = CLASS(name=u'ServedCells-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCells_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCells-ToModify-NR >-----#
    ServedCells_ToModify_NR = SEQ_OF(name=u'ServedCells-ToModify-NR', mode=MODE_TYPE)
    _ServedCells_ToModify_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-NR-Item')))
    ServedCells_ToModify_NR._cont = _ServedCells_ToModify_NR__item_
    ServedCells_ToModify_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< ServedCells-ToModify-NR-Item >-----#
    ServedCells_ToModify_NR_Item = SEQ(name=u'ServedCells-ToModify-NR-Item', mode=MODE_TYPE)
    _ServedCells_ToModify_NR_Item_old_NR_CGI = SEQ(name=u'old-NR-CGI', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCells_ToModify_NR_Item_served_cell_info_NR = SEQ(name=u'served-cell-info-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCellInformation-NR')))
    _ServedCells_ToModify_NR_Item_neighbour_info_NR = SEQ_OF(name=u'neighbour-info-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-NR')), opt=True)
    _ServedCells_ToModify_NR_Item_neighbour_info_E_UTRA = SEQ_OF(name=u'neighbour-info-E-UTRA', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NeighbourInformation-E-UTRA')), opt=True)
    _ServedCells_ToModify_NR_Item_deactivation_indication = ENUM(name=u'deactivation-indication', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _ServedCells_ToModify_NR_Item_deactivation_indication._cont = ASN1Dict([(u'deactivated', 0)])
    _ServedCells_ToModify_NR_Item_deactivation_indication._ext = []
    _ServedCells_ToModify_NR_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCells_ToModify_NR_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id._const_tab = ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id._const_tab_at = None
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality._const_tab = ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue._const_tab = ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCells_ToModify_NR_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id),
        (u'criticality', ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue),
        ])
    __ServedCells_ToModify_NR_Item_iE_Extensions__item_._ext = None
    _ServedCells_ToModify_NR_Item_iE_Extensions._cont = __ServedCells_ToModify_NR_Item_iE_Extensions__item_
    _ServedCells_ToModify_NR_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCells_ToModify_NR_Item._cont = ASN1Dict([
        (u'old-NR-CGI', _ServedCells_ToModify_NR_Item_old_NR_CGI),
        (u'served-cell-info-NR', _ServedCells_ToModify_NR_Item_served_cell_info_NR),
        (u'neighbour-info-NR', _ServedCells_ToModify_NR_Item_neighbour_info_NR),
        (u'neighbour-info-E-UTRA', _ServedCells_ToModify_NR_Item_neighbour_info_E_UTRA),
        (u'deactivation-indication', _ServedCells_ToModify_NR_Item_deactivation_indication),
        (u'iE-Extensions', _ServedCells_ToModify_NR_Item_iE_Extensions),
        ])
    ServedCells_ToModify_NR_Item._ext = []
    
    #-----< Served-cells-ToModify-NR-Item-ExtIEs >-----#
    Served_cells_ToModify_NR_Item_ExtIEs = CLASS(name=u'Served-cells-ToModify-NR-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Served_cells_ToModify_NR_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ServedCellsToUpdate-NR >-----#
    ServedCellsToUpdate_NR = SEQ(name=u'ServedCellsToUpdate-NR', mode=MODE_TYPE)
    _ServedCellsToUpdate_NR_served_Cells_ToAdd_NR = SEQ_OF(name=u'served-Cells-ToAdd-NR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')), opt=True)
    _ServedCellsToUpdate_NR_served_Cells_ToModify_NR = SEQ_OF(name=u'served-Cells-ToModify-NR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-ToModify-NR')), opt=True)
    _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR = SEQ_OF(name=u'served-Cells-ToDelete-NR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ServedCellsToUpdate_NR_served_Cells_ToDelete_NR__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR._cont = __ServedCellsToUpdate_NR_served_Cells_ToDelete_NR__item_
    _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToUpdate_NR_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ServedCellsToUpdate_NR_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id._const_tab = ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id._const_tab_at = None
    ___ServedCellsToUpdate_NR_iE_Extensions__item__id._const_tab_id = u'id'
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality._const_tab = ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue._const_tab = ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ServedCellsToUpdate_NR_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ServedCellsToUpdate_NR_iE_Extensions__item__id),
        (u'criticality', ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality),
        (u'extensionValue', ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue),
        ])
    __ServedCellsToUpdate_NR_iE_Extensions__item_._ext = None
    _ServedCellsToUpdate_NR_iE_Extensions._cont = __ServedCellsToUpdate_NR_iE_Extensions__item_
    _ServedCellsToUpdate_NR_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ServedCellsToUpdate_NR._cont = ASN1Dict([
        (u'served-Cells-ToAdd-NR', _ServedCellsToUpdate_NR_served_Cells_ToAdd_NR),
        (u'served-Cells-ToModify-NR', _ServedCellsToUpdate_NR_served_Cells_ToModify_NR),
        (u'served-Cells-ToDelete-NR', _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR),
        (u'iE-Extensions', _ServedCellsToUpdate_NR_iE_Extensions),
        ])
    ServedCellsToUpdate_NR._ext = []
    
    #-----< ServedCellsToUpdate-NR-ExtIEs >-----#
    ServedCellsToUpdate_NR_ExtIEs = CLASS(name=u'ServedCellsToUpdate-NR-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ServedCellsToUpdate_NR_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType >-----#
    SharedResourceType = CHOICE(name=u'SharedResourceType', mode=MODE_TYPE)
    _SharedResourceType_ul_onlySharing = SEQ(name=u'ul-onlySharing', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-UL-OnlySharing')))
    _SharedResourceType_ul_and_dl_Sharing = CHOICE(name=u'ul-and-dl-Sharing', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing')))
    _SharedResourceType_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___SharedResourceType_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_choice_extension_id._const_tab = ___SharedResourceType_choice_extension_id_tab
    __SharedResourceType_choice_extension_id._const_tab_at = None
    __SharedResourceType_choice_extension_id._const_tab_id = u'id'
    __SharedResourceType_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SharedResourceType_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_choice_extension_criticality._const_tab = ___SharedResourceType_choice_extension_criticality_tab
    __SharedResourceType_choice_extension_criticality._const_tab_at = ('..', u'id')
    __SharedResourceType_choice_extension_criticality._const_tab_id = u'criticality'
    __SharedResourceType_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SharedResourceType_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_choice_extension_value._const_tab = ___SharedResourceType_choice_extension_value_tab
    __SharedResourceType_choice_extension_value._const_tab_at = ('..', u'id')
    __SharedResourceType_choice_extension_value._const_tab_id = u'Value'
    _SharedResourceType_choice_extension._cont = ASN1Dict([
        (u'id', __SharedResourceType_choice_extension_id),
        (u'criticality', __SharedResourceType_choice_extension_criticality),
        (u'value', __SharedResourceType_choice_extension_value),
        ])
    _SharedResourceType_choice_extension._ext = None
    SharedResourceType._cont = ASN1Dict([
        (u'ul-onlySharing', _SharedResourceType_ul_onlySharing),
        (u'ul-and-dl-Sharing', _SharedResourceType_ul_and_dl_Sharing),
        (u'choice-extension', _SharedResourceType_choice_extension),
        ])
    SharedResourceType._ext = None
    
    #-----< SharedResourceType-ExtIEs >-----#
    SharedResourceType_ExtIEs = CLASS(name=u'SharedResourceType-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-UL-OnlySharing >-----#
    SharedResourceType_UL_OnlySharing = SEQ(name=u'SharedResourceType-UL-OnlySharing', mode=MODE_TYPE)
    _SharedResourceType_UL_OnlySharing_ul_resourceBitmap = BIT_STR(name=u'ul-resourceBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResources')))
    _SharedResourceType_UL_OnlySharing_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SharedResourceType_UL_OnlySharing_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id._const_tab = ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id._const_tab_at = None
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id._const_tab_id = u'id'
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality._const_tab = ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue._const_tab = ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SharedResourceType_UL_OnlySharing_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id),
        (u'criticality', ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality),
        (u'extensionValue', ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue),
        ])
    __SharedResourceType_UL_OnlySharing_iE_Extensions__item_._ext = None
    _SharedResourceType_UL_OnlySharing_iE_Extensions._cont = __SharedResourceType_UL_OnlySharing_iE_Extensions__item_
    _SharedResourceType_UL_OnlySharing_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SharedResourceType_UL_OnlySharing._cont = ASN1Dict([
        (u'ul-resourceBitmap', _SharedResourceType_UL_OnlySharing_ul_resourceBitmap),
        (u'iE-Extensions', _SharedResourceType_UL_OnlySharing_iE_Extensions),
        ])
    SharedResourceType_UL_OnlySharing._ext = []
    
    #-----< SharedResourceType-UL-OnlySharing-ExtIEs >-----#
    SharedResourceType_UL_OnlySharing_ExtIEs = CLASS(name=u'SharedResourceType-UL-OnlySharing-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SharedResourceType_UL_OnlySharing_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing >-----#
    SharedResourceType_ULDL_Sharing = CHOICE(name=u'SharedResourceType-ULDL-Sharing', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_ul_resources = CHOICE(name=u'ul-resources', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-UL-Resources')))
    _SharedResourceType_ULDL_Sharing_dl_resources = CHOICE(name=u'dl-resources', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-DL-Resources')))
    _SharedResourceType_ULDL_Sharing_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_ULDL_Sharing_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_choice_extension_id._const_tab = ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab
    __SharedResourceType_ULDL_Sharing_choice_extension_id._const_tab_at = None
    __SharedResourceType_ULDL_Sharing_choice_extension_id._const_tab_id = u'id'
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality._const_tab = ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality._const_tab_at = ('..', u'id')
    __SharedResourceType_ULDL_Sharing_choice_extension_criticality._const_tab_id = u'criticality'
    __SharedResourceType_ULDL_Sharing_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_choice_extension_value._const_tab = ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab
    __SharedResourceType_ULDL_Sharing_choice_extension_value._const_tab_at = ('..', u'id')
    __SharedResourceType_ULDL_Sharing_choice_extension_value._const_tab_id = u'Value'
    _SharedResourceType_ULDL_Sharing_choice_extension._cont = ASN1Dict([
        (u'id', __SharedResourceType_ULDL_Sharing_choice_extension_id),
        (u'criticality', __SharedResourceType_ULDL_Sharing_choice_extension_criticality),
        (u'value', __SharedResourceType_ULDL_Sharing_choice_extension_value),
        ])
    _SharedResourceType_ULDL_Sharing_choice_extension._ext = None
    SharedResourceType_ULDL_Sharing._cont = ASN1Dict([
        (u'ul-resources', _SharedResourceType_ULDL_Sharing_ul_resources),
        (u'dl-resources', _SharedResourceType_ULDL_Sharing_dl_resources),
        (u'choice-extension', _SharedResourceType_ULDL_Sharing_choice_extension),
        ])
    SharedResourceType_ULDL_Sharing._ext = None
    
    #-----< SharedResourceType-ULDL-Sharing-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_ExtIEs = CLASS(name=u'SharedResourceType-ULDL-Sharing-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ULDL_Sharing_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-UL-Resources >-----#
    SharedResourceType_ULDL_Sharing_UL_Resources = CHOICE(name=u'SharedResourceType-ULDL-Sharing-UL-Resources', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_UL_Resources_unchanged = NULL(name=u'unchanged', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SharedResourceType_ULDL_Sharing_UL_Resources_changed = SEQ(name=u'changed', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged')))
    _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id._const_tab = ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id._const_tab_at = None
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id._const_tab_id = u'id'
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality._const_tab = ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality._const_tab_at = ('..', u'id')
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality._const_tab_id = u'criticality'
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value._const_tab = ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value._const_tab_at = ('..', u'id')
    __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value._const_tab_id = u'Value'
    _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension._cont = ASN1Dict([
        (u'id', __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id),
        (u'criticality', __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality),
        (u'value', __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value),
        ])
    _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension._ext = None
    SharedResourceType_ULDL_Sharing_UL_Resources._cont = ASN1Dict([
        (u'unchanged', _SharedResourceType_ULDL_Sharing_UL_Resources_unchanged),
        (u'changed', _SharedResourceType_ULDL_Sharing_UL_Resources_changed),
        (u'choice-extension', _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension),
        ])
    SharedResourceType_ULDL_Sharing_UL_Resources._ext = None
    
    #-----< SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_UL_Resources_ExtIEs = CLASS(name=u'SharedResourceType-ULDL-Sharing-UL-Resources-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ULDL_Sharing_UL_Resources_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-UL-ResourcesChanged >-----#
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged = SEQ(name=u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ul_resourceBitmap = BIT_STR(name=u'ul-resourceBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResources')))
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id._const_tab = ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id._const_tab_at = None
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id._const_tab_id = u'id'
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality._const_tab = ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab = ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id),
        (u'criticality', ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality),
        (u'extensionValue', ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue),
        ])
    __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_._ext = None
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions._cont = __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_
    _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged._cont = ASN1Dict([
        (u'ul-resourceBitmap', _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ul_resourceBitmap),
        (u'iE-Extensions', _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions),
        ])
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged._ext = []
    
    #-----< SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ExtIEs = CLASS(name=u'SharedResourceType-ULDL-Sharing-UL-ResourcesChanged-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-DL-Resources >-----#
    SharedResourceType_ULDL_Sharing_DL_Resources = CHOICE(name=u'SharedResourceType-ULDL-Sharing-DL-Resources', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_DL_Resources_unchanged = NULL(name=u'unchanged', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SharedResourceType_ULDL_Sharing_DL_Resources_changed = SEQ(name=u'changed', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged')))
    _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id._const_tab = ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id._const_tab_at = None
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id._const_tab_id = u'id'
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality._const_tab = ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality._const_tab_at = ('..', u'id')
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality._const_tab_id = u'criticality'
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value._const_tab = ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value._const_tab_at = ('..', u'id')
    __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value._const_tab_id = u'Value'
    _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension._cont = ASN1Dict([
        (u'id', __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id),
        (u'criticality', __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality),
        (u'value', __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value),
        ])
    _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension._ext = None
    SharedResourceType_ULDL_Sharing_DL_Resources._cont = ASN1Dict([
        (u'unchanged', _SharedResourceType_ULDL_Sharing_DL_Resources_unchanged),
        (u'changed', _SharedResourceType_ULDL_Sharing_DL_Resources_changed),
        (u'choice-extension', _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension),
        ])
    SharedResourceType_ULDL_Sharing_DL_Resources._ext = None
    
    #-----< SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_DL_Resources_ExtIEs = CLASS(name=u'SharedResourceType-ULDL-Sharing-DL-Resources-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    SharedResourceType_ULDL_Sharing_DL_Resources_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SharedResourceType-ULDL-Sharing-DL-ResourcesChanged >-----#
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged = SEQ(name=u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged', mode=MODE_TYPE)
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_dl_resourceBitmap = BIT_STR(name=u'dl-resourceBitmap', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResources')))
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id._const_tab = ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id._const_tab_at = None
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id._const_tab_id = u'id'
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality._const_tab = ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab = ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id),
        (u'criticality', ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality),
        (u'extensionValue', ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue),
        ])
    __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_._ext = None
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions._cont = __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_
    _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged._cont = ASN1Dict([
        (u'dl-resourceBitmap', _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_dl_resourceBitmap),
        (u'iE-Extensions', _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions),
        ])
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged._ext = []
    
    #-----< SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs >-----#
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_ExtIEs = CLASS(name=u'SharedResourceType-ULDL-Sharing-DL-ResourcesChanged-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SliceSupport-List >-----#
    SliceSupport_List = SEQ_OF(name=u'SliceSupport-List', mode=MODE_TYPE)
    _SliceSupport_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    SliceSupport_List._cont = _SliceSupport_List__item_
    SliceSupport_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< S-NG-RANnode-SecurityKey >-----#
    S_NG_RANnode_SecurityKey = BIT_STR(name=u'S-NG-RANnode-SecurityKey', mode=MODE_TYPE)
    S_NG_RANnode_SecurityKey._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    
    #-----< S-NG-RANnode-Addition-Trigger-Ind >-----#
    S_NG_RANnode_Addition_Trigger_Ind = ENUM(name=u'S-NG-RANnode-Addition-Trigger-Ind', mode=MODE_TYPE)
    S_NG_RANnode_Addition_Trigger_Ind._cont = ASN1Dict([(u'sn-change', 0), (u'inter-MN-HO', 1), (u'intra-MN-HO', 2)])
    S_NG_RANnode_Addition_Trigger_Ind._ext = []
    
    #-----< S-NSSAI >-----#
    S_NSSAI = SEQ(name=u'S-NSSAI', mode=MODE_TYPE)
    _S_NSSAI_sst = OCT_STR(name=u'sst', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _S_NSSAI_sst._const_sz = ASN1Set(rv=[1], rr=[], ev=None, er=[])
    _S_NSSAI_sd = OCT_STR(name=u'sd', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _S_NSSAI_sd._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    _S_NSSAI_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __S_NSSAI_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___S_NSSAI_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____S_NSSAI_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____S_NSSAI_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___S_NSSAI_iE_Extensions__item__id._const_tab = ____S_NSSAI_iE_Extensions__item__id_tab
    ___S_NSSAI_iE_Extensions__item__id._const_tab_at = None
    ___S_NSSAI_iE_Extensions__item__id._const_tab_id = u'id'
    ___S_NSSAI_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____S_NSSAI_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____S_NSSAI_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___S_NSSAI_iE_Extensions__item__criticality._const_tab = ____S_NSSAI_iE_Extensions__item__criticality_tab
    ___S_NSSAI_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___S_NSSAI_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___S_NSSAI_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____S_NSSAI_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____S_NSSAI_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___S_NSSAI_iE_Extensions__item__extensionValue._const_tab = ____S_NSSAI_iE_Extensions__item__extensionValue_tab
    ___S_NSSAI_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___S_NSSAI_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __S_NSSAI_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___S_NSSAI_iE_Extensions__item__id),
        (u'criticality', ___S_NSSAI_iE_Extensions__item__criticality),
        (u'extensionValue', ___S_NSSAI_iE_Extensions__item__extensionValue),
        ])
    __S_NSSAI_iE_Extensions__item_._ext = None
    _S_NSSAI_iE_Extensions._cont = __S_NSSAI_iE_Extensions__item_
    _S_NSSAI_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    S_NSSAI._cont = ASN1Dict([
        (u'sst', _S_NSSAI_sst),
        (u'sd', _S_NSSAI_sd),
        (u'iE-Extensions', _S_NSSAI_iE_Extensions),
        ])
    S_NSSAI._ext = []
    
    #-----< S-NSSAI-ExtIEs >-----#
    S_NSSAI_ExtIEs = CLASS(name=u'S-NSSAI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    S_NSSAI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SpecialSubframeInfo-E-UTRA >-----#
    SpecialSubframeInfo_E_UTRA = SEQ(name=u'SpecialSubframeInfo-E-UTRA', mode=MODE_TYPE)
    _SpecialSubframeInfo_E_UTRA_specialSubframePattern = ENUM(name=u'specialSubframePattern', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpecialSubframePatterns-E-UTRA')))
    _SpecialSubframeInfo_E_UTRA_cyclicPrefixDL = ENUM(name=u'cyclicPrefixDL', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CyclicPrefix-E-UTRA-DL')))
    _SpecialSubframeInfo_E_UTRA_cyclicPrefixUL = ENUM(name=u'cyclicPrefixUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CyclicPrefix-E-UTRA-UL')))
    _SpecialSubframeInfo_E_UTRA_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id._const_tab = ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id._const_tab_at = None
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id._const_tab_id = u'id'
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality._const_tab = ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue._const_tab = ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id),
        (u'criticality', ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality),
        (u'extensionValue', ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue),
        ])
    __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_._ext = None
    _SpecialSubframeInfo_E_UTRA_iE_Extensions._cont = __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_
    _SpecialSubframeInfo_E_UTRA_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SpecialSubframeInfo_E_UTRA._cont = ASN1Dict([
        (u'specialSubframePattern', _SpecialSubframeInfo_E_UTRA_specialSubframePattern),
        (u'cyclicPrefixDL', _SpecialSubframeInfo_E_UTRA_cyclicPrefixDL),
        (u'cyclicPrefixUL', _SpecialSubframeInfo_E_UTRA_cyclicPrefixUL),
        (u'iE-Extensions', _SpecialSubframeInfo_E_UTRA_iE_Extensions),
        ])
    SpecialSubframeInfo_E_UTRA._ext = []
    
    #-----< SpecialSubframeInfo-E-UTRA-ExtIEs >-----#
    SpecialSubframeInfo_E_UTRA_ExtIEs = CLASS(name=u'SpecialSubframeInfo-E-UTRA-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SpecialSubframeInfo_E_UTRA_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SpecialSubframePatterns-E-UTRA >-----#
    SpecialSubframePatterns_E_UTRA = ENUM(name=u'SpecialSubframePatterns-E-UTRA', mode=MODE_TYPE)
    SpecialSubframePatterns_E_UTRA._cont = ASN1Dict([(u'ssp0', 0), (u'ssp1', 1), (u'ssp2', 2), (u'ssp3', 3), (u'ssp4', 4), (u'ssp5', 5), (u'ssp6', 6), (u'ssp7', 7), (u'ssp8', 8), (u'ssp9', 9), (u'ssp10', 10)])
    SpecialSubframePatterns_E_UTRA._ext = []
    
    #-----< SpectrumSharingGroupID >-----#
    SpectrumSharingGroupID = INT(name=u'SpectrumSharingGroupID', mode=MODE_TYPE)
    SpectrumSharingGroupID._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    
    #-----< SplitSessionIndicator >-----#
    SplitSessionIndicator = ENUM(name=u'SplitSessionIndicator', mode=MODE_TYPE)
    SplitSessionIndicator._cont = ASN1Dict([(u'split', 0)])
    SplitSessionIndicator._ext = []
    
    #-----< SplitSRBsTypes >-----#
    SplitSRBsTypes = ENUM(name=u'SplitSRBsTypes', mode=MODE_TYPE)
    SplitSRBsTypes._cont = ASN1Dict([(u'srb1', 0), (u'srb2', 1), (u'srb1and2', 2)])
    SplitSRBsTypes._ext = []
    
    #-----< SUL-FrequencyBand >-----#
    SUL_FrequencyBand = INT(name=u'SUL-FrequencyBand', mode=MODE_TYPE)
    SUL_FrequencyBand._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=1024)], ev=None, er=[])
    
    #-----< SUL-Information >-----#
    SUL_Information = SEQ(name=u'SUL-Information', mode=MODE_TYPE)
    _SUL_Information_sulFrequencyInfo = INT(name=u'sulFrequencyInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRARFCN')))
    _SUL_Information_sulTransmissionBandwidth = SEQ(name=u'sulTransmissionBandwidth', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NRTransmissionBandwidth')))
    _SUL_Information_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SUL_Information_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SUL_Information_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SUL_Information_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SUL_Information_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SUL_Information_iE_Extensions__item__id._const_tab = ____SUL_Information_iE_Extensions__item__id_tab
    ___SUL_Information_iE_Extensions__item__id._const_tab_at = None
    ___SUL_Information_iE_Extensions__item__id._const_tab_id = u'id'
    ___SUL_Information_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SUL_Information_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SUL_Information_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SUL_Information_iE_Extensions__item__criticality._const_tab = ____SUL_Information_iE_Extensions__item__criticality_tab
    ___SUL_Information_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SUL_Information_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SUL_Information_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SUL_Information_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SUL_Information_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SUL_Information_iE_Extensions__item__extensionValue._const_tab = ____SUL_Information_iE_Extensions__item__extensionValue_tab
    ___SUL_Information_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SUL_Information_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SUL_Information_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SUL_Information_iE_Extensions__item__id),
        (u'criticality', ___SUL_Information_iE_Extensions__item__criticality),
        (u'extensionValue', ___SUL_Information_iE_Extensions__item__extensionValue),
        ])
    __SUL_Information_iE_Extensions__item_._ext = None
    _SUL_Information_iE_Extensions._cont = __SUL_Information_iE_Extensions__item_
    _SUL_Information_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SUL_Information._cont = ASN1Dict([
        (u'sulFrequencyInfo', _SUL_Information_sulFrequencyInfo),
        (u'sulTransmissionBandwidth', _SUL_Information_sulTransmissionBandwidth),
        (u'iE-Extensions', _SUL_Information_iE_Extensions),
        ])
    SUL_Information._ext = []
    
    #-----< SUL-Information-ExtIEs >-----#
    SUL_Information_ExtIEs = CLASS(name=u'SUL-Information-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SUL_Information_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SupportedSULBandList >-----#
    SupportedSULBandList = SEQ_OF(name=u'SupportedSULBandList', mode=MODE_TYPE)
    _SupportedSULBandList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SupportedSULBandItem')))
    SupportedSULBandList._cont = _SupportedSULBandList__item_
    SupportedSULBandList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< SupportedSULBandItem >-----#
    SupportedSULBandItem = SEQ(name=u'SupportedSULBandItem', mode=MODE_TYPE)
    _SupportedSULBandItem_sulBandItem = INT(name=u'sulBandItem', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SUL-FrequencyBand')))
    _SupportedSULBandItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SupportedSULBandItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SupportedSULBandItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SupportedSULBandItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SupportedSULBandItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedSULBandItem_iE_Extensions__item__id._const_tab = ____SupportedSULBandItem_iE_Extensions__item__id_tab
    ___SupportedSULBandItem_iE_Extensions__item__id._const_tab_at = None
    ___SupportedSULBandItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___SupportedSULBandItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SupportedSULBandItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SupportedSULBandItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedSULBandItem_iE_Extensions__item__criticality._const_tab = ____SupportedSULBandItem_iE_Extensions__item__criticality_tab
    ___SupportedSULBandItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SupportedSULBandItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue._const_tab = ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SupportedSULBandItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SupportedSULBandItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SupportedSULBandItem_iE_Extensions__item__id),
        (u'criticality', ___SupportedSULBandItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___SupportedSULBandItem_iE_Extensions__item__extensionValue),
        ])
    __SupportedSULBandItem_iE_Extensions__item_._ext = None
    _SupportedSULBandItem_iE_Extensions._cont = __SupportedSULBandItem_iE_Extensions__item_
    _SupportedSULBandItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SupportedSULBandItem._cont = ASN1Dict([
        (u'sulBandItem', _SupportedSULBandItem_sulBandItem),
        (u'iE-Extensions', _SupportedSULBandItem_iE_Extensions),
        ])
    SupportedSULBandItem._ext = []
    
    #-----< SupportedSULBandItem-ExtIEs >-----#
    SupportedSULBandItem_ExtIEs = CLASS(name=u'SupportedSULBandItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SupportedSULBandItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TAC >-----#
    TAC = OCT_STR(name=u'TAC', mode=MODE_TYPE)
    TAC._const_sz = ASN1Set(rv=[3], rr=[], ev=None, er=[])
    
    #-----< TAISupport-List >-----#
    TAISupport_List = SEQ_OF(name=u'TAISupport-List', mode=MODE_TYPE)
    _TAISupport_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-Item')))
    TAISupport_List._cont = _TAISupport_List__item_
    TAISupport_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< TAISupport-Item >-----#
    TAISupport_Item = SEQ(name=u'TAISupport-Item', mode=MODE_TYPE)
    _TAISupport_Item_tac = OCT_STR(name=u'tac', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TAC')))
    _TAISupport_Item_broadcastPLMNs = SEQ_OF(name=u'broadcastPLMNs', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __TAISupport_Item_broadcastPLMNs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BroadcastPLMNinTAISupport-Item')))
    _TAISupport_Item_broadcastPLMNs._cont = __TAISupport_Item_broadcastPLMNs__item_
    _TAISupport_Item_broadcastPLMNs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=12)], ev=None, er=[])
    _TAISupport_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TAISupport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TAISupport_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TAISupport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAISupport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAISupport_Item_iE_Extensions__item__id._const_tab = ____TAISupport_Item_iE_Extensions__item__id_tab
    ___TAISupport_Item_iE_Extensions__item__id._const_tab_at = None
    ___TAISupport_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TAISupport_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TAISupport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAISupport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAISupport_Item_iE_Extensions__item__criticality._const_tab = ____TAISupport_Item_iE_Extensions__item__criticality_tab
    ___TAISupport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TAISupport_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TAISupport_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TAISupport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TAISupport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TAISupport_Item_iE_Extensions__item__extensionValue._const_tab = ____TAISupport_Item_iE_Extensions__item__extensionValue_tab
    ___TAISupport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TAISupport_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TAISupport_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TAISupport_Item_iE_Extensions__item__id),
        (u'criticality', ___TAISupport_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TAISupport_Item_iE_Extensions__item__extensionValue),
        ])
    __TAISupport_Item_iE_Extensions__item_._ext = None
    _TAISupport_Item_iE_Extensions._cont = __TAISupport_Item_iE_Extensions__item_
    _TAISupport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TAISupport_Item._cont = ASN1Dict([
        (u'tac', _TAISupport_Item_tac),
        (u'broadcastPLMNs', _TAISupport_Item_broadcastPLMNs),
        (u'iE-Extensions', _TAISupport_Item_iE_Extensions),
        ])
    TAISupport_Item._ext = []
    
    #-----< TAISupport-Item-ExtIEs >-----#
    TAISupport_Item_ExtIEs = CLASS(name=u'TAISupport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TAISupport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Target-CGI >-----#
    Target_CGI = CHOICE(name=u'Target-CGI', mode=MODE_TYPE)
    _Target_CGI_nr = SEQ(name=u'nr', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _Target_CGI_e_utra = SEQ(name=u'e-utra', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _Target_CGI_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __Target_CGI_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___Target_CGI_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Target_CGI_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Target_CGI_choice_extension_id._const_tab = ___Target_CGI_choice_extension_id_tab
    __Target_CGI_choice_extension_id._const_tab_at = None
    __Target_CGI_choice_extension_id._const_tab_id = u'id'
    __Target_CGI_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___Target_CGI_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Target_CGI_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Target_CGI_choice_extension_criticality._const_tab = ___Target_CGI_choice_extension_criticality_tab
    __Target_CGI_choice_extension_criticality._const_tab_at = ('..', u'id')
    __Target_CGI_choice_extension_criticality._const_tab_id = u'criticality'
    __Target_CGI_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___Target_CGI_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___Target_CGI_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __Target_CGI_choice_extension_value._const_tab = ___Target_CGI_choice_extension_value_tab
    __Target_CGI_choice_extension_value._const_tab_at = ('..', u'id')
    __Target_CGI_choice_extension_value._const_tab_id = u'Value'
    _Target_CGI_choice_extension._cont = ASN1Dict([
        (u'id', __Target_CGI_choice_extension_id),
        (u'criticality', __Target_CGI_choice_extension_criticality),
        (u'value', __Target_CGI_choice_extension_value),
        ])
    _Target_CGI_choice_extension._ext = None
    Target_CGI._cont = ASN1Dict([
        (u'nr', _Target_CGI_nr),
        (u'e-utra', _Target_CGI_e_utra),
        (u'choice-extension', _Target_CGI_choice_extension),
        ])
    Target_CGI._ext = None
    
    #-----< TargetCGI-ExtIEs >-----#
    TargetCGI_ExtIEs = CLASS(name=u'TargetCGI-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    TargetCGI_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TimeToWait >-----#
    TimeToWait = ENUM(name=u'TimeToWait', mode=MODE_TYPE)
    TimeToWait._cont = ASN1Dict([(u'v1s', 0), (u'v2s', 1), (u'v5s', 2), (u'v10s', 3), (u'v20s', 4), (u'v60s', 5)])
    TimeToWait._ext = []
    
    #-----< TNLA-To-Add-List >-----#
    TNLA_To_Add_List = SEQ_OF(name=u'TNLA-To-Add-List', mode=MODE_TYPE)
    _TNLA_To_Add_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Add-Item')))
    TNLA_To_Add_List._cont = _TNLA_To_Add_List__item_
    TNLA_To_Add_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-To-Add-Item >-----#
    TNLA_To_Add_Item = SEQ(name=u'TNLA-To-Add-Item', mode=MODE_TYPE)
    _TNLA_To_Add_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_To_Add_Item_tNLAssociationUsage = ENUM(name=u'tNLAssociationUsage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TNLAssociationUsage')))
    _TNLA_To_Add_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_To_Add_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_To_Add_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TNLA_To_Add_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Add_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Add_Item_iE_Extensions__item__id._const_tab = ____TNLA_To_Add_Item_iE_Extensions__item__id_tab
    ___TNLA_To_Add_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_To_Add_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TNLA_To_Add_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TNLA_To_Add_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TNLA_To_Add_Item_iE_Extensions__item__id),
        (u'criticality', ___TNLA_To_Add_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_To_Add_Item_iE_Extensions__item_._ext = None
    _TNLA_To_Add_Item_iE_Extensions._cont = __TNLA_To_Add_Item_iE_Extensions__item_
    _TNLA_To_Add_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_To_Add_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _TNLA_To_Add_Item_tNLAssociationTransportLayerAddress),
        (u'tNLAssociationUsage', _TNLA_To_Add_Item_tNLAssociationUsage),
        (u'iE-Extensions', _TNLA_To_Add_Item_iE_Extensions),
        ])
    TNLA_To_Add_Item._ext = None
    
    #-----< TNLA-To-Add-Item-ExtIEs >-----#
    TNLA_To_Add_Item_ExtIEs = CLASS(name=u'TNLA-To-Add-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_To_Add_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-To-Update-List >-----#
    TNLA_To_Update_List = SEQ_OF(name=u'TNLA-To-Update-List', mode=MODE_TYPE)
    _TNLA_To_Update_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Update-Item')))
    TNLA_To_Update_List._cont = _TNLA_To_Update_List__item_
    TNLA_To_Update_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-To-Update-Item >-----#
    TNLA_To_Update_Item = SEQ(name=u'TNLA-To-Update-Item', mode=MODE_TYPE)
    _TNLA_To_Update_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_To_Update_Item_tNLAssociationUsage = ENUM(name=u'tNLAssociationUsage', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TNLAssociationUsage')), opt=True)
    _TNLA_To_Update_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_To_Update_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_To_Update_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TNLA_To_Update_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Update_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Update_Item_iE_Extensions__item__id._const_tab = ____TNLA_To_Update_Item_iE_Extensions__item__id_tab
    ___TNLA_To_Update_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_To_Update_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TNLA_To_Update_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TNLA_To_Update_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TNLA_To_Update_Item_iE_Extensions__item__id),
        (u'criticality', ___TNLA_To_Update_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_To_Update_Item_iE_Extensions__item_._ext = None
    _TNLA_To_Update_Item_iE_Extensions._cont = __TNLA_To_Update_Item_iE_Extensions__item_
    _TNLA_To_Update_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_To_Update_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _TNLA_To_Update_Item_tNLAssociationTransportLayerAddress),
        (u'tNLAssociationUsage', _TNLA_To_Update_Item_tNLAssociationUsage),
        (u'iE-Extensions', _TNLA_To_Update_Item_iE_Extensions),
        ])
    TNLA_To_Update_Item._ext = None
    
    #-----< TNLA-To-Update-Item-ExtIEs >-----#
    TNLA_To_Update_Item_ExtIEs = CLASS(name=u'TNLA-To-Update-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_To_Update_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-To-Remove-List >-----#
    TNLA_To_Remove_List = SEQ_OF(name=u'TNLA-To-Remove-List', mode=MODE_TYPE)
    _TNLA_To_Remove_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Remove-Item')))
    TNLA_To_Remove_List._cont = _TNLA_To_Remove_List__item_
    TNLA_To_Remove_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-To-Remove-Item >-----#
    TNLA_To_Remove_Item = SEQ(name=u'TNLA-To-Remove-Item', mode=MODE_TYPE)
    _TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_To_Remove_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_To_Remove_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_To_Remove_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab = ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab
    ___TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_To_Remove_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TNLA_To_Remove_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TNLA_To_Remove_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TNLA_To_Remove_Item_iE_Extensions__item__id),
        (u'criticality', ___TNLA_To_Remove_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_To_Remove_Item_iE_Extensions__item_._ext = None
    _TNLA_To_Remove_Item_iE_Extensions._cont = __TNLA_To_Remove_Item_iE_Extensions__item_
    _TNLA_To_Remove_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_To_Remove_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress),
        (u'iE-Extensions', _TNLA_To_Remove_Item_iE_Extensions),
        ])
    TNLA_To_Remove_Item._ext = None
    
    #-----< TNLA-To-Remove-Item-ExtIEs >-----#
    TNLA_To_Remove_Item_ExtIEs = CLASS(name=u'TNLA-To-Remove-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_To_Remove_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-Setup-List >-----#
    TNLA_Setup_List = SEQ_OF(name=u'TNLA-Setup-List', mode=MODE_TYPE)
    _TNLA_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Setup-Item')))
    TNLA_Setup_List._cont = _TNLA_Setup_List__item_
    TNLA_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-Setup-Item >-----#
    TNLA_Setup_Item = SEQ(name=u'TNLA-Setup-Item', mode=MODE_TYPE)
    _TNLA_Setup_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_Setup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_Setup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TNLA_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Setup_Item_iE_Extensions__item__id._const_tab = ____TNLA_Setup_Item_iE_Extensions__item__id_tab
    ___TNLA_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_Setup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TNLA_Setup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab
    ___TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TNLA_Setup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TNLA_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TNLA_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TNLA_Setup_Item_iE_Extensions__item__id),
        (u'criticality', ___TNLA_Setup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TNLA_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_Setup_Item_iE_Extensions__item_._ext = None
    _TNLA_Setup_Item_iE_Extensions._cont = __TNLA_Setup_Item_iE_Extensions__item_
    _TNLA_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_Setup_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _TNLA_Setup_Item_tNLAssociationTransportLayerAddress),
        (u'iE-Extensions', _TNLA_Setup_Item_iE_Extensions),
        ])
    TNLA_Setup_Item._ext = []
    
    #-----< TNLA-Setup-Item-ExtIEs >-----#
    TNLA_Setup_Item_ExtIEs = CLASS(name=u'TNLA-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLA-Failed-To-Setup-List >-----#
    TNLA_Failed_To_Setup_List = SEQ_OF(name=u'TNLA-Failed-To-Setup-List', mode=MODE_TYPE)
    _TNLA_Failed_To_Setup_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Failed-To-Setup-Item')))
    TNLA_Failed_To_Setup_List._cont = _TNLA_Failed_To_Setup_List__item_
    TNLA_Failed_To_Setup_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< TNLA-Failed-To-Setup-Item >-----#
    TNLA_Failed_To_Setup_Item = SEQ(name=u'TNLA-Failed-To-Setup-Item', mode=MODE_TYPE)
    _TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress = CHOICE(name=u'tNLAssociationTransportLayerAddress', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _TNLA_Failed_To_Setup_Item_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _TNLA_Failed_To_Setup_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TNLA_Failed_To_Setup_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab = ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab_at = None
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab = ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab = ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __TNLA_Failed_To_Setup_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id),
        (u'criticality', ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue),
        ])
    __TNLA_Failed_To_Setup_Item_iE_Extensions__item_._ext = None
    _TNLA_Failed_To_Setup_Item_iE_Extensions._cont = __TNLA_Failed_To_Setup_Item_iE_Extensions__item_
    _TNLA_Failed_To_Setup_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TNLA_Failed_To_Setup_Item._cont = ASN1Dict([
        (u'tNLAssociationTransportLayerAddress', _TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress),
        (u'cause', _TNLA_Failed_To_Setup_Item_cause),
        (u'iE-Extensions', _TNLA_Failed_To_Setup_Item_iE_Extensions),
        ])
    TNLA_Failed_To_Setup_Item._ext = None
    
    #-----< TNLA-Failed-To-Setup-Item-ExtIEs >-----#
    TNLA_Failed_To_Setup_Item_ExtIEs = CLASS(name=u'TNLA-Failed-To-Setup-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TNLA_Failed_To_Setup_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< TNLAssociationUsage >-----#
    TNLAssociationUsage = ENUM(name=u'TNLAssociationUsage', mode=MODE_TYPE)
    TNLAssociationUsage._cont = ASN1Dict([(u'ue', 0), (u'non-ue', 1), (u'both', 2)])
    TNLAssociationUsage._ext = []
    
    #-----< TransportLayerAddress >-----#
    TransportLayerAddress = BIT_STR(name=u'TransportLayerAddress', mode=MODE_TYPE)
    TransportLayerAddress._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=160)], ev=[], er=[])
    
    #-----< TraceActivation >-----#
    TraceActivation = SEQ(name=u'TraceActivation', mode=MODE_TYPE)
    _TraceActivation_ng_ran_TraceID = OCT_STR(name=u'ng-ran-TraceID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _TraceActivation_ng_ran_TraceID._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _TraceActivation_interfaces_to_trace = BIT_STR(name=u'interfaces-to-trace', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _TraceActivation_interfaces_to_trace._cont = ASN1Dict([(u'ng-c', 0), (u'x-nc', 1), (u'uu', 2), (u'f1-c', 3), (u'e1', 4)])
    _TraceActivation_interfaces_to_trace._const_sz = ASN1Set(rv=[8], rr=[], ev=None, er=[])
    _TraceActivation_trace_depth = ENUM(name=u'trace-depth', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Trace-Depth')))
    _TraceActivation_trace_coll_address = BIT_STR(name=u'trace-coll-address', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'TransportLayerAddress')))
    _TraceActivation_ie_Extension = SEQ_OF(name=u'ie-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __TraceActivation_ie_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___TraceActivation_ie_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____TraceActivation_ie_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TraceActivation_ie_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TraceActivation_ie_Extension__item__id._const_tab = ____TraceActivation_ie_Extension__item__id_tab
    ___TraceActivation_ie_Extension__item__id._const_tab_at = None
    ___TraceActivation_ie_Extension__item__id._const_tab_id = u'id'
    ___TraceActivation_ie_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____TraceActivation_ie_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TraceActivation_ie_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TraceActivation_ie_Extension__item__criticality._const_tab = ____TraceActivation_ie_Extension__item__criticality_tab
    ___TraceActivation_ie_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___TraceActivation_ie_Extension__item__criticality._const_tab_id = u'criticality'
    ___TraceActivation_ie_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____TraceActivation_ie_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____TraceActivation_ie_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___TraceActivation_ie_Extension__item__extensionValue._const_tab = ____TraceActivation_ie_Extension__item__extensionValue_tab
    ___TraceActivation_ie_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___TraceActivation_ie_Extension__item__extensionValue._const_tab_id = u'Extension'
    __TraceActivation_ie_Extension__item_._cont = ASN1Dict([
        (u'id', ___TraceActivation_ie_Extension__item__id),
        (u'criticality', ___TraceActivation_ie_Extension__item__criticality),
        (u'extensionValue', ___TraceActivation_ie_Extension__item__extensionValue),
        ])
    __TraceActivation_ie_Extension__item_._ext = None
    _TraceActivation_ie_Extension._cont = __TraceActivation_ie_Extension__item_
    _TraceActivation_ie_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    TraceActivation._cont = ASN1Dict([
        (u'ng-ran-TraceID', _TraceActivation_ng_ran_TraceID),
        (u'interfaces-to-trace', _TraceActivation_interfaces_to_trace),
        (u'trace-depth', _TraceActivation_trace_depth),
        (u'trace-coll-address', _TraceActivation_trace_coll_address),
        (u'ie-Extension', _TraceActivation_ie_Extension),
        ])
    TraceActivation._ext = []
    
    #-----< TraceActivation-ExtIEs >-----#
    TraceActivation_ExtIEs = CLASS(name=u'TraceActivation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    TraceActivation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Trace-Depth >-----#
    Trace_Depth = ENUM(name=u'Trace-Depth', mode=MODE_TYPE)
    Trace_Depth._cont = ASN1Dict([(u'minimum', 0), (u'medium', 1), (u'maximum', 2), (u'minimumWithoutVendorSpecificExtension', 3), (u'mediumWithoutVendorSpecificExtension', 4), (u'maximumWithoutVendorSpecificExtension', 5)])
    Trace_Depth._ext = []
    
    #-----< TypeOfError >-----#
    TypeOfError = ENUM(name=u'TypeOfError', mode=MODE_TYPE)
    TypeOfError._cont = ASN1Dict([(u'not-understood', 0), (u'missing', 1)])
    TypeOfError._ext = []
    
    #-----< UEAggregateMaximumBitRate >-----#
    UEAggregateMaximumBitRate = SEQ(name=u'UEAggregateMaximumBitRate', mode=MODE_TYPE)
    _UEAggregateMaximumBitRate_dl_UE_AMBR = INT(name=u'dl-UE-AMBR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _UEAggregateMaximumBitRate_ul_UE_AMBR = INT(name=u'ul-UE-AMBR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _UEAggregateMaximumBitRate_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEAggregateMaximumBitRate_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEAggregateMaximumBitRate_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEAggregateMaximumBitRate_iE_Extension__item__id._const_tab = ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab
    ___UEAggregateMaximumBitRate_iE_Extension__item__id._const_tab_at = None
    ___UEAggregateMaximumBitRate_iE_Extension__item__id._const_tab_id = u'id'
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality._const_tab = ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UEAggregateMaximumBitRate_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue._const_tab = ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UEAggregateMaximumBitRate_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UEAggregateMaximumBitRate_iE_Extension__item__id),
        (u'criticality', ___UEAggregateMaximumBitRate_iE_Extension__item__criticality),
        (u'extensionValue', ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue),
        ])
    __UEAggregateMaximumBitRate_iE_Extension__item_._ext = None
    _UEAggregateMaximumBitRate_iE_Extension._cont = __UEAggregateMaximumBitRate_iE_Extension__item_
    _UEAggregateMaximumBitRate_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEAggregateMaximumBitRate._cont = ASN1Dict([
        (u'dl-UE-AMBR', _UEAggregateMaximumBitRate_dl_UE_AMBR),
        (u'ul-UE-AMBR', _UEAggregateMaximumBitRate_ul_UE_AMBR),
        (u'iE-Extension', _UEAggregateMaximumBitRate_iE_Extension),
        ])
    UEAggregateMaximumBitRate._ext = []
    
    #-----< UEAggregateMaximumBitRate-ExtIEs >-----#
    UEAggregateMaximumBitRate_ExtIEs = CLASS(name=u'UEAggregateMaximumBitRate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEAggregateMaximumBitRate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextKeptIndicator >-----#
    UEContextKeptIndicator = ENUM(name=u'UEContextKeptIndicator', mode=MODE_TYPE)
    UEContextKeptIndicator._cont = ASN1Dict([(u'true', 0)])
    UEContextKeptIndicator._ext = []
    
    #-----< UEContextID >-----#
    UEContextID = CHOICE(name=u'UEContextID', mode=MODE_TYPE)
    _UEContextID_rRCResume = SEQ(name=u'rRCResume', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEContextIDforRRCResume')))
    _UEContextID_rRRCReestablishment = SEQ(name=u'rRRCReestablishment', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEContextIDforRRCReestablishment')))
    _UEContextID_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UEContextID_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___UEContextID_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEContextID_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEContextID_choice_extension_id._const_tab = ___UEContextID_choice_extension_id_tab
    __UEContextID_choice_extension_id._const_tab_at = None
    __UEContextID_choice_extension_id._const_tab_id = u'id'
    __UEContextID_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___UEContextID_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEContextID_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEContextID_choice_extension_criticality._const_tab = ___UEContextID_choice_extension_criticality_tab
    __UEContextID_choice_extension_criticality._const_tab_at = ('..', u'id')
    __UEContextID_choice_extension_criticality._const_tab_id = u'criticality'
    __UEContextID_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___UEContextID_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEContextID_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEContextID_choice_extension_value._const_tab = ___UEContextID_choice_extension_value_tab
    __UEContextID_choice_extension_value._const_tab_at = ('..', u'id')
    __UEContextID_choice_extension_value._const_tab_id = u'Value'
    _UEContextID_choice_extension._cont = ASN1Dict([
        (u'id', __UEContextID_choice_extension_id),
        (u'criticality', __UEContextID_choice_extension_criticality),
        (u'value', __UEContextID_choice_extension_value),
        ])
    _UEContextID_choice_extension._ext = None
    UEContextID._cont = ASN1Dict([
        (u'rRCResume', _UEContextID_rRCResume),
        (u'rRRCReestablishment', _UEContextID_rRRCReestablishment),
        (u'choice-extension', _UEContextID_choice_extension),
        ])
    UEContextID._ext = None
    
    #-----< UEContextID-ExtIEs >-----#
    UEContextID_ExtIEs = CLASS(name=u'UEContextID-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UEContextID_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextIDforRRCResume >-----#
    UEContextIDforRRCResume = SEQ(name=u'UEContextIDforRRCResume', mode=MODE_TYPE)
    _UEContextIDforRRCResume_i_rnti = CHOICE(name=u'i-rnti', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'I-RNTI')))
    _UEContextIDforRRCResume_allocated_c_rnti = BIT_STR(name=u'allocated-c-rnti', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _UEContextIDforRRCResume_accessPCI = CHOICE(name=u'accessPCI', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-CellPCI')))
    _UEContextIDforRRCResume_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextIDforRRCResume_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextIDforRRCResume_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEContextIDforRRCResume_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCResume_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCResume_iE_Extension__item__id._const_tab = ____UEContextIDforRRCResume_iE_Extension__item__id_tab
    ___UEContextIDforRRCResume_iE_Extension__item__id._const_tab_at = None
    ___UEContextIDforRRCResume_iE_Extension__item__id._const_tab_id = u'id'
    ___UEContextIDforRRCResume_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCResume_iE_Extension__item__criticality._const_tab = ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab
    ___UEContextIDforRRCResume_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextIDforRRCResume_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue._const_tab = ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEContextIDforRRCResume_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UEContextIDforRRCResume_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UEContextIDforRRCResume_iE_Extension__item__id),
        (u'criticality', ___UEContextIDforRRCResume_iE_Extension__item__criticality),
        (u'extensionValue', ___UEContextIDforRRCResume_iE_Extension__item__extensionValue),
        ])
    __UEContextIDforRRCResume_iE_Extension__item_._ext = None
    _UEContextIDforRRCResume_iE_Extension._cont = __UEContextIDforRRCResume_iE_Extension__item_
    _UEContextIDforRRCResume_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextIDforRRCResume._cont = ASN1Dict([
        (u'i-rnti', _UEContextIDforRRCResume_i_rnti),
        (u'allocated-c-rnti', _UEContextIDforRRCResume_allocated_c_rnti),
        (u'accessPCI', _UEContextIDforRRCResume_accessPCI),
        (u'iE-Extension', _UEContextIDforRRCResume_iE_Extension),
        ])
    UEContextIDforRRCResume._ext = []
    
    #-----< UEContextIDforRRCResume-ExtIEs >-----#
    UEContextIDforRRCResume_ExtIEs = CLASS(name=u'UEContextIDforRRCResume-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextIDforRRCResume_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextIDforRRCReestablishment >-----#
    UEContextIDforRRCReestablishment = SEQ(name=u'UEContextIDforRRCReestablishment', mode=MODE_TYPE)
    _UEContextIDforRRCReestablishment_c_rnti = BIT_STR(name=u'c-rnti', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'C-RNTI')))
    _UEContextIDforRRCReestablishment_failureCellPCI = CHOICE(name=u'failureCellPCI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-CellPCI')))
    _UEContextIDforRRCReestablishment_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextIDforRRCReestablishment_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id._const_tab = ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id._const_tab_at = None
    ___UEContextIDforRRCReestablishment_iE_Extension__item__id._const_tab_id = u'id'
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality._const_tab = ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue._const_tab = ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UEContextIDforRRCReestablishment_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UEContextIDforRRCReestablishment_iE_Extension__item__id),
        (u'criticality', ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality),
        (u'extensionValue', ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue),
        ])
    __UEContextIDforRRCReestablishment_iE_Extension__item_._ext = None
    _UEContextIDforRRCReestablishment_iE_Extension._cont = __UEContextIDforRRCReestablishment_iE_Extension__item_
    _UEContextIDforRRCReestablishment_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextIDforRRCReestablishment._cont = ASN1Dict([
        (u'c-rnti', _UEContextIDforRRCReestablishment_c_rnti),
        (u'failureCellPCI', _UEContextIDforRRCReestablishment_failureCellPCI),
        (u'iE-Extension', _UEContextIDforRRCReestablishment_iE_Extension),
        ])
    UEContextIDforRRCReestablishment._ext = []
    
    #-----< UEContextIDforRRCReestablishment-ExtIEs >-----#
    UEContextIDforRRCReestablishment_ExtIEs = CLASS(name=u'UEContextIDforRRCReestablishment-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextIDforRRCReestablishment_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextInfoRetrUECtxtResp >-----#
    UEContextInfoRetrUECtxtResp = SEQ(name=u'UEContextInfoRetrUECtxtResp', mode=MODE_TYPE)
    _UEContextInfoRetrUECtxtResp_ng_c_UE_signalling_ref = INT(name=u'ng-c-UE-signalling-ref', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AMF-UE-NGAP-ID')))
    _UEContextInfoRetrUECtxtResp_signalling_TNL_at_source = CHOICE(name=u'signalling-TNL-at-source', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _UEContextInfoRetrUECtxtResp_ueSecurityCapabilities = SEQ(name=u'ueSecurityCapabilities', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _UEContextInfoRetrUECtxtResp_securityInformation = SEQ(name=u'securityInformation', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AS-SecurityInformation')))
    _UEContextInfoRetrUECtxtResp_ue_AMBR = SEQ(name=u'ue-AMBR', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _UEContextInfoRetrUECtxtResp_pduSessionResourcesToBeSetup_List = SEQ_OF(name=u'pduSessionResourcesToBeSetup-List', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesToBeSetup-List')))
    _UEContextInfoRetrUECtxtResp_rrc_Context = OCT_STR(name=u'rrc-Context', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEContextInfoRetrUECtxtResp_mobilityRestrictionList = SEQ(name=u'mobilityRestrictionList', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')), opt=True)
    _UEContextInfoRetrUECtxtResp_indexToRatFrequencySelectionPriority = INT(name=u'indexToRatFrequencySelectionPriority', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')), opt=True)
    _UEContextInfoRetrUECtxtResp_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextInfoRetrUECtxtResp_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id._const_tab = ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id._const_tab_at = None
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id._const_tab_id = u'id'
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality._const_tab = ____UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality_tab
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue._const_tab = ____UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue_tab
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UEContextInfoRetrUECtxtResp_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id),
        (u'criticality', ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality),
        (u'extensionValue', ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue),
        ])
    __UEContextInfoRetrUECtxtResp_iE_Extension__item_._ext = None
    _UEContextInfoRetrUECtxtResp_iE_Extension._cont = __UEContextInfoRetrUECtxtResp_iE_Extension__item_
    _UEContextInfoRetrUECtxtResp_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextInfoRetrUECtxtResp._cont = ASN1Dict([
        (u'ng-c-UE-signalling-ref', _UEContextInfoRetrUECtxtResp_ng_c_UE_signalling_ref),
        (u'signalling-TNL-at-source', _UEContextInfoRetrUECtxtResp_signalling_TNL_at_source),
        (u'ueSecurityCapabilities', _UEContextInfoRetrUECtxtResp_ueSecurityCapabilities),
        (u'securityInformation', _UEContextInfoRetrUECtxtResp_securityInformation),
        (u'ue-AMBR', _UEContextInfoRetrUECtxtResp_ue_AMBR),
        (u'pduSessionResourcesToBeSetup-List', _UEContextInfoRetrUECtxtResp_pduSessionResourcesToBeSetup_List),
        (u'rrc-Context', _UEContextInfoRetrUECtxtResp_rrc_Context),
        (u'mobilityRestrictionList', _UEContextInfoRetrUECtxtResp_mobilityRestrictionList),
        (u'indexToRatFrequencySelectionPriority', _UEContextInfoRetrUECtxtResp_indexToRatFrequencySelectionPriority),
        (u'iE-Extension', _UEContextInfoRetrUECtxtResp_iE_Extension),
        ])
    UEContextInfoRetrUECtxtResp._ext = []
    
    #-----< UEContextInfoRetrUECtxtResp-ExtIEs >-----#
    UEContextInfoRetrUECtxtResp_ExtIEs = CLASS(name=u'UEContextInfoRetrUECtxtResp-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextInfoRetrUECtxtResp_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEHistoryInformation >-----#
    UEHistoryInformation = SEQ_OF(name=u'UEHistoryInformation', mode=MODE_TYPE)
    _UEHistoryInformation__item_ = CHOICE(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LastVisitedCell-Item')))
    UEHistoryInformation._cont = _UEHistoryInformation__item_
    UEHistoryInformation._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16)], ev=None, er=[])
    
    #-----< UEIdentityIndexValue >-----#
    UEIdentityIndexValue = CHOICE(name=u'UEIdentityIndexValue', mode=MODE_TYPE)
    _UEIdentityIndexValue_indexLength10 = BIT_STR(name=u'indexLength10', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEIdentityIndexValue_indexLength10._const_sz = ASN1Set(rv=[10], rr=[], ev=None, er=[])
    _UEIdentityIndexValue_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UEIdentityIndexValue_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___UEIdentityIndexValue_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEIdentityIndexValue_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEIdentityIndexValue_choice_extension_id._const_tab = ___UEIdentityIndexValue_choice_extension_id_tab
    __UEIdentityIndexValue_choice_extension_id._const_tab_at = None
    __UEIdentityIndexValue_choice_extension_id._const_tab_id = u'id'
    __UEIdentityIndexValue_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___UEIdentityIndexValue_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEIdentityIndexValue_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEIdentityIndexValue_choice_extension_criticality._const_tab = ___UEIdentityIndexValue_choice_extension_criticality_tab
    __UEIdentityIndexValue_choice_extension_criticality._const_tab_at = ('..', u'id')
    __UEIdentityIndexValue_choice_extension_criticality._const_tab_id = u'criticality'
    __UEIdentityIndexValue_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___UEIdentityIndexValue_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UEIdentityIndexValue_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UEIdentityIndexValue_choice_extension_value._const_tab = ___UEIdentityIndexValue_choice_extension_value_tab
    __UEIdentityIndexValue_choice_extension_value._const_tab_at = ('..', u'id')
    __UEIdentityIndexValue_choice_extension_value._const_tab_id = u'Value'
    _UEIdentityIndexValue_choice_extension._cont = ASN1Dict([
        (u'id', __UEIdentityIndexValue_choice_extension_id),
        (u'criticality', __UEIdentityIndexValue_choice_extension_criticality),
        (u'value', __UEIdentityIndexValue_choice_extension_value),
        ])
    _UEIdentityIndexValue_choice_extension._ext = None
    UEIdentityIndexValue._cont = ASN1Dict([
        (u'indexLength10', _UEIdentityIndexValue_indexLength10),
        (u'choice-extension', _UEIdentityIndexValue_choice_extension),
        ])
    UEIdentityIndexValue._ext = None
    
    #-----< UEIdentityIndexValue-ExtIEs >-----#
    UEIdentityIndexValue_ExtIEs = CLASS(name=u'UEIdentityIndexValue-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UEIdentityIndexValue_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UERadioCapabilityForPaging >-----#
    UERadioCapabilityForPaging = SEQ(name=u'UERadioCapabilityForPaging', mode=MODE_TYPE)
    _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfNR = OCT_STR(name=u'uERadioCapabilityForPagingOfNR', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPagingOfNR')), opt=True)
    _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfEUTRA = OCT_STR(name=u'uERadioCapabilityForPagingOfEUTRA', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPagingOfEUTRA')), opt=True)
    _UERadioCapabilityForPaging_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UERadioCapabilityForPaging_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UERadioCapabilityForPaging_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UERadioCapabilityForPaging_iE_Extensions__item__id._const_tab = ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab
    ___UERadioCapabilityForPaging_iE_Extensions__item__id._const_tab_at = None
    ___UERadioCapabilityForPaging_iE_Extensions__item__id._const_tab_id = u'id'
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality._const_tab = ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UERadioCapabilityForPaging_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue._const_tab = ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UERadioCapabilityForPaging_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UERadioCapabilityForPaging_iE_Extensions__item__id),
        (u'criticality', ___UERadioCapabilityForPaging_iE_Extensions__item__criticality),
        (u'extensionValue', ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue),
        ])
    __UERadioCapabilityForPaging_iE_Extensions__item_._ext = None
    _UERadioCapabilityForPaging_iE_Extensions._cont = __UERadioCapabilityForPaging_iE_Extensions__item_
    _UERadioCapabilityForPaging_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UERadioCapabilityForPaging._cont = ASN1Dict([
        (u'uERadioCapabilityForPagingOfNR', _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfNR),
        (u'uERadioCapabilityForPagingOfEUTRA', _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfEUTRA),
        (u'iE-Extensions', _UERadioCapabilityForPaging_iE_Extensions),
        ])
    UERadioCapabilityForPaging._ext = []
    
    #-----< UERadioCapabilityForPaging-ExtIEs >-----#
    UERadioCapabilityForPaging_ExtIEs = CLASS(name=u'UERadioCapabilityForPaging-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UERadioCapabilityForPaging_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UERadioCapabilityForPagingOfNR >-----#
    UERadioCapabilityForPagingOfNR = OCT_STR(name=u'UERadioCapabilityForPagingOfNR', mode=MODE_TYPE)
    
    #-----< UERadioCapabilityForPagingOfEUTRA >-----#
    UERadioCapabilityForPagingOfEUTRA = OCT_STR(name=u'UERadioCapabilityForPagingOfEUTRA', mode=MODE_TYPE)
    
    #-----< UERANPagingIdentity >-----#
    UERANPagingIdentity = CHOICE(name=u'UERANPagingIdentity', mode=MODE_TYPE)
    _UERANPagingIdentity_i_RNTI_full = BIT_STR(name=u'i-RNTI-full', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UERANPagingIdentity_i_RNTI_full._const_sz = ASN1Set(rv=[40], rr=[], ev=None, er=[])
    _UERANPagingIdentity_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UERANPagingIdentity_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___UERANPagingIdentity_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERANPagingIdentity_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERANPagingIdentity_choice_extension_id._const_tab = ___UERANPagingIdentity_choice_extension_id_tab
    __UERANPagingIdentity_choice_extension_id._const_tab_at = None
    __UERANPagingIdentity_choice_extension_id._const_tab_id = u'id'
    __UERANPagingIdentity_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___UERANPagingIdentity_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERANPagingIdentity_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERANPagingIdentity_choice_extension_criticality._const_tab = ___UERANPagingIdentity_choice_extension_criticality_tab
    __UERANPagingIdentity_choice_extension_criticality._const_tab_at = ('..', u'id')
    __UERANPagingIdentity_choice_extension_criticality._const_tab_id = u'criticality'
    __UERANPagingIdentity_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___UERANPagingIdentity_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UERANPagingIdentity_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UERANPagingIdentity_choice_extension_value._const_tab = ___UERANPagingIdentity_choice_extension_value_tab
    __UERANPagingIdentity_choice_extension_value._const_tab_at = ('..', u'id')
    __UERANPagingIdentity_choice_extension_value._const_tab_id = u'Value'
    _UERANPagingIdentity_choice_extension._cont = ASN1Dict([
        (u'id', __UERANPagingIdentity_choice_extension_id),
        (u'criticality', __UERANPagingIdentity_choice_extension_criticality),
        (u'value', __UERANPagingIdentity_choice_extension_value),
        ])
    _UERANPagingIdentity_choice_extension._ext = None
    UERANPagingIdentity._cont = ASN1Dict([
        (u'i-RNTI-full', _UERANPagingIdentity_i_RNTI_full),
        (u'choice-extension', _UERANPagingIdentity_choice_extension),
        ])
    UERANPagingIdentity._ext = None
    
    #-----< UERANPagingIdentity-ExtIEs >-----#
    UERANPagingIdentity_ExtIEs = CLASS(name=u'UERANPagingIdentity-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UERANPagingIdentity_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UESecurityCapabilities >-----#
    UESecurityCapabilities = SEQ(name=u'UESecurityCapabilities', mode=MODE_TYPE)
    _UESecurityCapabilities_nr_EncyptionAlgorithms = BIT_STR(name=u'nr-EncyptionAlgorithms', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_nr_EncyptionAlgorithms._cont = ASN1Dict([(u'nea1-128', 1), (u'nea2-128', 2), (u'nea3-128', 3)])
    _UESecurityCapabilities_nr_EncyptionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms = BIT_STR(name=u'nr-IntegrityProtectionAlgorithms', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms._cont = ASN1Dict([(u'nia1-128', 1), (u'nia2-128', 2), (u'nia3-128', 3)])
    _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_e_utra_EncyptionAlgorithms = BIT_STR(name=u'e-utra-EncyptionAlgorithms', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_e_utra_EncyptionAlgorithms._cont = ASN1Dict([(u'eea1-128', 1), (u'eea2-128', 2), (u'eea3-128', 3)])
    _UESecurityCapabilities_e_utra_EncyptionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms = BIT_STR(name=u'e-utra-IntegrityProtectionAlgorithms', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms._cont = ASN1Dict([(u'eia1-128', 1), (u'eia2-128', 2), (u'eia3-128', 3)])
    _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms._const_sz = ASN1Set(rv=[16], rr=[], ev=[], er=[])
    _UESecurityCapabilities_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UESecurityCapabilities_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UESecurityCapabilities_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UESecurityCapabilities_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UESecurityCapabilities_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UESecurityCapabilities_iE_Extension__item__id._const_tab = ____UESecurityCapabilities_iE_Extension__item__id_tab
    ___UESecurityCapabilities_iE_Extension__item__id._const_tab_at = None
    ___UESecurityCapabilities_iE_Extension__item__id._const_tab_id = u'id'
    ___UESecurityCapabilities_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UESecurityCapabilities_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UESecurityCapabilities_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UESecurityCapabilities_iE_Extension__item__criticality._const_tab = ____UESecurityCapabilities_iE_Extension__item__criticality_tab
    ___UESecurityCapabilities_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UESecurityCapabilities_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UESecurityCapabilities_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UESecurityCapabilities_iE_Extension__item__extensionValue._const_tab = ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab
    ___UESecurityCapabilities_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UESecurityCapabilities_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UESecurityCapabilities_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UESecurityCapabilities_iE_Extension__item__id),
        (u'criticality', ___UESecurityCapabilities_iE_Extension__item__criticality),
        (u'extensionValue', ___UESecurityCapabilities_iE_Extension__item__extensionValue),
        ])
    __UESecurityCapabilities_iE_Extension__item_._ext = None
    _UESecurityCapabilities_iE_Extension._cont = __UESecurityCapabilities_iE_Extension__item_
    _UESecurityCapabilities_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UESecurityCapabilities._cont = ASN1Dict([
        (u'nr-EncyptionAlgorithms', _UESecurityCapabilities_nr_EncyptionAlgorithms),
        (u'nr-IntegrityProtectionAlgorithms', _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms),
        (u'e-utra-EncyptionAlgorithms', _UESecurityCapabilities_e_utra_EncyptionAlgorithms),
        (u'e-utra-IntegrityProtectionAlgorithms', _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms),
        (u'iE-Extension', _UESecurityCapabilities_iE_Extension),
        ])
    UESecurityCapabilities._ext = []
    
    #-----< UESecurityCapabilities-ExtIEs >-----#
    UESecurityCapabilities_ExtIEs = CLASS(name=u'UESecurityCapabilities-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UESecurityCapabilities_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ULConfiguration >-----#
    ULConfiguration = SEQ(name=u'ULConfiguration', mode=MODE_TYPE)
    _ULConfiguration_uL_PDCP = ENUM(name=u'uL-PDCP', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UL-UE-Configuration')))
    _ULConfiguration_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ULConfiguration_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ULConfiguration_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ULConfiguration_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ULConfiguration_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ULConfiguration_iE_Extensions__item__id._const_tab = ____ULConfiguration_iE_Extensions__item__id_tab
    ___ULConfiguration_iE_Extensions__item__id._const_tab_at = None
    ___ULConfiguration_iE_Extensions__item__id._const_tab_id = u'id'
    ___ULConfiguration_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ULConfiguration_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ULConfiguration_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ULConfiguration_iE_Extensions__item__criticality._const_tab = ____ULConfiguration_iE_Extensions__item__criticality_tab
    ___ULConfiguration_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ULConfiguration_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ULConfiguration_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ULConfiguration_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ULConfiguration_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ULConfiguration_iE_Extensions__item__extensionValue._const_tab = ____ULConfiguration_iE_Extensions__item__extensionValue_tab
    ___ULConfiguration_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ULConfiguration_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ULConfiguration_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ULConfiguration_iE_Extensions__item__id),
        (u'criticality', ___ULConfiguration_iE_Extensions__item__criticality),
        (u'extensionValue', ___ULConfiguration_iE_Extensions__item__extensionValue),
        ])
    __ULConfiguration_iE_Extensions__item_._ext = None
    _ULConfiguration_iE_Extensions._cont = __ULConfiguration_iE_Extensions__item_
    _ULConfiguration_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ULConfiguration._cont = ASN1Dict([
        (u'uL-PDCP', _ULConfiguration_uL_PDCP),
        (u'iE-Extensions', _ULConfiguration_iE_Extensions),
        ])
    ULConfiguration._ext = []
    
    #-----< ULConfiguration-ExtIEs >-----#
    ULConfiguration_ExtIEs = CLASS(name=u'ULConfiguration-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ULConfiguration_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UL-UE-Configuration >-----#
    UL_UE_Configuration = ENUM(name=u'UL-UE-Configuration', mode=MODE_TYPE)
    UL_UE_Configuration._cont = ASN1Dict([(u'no-data', 0), (u'shared', 1), (u'only', 2)])
    UL_UE_Configuration._ext = []
    
    #-----< ULForwarding >-----#
    ULForwarding = ENUM(name=u'ULForwarding', mode=MODE_TYPE)
    ULForwarding._cont = ASN1Dict([(u'ul-forwarding-proposed', 0)])
    ULForwarding._ext = []
    
    #-----< ULForwardingProposal >-----#
    ULForwardingProposal = ENUM(name=u'ULForwardingProposal', mode=MODE_TYPE)
    ULForwardingProposal._cont = ASN1Dict([(u'ul-forwarding-proposed', 0)])
    ULForwardingProposal._ext = []
    
    #-----< UPTransportLayerInformation >-----#
    UPTransportLayerInformation = CHOICE(name=u'UPTransportLayerInformation', mode=MODE_TYPE)
    _UPTransportLayerInformation_gtpTunnel = SEQ(name=u'gtpTunnel', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GTPtunnelTransportLayerInformation')))
    _UPTransportLayerInformation_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __UPTransportLayerInformation_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___UPTransportLayerInformation_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UPTransportLayerInformation_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UPTransportLayerInformation_choice_extension_id._const_tab = ___UPTransportLayerInformation_choice_extension_id_tab
    __UPTransportLayerInformation_choice_extension_id._const_tab_at = None
    __UPTransportLayerInformation_choice_extension_id._const_tab_id = u'id'
    __UPTransportLayerInformation_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___UPTransportLayerInformation_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UPTransportLayerInformation_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UPTransportLayerInformation_choice_extension_criticality._const_tab = ___UPTransportLayerInformation_choice_extension_criticality_tab
    __UPTransportLayerInformation_choice_extension_criticality._const_tab_at = ('..', u'id')
    __UPTransportLayerInformation_choice_extension_criticality._const_tab_id = u'criticality'
    __UPTransportLayerInformation_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___UPTransportLayerInformation_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___UPTransportLayerInformation_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __UPTransportLayerInformation_choice_extension_value._const_tab = ___UPTransportLayerInformation_choice_extension_value_tab
    __UPTransportLayerInformation_choice_extension_value._const_tab_at = ('..', u'id')
    __UPTransportLayerInformation_choice_extension_value._const_tab_id = u'Value'
    _UPTransportLayerInformation_choice_extension._cont = ASN1Dict([
        (u'id', __UPTransportLayerInformation_choice_extension_id),
        (u'criticality', __UPTransportLayerInformation_choice_extension_criticality),
        (u'value', __UPTransportLayerInformation_choice_extension_value),
        ])
    _UPTransportLayerInformation_choice_extension._ext = None
    UPTransportLayerInformation._cont = ASN1Dict([
        (u'gtpTunnel', _UPTransportLayerInformation_gtpTunnel),
        (u'choice-extension', _UPTransportLayerInformation_choice_extension),
        ])
    UPTransportLayerInformation._ext = None
    
    #-----< UPTransportLayerInformation-ExtIEs >-----#
    UPTransportLayerInformation_ExtIEs = CLASS(name=u'UPTransportLayerInformation-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    UPTransportLayerInformation_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UPTransportParameters >-----#
    UPTransportParameters = SEQ_OF(name=u'UPTransportParameters', mode=MODE_TYPE)
    _UPTransportParameters__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UPTransportParametersItem')))
    UPTransportParameters._cont = _UPTransportParameters__item_
    UPTransportParameters._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=4)], ev=None, er=[])
    
    #-----< UPTransportParametersItem >-----#
    UPTransportParametersItem = SEQ(name=u'UPTransportParametersItem', mode=MODE_TYPE)
    _UPTransportParametersItem_upTNLInfo = CHOICE(name=u'upTNLInfo', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UPTransportLayerInformation')))
    _UPTransportParametersItem_cellGroupID = INT(name=u'cellGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CellGroupID')))
    _UPTransportParametersItem_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UPTransportParametersItem_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UPTransportParametersItem_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UPTransportParametersItem_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UPTransportParametersItem_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UPTransportParametersItem_iE_Extension__item__id._const_tab = ____UPTransportParametersItem_iE_Extension__item__id_tab
    ___UPTransportParametersItem_iE_Extension__item__id._const_tab_at = None
    ___UPTransportParametersItem_iE_Extension__item__id._const_tab_id = u'id'
    ___UPTransportParametersItem_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UPTransportParametersItem_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UPTransportParametersItem_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UPTransportParametersItem_iE_Extension__item__criticality._const_tab = ____UPTransportParametersItem_iE_Extension__item__criticality_tab
    ___UPTransportParametersItem_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UPTransportParametersItem_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UPTransportParametersItem_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UPTransportParametersItem_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UPTransportParametersItem_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UPTransportParametersItem_iE_Extension__item__extensionValue._const_tab = ____UPTransportParametersItem_iE_Extension__item__extensionValue_tab
    ___UPTransportParametersItem_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UPTransportParametersItem_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UPTransportParametersItem_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UPTransportParametersItem_iE_Extension__item__id),
        (u'criticality', ___UPTransportParametersItem_iE_Extension__item__criticality),
        (u'extensionValue', ___UPTransportParametersItem_iE_Extension__item__extensionValue),
        ])
    __UPTransportParametersItem_iE_Extension__item_._ext = None
    _UPTransportParametersItem_iE_Extension._cont = __UPTransportParametersItem_iE_Extension__item_
    _UPTransportParametersItem_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UPTransportParametersItem._cont = ASN1Dict([
        (u'upTNLInfo', _UPTransportParametersItem_upTNLInfo),
        (u'cellGroupID', _UPTransportParametersItem_cellGroupID),
        (u'iE-Extension', _UPTransportParametersItem_iE_Extension),
        ])
    UPTransportParametersItem._ext = []
    
    #-----< UPTransportParametersItem-ExtIEs >-----#
    UPTransportParametersItem_ExtIEs = CLASS(name=u'UPTransportParametersItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UPTransportParametersItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UserPlaneTrafficActivityReport >-----#
    UserPlaneTrafficActivityReport = ENUM(name=u'UserPlaneTrafficActivityReport', mode=MODE_TYPE)
    UserPlaneTrafficActivityReport._cont = ASN1Dict([(u'inactive', 0), (u're-activated', 1)])
    UserPlaneTrafficActivityReport._ext = []
    
    #-----< VolumeTimedReportList >-----#
    VolumeTimedReportList = SEQ_OF(name=u'VolumeTimedReportList', mode=MODE_TYPE)
    _VolumeTimedReportList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'VolumeTimedReport-Item')))
    VolumeTimedReportList._cont = _VolumeTimedReportList__item_
    VolumeTimedReportList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=2)], ev=None, er=[])
    
    #-----< VolumeTimedReport-Item >-----#
    VolumeTimedReport_Item = SEQ(name=u'VolumeTimedReport-Item', mode=MODE_TYPE)
    _VolumeTimedReport_Item_startTimeStamp = OCT_STR(name=u'startTimeStamp', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_startTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _VolumeTimedReport_Item_endTimeStamp = OCT_STR(name=u'endTimeStamp', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_endTimeStamp._const_sz = ASN1Set(rv=[4], rr=[], ev=None, er=[])
    _VolumeTimedReport_Item_usageCountUL = INT(name=u'usageCountUL', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_usageCountUL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _VolumeTimedReport_Item_usageCountDL = INT(name=u'usageCountDL', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _VolumeTimedReport_Item_usageCountDL._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=18446744073709551615)], ev=None, er=[])
    _VolumeTimedReport_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __VolumeTimedReport_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___VolumeTimedReport_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____VolumeTimedReport_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____VolumeTimedReport_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___VolumeTimedReport_Item_iE_Extensions__item__id._const_tab = ____VolumeTimedReport_Item_iE_Extensions__item__id_tab
    ___VolumeTimedReport_Item_iE_Extensions__item__id._const_tab_at = None
    ___VolumeTimedReport_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality._const_tab = ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___VolumeTimedReport_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue._const_tab = ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __VolumeTimedReport_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___VolumeTimedReport_Item_iE_Extensions__item__id),
        (u'criticality', ___VolumeTimedReport_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue),
        ])
    __VolumeTimedReport_Item_iE_Extensions__item_._ext = None
    _VolumeTimedReport_Item_iE_Extensions._cont = __VolumeTimedReport_Item_iE_Extensions__item_
    _VolumeTimedReport_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    VolumeTimedReport_Item._cont = ASN1Dict([
        (u'startTimeStamp', _VolumeTimedReport_Item_startTimeStamp),
        (u'endTimeStamp', _VolumeTimedReport_Item_endTimeStamp),
        (u'usageCountUL', _VolumeTimedReport_Item_usageCountUL),
        (u'usageCountDL', _VolumeTimedReport_Item_usageCountDL),
        (u'iE-Extensions', _VolumeTimedReport_Item_iE_Extensions),
        ])
    VolumeTimedReport_Item._ext = []
    
    #-----< VolumeTimedReport-Item-ExtIEs >-----#
    VolumeTimedReport_Item_ExtIEs = CLASS(name=u'VolumeTimedReport-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    VolumeTimedReport_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< XnBenefitValue >-----#
    XnBenefitValue = INT(name=u'XnBenefitValue', mode=MODE_TYPE)
    XnBenefitValue._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=8)], ev=[], er=[])
    
    _all_ = [
        _Additional_UL_NG_U_TNLatUPF_Item_additional_UL_NG_U_TNLatUPF,
        ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id_tab,
        ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__id,
        ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality_tab,
        ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__criticality,
        ____Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue_tab,
        ___Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item__extensionValue,
        __Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions__item_,
        _Additional_UL_NG_U_TNLatUPF_Item_iE_Extensions,
        Additional_UL_NG_U_TNLatUPF_Item,
        Additional_UL_NG_U_TNLatUPF_Item_ExtIEs,
        _Additional_UL_NG_U_TNLatUPF_List__item_,
        Additional_UL_NG_U_TNLatUPF_List,
        ActivationIDforCellActivation,
        _AllocationandRetentionPriority_priorityLevel,
        _AllocationandRetentionPriority_pre_emption_capability,
        _AllocationandRetentionPriority_pre_emption_vulnerability,
        ____AllocationandRetentionPriority_iE_Extensions__item__id_tab,
        ___AllocationandRetentionPriority_iE_Extensions__item__id,
        ____AllocationandRetentionPriority_iE_Extensions__item__criticality_tab,
        ___AllocationandRetentionPriority_iE_Extensions__item__criticality,
        ____AllocationandRetentionPriority_iE_Extensions__item__extensionValue_tab,
        ___AllocationandRetentionPriority_iE_Extensions__item__extensionValue,
        __AllocationandRetentionPriority_iE_Extensions__item_,
        _AllocationandRetentionPriority_iE_Extensions,
        AllocationandRetentionPriority,
        AllocationandRetentionPriority_ExtIEs,
        ActivationSFN,
        _AMF_Region_Information__item_,
        AMF_Region_Information,
        _GlobalAMF_Region_Information_plmn_ID,
        _GlobalAMF_Region_Information_amf_region_id,
        ____GlobalAMF_Region_Information_iE_Extensions__item__id_tab,
        ___GlobalAMF_Region_Information_iE_Extensions__item__id,
        ____GlobalAMF_Region_Information_iE_Extensions__item__criticality_tab,
        ___GlobalAMF_Region_Information_iE_Extensions__item__criticality,
        ____GlobalAMF_Region_Information_iE_Extensions__item__extensionValue_tab,
        ___GlobalAMF_Region_Information_iE_Extensions__item__extensionValue,
        __GlobalAMF_Region_Information_iE_Extensions__item_,
        _GlobalAMF_Region_Information_iE_Extensions,
        GlobalAMF_Region_Information,
        GlobalAMF_Region_Information_ExtIEs,
        AMF_UE_NGAP_ID,
        _AreaOfInterestInformation__item_,
        AreaOfInterestInformation,
        _AreaOfInterest_Item_listOfTAIsinAoI,
        _AreaOfInterest_Item_listOfCellsinAoI,
        _AreaOfInterest_Item_listOfRANNodesinAoI,
        _AreaOfInterest_Item_requestReferenceID,
        ____AreaOfInterest_Item_iE_Extensions__item__id_tab,
        ___AreaOfInterest_Item_iE_Extensions__item__id,
        ____AreaOfInterest_Item_iE_Extensions__item__criticality_tab,
        ___AreaOfInterest_Item_iE_Extensions__item__criticality,
        ____AreaOfInterest_Item_iE_Extensions__item__extensionValue_tab,
        ___AreaOfInterest_Item_iE_Extensions__item__extensionValue,
        __AreaOfInterest_Item_iE_Extensions__item_,
        _AreaOfInterest_Item_iE_Extensions,
        AreaOfInterest_Item,
        AreaOfInterest_Item_ExtIEs,
        _AS_SecurityInformation_key_NG_RAN_Star,
        _AS_SecurityInformation_ncc,
        ____AS_SecurityInformation_iE_Extensions__item__id_tab,
        ___AS_SecurityInformation_iE_Extensions__item__id,
        ____AS_SecurityInformation_iE_Extensions__item__criticality_tab,
        ___AS_SecurityInformation_iE_Extensions__item__criticality,
        ____AS_SecurityInformation_iE_Extensions__item__extensionValue_tab,
        ___AS_SecurityInformation_iE_Extensions__item__extensionValue,
        __AS_SecurityInformation_iE_Extensions__item_,
        _AS_SecurityInformation_iE_Extensions,
        AS_SecurityInformation,
        AS_SecurityInformation_ExtIEs,
        _AssistanceDataForRANPaging_ran_paging_attempt_info,
        ____AssistanceDataForRANPaging_iE_Extensions__item__id_tab,
        ___AssistanceDataForRANPaging_iE_Extensions__item__id,
        ____AssistanceDataForRANPaging_iE_Extensions__item__criticality_tab,
        ___AssistanceDataForRANPaging_iE_Extensions__item__criticality,
        ____AssistanceDataForRANPaging_iE_Extensions__item__extensionValue_tab,
        ___AssistanceDataForRANPaging_iE_Extensions__item__extensionValue,
        __AssistanceDataForRANPaging_iE_Extensions__item_,
        _AssistanceDataForRANPaging_iE_Extensions,
        AssistanceDataForRANPaging,
        AssistanceDataForRANPaging_ExtIEs,
        AveragingWindow,
        _BPLMN_ID_Info_EUTRA__item_,
        BPLMN_ID_Info_EUTRA,
        _BPLMN_ID_Info_EUTRA_Item_broadcastPLMNs,
        _BPLMN_ID_Info_EUTRA_Item_tac,
        _BPLMN_ID_Info_EUTRA_Item_e_utraCI,
        _BPLMN_ID_Info_EUTRA_Item_ranac,
        ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id_tab,
        ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__id,
        ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality_tab,
        ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__criticality,
        ____BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue_tab,
        ___BPLMN_ID_Info_EUTRA_Item_iE_Extension__item__extensionValue,
        __BPLMN_ID_Info_EUTRA_Item_iE_Extension__item_,
        _BPLMN_ID_Info_EUTRA_Item_iE_Extension,
        BPLMN_ID_Info_EUTRA_Item,
        BPLMN_ID_Info_EUTRA_Item_ExtIEs,
        _BPLMN_ID_Info_NR__item_,
        BPLMN_ID_Info_NR,
        _BPLMN_ID_Info_NR_Item_broadcastPLMNs,
        _BPLMN_ID_Info_NR_Item_tac,
        _BPLMN_ID_Info_NR_Item_nr_CI,
        _BPLMN_ID_Info_NR_Item_ranac,
        ____BPLMN_ID_Info_NR_Item_iE_Extension__item__id_tab,
        ___BPLMN_ID_Info_NR_Item_iE_Extension__item__id,
        ____BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality_tab,
        ___BPLMN_ID_Info_NR_Item_iE_Extension__item__criticality,
        ____BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue_tab,
        ___BPLMN_ID_Info_NR_Item_iE_Extension__item__extensionValue,
        __BPLMN_ID_Info_NR_Item_iE_Extension__item_,
        _BPLMN_ID_Info_NR_Item_iE_Extension,
        BPLMN_ID_Info_NR_Item,
        BPLMN_ID_Info_NR_Item_ExtIEs,
        BitRate,
        _BroadcastPLMNs__item_,
        BroadcastPLMNs,
        _BroadcastEUTRAPLMNs__item_,
        BroadcastEUTRAPLMNs,
        _BroadcastPLMNinTAISupport_Item_plmn_id,
        _BroadcastPLMNinTAISupport_Item_tAISliceSupport_List,
        ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__id_tab,
        ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__id,
        ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality_tab,
        ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__criticality,
        ____BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue_tab,
        ___BroadcastPLMNinTAISupport_Item_iE_Extension__item__extensionValue,
        __BroadcastPLMNinTAISupport_Item_iE_Extension__item_,
        _BroadcastPLMNinTAISupport_Item_iE_Extension,
        BroadcastPLMNinTAISupport_Item,
        BroadcastPLMNinTAISupport_Item_ExtIEs,
        _Cause_radioNetwork,
        _Cause_transport,
        _Cause_protocol,
        _Cause_misc,
        ___Cause_choice_extension_id_tab,
        __Cause_choice_extension_id,
        ___Cause_choice_extension_criticality_tab,
        __Cause_choice_extension_criticality,
        ___Cause_choice_extension_value_tab,
        __Cause_choice_extension_value,
        _Cause_choice_extension,
        Cause,
        Cause_ExtIEs,
        CauseRadioNetworkLayer,
        CauseTransportLayer,
        CauseProtocol,
        CauseMisc,
        __CellAssistanceInfo_NR_limitedNR_List__item_,
        _CellAssistanceInfo_NR_limitedNR_List,
        _CellAssistanceInfo_NR_full_List,
        ___CellAssistanceInfo_NR_choice_extension_id_tab,
        __CellAssistanceInfo_NR_choice_extension_id,
        ___CellAssistanceInfo_NR_choice_extension_criticality_tab,
        __CellAssistanceInfo_NR_choice_extension_criticality,
        ___CellAssistanceInfo_NR_choice_extension_value_tab,
        __CellAssistanceInfo_NR_choice_extension_value,
        _CellAssistanceInfo_NR_choice_extension,
        CellAssistanceInfo_NR,
        CellAssistanceInfo_NR_ExtIEs,
        CellGroupID,
        _Connectivity_Support_eNDC_Support,
        ____Connectivity_Support_iE_Extensions__item__id_tab,
        ___Connectivity_Support_iE_Extensions__item__id,
        ____Connectivity_Support_iE_Extensions__item__criticality_tab,
        ___Connectivity_Support_iE_Extensions__item__criticality,
        ____Connectivity_Support_iE_Extensions__item__extensionValue_tab,
        ___Connectivity_Support_iE_Extensions__item__extensionValue,
        __Connectivity_Support_iE_Extensions__item_,
        _Connectivity_Support_iE_Extensions,
        Connectivity_Support,
        Connectivity_Support_ExtIEs,
        _COUNT_PDCP_SN12_pdcp_SN12,
        _COUNT_PDCP_SN12_hfn_PDCP_SN12,
        ____COUNT_PDCP_SN12_iE_Extensions__item__id_tab,
        ___COUNT_PDCP_SN12_iE_Extensions__item__id,
        ____COUNT_PDCP_SN12_iE_Extensions__item__criticality_tab,
        ___COUNT_PDCP_SN12_iE_Extensions__item__criticality,
        ____COUNT_PDCP_SN12_iE_Extensions__item__extensionValue_tab,
        ___COUNT_PDCP_SN12_iE_Extensions__item__extensionValue,
        __COUNT_PDCP_SN12_iE_Extensions__item_,
        _COUNT_PDCP_SN12_iE_Extensions,
        COUNT_PDCP_SN12,
        COUNT_PDCP_SN12_ExtIEs,
        _COUNT_PDCP_SN18_pdcp_SN18,
        _COUNT_PDCP_SN18_hfn_PDCP_SN18,
        ____COUNT_PDCP_SN18_iE_Extensions__item__id_tab,
        ___COUNT_PDCP_SN18_iE_Extensions__item__id,
        ____COUNT_PDCP_SN18_iE_Extensions__item__criticality_tab,
        ___COUNT_PDCP_SN18_iE_Extensions__item__criticality,
        ____COUNT_PDCP_SN18_iE_Extensions__item__extensionValue_tab,
        ___COUNT_PDCP_SN18_iE_Extensions__item__extensionValue,
        __COUNT_PDCP_SN18_iE_Extensions__item_,
        _COUNT_PDCP_SN18_iE_Extensions,
        COUNT_PDCP_SN18,
        COUNT_PDCP_SN18_ExtIEs,
        _CPTransportLayerInformation_endpointIPAddress,
        ___CPTransportLayerInformation_choice_extension_id_tab,
        ____CPTransportLayerInformation_choice_extension_id_tab_val_Value_0,
        __CPTransportLayerInformation_choice_extension_id,
        __CPTransportLayerInformation_choice_extension_criticality,
        __CPTransportLayerInformation_choice_extension_value,
        _CPTransportLayerInformation_choice_extension,
        CPTransportLayerInformation,
        CPTransportLayerInformation_ExtIEs,
        _CPTransportLayerInformation_ExtIEs_val_Value_0,
        _CriticalityDiagnostics_procedureCode,
        _CriticalityDiagnostics_triggeringMessage,
        _CriticalityDiagnostics_procedureCriticality,
        _CriticalityDiagnostics_iEsCriticalityDiagnostics,
        ____CriticalityDiagnostics_iE_Extensions__item__id_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__id,
        ____CriticalityDiagnostics_iE_Extensions__item__criticality_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__criticality,
        ____CriticalityDiagnostics_iE_Extensions__item__extensionValue_tab,
        ___CriticalityDiagnostics_iE_Extensions__item__extensionValue,
        __CriticalityDiagnostics_iE_Extensions__item_,
        _CriticalityDiagnostics_iE_Extensions,
        CriticalityDiagnostics,
        CriticalityDiagnostics_ExtIEs,
        __CriticalityDiagnostics_IE_List__item__iECriticality,
        __CriticalityDiagnostics_IE_List__item__iE_ID,
        __CriticalityDiagnostics_IE_List__item__typeOfError,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__id,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__criticality,
        _____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue_tab,
        ____CriticalityDiagnostics_IE_List__item__iE_Extensions__item__extensionValue,
        ___CriticalityDiagnostics_IE_List__item__iE_Extensions__item_,
        __CriticalityDiagnostics_IE_List__item__iE_Extensions,
        _CriticalityDiagnostics_IE_List__item_,
        CriticalityDiagnostics_IE_List,
        CriticalityDiagnostics_IE_List_ExtIEs,
        C_RNTI,
        CyclicPrefix_E_UTRA_DL,
        CyclicPrefix_E_UTRA_UL,
        _XnUAddressInfoperPDUSession_List__item_,
        XnUAddressInfoperPDUSession_List,
        _XnUAddressInfoperPDUSession_Item_pduSession_ID,
        _XnUAddressInfoperPDUSession_Item_dataForwardingInfoFromTargetNGRANnode,
        _XnUAddressInfoperPDUSession_Item_pduSessionResourceSetupCompleteInfo_SNterm,
        ____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab,
        _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_0,
        _____XnUAddressInfoperPDUSession_Item_iE_Extension__item__id_tab_val_Extension_1,
        ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__id,
        ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__criticality,
        ___XnUAddressInfoperPDUSession_Item_iE_Extension__item__extensionValue,
        __XnUAddressInfoperPDUSession_Item_iE_Extension__item_,
        _XnUAddressInfoperPDUSession_Item_iE_Extension,
        XnUAddressInfoperPDUSession_Item,
        XnUAddressInfoperPDUSession_Item_ExtIEs,
        _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_0,
        _XnUAddressInfoperPDUSession_Item_ExtIEs_val_Extension_1,
        DataForwardingAccepted,
        _DataForwardingInfoFromTargetNGRANnode_qosFlowsAcceptedForDataForwarding_List,
        _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelDLDataForwardingInfo,
        _DataForwardingInfoFromTargetNGRANnode_pduSessionLevelULDataForwardingInfo,
        _DataForwardingInfoFromTargetNGRANnode_dataForwardingResponseDRBItemList,
        ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id_tab,
        ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__id,
        ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality_tab,
        ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__criticality,
        ____DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue_tab,
        ___DataForwardingInfoFromTargetNGRANnode_iE_Extension__item__extensionValue,
        __DataForwardingInfoFromTargetNGRANnode_iE_Extension__item_,
        _DataForwardingInfoFromTargetNGRANnode_iE_Extension,
        DataForwardingInfoFromTargetNGRANnode,
        DataForwardingInfoFromTargetNGRANnode_ExtIEs,
        _QoSFLowsAcceptedToBeForwarded_List__item_,
        QoSFLowsAcceptedToBeForwarded_List,
        _QoSFLowsAcceptedToBeForwarded_Item_qosFlowIdentifier,
        ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id_tab,
        ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__id,
        ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality_tab,
        ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__criticality,
        ____QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item__extensionValue,
        __QoSFLowsAcceptedToBeForwarded_Item_iE_Extension__item_,
        _QoSFLowsAcceptedToBeForwarded_Item_iE_Extension,
        QoSFLowsAcceptedToBeForwarded_Item,
        QoSFLowsAcceptedToBeForwarded_Item_ExtIEs,
        _DataforwardingandOffloadingInfofromSource_qosFlowsToBeForwarded,
        _DataforwardingandOffloadingInfofromSource_sourceDRBtoQoSFlowMapping,
        ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__id_tab,
        ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__id,
        ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality_tab,
        ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__criticality,
        ____DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue_tab,
        ___DataforwardingandOffloadingInfofromSource_iE_Extension__item__extensionValue,
        __DataforwardingandOffloadingInfofromSource_iE_Extension__item_,
        _DataforwardingandOffloadingInfofromSource_iE_Extension,
        DataforwardingandOffloadingInfofromSource,
        DataforwardingandOffloadingInfofromSource_ExtIEs,
        _QoSFLowsToBeForwarded_List__item_,
        QoSFLowsToBeForwarded_List,
        _QoSFLowsToBeForwarded_Item_qosFlowIdentifier,
        _QoSFLowsToBeForwarded_Item_dl_dataforwarding,
        _QoSFLowsToBeForwarded_Item_ul_dataforwarding,
        ____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab,
        _____QoSFLowsToBeForwarded_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___QoSFLowsToBeForwarded_Item_iE_Extension__item__id,
        ___QoSFLowsToBeForwarded_Item_iE_Extension__item__criticality,
        ___QoSFLowsToBeForwarded_Item_iE_Extension__item__extensionValue,
        __QoSFLowsToBeForwarded_Item_iE_Extension__item_,
        _QoSFLowsToBeForwarded_Item_iE_Extension,
        QoSFLowsToBeForwarded_Item,
        QoSFLowsToBeForwarded_Item_ExtIEs,
        _QoSFLowsToBeForwarded_Item_ExtIEs_val_Extension_0,
        _DataForwardingResponseDRBItemList__item_,
        DataForwardingResponseDRBItemList,
        _DataForwardingResponseDRBItem_drb_ID,
        _DataForwardingResponseDRBItem_dlForwardingUPTNL,
        _DataForwardingResponseDRBItem_ulForwardingUPTNL,
        ____DataForwardingResponseDRBItem_iE_Extension__item__id_tab,
        ___DataForwardingResponseDRBItem_iE_Extension__item__id,
        ____DataForwardingResponseDRBItem_iE_Extension__item__criticality_tab,
        ___DataForwardingResponseDRBItem_iE_Extension__item__criticality,
        ____DataForwardingResponseDRBItem_iE_Extension__item__extensionValue_tab,
        ___DataForwardingResponseDRBItem_iE_Extension__item__extensionValue,
        __DataForwardingResponseDRBItem_iE_Extension__item_,
        _DataForwardingResponseDRBItem_iE_Extension,
        DataForwardingResponseDRBItem,
        DataForwardingResponseDRBItem_ExtIEs,
        DataTrafficResources,
        _DataTrafficResourceIndication_activationSFN,
        _DataTrafficResourceIndication_sharedResourceType,
        _DataTrafficResourceIndication_reservedSubframePattern,
        ____DataTrafficResourceIndication_iE_Extension__item__id_tab,
        ___DataTrafficResourceIndication_iE_Extension__item__id,
        ____DataTrafficResourceIndication_iE_Extension__item__criticality_tab,
        ___DataTrafficResourceIndication_iE_Extension__item__criticality,
        ____DataTrafficResourceIndication_iE_Extension__item__extensionValue_tab,
        ___DataTrafficResourceIndication_iE_Extension__item__extensionValue,
        __DataTrafficResourceIndication_iE_Extension__item_,
        _DataTrafficResourceIndication_iE_Extension,
        DataTrafficResourceIndication,
        DataTrafficResourceIndication_ExtIEs,
        DeliveryStatus,
        DesiredActNotificationLevel,
        DefaultDRB_Allowed,
        DLForwarding,
        DRB_ID,
        _DRB_List__item_,
        DRB_List,
        _DRB_List_withCause__item_,
        DRB_List_withCause,
        _DRB_List_withCause_Item_drb_id,
        _DRB_List_withCause_Item_cause,
        _DRB_List_withCause_Item_rLC_Mode,
        ____DRB_List_withCause_Item_iE_Extension__item__id_tab,
        ___DRB_List_withCause_Item_iE_Extension__item__id,
        ____DRB_List_withCause_Item_iE_Extension__item__criticality_tab,
        ___DRB_List_withCause_Item_iE_Extension__item__criticality,
        ____DRB_List_withCause_Item_iE_Extension__item__extensionValue_tab,
        ___DRB_List_withCause_Item_iE_Extension__item__extensionValue,
        __DRB_List_withCause_Item_iE_Extension__item_,
        _DRB_List_withCause_Item_iE_Extension,
        DRB_List_withCause_Item,
        DRB_List_withCause_Item_ExtIEs,
        DRB_Number,
        _DRBsSubjectToStatusTransfer_List__item_,
        DRBsSubjectToStatusTransfer_List,
        _DRBsSubjectToStatusTransfer_Item_drbID,
        _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_UL,
        _DRBsSubjectToStatusTransfer_Item_pdcpStatusTransfer_DL,
        ____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab,
        _____DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__id,
        ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__criticality,
        ___DRBsSubjectToStatusTransfer_Item_iE_Extension__item__extensionValue,
        __DRBsSubjectToStatusTransfer_Item_iE_Extension__item_,
        _DRBsSubjectToStatusTransfer_Item_iE_Extension,
        DRBsSubjectToStatusTransfer_Item,
        DRBsSubjectToStatusTransfer_Item_ExtIEs,
        _DRBsSubjectToStatusTransfer_Item_ExtIEs_val_Extension_0,
        _DRBBStatusTransferChoice_pdcp_sn_12bits,
        _DRBBStatusTransferChoice_pdcp_sn_18bits,
        ___DRBBStatusTransferChoice_choice_extension_id_tab,
        __DRBBStatusTransferChoice_choice_extension_id,
        ___DRBBStatusTransferChoice_choice_extension_criticality_tab,
        __DRBBStatusTransferChoice_choice_extension_criticality,
        ___DRBBStatusTransferChoice_choice_extension_value_tab,
        __DRBBStatusTransferChoice_choice_extension_value,
        _DRBBStatusTransferChoice_choice_extension,
        DRBBStatusTransferChoice,
        DRBBStatusTransferChoice_ExtIEs,
        _DRBBStatusTransfer12bitsSN_receiveStatusofPDCPSDU,
        _DRBBStatusTransfer12bitsSN_cOUNTValue,
        ____DRBBStatusTransfer12bitsSN_iE_Extension__item__id_tab,
        ___DRBBStatusTransfer12bitsSN_iE_Extension__item__id,
        ____DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality_tab,
        ___DRBBStatusTransfer12bitsSN_iE_Extension__item__criticality,
        ____DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue_tab,
        ___DRBBStatusTransfer12bitsSN_iE_Extension__item__extensionValue,
        __DRBBStatusTransfer12bitsSN_iE_Extension__item_,
        _DRBBStatusTransfer12bitsSN_iE_Extension,
        DRBBStatusTransfer12bitsSN,
        DRBBStatusTransfer12bitsSN_ExtIEs,
        _DRBBStatusTransfer18bitsSN_receiveStatusofPDCPSDU,
        _DRBBStatusTransfer18bitsSN_cOUNTValue,
        ____DRBBStatusTransfer18bitsSN_iE_Extension__item__id_tab,
        ___DRBBStatusTransfer18bitsSN_iE_Extension__item__id,
        ____DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality_tab,
        ___DRBBStatusTransfer18bitsSN_iE_Extension__item__criticality,
        ____DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue_tab,
        ___DRBBStatusTransfer18bitsSN_iE_Extension__item__extensionValue,
        __DRBBStatusTransfer18bitsSN_iE_Extension__item_,
        _DRBBStatusTransfer18bitsSN_iE_Extension,
        DRBBStatusTransfer18bitsSN,
        DRBBStatusTransfer18bitsSN_ExtIEs,
        _DRBToQoSFlowMapping_List__item_,
        DRBToQoSFlowMapping_List,
        _DRBToQoSFlowMapping_Item_drb_ID,
        _DRBToQoSFlowMapping_Item_qosFlows_List,
        _DRBToQoSFlowMapping_Item_rLC_Mode,
        ____DRBToQoSFlowMapping_Item_iE_Extension__item__id_tab,
        ___DRBToQoSFlowMapping_Item_iE_Extension__item__id,
        ____DRBToQoSFlowMapping_Item_iE_Extension__item__criticality_tab,
        ___DRBToQoSFlowMapping_Item_iE_Extension__item__criticality,
        ____DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue_tab,
        ___DRBToQoSFlowMapping_Item_iE_Extension__item__extensionValue,
        __DRBToQoSFlowMapping_Item_iE_Extension__item_,
        _DRBToQoSFlowMapping_Item_iE_Extension,
        DRBToQoSFlowMapping_Item,
        DRBToQoSFlowMapping_Item_ExtIEs,
        DuplicationActivation,
        _Dynamic5QIDescriptor_priorityLevelQoS,
        _Dynamic5QIDescriptor_packetDelayBudget,
        _Dynamic5QIDescriptor_packetErrorRate,
        _Dynamic5QIDescriptor_fiveQI,
        _Dynamic5QIDescriptor_delayCritical,
        _Dynamic5QIDescriptor_averagingWindow,
        _Dynamic5QIDescriptor_maximumDataBurstVolume,
        ____Dynamic5QIDescriptor_iE_Extension__item__id_tab,
        ___Dynamic5QIDescriptor_iE_Extension__item__id,
        ____Dynamic5QIDescriptor_iE_Extension__item__criticality_tab,
        ___Dynamic5QIDescriptor_iE_Extension__item__criticality,
        ____Dynamic5QIDescriptor_iE_Extension__item__extensionValue_tab,
        ___Dynamic5QIDescriptor_iE_Extension__item__extensionValue,
        __Dynamic5QIDescriptor_iE_Extension__item_,
        _Dynamic5QIDescriptor_iE_Extension,
        Dynamic5QIDescriptor,
        Dynamic5QIDescriptor_ExtIEs,
        E_RAB_ID,
        E_UTRAARFCN,
        E_UTRA_Cell_Identity,
        _E_UTRA_CGI_plmn_id,
        _E_UTRA_CGI_e_utra_CI,
        ____E_UTRA_CGI_iE_Extension__item__id_tab,
        ___E_UTRA_CGI_iE_Extension__item__id,
        ____E_UTRA_CGI_iE_Extension__item__criticality_tab,
        ___E_UTRA_CGI_iE_Extension__item__criticality,
        ____E_UTRA_CGI_iE_Extension__item__extensionValue_tab,
        ___E_UTRA_CGI_iE_Extension__item__extensionValue,
        __E_UTRA_CGI_iE_Extension__item_,
        _E_UTRA_CGI_iE_Extension,
        E_UTRA_CGI,
        E_UTRA_CGI_ExtIEs,
        E_UTRAFrequencyBandIndicator,
        _E_UTRAMultibandInfoList__item_,
        E_UTRAMultibandInfoList,
        E_UTRAPCI,
        _E_UTRAPRACHConfiguration_rootSequenceIndex,
        _E_UTRAPRACHConfiguration_zeroCorrelationIndex,
        _E_UTRAPRACHConfiguration_highSpeedFlag,
        _E_UTRAPRACHConfiguration_prach_FreqOffset,
        _E_UTRAPRACHConfiguration_prach_ConfigIndex,
        ____E_UTRAPRACHConfiguration_iE_Extensions__item__id_tab,
        ___E_UTRAPRACHConfiguration_iE_Extensions__item__id,
        ____E_UTRAPRACHConfiguration_iE_Extensions__item__criticality_tab,
        ___E_UTRAPRACHConfiguration_iE_Extensions__item__criticality,
        ____E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue_tab,
        ___E_UTRAPRACHConfiguration_iE_Extensions__item__extensionValue,
        __E_UTRAPRACHConfiguration_iE_Extensions__item_,
        _E_UTRAPRACHConfiguration_iE_Extensions,
        E_UTRAPRACHConfiguration,
        E_UTRAPRACHConfiguration_ExtIEs,
        E_UTRATransmissionBandwidth,
        _EndpointIPAddressAndPort_endpointIPAddress,
        _EndpointIPAddressAndPort_portNumber,
        ____EndpointIPAddressAndPort_iE_Extensions__item__id_tab,
        ___EndpointIPAddressAndPort_iE_Extensions__item__id,
        ____EndpointIPAddressAndPort_iE_Extensions__item__criticality_tab,
        ___EndpointIPAddressAndPort_iE_Extensions__item__criticality,
        ____EndpointIPAddressAndPort_iE_Extensions__item__extensionValue_tab,
        ___EndpointIPAddressAndPort_iE_Extensions__item__extensionValue,
        __EndpointIPAddressAndPort_iE_Extensions__item_,
        _EndpointIPAddressAndPort_iE_Extensions,
        EndpointIPAddressAndPort,
        EndpointIPAddressAndPort_ExtIEs,
        EventType,
        ExpectedActivityPeriod,
        ExpectedHOInterval,
        ExpectedIdlePeriod,
        _ExpectedUEActivityBehaviour_expectedActivityPeriod,
        _ExpectedUEActivityBehaviour_expectedIdlePeriod,
        _ExpectedUEActivityBehaviour_sourceOfUEActivityBehaviourInformation,
        ____ExpectedUEActivityBehaviour_iE_Extensions__item__id_tab,
        ___ExpectedUEActivityBehaviour_iE_Extensions__item__id,
        ____ExpectedUEActivityBehaviour_iE_Extensions__item__criticality_tab,
        ___ExpectedUEActivityBehaviour_iE_Extensions__item__criticality,
        ____ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue_tab,
        ___ExpectedUEActivityBehaviour_iE_Extensions__item__extensionValue,
        __ExpectedUEActivityBehaviour_iE_Extensions__item_,
        _ExpectedUEActivityBehaviour_iE_Extensions,
        ExpectedUEActivityBehaviour,
        ExpectedUEActivityBehaviour_ExtIEs,
        _ExpectedUEBehaviour_expectedUEActivityBehaviour,
        _ExpectedUEBehaviour_expectedHOInterval,
        _ExpectedUEBehaviour_expectedUEMobility,
        _ExpectedUEBehaviour_expectedUEMovingTrajectory,
        ____ExpectedUEBehaviour_iE_Extensions__item__id_tab,
        ___ExpectedUEBehaviour_iE_Extensions__item__id,
        ____ExpectedUEBehaviour_iE_Extensions__item__criticality_tab,
        ___ExpectedUEBehaviour_iE_Extensions__item__criticality,
        ____ExpectedUEBehaviour_iE_Extensions__item__extensionValue_tab,
        ___ExpectedUEBehaviour_iE_Extensions__item__extensionValue,
        __ExpectedUEBehaviour_iE_Extensions__item_,
        _ExpectedUEBehaviour_iE_Extensions,
        ExpectedUEBehaviour,
        ExpectedUEBehaviour_ExtIEs,
        ExpectedUEMobility,
        _ExpectedUEMovingTrajectory__item_,
        ExpectedUEMovingTrajectory,
        _ExpectedUEMovingTrajectoryItem_nGRAN_CGI,
        _ExpectedUEMovingTrajectoryItem_timeStayedInCell,
        ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id_tab,
        ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__id,
        ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality_tab,
        ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__criticality,
        ____ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue_tab,
        ___ExpectedUEMovingTrajectoryItem_iE_Extensions__item__extensionValue,
        __ExpectedUEMovingTrajectoryItem_iE_Extensions__item_,
        _ExpectedUEMovingTrajectoryItem_iE_Extensions,
        ExpectedUEMovingTrajectoryItem,
        ExpectedUEMovingTrajectoryItem_ExtIEs,
        SourceOfUEActivityBehaviourInformation,
        FiveQI,
        _GBRQoSFlowInfo_maxFlowBitRateDL,
        _GBRQoSFlowInfo_maxFlowBitRateUL,
        _GBRQoSFlowInfo_guaranteedFlowBitRateDL,
        _GBRQoSFlowInfo_guaranteedFlowBitRateUL,
        _GBRQoSFlowInfo_notificationControl,
        _GBRQoSFlowInfo_maxPacketLossRateDL,
        _GBRQoSFlowInfo_maxPacketLossRateUL,
        ____GBRQoSFlowInfo_iE_Extensions__item__id_tab,
        ___GBRQoSFlowInfo_iE_Extensions__item__id,
        ____GBRQoSFlowInfo_iE_Extensions__item__criticality_tab,
        ___GBRQoSFlowInfo_iE_Extensions__item__criticality,
        ____GBRQoSFlowInfo_iE_Extensions__item__extensionValue_tab,
        ___GBRQoSFlowInfo_iE_Extensions__item__extensionValue,
        __GBRQoSFlowInfo_iE_Extensions__item_,
        _GBRQoSFlowInfo_iE_Extensions,
        GBRQoSFlowInfo,
        GBRQoSFlowInfo_ExtIEs,
        _GlobalgNB_ID_plmn_id,
        _GlobalgNB_ID_gnb_id,
        ____GlobalgNB_ID_iE_Extensions__item__id_tab,
        ___GlobalgNB_ID_iE_Extensions__item__id,
        ____GlobalgNB_ID_iE_Extensions__item__criticality_tab,
        ___GlobalgNB_ID_iE_Extensions__item__criticality,
        ____GlobalgNB_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalgNB_ID_iE_Extensions__item__extensionValue,
        __GlobalgNB_ID_iE_Extensions__item_,
        _GlobalgNB_ID_iE_Extensions,
        GlobalgNB_ID,
        GlobalgNB_ID_ExtIEs,
        _GNB_ID_Choice_gnb_ID,
        ___GNB_ID_Choice_choice_extension_id_tab,
        __GNB_ID_Choice_choice_extension_id,
        ___GNB_ID_Choice_choice_extension_criticality_tab,
        __GNB_ID_Choice_choice_extension_criticality,
        ___GNB_ID_Choice_choice_extension_value_tab,
        __GNB_ID_Choice_choice_extension_value,
        _GNB_ID_Choice_choice_extension,
        GNB_ID_Choice,
        GNB_ID_Choice_ExtIEs,
        _GlobalngeNB_ID_plmn_id,
        _GlobalngeNB_ID_enb_id,
        ____GlobalngeNB_ID_iE_Extensions__item__id_tab,
        ___GlobalngeNB_ID_iE_Extensions__item__id,
        ____GlobalngeNB_ID_iE_Extensions__item__criticality_tab,
        ___GlobalngeNB_ID_iE_Extensions__item__criticality,
        ____GlobalngeNB_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalngeNB_ID_iE_Extensions__item__extensionValue,
        __GlobalngeNB_ID_iE_Extensions__item_,
        _GlobalngeNB_ID_iE_Extensions,
        GlobalngeNB_ID,
        GlobaleNB_ID_ExtIEs,
        _ENB_ID_Choice_enb_ID_macro,
        _ENB_ID_Choice_enb_ID_shortmacro,
        _ENB_ID_Choice_enb_ID_longmacro,
        ___ENB_ID_Choice_choice_extension_id_tab,
        __ENB_ID_Choice_choice_extension_id,
        ___ENB_ID_Choice_choice_extension_criticality_tab,
        __ENB_ID_Choice_choice_extension_criticality,
        ___ENB_ID_Choice_choice_extension_value_tab,
        __ENB_ID_Choice_choice_extension_value,
        _ENB_ID_Choice_choice_extension,
        ENB_ID_Choice,
        ENB_ID_Choice_ExtIEs,
        _GlobalNG_RANCell_ID_plmn_id,
        _GlobalNG_RANCell_ID_ng_RAN_Cell_id,
        ____GlobalNG_RANCell_ID_iE_Extensions__item__id_tab,
        ___GlobalNG_RANCell_ID_iE_Extensions__item__id,
        ____GlobalNG_RANCell_ID_iE_Extensions__item__criticality_tab,
        ___GlobalNG_RANCell_ID_iE_Extensions__item__criticality,
        ____GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue_tab,
        ___GlobalNG_RANCell_ID_iE_Extensions__item__extensionValue,
        __GlobalNG_RANCell_ID_iE_Extensions__item_,
        _GlobalNG_RANCell_ID_iE_Extensions,
        GlobalNG_RANCell_ID,
        GlobalNG_RANCell_ID_ExtIEs,
        _GlobalNG_RANNode_ID_gNB,
        _GlobalNG_RANNode_ID_ng_eNB,
        ___GlobalNG_RANNode_ID_choice_extension_id_tab,
        __GlobalNG_RANNode_ID_choice_extension_id,
        ___GlobalNG_RANNode_ID_choice_extension_criticality_tab,
        __GlobalNG_RANNode_ID_choice_extension_criticality,
        ___GlobalNG_RANNode_ID_choice_extension_value_tab,
        __GlobalNG_RANNode_ID_choice_extension_value,
        _GlobalNG_RANNode_ID_choice_extension,
        GlobalNG_RANNode_ID,
        GlobalNG_RANNode_ID_ExtIEs,
        GTP_TEID,
        _GTPtunnelTransportLayerInformation_tnl_address,
        _GTPtunnelTransportLayerInformation_gtp_teid,
        ____GTPtunnelTransportLayerInformation_iE_Extensions__item__id_tab,
        ___GTPtunnelTransportLayerInformation_iE_Extensions__item__id,
        ____GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality_tab,
        ___GTPtunnelTransportLayerInformation_iE_Extensions__item__criticality,
        ____GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue_tab,
        ___GTPtunnelTransportLayerInformation_iE_Extensions__item__extensionValue,
        __GTPtunnelTransportLayerInformation_iE_Extensions__item_,
        _GTPtunnelTransportLayerInformation_iE_Extensions,
        GTPtunnelTransportLayerInformation,
        GTPtunnelTransportLayerInformation_ExtIEs,
        _GUAMI_plmn_ID,
        _GUAMI_amf_region_id,
        _GUAMI_amf_set_id,
        _GUAMI_amf_pointer,
        ____GUAMI_iE_Extensions__item__id_tab,
        ___GUAMI_iE_Extensions__item__id,
        ____GUAMI_iE_Extensions__item__criticality_tab,
        ___GUAMI_iE_Extensions__item__criticality,
        ____GUAMI_iE_Extensions__item__extensionValue_tab,
        ___GUAMI_iE_Extensions__item__extensionValue,
        __GUAMI_iE_Extensions__item_,
        _GUAMI_iE_Extensions,
        GUAMI,
        GUAMI_ExtIEs,
        InterfaceInstanceIndication,
        _I_RNTI_i_RNTI_full,
        _I_RNTI_i_RNTI_short,
        ___I_RNTI_choice_extension_id_tab,
        __I_RNTI_choice_extension_id,
        ___I_RNTI_choice_extension_criticality_tab,
        __I_RNTI_choice_extension_criticality,
        ___I_RNTI_choice_extension_value_tab,
        __I_RNTI_choice_extension_value,
        _I_RNTI_choice_extension,
        I_RNTI,
        I_RNTI_ExtIEs,
        _LastVisitedCell_Item_nG_RAN_Cell,
        _LastVisitedCell_Item_e_UTRAN_Cell,
        _LastVisitedCell_Item_uTRAN_Cell,
        _LastVisitedCell_Item_gERAN_Cell,
        ___LastVisitedCell_Item_choice_extension_id_tab,
        __LastVisitedCell_Item_choice_extension_id,
        ___LastVisitedCell_Item_choice_extension_criticality_tab,
        __LastVisitedCell_Item_choice_extension_criticality,
        ___LastVisitedCell_Item_choice_extension_value_tab,
        __LastVisitedCell_Item_choice_extension_value,
        _LastVisitedCell_Item_choice_extension,
        LastVisitedCell_Item,
        LastVisitedCell_Item_ExtIEs,
        LastVisitedEUTRANCellInformation,
        LastVisitedGERANCellInformation,
        LastVisitedNGRANCellInformation,
        LastVisitedUTRANCellInformation,
        LCID,
        _ListOfCells__item_,
        ListOfCells,
        _CellsinAoI_Item_pLMN_Identity,
        _CellsinAoI_Item_ng_ran_cell_id,
        ____CellsinAoI_Item_iE_Extensions__item__id_tab,
        ___CellsinAoI_Item_iE_Extensions__item__id,
        ____CellsinAoI_Item_iE_Extensions__item__criticality_tab,
        ___CellsinAoI_Item_iE_Extensions__item__criticality,
        ____CellsinAoI_Item_iE_Extensions__item__extensionValue_tab,
        ___CellsinAoI_Item_iE_Extensions__item__extensionValue,
        __CellsinAoI_Item_iE_Extensions__item_,
        _CellsinAoI_Item_iE_Extensions,
        CellsinAoI_Item,
        CellsinAoI_Item_ExtIEs,
        _ListOfRANNodesinAoI__item_,
        ListOfRANNodesinAoI,
        _GlobalNG_RANNodesinAoI_Item_global_NG_RAN_Node_ID,
        ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id_tab,
        ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__id,
        ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality_tab,
        ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__criticality,
        ____GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue_tab,
        ___GlobalNG_RANNodesinAoI_Item_iE_Extensions__item__extensionValue,
        __GlobalNG_RANNodesinAoI_Item_iE_Extensions__item_,
        _GlobalNG_RANNodesinAoI_Item_iE_Extensions,
        GlobalNG_RANNodesinAoI_Item,
        GlobalNG_RANNodesinAoI_Item_ExtIEs,
        _ListOfTAIsinAoI__item_,
        ListOfTAIsinAoI,
        _TAIsinAoI_Item_pLMN_Identity,
        _TAIsinAoI_Item_tAC,
        ____TAIsinAoI_Item_iE_Extensions__item__id_tab,
        ___TAIsinAoI_Item_iE_Extensions__item__id,
        ____TAIsinAoI_Item_iE_Extensions__item__criticality_tab,
        ___TAIsinAoI_Item_iE_Extensions__item__criticality,
        ____TAIsinAoI_Item_iE_Extensions__item__extensionValue_tab,
        ___TAIsinAoI_Item_iE_Extensions__item__extensionValue,
        __TAIsinAoI_Item_iE_Extensions__item_,
        _TAIsinAoI_Item_iE_Extensions,
        TAIsinAoI_Item,
        TAIsinAoI_Item_ExtIEs,
        LocationInformationSNReporting,
        _LocationReportingInformation_eventType,
        _LocationReportingInformation_reportArea,
        _LocationReportingInformation_areaOfInterest,
        ____LocationReportingInformation_iE_Extensions__item__id_tab,
        ___LocationReportingInformation_iE_Extensions__item__id,
        ____LocationReportingInformation_iE_Extensions__item__criticality_tab,
        ___LocationReportingInformation_iE_Extensions__item__criticality,
        ____LocationReportingInformation_iE_Extensions__item__extensionValue_tab,
        ___LocationReportingInformation_iE_Extensions__item__extensionValue,
        __LocationReportingInformation_iE_Extensions__item_,
        _LocationReportingInformation_iE_Extensions,
        LocationReportingInformation,
        LocationReportingInformation_ExtIEs,
        LowerLayerPresenceStatusChange,
        MAC_I,
        MaskedIMEISV,
        MaximumDataBurstVolume,
        _MaximumIPdatarate_maxIPrate_UL,
        ____MaximumIPdatarate_iE_Extensions__item__id_tab,
        _____MaximumIPdatarate_iE_Extensions__item__id_tab_val_Extension_0,
        ___MaximumIPdatarate_iE_Extensions__item__id,
        ___MaximumIPdatarate_iE_Extensions__item__criticality,
        ___MaximumIPdatarate_iE_Extensions__item__extensionValue,
        __MaximumIPdatarate_iE_Extensions__item_,
        _MaximumIPdatarate_iE_Extensions,
        MaximumIPdatarate,
        MaximumIPdatarate_ExtIEs,
        _MaximumIPdatarate_ExtIEs_val_Extension_0,
        MaxIPrate,
        MBSFNControlRegionLength,
        _MBSFNSubframeAllocation_E_UTRA_oneframe,
        _MBSFNSubframeAllocation_E_UTRA_fourframes,
        ___MBSFNSubframeAllocation_E_UTRA_choice_extension_id_tab,
        __MBSFNSubframeAllocation_E_UTRA_choice_extension_id,
        ___MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality_tab,
        __MBSFNSubframeAllocation_E_UTRA_choice_extension_criticality,
        ___MBSFNSubframeAllocation_E_UTRA_choice_extension_value_tab,
        __MBSFNSubframeAllocation_E_UTRA_choice_extension_value,
        _MBSFNSubframeAllocation_E_UTRA_choice_extension,
        MBSFNSubframeAllocation_E_UTRA,
        MBSFNSubframeAllocation_E_UTRA_ExtIEs,
        _MBSFNSubframeInfo_E_UTRA__item_,
        MBSFNSubframeInfo_E_UTRA,
        _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationPeriod,
        _MBSFNSubframeInfo_E_UTRA_Item_radioframeAllocationOffset,
        _MBSFNSubframeInfo_E_UTRA_Item_subframeAllocation,
        ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__id,
        ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__criticality,
        ____MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions__item_,
        _MBSFNSubframeInfo_E_UTRA_Item_iE_Extensions,
        MBSFNSubframeInfo_E_UTRA_Item,
        MBSFNSubframeInfo_E_UTRA_Item_ExtIEs,
        _MobilityRestrictionList_serving_PLMN,
        __MobilityRestrictionList_equivalent_PLMNs__item_,
        _MobilityRestrictionList_equivalent_PLMNs,
        _MobilityRestrictionList_rat_Restrictions,
        _MobilityRestrictionList_forbiddenAreaInformation,
        _MobilityRestrictionList_serviceAreaInformation,
        ____MobilityRestrictionList_iE_Extensions__item__id_tab,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_0,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_1,
        _____MobilityRestrictionList_iE_Extensions__item__id_tab_val_Extension_2,
        ___MobilityRestrictionList_iE_Extensions__item__id,
        ___MobilityRestrictionList_iE_Extensions__item__criticality,
        ___MobilityRestrictionList_iE_Extensions__item__extensionValue,
        __MobilityRestrictionList_iE_Extensions__item_,
        _MobilityRestrictionList_iE_Extensions,
        MobilityRestrictionList,
        MobilityRestrictionList_ExtIEs,
        _MobilityRestrictionList_ExtIEs_val_Extension_0,
        _MobilityRestrictionList_ExtIEs_val_Extension_1,
        _MobilityRestrictionList_ExtIEs_val_Extension_2,
        _CNTypeRestrictionsForEquivalent__item_,
        CNTypeRestrictionsForEquivalent,
        _CNTypeRestrictionsForEquivalentItem_plmn_Identity,
        _CNTypeRestrictionsForEquivalentItem_cn_Type,
        ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id_tab,
        ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__id,
        ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality_tab,
        ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__criticality,
        ____CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue_tab,
        ___CNTypeRestrictionsForEquivalentItem_iE_Extensions__item__extensionValue,
        __CNTypeRestrictionsForEquivalentItem_iE_Extensions__item_,
        _CNTypeRestrictionsForEquivalentItem_iE_Extensions,
        CNTypeRestrictionsForEquivalentItem,
        CNTypeRestrictionsForEquivalentItem_ExtIEs,
        CNTypeRestrictionsForServing,
        _RAT_RestrictionsList__item_,
        RAT_RestrictionsList,
        _RAT_RestrictionsItem_plmn_Identity,
        _RAT_RestrictionsItem_rat_RestrictionInformation,
        ____RAT_RestrictionsItem_iE_Extensions__item__id_tab,
        ___RAT_RestrictionsItem_iE_Extensions__item__id,
        ____RAT_RestrictionsItem_iE_Extensions__item__criticality_tab,
        ___RAT_RestrictionsItem_iE_Extensions__item__criticality,
        ____RAT_RestrictionsItem_iE_Extensions__item__extensionValue_tab,
        ___RAT_RestrictionsItem_iE_Extensions__item__extensionValue,
        __RAT_RestrictionsItem_iE_Extensions__item_,
        _RAT_RestrictionsItem_iE_Extensions,
        RAT_RestrictionsItem,
        RAT_RestrictionsItem_ExtIEs,
        RAT_RestrictionInformation,
        _ForbiddenAreaList__item_,
        ForbiddenAreaList,
        _ForbiddenAreaItem_plmn_Identity,
        __ForbiddenAreaItem_forbidden_TACs__item_,
        _ForbiddenAreaItem_forbidden_TACs,
        ____ForbiddenAreaItem_iE_Extensions__item__id_tab,
        ___ForbiddenAreaItem_iE_Extensions__item__id,
        ____ForbiddenAreaItem_iE_Extensions__item__criticality_tab,
        ___ForbiddenAreaItem_iE_Extensions__item__criticality,
        ____ForbiddenAreaItem_iE_Extensions__item__extensionValue_tab,
        ___ForbiddenAreaItem_iE_Extensions__item__extensionValue,
        __ForbiddenAreaItem_iE_Extensions__item_,
        _ForbiddenAreaItem_iE_Extensions,
        ForbiddenAreaItem,
        ForbiddenAreaItem_ExtIEs,
        _ServiceAreaList__item_,
        ServiceAreaList,
        _ServiceAreaItem_plmn_Identity,
        __ServiceAreaItem_allowed_TACs_ServiceArea__item_,
        _ServiceAreaItem_allowed_TACs_ServiceArea,
        __ServiceAreaItem_not_allowed_TACs_ServiceArea__item_,
        _ServiceAreaItem_not_allowed_TACs_ServiceArea,
        ____ServiceAreaItem_iE_Extensions__item__id_tab,
        ___ServiceAreaItem_iE_Extensions__item__id,
        ____ServiceAreaItem_iE_Extensions__item__criticality_tab,
        ___ServiceAreaItem_iE_Extensions__item__criticality,
        ____ServiceAreaItem_iE_Extensions__item__extensionValue_tab,
        ___ServiceAreaItem_iE_Extensions__item__extensionValue,
        __ServiceAreaItem_iE_Extensions__item_,
        _ServiceAreaItem_iE_Extensions,
        ServiceAreaItem,
        ServiceAreaItem_ExtIEs,
        _MR_DC_ResourceCoordinationInfo_ng_RAN_Node_ResourceCoordinationInfo,
        ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__id_tab,
        ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__id,
        ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality_tab,
        ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__criticality,
        ____MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab,
        ___MR_DC_ResourceCoordinationInfo_iE_Extension__item__extensionValue,
        __MR_DC_ResourceCoordinationInfo_iE_Extension__item_,
        _MR_DC_ResourceCoordinationInfo_iE_Extension,
        MR_DC_ResourceCoordinationInfo,
        MR_DC_ResourceCoordinationInfo_ExtIEs,
        _NG_RAN_Node_ResourceCoordinationInfo_eutra_resource_coordination_info,
        _NG_RAN_Node_ResourceCoordinationInfo_nr_resource_coordination_info,
        NG_RAN_Node_ResourceCoordinationInfo,
        _E_UTRA_ResourceCoordinationInfo_e_utra_cell,
        _E_UTRA_ResourceCoordinationInfo_ul_coordination_info,
        _E_UTRA_ResourceCoordinationInfo_dl_coordination_info,
        _E_UTRA_ResourceCoordinationInfo_nr_cell,
        _E_UTRA_ResourceCoordinationInfo_e_utra_coordination_assistance_info,
        ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id_tab,
        ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__id,
        ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality_tab,
        ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__criticality,
        ____E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab,
        ___E_UTRA_ResourceCoordinationInfo_iE_Extension__item__extensionValue,
        __E_UTRA_ResourceCoordinationInfo_iE_Extension__item_,
        _E_UTRA_ResourceCoordinationInfo_iE_Extension,
        E_UTRA_ResourceCoordinationInfo,
        E_UTRA_ResourceCoordinationInfo_ExtIEs,
        E_UTRA_CoordinationAssistanceInfo,
        _NR_ResourceCoordinationInfo_nr_cell,
        _NR_ResourceCoordinationInfo_ul_coordination_info,
        _NR_ResourceCoordinationInfo_dl_coordination_info,
        _NR_ResourceCoordinationInfo_e_utra_cell,
        _NR_ResourceCoordinationInfo_nr_coordination_assistance_info,
        ____NR_ResourceCoordinationInfo_iE_Extension__item__id_tab,
        ___NR_ResourceCoordinationInfo_iE_Extension__item__id,
        ____NR_ResourceCoordinationInfo_iE_Extension__item__criticality_tab,
        ___NR_ResourceCoordinationInfo_iE_Extension__item__criticality,
        ____NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue_tab,
        ___NR_ResourceCoordinationInfo_iE_Extension__item__extensionValue,
        __NR_ResourceCoordinationInfo_iE_Extension__item_,
        _NR_ResourceCoordinationInfo_iE_Extension,
        NR_ResourceCoordinationInfo,
        NR_ResourceCoordinationInfo_ExtIEs,
        NR_CoordinationAssistanceInfo,
        _NE_DC_TDM_Pattern_subframeAssignment,
        _NE_DC_TDM_Pattern_harqOffset,
        ____NE_DC_TDM_Pattern_iE_Extension__item__id_tab,
        ___NE_DC_TDM_Pattern_iE_Extension__item__id,
        ____NE_DC_TDM_Pattern_iE_Extension__item__criticality_tab,
        ___NE_DC_TDM_Pattern_iE_Extension__item__criticality,
        ____NE_DC_TDM_Pattern_iE_Extension__item__extensionValue_tab,
        ___NE_DC_TDM_Pattern_iE_Extension__item__extensionValue,
        __NE_DC_TDM_Pattern_iE_Extension__item_,
        _NE_DC_TDM_Pattern_iE_Extension,
        NE_DC_TDM_Pattern,
        NE_DC_TDM_Pattern_ExtIEs,
        _NeighbourInformation_E_UTRA__item_,
        NeighbourInformation_E_UTRA,
        _NeighbourInformation_E_UTRA_Item_e_utra_PCI,
        _NeighbourInformation_E_UTRA_Item_e_utra_cgi,
        _NeighbourInformation_E_UTRA_Item_earfcn,
        _NeighbourInformation_E_UTRA_Item_tac,
        _NeighbourInformation_E_UTRA_Item_ranac,
        ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__id,
        ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__criticality,
        ____NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __NeighbourInformation_E_UTRA_Item_iE_Extensions__item_,
        _NeighbourInformation_E_UTRA_Item_iE_Extensions,
        NeighbourInformation_E_UTRA_Item,
        NeighbourInformation_E_UTRA_Item_ExtIEs,
        _NeighbourInformation_NR__item_,
        NeighbourInformation_NR,
        _NeighbourInformation_NR_Item_nr_PCI,
        _NeighbourInformation_NR_Item_nr_cgi,
        _NeighbourInformation_NR_Item_tac,
        _NeighbourInformation_NR_Item_ranac,
        _NeighbourInformation_NR_Item_nr_mode_info,
        _NeighbourInformation_NR_Item_connectivitySupport,
        _NeighbourInformation_NR_Item_measurementTimingConfiguration,
        ____NeighbourInformation_NR_Item_iE_Extensions__item__id_tab,
        ___NeighbourInformation_NR_Item_iE_Extensions__item__id,
        ____NeighbourInformation_NR_Item_iE_Extensions__item__criticality_tab,
        ___NeighbourInformation_NR_Item_iE_Extensions__item__criticality,
        ____NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_NR_Item_iE_Extensions__item__extensionValue,
        __NeighbourInformation_NR_Item_iE_Extensions__item_,
        _NeighbourInformation_NR_Item_iE_Extensions,
        NeighbourInformation_NR_Item,
        NeighbourInformation_NR_Item_ExtIEs,
        _NeighbourInformation_NR_ModeInfo_fdd_info,
        _NeighbourInformation_NR_ModeInfo_tdd_info,
        ___NeighbourInformation_NR_ModeInfo_choice_extension_id_tab,
        __NeighbourInformation_NR_ModeInfo_choice_extension_id,
        ___NeighbourInformation_NR_ModeInfo_choice_extension_criticality_tab,
        __NeighbourInformation_NR_ModeInfo_choice_extension_criticality,
        ___NeighbourInformation_NR_ModeInfo_choice_extension_value_tab,
        __NeighbourInformation_NR_ModeInfo_choice_extension_value,
        _NeighbourInformation_NR_ModeInfo_choice_extension,
        NeighbourInformation_NR_ModeInfo,
        NeighbourInformation_NR_ModeInfo_ExtIEs,
        _NeighbourInformation_NR_ModeFDDInfo_ul_NR_FreqInfo,
        _NeighbourInformation_NR_ModeFDDInfo_dl_NR_FequInfo,
        ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id_tab,
        ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__id,
        ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality_tab,
        ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__criticality,
        ____NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item__extensionValue,
        __NeighbourInformation_NR_ModeFDDInfo_ie_Extensions__item_,
        _NeighbourInformation_NR_ModeFDDInfo_ie_Extensions,
        NeighbourInformation_NR_ModeFDDInfo,
        NeighbourInformation_NR_ModeFDDInfo_ExtIEs,
        _NeighbourInformation_NR_ModeTDDInfo_nr_FreqInfo,
        ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id_tab,
        ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__id,
        ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality_tab,
        ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__criticality,
        ____NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue_tab,
        ___NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item__extensionValue,
        __NeighbourInformation_NR_ModeTDDInfo_ie_Extensions__item_,
        _NeighbourInformation_NR_ModeTDDInfo_ie_Extensions,
        NeighbourInformation_NR_ModeTDDInfo,
        NeighbourInformation_NR_ModeTDDInfo_ExtIEs,
        _NG_RAN_Cell_Identity_nr,
        _NG_RAN_Cell_Identity_e_utra,
        ___NG_RAN_Cell_Identity_choice_extension_id_tab,
        __NG_RAN_Cell_Identity_choice_extension_id,
        ___NG_RAN_Cell_Identity_choice_extension_criticality_tab,
        __NG_RAN_Cell_Identity_choice_extension_criticality,
        ___NG_RAN_Cell_Identity_choice_extension_value_tab,
        __NG_RAN_Cell_Identity_choice_extension_value,
        _NG_RAN_Cell_Identity_choice_extension,
        NG_RAN_Cell_Identity,
        NG_RAN_Cell_Identity_ExtIEs,
        _NG_RAN_CellPCI_nr,
        _NG_RAN_CellPCI_e_utra,
        ___NG_RAN_CellPCI_choice_extension_id_tab,
        __NG_RAN_CellPCI_choice_extension_id,
        ___NG_RAN_CellPCI_choice_extension_criticality_tab,
        __NG_RAN_CellPCI_choice_extension_criticality,
        ___NG_RAN_CellPCI_choice_extension_value_tab,
        __NG_RAN_CellPCI_choice_extension_value,
        _NG_RAN_CellPCI_choice_extension,
        NG_RAN_CellPCI,
        NG_RAN_CellPCI_ExtIEs,
        NG_RANnodeUEXnAPID,
        _NonDynamic5QIDescriptor_fiveQI,
        _NonDynamic5QIDescriptor_priorityLevelQoS,
        _NonDynamic5QIDescriptor_averagingWindow,
        _NonDynamic5QIDescriptor_maximumDataBurstVolume,
        ____NonDynamic5QIDescriptor_iE_Extension__item__id_tab,
        ___NonDynamic5QIDescriptor_iE_Extension__item__id,
        ____NonDynamic5QIDescriptor_iE_Extension__item__criticality_tab,
        ___NonDynamic5QIDescriptor_iE_Extension__item__criticality,
        ____NonDynamic5QIDescriptor_iE_Extension__item__extensionValue_tab,
        ___NonDynamic5QIDescriptor_iE_Extension__item__extensionValue,
        __NonDynamic5QIDescriptor_iE_Extension__item_,
        _NonDynamic5QIDescriptor_iE_Extension,
        NonDynamic5QIDescriptor,
        NonDynamic5QIDescriptor_ExtIEs,
        NRARFCN,
        NR_Cell_Identity,
        _NG_RAN_Cell_Identity_ListinRANPagingArea__item_,
        NG_RAN_Cell_Identity_ListinRANPagingArea,
        _NR_CGI_plmn_id,
        _NR_CGI_nr_CI,
        ____NR_CGI_iE_Extension__item__id_tab,
        ___NR_CGI_iE_Extension__item__id,
        ____NR_CGI_iE_Extension__item__criticality_tab,
        ___NR_CGI_iE_Extension__item__criticality,
        ____NR_CGI_iE_Extension__item__extensionValue_tab,
        ___NR_CGI_iE_Extension__item__extensionValue,
        __NR_CGI_iE_Extension__item_,
        _NR_CGI_iE_Extension,
        NR_CGI,
        NR_CGI_ExtIEs,
        NRFrequencyBand,
        _NRFrequencyBand_List__item_,
        NRFrequencyBand_List,
        _NRFrequencyBandItem_nr_frequency_band,
        _NRFrequencyBandItem_supported_SUL_Band_List,
        ____NRFrequencyBandItem_iE_Extension__item__id_tab,
        ___NRFrequencyBandItem_iE_Extension__item__id,
        ____NRFrequencyBandItem_iE_Extension__item__criticality_tab,
        ___NRFrequencyBandItem_iE_Extension__item__criticality,
        ____NRFrequencyBandItem_iE_Extension__item__extensionValue_tab,
        ___NRFrequencyBandItem_iE_Extension__item__extensionValue,
        __NRFrequencyBandItem_iE_Extension__item_,
        _NRFrequencyBandItem_iE_Extension,
        NRFrequencyBandItem,
        NRFrequencyBandItem_ExtIEs,
        _NRFrequencyInfo_nrARFCN,
        _NRFrequencyInfo_sul_information,
        _NRFrequencyInfo_frequencyBand_List,
        ____NRFrequencyInfo_iE_Extension__item__id_tab,
        ___NRFrequencyInfo_iE_Extension__item__id,
        ____NRFrequencyInfo_iE_Extension__item__criticality_tab,
        ___NRFrequencyInfo_iE_Extension__item__criticality,
        ____NRFrequencyInfo_iE_Extension__item__extensionValue_tab,
        ___NRFrequencyInfo_iE_Extension__item__extensionValue,
        __NRFrequencyInfo_iE_Extension__item_,
        _NRFrequencyInfo_iE_Extension,
        NRFrequencyInfo,
        NRFrequencyInfo_ExtIEs,
        _NRModeInfo_fdd,
        _NRModeInfo_tdd,
        ___NRModeInfo_choice_extension_id_tab,
        __NRModeInfo_choice_extension_id,
        ___NRModeInfo_choice_extension_criticality_tab,
        __NRModeInfo_choice_extension_criticality,
        ___NRModeInfo_choice_extension_value_tab,
        __NRModeInfo_choice_extension_value,
        _NRModeInfo_choice_extension,
        NRModeInfo,
        NRModeInfo_ExtIEs,
        _NRModeInfoFDD_ulNRFrequencyInfo,
        _NRModeInfoFDD_dlNRFrequencyInfo,
        _NRModeInfoFDD_ulNRTransmissonBandwidth,
        _NRModeInfoFDD_dlNRTransmissonBandwidth,
        ____NRModeInfoFDD_iE_Extension__item__id_tab,
        ___NRModeInfoFDD_iE_Extension__item__id,
        ____NRModeInfoFDD_iE_Extension__item__criticality_tab,
        ___NRModeInfoFDD_iE_Extension__item__criticality,
        ____NRModeInfoFDD_iE_Extension__item__extensionValue_tab,
        ___NRModeInfoFDD_iE_Extension__item__extensionValue,
        __NRModeInfoFDD_iE_Extension__item_,
        _NRModeInfoFDD_iE_Extension,
        NRModeInfoFDD,
        NRModeInfoFDD_ExtIEs,
        _NRModeInfoTDD_nrFrequencyInfo,
        _NRModeInfoTDD_nrTransmissonBandwidth,
        ____NRModeInfoTDD_iE_Extension__item__id_tab,
        ___NRModeInfoTDD_iE_Extension__item__id,
        ____NRModeInfoTDD_iE_Extension__item__criticality_tab,
        ___NRModeInfoTDD_iE_Extension__item__criticality,
        ____NRModeInfoTDD_iE_Extension__item__extensionValue_tab,
        ___NRModeInfoTDD_iE_Extension__item__extensionValue,
        __NRModeInfoTDD_iE_Extension__item_,
        _NRModeInfoTDD_iE_Extension,
        NRModeInfoTDD,
        NRModeInfoTDD_ExtIEs,
        NRNRB,
        NRPCI,
        NRSCS,
        _NRTransmissionBandwidth_nRSCS,
        _NRTransmissionBandwidth_nRNRB,
        ____NRTransmissionBandwidth_iE_Extensions__item__id_tab,
        ___NRTransmissionBandwidth_iE_Extensions__item__id,
        ____NRTransmissionBandwidth_iE_Extensions__item__criticality_tab,
        ___NRTransmissionBandwidth_iE_Extensions__item__criticality,
        ____NRTransmissionBandwidth_iE_Extensions__item__extensionValue_tab,
        ___NRTransmissionBandwidth_iE_Extensions__item__extensionValue,
        __NRTransmissionBandwidth_iE_Extensions__item_,
        _NRTransmissionBandwidth_iE_Extensions,
        NRTransmissionBandwidth,
        NRTransmissionBandwidth_ExtIEs,
        NumberOfAntennaPorts_E_UTRA,
        PacketDelayBudget,
        _PacketErrorRate_pER_Scalar,
        _PacketErrorRate_pER_Exponent,
        ____PacketErrorRate_iE_Extensions__item__id_tab,
        ___PacketErrorRate_iE_Extensions__item__id,
        ____PacketErrorRate_iE_Extensions__item__criticality_tab,
        ___PacketErrorRate_iE_Extensions__item__criticality,
        ____PacketErrorRate_iE_Extensions__item__extensionValue_tab,
        ___PacketErrorRate_iE_Extensions__item__extensionValue,
        __PacketErrorRate_iE_Extensions__item_,
        _PacketErrorRate_iE_Extensions,
        PacketErrorRate,
        PacketErrorRate_ExtIEs,
        PER_Scalar,
        PER_Exponent,
        PacketLossRate,
        PagingDRX,
        PagingPriority,
        _PDCPChangeIndication_from_S_NG_RAN_node,
        _PDCPChangeIndication_from_M_NG_RAN_node,
        ___PDCPChangeIndication_choice_extension_id_tab,
        __PDCPChangeIndication_choice_extension_id,
        ___PDCPChangeIndication_choice_extension_criticality_tab,
        __PDCPChangeIndication_choice_extension_criticality,
        ___PDCPChangeIndication_choice_extension_value_tab,
        __PDCPChangeIndication_choice_extension_value,
        _PDCPChangeIndication_choice_extension,
        PDCPChangeIndication,
        PDCPChangeIndication_ExtIEs,
        PDCPDuplicationConfiguration,
        _PDCPSNLength_ulPDCPSNLength,
        _PDCPSNLength_dlPDCPSNLength,
        ____PDCPSNLength_iE_Extension__item__id_tab,
        ___PDCPSNLength_iE_Extension__item__id,
        ____PDCPSNLength_iE_Extension__item__criticality_tab,
        ___PDCPSNLength_iE_Extension__item__criticality,
        ____PDCPSNLength_iE_Extension__item__extensionValue_tab,
        ___PDCPSNLength_iE_Extension__item__extensionValue,
        __PDCPSNLength_iE_Extension__item_,
        _PDCPSNLength_iE_Extension,
        PDCPSNLength,
        PDCPSNLength_ExtIEs,
        _PDUSessionAggregateMaximumBitRate_downlink_session_AMBR,
        _PDUSessionAggregateMaximumBitRate_uplink_session_AMBR,
        ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id_tab,
        ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__id,
        ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality_tab,
        ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__criticality,
        ____PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionAggregateMaximumBitRate_iE_Extensions__item__extensionValue,
        __PDUSessionAggregateMaximumBitRate_iE_Extensions__item_,
        _PDUSessionAggregateMaximumBitRate_iE_Extensions,
        PDUSessionAggregateMaximumBitRate,
        PDUSessionAggregateMaximumBitRate_ExtIEs,
        _PDUSession_List__item_,
        PDUSession_List,
        _PDUSession_List_withCause__item_,
        PDUSession_List_withCause,
        _PDUSession_List_withCause_Item_pduSessionId,
        _PDUSession_List_withCause_Item_cause,
        ____PDUSession_List_withCause_Item_iE_Extension__item__id_tab,
        ___PDUSession_List_withCause_Item_iE_Extension__item__id,
        ____PDUSession_List_withCause_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_List_withCause_Item_iE_Extension__item__criticality,
        ____PDUSession_List_withCause_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_List_withCause_Item_iE_Extension__item__extensionValue,
        __PDUSession_List_withCause_Item_iE_Extension__item_,
        _PDUSession_List_withCause_Item_iE_Extension,
        PDUSession_List_withCause_Item,
        PDUSession_List_withCause_Item_ExtIEs,
        _PDUSession_List_withDataForwardingFromTarget__item_,
        PDUSession_List_withDataForwardingFromTarget,
        _PDUSession_List_withDataForwardingFromTarget_Item_pduSessionId,
        _PDUSession_List_withDataForwardingFromTarget_Item_dataforwardinginfoTarget,
        ____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab,
        _____PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__id,
        ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__criticality,
        ___PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item__extensionValue,
        __PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension__item_,
        _PDUSession_List_withDataForwardingFromTarget_Item_iE_Extension,
        PDUSession_List_withDataForwardingFromTarget_Item,
        PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs,
        _PDUSession_List_withDataForwardingFromTarget_Item_ExtIEs_val_Extension_0,
        _PDUSession_List_withDataForwardingRequest__item_,
        PDUSession_List_withDataForwardingRequest,
        _PDUSession_List_withDataForwardingRequest_Item_pduSessionId,
        _PDUSession_List_withDataForwardingRequest_Item_dataforwardingInfofromSource,
        _PDUSession_List_withDataForwardingRequest_Item_dRBtoBeReleasedList,
        ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id_tab,
        ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__id,
        ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__criticality,
        ____PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item__extensionValue,
        __PDUSession_List_withDataForwardingRequest_Item_iE_Extension__item_,
        _PDUSession_List_withDataForwardingRequest_Item_iE_Extension,
        PDUSession_List_withDataForwardingRequest_Item,
        PDUSession_List_withDataForwardingRequest_Item_ExtIEs,
        _PDUSessionResourcesAdmitted_List__item_,
        PDUSessionResourcesAdmitted_List,
        _PDUSessionResourcesAdmitted_Item_pduSessionId,
        _PDUSessionResourcesAdmitted_Item_pduSessionResourceAdmittedInfo,
        ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id_tab,
        ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__id,
        ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__criticality,
        ____PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourcesAdmitted_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesAdmitted_Item_iE_Extensions__item_,
        _PDUSessionResourcesAdmitted_Item_iE_Extensions,
        PDUSessionResourcesAdmitted_Item,
        PDUSessionResourcesAdmitted_Item_ExtIEs,
        _PDUSessionResourceAdmittedInfo_dL_NG_U_TNL_Information_Unchanged,
        _PDUSessionResourceAdmittedInfo_qosFlowsAdmitted_List,
        _PDUSessionResourceAdmittedInfo_qosFlowsNotAdmitted_List,
        _PDUSessionResourceAdmittedInfo_dataForwardingInfoFromTarget,
        ____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab,
        _____PDUSessionResourceAdmittedInfo_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__id,
        ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__criticality,
        ___PDUSessionResourceAdmittedInfo_iE_Extensions__item__extensionValue,
        __PDUSessionResourceAdmittedInfo_iE_Extensions__item_,
        _PDUSessionResourceAdmittedInfo_iE_Extensions,
        PDUSessionResourceAdmittedInfo,
        PDUSessionResourceAdmittedInfo_ExtIEs,
        _PDUSessionResourceAdmittedInfo_ExtIEs_val_Extension_0,
        _PDUSessionResourcesNotAdmitted_List__item_,
        PDUSessionResourcesNotAdmitted_List,
        _PDUSessionResourcesNotAdmitted_Item_pduSessionId,
        _PDUSessionResourcesNotAdmitted_Item_cause,
        ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id_tab,
        ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__id,
        ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__criticality,
        ____PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionResourcesNotAdmitted_Item_iE_Extension__item__extensionValue,
        __PDUSessionResourcesNotAdmitted_Item_iE_Extension__item_,
        _PDUSessionResourcesNotAdmitted_Item_iE_Extension,
        PDUSessionResourcesNotAdmitted_Item,
        PDUSessionResourcesNotAdmitted_Item_Item_ExtIEs,
        _PDUSessionResourcesToBeSetup_List__item_,
        PDUSessionResourcesToBeSetup_List,
        _PDUSessionResourcesToBeSetup_Item_pduSessionId,
        _PDUSessionResourcesToBeSetup_Item_s_NSSAI,
        _PDUSessionResourcesToBeSetup_Item_pduSessionAMBR,
        _PDUSessionResourcesToBeSetup_Item_uL_NG_U_TNLatUPF,
        _PDUSessionResourcesToBeSetup_Item_source_DL_NG_U_TNL_Information,
        _PDUSessionResourcesToBeSetup_Item_securityIndication,
        _PDUSessionResourcesToBeSetup_Item_pduSessionType,
        _PDUSessionResourcesToBeSetup_Item_pduSessionNetworkInstance,
        _PDUSessionResourcesToBeSetup_Item_qosFlowsToBeSetup_List,
        _PDUSessionResourcesToBeSetup_Item_dataforwardinginfofromSource,
        ____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id_tab_val_Extension_1,
        ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__id,
        ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__criticality,
        ___PDUSessionResourcesToBeSetup_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesToBeSetup_Item_iE_Extensions__item_,
        _PDUSessionResourcesToBeSetup_Item_iE_Extensions,
        PDUSessionResourcesToBeSetup_Item,
        PDUSessionResourcesToBeSetup_Item_ExtIEs,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourcesToBeSetup_Item_ExtIEs_val_Extension_1,
        _PDUSessionResourceSetupInfo_SNterminated_uL_NG_U_TNLatUPF,
        _PDUSessionResourceSetupInfo_SNterminated_pduSessionType,
        _PDUSessionResourceSetupInfo_SNterminated_pduSessionNetworkInstance,
        _PDUSessionResourceSetupInfo_SNterminated_qosFlowsToBeSetup_List,
        _PDUSessionResourceSetupInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceSetupInfo_SNterminated_securityIndication,
        ____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_2,
        _____PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_3,
        ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupInfo_SNterminated_iE_Extensions,
        PDUSessionResourceSetupInfo_SNterminated,
        PDUSessionResourceSetupInfo_SNterminated_ExtIEs,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_0,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_1,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_2,
        _PDUSessionResourceSetupInfo_SNterminated_ExtIEs_val_Extension_3,
        _QoSFlowsToBeSetup_List_Setup_SNterminated__item_,
        QoSFlowsToBeSetup_List_Setup_SNterminated,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qfi,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_qosFlowLevelQoSParameters,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_offeredGBRQoSFlowInfo,
        ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsToBeSetup_List_Setup_SNterminated_Item_iE_Extensions,
        QoSFlowsToBeSetup_List_Setup_SNterminated_Item,
        QoSFlowsToBeSetup_List_Setup_SNterminated_Item_ExtIEs,
        _PDUSessionResourceSetupResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN,
        _PDUSessionResourceSetupResponseInfo_SNterminated_dRBsToBeSetup,
        _PDUSessionResourceSetupResponseInfo_SNterminated_dataforwardinginfoTarget,
        _PDUSessionResourceSetupResponseInfo_SNterminated_qosFlowsNotAdmittedList,
        _PDUSessionResourceSetupResponseInfo_SNterminated_securityResult,
        ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupResponseInfo_SNterminated_iE_Extensions,
        PDUSessionResourceSetupResponseInfo_SNterminated,
        PDUSessionResourceSetupResponseInfo_SNterminated_ExtIEs,
        _DRBsToBeSetupList_SetupResponse_SNterminated__item_,
        DRBsToBeSetupList_SetupResponse_SNterminated,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_drb_ID,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_dRB_QoS,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_pDCP_SNLength,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_rLC_Mode,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_uL_Configuration,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_duplicationActivation,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated,
        ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetupList_SetupResponse_SNterminated_Item_iE_Extensions,
        DRBsToBeSetupList_SetupResponse_SNterminated_Item,
        DRBsToBeSetupList_SetupResponse_SNterminated_Item_ExtIEs,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated__item_,
        QoSFlowsMappedtoDRB_SetupResponse_SNterminated,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_mCGRequestedGBRQoSFlowInfo,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_qosFlowMappingIndication,
        ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_iE_Extensions,
        QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item,
        QoSFlowsMappedtoDRB_SetupResponse_SNterminated_Item_ExtIEs,
        _PDUSessionResourceSetupInfo_MNterminated_pduSessionType,
        _PDUSessionResourceSetupInfo_MNterminated_dRBsToBeSetup,
        ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupInfo_MNterminated_iE_Extensions,
        PDUSessionResourceSetupInfo_MNterminated,
        PDUSessionResourceSetupInfo_MNterminated_ExtIEs,
        _DRBsToBeSetupList_Setup_MNterminated__item_,
        DRBsToBeSetupList_Setup_MNterminated,
        _DRBsToBeSetupList_Setup_MNterminated_Item_drb_ID,
        _DRBsToBeSetupList_Setup_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_Setup_MNterminated_Item_rLC_Mode,
        _DRBsToBeSetupList_Setup_MNterminated_Item_uL_Configuration,
        _DRBsToBeSetupList_Setup_MNterminated_Item_dRB_QoS,
        _DRBsToBeSetupList_Setup_MNterminated_Item_pDCP_SNLength,
        _DRBsToBeSetupList_Setup_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetupList_Setup_MNterminated_Item_duplicationActivation,
        _DRBsToBeSetupList_Setup_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated,
        ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetupList_Setup_MNterminated_Item_iE_Extensions,
        DRBsToBeSetupList_Setup_MNterminated_Item,
        DRBsToBeSetupList_Setup_MNterminated_Item_ExtIEs,
        _QoSFlowsMappedtoDRB_Setup_MNterminated__item_,
        QoSFlowsMappedtoDRB_Setup_MNterminated,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qoSFlowLevelQoSParameters,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_qosFlowMappingIndication,
        ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions__item_,
        _QoSFlowsMappedtoDRB_Setup_MNterminated_Item_iE_Extensions,
        QoSFlowsMappedtoDRB_Setup_MNterminated_Item,
        QoSFlowsMappedtoDRB_Setup_MNterminated_Item_ExtIEs,
        _PDUSessionResourceSetupResponseInfo_MNterminated_dRBsAdmittedList,
        ____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceSetupResponseInfo_MNterminated_iE_Extensions,
        PDUSessionResourceSetupResponseInfo_MNterminated,
        PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs,
        _PDUSessionResourceSetupResponseInfo_MNterminated_ExtIEs_val_Extension_0,
        _DRBsAdmittedList_SetupResponse_MNterminated__item_,
        DRBsAdmittedList_SetupResponse_MNterminated,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_drb_ID,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_lCID,
        ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__id,
        ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions__item_,
        _DRBsAdmittedList_SetupResponse_MNterminated_Item_iE_Extensions,
        DRBsAdmittedList_SetupResponse_MNterminated_Item,
        DRBsAdmittedList_SetupResponse_MNterminated_Item_ExtIEs,
        _PDUSessionResourceModificationInfo_SNterminated_uL_NG_U_TNLatUPF,
        _PDUSessionResourceModificationInfo_SNterminated_pduSessionNetworkInstance,
        _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeSetup_List,
        _PDUSessionResourceModificationInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceModificationInfo_SNterminated_qosFlowsToBeModified_List,
        _PDUSessionResourceModificationInfo_SNterminated_qoSFlowsToBeReleased_List,
        _PDUSessionResourceModificationInfo_SNterminated_drbsToBeModifiedList,
        _PDUSessionResourceModificationInfo_SNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        _____PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_1,
        ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModificationInfo_SNterminated,
        PDUSessionResourceModificationInfo_SNterminated_ExtIEs,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_0,
        _PDUSessionResourceModificationInfo_SNterminated_ExtIEs_val_Extension_1,
        _QoSFlowsToBeSetup_List_Modified_SNterminated__item_,
        QoSFlowsToBeSetup_List_Modified_SNterminated,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qfi,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowLevelQoSParameters,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_offeredGBRQoSFlowInfo,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_qosFlowMappingIndication,
        ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsToBeSetup_List_Modified_SNterminated_Item_iE_Extensions,
        QoSFlowsToBeSetup_List_Modified_SNterminated_Item,
        QoSFlowsToBeSetup_List_Modified_SNterminated_Item_ExtIEs,
        _DRBsToBeModified_List_Modified_SNterminated__item_,
        DRBsToBeModified_List_Modified_SNterminated,
        _DRBsToBeModified_List_Modified_SNterminated_Item_drb_ID,
        _DRBsToBeModified_List_Modified_SNterminated_Item_mN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_Modified_SNterminated_Item_secondary_MN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_Modified_SNterminated_Item_lCID,
        _DRBsToBeModified_List_Modified_SNterminated_Item_rlc_status,
        ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModified_List_Modified_SNterminated_Item_iE_Extensions,
        DRBsToBeModified_List_Modified_SNterminated_Item,
        DRBsToBeModified_List_Modified_SNterminated_Item_ExtIEs,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dL_NG_U_TNLatNG_RAN,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeSetup,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfoTarget,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeModified,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dRBsToBeReleased,
        _PDUSessionResourceModificationResponseInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsNotAdmittedTBAdded,
        _PDUSessionResourceModificationResponseInfo_SNterminated_qosFlowsReleased,
        ____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationResponseInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModificationResponseInfo_SNterminated,
        PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs,
        _PDUSessionResourceModificationResponseInfo_SNterminated_ExtIEs_val_Extension_0,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated__item_,
        DRBsToBeModifiedList_ModificationResponse_SNterminated,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_drb_ID,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_dRB_QoS,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_qoSFlowsMappedtoDRB_SetupResponse_SNterminated,
        ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_iE_Extensions,
        DRBsToBeModifiedList_ModificationResponse_SNterminated_Item,
        DRBsToBeModifiedList_ModificationResponse_SNterminated_Item_ExtIEs,
        _PDUSessionResourceModificationInfo_MNterminated_pduSessionType,
        _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeSetup,
        _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeModified,
        _PDUSessionResourceModificationInfo_MNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModificationInfo_MNterminated,
        PDUSessionResourceModificationInfo_MNterminated_ExtIEs,
        _DRBsToBeModifiedList_Modification_MNterminated__item_,
        DRBsToBeModifiedList_Modification_MNterminated,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_drb_ID,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_mN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_dRB_QoS,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_secondary_MN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_uL_Configuration,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_pdcpDuplicationConfiguration,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_duplicationActivation,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_qoSFlowsMappedtoDRB_Setup_MNterminated,
        ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModifiedList_Modification_MNterminated_Item_iE_Extensions,
        DRBsToBeModifiedList_Modification_MNterminated_Item,
        DRBsToBeModifiedList_Modification_MNterminated_Item_ExtIEs,
        _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsAdmittedList,
        _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsReleasedList,
        _PDUSessionResourceModificationResponseInfo_MNterminated_dRBsNotAdmittedSetupModifyList,
        ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModificationResponseInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModificationResponseInfo_MNterminated,
        PDUSessionResourceModificationResponseInfo_MNterminated_ExtIEs,
        _DRBsAdmittedList_ModificationResponse_MNterminated__item_,
        DRBsAdmittedList_ModificationResponse_MNterminated,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_drb_ID,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_sN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_lCID,
        ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__id,
        ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions__item_,
        _DRBsAdmittedList_ModificationResponse_MNterminated_Item_iE_Extensions,
        DRBsAdmittedList_ModificationResponse_MNterminated_Item,
        DRBsAdmittedList_ModificationResponse_MNterminated_Item_ExtIEs,
        _PDUSessionResourceChangeRequiredInfo_SNterminated_dataforwardinginfofromSource,
        ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeRequiredInfo_SNterminated_iE_Extensions,
        PDUSessionResourceChangeRequiredInfo_SNterminated,
        PDUSessionResourceChangeRequiredInfo_SNterminated_ExtIEs,
        _PDUSessionResourceChangeConfirmInfo_SNterminated_dataforwardinginfoTarget,
        ____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeConfirmInfo_SNterminated_iE_Extensions,
        PDUSessionResourceChangeConfirmInfo_SNterminated,
        PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs,
        _PDUSessionResourceChangeConfirmInfo_SNterminated_ExtIEs_val_Extension_0,
        ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeRequiredInfo_MNterminated_iE_Extensions,
        PDUSessionResourceChangeRequiredInfo_MNterminated,
        PDUSessionResourceChangeRequiredInfo_MNterminated_ExtIEs,
        ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceChangeConfirmInfo_MNterminated_iE_Extensions,
        PDUSessionResourceChangeConfirmInfo_MNterminated,
        PDUSessionResourceChangeConfirmInfo_MNterminated_ExtIEs,
        _PDUSessionResourceModRqdInfo_SNterminated_dL_NG_U_TNLatNG_RAN,
        _PDUSessionResourceModRqdInfo_SNterminated_qoSFlowsToBeReleased_List,
        _PDUSessionResourceModRqdInfo_SNterminated_dataforwardinginfofromSource,
        _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeSetupList,
        _PDUSessionResourceModRqdInfo_SNterminated_drbsToBeModifiedList,
        _PDUSessionResourceModRqdInfo_SNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModRqdInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModRqdInfo_SNterminated,
        PDUSessionResourceModRqdInfo_SNterminated_ExtIEs,
        _DRBsToBeSetup_List_ModRqd_SNterminated__item_,
        DRBsToBeSetup_List_ModRqd_SNterminated,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_drb_ID,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_pDCP_SNLength,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_sn_UL_PDCP_UPTNLinfo,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_dRB_QoS,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_duplicationActivation,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_uL_Configuration,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_rLC_Mode,
        ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetup_List_ModRqd_SNterminated_Item_iE_Extensions,
        DRBsToBeSetup_List_ModRqd_SNterminated_Item,
        DRBsToBeSetup_List_ModRqd_SNterminated_Item_ExtIEs,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated__item_,
        QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo,
        ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions,
        QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item,
        QoSFlowsSetupMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs,
        _DRBsToBeModified_List_ModRqd_SNterminated__item_,
        DRBsToBeModified_List_ModRqd_SNterminated,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_drb_ID,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_sN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_dRB_QoS,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_secondary_SN_UL_PDCP_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_uL_Configuration,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_pdcpDuplicationConfiguration,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_duplicationActivation,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_qoSFlowsMappedtoDRB_ModRqd_SNterminated,
        ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModified_List_ModRqd_SNterminated_Item_iE_Extensions,
        DRBsToBeModified_List_ModRqd_SNterminated_Item,
        DRBsToBeModified_List_ModRqd_SNterminated_Item_ExtIEs,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated__item_,
        QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_qoSFlowIdentifier,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_mCGRequestedGBRQoSFlowInfo,
        ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__id,
        ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__criticality,
        ____QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions__item_,
        _QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_iE_Extensions,
        QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item,
        QoSFlowsModifiedMappedtoDRB_ModRqd_SNterminated_Item_ExtIEs,
        _PDUSessionResourceModConfirmInfo_SNterminated_uL_NG_U_TNLatUPF,
        _PDUSessionResourceModConfirmInfo_SNterminated_dRBsAdmittedList,
        _PDUSessionResourceModConfirmInfo_SNterminated_dRBsNotAdmittedSetupModifyList,
        _PDUSessionResourceModConfirmInfo_SNterminated_dataforwardinginfoTarget,
        ____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab,
        _____PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id_tab_val_Extension_0,
        ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__id,
        ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__criticality,
        ___PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceModConfirmInfo_SNterminated_iE_Extensions,
        PDUSessionResourceModConfirmInfo_SNterminated,
        PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs,
        _PDUSessionResourceModConfirmInfo_SNterminated_ExtIEs_val_Extension_0,
        _DRBsAdmittedList_ModConfirm_SNterminated__item_,
        DRBsAdmittedList_ModConfirm_SNterminated,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_drb_ID,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_mN_DL_CG_UP_TNLInfo,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_secondary_MN_DL_CG_UP_TNLInfo,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_lCID,
        ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__id,
        ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions__item_,
        _DRBsAdmittedList_ModConfirm_SNterminated_Item_iE_Extensions,
        DRBsAdmittedList_ModConfirm_SNterminated_Item,
        DRBsAdmittedList_ModConfirm_SNterminated_Item_ExtIEs,
        _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeModified,
        _PDUSessionResourceModRqdInfo_MNterminated_dRBsToBeReleased,
        ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModRqdInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModRqdInfo_MNterminated,
        PDUSessionResourceModRqdInfo_MNterminated_ExtIEs,
        _DRBsToBeModified_List_ModRqd_MNterminated__item_,
        DRBsToBeModified_List_ModRqd_MNterminated,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_drb_ID,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_sN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_secondary_SN_DL_SCG_UP_TNLInfo,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_lCID,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_rlc_status,
        ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id_tab,
        ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__id,
        ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality_tab,
        ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__criticality,
        ____DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue_tab,
        ___DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions__item_,
        _DRBsToBeModified_List_ModRqd_MNterminated_Item_iE_Extensions,
        DRBsToBeModified_List_ModRqd_MNterminated_Item,
        DRBsToBeModified_List_ModRqd_MNterminated_Item_ExtIEs,
        ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions__item_,
        _PDUSessionResourceModConfirmInfo_MNterminated_iE_Extensions,
        PDUSessionResourceModConfirmInfo_MNterminated,
        PDUSessionResourceModConfirmInfo_MNterminated_ExtIEs,
        __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList__item_,
        _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_dRBsToBeSetupList,
        ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id_tab,
        ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__id,
        ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__criticality,
        ____PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item__extensionValue,
        __PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions__item_,
        _PDUSessionResourceBearerSetupCompleteInfo_SNterminated_iE_Extensions,
        PDUSessionResourceBearerSetupCompleteInfo_SNterminated,
        PDUSessionResourceBearerSetupCompleteInfo_SNterminated_ExtIEs,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_dRB_ID,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_mN_Xn_U_TNLInfoatM,
        ____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab,
        _____DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id_tab_val_Extension_0,
        ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__id,
        ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__criticality,
        ___DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item__extensionValue,
        __DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions__item_,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_iE_Extensions,
        DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item,
        DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs,
        _DRBsToBeSetupList_BearerSetupComplete_SNterminated_Item_ExtIEs_val_Extension_0,
        _PDUSessionResourceSecondaryRATUsageList__item_,
        PDUSessionResourceSecondaryRATUsageList,
        _PDUSessionResourceSecondaryRATUsageItem_pDUSessionID,
        _PDUSessionResourceSecondaryRATUsageItem_secondaryRATUsageInformation,
        ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id_tab,
        ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__id,
        ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__criticality,
        ____PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item__extensionValue,
        __PDUSessionResourceSecondaryRATUsageItem_iE_Extensions__item_,
        _PDUSessionResourceSecondaryRATUsageItem_iE_Extensions,
        PDUSessionResourceSecondaryRATUsageItem,
        PDUSessionResourceSecondaryRATUsageItem_ExtIEs,
        _PDUSessionUsageReport_rATType,
        _PDUSessionUsageReport_pDUSessionTimedReportList,
        ____PDUSessionUsageReport_iE_Extensions__item__id_tab,
        ___PDUSessionUsageReport_iE_Extensions__item__id,
        ____PDUSessionUsageReport_iE_Extensions__item__criticality_tab,
        ___PDUSessionUsageReport_iE_Extensions__item__criticality,
        ____PDUSessionUsageReport_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionUsageReport_iE_Extensions__item__extensionValue,
        __PDUSessionUsageReport_iE_Extensions__item_,
        _PDUSessionUsageReport_iE_Extensions,
        PDUSessionUsageReport,
        PDUSessionUsageReport_ExtIEs,
        PDUSessionType,
        PDUSession_ID,
        PDUSessionNetworkInstance,
        PDUSessionCommonNetworkInstance,
        PLMN_Identity,
        PortNumber,
        PriorityLevelQoS,
        _ProtectedE_UTRAResourceIndication_activationSFN,
        _ProtectedE_UTRAResourceIndication_protectedResourceList,
        _ProtectedE_UTRAResourceIndication_mbsfnControlRegionLength,
        _ProtectedE_UTRAResourceIndication_pDCCHRegionLength,
        ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__id_tab,
        ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__id,
        ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality_tab,
        ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__criticality,
        ____ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue_tab,
        ___ProtectedE_UTRAResourceIndication_iE_Extensions__item__extensionValue,
        __ProtectedE_UTRAResourceIndication_iE_Extensions__item_,
        _ProtectedE_UTRAResourceIndication_iE_Extensions,
        ProtectedE_UTRAResourceIndication,
        ProtectedE_UTRAResourceIndication_ExtIEs,
        _ProtectedE_UTRAResourceList__item_,
        ProtectedE_UTRAResourceList,
        _ProtectedE_UTRAResource_Item_resourceType,
        _ProtectedE_UTRAResource_Item_intra_PRBProtectedResourceFootprint,
        _ProtectedE_UTRAResource_Item_protectedFootprintFrequencyPattern,
        _ProtectedE_UTRAResource_Item_protectedFootprintTimePattern,
        ____ProtectedE_UTRAResource_Item_iE_Extensions__item__id_tab,
        ___ProtectedE_UTRAResource_Item_iE_Extensions__item__id,
        ____ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality_tab,
        ___ProtectedE_UTRAResource_Item_iE_Extensions__item__criticality,
        ____ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue_tab,
        ___ProtectedE_UTRAResource_Item_iE_Extensions__item__extensionValue,
        __ProtectedE_UTRAResource_Item_iE_Extensions__item_,
        _ProtectedE_UTRAResource_Item_iE_Extensions,
        ProtectedE_UTRAResource_Item,
        ProtectedE_UTRAResource_Item_ExtIEs,
        _ProtectedE_UTRAFootprintTimePattern_protectedFootprintTimeperiodicity,
        _ProtectedE_UTRAFootprintTimePattern_protectedFootrpintStartTime,
        ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id_tab,
        ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__id,
        ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality_tab,
        ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__criticality,
        ____ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue_tab,
        ___ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item__extensionValue,
        __ProtectedE_UTRAFootprintTimePattern_iE_Extensions__item_,
        _ProtectedE_UTRAFootprintTimePattern_iE_Extensions,
        ProtectedE_UTRAFootprintTimePattern,
        ProtectedE_UTRAFootprintTimePattern_ExtIEs,
        _QoSCharacteristics_non_dynamic,
        _QoSCharacteristics_dynamic,
        ___QoSCharacteristics_choice_extension_id_tab,
        __QoSCharacteristics_choice_extension_id,
        ___QoSCharacteristics_choice_extension_criticality_tab,
        __QoSCharacteristics_choice_extension_criticality,
        ___QoSCharacteristics_choice_extension_value_tab,
        __QoSCharacteristics_choice_extension_value,
        _QoSCharacteristics_choice_extension,
        QoSCharacteristics,
        QoSCharacteristics_ExtIEs,
        QoSFlowIdentifier,
        _QoSFlowLevelQoSParameters_qos_characteristics,
        _QoSFlowLevelQoSParameters_allocationAndRetentionPrio,
        _QoSFlowLevelQoSParameters_gBRQoSFlowInfo,
        _QoSFlowLevelQoSParameters_relectiveQoS,
        _QoSFlowLevelQoSParameters_additionalQoSflowInfo,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__id_tab,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__id,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__criticality_tab,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__criticality,
        ____QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowLevelQoSParameters_iE_Extensions__item__extensionValue,
        __QoSFlowLevelQoSParameters_iE_Extensions__item_,
        _QoSFlowLevelQoSParameters_iE_Extensions,
        QoSFlowLevelQoSParameters,
        QoSFlowLevelQoSParameters_ExtIEs,
        QoSFlowMappingIndication,
        _QoSFlowNotificationControlIndicationInfo__item_,
        QoSFlowNotificationControlIndicationInfo,
        _QoSFlowNotify_Item_qosFlowIdentifier,
        _QoSFlowNotify_Item_notificationInformation,
        ____QoSFlowNotify_Item_iE_Extensions__item__id_tab,
        ___QoSFlowNotify_Item_iE_Extensions__item__id,
        ____QoSFlowNotify_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowNotify_Item_iE_Extensions__item__criticality,
        ____QoSFlowNotify_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowNotify_Item_iE_Extensions__item__extensionValue,
        __QoSFlowNotify_Item_iE_Extensions__item_,
        _QoSFlowNotify_Item_iE_Extensions,
        QoSFlowNotify_Item,
        QoSFlowNotificationControlIndicationInfo_ExtIEs,
        _QoSFlows_List__item_,
        QoSFlows_List,
        _QoSFlow_Item_qfi,
        _QoSFlow_Item_qosFlowMappingIndication,
        ____QoSFlow_Item_iE_Extension__item__id_tab,
        ___QoSFlow_Item_iE_Extension__item__id,
        ____QoSFlow_Item_iE_Extension__item__criticality_tab,
        ___QoSFlow_Item_iE_Extension__item__criticality,
        ____QoSFlow_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlow_Item_iE_Extension__item__extensionValue,
        __QoSFlow_Item_iE_Extension__item_,
        _QoSFlow_Item_iE_Extension,
        QoSFlow_Item,
        QoSFlow_Item_ExtIEs,
        _QoSFlows_List_withCause__item_,
        QoSFlows_List_withCause,
        _QoSFlowwithCause_Item_qfi,
        _QoSFlowwithCause_Item_cause,
        ____QoSFlowwithCause_Item_iE_Extension__item__id_tab,
        ___QoSFlowwithCause_Item_iE_Extension__item__id,
        ____QoSFlowwithCause_Item_iE_Extension__item__criticality_tab,
        ___QoSFlowwithCause_Item_iE_Extension__item__criticality,
        ____QoSFlowwithCause_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlowwithCause_Item_iE_Extension__item__extensionValue,
        __QoSFlowwithCause_Item_iE_Extension__item_,
        _QoSFlowwithCause_Item_iE_Extension,
        QoSFlowwithCause_Item,
        QoSFlowwithCause_Item_ExtIEs,
        _QoSFlowsAdmitted_List__item_,
        QoSFlowsAdmitted_List,
        _QoSFlowsAdmitted_Item_qfi,
        ____QoSFlowsAdmitted_Item_iE_Extension__item__id_tab,
        ___QoSFlowsAdmitted_Item_iE_Extension__item__id,
        ____QoSFlowsAdmitted_Item_iE_Extension__item__criticality_tab,
        ___QoSFlowsAdmitted_Item_iE_Extension__item__criticality,
        ____QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlowsAdmitted_Item_iE_Extension__item__extensionValue,
        __QoSFlowsAdmitted_Item_iE_Extension__item_,
        _QoSFlowsAdmitted_Item_iE_Extension,
        QoSFlowsAdmitted_Item,
        QoSFlowsAdmitted_Item_ExtIEs,
        _QoSFlowsToBeSetup_List__item_,
        QoSFlowsToBeSetup_List,
        _QoSFlowsToBeSetup_Item_qfi,
        _QoSFlowsToBeSetup_Item_qosFlowLevelQoSParameters,
        _QoSFlowsToBeSetup_Item_e_RAB_ID,
        ____QoSFlowsToBeSetup_Item_iE_Extension__item__id_tab,
        ___QoSFlowsToBeSetup_Item_iE_Extension__item__id,
        ____QoSFlowsToBeSetup_Item_iE_Extension__item__criticality_tab,
        ___QoSFlowsToBeSetup_Item_iE_Extension__item__criticality,
        ____QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue_tab,
        ___QoSFlowsToBeSetup_Item_iE_Extension__item__extensionValue,
        __QoSFlowsToBeSetup_Item_iE_Extension__item_,
        _QoSFlowsToBeSetup_Item_iE_Extension,
        QoSFlowsToBeSetup_Item,
        QoSFlowsToBeSetup_Item_ExtIEs,
        _QoSFlowsUsageReportList__item_,
        QoSFlowsUsageReportList,
        _QoSFlowsUsageReport_Item_qosFlowIdentifier,
        _QoSFlowsUsageReport_Item_rATType,
        _QoSFlowsUsageReport_Item_qoSFlowsTimedReportList,
        ____QoSFlowsUsageReport_Item_iE_Extensions__item__id_tab,
        ___QoSFlowsUsageReport_Item_iE_Extensions__item__id,
        ____QoSFlowsUsageReport_Item_iE_Extensions__item__criticality_tab,
        ___QoSFlowsUsageReport_Item_iE_Extensions__item__criticality,
        ____QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsUsageReport_Item_iE_Extensions__item__extensionValue,
        __QoSFlowsUsageReport_Item_iE_Extensions__item_,
        _QoSFlowsUsageReport_Item_iE_Extensions,
        QoSFlowsUsageReport_Item,
        QoSFlowsUsageReport_Item_ExtIEs,
        RANAC,
        _RANAreaID_tAC,
        _RANAreaID_rANAC,
        ____RANAreaID_iE_Extensions__item__id_tab,
        ___RANAreaID_iE_Extensions__item__id,
        ____RANAreaID_iE_Extensions__item__criticality_tab,
        ___RANAreaID_iE_Extensions__item__criticality,
        ____RANAreaID_iE_Extensions__item__extensionValue_tab,
        ___RANAreaID_iE_Extensions__item__extensionValue,
        __RANAreaID_iE_Extensions__item_,
        _RANAreaID_iE_Extensions,
        RANAreaID,
        RANAreaID_ExtIEs,
        _RANAreaID_List__item_,
        RANAreaID_List,
        _RANPagingArea_pLMN_Identity,
        _RANPagingArea_rANPagingAreaChoice,
        ____RANPagingArea_iE_Extensions__item__id_tab,
        ___RANPagingArea_iE_Extensions__item__id,
        ____RANPagingArea_iE_Extensions__item__criticality_tab,
        ___RANPagingArea_iE_Extensions__item__criticality,
        ____RANPagingArea_iE_Extensions__item__extensionValue_tab,
        ___RANPagingArea_iE_Extensions__item__extensionValue,
        __RANPagingArea_iE_Extensions__item_,
        _RANPagingArea_iE_Extensions,
        RANPagingArea,
        RANPagingArea_ExtIEs,
        _RANPagingAreaChoice_cell_List,
        _RANPagingAreaChoice_rANAreaID_List,
        ___RANPagingAreaChoice_choice_extension_id_tab,
        __RANPagingAreaChoice_choice_extension_id,
        ___RANPagingAreaChoice_choice_extension_criticality_tab,
        __RANPagingAreaChoice_choice_extension_criticality,
        ___RANPagingAreaChoice_choice_extension_value_tab,
        __RANPagingAreaChoice_choice_extension_value,
        _RANPagingAreaChoice_choice_extension,
        RANPagingAreaChoice,
        RANPagingAreaChoice_ExtIEs,
        _RANPagingAttemptInfo_pagingAttemptCount,
        _RANPagingAttemptInfo_intendedNumberOfPagingAttempts,
        _RANPagingAttemptInfo_nextPagingAreaScope,
        ____RANPagingAttemptInfo_iE_Extensions__item__id_tab,
        ___RANPagingAttemptInfo_iE_Extensions__item__id,
        ____RANPagingAttemptInfo_iE_Extensions__item__criticality_tab,
        ___RANPagingAttemptInfo_iE_Extensions__item__criticality,
        ____RANPagingAttemptInfo_iE_Extensions__item__extensionValue_tab,
        ___RANPagingAttemptInfo_iE_Extensions__item__extensionValue,
        __RANPagingAttemptInfo_iE_Extensions__item_,
        _RANPagingAttemptInfo_iE_Extensions,
        RANPagingAttemptInfo,
        RANPagingAttemptInfo_ExtIEs,
        RANPagingFailure,
        ReferenceID,
        ReflectiveQoSAttribute,
        ReportArea,
        RequestReferenceID,
        _ReservedSubframePattern_subframeType,
        _ReservedSubframePattern_reservedSubframePattern,
        _ReservedSubframePattern_mbsfnControlRegionLength,
        ____ReservedSubframePattern_iE_Extension__item__id_tab,
        ___ReservedSubframePattern_iE_Extension__item__id,
        ____ReservedSubframePattern_iE_Extension__item__criticality_tab,
        ___ReservedSubframePattern_iE_Extension__item__criticality,
        ____ReservedSubframePattern_iE_Extension__item__extensionValue_tab,
        ___ReservedSubframePattern_iE_Extension__item__extensionValue,
        __ReservedSubframePattern_iE_Extension__item_,
        _ReservedSubframePattern_iE_Extension,
        ReservedSubframePattern,
        ReservedSubframePattern_ExtIEs,
        _ResetRequestTypeInfo_fullReset,
        _ResetRequestTypeInfo_partialReset,
        ___ResetRequestTypeInfo_choice_extension_id_tab,
        __ResetRequestTypeInfo_choice_extension_id,
        ___ResetRequestTypeInfo_choice_extension_criticality_tab,
        __ResetRequestTypeInfo_choice_extension_criticality,
        ___ResetRequestTypeInfo_choice_extension_value_tab,
        __ResetRequestTypeInfo_choice_extension_value,
        _ResetRequestTypeInfo_choice_extension,
        ResetRequestTypeInfo,
        ResetRequestTypeInfo_ExtIEs,
        ____ResetRequestTypeInfo_Full_iE_Extension__item__id_tab,
        ___ResetRequestTypeInfo_Full_iE_Extension__item__id,
        ____ResetRequestTypeInfo_Full_iE_Extension__item__criticality_tab,
        ___ResetRequestTypeInfo_Full_iE_Extension__item__criticality,
        ____ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue_tab,
        ___ResetRequestTypeInfo_Full_iE_Extension__item__extensionValue,
        __ResetRequestTypeInfo_Full_iE_Extension__item_,
        _ResetRequestTypeInfo_Full_iE_Extension,
        ResetRequestTypeInfo_Full,
        ResetRequestTypeInfo_Full_ExtIEs,
        _ResetRequestTypeInfo_Partial_ue_contexts_ToBeReleasedList,
        ____ResetRequestTypeInfo_Partial_iE_Extension__item__id_tab,
        ___ResetRequestTypeInfo_Partial_iE_Extension__item__id,
        ____ResetRequestTypeInfo_Partial_iE_Extension__item__criticality_tab,
        ___ResetRequestTypeInfo_Partial_iE_Extension__item__criticality,
        ____ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue_tab,
        ___ResetRequestTypeInfo_Partial_iE_Extension__item__extensionValue,
        __ResetRequestTypeInfo_Partial_iE_Extension__item_,
        _ResetRequestTypeInfo_Partial_iE_Extension,
        ResetRequestTypeInfo_Partial,
        ResetRequestTypeInfo_Partial_ExtIEs,
        _ResetRequestPartialReleaseList__item_,
        ResetRequestPartialReleaseList,
        _ResetRequestPartialReleaseItem_ng_ran_node1UEXnAPID,
        _ResetRequestPartialReleaseItem_ng_ran_node2UEXnAPID,
        ____ResetRequestPartialReleaseItem_iE_Extensions__item__id_tab,
        ___ResetRequestPartialReleaseItem_iE_Extensions__item__id,
        ____ResetRequestPartialReleaseItem_iE_Extensions__item__criticality_tab,
        ___ResetRequestPartialReleaseItem_iE_Extensions__item__criticality,
        ____ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue_tab,
        ___ResetRequestPartialReleaseItem_iE_Extensions__item__extensionValue,
        __ResetRequestPartialReleaseItem_iE_Extensions__item_,
        _ResetRequestPartialReleaseItem_iE_Extensions,
        ResetRequestPartialReleaseItem,
        ResetRequestPartialReleaseItem_ExtIEs,
        _ResetResponseTypeInfo_fullReset,
        _ResetResponseTypeInfo_partialReset,
        ___ResetResponseTypeInfo_choice_extension_id_tab,
        __ResetResponseTypeInfo_choice_extension_id,
        ___ResetResponseTypeInfo_choice_extension_criticality_tab,
        __ResetResponseTypeInfo_choice_extension_criticality,
        ___ResetResponseTypeInfo_choice_extension_value_tab,
        __ResetResponseTypeInfo_choice_extension_value,
        _ResetResponseTypeInfo_choice_extension,
        ResetResponseTypeInfo,
        ResetResponseTypeInfo_ExtIEs,
        ____ResetResponseTypeInfo_Full_iE_Extension__item__id_tab,
        ___ResetResponseTypeInfo_Full_iE_Extension__item__id,
        ____ResetResponseTypeInfo_Full_iE_Extension__item__criticality_tab,
        ___ResetResponseTypeInfo_Full_iE_Extension__item__criticality,
        ____ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue_tab,
        ___ResetResponseTypeInfo_Full_iE_Extension__item__extensionValue,
        __ResetResponseTypeInfo_Full_iE_Extension__item_,
        _ResetResponseTypeInfo_Full_iE_Extension,
        ResetResponseTypeInfo_Full,
        ResetResponseTypeInfo_Full_ExtIEs,
        _ResetResponseTypeInfo_Partial_ue_contexts_AdmittedToBeReleasedList,
        ____ResetResponseTypeInfo_Partial_iE_Extension__item__id_tab,
        ___ResetResponseTypeInfo_Partial_iE_Extension__item__id,
        ____ResetResponseTypeInfo_Partial_iE_Extension__item__criticality_tab,
        ___ResetResponseTypeInfo_Partial_iE_Extension__item__criticality,
        ____ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue_tab,
        ___ResetResponseTypeInfo_Partial_iE_Extension__item__extensionValue,
        __ResetResponseTypeInfo_Partial_iE_Extension__item_,
        _ResetResponseTypeInfo_Partial_iE_Extension,
        ResetResponseTypeInfo_Partial,
        ResetResponseTypeInfo_Partial_ExtIEs,
        _ResetResponsePartialReleaseList__item_,
        ResetResponsePartialReleaseList,
        _ResetResponsePartialReleaseItem_ng_ran_node1UEXnAPID,
        _ResetResponsePartialReleaseItem_ng_ran_node2UEXnAPID,
        ____ResetResponsePartialReleaseItem_iE_Extensions__item__id_tab,
        ___ResetResponsePartialReleaseItem_iE_Extensions__item__id,
        ____ResetResponsePartialReleaseItem_iE_Extensions__item__criticality_tab,
        ___ResetResponsePartialReleaseItem_iE_Extensions__item__criticality,
        ____ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue_tab,
        ___ResetResponsePartialReleaseItem_iE_Extensions__item__extensionValue,
        __ResetResponsePartialReleaseItem_iE_Extensions__item_,
        _ResetResponsePartialReleaseItem_iE_Extensions,
        ResetResponsePartialReleaseItem,
        ResetResponsePartialReleaseItem_ExtIEs,
        RLCMode,
        _RLC_Status_reestablishment_Indication,
        ____RLC_Status_iE_Extensions__item__id_tab,
        ___RLC_Status_iE_Extensions__item__id,
        ____RLC_Status_iE_Extensions__item__criticality_tab,
        ___RLC_Status_iE_Extensions__item__criticality,
        ____RLC_Status_iE_Extensions__item__extensionValue_tab,
        ___RLC_Status_iE_Extensions__item__extensionValue,
        __RLC_Status_iE_Extensions__item_,
        _RLC_Status_iE_Extensions,
        RLC_Status,
        RLC_Status_ExtIEs,
        Reestablishment_Indication,
        RFSP_Index,
        RRCConfigIndication,
        RRCResumeCause,
        _SecondarydataForwardingInfoFromTarget_Item_secondarydataForwardingInfoFromTarget,
        ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id_tab,
        ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__id,
        ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality_tab,
        ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__criticality,
        ____SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue_tab,
        ___SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item__extensionValue,
        __SecondarydataForwardingInfoFromTarget_Item_iE_Extensions__item_,
        _SecondarydataForwardingInfoFromTarget_Item_iE_Extensions,
        SecondarydataForwardingInfoFromTarget_Item,
        SecondarydataForwardingInfoFromTarget_Item_ExtIEs,
        _SecondarydataForwardingInfoFromTarget_List__item_,
        SecondarydataForwardingInfoFromTarget_List,
        SCGConfigurationQuery,
        _SecondaryRATUsageInformation_pDUSessionUsageReport,
        _SecondaryRATUsageInformation_qosFlowsUsageReportList,
        ____SecondaryRATUsageInformation_iE_Extension__item__id_tab,
        ___SecondaryRATUsageInformation_iE_Extension__item__id,
        ____SecondaryRATUsageInformation_iE_Extension__item__criticality_tab,
        ___SecondaryRATUsageInformation_iE_Extension__item__criticality,
        ____SecondaryRATUsageInformation_iE_Extension__item__extensionValue_tab,
        ___SecondaryRATUsageInformation_iE_Extension__item__extensionValue,
        __SecondaryRATUsageInformation_iE_Extension__item_,
        _SecondaryRATUsageInformation_iE_Extension,
        SecondaryRATUsageInformation,
        SecondaryRATUsageInformation_ExtIEs,
        _SecurityIndication_integrityProtectionIndication,
        _SecurityIndication_confidentialityProtectionIndication,
        _SecurityIndication_maximumIPdatarate,
        ____SecurityIndication_iE_Extensions__item__id_tab,
        ___SecurityIndication_iE_Extensions__item__id,
        ____SecurityIndication_iE_Extensions__item__criticality_tab,
        ___SecurityIndication_iE_Extensions__item__criticality,
        ____SecurityIndication_iE_Extensions__item__extensionValue_tab,
        ___SecurityIndication_iE_Extensions__item__extensionValue,
        __SecurityIndication_iE_Extensions__item_,
        _SecurityIndication_iE_Extensions,
        SecurityIndication,
        SecurityIndication_ExtIEs,
        _SecurityResult_integrityProtectionResult,
        _SecurityResult_confidentialityProtectionResult,
        ____SecurityResult_iE_Extensions__item__id_tab,
        ___SecurityResult_iE_Extensions__item__id,
        ____SecurityResult_iE_Extensions__item__criticality_tab,
        ___SecurityResult_iE_Extensions__item__criticality,
        ____SecurityResult_iE_Extensions__item__extensionValue_tab,
        ___SecurityResult_iE_Extensions__item__extensionValue,
        __SecurityResult_iE_Extensions__item_,
        _SecurityResult_iE_Extensions,
        SecurityResult,
        SecurityResult_ExtIEs,
        _ServedCellInformation_E_UTRA_e_utra_pci,
        _ServedCellInformation_E_UTRA_e_utra_cgi,
        _ServedCellInformation_E_UTRA_tac,
        _ServedCellInformation_E_UTRA_ranac,
        __ServedCellInformation_E_UTRA_broadcastPLMNs__item_,
        _ServedCellInformation_E_UTRA_broadcastPLMNs,
        _ServedCellInformation_E_UTRA_e_utra_mode_info,
        _ServedCellInformation_E_UTRA_numberofAntennaPorts,
        _ServedCellInformation_E_UTRA_prach_configuration,
        _ServedCellInformation_E_UTRA_mBSFNsubframeInfo,
        _ServedCellInformation_E_UTRA_multibandInfo,
        _ServedCellInformation_E_UTRA_freqBandIndicatorPriority,
        _ServedCellInformation_E_UTRA_bandwidthReducedSI,
        _ServedCellInformation_E_UTRA_protectedE_UTRAResourceIndication,
        ____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab,
        _____ServedCellInformation_E_UTRA_iE_Extensions__item__id_tab_val_Extension_0,
        ___ServedCellInformation_E_UTRA_iE_Extensions__item__id,
        ___ServedCellInformation_E_UTRA_iE_Extensions__item__criticality,
        ___ServedCellInformation_E_UTRA_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_iE_Extensions,
        ServedCellInformation_E_UTRA,
        ServedCellInformation_E_UTRA_ExtIEs,
        _ServedCellInformation_E_UTRA_ExtIEs_val_Extension_0,
        _ServedCellInformation_E_UTRA_perBPLMN_plmn_id,
        ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id_tab,
        ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__id,
        ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality_tab,
        ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__criticality,
        ____ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue_tab,
        ___ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_perBPLMN_iE_Extensions,
        ServedCellInformation_E_UTRA_perBPLMN,
        ServedCellInformation_E_UTRA_perBPLMN_ExtIEs,
        _ServedCellInformation_E_UTRA_ModeInfo_fdd,
        _ServedCellInformation_E_UTRA_ModeInfo_tdd,
        ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id_tab,
        __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_id,
        ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality_tab,
        __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_criticality,
        ___ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value_tab,
        __ServedCellInformation_E_UTRA_ModeInfo_choice_extension_value,
        _ServedCellInformation_E_UTRA_ModeInfo_choice_extension,
        ServedCellInformation_E_UTRA_ModeInfo,
        ServedCellInformation_E_UTRA_ModeInfo_ExtIEs,
        _ServedCellInformation_E_UTRA_FDDInfo_ul_earfcn,
        _ServedCellInformation_E_UTRA_FDDInfo_dl_earfcn,
        _ServedCellInformation_E_UTRA_FDDInfo_ul_e_utraTxBW,
        _ServedCellInformation_E_UTRA_FDDInfo_dl_e_utraTxBW,
        ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id_tab,
        ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__id,
        ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality_tab,
        ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__criticality,
        ____ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue_tab,
        ___ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_FDDInfo_iE_Extensions,
        ServedCellInformation_E_UTRA_FDDInfo,
        ServedCellInformation_E_UTRA_FDDInfo_ExtIEs,
        _ServedCellInformation_E_UTRA_TDDInfo_earfcn,
        _ServedCellInformation_E_UTRA_TDDInfo_e_utraTxBW,
        _ServedCellInformation_E_UTRA_TDDInfo_subframeAssignmnet,
        _ServedCellInformation_E_UTRA_TDDInfo_specialSubframeInfo,
        ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id_tab,
        ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__id,
        ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality_tab,
        ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__criticality,
        ____ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue_tab,
        ___ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item__extensionValue,
        __ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions__item_,
        _ServedCellInformation_E_UTRA_TDDInfo_iE_Extensions,
        ServedCellInformation_E_UTRA_TDDInfo,
        ServedCellInformation_E_UTRA_TDDInfo_ExtIEs,
        _ServedCells_E_UTRA__item_,
        ServedCells_E_UTRA,
        _ServedCells_E_UTRA_Item_served_cell_info_E_UTRA,
        _ServedCells_E_UTRA_Item_neighbour_info_NR,
        _ServedCells_E_UTRA_Item_neighbour_info_E_UTRA,
        ____ServedCells_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___ServedCells_E_UTRA_Item_iE_Extensions__item__id,
        ____ServedCells_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_E_UTRA_Item_iE_Extensions__item__criticality,
        ____ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __ServedCells_E_UTRA_Item_iE_Extensions__item_,
        _ServedCells_E_UTRA_Item_iE_Extensions,
        ServedCells_E_UTRA_Item,
        ServedCells_E_UTRA_Item_ExtIEs,
        _ServedCellsToUpdate_E_UTRA_served_Cells_ToAdd_E_UTRA,
        _ServedCellsToUpdate_E_UTRA_served_Cells_ToModify_E_UTRA,
        __ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA__item_,
        _ServedCellsToUpdate_E_UTRA_served_Cells_ToDelete_E_UTRA,
        ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id_tab,
        ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__id,
        ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality_tab,
        ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__criticality,
        ____ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue_tab,
        ___ServedCellsToUpdate_E_UTRA_iE_Extensions__item__extensionValue,
        __ServedCellsToUpdate_E_UTRA_iE_Extensions__item_,
        _ServedCellsToUpdate_E_UTRA_iE_Extensions,
        ServedCellsToUpdate_E_UTRA,
        ServedCellsToUpdate_E_UTRA_ExtIEs,
        _ServedCells_ToModify_E_UTRA__item_,
        ServedCells_ToModify_E_UTRA,
        _ServedCells_ToModify_E_UTRA_Item_old_ECGI,
        _ServedCells_ToModify_E_UTRA_Item_served_cell_info_E_UTRA,
        _ServedCells_ToModify_E_UTRA_Item_neighbour_info_NR,
        _ServedCells_ToModify_E_UTRA_Item_neighbour_info_E_UTRA,
        _ServedCells_ToModify_E_UTRA_Item_deactivation_indication,
        ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id_tab,
        ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__id,
        ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__criticality,
        ____ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item__extensionValue,
        __ServedCells_ToModify_E_UTRA_Item_iE_Extensions__item_,
        _ServedCells_ToModify_E_UTRA_Item_iE_Extensions,
        ServedCells_ToModify_E_UTRA_Item,
        Served_cells_ToModify_E_UTRA_Item_ExtIEs,
        _ServedCellInformation_NR_nrPCI,
        _ServedCellInformation_NR_cellID,
        _ServedCellInformation_NR_tac,
        _ServedCellInformation_NR_ranac,
        _ServedCellInformation_NR_broadcastPLMN,
        _ServedCellInformation_NR_nrModeInfo,
        _ServedCellInformation_NR_measurementTimingConfiguration,
        _ServedCellInformation_NR_connectivitySupport,
        ____ServedCellInformation_NR_iE_Extensions__item__id_tab,
        _____ServedCellInformation_NR_iE_Extensions__item__id_tab_val_Extension_0,
        ___ServedCellInformation_NR_iE_Extensions__item__id,
        ___ServedCellInformation_NR_iE_Extensions__item__criticality,
        ___ServedCellInformation_NR_iE_Extensions__item__extensionValue,
        __ServedCellInformation_NR_iE_Extensions__item_,
        _ServedCellInformation_NR_iE_Extensions,
        ServedCellInformation_NR,
        ServedCellInformation_NR_ExtIEs,
        _ServedCellInformation_NR_ExtIEs_val_Extension_0,
        _ServedCells_NR__item_,
        ServedCells_NR,
        _ServedCells_NR_Item_served_cell_info_NR,
        _ServedCells_NR_Item_neighbour_info_NR,
        _ServedCells_NR_Item_neighbour_info_E_UTRA,
        ____ServedCells_NR_Item_iE_Extensions__item__id_tab,
        ___ServedCells_NR_Item_iE_Extensions__item__id,
        ____ServedCells_NR_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_NR_Item_iE_Extensions__item__criticality,
        ____ServedCells_NR_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_NR_Item_iE_Extensions__item__extensionValue,
        __ServedCells_NR_Item_iE_Extensions__item_,
        _ServedCells_NR_Item_iE_Extensions,
        ServedCells_NR_Item,
        ServedCells_NR_Item_ExtIEs,
        _ServedCells_ToModify_NR__item_,
        ServedCells_ToModify_NR,
        _ServedCells_ToModify_NR_Item_old_NR_CGI,
        _ServedCells_ToModify_NR_Item_served_cell_info_NR,
        _ServedCells_ToModify_NR_Item_neighbour_info_NR,
        _ServedCells_ToModify_NR_Item_neighbour_info_E_UTRA,
        _ServedCells_ToModify_NR_Item_deactivation_indication,
        ____ServedCells_ToModify_NR_Item_iE_Extensions__item__id_tab,
        ___ServedCells_ToModify_NR_Item_iE_Extensions__item__id,
        ____ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality_tab,
        ___ServedCells_ToModify_NR_Item_iE_Extensions__item__criticality,
        ____ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue_tab,
        ___ServedCells_ToModify_NR_Item_iE_Extensions__item__extensionValue,
        __ServedCells_ToModify_NR_Item_iE_Extensions__item_,
        _ServedCells_ToModify_NR_Item_iE_Extensions,
        ServedCells_ToModify_NR_Item,
        Served_cells_ToModify_NR_Item_ExtIEs,
        _ServedCellsToUpdate_NR_served_Cells_ToAdd_NR,
        _ServedCellsToUpdate_NR_served_Cells_ToModify_NR,
        __ServedCellsToUpdate_NR_served_Cells_ToDelete_NR__item_,
        _ServedCellsToUpdate_NR_served_Cells_ToDelete_NR,
        ____ServedCellsToUpdate_NR_iE_Extensions__item__id_tab,
        ___ServedCellsToUpdate_NR_iE_Extensions__item__id,
        ____ServedCellsToUpdate_NR_iE_Extensions__item__criticality_tab,
        ___ServedCellsToUpdate_NR_iE_Extensions__item__criticality,
        ____ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue_tab,
        ___ServedCellsToUpdate_NR_iE_Extensions__item__extensionValue,
        __ServedCellsToUpdate_NR_iE_Extensions__item_,
        _ServedCellsToUpdate_NR_iE_Extensions,
        ServedCellsToUpdate_NR,
        ServedCellsToUpdate_NR_ExtIEs,
        _SharedResourceType_ul_onlySharing,
        _SharedResourceType_ul_and_dl_Sharing,
        ___SharedResourceType_choice_extension_id_tab,
        __SharedResourceType_choice_extension_id,
        ___SharedResourceType_choice_extension_criticality_tab,
        __SharedResourceType_choice_extension_criticality,
        ___SharedResourceType_choice_extension_value_tab,
        __SharedResourceType_choice_extension_value,
        _SharedResourceType_choice_extension,
        SharedResourceType,
        SharedResourceType_ExtIEs,
        _SharedResourceType_UL_OnlySharing_ul_resourceBitmap,
        ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__id_tab,
        ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__id,
        ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality_tab,
        ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__criticality,
        ____SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue_tab,
        ___SharedResourceType_UL_OnlySharing_iE_Extensions__item__extensionValue,
        __SharedResourceType_UL_OnlySharing_iE_Extensions__item_,
        _SharedResourceType_UL_OnlySharing_iE_Extensions,
        SharedResourceType_UL_OnlySharing,
        SharedResourceType_UL_OnlySharing_ExtIEs,
        _SharedResourceType_ULDL_Sharing_ul_resources,
        _SharedResourceType_ULDL_Sharing_dl_resources,
        ___SharedResourceType_ULDL_Sharing_choice_extension_id_tab,
        __SharedResourceType_ULDL_Sharing_choice_extension_id,
        ___SharedResourceType_ULDL_Sharing_choice_extension_criticality_tab,
        __SharedResourceType_ULDL_Sharing_choice_extension_criticality,
        ___SharedResourceType_ULDL_Sharing_choice_extension_value_tab,
        __SharedResourceType_ULDL_Sharing_choice_extension_value,
        _SharedResourceType_ULDL_Sharing_choice_extension,
        SharedResourceType_ULDL_Sharing,
        SharedResourceType_ULDL_Sharing_ExtIEs,
        _SharedResourceType_ULDL_Sharing_UL_Resources_unchanged,
        _SharedResourceType_ULDL_Sharing_UL_Resources_changed,
        ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id_tab,
        __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_id,
        ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality_tab,
        __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_criticality,
        ___SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value_tab,
        __SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension_value,
        _SharedResourceType_ULDL_Sharing_UL_Resources_choice_extension,
        SharedResourceType_ULDL_Sharing_UL_Resources,
        SharedResourceType_ULDL_Sharing_UL_Resources_ExtIEs,
        _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ul_resourceBitmap,
        ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id_tab,
        ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__id,
        ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality_tab,
        ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__criticality,
        ____SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue_tab,
        ___SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item__extensionValue,
        __SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions__item_,
        _SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_iE_Extensions,
        SharedResourceType_ULDL_Sharing_UL_ResourcesChanged,
        SharedResourceType_ULDL_Sharing_UL_ResourcesChanged_ExtIEs,
        _SharedResourceType_ULDL_Sharing_DL_Resources_unchanged,
        _SharedResourceType_ULDL_Sharing_DL_Resources_changed,
        ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id_tab,
        __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_id,
        ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality_tab,
        __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_criticality,
        ___SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value_tab,
        __SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension_value,
        _SharedResourceType_ULDL_Sharing_DL_Resources_choice_extension,
        SharedResourceType_ULDL_Sharing_DL_Resources,
        SharedResourceType_ULDL_Sharing_DL_Resources_ExtIEs,
        _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_dl_resourceBitmap,
        ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id_tab,
        ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__id,
        ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality_tab,
        ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__criticality,
        ____SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue_tab,
        ___SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item__extensionValue,
        __SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions__item_,
        _SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_iE_Extensions,
        SharedResourceType_ULDL_Sharing_DL_ResourcesChanged,
        SharedResourceType_ULDL_Sharing_DL_ResourcesChanged_ExtIEs,
        _SliceSupport_List__item_,
        SliceSupport_List,
        S_NG_RANnode_SecurityKey,
        S_NG_RANnode_Addition_Trigger_Ind,
        _S_NSSAI_sst,
        _S_NSSAI_sd,
        ____S_NSSAI_iE_Extensions__item__id_tab,
        ___S_NSSAI_iE_Extensions__item__id,
        ____S_NSSAI_iE_Extensions__item__criticality_tab,
        ___S_NSSAI_iE_Extensions__item__criticality,
        ____S_NSSAI_iE_Extensions__item__extensionValue_tab,
        ___S_NSSAI_iE_Extensions__item__extensionValue,
        __S_NSSAI_iE_Extensions__item_,
        _S_NSSAI_iE_Extensions,
        S_NSSAI,
        S_NSSAI_ExtIEs,
        _SpecialSubframeInfo_E_UTRA_specialSubframePattern,
        _SpecialSubframeInfo_E_UTRA_cyclicPrefixDL,
        _SpecialSubframeInfo_E_UTRA_cyclicPrefixUL,
        ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id_tab,
        ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__id,
        ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality_tab,
        ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__criticality,
        ____SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue_tab,
        ___SpecialSubframeInfo_E_UTRA_iE_Extensions__item__extensionValue,
        __SpecialSubframeInfo_E_UTRA_iE_Extensions__item_,
        _SpecialSubframeInfo_E_UTRA_iE_Extensions,
        SpecialSubframeInfo_E_UTRA,
        SpecialSubframeInfo_E_UTRA_ExtIEs,
        SpecialSubframePatterns_E_UTRA,
        SpectrumSharingGroupID,
        SplitSessionIndicator,
        SplitSRBsTypes,
        SUL_FrequencyBand,
        _SUL_Information_sulFrequencyInfo,
        _SUL_Information_sulTransmissionBandwidth,
        ____SUL_Information_iE_Extensions__item__id_tab,
        ___SUL_Information_iE_Extensions__item__id,
        ____SUL_Information_iE_Extensions__item__criticality_tab,
        ___SUL_Information_iE_Extensions__item__criticality,
        ____SUL_Information_iE_Extensions__item__extensionValue_tab,
        ___SUL_Information_iE_Extensions__item__extensionValue,
        __SUL_Information_iE_Extensions__item_,
        _SUL_Information_iE_Extensions,
        SUL_Information,
        SUL_Information_ExtIEs,
        _SupportedSULBandList__item_,
        SupportedSULBandList,
        _SupportedSULBandItem_sulBandItem,
        ____SupportedSULBandItem_iE_Extensions__item__id_tab,
        ___SupportedSULBandItem_iE_Extensions__item__id,
        ____SupportedSULBandItem_iE_Extensions__item__criticality_tab,
        ___SupportedSULBandItem_iE_Extensions__item__criticality,
        ____SupportedSULBandItem_iE_Extensions__item__extensionValue_tab,
        ___SupportedSULBandItem_iE_Extensions__item__extensionValue,
        __SupportedSULBandItem_iE_Extensions__item_,
        _SupportedSULBandItem_iE_Extensions,
        SupportedSULBandItem,
        SupportedSULBandItem_ExtIEs,
        TAC,
        _TAISupport_List__item_,
        TAISupport_List,
        _TAISupport_Item_tac,
        __TAISupport_Item_broadcastPLMNs__item_,
        _TAISupport_Item_broadcastPLMNs,
        ____TAISupport_Item_iE_Extensions__item__id_tab,
        ___TAISupport_Item_iE_Extensions__item__id,
        ____TAISupport_Item_iE_Extensions__item__criticality_tab,
        ___TAISupport_Item_iE_Extensions__item__criticality,
        ____TAISupport_Item_iE_Extensions__item__extensionValue_tab,
        ___TAISupport_Item_iE_Extensions__item__extensionValue,
        __TAISupport_Item_iE_Extensions__item_,
        _TAISupport_Item_iE_Extensions,
        TAISupport_Item,
        TAISupport_Item_ExtIEs,
        _Target_CGI_nr,
        _Target_CGI_e_utra,
        ___Target_CGI_choice_extension_id_tab,
        __Target_CGI_choice_extension_id,
        ___Target_CGI_choice_extension_criticality_tab,
        __Target_CGI_choice_extension_criticality,
        ___Target_CGI_choice_extension_value_tab,
        __Target_CGI_choice_extension_value,
        _Target_CGI_choice_extension,
        Target_CGI,
        TargetCGI_ExtIEs,
        TimeToWait,
        _TNLA_To_Add_List__item_,
        TNLA_To_Add_List,
        _TNLA_To_Add_Item_tNLAssociationTransportLayerAddress,
        _TNLA_To_Add_Item_tNLAssociationUsage,
        ____TNLA_To_Add_Item_iE_Extensions__item__id_tab,
        ___TNLA_To_Add_Item_iE_Extensions__item__id,
        ____TNLA_To_Add_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_To_Add_Item_iE_Extensions__item__criticality,
        ____TNLA_To_Add_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_To_Add_Item_iE_Extensions__item__extensionValue,
        __TNLA_To_Add_Item_iE_Extensions__item_,
        _TNLA_To_Add_Item_iE_Extensions,
        TNLA_To_Add_Item,
        TNLA_To_Add_Item_ExtIEs,
        _TNLA_To_Update_List__item_,
        TNLA_To_Update_List,
        _TNLA_To_Update_Item_tNLAssociationTransportLayerAddress,
        _TNLA_To_Update_Item_tNLAssociationUsage,
        ____TNLA_To_Update_Item_iE_Extensions__item__id_tab,
        ___TNLA_To_Update_Item_iE_Extensions__item__id,
        ____TNLA_To_Update_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_To_Update_Item_iE_Extensions__item__criticality,
        ____TNLA_To_Update_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_To_Update_Item_iE_Extensions__item__extensionValue,
        __TNLA_To_Update_Item_iE_Extensions__item_,
        _TNLA_To_Update_Item_iE_Extensions,
        TNLA_To_Update_Item,
        TNLA_To_Update_Item_ExtIEs,
        _TNLA_To_Remove_List__item_,
        TNLA_To_Remove_List,
        _TNLA_To_Remove_Item_tNLAssociationTransportLayerAddress,
        ____TNLA_To_Remove_Item_iE_Extensions__item__id_tab,
        ___TNLA_To_Remove_Item_iE_Extensions__item__id,
        ____TNLA_To_Remove_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_To_Remove_Item_iE_Extensions__item__criticality,
        ____TNLA_To_Remove_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_To_Remove_Item_iE_Extensions__item__extensionValue,
        __TNLA_To_Remove_Item_iE_Extensions__item_,
        _TNLA_To_Remove_Item_iE_Extensions,
        TNLA_To_Remove_Item,
        TNLA_To_Remove_Item_ExtIEs,
        _TNLA_Setup_List__item_,
        TNLA_Setup_List,
        _TNLA_Setup_Item_tNLAssociationTransportLayerAddress,
        ____TNLA_Setup_Item_iE_Extensions__item__id_tab,
        ___TNLA_Setup_Item_iE_Extensions__item__id,
        ____TNLA_Setup_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_Setup_Item_iE_Extensions__item__criticality,
        ____TNLA_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_Setup_Item_iE_Extensions__item__extensionValue,
        __TNLA_Setup_Item_iE_Extensions__item_,
        _TNLA_Setup_Item_iE_Extensions,
        TNLA_Setup_Item,
        TNLA_Setup_Item_ExtIEs,
        _TNLA_Failed_To_Setup_List__item_,
        TNLA_Failed_To_Setup_List,
        _TNLA_Failed_To_Setup_Item_tNLAssociationTransportLayerAddress,
        _TNLA_Failed_To_Setup_Item_cause,
        ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__id_tab,
        ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__id,
        ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality_tab,
        ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__criticality,
        ____TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue_tab,
        ___TNLA_Failed_To_Setup_Item_iE_Extensions__item__extensionValue,
        __TNLA_Failed_To_Setup_Item_iE_Extensions__item_,
        _TNLA_Failed_To_Setup_Item_iE_Extensions,
        TNLA_Failed_To_Setup_Item,
        TNLA_Failed_To_Setup_Item_ExtIEs,
        TNLAssociationUsage,
        TransportLayerAddress,
        _TraceActivation_ng_ran_TraceID,
        _TraceActivation_interfaces_to_trace,
        _TraceActivation_trace_depth,
        _TraceActivation_trace_coll_address,
        ____TraceActivation_ie_Extension__item__id_tab,
        ___TraceActivation_ie_Extension__item__id,
        ____TraceActivation_ie_Extension__item__criticality_tab,
        ___TraceActivation_ie_Extension__item__criticality,
        ____TraceActivation_ie_Extension__item__extensionValue_tab,
        ___TraceActivation_ie_Extension__item__extensionValue,
        __TraceActivation_ie_Extension__item_,
        _TraceActivation_ie_Extension,
        TraceActivation,
        TraceActivation_ExtIEs,
        Trace_Depth,
        TypeOfError,
        _UEAggregateMaximumBitRate_dl_UE_AMBR,
        _UEAggregateMaximumBitRate_ul_UE_AMBR,
        ____UEAggregateMaximumBitRate_iE_Extension__item__id_tab,
        ___UEAggregateMaximumBitRate_iE_Extension__item__id,
        ____UEAggregateMaximumBitRate_iE_Extension__item__criticality_tab,
        ___UEAggregateMaximumBitRate_iE_Extension__item__criticality,
        ____UEAggregateMaximumBitRate_iE_Extension__item__extensionValue_tab,
        ___UEAggregateMaximumBitRate_iE_Extension__item__extensionValue,
        __UEAggregateMaximumBitRate_iE_Extension__item_,
        _UEAggregateMaximumBitRate_iE_Extension,
        UEAggregateMaximumBitRate,
        UEAggregateMaximumBitRate_ExtIEs,
        UEContextKeptIndicator,
        _UEContextID_rRCResume,
        _UEContextID_rRRCReestablishment,
        ___UEContextID_choice_extension_id_tab,
        __UEContextID_choice_extension_id,
        ___UEContextID_choice_extension_criticality_tab,
        __UEContextID_choice_extension_criticality,
        ___UEContextID_choice_extension_value_tab,
        __UEContextID_choice_extension_value,
        _UEContextID_choice_extension,
        UEContextID,
        UEContextID_ExtIEs,
        _UEContextIDforRRCResume_i_rnti,
        _UEContextIDforRRCResume_allocated_c_rnti,
        _UEContextIDforRRCResume_accessPCI,
        ____UEContextIDforRRCResume_iE_Extension__item__id_tab,
        ___UEContextIDforRRCResume_iE_Extension__item__id,
        ____UEContextIDforRRCResume_iE_Extension__item__criticality_tab,
        ___UEContextIDforRRCResume_iE_Extension__item__criticality,
        ____UEContextIDforRRCResume_iE_Extension__item__extensionValue_tab,
        ___UEContextIDforRRCResume_iE_Extension__item__extensionValue,
        __UEContextIDforRRCResume_iE_Extension__item_,
        _UEContextIDforRRCResume_iE_Extension,
        UEContextIDforRRCResume,
        UEContextIDforRRCResume_ExtIEs,
        _UEContextIDforRRCReestablishment_c_rnti,
        _UEContextIDforRRCReestablishment_failureCellPCI,
        ____UEContextIDforRRCReestablishment_iE_Extension__item__id_tab,
        ___UEContextIDforRRCReestablishment_iE_Extension__item__id,
        ____UEContextIDforRRCReestablishment_iE_Extension__item__criticality_tab,
        ___UEContextIDforRRCReestablishment_iE_Extension__item__criticality,
        ____UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue_tab,
        ___UEContextIDforRRCReestablishment_iE_Extension__item__extensionValue,
        __UEContextIDforRRCReestablishment_iE_Extension__item_,
        _UEContextIDforRRCReestablishment_iE_Extension,
        UEContextIDforRRCReestablishment,
        UEContextIDforRRCReestablishment_ExtIEs,
        _UEContextInfoRetrUECtxtResp_ng_c_UE_signalling_ref,
        _UEContextInfoRetrUECtxtResp_signalling_TNL_at_source,
        _UEContextInfoRetrUECtxtResp_ueSecurityCapabilities,
        _UEContextInfoRetrUECtxtResp_securityInformation,
        _UEContextInfoRetrUECtxtResp_ue_AMBR,
        _UEContextInfoRetrUECtxtResp_pduSessionResourcesToBeSetup_List,
        _UEContextInfoRetrUECtxtResp_rrc_Context,
        _UEContextInfoRetrUECtxtResp_mobilityRestrictionList,
        _UEContextInfoRetrUECtxtResp_indexToRatFrequencySelectionPriority,
        ____UEContextInfoRetrUECtxtResp_iE_Extension__item__id_tab,
        ___UEContextInfoRetrUECtxtResp_iE_Extension__item__id,
        ____UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality_tab,
        ___UEContextInfoRetrUECtxtResp_iE_Extension__item__criticality,
        ____UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue_tab,
        ___UEContextInfoRetrUECtxtResp_iE_Extension__item__extensionValue,
        __UEContextInfoRetrUECtxtResp_iE_Extension__item_,
        _UEContextInfoRetrUECtxtResp_iE_Extension,
        UEContextInfoRetrUECtxtResp,
        UEContextInfoRetrUECtxtResp_ExtIEs,
        _UEHistoryInformation__item_,
        UEHistoryInformation,
        _UEIdentityIndexValue_indexLength10,
        ___UEIdentityIndexValue_choice_extension_id_tab,
        __UEIdentityIndexValue_choice_extension_id,
        ___UEIdentityIndexValue_choice_extension_criticality_tab,
        __UEIdentityIndexValue_choice_extension_criticality,
        ___UEIdentityIndexValue_choice_extension_value_tab,
        __UEIdentityIndexValue_choice_extension_value,
        _UEIdentityIndexValue_choice_extension,
        UEIdentityIndexValue,
        UEIdentityIndexValue_ExtIEs,
        _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfNR,
        _UERadioCapabilityForPaging_uERadioCapabilityForPagingOfEUTRA,
        ____UERadioCapabilityForPaging_iE_Extensions__item__id_tab,
        ___UERadioCapabilityForPaging_iE_Extensions__item__id,
        ____UERadioCapabilityForPaging_iE_Extensions__item__criticality_tab,
        ___UERadioCapabilityForPaging_iE_Extensions__item__criticality,
        ____UERadioCapabilityForPaging_iE_Extensions__item__extensionValue_tab,
        ___UERadioCapabilityForPaging_iE_Extensions__item__extensionValue,
        __UERadioCapabilityForPaging_iE_Extensions__item_,
        _UERadioCapabilityForPaging_iE_Extensions,
        UERadioCapabilityForPaging,
        UERadioCapabilityForPaging_ExtIEs,
        UERadioCapabilityForPagingOfNR,
        UERadioCapabilityForPagingOfEUTRA,
        _UERANPagingIdentity_i_RNTI_full,
        ___UERANPagingIdentity_choice_extension_id_tab,
        __UERANPagingIdentity_choice_extension_id,
        ___UERANPagingIdentity_choice_extension_criticality_tab,
        __UERANPagingIdentity_choice_extension_criticality,
        ___UERANPagingIdentity_choice_extension_value_tab,
        __UERANPagingIdentity_choice_extension_value,
        _UERANPagingIdentity_choice_extension,
        UERANPagingIdentity,
        UERANPagingIdentity_ExtIEs,
        _UESecurityCapabilities_nr_EncyptionAlgorithms,
        _UESecurityCapabilities_nr_IntegrityProtectionAlgorithms,
        _UESecurityCapabilities_e_utra_EncyptionAlgorithms,
        _UESecurityCapabilities_e_utra_IntegrityProtectionAlgorithms,
        ____UESecurityCapabilities_iE_Extension__item__id_tab,
        ___UESecurityCapabilities_iE_Extension__item__id,
        ____UESecurityCapabilities_iE_Extension__item__criticality_tab,
        ___UESecurityCapabilities_iE_Extension__item__criticality,
        ____UESecurityCapabilities_iE_Extension__item__extensionValue_tab,
        ___UESecurityCapabilities_iE_Extension__item__extensionValue,
        __UESecurityCapabilities_iE_Extension__item_,
        _UESecurityCapabilities_iE_Extension,
        UESecurityCapabilities,
        UESecurityCapabilities_ExtIEs,
        _ULConfiguration_uL_PDCP,
        ____ULConfiguration_iE_Extensions__item__id_tab,
        ___ULConfiguration_iE_Extensions__item__id,
        ____ULConfiguration_iE_Extensions__item__criticality_tab,
        ___ULConfiguration_iE_Extensions__item__criticality,
        ____ULConfiguration_iE_Extensions__item__extensionValue_tab,
        ___ULConfiguration_iE_Extensions__item__extensionValue,
        __ULConfiguration_iE_Extensions__item_,
        _ULConfiguration_iE_Extensions,
        ULConfiguration,
        ULConfiguration_ExtIEs,
        UL_UE_Configuration,
        ULForwarding,
        ULForwardingProposal,
        _UPTransportLayerInformation_gtpTunnel,
        ___UPTransportLayerInformation_choice_extension_id_tab,
        __UPTransportLayerInformation_choice_extension_id,
        ___UPTransportLayerInformation_choice_extension_criticality_tab,
        __UPTransportLayerInformation_choice_extension_criticality,
        ___UPTransportLayerInformation_choice_extension_value_tab,
        __UPTransportLayerInformation_choice_extension_value,
        _UPTransportLayerInformation_choice_extension,
        UPTransportLayerInformation,
        UPTransportLayerInformation_ExtIEs,
        _UPTransportParameters__item_,
        UPTransportParameters,
        _UPTransportParametersItem_upTNLInfo,
        _UPTransportParametersItem_cellGroupID,
        ____UPTransportParametersItem_iE_Extension__item__id_tab,
        ___UPTransportParametersItem_iE_Extension__item__id,
        ____UPTransportParametersItem_iE_Extension__item__criticality_tab,
        ___UPTransportParametersItem_iE_Extension__item__criticality,
        ____UPTransportParametersItem_iE_Extension__item__extensionValue_tab,
        ___UPTransportParametersItem_iE_Extension__item__extensionValue,
        __UPTransportParametersItem_iE_Extension__item_,
        _UPTransportParametersItem_iE_Extension,
        UPTransportParametersItem,
        UPTransportParametersItem_ExtIEs,
        UserPlaneTrafficActivityReport,
        _VolumeTimedReportList__item_,
        VolumeTimedReportList,
        _VolumeTimedReport_Item_startTimeStamp,
        _VolumeTimedReport_Item_endTimeStamp,
        _VolumeTimedReport_Item_usageCountUL,
        _VolumeTimedReport_Item_usageCountDL,
        ____VolumeTimedReport_Item_iE_Extensions__item__id_tab,
        ___VolumeTimedReport_Item_iE_Extensions__item__id,
        ____VolumeTimedReport_Item_iE_Extensions__item__criticality_tab,
        ___VolumeTimedReport_Item_iE_Extensions__item__criticality,
        ____VolumeTimedReport_Item_iE_Extensions__item__extensionValue_tab,
        ___VolumeTimedReport_Item_iE_Extensions__item__extensionValue,
        __VolumeTimedReport_Item_iE_Extensions__item_,
        _VolumeTimedReport_Item_iE_Extensions,
        VolumeTimedReport_Item,
        VolumeTimedReport_Item_ExtIEs,
        XnBenefitValue,
    ]

class XnAP_PDU_Descriptions:

    _name_  = u'XnAP-PDU-Descriptions'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 0]
    
    _obj_ = [
        u'XNAP-ELEMENTARY-PROCEDURE',
        u'XnAP-PDU',
        u'InitiatingMessage',
        u'SuccessfulOutcome',
        u'UnsuccessfulOutcome',
        u'XNAP-ELEMENTARY-PROCEDURES',
        u'XNAP-ELEMENTARY-PROCEDURES-CLASS-1',
        u'XNAP-ELEMENTARY-PROCEDURES-CLASS-2',
        u'handoverPreparation',
        u'sNStatusTransfer',
        u'handoverCancel',
        u'retrieveUEContext',
        u'rANPaging',
        u'xnUAddressIndication',
        u'uEContextRelease',
        u'sNGRANnodeAdditionPreparation',
        u'sNGRANnodeReconfigurationCompletion',
        u'mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'mNGRANnodeinitiatedSNGRANnodeRelease',
        u'sNGRANnodeinitiatedSNGRANnodeRelease',
        u'sNGRANnodeCounterCheck',
        u'sNGRANnodeChange',
        u'rRCTransfer',
        u'xnRemoval',
        u'xnSetup',
        u'nGRANnodeConfigurationUpdate',
        u'e-UTRA-NR-CellResourceCoordination',
        u'cellActivation',
        u'reset',
        u'errorIndication',
        u'notificationControl',
        u'activityNotification',
        u'privateMessage',
        u'secondaryRATDataUsageReport',
        ]
    _type_ = [
        u'XNAP-ELEMENTARY-PROCEDURE',
        u'XnAP-PDU',
        u'InitiatingMessage',
        u'SuccessfulOutcome',
        u'UnsuccessfulOutcome',
        ]
    _set_ = [
        u'XNAP-ELEMENTARY-PROCEDURES',
        u'XNAP-ELEMENTARY-PROCEDURES-CLASS-1',
        u'XNAP-ELEMENTARY-PROCEDURES-CLASS-2',
        ]
    _val_ = [
        u'handoverPreparation',
        u'sNStatusTransfer',
        u'handoverCancel',
        u'retrieveUEContext',
        u'rANPaging',
        u'xnUAddressIndication',
        u'uEContextRelease',
        u'sNGRANnodeAdditionPreparation',
        u'sNGRANnodeReconfigurationCompletion',
        u'mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'mNGRANnodeinitiatedSNGRANnodeRelease',
        u'sNGRANnodeinitiatedSNGRANnodeRelease',
        u'sNGRANnodeCounterCheck',
        u'sNGRANnodeChange',
        u'rRCTransfer',
        u'xnRemoval',
        u'xnSetup',
        u'nGRANnodeConfigurationUpdate',
        u'e-UTRA-NR-CellResourceCoordination',
        u'cellActivation',
        u'reset',
        u'errorIndication',
        u'notificationControl',
        u'activityNotification',
        u'privateMessage',
        u'secondaryRATDataUsageReport',
        ]
    _class_ = [
        u'XNAP-ELEMENTARY-PROCEDURE',
        u'XNAP-ELEMENTARY-PROCEDURES',
        u'XNAP-ELEMENTARY-PROCEDURES-CLASS-1',
        u'XNAP-ELEMENTARY-PROCEDURES-CLASS-2',
        u'handoverPreparation',
        u'sNStatusTransfer',
        u'handoverCancel',
        u'retrieveUEContext',
        u'rANPaging',
        u'xnUAddressIndication',
        u'uEContextRelease',
        u'sNGRANnodeAdditionPreparation',
        u'sNGRANnodeReconfigurationCompletion',
        u'mNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'sNGRANnodeinitiatedSNGRANnodeModificationPreparation',
        u'mNGRANnodeinitiatedSNGRANnodeRelease',
        u'sNGRANnodeinitiatedSNGRANnodeRelease',
        u'sNGRANnodeCounterCheck',
        u'sNGRANnodeChange',
        u'rRCTransfer',
        u'xnRemoval',
        u'xnSetup',
        u'nGRANnodeConfigurationUpdate',
        u'e-UTRA-NR-CellResourceCoordination',
        u'cellActivation',
        u'reset',
        u'errorIndication',
        u'notificationControl',
        u'activityNotification',
        u'privateMessage',
        u'secondaryRATDataUsageReport',
        ]
    _param_ = [
        ]
    
    #-----< XNAP-ELEMENTARY-PROCEDURE >-----#
    XNAP_ELEMENTARY_PROCEDURE = CLASS(name=u'XNAP-ELEMENTARY-PROCEDURE', mode=MODE_TYPE)
    _XNAP_ELEMENTARY_PROCEDURE_InitiatingMessage = OPEN(name=u'InitiatingMessage', mode=MODE_TYPE)
    _XNAP_ELEMENTARY_PROCEDURE_SuccessfulOutcome = OPEN(name=u'SuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _XNAP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome = OPEN(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, opt=True)
    _XNAP_ELEMENTARY_PROCEDURE_procedureCode = INT(name=u'procedureCode', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProcedureCode')), uniq=True)
    _XNAP_ELEMENTARY_PROCEDURE_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')), default=u'ignore')
    XNAP_ELEMENTARY_PROCEDURE._cont = ASN1Dict([
        (u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURE_InitiatingMessage),
        (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURE_SuccessfulOutcome),
        (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome),
        (u'procedureCode', _XNAP_ELEMENTARY_PROCEDURE_procedureCode),
        (u'criticality', _XNAP_ELEMENTARY_PROCEDURE_criticality),
        ])
    
    #-----< XnAP-PDU >-----#
    XnAP_PDU = CHOICE(name=u'XnAP-PDU', mode=MODE_TYPE)
    _XnAP_PDU_initiatingMessage = SEQ(name=u'initiatingMessage', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'InitiatingMessage')))
    _XnAP_PDU_successfulOutcome = SEQ(name=u'successfulOutcome', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'SuccessfulOutcome')))
    _XnAP_PDU_unsuccessfulOutcome = SEQ(name=u'unsuccessfulOutcome', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'UnsuccessfulOutcome')))
    XnAP_PDU._cont = ASN1Dict([
        (u'initiatingMessage', _XnAP_PDU_initiatingMessage),
        (u'successfulOutcome', _XnAP_PDU_successfulOutcome),
        (u'unsuccessfulOutcome', _XnAP_PDU_unsuccessfulOutcome),
        ])
    XnAP_PDU._ext = []
    
    #-----< InitiatingMessage >-----#
    InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE)
    _InitiatingMessage_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __InitiatingMessage_procedureCode_tab = CLASS(name='_tab_XNAP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_5 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_8 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_9 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_10 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_10 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_11 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_12 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_12 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_13 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_20 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_21 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_22 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_23 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_24 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_25 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_26 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    __InitiatingMessage_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_5), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6), (u'procedureCode', 12), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7), (u'procedureCode', 14), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_8), (u'procedureCode', 16), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_9), (u'procedureCode', 17), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_10), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_10), (u'procedureCode', 18), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_11), (u'procedureCode', 25), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_12), (u'UnsuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_12), (u'procedureCode', 19), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13), (u'SuccessfulOutcome', ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_13), (u'procedureCode', 20), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15), (u'procedureCode', 2), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_20), (u'procedureCode', 13), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_21), (u'procedureCode', 15), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_22), (u'procedureCode', 21), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_23), (u'procedureCode', 22), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_24), (u'procedureCode', 23), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_25), (u'procedureCode', 24), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_26), (u'procedureCode', 26), (u'criticality', u'reject')])], rr=[], ev=None, er=[])
    _InitiatingMessage_procedureCode._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_procedureCode._const_tab_at = None
    _InitiatingMessage_procedureCode._const_tab_id = u'procedureCode'
    _InitiatingMessage_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _InitiatingMessage_criticality._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_criticality._const_tab_at = ('..', u'procedureCode')
    _InitiatingMessage_criticality._const_tab_id = u'criticality'
    _InitiatingMessage_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'InitiatingMessage']))
    _InitiatingMessage_value._const_tab = __InitiatingMessage_procedureCode_tab
    _InitiatingMessage_value._const_tab_at = ('..', u'procedureCode')
    _InitiatingMessage_value._const_tab_id = u'InitiatingMessage'
    InitiatingMessage._cont = ASN1Dict([
        (u'procedureCode', _InitiatingMessage_procedureCode),
        (u'criticality', _InitiatingMessage_criticality),
        (u'value', _InitiatingMessage_value),
        ])
    InitiatingMessage._ext = None
    
    #-----< SuccessfulOutcome >-----#
    SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE)
    _SuccessfulOutcome_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __SuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_XNAP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    __SuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6), (u'procedureCode', 12), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7), (u'procedureCode', 14), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8), (u'procedureCode', 16), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9), (u'procedureCode', 17), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10), (u'procedureCode', 18), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11), (u'procedureCode', 25), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12), (u'UnsuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12), (u'procedureCode', 19), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13), (u'SuccessfulOutcome', ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13), (u'procedureCode', 20), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15), (u'procedureCode', 2), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20), (u'procedureCode', 13), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21), (u'procedureCode', 15), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22), (u'procedureCode', 21), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23), (u'procedureCode', 22), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24), (u'procedureCode', 23), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25), (u'procedureCode', 24), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26), (u'procedureCode', 26), (u'criticality', u'reject')])], rr=[], ev=None, er=[])
    _SuccessfulOutcome_procedureCode._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_procedureCode._const_tab_at = None
    _SuccessfulOutcome_procedureCode._const_tab_id = u'procedureCode'
    _SuccessfulOutcome_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _SuccessfulOutcome_criticality._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_criticality._const_tab_at = ('..', u'procedureCode')
    _SuccessfulOutcome_criticality._const_tab_id = u'criticality'
    _SuccessfulOutcome_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'SuccessfulOutcome']))
    _SuccessfulOutcome_value._const_tab = __SuccessfulOutcome_procedureCode_tab
    _SuccessfulOutcome_value._const_tab_at = ('..', u'procedureCode')
    _SuccessfulOutcome_value._const_tab_id = u'SuccessfulOutcome'
    SuccessfulOutcome._cont = ASN1Dict([
        (u'procedureCode', _SuccessfulOutcome_procedureCode),
        (u'criticality', _SuccessfulOutcome_criticality),
        (u'value', _SuccessfulOutcome_value),
        ])
    SuccessfulOutcome._ext = None
    
    #-----< UnsuccessfulOutcome >-----#
    UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE)
    _UnsuccessfulOutcome_procedureCode = INT(name=u'procedureCode', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'procedureCode']))
    __UnsuccessfulOutcome_procedureCode_tab = CLASS(name='_tab_XNAP-ELEMENTARY-PROCEDURE', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    __UnsuccessfulOutcome_procedureCode_tab._val = ASN1Set(rv=[dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6), (u'procedureCode', 12), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7), (u'procedureCode', 14), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8), (u'procedureCode', 16), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9), (u'procedureCode', 17), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10), (u'procedureCode', 18), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11), (u'procedureCode', 25), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12), (u'UnsuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12), (u'procedureCode', 19), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13), (u'SuccessfulOutcome', ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13), (u'procedureCode', 20), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15), (u'procedureCode', 2), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20), (u'procedureCode', 13), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21), (u'procedureCode', 15), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22), (u'procedureCode', 21), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23), (u'procedureCode', 22), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24), (u'procedureCode', 23), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25), (u'procedureCode', 24), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26), (u'procedureCode', 26), (u'criticality', u'reject')])], rr=[], ev=None, er=[])
    _UnsuccessfulOutcome_procedureCode._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_procedureCode._const_tab_at = None
    _UnsuccessfulOutcome_procedureCode._const_tab_id = u'procedureCode'
    _UnsuccessfulOutcome_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'criticality']))
    _UnsuccessfulOutcome_criticality._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_criticality._const_tab_at = ('..', u'procedureCode')
    _UnsuccessfulOutcome_criticality._const_tab_id = u'criticality'
    _UnsuccessfulOutcome_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE'), [u'UnsuccessfulOutcome']))
    _UnsuccessfulOutcome_value._const_tab = __UnsuccessfulOutcome_procedureCode_tab
    _UnsuccessfulOutcome_value._const_tab_at = ('..', u'procedureCode')
    _UnsuccessfulOutcome_value._const_tab_id = u'UnsuccessfulOutcome'
    UnsuccessfulOutcome._cont = ASN1Dict([
        (u'procedureCode', _UnsuccessfulOutcome_procedureCode),
        (u'criticality', _UnsuccessfulOutcome_criticality),
        (u'value', _UnsuccessfulOutcome_value),
        ])
    UnsuccessfulOutcome._ext = None
    
    #-----< XNAP-ELEMENTARY-PROCEDURES >-----#
    XNAP_ELEMENTARY_PROCEDURES = CLASS(name=u'XNAP-ELEMENTARY-PROCEDURES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_5 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_8 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_9 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_10 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_10 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_11 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_12 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_12 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_13 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_20 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_21 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_22 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_23 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_24 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_25 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_26 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    XNAP_ELEMENTARY_PROCEDURES._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_5), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6), (u'procedureCode', 12), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7), (u'procedureCode', 14), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_8), (u'procedureCode', 16), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_9), (u'procedureCode', 17), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_10), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_10), (u'procedureCode', 18), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_11), (u'procedureCode', 25), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_12), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_12), (u'procedureCode', 19), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_13), (u'procedureCode', 20), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15), (u'procedureCode', 2), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_20), (u'procedureCode', 13), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_21), (u'procedureCode', 15), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_22), (u'procedureCode', 21), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_23), (u'procedureCode', 22), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_24), (u'procedureCode', 23), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_25), (u'procedureCode', 24), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_26), (u'procedureCode', 26), (u'criticality', u'reject')])], rr=[], ev=[], er=[])
    
    #-----< XNAP-ELEMENTARY-PROCEDURES-CLASS-1 >-----#
    XNAP_ELEMENTARY_PROCEDURES_CLASS_1 = CLASS(name=u'XNAP-ELEMENTARY-PROCEDURES-CLASS-1', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_5 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_8 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_9 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_10 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_10 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_11 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_12 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_12 = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_13 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_13 = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    XNAP_ELEMENTARY_PROCEDURES_CLASS_1._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0), (u'procedureCode', 0), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1), (u'procedureCode', 3), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2), (u'procedureCode', 7), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3), (u'procedureCode', 9), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4), (u'procedureCode', 10), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_5), (u'procedureCode', 11), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6), (u'procedureCode', 12), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7), (u'procedureCode', 14), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_8), (u'procedureCode', 16), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_9), (u'procedureCode', 17), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_10), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_10), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_10), (u'procedureCode', 18), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_11), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_11), (u'procedureCode', 25), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_12), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_12), (u'UnsuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_12), (u'procedureCode', 19), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_13), (u'SuccessfulOutcome', _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_13), (u'procedureCode', 20), (u'criticality', u'reject')])], rr=[], ev=[], er=[])
    
    #-----< XNAP-ELEMENTARY-PROCEDURES-CLASS-2 >-----#
    XNAP_ELEMENTARY_PROCEDURES_CLASS_2 = CLASS(name=u'XNAP-ELEMENTARY-PROCEDURES-CLASS-2', mode=MODE_SET, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_10 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_11 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_12 = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    XNAP_ELEMENTARY_PROCEDURES_CLASS_2._val = ASN1Set(rv=[dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0), (u'procedureCode', 1), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1), (u'procedureCode', 2), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2), (u'procedureCode', 4), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3), (u'procedureCode', 5), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4), (u'procedureCode', 6), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5), (u'procedureCode', 8), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6), (u'procedureCode', 13), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7), (u'procedureCode', 15), (u'criticality', u'reject')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8), (u'procedureCode', 21), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9), (u'procedureCode', 22), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_10), (u'procedureCode', 23), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_11), (u'procedureCode', 24), (u'criticality', u'ignore')]), dict([(u'InitiatingMessage', _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_12), (u'procedureCode', 26), (u'criticality', u'reject')])], rr=[], ev=[], er=[])
    
    #-----< handoverPreparation >-----#
    handoverPreparation = CLASS(name=u'handoverPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _handoverPreparation_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequest')))
    _handoverPreparation_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverRequestAcknowledge')))
    _handoverPreparation_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverPreparationFailure')))
    handoverPreparation._val = dict([(u'InitiatingMessage', _handoverPreparation_val_InitiatingMessage), (u'SuccessfulOutcome', _handoverPreparation_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _handoverPreparation_val_UnsuccessfulOutcome), (u'procedureCode', 0), (u'criticality', u'reject')])
    
    #-----< sNStatusTransfer >-----#
    sNStatusTransfer = CLASS(name=u'sNStatusTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNStatusTransfer_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNStatusTransfer')))
    sNStatusTransfer._val = dict([(u'InitiatingMessage', _sNStatusTransfer_val_InitiatingMessage), (u'procedureCode', 1), (u'criticality', u'ignore')])
    
    #-----< handoverCancel >-----#
    handoverCancel = CLASS(name=u'handoverCancel', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _handoverCancel_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'HandoverCancel')))
    handoverCancel._val = dict([(u'InitiatingMessage', _handoverCancel_val_InitiatingMessage), (u'procedureCode', 2), (u'criticality', u'ignore')])
    
    #-----< retrieveUEContext >-----#
    retrieveUEContext = CLASS(name=u'retrieveUEContext', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _retrieveUEContext_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextRequest')))
    _retrieveUEContext_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextResponse')))
    _retrieveUEContext_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RetrieveUEContextFailure')))
    retrieveUEContext._val = dict([(u'InitiatingMessage', _retrieveUEContext_val_InitiatingMessage), (u'SuccessfulOutcome', _retrieveUEContext_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _retrieveUEContext_val_UnsuccessfulOutcome), (u'procedureCode', 3), (u'criticality', u'reject')])
    
    #-----< rANPaging >-----#
    rANPaging = CLASS(name=u'rANPaging', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _rANPaging_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RANPaging')))
    rANPaging._val = dict([(u'InitiatingMessage', _rANPaging_val_InitiatingMessage), (u'procedureCode', 4), (u'criticality', u'reject')])
    
    #-----< xnUAddressIndication >-----#
    xnUAddressIndication = CLASS(name=u'xnUAddressIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _xnUAddressIndication_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnUAddressIndication')))
    xnUAddressIndication._val = dict([(u'InitiatingMessage', _xnUAddressIndication_val_InitiatingMessage), (u'procedureCode', 5), (u'criticality', u'reject')])
    
    #-----< uEContextRelease >-----#
    uEContextRelease = CLASS(name=u'uEContextRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _uEContextRelease_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRelease')))
    uEContextRelease._val = dict([(u'InitiatingMessage', _uEContextRelease_val_InitiatingMessage), (u'procedureCode', 6), (u'criticality', u'reject')])
    
    #-----< sNGRANnodeAdditionPreparation >-----#
    sNGRANnodeAdditionPreparation = CLASS(name=u'sNGRANnodeAdditionPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeAdditionPreparation_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequest')))
    _sNGRANnodeAdditionPreparation_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestAcknowledge')))
    _sNGRANnodeAdditionPreparation_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeAdditionRequestReject')))
    sNGRANnodeAdditionPreparation._val = dict([(u'InitiatingMessage', _sNGRANnodeAdditionPreparation_val_InitiatingMessage), (u'SuccessfulOutcome', _sNGRANnodeAdditionPreparation_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _sNGRANnodeAdditionPreparation_val_UnsuccessfulOutcome), (u'procedureCode', 7), (u'criticality', u'reject')])
    
    #-----< sNGRANnodeReconfigurationCompletion >-----#
    sNGRANnodeReconfigurationCompletion = CLASS(name=u'sNGRANnodeReconfigurationCompletion', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeReconfigurationCompletion_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReconfigurationComplete')))
    sNGRANnodeReconfigurationCompletion._val = dict([(u'InitiatingMessage', _sNGRANnodeReconfigurationCompletion_val_InitiatingMessage), (u'procedureCode', 8), (u'criticality', u'reject')])
    
    #-----< mNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    mNGRANnodeinitiatedSNGRANnodeModificationPreparation = CLASS(name=u'mNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequest')))
    _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestAcknowledge')))
    _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequestReject')))
    mNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = dict([(u'InitiatingMessage', _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage), (u'SuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome), (u'procedureCode', 9), (u'criticality', u'reject')])
    
    #-----< sNGRANnodeinitiatedSNGRANnodeModificationPreparation >-----#
    sNGRANnodeinitiatedSNGRANnodeModificationPreparation = CLASS(name=u'sNGRANnodeinitiatedSNGRANnodeModificationPreparation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRequired')))
    _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationConfirm')))
    _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeModificationRefuse')))
    sNGRANnodeinitiatedSNGRANnodeModificationPreparation._val = dict([(u'InitiatingMessage', _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage), (u'SuccessfulOutcome', _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome), (u'procedureCode', 10), (u'criticality', u'reject')])
    
    #-----< mNGRANnodeinitiatedSNGRANnodeRelease >-----#
    mNGRANnodeinitiatedSNGRANnodeRelease = CLASS(name=u'mNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _mNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequest')))
    _mNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequestAcknowledge')))
    _mNGRANnodeinitiatedSNGRANnodeRelease_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseReject')))
    mNGRANnodeinitiatedSNGRANnodeRelease._val = dict([(u'InitiatingMessage', _mNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage), (u'SuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _mNGRANnodeinitiatedSNGRANnodeRelease_val_UnsuccessfulOutcome), (u'procedureCode', 11), (u'criticality', u'reject')])
    
    #-----< sNGRANnodeinitiatedSNGRANnodeRelease >-----#
    sNGRANnodeinitiatedSNGRANnodeRelease = CLASS(name=u'sNGRANnodeinitiatedSNGRANnodeRelease', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseRequired')))
    _sNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeReleaseConfirm')))
    sNGRANnodeinitiatedSNGRANnodeRelease._val = dict([(u'InitiatingMessage', _sNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage), (u'SuccessfulOutcome', _sNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome), (u'procedureCode', 12), (u'criticality', u'reject')])
    
    #-----< sNGRANnodeCounterCheck >-----#
    sNGRANnodeCounterCheck = CLASS(name=u'sNGRANnodeCounterCheck', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeCounterCheck_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeCounterCheckRequest')))
    sNGRANnodeCounterCheck._val = dict([(u'InitiatingMessage', _sNGRANnodeCounterCheck_val_InitiatingMessage), (u'procedureCode', 13), (u'criticality', u'reject')])
    
    #-----< sNGRANnodeChange >-----#
    sNGRANnodeChange = CLASS(name=u'sNGRANnodeChange', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _sNGRANnodeChange_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRequired')))
    _sNGRANnodeChange_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeConfirm')))
    _sNGRANnodeChange_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SNodeChangeRefuse')))
    sNGRANnodeChange._val = dict([(u'InitiatingMessage', _sNGRANnodeChange_val_InitiatingMessage), (u'SuccessfulOutcome', _sNGRANnodeChange_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _sNGRANnodeChange_val_UnsuccessfulOutcome), (u'procedureCode', 14), (u'criticality', u'reject')])
    
    #-----< rRCTransfer >-----#
    rRCTransfer = CLASS(name=u'rRCTransfer', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _rRCTransfer_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RRCTransfer')))
    rRCTransfer._val = dict([(u'InitiatingMessage', _rRCTransfer_val_InitiatingMessage), (u'procedureCode', 15), (u'criticality', u'reject')])
    
    #-----< xnRemoval >-----#
    xnRemoval = CLASS(name=u'xnRemoval', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _xnRemoval_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalRequest')))
    _xnRemoval_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalResponse')))
    _xnRemoval_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnRemovalFailure')))
    xnRemoval._val = dict([(u'InitiatingMessage', _xnRemoval_val_InitiatingMessage), (u'SuccessfulOutcome', _xnRemoval_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _xnRemoval_val_UnsuccessfulOutcome), (u'procedureCode', 16), (u'criticality', u'reject')])
    
    #-----< xnSetup >-----#
    xnSetup = CLASS(name=u'xnSetup', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _xnSetup_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupRequest')))
    _xnSetup_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupResponse')))
    _xnSetup_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'XnSetupFailure')))
    xnSetup._val = dict([(u'InitiatingMessage', _xnSetup_val_InitiatingMessage), (u'SuccessfulOutcome', _xnSetup_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _xnSetup_val_UnsuccessfulOutcome), (u'procedureCode', 17), (u'criticality', u'reject')])
    
    #-----< nGRANnodeConfigurationUpdate >-----#
    nGRANnodeConfigurationUpdate = CLASS(name=u'nGRANnodeConfigurationUpdate', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _nGRANnodeConfigurationUpdate_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdate')))
    _nGRANnodeConfigurationUpdate_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateAcknowledge')))
    _nGRANnodeConfigurationUpdate_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NGRANNodeConfigurationUpdateFailure')))
    nGRANnodeConfigurationUpdate._val = dict([(u'InitiatingMessage', _nGRANnodeConfigurationUpdate_val_InitiatingMessage), (u'SuccessfulOutcome', _nGRANnodeConfigurationUpdate_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _nGRANnodeConfigurationUpdate_val_UnsuccessfulOutcome), (u'procedureCode', 18), (u'criticality', u'reject')])
    
    #-----< e-UTRA-NR-CellResourceCoordination >-----#
    e_UTRA_NR_CellResourceCoordination = CLASS(name=u'e-UTRA-NR-CellResourceCoordination', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _e_UTRA_NR_CellResourceCoordination_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationRequest')))
    _e_UTRA_NR_CellResourceCoordination_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'E-UTRA-NR-CellResourceCoordinationResponse')))
    e_UTRA_NR_CellResourceCoordination._val = dict([(u'InitiatingMessage', _e_UTRA_NR_CellResourceCoordination_val_InitiatingMessage), (u'SuccessfulOutcome', _e_UTRA_NR_CellResourceCoordination_val_SuccessfulOutcome), (u'procedureCode', 25), (u'criticality', u'reject')])
    
    #-----< cellActivation >-----#
    cellActivation = CLASS(name=u'cellActivation', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _cellActivation_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationRequest')))
    _cellActivation_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationResponse')))
    _cellActivation_val_UnsuccessfulOutcome = SEQ(name=u'UnsuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'CellActivationFailure')))
    cellActivation._val = dict([(u'InitiatingMessage', _cellActivation_val_InitiatingMessage), (u'SuccessfulOutcome', _cellActivation_val_SuccessfulOutcome), (u'UnsuccessfulOutcome', _cellActivation_val_UnsuccessfulOutcome), (u'procedureCode', 19), (u'criticality', u'reject')])
    
    #-----< reset >-----#
    reset = CLASS(name=u'reset', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _reset_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetRequest')))
    _reset_val_SuccessfulOutcome = SEQ(name=u'SuccessfulOutcome', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResetResponse')))
    reset._val = dict([(u'InitiatingMessage', _reset_val_InitiatingMessage), (u'SuccessfulOutcome', _reset_val_SuccessfulOutcome), (u'procedureCode', 20), (u'criticality', u'reject')])
    
    #-----< errorIndication >-----#
    errorIndication = CLASS(name=u'errorIndication', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _errorIndication_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ErrorIndication')))
    errorIndication._val = dict([(u'InitiatingMessage', _errorIndication_val_InitiatingMessage), (u'procedureCode', 21), (u'criticality', u'ignore')])
    
    #-----< notificationControl >-----#
    notificationControl = CLASS(name=u'notificationControl', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _notificationControl_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'NotificationControlIndication')))
    notificationControl._val = dict([(u'InitiatingMessage', _notificationControl_val_InitiatingMessage), (u'procedureCode', 23), (u'criticality', u'ignore')])
    
    #-----< activityNotification >-----#
    activityNotification = CLASS(name=u'activityNotification', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _activityNotification_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivityNotification')))
    activityNotification._val = dict([(u'InitiatingMessage', _activityNotification_val_InitiatingMessage), (u'procedureCode', 24), (u'criticality', u'ignore')])
    
    #-----< privateMessage >-----#
    privateMessage = CLASS(name=u'privateMessage', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _privateMessage_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PrivateMessage')))
    privateMessage._val = dict([(u'InitiatingMessage', _privateMessage_val_InitiatingMessage), (u'procedureCode', 22), (u'criticality', u'ignore')])
    
    #-----< secondaryRATDataUsageReport >-----#
    secondaryRATDataUsageReport = CLASS(name=u'secondaryRATDataUsageReport', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-PDU-Descriptions', 'XNAP-ELEMENTARY-PROCEDURE')))
    _secondaryRATDataUsageReport_val_InitiatingMessage = SEQ(name=u'InitiatingMessage', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SecondaryRATDataUsageReport')))
    secondaryRATDataUsageReport._val = dict([(u'InitiatingMessage', _secondaryRATDataUsageReport_val_InitiatingMessage), (u'procedureCode', 26), (u'criticality', u'reject')])
    
    _all_ = [
        _XNAP_ELEMENTARY_PROCEDURE_InitiatingMessage,
        _XNAP_ELEMENTARY_PROCEDURE_SuccessfulOutcome,
        _XNAP_ELEMENTARY_PROCEDURE_UnsuccessfulOutcome,
        _XNAP_ELEMENTARY_PROCEDURE_procedureCode,
        _XNAP_ELEMENTARY_PROCEDURE_criticality,
        XNAP_ELEMENTARY_PROCEDURE,
        _XnAP_PDU_initiatingMessage,
        _XnAP_PDU_successfulOutcome,
        _XnAP_PDU_unsuccessfulOutcome,
        XnAP_PDU,
        __InitiatingMessage_procedureCode_tab,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_0,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_1,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_2,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_2,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_3,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_3,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_4,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_4,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_5,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_5,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_5,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_6,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_6,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_7,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_7,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_8,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_8,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_8,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_9,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_9,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_9,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_10,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_10,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_10,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_11,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_11,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_12,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_12,
        ___InitiatingMessage_procedureCode_tab_val_UnsuccessfulOutcome_12,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_13,
        ___InitiatingMessage_procedureCode_tab_val_SuccessfulOutcome_13,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_14,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_15,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_16,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_17,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_18,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_19,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_20,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_21,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_22,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_23,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_24,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_25,
        ___InitiatingMessage_procedureCode_tab_val_InitiatingMessage_26,
        _InitiatingMessage_procedureCode,
        _InitiatingMessage_criticality,
        _InitiatingMessage_value,
        InitiatingMessage,
        __SuccessfulOutcome_procedureCode_tab,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12,
        ___SuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13,
        ___SuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25,
        ___SuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26,
        _SuccessfulOutcome_procedureCode,
        _SuccessfulOutcome_criticality,
        _SuccessfulOutcome_value,
        SuccessfulOutcome,
        __UnsuccessfulOutcome_procedureCode_tab,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_0,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_1,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_2,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_3,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_4,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_5,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_6,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_7,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_8,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_9,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_10,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_11,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_11,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_UnsuccessfulOutcome_12,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_13,
        ___UnsuccessfulOutcome_procedureCode_tab_val_SuccessfulOutcome_13,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_14,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_15,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_16,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_17,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_18,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_19,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_20,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_21,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_22,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_23,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_24,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_25,
        ___UnsuccessfulOutcome_procedureCode_tab_val_InitiatingMessage_26,
        _UnsuccessfulOutcome_procedureCode,
        _UnsuccessfulOutcome_criticality,
        _UnsuccessfulOutcome_value,
        UnsuccessfulOutcome,
        XNAP_ELEMENTARY_PROCEDURES,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_0,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_1,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_2,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_3,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_4,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_5,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_6,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_6,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_7,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_8,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_9,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_10,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_11,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_11,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_12,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_val_UnsuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_13,
        _XNAP_ELEMENTARY_PROCEDURES_val_SuccessfulOutcome_13,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_14,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_15,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_16,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_17,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_18,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_19,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_20,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_21,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_22,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_23,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_24,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_25,
        _XNAP_ELEMENTARY_PROCEDURES_val_InitiatingMessage_26,
        XNAP_ELEMENTARY_PROCEDURES_CLASS_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_6,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_6,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_11,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_11,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_UnsuccessfulOutcome_12,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_InitiatingMessage_13,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_1_val_SuccessfulOutcome_13,
        XNAP_ELEMENTARY_PROCEDURES_CLASS_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_0,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_1,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_2,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_3,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_4,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_5,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_6,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_7,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_8,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_9,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_10,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_11,
        _XNAP_ELEMENTARY_PROCEDURES_CLASS_2_val_InitiatingMessage_12,
        handoverPreparation,
        _handoverPreparation_val_InitiatingMessage,
        _handoverPreparation_val_SuccessfulOutcome,
        _handoverPreparation_val_UnsuccessfulOutcome,
        sNStatusTransfer,
        _sNStatusTransfer_val_InitiatingMessage,
        handoverCancel,
        _handoverCancel_val_InitiatingMessage,
        retrieveUEContext,
        _retrieveUEContext_val_InitiatingMessage,
        _retrieveUEContext_val_SuccessfulOutcome,
        _retrieveUEContext_val_UnsuccessfulOutcome,
        rANPaging,
        _rANPaging_val_InitiatingMessage,
        xnUAddressIndication,
        _xnUAddressIndication_val_InitiatingMessage,
        uEContextRelease,
        _uEContextRelease_val_InitiatingMessage,
        sNGRANnodeAdditionPreparation,
        _sNGRANnodeAdditionPreparation_val_InitiatingMessage,
        _sNGRANnodeAdditionPreparation_val_SuccessfulOutcome,
        _sNGRANnodeAdditionPreparation_val_UnsuccessfulOutcome,
        sNGRANnodeReconfigurationCompletion,
        _sNGRANnodeReconfigurationCompletion_val_InitiatingMessage,
        mNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage,
        _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome,
        _mNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome,
        sNGRANnodeinitiatedSNGRANnodeModificationPreparation,
        _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_InitiatingMessage,
        _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_SuccessfulOutcome,
        _sNGRANnodeinitiatedSNGRANnodeModificationPreparation_val_UnsuccessfulOutcome,
        mNGRANnodeinitiatedSNGRANnodeRelease,
        _mNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage,
        _mNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome,
        _mNGRANnodeinitiatedSNGRANnodeRelease_val_UnsuccessfulOutcome,
        sNGRANnodeinitiatedSNGRANnodeRelease,
        _sNGRANnodeinitiatedSNGRANnodeRelease_val_InitiatingMessage,
        _sNGRANnodeinitiatedSNGRANnodeRelease_val_SuccessfulOutcome,
        sNGRANnodeCounterCheck,
        _sNGRANnodeCounterCheck_val_InitiatingMessage,
        sNGRANnodeChange,
        _sNGRANnodeChange_val_InitiatingMessage,
        _sNGRANnodeChange_val_SuccessfulOutcome,
        _sNGRANnodeChange_val_UnsuccessfulOutcome,
        rRCTransfer,
        _rRCTransfer_val_InitiatingMessage,
        xnRemoval,
        _xnRemoval_val_InitiatingMessage,
        _xnRemoval_val_SuccessfulOutcome,
        _xnRemoval_val_UnsuccessfulOutcome,
        xnSetup,
        _xnSetup_val_InitiatingMessage,
        _xnSetup_val_SuccessfulOutcome,
        _xnSetup_val_UnsuccessfulOutcome,
        nGRANnodeConfigurationUpdate,
        _nGRANnodeConfigurationUpdate_val_InitiatingMessage,
        _nGRANnodeConfigurationUpdate_val_SuccessfulOutcome,
        _nGRANnodeConfigurationUpdate_val_UnsuccessfulOutcome,
        e_UTRA_NR_CellResourceCoordination,
        _e_UTRA_NR_CellResourceCoordination_val_InitiatingMessage,
        _e_UTRA_NR_CellResourceCoordination_val_SuccessfulOutcome,
        cellActivation,
        _cellActivation_val_InitiatingMessage,
        _cellActivation_val_SuccessfulOutcome,
        _cellActivation_val_UnsuccessfulOutcome,
        reset,
        _reset_val_InitiatingMessage,
        _reset_val_SuccessfulOutcome,
        errorIndication,
        _errorIndication_val_InitiatingMessage,
        notificationControl,
        _notificationControl_val_InitiatingMessage,
        activityNotification,
        _activityNotification_val_InitiatingMessage,
        privateMessage,
        _privateMessage_val_InitiatingMessage,
        secondaryRATDataUsageReport,
        _secondaryRATDataUsageReport_val_InitiatingMessage,
    ]

class XnAP_Containers:

    _name_  = u'XnAP-Containers'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 5]
    
    _obj_ = [
        u'XNAP-PROTOCOL-IES',
        u'XNAP-PROTOCOL-IES-PAIR',
        u'XNAP-PROTOCOL-EXTENSION',
        u'XNAP-PRIVATE-IES',
        u'ProtocolIE-Container',
        u'ProtocolIE-Single-Container',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerPair',
        u'ProtocolIE-FieldPair',
        u'ProtocolIE-ContainerList',
        u'ProtocolIE-ContainerPairList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    _type_ = [
        u'XNAP-PROTOCOL-IES',
        u'XNAP-PROTOCOL-IES-PAIR',
        u'XNAP-PROTOCOL-EXTENSION',
        u'XNAP-PRIVATE-IES',
        u'ProtocolIE-Container',
        u'ProtocolIE-Single-Container',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerPair',
        u'ProtocolIE-FieldPair',
        u'ProtocolIE-ContainerList',
        u'ProtocolIE-ContainerPairList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    _set_ = [
        ]
    _val_ = [
        ]
    _class_ = [
        u'XNAP-PROTOCOL-IES',
        u'XNAP-PROTOCOL-IES-PAIR',
        u'XNAP-PROTOCOL-EXTENSION',
        u'XNAP-PRIVATE-IES',
        ]
    _param_ = [
        u'ProtocolIE-Container',
        u'ProtocolIE-Single-Container',
        u'ProtocolIE-Field',
        u'ProtocolIE-ContainerPair',
        u'ProtocolIE-FieldPair',
        u'ProtocolIE-ContainerList',
        u'ProtocolIE-ContainerPairList',
        u'ProtocolExtensionContainer',
        u'ProtocolExtensionField',
        u'PrivateIE-Container',
        u'PrivateIE-Field',
        ]
    
    #-----< XNAP-PROTOCOL-IES >-----#
    XNAP_PROTOCOL_IES = CLASS(name=u'XNAP-PROTOCOL-IES', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _XNAP_PROTOCOL_IES_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_IES_Value = OPEN(name=u'Value', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PROTOCOL_IES._cont = ASN1Dict([
        (u'id', _XNAP_PROTOCOL_IES_id),
        (u'criticality', _XNAP_PROTOCOL_IES_criticality),
        (u'Value', _XNAP_PROTOCOL_IES_Value),
        (u'presence', _XNAP_PROTOCOL_IES_presence),
        ])
    
    #-----< XNAP-PROTOCOL-IES-PAIR >-----#
    XNAP_PROTOCOL_IES_PAIR = CLASS(name=u'XNAP-PROTOCOL-IES-PAIR', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_PAIR_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _XNAP_PROTOCOL_IES_PAIR_firstCriticality = ENUM(name=u'firstCriticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_IES_PAIR_FirstValue = OPEN(name=u'FirstValue', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_PAIR_secondCriticality = ENUM(name=u'secondCriticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_IES_PAIR_SecondValue = OPEN(name=u'SecondValue', mode=MODE_TYPE)
    _XNAP_PROTOCOL_IES_PAIR_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PROTOCOL_IES_PAIR._cont = ASN1Dict([
        (u'id', _XNAP_PROTOCOL_IES_PAIR_id),
        (u'firstCriticality', _XNAP_PROTOCOL_IES_PAIR_firstCriticality),
        (u'FirstValue', _XNAP_PROTOCOL_IES_PAIR_FirstValue),
        (u'secondCriticality', _XNAP_PROTOCOL_IES_PAIR_secondCriticality),
        (u'SecondValue', _XNAP_PROTOCOL_IES_PAIR_SecondValue),
        (u'presence', _XNAP_PROTOCOL_IES_PAIR_presence),
        ])
    
    #-----< XNAP-PROTOCOL-EXTENSION >-----#
    XNAP_PROTOCOL_EXTENSION = CLASS(name=u'XNAP-PROTOCOL-EXTENSION', mode=MODE_TYPE)
    _XNAP_PROTOCOL_EXTENSION_id = INT(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'ProtocolIE-ID')), uniq=True)
    _XNAP_PROTOCOL_EXTENSION_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PROTOCOL_EXTENSION_Extension = OPEN(name=u'Extension', mode=MODE_TYPE)
    _XNAP_PROTOCOL_EXTENSION_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PROTOCOL_EXTENSION._cont = ASN1Dict([
        (u'id', _XNAP_PROTOCOL_EXTENSION_id),
        (u'criticality', _XNAP_PROTOCOL_EXTENSION_criticality),
        (u'Extension', _XNAP_PROTOCOL_EXTENSION_Extension),
        (u'presence', _XNAP_PROTOCOL_EXTENSION_presence),
        ])
    
    #-----< XNAP-PRIVATE-IES >-----#
    XNAP_PRIVATE_IES = CLASS(name=u'XNAP-PRIVATE-IES', mode=MODE_TYPE)
    _XNAP_PRIVATE_IES_id = CHOICE(name=u'id', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'PrivateIE-ID')))
    _XNAP_PRIVATE_IES_criticality = ENUM(name=u'criticality', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Criticality')))
    _XNAP_PRIVATE_IES_Value = OPEN(name=u'Value', mode=MODE_TYPE)
    _XNAP_PRIVATE_IES_presence = ENUM(name=u'presence', mode=MODE_VALUE, typeref=ASN1RefType(('XnAP-CommonDataTypes', 'Presence')))
    XNAP_PRIVATE_IES._cont = ASN1Dict([
        (u'id', _XNAP_PRIVATE_IES_id),
        (u'criticality', _XNAP_PRIVATE_IES_criticality),
        (u'Value', _XNAP_PRIVATE_IES_Value),
        (u'presence', _XNAP_PRIVATE_IES_presence),
        ])
    
    #-----< ProtocolIE-Container >-----#
    ProtocolIE_Container = SEQ_OF(name=u'ProtocolIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-Single-Container >-----#
    ProtocolIE_Single_Container = SEQ(name=u'ProtocolIE-Single-Container', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')), param=True)
    
    #-----< ProtocolIE-Field >-----#
    ProtocolIE_Field = SEQ(name=u'ProtocolIE-Field', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerPair >-----#
    ProtocolIE_ContainerPair = SEQ_OF(name=u'ProtocolIE-ContainerPair', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-FieldPair >-----#
    ProtocolIE_FieldPair = SEQ(name=u'ProtocolIE-FieldPair', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerList >-----#
    ProtocolIE_ContainerList = SEQ_OF(name=u'ProtocolIE-ContainerList', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolIE-ContainerPairList >-----#
    ProtocolIE_ContainerPairList = SEQ_OF(name=u'ProtocolIE-ContainerPairList', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionContainer >-----#
    ProtocolExtensionContainer = SEQ_OF(name=u'ProtocolExtensionContainer', mode=MODE_TYPE, param=True)
    
    #-----< ProtocolExtensionField >-----#
    ProtocolExtensionField = SEQ(name=u'ProtocolExtensionField', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Container >-----#
    PrivateIE_Container = SEQ_OF(name=u'PrivateIE-Container', mode=MODE_TYPE, param=True)
    
    #-----< PrivateIE-Field >-----#
    PrivateIE_Field = SEQ(name=u'PrivateIE-Field', mode=MODE_TYPE, param=True)
    
    _all_ = [
        _XNAP_PROTOCOL_IES_id,
        _XNAP_PROTOCOL_IES_criticality,
        _XNAP_PROTOCOL_IES_Value,
        _XNAP_PROTOCOL_IES_presence,
        XNAP_PROTOCOL_IES,
        _XNAP_PROTOCOL_IES_PAIR_id,
        _XNAP_PROTOCOL_IES_PAIR_firstCriticality,
        _XNAP_PROTOCOL_IES_PAIR_FirstValue,
        _XNAP_PROTOCOL_IES_PAIR_secondCriticality,
        _XNAP_PROTOCOL_IES_PAIR_SecondValue,
        _XNAP_PROTOCOL_IES_PAIR_presence,
        XNAP_PROTOCOL_IES_PAIR,
        _XNAP_PROTOCOL_EXTENSION_id,
        _XNAP_PROTOCOL_EXTENSION_criticality,
        _XNAP_PROTOCOL_EXTENSION_Extension,
        _XNAP_PROTOCOL_EXTENSION_presence,
        XNAP_PROTOCOL_EXTENSION,
        _XNAP_PRIVATE_IES_id,
        _XNAP_PRIVATE_IES_criticality,
        _XNAP_PRIVATE_IES_Value,
        _XNAP_PRIVATE_IES_presence,
        XNAP_PRIVATE_IES,
    ]

class XnAP_PDU_Contents:

    _name_  = u'XnAP-PDU-Contents'
    _oid_   = [0, 4, 0, 0, 22, 3, 2, 1, 1]
    
    _obj_ = [
        u'HandoverRequest',
        u'HandoverRequest-IEs',
        u'UEContextInfoHORequest',
        u'UEContextInfoHORequest-ExtIEs',
        u'UEContextRefAtSN-HORequest',
        u'UEContextRefAtSN-HORequest-ExtIEs',
        u'HandoverRequestAcknowledge',
        u'HandoverRequestAcknowledge-IEs',
        u'HandoverPreparationFailure',
        u'HandoverPreparationFailure-IEs',
        u'SNStatusTransfer',
        u'SNStatusTransfer-IEs',
        u'UEContextRelease',
        u'UEContextRelease-IEs',
        u'HandoverCancel',
        u'HandoverCancel-IEs',
        u'RANPaging',
        u'RANPaging-IEs',
        u'RetrieveUEContextRequest',
        u'RetrieveUEContextRequest-IEs',
        u'RetrieveUEContextResponse',
        u'RetrieveUEContextResponse-IEs',
        u'RetrieveUEContextFailure',
        u'RetrieveUEContextFailure-IEs',
        u'XnUAddressIndication',
        u'XnUAddressIndication-IEs',
        u'SNodeAdditionRequest',
        u'SNodeAdditionRequest-IEs',
        u'PDUSessionToBeAddedAddReq',
        u'PDUSessionToBeAddedAddReq-Item',
        u'PDUSessionToBeAddedAddReq-Item-ExtIEs',
        u'SNodeAdditionRequestAcknowledge',
        u'SNodeAdditionRequestAcknowledge-IEs',
        u'PDUSessionAdmittedAddedAddReqAck',
        u'PDUSessionAdmittedAddedAddReqAck-Item',
        u'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs',
        u'PDUSessionNotAdmittedAddReqAck',
        u'PDUSessionNotAdmittedAddReqAck-ExtIEs',
        u'SNodeAdditionRequestReject',
        u'SNodeAdditionRequestReject-IEs',
        u'SNodeReconfigurationComplete',
        u'SNodeReconfigurationComplete-IEs',
        u'ResponseInfo-ReconfCompl',
        u'ResponseInfo-ReconfCompl-ExtIEs',
        u'ResponseType-ReconfComplete',
        u'ResponseType-ReconfComplete-ExtIEs',
        u'Configuration-successfully-applied',
        u'Configuration-successfully-applied-ExtIEs',
        u'Configuration-rejected-by-M-NG-RANNode',
        u'Configuration-rejected-by-M-NG-RANNode-ExtIEs',
        u'SNodeModificationRequest',
        u'SNodeModificationRequest-IEs',
        u'UEContextInfo-SNModRequest',
        u'UEContextInfo-SNModRequest-ExtIEs',
        u'PDUSessionsToBeAdded-SNModRequest-List',
        u'PDUSessionsToBeAdded-SNModRequest-Item',
        u'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs',
        u'PDUSessionsToBeModified-SNModRequest-List',
        u'PDUSessionsToBeModified-SNModRequest-Item',
        u'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs',
        u'PDUSessionsToBeReleased-SNModRequest-List',
        u'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs',
        u'SNodeModificationRequestAcknowledge',
        u'SNodeModificationRequestAcknowledge-IEs',
        u'PDUSessionAdmitted-SNModResponse',
        u'PDUSessionAdmitted-SNModResponse-ExtIEs',
        u'PDUSessionAdmittedToBeAddedSNModResponse',
        u'PDUSessionAdmittedToBeAddedSNModResponse-Item',
        u'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs',
        u'PDUSessionAdmittedToBeModifiedSNModResponse',
        u'PDUSessionAdmittedToBeModifiedSNModResponse-Item',
        u'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs',
        u'PDUSessionAdmittedToBeReleasedSNModResponse',
        u'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs',
        u'PDUSessionNotAdmitted-SNModResponse',
        u'PDUSessionNotAdmitted-SNModResponse-ExtIEs',
        u'PDUSessionDataForwarding-SNModResponse',
        u'PDUSessionDataForwarding-SNModResponse-ExtIEs',
        u'SNodeModificationRequestReject',
        u'SNodeModificationRequestReject-IEs',
        u'SNodeModificationRequired',
        u'SNodeModificationRequired-IEs',
        u'PDUSessionToBeModifiedSNModRequired',
        u'PDUSessionToBeModifiedSNModRequired-Item',
        u'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs',
        u'PDUSessionToBeReleasedSNModRequired',
        u'PDUSessionToBeReleasedSNModRequired-ExtIEs',
        u'SNodeModificationConfirm',
        u'SNodeModificationConfirm-IEs',
        u'PDUSessionAdmittedModSNModConfirm',
        u'PDUSessionAdmittedModSNModConfirm-Item',
        u'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs',
        u'PDUSessionReleasedSNModConfirm',
        u'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs',
        u'SNodeModificationRefuse',
        u'SNodeModificationRefuse-IEs',
        u'SNodeReleaseRequest',
        u'SNodeReleaseRequest-IEs',
        u'SNodeReleaseRequestAcknowledge',
        u'SNodeReleaseRequestAcknowledge-IEs',
        u'PDUSessionToBeReleasedList-RelReqAck',
        u'PDUSessionToBeReleasedList-RelReqAck-ExtIEs',
        u'SNodeReleaseReject',
        u'SNodeReleaseReject-IEs',
        u'SNodeReleaseRequired',
        u'SNodeReleaseRequired-IEs',
        u'PDUSessionToBeReleasedList-RelRqd',
        u'PDUSessionToBeReleasedList-RelRqd-ExtIEs',
        u'SNodeReleaseConfirm',
        u'SNodeReleaseConfirm-IEs',
        u'PDUSessionReleasedList-RelConf',
        u'PDUSessionReleasedList-RelConf-ExtIEs',
        u'SNodeCounterCheckRequest',
        u'SNodeCounterCheckRequest-IEs',
        u'BearersSubjectToCounterCheck-List',
        u'BearersSubjectToCounterCheck-Item',
        u'BearersSubjectToCounterCheck-Item-ExtIEs',
        u'SNodeChangeRequired',
        u'SNodeChangeRequired-IEs',
        u'PDUSession-SNChangeRequired-List',
        u'PDUSession-SNChangeRequired-Item',
        u'PDUSession-SNChangeRequired-Item-ExtIEs',
        u'SNodeChangeConfirm',
        u'SNodeChangeConfirm-IEs',
        u'PDUSession-SNChangeConfirm-List',
        u'PDUSession-SNChangeConfirm-Item',
        u'PDUSession-SNChangeConfirm-Item-ExtIEs',
        u'SNodeChangeRefuse',
        u'SNodeChangeRefuse-IEs',
        u'RRCTransfer',
        u'RRCTransfer-IEs',
        u'SplitSRB-RRCTransfer',
        u'SplitSRB-RRCTransfer-ExtIEs',
        u'UEReportRRCTransfer',
        u'UEReportRRCTransfer-ExtIEs',
        u'NotificationControlIndication',
        u'NotificationControlIndication-IEs',
        u'PDUSessionResourcesNotifyList',
        u'PDUSessionResourcesNotify-Item',
        u'PDUSessionResourcesNotify-Item-ExtIEs',
        u'ActivityNotification',
        u'ActivityNotification-IEs',
        u'PDUSessionResourcesActivityNotifyList',
        u'PDUSessionResourcesActivityNotify-Item',
        u'PDUSessionResourcesActivityNotify-Item-ExtIEs',
        u'QoSFlowsActivityNotifyList',
        u'QoSFlowsActivityNotifyItem',
        u'QoSFlowsActivityNotifyItem-ExtIEs',
        u'XnSetupRequest',
        u'XnSetupRequest-IEs',
        u'XnSetupResponse',
        u'XnSetupResponse-IEs',
        u'XnSetupFailure',
        u'XnSetupFailure-IEs',
        u'NGRANNodeConfigurationUpdate',
        u'NGRANNodeConfigurationUpdate-IEs',
        u'ConfigurationUpdateInitiatingNodeChoice',
        u'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs',
        u'ConfigurationUpdate-gNB',
        u'ConfigurationUpdate-ng-eNB',
        u'NGRANNodeConfigurationUpdateAcknowledge',
        u'NGRANNodeConfigurationUpdateAcknowledge-IEs',
        u'RespondingNodeTypeConfigUpdateAck',
        u'RespondingNodeTypeConfigUpdateAck-ExtIEs',
        u'RespondingNodeTypeConfigUpdateAck-ng-eNB',
        u'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs',
        u'RespondingNodeTypeConfigUpdateAck-gNB',
        u'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs',
        u'NGRANNodeConfigurationUpdateFailure',
        u'NGRANNodeConfigurationUpdateFailure-IEs',
        u'E-UTRA-NR-CellResourceCoordinationRequest',
        u'E-UTRA-NR-CellResourceCoordinationRequest-IEs',
        u'InitiatingNodeType-ResourceCoordRequest',
        u'InitiatingNodeType-ResourceCoordRequest-ExtIEs',
        u'ResourceCoordRequest-ng-eNB-initiated',
        u'ResourceCoordRequest-ng-eNB-initiated-ExtIEs',
        u'ResourceCoordRequest-gNB-initiated',
        u'ResourceCoordRequest-gNB-initiated-ExtIEs',
        u'E-UTRA-NR-CellResourceCoordinationResponse',
        u'E-UTRA-NR-CellResourceCoordinationResponse-IEs',
        u'RespondingNodeType-ResourceCoordResponse',
        u'RespondingNodeType-ResourceCoordResponse-ExtIEs',
        u'ResourceCoordResponse-ng-eNB-initiated',
        u'ResourceCoordResponse-ng-eNB-initiated-ExtIEs',
        u'ResourceCoordResponse-gNB-initiated',
        u'ResourceCoordResponse-gNB-initiated-ExtIEs',
        u'SecondaryRATDataUsageReport',
        u'SecondaryRATDataUsageReport-IEs',
        u'XnRemovalRequest',
        u'XnRemovalRequest-IEs',
        u'XnRemovalResponse',
        u'XnRemovalResponse-IEs',
        u'XnRemovalFailure',
        u'XnRemovalFailure-IEs',
        u'CellActivationRequest',
        u'CellActivationRequest-IEs',
        u'ServedCellsToActivate',
        u'ServedCellsToActivate-ExtIEs',
        u'CellActivationResponse',
        u'CellActivationResponse-IEs',
        u'ActivatedServedCells',
        u'ActivatedServedCells-ExtIEs',
        u'CellActivationFailure',
        u'CellActivationFailure-IEs',
        u'ResetRequest',
        u'ResetRequest-IEs',
        u'ResetResponse',
        u'ResetResponse-IEs',
        u'ErrorIndication',
        u'ErrorIndication-IEs',
        u'PrivateMessage',
        u'PrivateMessage-IEs',
        ]
    _type_ = [
        u'HandoverRequest',
        u'UEContextInfoHORequest',
        u'UEContextRefAtSN-HORequest',
        u'HandoverRequestAcknowledge',
        u'HandoverPreparationFailure',
        u'SNStatusTransfer',
        u'UEContextRelease',
        u'HandoverCancel',
        u'RANPaging',
        u'RetrieveUEContextRequest',
        u'RetrieveUEContextResponse',
        u'RetrieveUEContextFailure',
        u'XnUAddressIndication',
        u'SNodeAdditionRequest',
        u'PDUSessionToBeAddedAddReq',
        u'PDUSessionToBeAddedAddReq-Item',
        u'SNodeAdditionRequestAcknowledge',
        u'PDUSessionAdmittedAddedAddReqAck',
        u'PDUSessionAdmittedAddedAddReqAck-Item',
        u'PDUSessionNotAdmittedAddReqAck',
        u'SNodeAdditionRequestReject',
        u'SNodeReconfigurationComplete',
        u'ResponseInfo-ReconfCompl',
        u'ResponseType-ReconfComplete',
        u'Configuration-successfully-applied',
        u'Configuration-rejected-by-M-NG-RANNode',
        u'SNodeModificationRequest',
        u'UEContextInfo-SNModRequest',
        u'PDUSessionsToBeAdded-SNModRequest-List',
        u'PDUSessionsToBeAdded-SNModRequest-Item',
        u'PDUSessionsToBeModified-SNModRequest-List',
        u'PDUSessionsToBeModified-SNModRequest-Item',
        u'PDUSessionsToBeReleased-SNModRequest-List',
        u'SNodeModificationRequestAcknowledge',
        u'PDUSessionAdmitted-SNModResponse',
        u'PDUSessionAdmittedToBeAddedSNModResponse',
        u'PDUSessionAdmittedToBeAddedSNModResponse-Item',
        u'PDUSessionAdmittedToBeModifiedSNModResponse',
        u'PDUSessionAdmittedToBeModifiedSNModResponse-Item',
        u'PDUSessionAdmittedToBeReleasedSNModResponse',
        u'PDUSessionNotAdmitted-SNModResponse',
        u'PDUSessionDataForwarding-SNModResponse',
        u'SNodeModificationRequestReject',
        u'SNodeModificationRequired',
        u'PDUSessionToBeModifiedSNModRequired',
        u'PDUSessionToBeModifiedSNModRequired-Item',
        u'PDUSessionToBeReleasedSNModRequired',
        u'SNodeModificationConfirm',
        u'PDUSessionAdmittedModSNModConfirm',
        u'PDUSessionAdmittedModSNModConfirm-Item',
        u'PDUSessionReleasedSNModConfirm',
        u'SNodeModificationRefuse',
        u'SNodeReleaseRequest',
        u'SNodeReleaseRequestAcknowledge',
        u'PDUSessionToBeReleasedList-RelReqAck',
        u'SNodeReleaseReject',
        u'SNodeReleaseRequired',
        u'PDUSessionToBeReleasedList-RelRqd',
        u'SNodeReleaseConfirm',
        u'PDUSessionReleasedList-RelConf',
        u'SNodeCounterCheckRequest',
        u'BearersSubjectToCounterCheck-List',
        u'BearersSubjectToCounterCheck-Item',
        u'SNodeChangeRequired',
        u'PDUSession-SNChangeRequired-List',
        u'PDUSession-SNChangeRequired-Item',
        u'SNodeChangeConfirm',
        u'PDUSession-SNChangeConfirm-List',
        u'PDUSession-SNChangeConfirm-Item',
        u'SNodeChangeRefuse',
        u'RRCTransfer',
        u'SplitSRB-RRCTransfer',
        u'UEReportRRCTransfer',
        u'NotificationControlIndication',
        u'PDUSessionResourcesNotifyList',
        u'PDUSessionResourcesNotify-Item',
        u'ActivityNotification',
        u'PDUSessionResourcesActivityNotifyList',
        u'PDUSessionResourcesActivityNotify-Item',
        u'QoSFlowsActivityNotifyList',
        u'QoSFlowsActivityNotifyItem',
        u'XnSetupRequest',
        u'XnSetupResponse',
        u'XnSetupFailure',
        u'NGRANNodeConfigurationUpdate',
        u'ConfigurationUpdateInitiatingNodeChoice',
        u'NGRANNodeConfigurationUpdateAcknowledge',
        u'RespondingNodeTypeConfigUpdateAck',
        u'RespondingNodeTypeConfigUpdateAck-ng-eNB',
        u'RespondingNodeTypeConfigUpdateAck-gNB',
        u'NGRANNodeConfigurationUpdateFailure',
        u'E-UTRA-NR-CellResourceCoordinationRequest',
        u'InitiatingNodeType-ResourceCoordRequest',
        u'ResourceCoordRequest-ng-eNB-initiated',
        u'ResourceCoordRequest-gNB-initiated',
        u'E-UTRA-NR-CellResourceCoordinationResponse',
        u'RespondingNodeType-ResourceCoordResponse',
        u'ResourceCoordResponse-ng-eNB-initiated',
        u'ResourceCoordResponse-gNB-initiated',
        u'SecondaryRATDataUsageReport',
        u'XnRemovalRequest',
        u'XnRemovalResponse',
        u'XnRemovalFailure',
        u'CellActivationRequest',
        u'ServedCellsToActivate',
        u'CellActivationResponse',
        u'ActivatedServedCells',
        u'CellActivationFailure',
        u'ResetRequest',
        u'ResetResponse',
        u'ErrorIndication',
        u'PrivateMessage',
        ]
    _set_ = [
        u'HandoverRequest-IEs',
        u'UEContextInfoHORequest-ExtIEs',
        u'UEContextRefAtSN-HORequest-ExtIEs',
        u'HandoverRequestAcknowledge-IEs',
        u'HandoverPreparationFailure-IEs',
        u'SNStatusTransfer-IEs',
        u'UEContextRelease-IEs',
        u'HandoverCancel-IEs',
        u'RANPaging-IEs',
        u'RetrieveUEContextRequest-IEs',
        u'RetrieveUEContextResponse-IEs',
        u'RetrieveUEContextFailure-IEs',
        u'XnUAddressIndication-IEs',
        u'SNodeAdditionRequest-IEs',
        u'PDUSessionToBeAddedAddReq-Item-ExtIEs',
        u'SNodeAdditionRequestAcknowledge-IEs',
        u'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs',
        u'PDUSessionNotAdmittedAddReqAck-ExtIEs',
        u'SNodeAdditionRequestReject-IEs',
        u'SNodeReconfigurationComplete-IEs',
        u'ResponseInfo-ReconfCompl-ExtIEs',
        u'ResponseType-ReconfComplete-ExtIEs',
        u'Configuration-successfully-applied-ExtIEs',
        u'Configuration-rejected-by-M-NG-RANNode-ExtIEs',
        u'SNodeModificationRequest-IEs',
        u'UEContextInfo-SNModRequest-ExtIEs',
        u'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs',
        u'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs',
        u'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs',
        u'SNodeModificationRequestAcknowledge-IEs',
        u'PDUSessionAdmitted-SNModResponse-ExtIEs',
        u'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs',
        u'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs',
        u'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs',
        u'PDUSessionNotAdmitted-SNModResponse-ExtIEs',
        u'PDUSessionDataForwarding-SNModResponse-ExtIEs',
        u'SNodeModificationRequestReject-IEs',
        u'SNodeModificationRequired-IEs',
        u'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs',
        u'PDUSessionToBeReleasedSNModRequired-ExtIEs',
        u'SNodeModificationConfirm-IEs',
        u'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs',
        u'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs',
        u'SNodeModificationRefuse-IEs',
        u'SNodeReleaseRequest-IEs',
        u'SNodeReleaseRequestAcknowledge-IEs',
        u'PDUSessionToBeReleasedList-RelReqAck-ExtIEs',
        u'SNodeReleaseReject-IEs',
        u'SNodeReleaseRequired-IEs',
        u'PDUSessionToBeReleasedList-RelRqd-ExtIEs',
        u'SNodeReleaseConfirm-IEs',
        u'PDUSessionReleasedList-RelConf-ExtIEs',
        u'SNodeCounterCheckRequest-IEs',
        u'BearersSubjectToCounterCheck-Item-ExtIEs',
        u'SNodeChangeRequired-IEs',
        u'PDUSession-SNChangeRequired-Item-ExtIEs',
        u'SNodeChangeConfirm-IEs',
        u'PDUSession-SNChangeConfirm-Item-ExtIEs',
        u'SNodeChangeRefuse-IEs',
        u'RRCTransfer-IEs',
        u'SplitSRB-RRCTransfer-ExtIEs',
        u'UEReportRRCTransfer-ExtIEs',
        u'NotificationControlIndication-IEs',
        u'PDUSessionResourcesNotify-Item-ExtIEs',
        u'ActivityNotification-IEs',
        u'PDUSessionResourcesActivityNotify-Item-ExtIEs',
        u'QoSFlowsActivityNotifyItem-ExtIEs',
        u'XnSetupRequest-IEs',
        u'XnSetupResponse-IEs',
        u'XnSetupFailure-IEs',
        u'NGRANNodeConfigurationUpdate-IEs',
        u'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs',
        u'ConfigurationUpdate-gNB',
        u'ConfigurationUpdate-ng-eNB',
        u'NGRANNodeConfigurationUpdateAcknowledge-IEs',
        u'RespondingNodeTypeConfigUpdateAck-ExtIEs',
        u'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs',
        u'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs',
        u'NGRANNodeConfigurationUpdateFailure-IEs',
        u'E-UTRA-NR-CellResourceCoordinationRequest-IEs',
        u'InitiatingNodeType-ResourceCoordRequest-ExtIEs',
        u'ResourceCoordRequest-ng-eNB-initiated-ExtIEs',
        u'ResourceCoordRequest-gNB-initiated-ExtIEs',
        u'E-UTRA-NR-CellResourceCoordinationResponse-IEs',
        u'RespondingNodeType-ResourceCoordResponse-ExtIEs',
        u'ResourceCoordResponse-ng-eNB-initiated-ExtIEs',
        u'ResourceCoordResponse-gNB-initiated-ExtIEs',
        u'SecondaryRATDataUsageReport-IEs',
        u'XnRemovalRequest-IEs',
        u'XnRemovalResponse-IEs',
        u'XnRemovalFailure-IEs',
        u'CellActivationRequest-IEs',
        u'ServedCellsToActivate-ExtIEs',
        u'CellActivationResponse-IEs',
        u'ActivatedServedCells-ExtIEs',
        u'CellActivationFailure-IEs',
        u'ResetRequest-IEs',
        u'ResetResponse-IEs',
        u'ErrorIndication-IEs',
        u'PrivateMessage-IEs',
        ]
    _val_ = [
        ]
    _class_ = [
        u'HandoverRequest-IEs',
        u'UEContextInfoHORequest-ExtIEs',
        u'UEContextRefAtSN-HORequest-ExtIEs',
        u'HandoverRequestAcknowledge-IEs',
        u'HandoverPreparationFailure-IEs',
        u'SNStatusTransfer-IEs',
        u'UEContextRelease-IEs',
        u'HandoverCancel-IEs',
        u'RANPaging-IEs',
        u'RetrieveUEContextRequest-IEs',
        u'RetrieveUEContextResponse-IEs',
        u'RetrieveUEContextFailure-IEs',
        u'XnUAddressIndication-IEs',
        u'SNodeAdditionRequest-IEs',
        u'PDUSessionToBeAddedAddReq-Item-ExtIEs',
        u'SNodeAdditionRequestAcknowledge-IEs',
        u'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs',
        u'PDUSessionNotAdmittedAddReqAck-ExtIEs',
        u'SNodeAdditionRequestReject-IEs',
        u'SNodeReconfigurationComplete-IEs',
        u'ResponseInfo-ReconfCompl-ExtIEs',
        u'ResponseType-ReconfComplete-ExtIEs',
        u'Configuration-successfully-applied-ExtIEs',
        u'Configuration-rejected-by-M-NG-RANNode-ExtIEs',
        u'SNodeModificationRequest-IEs',
        u'UEContextInfo-SNModRequest-ExtIEs',
        u'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs',
        u'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs',
        u'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs',
        u'SNodeModificationRequestAcknowledge-IEs',
        u'PDUSessionAdmitted-SNModResponse-ExtIEs',
        u'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs',
        u'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs',
        u'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs',
        u'PDUSessionNotAdmitted-SNModResponse-ExtIEs',
        u'PDUSessionDataForwarding-SNModResponse-ExtIEs',
        u'SNodeModificationRequestReject-IEs',
        u'SNodeModificationRequired-IEs',
        u'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs',
        u'PDUSessionToBeReleasedSNModRequired-ExtIEs',
        u'SNodeModificationConfirm-IEs',
        u'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs',
        u'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs',
        u'SNodeModificationRefuse-IEs',
        u'SNodeReleaseRequest-IEs',
        u'SNodeReleaseRequestAcknowledge-IEs',
        u'PDUSessionToBeReleasedList-RelReqAck-ExtIEs',
        u'SNodeReleaseReject-IEs',
        u'SNodeReleaseRequired-IEs',
        u'PDUSessionToBeReleasedList-RelRqd-ExtIEs',
        u'SNodeReleaseConfirm-IEs',
        u'PDUSessionReleasedList-RelConf-ExtIEs',
        u'SNodeCounterCheckRequest-IEs',
        u'BearersSubjectToCounterCheck-Item-ExtIEs',
        u'SNodeChangeRequired-IEs',
        u'PDUSession-SNChangeRequired-Item-ExtIEs',
        u'SNodeChangeConfirm-IEs',
        u'PDUSession-SNChangeConfirm-Item-ExtIEs',
        u'SNodeChangeRefuse-IEs',
        u'RRCTransfer-IEs',
        u'SplitSRB-RRCTransfer-ExtIEs',
        u'UEReportRRCTransfer-ExtIEs',
        u'NotificationControlIndication-IEs',
        u'PDUSessionResourcesNotify-Item-ExtIEs',
        u'ActivityNotification-IEs',
        u'PDUSessionResourcesActivityNotify-Item-ExtIEs',
        u'QoSFlowsActivityNotifyItem-ExtIEs',
        u'XnSetupRequest-IEs',
        u'XnSetupResponse-IEs',
        u'XnSetupFailure-IEs',
        u'NGRANNodeConfigurationUpdate-IEs',
        u'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs',
        u'ConfigurationUpdate-gNB',
        u'ConfigurationUpdate-ng-eNB',
        u'NGRANNodeConfigurationUpdateAcknowledge-IEs',
        u'RespondingNodeTypeConfigUpdateAck-ExtIEs',
        u'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs',
        u'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs',
        u'NGRANNodeConfigurationUpdateFailure-IEs',
        u'E-UTRA-NR-CellResourceCoordinationRequest-IEs',
        u'InitiatingNodeType-ResourceCoordRequest-ExtIEs',
        u'ResourceCoordRequest-ng-eNB-initiated-ExtIEs',
        u'ResourceCoordRequest-gNB-initiated-ExtIEs',
        u'E-UTRA-NR-CellResourceCoordinationResponse-IEs',
        u'RespondingNodeType-ResourceCoordResponse-ExtIEs',
        u'ResourceCoordResponse-ng-eNB-initiated-ExtIEs',
        u'ResourceCoordResponse-gNB-initiated-ExtIEs',
        u'SecondaryRATDataUsageReport-IEs',
        u'XnRemovalRequest-IEs',
        u'XnRemovalResponse-IEs',
        u'XnRemovalFailure-IEs',
        u'CellActivationRequest-IEs',
        u'ServedCellsToActivate-ExtIEs',
        u'CellActivationResponse-IEs',
        u'ActivatedServedCells-ExtIEs',
        u'CellActivationFailure-IEs',
        u'ResetRequest-IEs',
        u'ResetResponse-IEs',
        u'ErrorIndication-IEs',
        u'PrivateMessage-IEs',
        ]
    _param_ = [
        ]
    
    #-----< HandoverRequest >-----#
    HandoverRequest = SEQ(name=u'HandoverRequest', mode=MODE_TYPE)
    _HandoverRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____HandoverRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfoHORequest')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_6 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformation')))
    _____HandoverRequest_protocolIEs__item__id_tab_val_Value_8 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRefAtSN-HORequest')))
    ____HandoverRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 78), (u'criticality', u'reject'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 15), (u'criticality', u'reject'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 83), (u'criticality', u'reject'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 81), (u'criticality', u'ignore'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 88), (u'criticality', u'ignore'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'mandatory')]), dict([(u'id', 87), (u'criticality', u'ignore'), (u'Value', _____HandoverRequest_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___HandoverRequest_protocolIEs__item__id._const_tab = ____HandoverRequest_protocolIEs__item__id_tab
    ___HandoverRequest_protocolIEs__item__id._const_tab_at = None
    ___HandoverRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___HandoverRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___HandoverRequest_protocolIEs__item__criticality._const_tab = ____HandoverRequest_protocolIEs__item__id_tab
    ___HandoverRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___HandoverRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___HandoverRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___HandoverRequest_protocolIEs__item__value._const_tab = ____HandoverRequest_protocolIEs__item__id_tab
    ___HandoverRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___HandoverRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __HandoverRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___HandoverRequest_protocolIEs__item__id),
        (u'criticality', ___HandoverRequest_protocolIEs__item__criticality),
        (u'value', ___HandoverRequest_protocolIEs__item__value),
        ])
    __HandoverRequest_protocolIEs__item_._ext = None
    _HandoverRequest_protocolIEs._cont = __HandoverRequest_protocolIEs__item_
    _HandoverRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverRequest._cont = ASN1Dict([
        (u'protocolIEs', _HandoverRequest_protocolIEs),
        ])
    HandoverRequest._ext = []
    
    #-----< HandoverRequest-IEs >-----#
    HandoverRequest_IEs = CLASS(name=u'HandoverRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverRequest_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _HandoverRequest_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _HandoverRequest_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _HandoverRequest_IEs_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfoHORequest')))
    _HandoverRequest_IEs_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _HandoverRequest_IEs_val_Value_6 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _HandoverRequest_IEs_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEHistoryInformation')))
    _HandoverRequest_IEs_val_Value_8 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextRefAtSN-HORequest')))
    HandoverRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _HandoverRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'reject'), (u'Value', _HandoverRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 78), (u'criticality', u'reject'), (u'Value', _HandoverRequest_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 15), (u'criticality', u'reject'), (u'Value', _HandoverRequest_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 83), (u'criticality', u'reject'), (u'Value', _HandoverRequest_IEs_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 81), (u'criticality', u'ignore'), (u'Value', _HandoverRequest_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _HandoverRequest_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 88), (u'criticality', u'ignore'), (u'Value', _HandoverRequest_IEs_val_Value_7), (u'presence', u'mandatory')]), dict([(u'id', 87), (u'criticality', u'ignore'), (u'Value', _HandoverRequest_IEs_val_Value_8), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< UEContextInfoHORequest >-----#
    UEContextInfoHORequest = SEQ(name=u'UEContextInfoHORequest', mode=MODE_TYPE)
    _UEContextInfoHORequest_ng_c_UE_reference = INT(name=u'ng-c-UE-reference', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AMF-UE-NGAP-ID')))
    _UEContextInfoHORequest_cp_TNL_info_source = CHOICE(name=u'cp-TNL-info-source', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'CPTransportLayerInformation')))
    _UEContextInfoHORequest_ueSecurityCapabilities = SEQ(name=u'ueSecurityCapabilities', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _UEContextInfoHORequest_securityInformation = SEQ(name=u'securityInformation', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'AS-SecurityInformation')))
    _UEContextInfoHORequest_indexToRatFrequencySelectionPriority = INT(name=u'indexToRatFrequencySelectionPriority', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')), opt=True)
    _UEContextInfoHORequest_ue_AMBR = SEQ(name=u'ue-AMBR', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _UEContextInfoHORequest_pduSessionResourcesToBeSetup_List = SEQ_OF(name=u'pduSessionResourcesToBeSetup-List', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesToBeSetup-List')))
    _UEContextInfoHORequest_rrc_Context = OCT_STR(name=u'rrc-Context', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEContextInfoHORequest_locationReportingInformation = SEQ(name=u'locationReportingInformation', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LocationReportingInformation')), opt=True)
    _UEContextInfoHORequest_mrl = SEQ(name=u'mrl', mode=MODE_TYPE, tag=(9, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')), opt=True)
    _UEContextInfoHORequest_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(10, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextInfoHORequest_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextInfoHORequest_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEContextInfoHORequest_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfoHORequest_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfoHORequest_iE_Extensions__item__id._const_tab = ____UEContextInfoHORequest_iE_Extensions__item__id_tab
    ___UEContextInfoHORequest_iE_Extensions__item__id._const_tab_at = None
    ___UEContextInfoHORequest_iE_Extensions__item__id._const_tab_id = u'id'
    ___UEContextInfoHORequest_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEContextInfoHORequest_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfoHORequest_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfoHORequest_iE_Extensions__item__criticality._const_tab = ____UEContextInfoHORequest_iE_Extensions__item__criticality_tab
    ___UEContextInfoHORequest_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextInfoHORequest_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEContextInfoHORequest_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfoHORequest_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue._const_tab = ____UEContextInfoHORequest_iE_Extensions__item__extensionValue_tab
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEContextInfoHORequest_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UEContextInfoHORequest_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UEContextInfoHORequest_iE_Extensions__item__id),
        (u'criticality', ___UEContextInfoHORequest_iE_Extensions__item__criticality),
        (u'extensionValue', ___UEContextInfoHORequest_iE_Extensions__item__extensionValue),
        ])
    __UEContextInfoHORequest_iE_Extensions__item_._ext = None
    _UEContextInfoHORequest_iE_Extensions._cont = __UEContextInfoHORequest_iE_Extensions__item_
    _UEContextInfoHORequest_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextInfoHORequest._cont = ASN1Dict([
        (u'ng-c-UE-reference', _UEContextInfoHORequest_ng_c_UE_reference),
        (u'cp-TNL-info-source', _UEContextInfoHORequest_cp_TNL_info_source),
        (u'ueSecurityCapabilities', _UEContextInfoHORequest_ueSecurityCapabilities),
        (u'securityInformation', _UEContextInfoHORequest_securityInformation),
        (u'indexToRatFrequencySelectionPriority', _UEContextInfoHORequest_indexToRatFrequencySelectionPriority),
        (u'ue-AMBR', _UEContextInfoHORequest_ue_AMBR),
        (u'pduSessionResourcesToBeSetup-List', _UEContextInfoHORequest_pduSessionResourcesToBeSetup_List),
        (u'rrc-Context', _UEContextInfoHORequest_rrc_Context),
        (u'locationReportingInformation', _UEContextInfoHORequest_locationReportingInformation),
        (u'mrl', _UEContextInfoHORequest_mrl),
        (u'iE-Extensions', _UEContextInfoHORequest_iE_Extensions),
        ])
    UEContextInfoHORequest._ext = []
    
    #-----< UEContextInfoHORequest-ExtIEs >-----#
    UEContextInfoHORequest_ExtIEs = CLASS(name=u'UEContextInfoHORequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextInfoHORequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEContextRefAtSN-HORequest >-----#
    UEContextRefAtSN_HORequest = SEQ(name=u'UEContextRefAtSN-HORequest', mode=MODE_TYPE)
    _UEContextRefAtSN_HORequest_globalNG_RANNode_ID = CHOICE(name=u'globalNG-RANNode-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _UEContextRefAtSN_HORequest_sN_NG_RANnodeUEXnAPID = INT(name=u'sN-NG-RANnodeUEXnAPID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _UEContextRefAtSN_HORequest_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextRefAtSN_HORequest_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id._const_tab = ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id._const_tab_at = None
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__id._const_tab_id = u'id'
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality._const_tab = ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue._const_tab = ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UEContextRefAtSN_HORequest_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UEContextRefAtSN_HORequest_iE_Extensions__item__id),
        (u'criticality', ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality),
        (u'extensionValue', ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue),
        ])
    __UEContextRefAtSN_HORequest_iE_Extensions__item_._ext = None
    _UEContextRefAtSN_HORequest_iE_Extensions._cont = __UEContextRefAtSN_HORequest_iE_Extensions__item_
    _UEContextRefAtSN_HORequest_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextRefAtSN_HORequest._cont = ASN1Dict([
        (u'globalNG-RANNode-ID', _UEContextRefAtSN_HORequest_globalNG_RANNode_ID),
        (u'sN-NG-RANnodeUEXnAPID', _UEContextRefAtSN_HORequest_sN_NG_RANnodeUEXnAPID),
        (u'iE-Extensions', _UEContextRefAtSN_HORequest_iE_Extensions),
        ])
    UEContextRefAtSN_HORequest._ext = []
    
    #-----< UEContextRefAtSN-HORequest-ExtIEs >-----#
    UEContextRefAtSN_HORequest_ExtIEs = CLASS(name=u'UEContextRefAtSN-HORequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextRefAtSN_HORequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< HandoverRequestAcknowledge >-----#
    HandoverRequestAcknowledge = SEQ(name=u'HandoverRequestAcknowledge', mode=MODE_TYPE)
    _HandoverRequestAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverRequestAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____HandoverRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesAdmitted-List')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____HandoverRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 42), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 43), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 77), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 86), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 137), (u'criticality', u'ignore'), (u'Value', _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___HandoverRequestAcknowledge_protocolIEs__item__id._const_tab = ____HandoverRequestAcknowledge_protocolIEs__item__id_tab
    ___HandoverRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___HandoverRequestAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____HandoverRequestAcknowledge_protocolIEs__item__id_tab
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___HandoverRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___HandoverRequestAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___HandoverRequestAcknowledge_protocolIEs__item__value._const_tab = ____HandoverRequestAcknowledge_protocolIEs__item__id_tab
    ___HandoverRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___HandoverRequestAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __HandoverRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___HandoverRequestAcknowledge_protocolIEs__item__id),
        (u'criticality', ___HandoverRequestAcknowledge_protocolIEs__item__criticality),
        (u'value', ___HandoverRequestAcknowledge_protocolIEs__item__value),
        ])
    __HandoverRequestAcknowledge_protocolIEs__item_._ext = None
    _HandoverRequestAcknowledge_protocolIEs._cont = __HandoverRequestAcknowledge_protocolIEs__item_
    _HandoverRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverRequestAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _HandoverRequestAcknowledge_protocolIEs),
        ])
    HandoverRequestAcknowledge._ext = []
    
    #-----< HandoverRequestAcknowledge-IEs >-----#
    HandoverRequestAcknowledge_IEs = CLASS(name=u'HandoverRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverRequestAcknowledge_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverRequestAcknowledge_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverRequestAcknowledge_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesAdmitted-List')))
    _HandoverRequestAcknowledge_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')))
    _HandoverRequestAcknowledge_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _HandoverRequestAcknowledge_IEs_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _HandoverRequestAcknowledge_IEs_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _HandoverRequestAcknowledge_IEs_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    HandoverRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 42), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 43), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 77), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 86), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 137), (u'criticality', u'ignore'), (u'Value', _HandoverRequestAcknowledge_IEs_val_Value_7), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< HandoverPreparationFailure >-----#
    HandoverPreparationFailure = SEQ(name=u'HandoverPreparationFailure', mode=MODE_TYPE)
    _HandoverPreparationFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverPreparationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverPreparationFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____HandoverPreparationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____HandoverPreparationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'ignore'), (u'Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___HandoverPreparationFailure_protocolIEs__item__id._const_tab = ____HandoverPreparationFailure_protocolIEs__item__id_tab
    ___HandoverPreparationFailure_protocolIEs__item__id._const_tab_at = None
    ___HandoverPreparationFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___HandoverPreparationFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___HandoverPreparationFailure_protocolIEs__item__criticality._const_tab = ____HandoverPreparationFailure_protocolIEs__item__id_tab
    ___HandoverPreparationFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___HandoverPreparationFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___HandoverPreparationFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___HandoverPreparationFailure_protocolIEs__item__value._const_tab = ____HandoverPreparationFailure_protocolIEs__item__id_tab
    ___HandoverPreparationFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___HandoverPreparationFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __HandoverPreparationFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___HandoverPreparationFailure_protocolIEs__item__id),
        (u'criticality', ___HandoverPreparationFailure_protocolIEs__item__criticality),
        (u'value', ___HandoverPreparationFailure_protocolIEs__item__value),
        ])
    __HandoverPreparationFailure_protocolIEs__item_._ext = None
    _HandoverPreparationFailure_protocolIEs._cont = __HandoverPreparationFailure_protocolIEs__item_
    _HandoverPreparationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverPreparationFailure._cont = ASN1Dict([
        (u'protocolIEs', _HandoverPreparationFailure_protocolIEs),
        ])
    HandoverPreparationFailure._ext = []
    
    #-----< HandoverPreparationFailure-IEs >-----#
    HandoverPreparationFailure_IEs = CLASS(name=u'HandoverPreparationFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverPreparationFailure_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverPreparationFailure_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _HandoverPreparationFailure_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    HandoverPreparationFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'ignore'), (u'Value', _HandoverPreparationFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _HandoverPreparationFailure_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _HandoverPreparationFailure_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNStatusTransfer >-----#
    SNStatusTransfer = SEQ(name=u'SNStatusTransfer', mode=MODE_TYPE)
    _SNStatusTransfer_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNStatusTransfer_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNStatusTransfer_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNStatusTransfer_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToStatusTransfer-List')))
    ____SNStatusTransfer_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'reject'), (u'Value', _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___SNStatusTransfer_protocolIEs__item__id._const_tab = ____SNStatusTransfer_protocolIEs__item__id_tab
    ___SNStatusTransfer_protocolIEs__item__id._const_tab_at = None
    ___SNStatusTransfer_protocolIEs__item__id._const_tab_id = u'id'
    ___SNStatusTransfer_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNStatusTransfer_protocolIEs__item__criticality._const_tab = ____SNStatusTransfer_protocolIEs__item__id_tab
    ___SNStatusTransfer_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNStatusTransfer_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNStatusTransfer_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNStatusTransfer_protocolIEs__item__value._const_tab = ____SNStatusTransfer_protocolIEs__item__id_tab
    ___SNStatusTransfer_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNStatusTransfer_protocolIEs__item__value._const_tab_id = u'Value'
    __SNStatusTransfer_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNStatusTransfer_protocolIEs__item__id),
        (u'criticality', ___SNStatusTransfer_protocolIEs__item__criticality),
        (u'value', ___SNStatusTransfer_protocolIEs__item__value),
        ])
    __SNStatusTransfer_protocolIEs__item_._ext = None
    _SNStatusTransfer_protocolIEs._cont = __SNStatusTransfer_protocolIEs__item_
    _SNStatusTransfer_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNStatusTransfer._cont = ASN1Dict([
        (u'protocolIEs', _SNStatusTransfer_protocolIEs),
        ])
    SNStatusTransfer._ext = []
    
    #-----< SNStatusTransfer-IEs >-----#
    SNStatusTransfer_IEs = CLASS(name=u'SNStatusTransfer-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNStatusTransfer_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNStatusTransfer_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNStatusTransfer_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRBsSubjectToStatusTransfer-List')))
    SNStatusTransfer_IEs._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _SNStatusTransfer_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'reject'), (u'Value', _SNStatusTransfer_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 12), (u'criticality', u'ignore'), (u'Value', _SNStatusTransfer_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< UEContextRelease >-----#
    UEContextRelease = SEQ(name=u'UEContextRelease', mode=MODE_TYPE)
    _UEContextRelease_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __UEContextRelease_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___UEContextRelease_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____UEContextRelease_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____UEContextRelease_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____UEContextRelease_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    ____UEContextRelease_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _____UEContextRelease_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'reject'), (u'Value', _____UEContextRelease_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___UEContextRelease_protocolIEs__item__id._const_tab = ____UEContextRelease_protocolIEs__item__id_tab
    ___UEContextRelease_protocolIEs__item__id._const_tab_at = None
    ___UEContextRelease_protocolIEs__item__id._const_tab_id = u'id'
    ___UEContextRelease_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___UEContextRelease_protocolIEs__item__criticality._const_tab = ____UEContextRelease_protocolIEs__item__id_tab
    ___UEContextRelease_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextRelease_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___UEContextRelease_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___UEContextRelease_protocolIEs__item__value._const_tab = ____UEContextRelease_protocolIEs__item__id_tab
    ___UEContextRelease_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___UEContextRelease_protocolIEs__item__value._const_tab_id = u'Value'
    __UEContextRelease_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___UEContextRelease_protocolIEs__item__id),
        (u'criticality', ___UEContextRelease_protocolIEs__item__criticality),
        (u'value', ___UEContextRelease_protocolIEs__item__value),
        ])
    __UEContextRelease_protocolIEs__item_._ext = None
    _UEContextRelease_protocolIEs._cont = __UEContextRelease_protocolIEs__item_
    _UEContextRelease_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    UEContextRelease._cont = ASN1Dict([
        (u'protocolIEs', _UEContextRelease_protocolIEs),
        ])
    UEContextRelease._ext = []
    
    #-----< UEContextRelease-IEs >-----#
    UEContextRelease_IEs = CLASS(name=u'UEContextRelease-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _UEContextRelease_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _UEContextRelease_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    UEContextRelease_IEs._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _UEContextRelease_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'reject'), (u'Value', _UEContextRelease_IEs_val_Value_1), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< HandoverCancel >-----#
    HandoverCancel = SEQ(name=u'HandoverCancel', mode=MODE_TYPE)
    _HandoverCancel_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __HandoverCancel_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___HandoverCancel_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____HandoverCancel_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____HandoverCancel_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    ____HandoverCancel_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'ignore'), (u'Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____HandoverCancel_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___HandoverCancel_protocolIEs__item__id._const_tab = ____HandoverCancel_protocolIEs__item__id_tab
    ___HandoverCancel_protocolIEs__item__id._const_tab_at = None
    ___HandoverCancel_protocolIEs__item__id._const_tab_id = u'id'
    ___HandoverCancel_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___HandoverCancel_protocolIEs__item__criticality._const_tab = ____HandoverCancel_protocolIEs__item__id_tab
    ___HandoverCancel_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___HandoverCancel_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___HandoverCancel_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___HandoverCancel_protocolIEs__item__value._const_tab = ____HandoverCancel_protocolIEs__item__id_tab
    ___HandoverCancel_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___HandoverCancel_protocolIEs__item__value._const_tab_id = u'Value'
    __HandoverCancel_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___HandoverCancel_protocolIEs__item__id),
        (u'criticality', ___HandoverCancel_protocolIEs__item__criticality),
        (u'value', ___HandoverCancel_protocolIEs__item__value),
        ])
    __HandoverCancel_protocolIEs__item_._ext = None
    _HandoverCancel_protocolIEs._cont = __HandoverCancel_protocolIEs__item_
    _HandoverCancel_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    HandoverCancel._cont = ASN1Dict([
        (u'protocolIEs', _HandoverCancel_protocolIEs),
        ])
    HandoverCancel._ext = []
    
    #-----< HandoverCancel-IEs >-----#
    HandoverCancel_IEs = CLASS(name=u'HandoverCancel-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _HandoverCancel_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverCancel_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _HandoverCancel_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    HandoverCancel_IEs._val = ASN1Set(rv=[dict([(u'id', 73), (u'criticality', u'reject'), (u'Value', _HandoverCancel_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 79), (u'criticality', u'ignore'), (u'Value', _HandoverCancel_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _HandoverCancel_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< RANPaging >-----#
    RANPaging = SEQ(name=u'RANPaging', mode=MODE_TYPE)
    _RANPaging_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RANPaging_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RANPaging_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____RANPaging_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEIdentityIndexValue')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERANPagingIdentity')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingDRX')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingArea')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingPriority')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AssistanceDataForRANPaging')))
    _____RANPaging_protocolIEs__item__id_tab_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPaging')))
    ____RANPaging_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 89), (u'criticality', u'reject'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 90), (u'criticality', u'ignore'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 31), (u'criticality', u'ignore'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 52), (u'criticality', u'reject'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 53), (u'criticality', u'ignore'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 5), (u'criticality', u'ignore'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 122), (u'criticality', u'ignore'), (u'Value', _____RANPaging_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___RANPaging_protocolIEs__item__id._const_tab = ____RANPaging_protocolIEs__item__id_tab
    ___RANPaging_protocolIEs__item__id._const_tab_at = None
    ___RANPaging_protocolIEs__item__id._const_tab_id = u'id'
    ___RANPaging_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RANPaging_protocolIEs__item__criticality._const_tab = ____RANPaging_protocolIEs__item__id_tab
    ___RANPaging_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___RANPaging_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___RANPaging_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RANPaging_protocolIEs__item__value._const_tab = ____RANPaging_protocolIEs__item__id_tab
    ___RANPaging_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___RANPaging_protocolIEs__item__value._const_tab_id = u'Value'
    __RANPaging_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___RANPaging_protocolIEs__item__id),
        (u'criticality', ___RANPaging_protocolIEs__item__criticality),
        (u'value', ___RANPaging_protocolIEs__item__value),
        ])
    __RANPaging_protocolIEs__item_._ext = None
    _RANPaging_protocolIEs._cont = __RANPaging_protocolIEs__item_
    _RANPaging_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RANPaging._cont = ASN1Dict([
        (u'protocolIEs', _RANPaging_protocolIEs),
        ])
    RANPaging._ext = []
    
    #-----< RANPaging-IEs >-----#
    RANPaging_IEs = CLASS(name=u'RANPaging-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RANPaging_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEIdentityIndexValue')))
    _RANPaging_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERANPagingIdentity')))
    _RANPaging_IEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingDRX')))
    _RANPaging_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingArea')))
    _RANPaging_IEs_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PagingPriority')))
    _RANPaging_IEs_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AssistanceDataForRANPaging')))
    _RANPaging_IEs_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UERadioCapabilityForPaging')))
    RANPaging_IEs._val = ASN1Set(rv=[dict([(u'id', 89), (u'criticality', u'reject'), (u'Value', _RANPaging_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 90), (u'criticality', u'ignore'), (u'Value', _RANPaging_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 31), (u'criticality', u'ignore'), (u'Value', _RANPaging_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 52), (u'criticality', u'reject'), (u'Value', _RANPaging_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 53), (u'criticality', u'ignore'), (u'Value', _RANPaging_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 5), (u'criticality', u'ignore'), (u'Value', _RANPaging_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 122), (u'criticality', u'ignore'), (u'Value', _RANPaging_IEs_val_Value_6), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< RetrieveUEContextRequest >-----#
    RetrieveUEContextRequest = SEQ(name=u'RetrieveUEContextRequest', mode=MODE_TYPE)
    _RetrieveUEContextRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RetrieveUEContextRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RetrieveUEContextRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____RetrieveUEContextRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextID')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_2 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MAC-I')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCResumeCause')))
    ____RetrieveUEContextRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'reject'), (u'Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 82), (u'criticality', u'reject'), (u'Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 21), (u'criticality', u'reject'), (u'Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 26), (u'criticality', u'reject'), (u'Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 62), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___RetrieveUEContextRequest_protocolIEs__item__id._const_tab = ____RetrieveUEContextRequest_protocolIEs__item__id_tab
    ___RetrieveUEContextRequest_protocolIEs__item__id._const_tab_at = None
    ___RetrieveUEContextRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___RetrieveUEContextRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RetrieveUEContextRequest_protocolIEs__item__criticality._const_tab = ____RetrieveUEContextRequest_protocolIEs__item__id_tab
    ___RetrieveUEContextRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___RetrieveUEContextRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___RetrieveUEContextRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RetrieveUEContextRequest_protocolIEs__item__value._const_tab = ____RetrieveUEContextRequest_protocolIEs__item__id_tab
    ___RetrieveUEContextRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___RetrieveUEContextRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __RetrieveUEContextRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___RetrieveUEContextRequest_protocolIEs__item__id),
        (u'criticality', ___RetrieveUEContextRequest_protocolIEs__item__criticality),
        (u'value', ___RetrieveUEContextRequest_protocolIEs__item__value),
        ])
    __RetrieveUEContextRequest_protocolIEs__item_._ext = None
    _RetrieveUEContextRequest_protocolIEs._cont = __RetrieveUEContextRequest_protocolIEs__item_
    _RetrieveUEContextRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RetrieveUEContextRequest._cont = ASN1Dict([
        (u'protocolIEs', _RetrieveUEContextRequest_protocolIEs),
        ])
    RetrieveUEContextRequest._ext = []
    
    #-----< RetrieveUEContextRequest-IEs >-----#
    RetrieveUEContextRequest_IEs = CLASS(name=u'RetrieveUEContextRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RetrieveUEContextRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextRequest_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextID')))
    _RetrieveUEContextRequest_IEs_val_Value_2 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MAC-I')))
    _RetrieveUEContextRequest_IEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RAN-Cell-Identity')))
    _RetrieveUEContextRequest_IEs_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCResumeCause')))
    RetrieveUEContextRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'reject'), (u'Value', _RetrieveUEContextRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 82), (u'criticality', u'reject'), (u'Value', _RetrieveUEContextRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 21), (u'criticality', u'reject'), (u'Value', _RetrieveUEContextRequest_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 26), (u'criticality', u'reject'), (u'Value', _RetrieveUEContextRequest_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 62), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextRequest_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< RetrieveUEContextResponse >-----#
    RetrieveUEContextResponse = SEQ(name=u'RetrieveUEContextResponse', mode=MODE_TYPE)
    _RetrieveUEContextResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RetrieveUEContextResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RetrieveUEContextResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____RetrieveUEContextResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextInfoRetrUECtxtResp')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_5 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationReportingInformation')))
    _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____RetrieveUEContextResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 15), (u'criticality', u'reject'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 84), (u'criticality', u'reject'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 81), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 20), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___RetrieveUEContextResponse_protocolIEs__item__id._const_tab = ____RetrieveUEContextResponse_protocolIEs__item__id_tab
    ___RetrieveUEContextResponse_protocolIEs__item__id._const_tab_at = None
    ___RetrieveUEContextResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___RetrieveUEContextResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RetrieveUEContextResponse_protocolIEs__item__criticality._const_tab = ____RetrieveUEContextResponse_protocolIEs__item__id_tab
    ___RetrieveUEContextResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___RetrieveUEContextResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___RetrieveUEContextResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RetrieveUEContextResponse_protocolIEs__item__value._const_tab = ____RetrieveUEContextResponse_protocolIEs__item__id_tab
    ___RetrieveUEContextResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___RetrieveUEContextResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __RetrieveUEContextResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___RetrieveUEContextResponse_protocolIEs__item__id),
        (u'criticality', ___RetrieveUEContextResponse_protocolIEs__item__criticality),
        (u'value', ___RetrieveUEContextResponse_protocolIEs__item__value),
        ])
    __RetrieveUEContextResponse_protocolIEs__item_._ext = None
    _RetrieveUEContextResponse_protocolIEs._cont = __RetrieveUEContextResponse_protocolIEs__item_
    _RetrieveUEContextResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RetrieveUEContextResponse._cont = ASN1Dict([
        (u'protocolIEs', _RetrieveUEContextResponse_protocolIEs),
        ])
    RetrieveUEContextResponse._ext = []
    
    #-----< RetrieveUEContextResponse-IEs >-----#
    RetrieveUEContextResponse_IEs = CLASS(name=u'RetrieveUEContextResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RetrieveUEContextResponse_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextResponse_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextResponse_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GUAMI')))
    _RetrieveUEContextResponse_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextInfoRetrUECtxtResp')))
    _RetrieveUEContextResponse_IEs_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TraceActivation')))
    _RetrieveUEContextResponse_IEs_val_Value_5 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _RetrieveUEContextResponse_IEs_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationReportingInformation')))
    _RetrieveUEContextResponse_IEs_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    RetrieveUEContextResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 15), (u'criticality', u'reject'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 84), (u'criticality', u'reject'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 81), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 20), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextResponse_IEs_val_Value_7), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< RetrieveUEContextFailure >-----#
    RetrieveUEContextFailure = SEQ(name=u'RetrieveUEContextFailure', mode=MODE_TYPE)
    _RetrieveUEContextFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RetrieveUEContextFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RetrieveUEContextFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____RetrieveUEContextFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_1 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____RetrieveUEContextFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 30), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___RetrieveUEContextFailure_protocolIEs__item__id._const_tab = ____RetrieveUEContextFailure_protocolIEs__item__id_tab
    ___RetrieveUEContextFailure_protocolIEs__item__id._const_tab_at = None
    ___RetrieveUEContextFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___RetrieveUEContextFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RetrieveUEContextFailure_protocolIEs__item__criticality._const_tab = ____RetrieveUEContextFailure_protocolIEs__item__id_tab
    ___RetrieveUEContextFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___RetrieveUEContextFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___RetrieveUEContextFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RetrieveUEContextFailure_protocolIEs__item__value._const_tab = ____RetrieveUEContextFailure_protocolIEs__item__id_tab
    ___RetrieveUEContextFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___RetrieveUEContextFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __RetrieveUEContextFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___RetrieveUEContextFailure_protocolIEs__item__id),
        (u'criticality', ___RetrieveUEContextFailure_protocolIEs__item__criticality),
        (u'value', ___RetrieveUEContextFailure_protocolIEs__item__value),
        ])
    __RetrieveUEContextFailure_protocolIEs__item_._ext = None
    _RetrieveUEContextFailure_protocolIEs._cont = __RetrieveUEContextFailure_protocolIEs__item_
    _RetrieveUEContextFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RetrieveUEContextFailure._cont = ASN1Dict([
        (u'protocolIEs', _RetrieveUEContextFailure_protocolIEs),
        ])
    RetrieveUEContextFailure._ext = []
    
    #-----< RetrieveUEContextFailure-IEs >-----#
    RetrieveUEContextFailure_IEs = CLASS(name=u'RetrieveUEContextFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RetrieveUEContextFailure_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RetrieveUEContextFailure_IEs_val_Value_1 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _RetrieveUEContextFailure_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _RetrieveUEContextFailure_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    RetrieveUEContextFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 30), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextFailure_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextFailure_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _RetrieveUEContextFailure_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnUAddressIndication >-----#
    XnUAddressIndication = SEQ(name=u'XnUAddressIndication', mode=MODE_TYPE)
    _XnUAddressIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnUAddressIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnUAddressIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnUAddressIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnUAddressInfoperPDUSession-List')))
    ____XnUAddressIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___XnUAddressIndication_protocolIEs__item__id._const_tab = ____XnUAddressIndication_protocolIEs__item__id_tab
    ___XnUAddressIndication_protocolIEs__item__id._const_tab_at = None
    ___XnUAddressIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___XnUAddressIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnUAddressIndication_protocolIEs__item__criticality._const_tab = ____XnUAddressIndication_protocolIEs__item__id_tab
    ___XnUAddressIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnUAddressIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnUAddressIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnUAddressIndication_protocolIEs__item__value._const_tab = ____XnUAddressIndication_protocolIEs__item__id_tab
    ___XnUAddressIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnUAddressIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __XnUAddressIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnUAddressIndication_protocolIEs__item__id),
        (u'criticality', ___XnUAddressIndication_protocolIEs__item__criticality),
        (u'value', ___XnUAddressIndication_protocolIEs__item__value),
        ])
    __XnUAddressIndication_protocolIEs__item_._ext = None
    _XnUAddressIndication_protocolIEs._cont = __XnUAddressIndication_protocolIEs__item_
    _XnUAddressIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnUAddressIndication._cont = ASN1Dict([
        (u'protocolIEs', _XnUAddressIndication_protocolIEs),
        ])
    XnUAddressIndication._ext = []
    
    #-----< XnUAddressIndication-IEs >-----#
    XnUAddressIndication_IEs = CLASS(name=u'XnUAddressIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnUAddressIndication_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _XnUAddressIndication_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _XnUAddressIndication_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnUAddressInfoperPDUSession-List')))
    XnUAddressIndication_IEs._val = ASN1Set(rv=[dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _XnUAddressIndication_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _XnUAddressIndication_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 11), (u'criticality', u'reject'), (u'Value', _XnUAddressIndication_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< SNodeAdditionRequest >-----#
    SNodeAdditionRequest = SEQ(name=u'SNodeAdditionRequest', mode=MODE_TYPE)
    _SNodeAdditionRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeAdditionRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeAdditionRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeAdditionRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_2 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-SecurityKey')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_6 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeAddedAddReq')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_8 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_9 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_10 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEBehaviour')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_12 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_13 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_14 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_15 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_16 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_17 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_18 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_19 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_20 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_21 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-Addition-Trigger-Ind')))
    ____SNodeAdditionRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 91), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 69), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 70), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 25), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 16), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 47), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'mandatory')]), dict([(u'id', 24), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 13), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 54), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_11), (u'presence', u'optional')]), dict([(u'id', 32), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_12), (u'presence', u'optional')]), dict([(u'id', 94), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_13), (u'presence', u'optional')]), dict([(u'id', 95), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_14), (u'presence', u'conditional')]), dict([(u'id', 105), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_15), (u'presence', u'optional')]), dict([(u'id', 113), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_16), (u'presence', u'optional')]), dict([(u'id', 110), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_17), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_18), (u'presence', u'optional')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_19), (u'presence', u'optional')]), dict([(u'id', 126), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_20), (u'presence', u'optional')]), dict([(u'id', 131), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_21), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeAdditionRequest_protocolIEs__item__id._const_tab = ____SNodeAdditionRequest_protocolIEs__item__id_tab
    ___SNodeAdditionRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeAdditionRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeAdditionRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeAdditionRequest_protocolIEs__item__criticality._const_tab = ____SNodeAdditionRequest_protocolIEs__item__id_tab
    ___SNodeAdditionRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeAdditionRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeAdditionRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeAdditionRequest_protocolIEs__item__value._const_tab = ____SNodeAdditionRequest_protocolIEs__item__id_tab
    ___SNodeAdditionRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeAdditionRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeAdditionRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeAdditionRequest_protocolIEs__item__id),
        (u'criticality', ___SNodeAdditionRequest_protocolIEs__item__criticality),
        (u'value', ___SNodeAdditionRequest_protocolIEs__item__value),
        ])
    __SNodeAdditionRequest_protocolIEs__item_._ext = None
    _SNodeAdditionRequest_protocolIEs._cont = __SNodeAdditionRequest_protocolIEs__item_
    _SNodeAdditionRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeAdditionRequest._cont = ASN1Dict([
        (u'protocolIEs', _SNodeAdditionRequest_protocolIEs),
        ])
    SNodeAdditionRequest._ext = []
    
    #-----< SNodeAdditionRequest-IEs >-----#
    SNodeAdditionRequest_IEs = CLASS(name=u'SNodeAdditionRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeAdditionRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequest_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')))
    _SNodeAdditionRequest_IEs_val_Value_2 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-SecurityKey')))
    _SNodeAdditionRequest_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')))
    _SNodeAdditionRequest_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _SNodeAdditionRequest_IEs_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _SNodeAdditionRequest_IEs_val_Value_6 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')))
    _SNodeAdditionRequest_IEs_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeAddedAddReq')))
    _SNodeAdditionRequest_IEs_val_Value_8 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeAdditionRequest_IEs_val_Value_9 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequest_IEs_val_Value_10 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ExpectedUEBehaviour')))
    _SNodeAdditionRequest_IEs_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeAdditionRequest_IEs_val_Value_12 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _SNodeAdditionRequest_IEs_val_Value_13 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _SNodeAdditionRequest_IEs_val_Value_14 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeAdditionRequest_IEs_val_Value_15 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeAdditionRequest_IEs_val_Value_16 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeAdditionRequest_IEs_val_Value_17 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _SNodeAdditionRequest_IEs_val_Value_18 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeAdditionRequest_IEs_val_Value_19 = BIT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MaskedIMEISV')))
    _SNodeAdditionRequest_IEs_val_Value_20 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    _SNodeAdditionRequest_IEs_val_Value_21 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-Addition-Trigger-Ind')))
    SNodeAdditionRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 91), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 69), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 70), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 25), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 16), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 47), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_7), (u'presence', u'mandatory')]), dict([(u'id', 24), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_8), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 13), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 54), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_11), (u'presence', u'optional')]), dict([(u'id', 32), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_12), (u'presence', u'optional')]), dict([(u'id', 94), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_13), (u'presence', u'optional')]), dict([(u'id', 95), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_14), (u'presence', u'conditional')]), dict([(u'id', 105), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_15), (u'presence', u'optional')]), dict([(u'id', 113), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_16), (u'presence', u'optional')]), dict([(u'id', 110), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_17), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_18), (u'presence', u'optional')]), dict([(u'id', 22), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_19), (u'presence', u'optional')]), dict([(u'id', 126), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_20), (u'presence', u'optional')]), dict([(u'id', 131), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequest_IEs_val_Value_21), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeAddedAddReq >-----#
    PDUSessionToBeAddedAddReq = SEQ_OF(name=u'PDUSessionToBeAddedAddReq', mode=MODE_TYPE)
    _PDUSessionToBeAddedAddReq__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeAddedAddReq-Item')))
    PDUSessionToBeAddedAddReq._cont = _PDUSessionToBeAddedAddReq__item_
    PDUSessionToBeAddedAddReq._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionToBeAddedAddReq-Item >-----#
    PDUSessionToBeAddedAddReq_Item = SEQ(name=u'PDUSessionToBeAddedAddReq-Item', mode=MODE_TYPE)
    _PDUSessionToBeAddedAddReq_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionToBeAddedAddReq_Item_s_NSSAI = SEQ(name=u's-NSSAI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionToBeAddedAddReq_Item_sN_PDUSessionAMBR = SEQ(name=u'sN-PDUSessionAMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionToBeAddedAddReq_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-SNterminated')), opt=True)
    _PDUSessionToBeAddedAddReq_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-MNterminated')), opt=True)
    _PDUSessionToBeAddedAddReq_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id._const_tab = ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_._ext = None
    _PDUSessionToBeAddedAddReq_Item_iE_Extension._cont = __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_
    _PDUSessionToBeAddedAddReq_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeAddedAddReq_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionToBeAddedAddReq_Item_pduSessionId),
        (u's-NSSAI', _PDUSessionToBeAddedAddReq_Item_s_NSSAI),
        (u'sN-PDUSessionAMBR', _PDUSessionToBeAddedAddReq_Item_sN_PDUSessionAMBR),
        (u'sn-terminated', _PDUSessionToBeAddedAddReq_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionToBeAddedAddReq_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionToBeAddedAddReq_Item_iE_Extension),
        ])
    PDUSessionToBeAddedAddReq_Item._ext = []
    
    #-----< PDUSessionToBeAddedAddReq-Item-ExtIEs >-----#
    PDUSessionToBeAddedAddReq_Item_ExtIEs = CLASS(name=u'PDUSessionToBeAddedAddReq-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeAddedAddReq_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeAdditionRequestAcknowledge >-----#
    SNodeAdditionRequestAcknowledge = SEQ(name=u'SNodeAdditionRequestAcknowledge', mode=MODE_TYPE)
    _SNodeAdditionRequestAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeAdditionRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedAddedAddReqAck')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmittedAddReqAck')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 34), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 37), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 61), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 111), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id._const_tab = ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value._const_tab = ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeAdditionRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id),
        (u'criticality', ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality),
        (u'value', ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value),
        ])
    __SNodeAdditionRequestAcknowledge_protocolIEs__item_._ext = None
    _SNodeAdditionRequestAcknowledge_protocolIEs._cont = __SNodeAdditionRequestAcknowledge_protocolIEs__item_
    _SNodeAdditionRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeAdditionRequestAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _SNodeAdditionRequestAcknowledge_protocolIEs),
        ])
    SNodeAdditionRequestAcknowledge._ext = []
    
    #-----< SNodeAdditionRequestAcknowledge-IEs >-----#
    SNodeAdditionRequestAcknowledge_IEs = CLASS(name=u'SNodeAdditionRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedAddedAddReqAck')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmittedAddReqAck')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_8 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _SNodeAdditionRequestAcknowledge_IEs_val_Value_9 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    SNodeAdditionRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 34), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 37), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_4), (u'presence', u'mandatory')]), dict([(u'id', 2), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 61), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 111), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestAcknowledge_IEs_val_Value_9), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedAddedAddReqAck >-----#
    PDUSessionAdmittedAddedAddReqAck = SEQ_OF(name=u'PDUSessionAdmittedAddedAddReqAck', mode=MODE_TYPE)
    _PDUSessionAdmittedAddedAddReqAck__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedAddedAddReqAck-Item')))
    PDUSessionAdmittedAddedAddReqAck._cont = _PDUSessionAdmittedAddedAddReqAck__item_
    PDUSessionAdmittedAddedAddReqAck._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedAddedAddReqAck-Item >-----#
    PDUSessionAdmittedAddedAddReqAck_Item = SEQ(name=u'PDUSessionAdmittedAddedAddReqAck-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedAddedAddReqAck_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedAddedAddReqAck_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedAddedAddReqAck_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension._cont = __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_
    _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedAddedAddReqAck_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionAdmittedAddedAddReqAck_Item_pduSessionId),
        (u'sn-terminated', _PDUSessionAdmittedAddedAddReqAck_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionAdmittedAddedAddReqAck_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension),
        ])
    PDUSessionAdmittedAddedAddReqAck_Item._ext = []
    
    #-----< PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs >-----#
    PDUSessionAdmittedAddedAddReqAck_Item_ExtIEs = CLASS(name=u'PDUSessionAdmittedAddedAddReqAck-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedAddedAddReqAck_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionNotAdmittedAddReqAck >-----#
    PDUSessionNotAdmittedAddReqAck = SEQ(name=u'PDUSessionNotAdmittedAddReqAck', mode=MODE_TYPE)
    _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_SNterminated = SEQ_OF(name=u'pduSessionResourcesNotAdmitted-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')), opt=True)
    _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_MNterminated = SEQ_OF(name=u'pduSessionResourcesNotAdmitted-MNterminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourcesNotAdmitted-List')), opt=True)
    _PDUSessionNotAdmittedAddReqAck_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id._const_tab = ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality._const_tab = ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue._const_tab = ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id),
        (u'criticality', ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue),
        ])
    __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_._ext = None
    _PDUSessionNotAdmittedAddReqAck_iE_Extension._cont = __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_
    _PDUSessionNotAdmittedAddReqAck_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionNotAdmittedAddReqAck._cont = ASN1Dict([
        (u'pduSessionResourcesNotAdmitted-SNterminated', _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_SNterminated),
        (u'pduSessionResourcesNotAdmitted-MNterminated', _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_MNterminated),
        (u'iE-Extension', _PDUSessionNotAdmittedAddReqAck_iE_Extension),
        ])
    PDUSessionNotAdmittedAddReqAck._ext = []
    
    #-----< PDUSessionNotAdmittedAddReqAck-ExtIEs >-----#
    PDUSessionNotAdmittedAddReqAck_ExtIEs = CLASS(name=u'PDUSessionNotAdmittedAddReqAck-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionNotAdmittedAddReqAck_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeAdditionRequestReject >-----#
    SNodeAdditionRequestReject = SEQ(name=u'SNodeAdditionRequestReject', mode=MODE_TYPE)
    _SNodeAdditionRequestReject_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeAdditionRequestReject_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeAdditionRequestReject_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeAdditionRequestReject_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeAdditionRequestReject_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeAdditionRequestReject_protocolIEs__item__id._const_tab = ____SNodeAdditionRequestReject_protocolIEs__item__id_tab
    ___SNodeAdditionRequestReject_protocolIEs__item__id._const_tab_at = None
    ___SNodeAdditionRequestReject_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality._const_tab = ____SNodeAdditionRequestReject_protocolIEs__item__id_tab
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeAdditionRequestReject_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeAdditionRequestReject_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeAdditionRequestReject_protocolIEs__item__value._const_tab = ____SNodeAdditionRequestReject_protocolIEs__item__id_tab
    ___SNodeAdditionRequestReject_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeAdditionRequestReject_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeAdditionRequestReject_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeAdditionRequestReject_protocolIEs__item__id),
        (u'criticality', ___SNodeAdditionRequestReject_protocolIEs__item__criticality),
        (u'value', ___SNodeAdditionRequestReject_protocolIEs__item__value),
        ])
    __SNodeAdditionRequestReject_protocolIEs__item_._ext = None
    _SNodeAdditionRequestReject_protocolIEs._cont = __SNodeAdditionRequestReject_protocolIEs__item_
    _SNodeAdditionRequestReject_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeAdditionRequestReject._cont = ASN1Dict([
        (u'protocolIEs', _SNodeAdditionRequestReject_protocolIEs),
        ])
    SNodeAdditionRequestReject._ext = []
    
    #-----< SNodeAdditionRequestReject-IEs >-----#
    SNodeAdditionRequestReject_IEs = CLASS(name=u'SNodeAdditionRequestReject-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeAdditionRequestReject_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestReject_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeAdditionRequestReject_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeAdditionRequestReject_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeAdditionRequestReject_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestReject_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeAdditionRequestReject_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestReject_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeAdditionRequestReject_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReconfigurationComplete >-----#
    SNodeReconfigurationComplete = SEQ(name=u'SNodeReconfigurationComplete', mode=MODE_TYPE)
    _SNodeReconfigurationComplete_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReconfigurationComplete_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReconfigurationComplete_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeReconfigurationComplete_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResponseInfo-ReconfCompl')))
    ____SNodeReconfigurationComplete_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 60), (u'criticality', u'ignore'), (u'Value', _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___SNodeReconfigurationComplete_protocolIEs__item__id._const_tab = ____SNodeReconfigurationComplete_protocolIEs__item__id_tab
    ___SNodeReconfigurationComplete_protocolIEs__item__id._const_tab_at = None
    ___SNodeReconfigurationComplete_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality._const_tab = ____SNodeReconfigurationComplete_protocolIEs__item__id_tab
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeReconfigurationComplete_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeReconfigurationComplete_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeReconfigurationComplete_protocolIEs__item__value._const_tab = ____SNodeReconfigurationComplete_protocolIEs__item__id_tab
    ___SNodeReconfigurationComplete_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeReconfigurationComplete_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeReconfigurationComplete_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeReconfigurationComplete_protocolIEs__item__id),
        (u'criticality', ___SNodeReconfigurationComplete_protocolIEs__item__criticality),
        (u'value', ___SNodeReconfigurationComplete_protocolIEs__item__value),
        ])
    __SNodeReconfigurationComplete_protocolIEs__item_._ext = None
    _SNodeReconfigurationComplete_protocolIEs._cont = __SNodeReconfigurationComplete_protocolIEs__item_
    _SNodeReconfigurationComplete_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReconfigurationComplete._cont = ASN1Dict([
        (u'protocolIEs', _SNodeReconfigurationComplete_protocolIEs),
        ])
    SNodeReconfigurationComplete._ext = []
    
    #-----< SNodeReconfigurationComplete-IEs >-----#
    SNodeReconfigurationComplete_IEs = CLASS(name=u'SNodeReconfigurationComplete-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReconfigurationComplete_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReconfigurationComplete_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReconfigurationComplete_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResponseInfo-ReconfCompl')))
    SNodeReconfigurationComplete_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeReconfigurationComplete_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeReconfigurationComplete_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 60), (u'criticality', u'ignore'), (u'Value', _SNodeReconfigurationComplete_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< ResponseInfo-ReconfCompl >-----#
    ResponseInfo_ReconfCompl = SEQ(name=u'ResponseInfo-ReconfCompl', mode=MODE_TYPE)
    _ResponseInfo_ReconfCompl_responseType_ReconfComplete = CHOICE(name=u'responseType-ReconfComplete', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResponseType-ReconfComplete')))
    _ResponseInfo_ReconfCompl_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResponseInfo_ReconfCompl_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id._const_tab = ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id._const_tab_at = None
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality._const_tab = ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue._const_tab = ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResponseInfo_ReconfCompl_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResponseInfo_ReconfCompl_iE_Extensions__item__id),
        (u'criticality', ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue),
        ])
    __ResponseInfo_ReconfCompl_iE_Extensions__item_._ext = None
    _ResponseInfo_ReconfCompl_iE_Extensions._cont = __ResponseInfo_ReconfCompl_iE_Extensions__item_
    _ResponseInfo_ReconfCompl_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResponseInfo_ReconfCompl._cont = ASN1Dict([
        (u'responseType-ReconfComplete', _ResponseInfo_ReconfCompl_responseType_ReconfComplete),
        (u'iE-Extensions', _ResponseInfo_ReconfCompl_iE_Extensions),
        ])
    ResponseInfo_ReconfCompl._ext = []
    
    #-----< ResponseInfo-ReconfCompl-ExtIEs >-----#
    ResponseInfo_ReconfCompl_ExtIEs = CLASS(name=u'ResponseInfo-ReconfCompl-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResponseInfo_ReconfCompl_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResponseType-ReconfComplete >-----#
    ResponseType_ReconfComplete = CHOICE(name=u'ResponseType-ReconfComplete', mode=MODE_TYPE)
    _ResponseType_ReconfComplete_configuration_successfully_applied = SEQ(name=u'configuration-successfully-applied', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'Configuration-successfully-applied')))
    _ResponseType_ReconfComplete_configuration_rejected_by_M_NG_RANNode = SEQ(name=u'configuration-rejected-by-M-NG-RANNode', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'Configuration-rejected-by-M-NG-RANNode')))
    _ResponseType_ReconfComplete_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ResponseType_ReconfComplete_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ResponseType_ReconfComplete_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResponseType_ReconfComplete_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResponseType_ReconfComplete_choice_extension_id._const_tab = ___ResponseType_ReconfComplete_choice_extension_id_tab
    __ResponseType_ReconfComplete_choice_extension_id._const_tab_at = None
    __ResponseType_ReconfComplete_choice_extension_id._const_tab_id = u'id'
    __ResponseType_ReconfComplete_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ResponseType_ReconfComplete_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResponseType_ReconfComplete_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResponseType_ReconfComplete_choice_extension_criticality._const_tab = ___ResponseType_ReconfComplete_choice_extension_criticality_tab
    __ResponseType_ReconfComplete_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ResponseType_ReconfComplete_choice_extension_criticality._const_tab_id = u'criticality'
    __ResponseType_ReconfComplete_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ResponseType_ReconfComplete_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ResponseType_ReconfComplete_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ResponseType_ReconfComplete_choice_extension_value._const_tab = ___ResponseType_ReconfComplete_choice_extension_value_tab
    __ResponseType_ReconfComplete_choice_extension_value._const_tab_at = ('..', u'id')
    __ResponseType_ReconfComplete_choice_extension_value._const_tab_id = u'Value'
    _ResponseType_ReconfComplete_choice_extension._cont = ASN1Dict([
        (u'id', __ResponseType_ReconfComplete_choice_extension_id),
        (u'criticality', __ResponseType_ReconfComplete_choice_extension_criticality),
        (u'value', __ResponseType_ReconfComplete_choice_extension_value),
        ])
    _ResponseType_ReconfComplete_choice_extension._ext = None
    ResponseType_ReconfComplete._cont = ASN1Dict([
        (u'configuration-successfully-applied', _ResponseType_ReconfComplete_configuration_successfully_applied),
        (u'configuration-rejected-by-M-NG-RANNode', _ResponseType_ReconfComplete_configuration_rejected_by_M_NG_RANNode),
        (u'choice-extension', _ResponseType_ReconfComplete_choice_extension),
        ])
    ResponseType_ReconfComplete._ext = None
    
    #-----< ResponseType-ReconfComplete-ExtIEs >-----#
    ResponseType_ReconfComplete_ExtIEs = CLASS(name=u'ResponseType-ReconfComplete-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ResponseType_ReconfComplete_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Configuration-successfully-applied >-----#
    Configuration_successfully_applied = SEQ(name=u'Configuration-successfully-applied', mode=MODE_TYPE)
    _Configuration_successfully_applied_m_NG_RANNode_to_S_NG_RANNode_Container = OCT_STR(name=u'm-NG-RANNode-to-S-NG-RANNode-Container', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Configuration_successfully_applied_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Configuration_successfully_applied_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Configuration_successfully_applied_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____Configuration_successfully_applied_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_successfully_applied_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_successfully_applied_iE_Extensions__item__id._const_tab = ____Configuration_successfully_applied_iE_Extensions__item__id_tab
    ___Configuration_successfully_applied_iE_Extensions__item__id._const_tab_at = None
    ___Configuration_successfully_applied_iE_Extensions__item__id._const_tab_id = u'id'
    ___Configuration_successfully_applied_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_successfully_applied_iE_Extensions__item__criticality._const_tab = ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab
    ___Configuration_successfully_applied_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Configuration_successfully_applied_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue._const_tab = ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Configuration_successfully_applied_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Configuration_successfully_applied_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Configuration_successfully_applied_iE_Extensions__item__id),
        (u'criticality', ___Configuration_successfully_applied_iE_Extensions__item__criticality),
        (u'extensionValue', ___Configuration_successfully_applied_iE_Extensions__item__extensionValue),
        ])
    __Configuration_successfully_applied_iE_Extensions__item_._ext = None
    _Configuration_successfully_applied_iE_Extensions._cont = __Configuration_successfully_applied_iE_Extensions__item_
    _Configuration_successfully_applied_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Configuration_successfully_applied._cont = ASN1Dict([
        (u'm-NG-RANNode-to-S-NG-RANNode-Container', _Configuration_successfully_applied_m_NG_RANNode_to_S_NG_RANNode_Container),
        (u'iE-Extensions', _Configuration_successfully_applied_iE_Extensions),
        ])
    Configuration_successfully_applied._ext = []
    
    #-----< Configuration-successfully-applied-ExtIEs >-----#
    Configuration_successfully_applied_ExtIEs = CLASS(name=u'Configuration-successfully-applied-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Configuration_successfully_applied_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< Configuration-rejected-by-M-NG-RANNode >-----#
    Configuration_rejected_by_M_NG_RANNode = SEQ(name=u'Configuration-rejected-by-M-NG-RANNode', mode=MODE_TYPE)
    _Configuration_rejected_by_M_NG_RANNode_cause = CHOICE(name=u'cause', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _Configuration_rejected_by_M_NG_RANNode_m_NG_RANNode_to_S_NG_RANNode_Container = OCT_STR(name=u'm-NG-RANNode-to-S-NG-RANNode-Container', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _Configuration_rejected_by_M_NG_RANNode_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id._const_tab = ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id._const_tab_at = None
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id._const_tab_id = u'id'
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality._const_tab = ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue._const_tab = ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id),
        (u'criticality', ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality),
        (u'extensionValue', ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue),
        ])
    __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_._ext = None
    _Configuration_rejected_by_M_NG_RANNode_iE_Extensions._cont = __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_
    _Configuration_rejected_by_M_NG_RANNode_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    Configuration_rejected_by_M_NG_RANNode._cont = ASN1Dict([
        (u'cause', _Configuration_rejected_by_M_NG_RANNode_cause),
        (u'm-NG-RANNode-to-S-NG-RANNode-Container', _Configuration_rejected_by_M_NG_RANNode_m_NG_RANNode_to_S_NG_RANNode_Container),
        (u'iE-Extensions', _Configuration_rejected_by_M_NG_RANNode_iE_Extensions),
        ])
    Configuration_rejected_by_M_NG_RANNode._ext = []
    
    #-----< Configuration-rejected-by-M-NG-RANNode-ExtIEs >-----#
    Configuration_rejected_by_M_NG_RANNode_ExtIEs = CLASS(name=u'Configuration-rejected-by-M-NG-RANNode-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    Configuration_rejected_by_M_NG_RANNode_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRequest >-----#
    SNodeModificationRequest = SEQ(name=u'SNodeModificationRequest', mode=MODE_TYPE)
    _SNodeModificationRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeModificationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SCGConfigurationQuery')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfo-SNModRequest')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_8 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_9 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_10 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_12 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_13 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_14 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_15 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_16 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_17 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_18 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    ____SNodeModificationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 33), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 25), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 63), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 85), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 54), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 55), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 94), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_11), (u'presence', u'optional')]), dict([(u'id', 96), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_12), (u'presence', u'optional')]), dict([(u'id', 105), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_13), (u'presence', u'optional')]), dict([(u'id', 113), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_14), (u'presence', u'optional')]), dict([(u'id', 110), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_15), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_16), (u'presence', u'optional')]), dict([(u'id', 32), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_17), (u'presence', u'optional')]), dict([(u'id', 126), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_18), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequest_protocolIEs__item__id._const_tab = ____SNodeModificationRequest_protocolIEs__item__id_tab
    ___SNodeModificationRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeModificationRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeModificationRequest_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequest_protocolIEs__item__id_tab
    ___SNodeModificationRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeModificationRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeModificationRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeModificationRequest_protocolIEs__item__value._const_tab = ____SNodeModificationRequest_protocolIEs__item__id_tab
    ___SNodeModificationRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeModificationRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeModificationRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeModificationRequest_protocolIEs__item__id),
        (u'criticality', ___SNodeModificationRequest_protocolIEs__item__criticality),
        (u'value', ___SNodeModificationRequest_protocolIEs__item__value),
        ])
    __SNodeModificationRequest_protocolIEs__item_._ext = None
    _SNodeModificationRequest_protocolIEs._cont = __SNodeModificationRequest_protocolIEs__item_
    _SNodeModificationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequest._cont = ASN1Dict([
        (u'protocolIEs', _SNodeModificationRequest_protocolIEs),
        ])
    SNodeModificationRequest._ext = []
    
    #-----< SNodeModificationRequest-IEs >-----#
    SNodeModificationRequest_IEs = CLASS(name=u'SNodeModificationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequest_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequest_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRequest_IEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _SNodeModificationRequest_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PLMN-Identity')))
    _SNodeModificationRequest_IEs_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MobilityRestrictionList')))
    _SNodeModificationRequest_IEs_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SCGConfigurationQuery')))
    _SNodeModificationRequest_IEs_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEContextInfo-SNModRequest')))
    _SNodeModificationRequest_IEs_val_Value_8 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeModificationRequest_IEs_val_Value_9 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequest_IEs_val_Value_10 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequest_IEs_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DesiredActNotificationLevel')))
    _SNodeModificationRequest_IEs_val_Value_12 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeModificationRequest_IEs_val_Value_13 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeModificationRequest_IEs_val_Value_14 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'BitRate')))
    _SNodeModificationRequest_IEs_val_Value_15 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'LocationInformationSNReporting')))
    _SNodeModificationRequest_IEs_val_Value_16 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeModificationRequest_IEs_val_Value_17 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANCell-ID')))
    _SNodeModificationRequest_IEs_val_Value_18 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NE-DC-TDM-Pattern')))
    SNodeModificationRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 33), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 64), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 25), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 63), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 85), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 54), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 55), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 94), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_11), (u'presence', u'optional')]), dict([(u'id', 96), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_12), (u'presence', u'optional')]), dict([(u'id', 105), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_13), (u'presence', u'optional')]), dict([(u'id', 113), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_14), (u'presence', u'optional')]), dict([(u'id', 110), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_15), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_16), (u'presence', u'optional')]), dict([(u'id', 32), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequest_IEs_val_Value_17), (u'presence', u'optional')]), dict([(u'id', 126), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequest_IEs_val_Value_18), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< UEContextInfo-SNModRequest >-----#
    UEContextInfo_SNModRequest = SEQ(name=u'UEContextInfo-SNModRequest', mode=MODE_TYPE)
    _UEContextInfo_SNModRequest_ueSecurityCapabilities = SEQ(name=u'ueSecurityCapabilities', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UESecurityCapabilities')), opt=True)
    _UEContextInfo_SNModRequest_s_ng_RANnode_SecurityKey = BIT_STR(name=u's-ng-RANnode-SecurityKey', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NG-RANnode-SecurityKey')), opt=True)
    _UEContextInfo_SNModRequest_s_ng_RANnodeUE_AMBR = SEQ(name=u's-ng-RANnodeUE-AMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UEAggregateMaximumBitRate')), opt=True)
    _UEContextInfo_SNModRequest_indexToRatFrequencySelectionPriority = INT(name=u'indexToRatFrequencySelectionPriority', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'RFSP-Index')), opt=True)
    _UEContextInfo_SNModRequest_lowerLayerPresenceStatusChange = ENUM(name=u'lowerLayerPresenceStatusChange', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'LowerLayerPresenceStatusChange')), opt=True)
    _UEContextInfo_SNModRequest_pduSessionResourceToBeAdded = SEQ_OF(name=u'pduSessionResourceToBeAdded', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeAdded-SNModRequest-List')), opt=True)
    _UEContextInfo_SNModRequest_pduSessionResourceToBeModified = SEQ_OF(name=u'pduSessionResourceToBeModified', mode=MODE_TYPE, tag=(6, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeModified-SNModRequest-List')), opt=True)
    _UEContextInfo_SNModRequest_pduSessionResourceToBeReleased = SEQ(name=u'pduSessionResourceToBeReleased', mode=MODE_TYPE, tag=(7, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeReleased-SNModRequest-List')), opt=True)
    _UEContextInfo_SNModRequest_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(8, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEContextInfo_SNModRequest_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEContextInfo_SNModRequest_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfo_SNModRequest_iE_Extension__item__id._const_tab = ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab
    ___UEContextInfo_SNModRequest_iE_Extension__item__id._const_tab_at = None
    ___UEContextInfo_SNModRequest_iE_Extension__item__id._const_tab_id = u'id'
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality._const_tab = ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___UEContextInfo_SNModRequest_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue._const_tab = ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __UEContextInfo_SNModRequest_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___UEContextInfo_SNModRequest_iE_Extension__item__id),
        (u'criticality', ___UEContextInfo_SNModRequest_iE_Extension__item__criticality),
        (u'extensionValue', ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue),
        ])
    __UEContextInfo_SNModRequest_iE_Extension__item_._ext = None
    _UEContextInfo_SNModRequest_iE_Extension._cont = __UEContextInfo_SNModRequest_iE_Extension__item_
    _UEContextInfo_SNModRequest_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEContextInfo_SNModRequest._cont = ASN1Dict([
        (u'ueSecurityCapabilities', _UEContextInfo_SNModRequest_ueSecurityCapabilities),
        (u's-ng-RANnode-SecurityKey', _UEContextInfo_SNModRequest_s_ng_RANnode_SecurityKey),
        (u's-ng-RANnodeUE-AMBR', _UEContextInfo_SNModRequest_s_ng_RANnodeUE_AMBR),
        (u'indexToRatFrequencySelectionPriority', _UEContextInfo_SNModRequest_indexToRatFrequencySelectionPriority),
        (u'lowerLayerPresenceStatusChange', _UEContextInfo_SNModRequest_lowerLayerPresenceStatusChange),
        (u'pduSessionResourceToBeAdded', _UEContextInfo_SNModRequest_pduSessionResourceToBeAdded),
        (u'pduSessionResourceToBeModified', _UEContextInfo_SNModRequest_pduSessionResourceToBeModified),
        (u'pduSessionResourceToBeReleased', _UEContextInfo_SNModRequest_pduSessionResourceToBeReleased),
        (u'iE-Extension', _UEContextInfo_SNModRequest_iE_Extension),
        ])
    UEContextInfo_SNModRequest._ext = []
    
    #-----< UEContextInfo-SNModRequest-ExtIEs >-----#
    UEContextInfo_SNModRequest_ExtIEs = CLASS(name=u'UEContextInfo-SNModRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEContextInfo_SNModRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionsToBeAdded-SNModRequest-List >-----#
    PDUSessionsToBeAdded_SNModRequest_List = SEQ_OF(name=u'PDUSessionsToBeAdded-SNModRequest-List', mode=MODE_TYPE)
    _PDUSessionsToBeAdded_SNModRequest_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeAdded-SNModRequest-Item')))
    PDUSessionsToBeAdded_SNModRequest_List._cont = _PDUSessionsToBeAdded_SNModRequest_List__item_
    PDUSessionsToBeAdded_SNModRequest_List._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    
    #-----< PDUSessionsToBeAdded-SNModRequest-Item >-----#
    PDUSessionsToBeAdded_SNModRequest_Item = SEQ(name=u'PDUSessionsToBeAdded-SNModRequest-Item', mode=MODE_TYPE)
    _PDUSessionsToBeAdded_SNModRequest_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionsToBeAdded_SNModRequest_Item_s_NSSAI = SEQ(name=u's-NSSAI', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    _PDUSessionsToBeAdded_SNModRequest_Item_sN_PDUSessionAMBR = SEQ(name=u'sN-PDUSessionAMBR', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionsToBeAdded_SNModRequest_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-SNterminated')), opt=True)
    _PDUSessionsToBeAdded_SNModRequest_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupInfo-MNterminated')), opt=True)
    _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(5, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id._const_tab = ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality_tab
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_._ext = None
    _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension._cont = __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_
    _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionsToBeAdded_SNModRequest_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionsToBeAdded_SNModRequest_Item_pduSessionId),
        (u's-NSSAI', _PDUSessionsToBeAdded_SNModRequest_Item_s_NSSAI),
        (u'sN-PDUSessionAMBR', _PDUSessionsToBeAdded_SNModRequest_Item_sN_PDUSessionAMBR),
        (u'sn-terminated', _PDUSessionsToBeAdded_SNModRequest_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionsToBeAdded_SNModRequest_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension),
        ])
    PDUSessionsToBeAdded_SNModRequest_Item._ext = []
    
    #-----< PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs >-----#
    PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs = CLASS(name=u'PDUSessionsToBeAdded-SNModRequest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionsToBeModified-SNModRequest-List >-----#
    PDUSessionsToBeModified_SNModRequest_List = SEQ_OF(name=u'PDUSessionsToBeModified-SNModRequest-List', mode=MODE_TYPE)
    _PDUSessionsToBeModified_SNModRequest_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionsToBeModified-SNModRequest-Item')))
    PDUSessionsToBeModified_SNModRequest_List._cont = _PDUSessionsToBeModified_SNModRequest_List__item_
    PDUSessionsToBeModified_SNModRequest_List._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    
    #-----< PDUSessionsToBeModified-SNModRequest-Item >-----#
    PDUSessionsToBeModified_SNModRequest_Item = SEQ(name=u'PDUSessionsToBeModified-SNModRequest-Item', mode=MODE_TYPE)
    _PDUSessionsToBeModified_SNModRequest_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionsToBeModified_SNModRequest_Item_sN_PDUSessionAMBR = SEQ(name=u'sN-PDUSessionAMBR', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionAggregateMaximumBitRate')), opt=True)
    _PDUSessionsToBeModified_SNModRequest_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationInfo-SNterminated')), opt=True)
    _PDUSessionsToBeModified_SNModRequest_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationInfo-MNterminated')), opt=True)
    _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 116), (u'criticality', u'reject'), (u'Extension', _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id._const_tab = ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_._ext = None
    _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension._cont = __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_
    _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionsToBeModified_SNModRequest_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionsToBeModified_SNModRequest_Item_pduSessionId),
        (u'sN-PDUSessionAMBR', _PDUSessionsToBeModified_SNModRequest_Item_sN_PDUSessionAMBR),
        (u'sn-terminated', _PDUSessionsToBeModified_SNModRequest_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionsToBeModified_SNModRequest_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension),
        ])
    PDUSessionsToBeModified_SNModRequest_Item._ext = []
    
    #-----< PDUSessionsToBeModified-SNModRequest-Item-ExtIEs >-----#
    PDUSessionsToBeModified_SNModRequest_Item_ExtIEs = CLASS(name=u'PDUSessionsToBeModified-SNModRequest-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_0 = SEQ(name=u'Extension', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'S-NSSAI')))
    PDUSessionsToBeModified_SNModRequest_Item_ExtIEs._val = ASN1Set(rv=[dict([(u'id', 116), (u'criticality', u'reject'), (u'Extension', _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_0), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionsToBeReleased-SNModRequest-List >-----#
    PDUSessionsToBeReleased_SNModRequest_List = SEQ(name=u'PDUSessionsToBeReleased-SNModRequest-List', mode=MODE_TYPE)
    _PDUSessionsToBeReleased_SNModRequest_List_pdu_session_list = SEQ_OF(name=u'pdu-session-list', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')), opt=True)
    _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id._const_tab = ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality._const_tab = ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue._const_tab = ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id),
        (u'criticality', ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue),
        ])
    __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_._ext = None
    _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension._cont = __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_
    _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionsToBeReleased_SNModRequest_List._cont = ASN1Dict([
        (u'pdu-session-list', _PDUSessionsToBeReleased_SNModRequest_List_pdu_session_list),
        (u'iE-Extension', _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension),
        ])
    PDUSessionsToBeReleased_SNModRequest_List._ext = []
    
    #-----< PDUSessionsToBeReleased-SNModRequest-List-ExtIEs >-----#
    PDUSessionsToBeReleased_SNModRequest_List_ExtIEs = CLASS(name=u'PDUSessionsToBeReleased-SNModRequest-List-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionsToBeReleased_SNModRequest_List_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRequestAcknowledge >-----#
    SNodeModificationRequestAcknowledge = SEQ(name=u'SNodeModificationRequestAcknowledge', mode=MODE_TYPE)
    _SNodeModificationRequestAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmitted-SNModResponse')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmitted-SNModResponse')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionDataForwarding-SNModResponse')))
    _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 36), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 38), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 2), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 3), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 111), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 123), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 61), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id._const_tab = ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value._const_tab = ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeModificationRequestAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeModificationRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeModificationRequestAcknowledge_protocolIEs__item__id),
        (u'criticality', ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality),
        (u'value', ___SNodeModificationRequestAcknowledge_protocolIEs__item__value),
        ])
    __SNodeModificationRequestAcknowledge_protocolIEs__item_._ext = None
    _SNodeModificationRequestAcknowledge_protocolIEs._cont = __SNodeModificationRequestAcknowledge_protocolIEs__item_
    _SNodeModificationRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequestAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _SNodeModificationRequestAcknowledge_protocolIEs),
        ])
    SNodeModificationRequestAcknowledge._ext = []
    
    #-----< SNodeModificationRequestAcknowledge-IEs >-----#
    SNodeModificationRequestAcknowledge_IEs = CLASS(name=u'SNodeModificationRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmitted-SNModResponse')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionNotAdmitted-SNModResponse')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeModificationRequestAcknowledge_IEs_val_Value_5 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_6 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'SplitSRBsTypes')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_8 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_9 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_10 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionDataForwarding-SNModResponse')))
    _SNodeModificationRequestAcknowledge_IEs_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    SNodeModificationRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 36), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 38), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 2), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 3), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 111), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 123), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 61), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequestAcknowledge_IEs_val_Value_11), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmitted-SNModResponse >-----#
    PDUSessionAdmitted_SNModResponse = SEQ(name=u'PDUSessionAdmitted-SNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeAdded = SEQ_OF(name=u'pduSessionResourcesAdmittedToBeAdded', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeAddedSNModResponse')), opt=True)
    _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeModified = SEQ_OF(name=u'pduSessionResourcesAdmittedToBeModified', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeModifiedSNModResponse')), opt=True)
    _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeReleased = SEQ(name=u'pduSessionResourcesAdmittedToBeReleased', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeReleasedSNModResponse')), opt=True)
    _PDUSessionAdmitted_SNModResponse_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmitted_SNModResponse_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id._const_tab = ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAdmitted_SNModResponse_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id),
        (u'criticality', ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmitted_SNModResponse_iE_Extension__item_._ext = None
    _PDUSessionAdmitted_SNModResponse_iE_Extension._cont = __PDUSessionAdmitted_SNModResponse_iE_Extension__item_
    _PDUSessionAdmitted_SNModResponse_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmitted_SNModResponse._cont = ASN1Dict([
        (u'pduSessionResourcesAdmittedToBeAdded', _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeAdded),
        (u'pduSessionResourcesAdmittedToBeModified', _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeModified),
        (u'pduSessionResourcesAdmittedToBeReleased', _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeReleased),
        (u'iE-Extension', _PDUSessionAdmitted_SNModResponse_iE_Extension),
        ])
    PDUSessionAdmitted_SNModResponse._ext = []
    
    #-----< PDUSessionAdmitted-SNModResponse-ExtIEs >-----#
    PDUSessionAdmitted_SNModResponse_ExtIEs = CLASS(name=u'PDUSessionAdmitted-SNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmitted_SNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedToBeAddedSNModResponse >-----#
    PDUSessionAdmittedToBeAddedSNModResponse = SEQ_OF(name=u'PDUSessionAdmittedToBeAddedSNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeAddedSNModResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeAddedSNModResponse-Item')))
    PDUSessionAdmittedToBeAddedSNModResponse._cont = _PDUSessionAdmittedToBeAddedSNModResponse__item_
    PDUSessionAdmittedToBeAddedSNModResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedToBeAddedSNModResponse-Item >-----#
    PDUSessionAdmittedToBeAddedSNModResponse_Item = SEQ(name=u'PDUSessionAdmittedToBeAddedSNModResponse-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSetupResponseInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension._cont = __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_
    _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedToBeAddedSNModResponse_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionAdmittedToBeAddedSNModResponse_Item_pduSessionId),
        (u'sn-terminated', _PDUSessionAdmittedToBeAddedSNModResponse_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionAdmittedToBeAddedSNModResponse_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension),
        ])
    PDUSessionAdmittedToBeAddedSNModResponse_Item._ext = []
    
    #-----< PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs >-----#
    PDUSessionAdmittedToBeAddedSNModResponse_Item_ExtIEs = CLASS(name=u'PDUSessionAdmittedToBeAddedSNModResponse-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeAddedSNModResponse_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedToBeModifiedSNModResponse >-----#
    PDUSessionAdmittedToBeModifiedSNModResponse = SEQ_OF(name=u'PDUSessionAdmittedToBeModifiedSNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeModifiedSNModResponse__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedToBeModifiedSNModResponse-Item')))
    PDUSessionAdmittedToBeModifiedSNModResponse._cont = _PDUSessionAdmittedToBeModifiedSNModResponse__item_
    PDUSessionAdmittedToBeModifiedSNModResponse._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionAdmittedToBeModifiedSNModResponse-Item >-----#
    PDUSessionAdmittedToBeModifiedSNModResponse_Item = SEQ(name=u'PDUSessionAdmittedToBeModifiedSNModResponse-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationResponseInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModificationResponseInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension._cont = __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_
    _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedToBeModifiedSNModResponse_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_pduSessionId),
        (u'sn-terminated', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension),
        ])
    PDUSessionAdmittedToBeModifiedSNModResponse_Item._ext = []
    
    #-----< PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs >-----#
    PDUSessionAdmittedToBeModifiedSNModResponse_Item_ExtIEs = CLASS(name=u'PDUSessionAdmittedToBeModifiedSNModResponse-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeModifiedSNModResponse_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedToBeReleasedSNModResponse >-----#
    PDUSessionAdmittedToBeReleasedSNModResponse = SEQ(name=u'PDUSessionAdmittedToBeReleasedSNModResponse', mode=MODE_TYPE)
    _PDUSessionAdmittedToBeReleasedSNModResponse_sn_terminated = SEQ_OF(name=u'sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionAdmittedToBeReleasedSNModResponse_mn_terminated = SEQ_OF(name=u'mn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')), opt=True)
    _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id),
        (u'criticality', ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_._ext = None
    _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension._cont = __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_
    _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedToBeReleasedSNModResponse._cont = ASN1Dict([
        (u'sn-terminated', _PDUSessionAdmittedToBeReleasedSNModResponse_sn_terminated),
        (u'mn-terminated', _PDUSessionAdmittedToBeReleasedSNModResponse_mn_terminated),
        (u'iE-Extension', _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension),
        ])
    PDUSessionAdmittedToBeReleasedSNModResponse._ext = []
    
    #-----< PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs >-----#
    PDUSessionAdmittedToBeReleasedSNModResponse_ExtIEs = CLASS(name=u'PDUSessionAdmittedToBeReleasedSNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeReleasedSNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionNotAdmitted-SNModResponse >-----#
    PDUSessionNotAdmitted_SNModResponse = SEQ(name=u'PDUSessionNotAdmitted-SNModResponse', mode=MODE_TYPE)
    _PDUSessionNotAdmitted_SNModResponse_pdu_Session_List = SEQ_OF(name=u'pdu-Session-List', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List')), opt=True)
    _PDUSessionNotAdmitted_SNModResponse_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id._const_tab = ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab = ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab = ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id),
        (u'criticality', ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue),
        ])
    __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_._ext = None
    _PDUSessionNotAdmitted_SNModResponse_iE_Extension._cont = __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_
    _PDUSessionNotAdmitted_SNModResponse_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionNotAdmitted_SNModResponse._cont = ASN1Dict([
        (u'pdu-Session-List', _PDUSessionNotAdmitted_SNModResponse_pdu_Session_List),
        (u'iE-Extension', _PDUSessionNotAdmitted_SNModResponse_iE_Extension),
        ])
    PDUSessionNotAdmitted_SNModResponse._ext = []
    
    #-----< PDUSessionNotAdmitted-SNModResponse-ExtIEs >-----#
    PDUSessionNotAdmitted_SNModResponse_ExtIEs = CLASS(name=u'PDUSessionNotAdmitted-SNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionNotAdmitted_SNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionDataForwarding-SNModResponse >-----#
    PDUSessionDataForwarding_SNModResponse = SEQ(name=u'PDUSessionDataForwarding-SNModResponse', mode=MODE_TYPE)
    _PDUSessionDataForwarding_SNModResponse_sn_terminated = SEQ_OF(name=u'sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')))
    _PDUSessionDataForwarding_SNModResponse_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id._const_tab = ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality._const_tab = ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_._ext = None
    _PDUSessionDataForwarding_SNModResponse_iE_Extensions._cont = __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_
    _PDUSessionDataForwarding_SNModResponse_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionDataForwarding_SNModResponse._cont = ASN1Dict([
        (u'sn-terminated', _PDUSessionDataForwarding_SNModResponse_sn_terminated),
        (u'iE-Extensions', _PDUSessionDataForwarding_SNModResponse_iE_Extensions),
        ])
    PDUSessionDataForwarding_SNModResponse._ext = []
    
    #-----< PDUSessionDataForwarding-SNModResponse-ExtIEs >-----#
    PDUSessionDataForwarding_SNModResponse_ExtIEs = CLASS(name=u'PDUSessionDataForwarding-SNModResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionDataForwarding_SNModResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRequestReject >-----#
    SNodeModificationRequestReject = SEQ(name=u'SNodeModificationRequestReject', mode=MODE_TYPE)
    _SNodeModificationRequestReject_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequestReject_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequestReject_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeModificationRequestReject_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeModificationRequestReject_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequestReject_protocolIEs__item__id._const_tab = ____SNodeModificationRequestReject_protocolIEs__item__id_tab
    ___SNodeModificationRequestReject_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequestReject_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeModificationRequestReject_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeModificationRequestReject_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequestReject_protocolIEs__item__id_tab
    ___SNodeModificationRequestReject_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeModificationRequestReject_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeModificationRequestReject_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeModificationRequestReject_protocolIEs__item__value._const_tab = ____SNodeModificationRequestReject_protocolIEs__item__id_tab
    ___SNodeModificationRequestReject_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeModificationRequestReject_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeModificationRequestReject_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeModificationRequestReject_protocolIEs__item__id),
        (u'criticality', ___SNodeModificationRequestReject_protocolIEs__item__criticality),
        (u'value', ___SNodeModificationRequestReject_protocolIEs__item__value),
        ])
    __SNodeModificationRequestReject_protocolIEs__item_._ext = None
    _SNodeModificationRequestReject_protocolIEs._cont = __SNodeModificationRequestReject_protocolIEs__item_
    _SNodeModificationRequestReject_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequestReject._cont = ASN1Dict([
        (u'protocolIEs', _SNodeModificationRequestReject_protocolIEs),
        ])
    SNodeModificationRequestReject._ext = []
    
    #-----< SNodeModificationRequestReject-IEs >-----#
    SNodeModificationRequestReject_IEs = CLASS(name=u'SNodeModificationRequestReject-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequestReject_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestReject_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequestReject_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRequestReject_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeModificationRequestReject_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestReject_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestReject_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestReject_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequestReject_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRequired >-----#
    SNodeModificationRequired = SEQ(name=u'SNodeModificationRequired', mode=MODE_TYPE)
    _SNodeModificationRequired_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRequired_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeModificationRequired_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeModifiedSNModRequired')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedSNModRequired')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_6 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_8 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-Number')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_9 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_10 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    ____SNodeModificationRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 33), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 48), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 51), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 97), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 98), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 111), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 61), (u'criticality', u'reject'), (u'Value', _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_11), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRequired_protocolIEs__item__id._const_tab = ____SNodeModificationRequired_protocolIEs__item__id_tab
    ___SNodeModificationRequired_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRequired_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeModificationRequired_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeModificationRequired_protocolIEs__item__criticality._const_tab = ____SNodeModificationRequired_protocolIEs__item__id_tab
    ___SNodeModificationRequired_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeModificationRequired_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeModificationRequired_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeModificationRequired_protocolIEs__item__value._const_tab = ____SNodeModificationRequired_protocolIEs__item__id_tab
    ___SNodeModificationRequired_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeModificationRequired_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeModificationRequired_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeModificationRequired_protocolIEs__item__id),
        (u'criticality', ___SNodeModificationRequired_protocolIEs__item__criticality),
        (u'value', ___SNodeModificationRequired_protocolIEs__item__value),
        ])
    __SNodeModificationRequired_protocolIEs__item_._ext = None
    _SNodeModificationRequired_protocolIEs._cont = __SNodeModificationRequired_protocolIEs__item_
    _SNodeModificationRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRequired._cont = ASN1Dict([
        (u'protocolIEs', _SNodeModificationRequired_protocolIEs),
        ])
    SNodeModificationRequired._ext = []
    
    #-----< SNodeModificationRequired-IEs >-----#
    SNodeModificationRequired_IEs = CLASS(name=u'SNodeModificationRequired-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRequired_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequired_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRequired_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRequired_IEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDCPChangeIndication')))
    _SNodeModificationRequired_IEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeModifiedSNModRequired')))
    _SNodeModificationRequired_IEs_val_Value_5 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedSNModRequired')))
    _SNodeModificationRequired_IEs_val_Value_6 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeModificationRequired_IEs_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeModificationRequired_IEs_val_Value_8 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-Number')))
    _SNodeModificationRequired_IEs_val_Value_9 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Target-CGI')))
    _SNodeModificationRequired_IEs_val_Value_10 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    _SNodeModificationRequired_IEs_val_Value_11 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RRCConfigIndication')))
    SNodeModificationRequired_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequired_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequired_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 33), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 48), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 51), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 97), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 98), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_8), (u'presence', u'optional')]), dict([(u'id', 111), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_9), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRequired_IEs_val_Value_10), (u'presence', u'optional')]), dict([(u'id', 61), (u'criticality', u'reject'), (u'Value', _SNodeModificationRequired_IEs_val_Value_11), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeModifiedSNModRequired >-----#
    PDUSessionToBeModifiedSNModRequired = SEQ_OF(name=u'PDUSessionToBeModifiedSNModRequired', mode=MODE_TYPE)
    _PDUSessionToBeModifiedSNModRequired__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeModifiedSNModRequired-Item')))
    PDUSessionToBeModifiedSNModRequired._cont = _PDUSessionToBeModifiedSNModRequired__item_
    PDUSessionToBeModifiedSNModRequired._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionToBeModifiedSNModRequired-Item >-----#
    PDUSessionToBeModifiedSNModRequired_Item = SEQ(name=u'PDUSessionToBeModifiedSNModRequired-Item', mode=MODE_TYPE)
    _PDUSessionToBeModifiedSNModRequired_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionToBeModifiedSNModRequired_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModRqdInfo-SNterminated')), opt=True)
    _PDUSessionToBeModifiedSNModRequired_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModRqdInfo-MNterminated')), opt=True)
    _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id._const_tab = ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_._ext = None
    _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension._cont = __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_
    _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeModifiedSNModRequired_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionToBeModifiedSNModRequired_Item_pduSessionId),
        (u'sn-terminated', _PDUSessionToBeModifiedSNModRequired_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionToBeModifiedSNModRequired_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension),
        ])
    PDUSessionToBeModifiedSNModRequired_Item._ext = []
    
    #-----< PDUSessionToBeModifiedSNModRequired-Item-ExtIEs >-----#
    PDUSessionToBeModifiedSNModRequired_Item_ExtIEs = CLASS(name=u'PDUSessionToBeModifiedSNModRequired-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeModifiedSNModRequired_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeReleasedSNModRequired >-----#
    PDUSessionToBeReleasedSNModRequired = SEQ(name=u'PDUSessionToBeReleasedSNModRequired', mode=MODE_TYPE)
    _PDUSessionToBeReleasedSNModRequired_sn_terminated = SEQ_OF(name=u'sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionToBeReleasedSNModRequired_mn_terminated = SEQ_OF(name=u'mn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')), opt=True)
    _PDUSessionToBeReleasedSNModRequired_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id._const_tab = ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality._const_tab = ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue._const_tab = ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id),
        (u'criticality', ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue),
        ])
    __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_._ext = None
    _PDUSessionToBeReleasedSNModRequired_iE_Extension._cont = __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_
    _PDUSessionToBeReleasedSNModRequired_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeReleasedSNModRequired._cont = ASN1Dict([
        (u'sn-terminated', _PDUSessionToBeReleasedSNModRequired_sn_terminated),
        (u'mn-terminated', _PDUSessionToBeReleasedSNModRequired_mn_terminated),
        (u'iE-Extension', _PDUSessionToBeReleasedSNModRequired_iE_Extension),
        ])
    PDUSessionToBeReleasedSNModRequired._ext = []
    
    #-----< PDUSessionToBeReleasedSNModRequired-ExtIEs >-----#
    PDUSessionToBeReleasedSNModRequired_ExtIEs = CLASS(name=u'PDUSessionToBeReleasedSNModRequired-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeReleasedSNModRequired_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationConfirm >-----#
    SNodeModificationConfirm = SEQ(name=u'SNodeModificationConfirm', mode=MODE_TYPE)
    _SNodeModificationConfirm_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationConfirm_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeModificationConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedModSNModConfirm')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedSNModConfirm')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    ____SNodeModificationConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 35), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 40), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 96), (u'criticality', u'reject'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationConfirm_protocolIEs__item__id._const_tab = ____SNodeModificationConfirm_protocolIEs__item__id_tab
    ___SNodeModificationConfirm_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationConfirm_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeModificationConfirm_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeModificationConfirm_protocolIEs__item__criticality._const_tab = ____SNodeModificationConfirm_protocolIEs__item__id_tab
    ___SNodeModificationConfirm_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeModificationConfirm_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeModificationConfirm_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeModificationConfirm_protocolIEs__item__value._const_tab = ____SNodeModificationConfirm_protocolIEs__item__id_tab
    ___SNodeModificationConfirm_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeModificationConfirm_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeModificationConfirm_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeModificationConfirm_protocolIEs__item__id),
        (u'criticality', ___SNodeModificationConfirm_protocolIEs__item__criticality),
        (u'value', ___SNodeModificationConfirm_protocolIEs__item__value),
        ])
    __SNodeModificationConfirm_protocolIEs__item_._ext = None
    _SNodeModificationConfirm_protocolIEs._cont = __SNodeModificationConfirm_protocolIEs__item_
    _SNodeModificationConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationConfirm._cont = ASN1Dict([
        (u'protocolIEs', _SNodeModificationConfirm_protocolIEs),
        ])
    SNodeModificationConfirm._ext = []
    
    #-----< SNodeModificationConfirm-IEs >-----#
    SNodeModificationConfirm_IEs = CLASS(name=u'SNodeModificationConfirm-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationConfirm_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationConfirm_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationConfirm_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedModSNModConfirm')))
    _SNodeModificationConfirm_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedSNModConfirm')))
    _SNodeModificationConfirm_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeModificationConfirm_IEs_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    _SNodeModificationConfirm_IEs_val_Value_6 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _SNodeModificationConfirm_IEs_val_Value_7 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'MR-DC-ResourceCoordinationInfo')))
    SNodeModificationConfirm_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 35), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 40), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 96), (u'criticality', u'reject'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 117), (u'criticality', u'ignore'), (u'Value', _SNodeModificationConfirm_IEs_val_Value_7), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionAdmittedModSNModConfirm >-----#
    PDUSessionAdmittedModSNModConfirm = SEQ_OF(name=u'PDUSessionAdmittedModSNModConfirm', mode=MODE_TYPE)
    _PDUSessionAdmittedModSNModConfirm__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionAdmittedModSNModConfirm-Item')))
    PDUSessionAdmittedModSNModConfirm._cont = _PDUSessionAdmittedModSNModConfirm__item_
    PDUSessionAdmittedModSNModConfirm._const_sz = ASN1Set(rv=[256], rr=[], ev=None, er=[])
    
    #-----< PDUSessionAdmittedModSNModConfirm-Item >-----#
    PDUSessionAdmittedModSNModConfirm_Item = SEQ(name=u'PDUSessionAdmittedModSNModConfirm-Item', mode=MODE_TYPE)
    _PDUSessionAdmittedModSNModConfirm_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionAdmittedModSNModConfirm_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModConfirmInfo-SNterminated')), opt=True)
    _PDUSessionAdmittedModSNModConfirm_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceModConfirmInfo-MNterminated')), opt=True)
    _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id._const_tab = ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality._const_tab = ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_._ext = None
    _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension._cont = __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_
    _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionAdmittedModSNModConfirm_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionAdmittedModSNModConfirm_Item_pduSessionId),
        (u'sn-terminated', _PDUSessionAdmittedModSNModConfirm_Item_sn_terminated),
        (u'mn-terminated', _PDUSessionAdmittedModSNModConfirm_Item_mn_terminated),
        (u'iE-Extension', _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension),
        ])
    PDUSessionAdmittedModSNModConfirm_Item._ext = []
    
    #-----< PDUSessionAdmittedModSNModConfirm-Item-ExtIEs >-----#
    PDUSessionAdmittedModSNModConfirm_Item_ExtIEs = CLASS(name=u'PDUSessionAdmittedModSNModConfirm-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedModSNModConfirm_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< PDUSessionReleasedSNModConfirm >-----#
    PDUSessionReleasedSNModConfirm = SEQ(name=u'PDUSessionReleasedSNModConfirm', mode=MODE_TYPE)
    _PDUSessionReleasedSNModConfirm_sn_terminated = SEQ_OF(name=u'sn-terminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingFromTarget')), opt=True)
    _PDUSessionReleasedSNModConfirm_mn_terminated = SEQ_OF(name=u'mn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List')), opt=True)
    _PDUSessionReleasedSNModConfirm_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionReleasedSNModConfirm_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id._const_tab = ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id._const_tab_at = None
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality._const_tab = ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue._const_tab = ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionReleasedSNModConfirm_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id),
        (u'criticality', ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue),
        ])
    __PDUSessionReleasedSNModConfirm_iE_Extension__item_._ext = None
    _PDUSessionReleasedSNModConfirm_iE_Extension._cont = __PDUSessionReleasedSNModConfirm_iE_Extension__item_
    _PDUSessionReleasedSNModConfirm_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionReleasedSNModConfirm._cont = ASN1Dict([
        (u'sn-terminated', _PDUSessionReleasedSNModConfirm_sn_terminated),
        (u'mn-terminated', _PDUSessionReleasedSNModConfirm_mn_terminated),
        (u'iE-Extension', _PDUSessionReleasedSNModConfirm_iE_Extension),
        ])
    PDUSessionReleasedSNModConfirm._ext = []
    
    #-----< PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs >-----#
    PDUSessionAdmittedToBeReleasedSNModConfirm_ExtIEs = CLASS(name=u'PDUSessionAdmittedToBeReleasedSNModConfirm-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionAdmittedToBeReleasedSNModConfirm_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeModificationRefuse >-----#
    SNodeModificationRefuse = SEQ(name=u'SNodeModificationRefuse', mode=MODE_TYPE)
    _SNodeModificationRefuse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeModificationRefuse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeModificationRefuse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeModificationRefuse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_3 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeModificationRefuse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeModificationRefuse_protocolIEs__item__id._const_tab = ____SNodeModificationRefuse_protocolIEs__item__id_tab
    ___SNodeModificationRefuse_protocolIEs__item__id._const_tab_at = None
    ___SNodeModificationRefuse_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeModificationRefuse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeModificationRefuse_protocolIEs__item__criticality._const_tab = ____SNodeModificationRefuse_protocolIEs__item__id_tab
    ___SNodeModificationRefuse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeModificationRefuse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeModificationRefuse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeModificationRefuse_protocolIEs__item__value._const_tab = ____SNodeModificationRefuse_protocolIEs__item__id_tab
    ___SNodeModificationRefuse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeModificationRefuse_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeModificationRefuse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeModificationRefuse_protocolIEs__item__id),
        (u'criticality', ___SNodeModificationRefuse_protocolIEs__item__criticality),
        (u'value', ___SNodeModificationRefuse_protocolIEs__item__value),
        ])
    __SNodeModificationRefuse_protocolIEs__item_._ext = None
    _SNodeModificationRefuse_protocolIEs._cont = __SNodeModificationRefuse_protocolIEs__item_
    _SNodeModificationRefuse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeModificationRefuse._cont = ASN1Dict([
        (u'protocolIEs', _SNodeModificationRefuse_protocolIEs),
        ])
    SNodeModificationRefuse._ext = []
    
    #-----< SNodeModificationRefuse-IEs >-----#
    SNodeModificationRefuse_IEs = CLASS(name=u'SNodeModificationRefuse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeModificationRefuse_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRefuse_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeModificationRefuse_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeModificationRefuse_IEs_val_Value_3 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeModificationRefuse_IEs_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeModificationRefuse_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRefuse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRefuse_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRefuse_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRefuse_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeModificationRefuse_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseRequest >-----#
    SNodeReleaseRequest = SEQ(name=u'SNodeReleaseRequest', mode=MODE_TYPE)
    _SNodeReleaseRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeReleaseRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_5 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_6 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    ____SNodeReleaseRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 50), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 86), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 137), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseRequest_protocolIEs__item__id._const_tab = ____SNodeReleaseRequest_protocolIEs__item__id_tab
    ___SNodeReleaseRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeReleaseRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeReleaseRequest_protocolIEs__item__criticality._const_tab = ____SNodeReleaseRequest_protocolIEs__item__id_tab
    ___SNodeReleaseRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeReleaseRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeReleaseRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeReleaseRequest_protocolIEs__item__value._const_tab = ____SNodeReleaseRequest_protocolIEs__item__id_tab
    ___SNodeReleaseRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeReleaseRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeReleaseRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeReleaseRequest_protocolIEs__item__id),
        (u'criticality', ___SNodeReleaseRequest_protocolIEs__item__criticality),
        (u'value', ___SNodeReleaseRequest_protocolIEs__item__value),
        ])
    __SNodeReleaseRequest_protocolIEs__item_._ext = None
    _SNodeReleaseRequest_protocolIEs._cont = __SNodeReleaseRequest_protocolIEs__item_
    _SNodeReleaseRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseRequest._cont = ASN1Dict([
        (u'protocolIEs', _SNodeReleaseRequest_protocolIEs),
        ])
    SNodeReleaseRequest._ext = []
    
    #-----< SNodeReleaseRequest-IEs >-----#
    SNodeReleaseRequest_IEs = CLASS(name=u'SNodeReleaseRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequest_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequest_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeReleaseRequest_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withCause')))
    _SNodeReleaseRequest_IEs_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UEContextKeptIndicator')))
    _SNodeReleaseRequest_IEs_val_Value_5 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    _SNodeReleaseRequest_IEs_val_Value_6 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'DRB-List')))
    SNodeReleaseRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 50), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 86), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 24), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 137), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequest_IEs_val_Value_6), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseRequestAcknowledge >-----#
    SNodeReleaseRequestAcknowledge = SEQ(name=u'SNodeReleaseRequestAcknowledge', mode=MODE_TYPE)
    _SNodeReleaseRequestAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseRequestAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelReqAck')))
    _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 104), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id._const_tab = ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality._const_tab = ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value._const_tab = ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeReleaseRequestAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id),
        (u'criticality', ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality),
        (u'value', ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value),
        ])
    __SNodeReleaseRequestAcknowledge_protocolIEs__item_._ext = None
    _SNodeReleaseRequestAcknowledge_protocolIEs._cont = __SNodeReleaseRequestAcknowledge_protocolIEs__item_
    _SNodeReleaseRequestAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseRequestAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _SNodeReleaseRequestAcknowledge_protocolIEs),
        ])
    SNodeReleaseRequestAcknowledge._ext = []
    
    #-----< SNodeReleaseRequestAcknowledge-IEs >-----#
    SNodeReleaseRequestAcknowledge_IEs = CLASS(name=u'SNodeReleaseRequestAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelReqAck')))
    _SNodeReleaseRequestAcknowledge_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeReleaseRequestAcknowledge_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 104), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequestAcknowledge_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeReleasedList-RelReqAck >-----#
    PDUSessionToBeReleasedList_RelReqAck = SEQ(name=u'PDUSessionToBeReleasedList-RelReqAck', mode=MODE_TYPE)
    _PDUSessionToBeReleasedList_RelReqAck_pduSessionsToBeReleasedList_SNterminated = SEQ_OF(name=u'pduSessionsToBeReleasedList-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id._const_tab = ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality._const_tab = ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_._ext = None
    _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions._cont = __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_
    _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeReleasedList_RelReqAck._cont = ASN1Dict([
        (u'pduSessionsToBeReleasedList-SNterminated', _PDUSessionToBeReleasedList_RelReqAck_pduSessionsToBeReleasedList_SNterminated),
        (u'iE-Extensions', _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions),
        ])
    PDUSessionToBeReleasedList_RelReqAck._ext = []
    
    #-----< PDUSessionToBeReleasedList-RelReqAck-ExtIEs >-----#
    PDUSessionToBeReleasedList_RelReqAck_ExtIEs = CLASS(name=u'PDUSessionToBeReleasedList-RelReqAck-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeReleasedList_RelReqAck_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseReject >-----#
    SNodeReleaseReject = SEQ(name=u'SNodeReleaseReject', mode=MODE_TYPE)
    _SNodeReleaseReject_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseReject_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseReject_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeReleaseReject_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeReleaseReject_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseReject_protocolIEs__item__id._const_tab = ____SNodeReleaseReject_protocolIEs__item__id_tab
    ___SNodeReleaseReject_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseReject_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeReleaseReject_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeReleaseReject_protocolIEs__item__criticality._const_tab = ____SNodeReleaseReject_protocolIEs__item__id_tab
    ___SNodeReleaseReject_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeReleaseReject_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeReleaseReject_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeReleaseReject_protocolIEs__item__value._const_tab = ____SNodeReleaseReject_protocolIEs__item__id_tab
    ___SNodeReleaseReject_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeReleaseReject_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeReleaseReject_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeReleaseReject_protocolIEs__item__id),
        (u'criticality', ___SNodeReleaseReject_protocolIEs__item__criticality),
        (u'value', ___SNodeReleaseReject_protocolIEs__item__value),
        ])
    __SNodeReleaseReject_protocolIEs__item_._ext = None
    _SNodeReleaseReject_protocolIEs._cont = __SNodeReleaseReject_protocolIEs__item_
    _SNodeReleaseReject_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseReject._cont = ASN1Dict([
        (u'protocolIEs', _SNodeReleaseReject_protocolIEs),
        ])
    SNodeReleaseReject._ext = []
    
    #-----< SNodeReleaseReject-IEs >-----#
    SNodeReleaseReject_IEs = CLASS(name=u'SNodeReleaseReject-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseReject_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseReject_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseReject_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeReleaseReject_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeReleaseReject_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeReleaseReject_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeReleaseReject_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseReject_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseReject_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseRequired >-----#
    SNodeReleaseRequired = SEQ(name=u'SNodeReleaseRequired', mode=MODE_TYPE)
    _SNodeReleaseRequired_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseRequired_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeReleaseRequired_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelRqd')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    ____SNodeReleaseRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 49), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseRequired_protocolIEs__item__id._const_tab = ____SNodeReleaseRequired_protocolIEs__item__id_tab
    ___SNodeReleaseRequired_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseRequired_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeReleaseRequired_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeReleaseRequired_protocolIEs__item__criticality._const_tab = ____SNodeReleaseRequired_protocolIEs__item__id_tab
    ___SNodeReleaseRequired_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeReleaseRequired_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeReleaseRequired_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeReleaseRequired_protocolIEs__item__value._const_tab = ____SNodeReleaseRequired_protocolIEs__item__id_tab
    ___SNodeReleaseRequired_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeReleaseRequired_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeReleaseRequired_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeReleaseRequired_protocolIEs__item__id),
        (u'criticality', ___SNodeReleaseRequired_protocolIEs__item__criticality),
        (u'value', ___SNodeReleaseRequired_protocolIEs__item__value),
        ])
    __SNodeReleaseRequired_protocolIEs__item_._ext = None
    _SNodeReleaseRequired_protocolIEs._cont = __SNodeReleaseRequired_protocolIEs__item_
    _SNodeReleaseRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseRequired._cont = ASN1Dict([
        (u'protocolIEs', _SNodeReleaseRequired_protocolIEs),
        ])
    SNodeReleaseRequired._ext = []
    
    #-----< SNodeReleaseRequired-IEs >-----#
    SNodeReleaseRequired_IEs = CLASS(name=u'SNodeReleaseRequired-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseRequired_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequired_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseRequired_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionToBeReleasedList-RelRqd')))
    _SNodeReleaseRequired_IEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeReleaseRequired_IEs_val_Value_4 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    SNodeReleaseRequired_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeReleaseRequired_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeReleaseRequired_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 49), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequired_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequired_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 72), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseRequired_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionToBeReleasedList-RelRqd >-----#
    PDUSessionToBeReleasedList_RelRqd = SEQ(name=u'PDUSessionToBeReleasedList-RelRqd', mode=MODE_TYPE)
    _PDUSessionToBeReleasedList_RelRqd_pduSessionsToBeReleasedList_SNterminated = SEQ_OF(name=u'pduSessionsToBeReleasedList-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingRequest')), opt=True)
    _PDUSessionToBeReleasedList_RelRqd_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id._const_tab = ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality._const_tab = ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_._ext = None
    _PDUSessionToBeReleasedList_RelRqd_iE_Extensions._cont = __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_
    _PDUSessionToBeReleasedList_RelRqd_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionToBeReleasedList_RelRqd._cont = ASN1Dict([
        (u'pduSessionsToBeReleasedList-SNterminated', _PDUSessionToBeReleasedList_RelRqd_pduSessionsToBeReleasedList_SNterminated),
        (u'iE-Extensions', _PDUSessionToBeReleasedList_RelRqd_iE_Extensions),
        ])
    PDUSessionToBeReleasedList_RelRqd._ext = []
    
    #-----< PDUSessionToBeReleasedList-RelRqd-ExtIEs >-----#
    PDUSessionToBeReleasedList_RelRqd_ExtIEs = CLASS(name=u'PDUSessionToBeReleasedList-RelRqd-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionToBeReleasedList_RelRqd_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeReleaseConfirm >-----#
    SNodeReleaseConfirm = SEQ(name=u'SNodeReleaseConfirm', mode=MODE_TYPE)
    _SNodeReleaseConfirm_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeReleaseConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeReleaseConfirm_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeReleaseConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedList-RelConf')))
    _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeReleaseConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 39), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeReleaseConfirm_protocolIEs__item__id._const_tab = ____SNodeReleaseConfirm_protocolIEs__item__id_tab
    ___SNodeReleaseConfirm_protocolIEs__item__id._const_tab_at = None
    ___SNodeReleaseConfirm_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeReleaseConfirm_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeReleaseConfirm_protocolIEs__item__criticality._const_tab = ____SNodeReleaseConfirm_protocolIEs__item__id_tab
    ___SNodeReleaseConfirm_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeReleaseConfirm_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeReleaseConfirm_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeReleaseConfirm_protocolIEs__item__value._const_tab = ____SNodeReleaseConfirm_protocolIEs__item__id_tab
    ___SNodeReleaseConfirm_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeReleaseConfirm_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeReleaseConfirm_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeReleaseConfirm_protocolIEs__item__id),
        (u'criticality', ___SNodeReleaseConfirm_protocolIEs__item__criticality),
        (u'value', ___SNodeReleaseConfirm_protocolIEs__item__value),
        ])
    __SNodeReleaseConfirm_protocolIEs__item_._ext = None
    _SNodeReleaseConfirm_protocolIEs._cont = __SNodeReleaseConfirm_protocolIEs__item_
    _SNodeReleaseConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeReleaseConfirm._cont = ASN1Dict([
        (u'protocolIEs', _SNodeReleaseConfirm_protocolIEs),
        ])
    SNodeReleaseConfirm._ext = []
    
    #-----< SNodeReleaseConfirm-IEs >-----#
    SNodeReleaseConfirm_IEs = CLASS(name=u'SNodeReleaseConfirm-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeReleaseConfirm_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseConfirm_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeReleaseConfirm_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionReleasedList-RelConf')))
    _SNodeReleaseConfirm_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeReleaseConfirm_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseConfirm_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseConfirm_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 39), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseConfirm_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeReleaseConfirm_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionReleasedList-RelConf >-----#
    PDUSessionReleasedList_RelConf = SEQ(name=u'PDUSessionReleasedList-RelConf', mode=MODE_TYPE)
    _PDUSessionReleasedList_RelConf_pduSessionsReleasedList_SNterminated = SEQ_OF(name=u'pduSessionsReleasedList-SNterminated', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-List-withDataForwardingFromTarget')), opt=True)
    _PDUSessionReleasedList_RelConf_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionReleasedList_RelConf_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id._const_tab = ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality._const_tab = ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionReleasedList_RelConf_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionReleasedList_RelConf_iE_Extensions__item_._ext = None
    _PDUSessionReleasedList_RelConf_iE_Extensions._cont = __PDUSessionReleasedList_RelConf_iE_Extensions__item_
    _PDUSessionReleasedList_RelConf_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionReleasedList_RelConf._cont = ASN1Dict([
        (u'pduSessionsReleasedList-SNterminated', _PDUSessionReleasedList_RelConf_pduSessionsReleasedList_SNterminated),
        (u'iE-Extensions', _PDUSessionReleasedList_RelConf_iE_Extensions),
        ])
    PDUSessionReleasedList_RelConf._ext = []
    
    #-----< PDUSessionReleasedList-RelConf-ExtIEs >-----#
    PDUSessionReleasedList_RelConf_ExtIEs = CLASS(name=u'PDUSessionReleasedList-RelConf-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionReleasedList_RelConf_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeCounterCheckRequest >-----#
    SNodeCounterCheckRequest = SEQ(name=u'SNodeCounterCheckRequest', mode=MODE_TYPE)
    _SNodeCounterCheckRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeCounterCheckRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeCounterCheckRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeCounterCheckRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'BearersSubjectToCounterCheck-List')))
    ____SNodeCounterCheckRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'ignore'), (u'Value', _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___SNodeCounterCheckRequest_protocolIEs__item__id._const_tab = ____SNodeCounterCheckRequest_protocolIEs__item__id_tab
    ___SNodeCounterCheckRequest_protocolIEs__item__id._const_tab_at = None
    ___SNodeCounterCheckRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality._const_tab = ____SNodeCounterCheckRequest_protocolIEs__item__id_tab
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeCounterCheckRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeCounterCheckRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeCounterCheckRequest_protocolIEs__item__value._const_tab = ____SNodeCounterCheckRequest_protocolIEs__item__id_tab
    ___SNodeCounterCheckRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeCounterCheckRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeCounterCheckRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeCounterCheckRequest_protocolIEs__item__id),
        (u'criticality', ___SNodeCounterCheckRequest_protocolIEs__item__criticality),
        (u'value', ___SNodeCounterCheckRequest_protocolIEs__item__value),
        ])
    __SNodeCounterCheckRequest_protocolIEs__item_._ext = None
    _SNodeCounterCheckRequest_protocolIEs._cont = __SNodeCounterCheckRequest_protocolIEs__item_
    _SNodeCounterCheckRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeCounterCheckRequest._cont = ASN1Dict([
        (u'protocolIEs', _SNodeCounterCheckRequest_protocolIEs),
        ])
    SNodeCounterCheckRequest._ext = []
    
    #-----< SNodeCounterCheckRequest-IEs >-----#
    SNodeCounterCheckRequest_IEs = CLASS(name=u'SNodeCounterCheckRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeCounterCheckRequest_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeCounterCheckRequest_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeCounterCheckRequest_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'BearersSubjectToCounterCheck-List')))
    SNodeCounterCheckRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeCounterCheckRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeCounterCheckRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 6), (u'criticality', u'ignore'), (u'Value', _SNodeCounterCheckRequest_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< BearersSubjectToCounterCheck-List >-----#
    BearersSubjectToCounterCheck_List = SEQ_OF(name=u'BearersSubjectToCounterCheck-List', mode=MODE_TYPE)
    _BearersSubjectToCounterCheck_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'BearersSubjectToCounterCheck-Item')))
    BearersSubjectToCounterCheck_List._cont = _BearersSubjectToCounterCheck_List__item_
    BearersSubjectToCounterCheck_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=32)], ev=None, er=[])
    
    #-----< BearersSubjectToCounterCheck-Item >-----#
    BearersSubjectToCounterCheck_Item = SEQ(name=u'BearersSubjectToCounterCheck-Item', mode=MODE_TYPE)
    _BearersSubjectToCounterCheck_Item_drb_ID = INT(name=u'drb-ID', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DRB-ID')))
    _BearersSubjectToCounterCheck_Item_ul_count = INT(name=u'ul-count', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _BearersSubjectToCounterCheck_Item_ul_count._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    _BearersSubjectToCounterCheck_Item_dl_count = INT(name=u'dl-count', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _BearersSubjectToCounterCheck_Item_dl_count._const_val = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=4294967295)], ev=None, er=[])
    _BearersSubjectToCounterCheck_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __BearersSubjectToCounterCheck_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id._const_tab = ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id._const_tab_at = None
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality._const_tab = ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue._const_tab = ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __BearersSubjectToCounterCheck_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id),
        (u'criticality', ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue),
        ])
    __BearersSubjectToCounterCheck_Item_iE_Extensions__item_._ext = None
    _BearersSubjectToCounterCheck_Item_iE_Extensions._cont = __BearersSubjectToCounterCheck_Item_iE_Extensions__item_
    _BearersSubjectToCounterCheck_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    BearersSubjectToCounterCheck_Item._cont = ASN1Dict([
        (u'drb-ID', _BearersSubjectToCounterCheck_Item_drb_ID),
        (u'ul-count', _BearersSubjectToCounterCheck_Item_ul_count),
        (u'dl-count', _BearersSubjectToCounterCheck_Item_dl_count),
        (u'iE-Extensions', _BearersSubjectToCounterCheck_Item_iE_Extensions),
        ])
    BearersSubjectToCounterCheck_Item._ext = []
    
    #-----< BearersSubjectToCounterCheck-Item-ExtIEs >-----#
    BearersSubjectToCounterCheck_Item_ExtIEs = CLASS(name=u'BearersSubjectToCounterCheck-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    BearersSubjectToCounterCheck_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeChangeRequired >-----#
    SNodeChangeRequired = SEQ(name=u'SNodeChangeRequired', mode=MODE_TYPE)
    _SNodeChangeRequired_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeChangeRequired_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeChangeRequired_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeChangeRequired_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeRequired-List')))
    _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_5 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    ____SNodeChangeRequired_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 80), (u'criticality', u'reject'), (u'Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 46), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'reject'), (u'Value', _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___SNodeChangeRequired_protocolIEs__item__id._const_tab = ____SNodeChangeRequired_protocolIEs__item__id_tab
    ___SNodeChangeRequired_protocolIEs__item__id._const_tab_at = None
    ___SNodeChangeRequired_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeChangeRequired_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeChangeRequired_protocolIEs__item__criticality._const_tab = ____SNodeChangeRequired_protocolIEs__item__id_tab
    ___SNodeChangeRequired_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeChangeRequired_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeChangeRequired_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeChangeRequired_protocolIEs__item__value._const_tab = ____SNodeChangeRequired_protocolIEs__item__id_tab
    ___SNodeChangeRequired_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeChangeRequired_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeChangeRequired_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeChangeRequired_protocolIEs__item__id),
        (u'criticality', ___SNodeChangeRequired_protocolIEs__item__criticality),
        (u'value', ___SNodeChangeRequired_protocolIEs__item__value),
        ])
    __SNodeChangeRequired_protocolIEs__item_._ext = None
    _SNodeChangeRequired_protocolIEs._cont = __SNodeChangeRequired_protocolIEs__item_
    _SNodeChangeRequired_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeChangeRequired._cont = ASN1Dict([
        (u'protocolIEs', _SNodeChangeRequired_protocolIEs),
        ])
    SNodeChangeRequired._ext = []
    
    #-----< SNodeChangeRequired-IEs >-----#
    SNodeChangeRequired_IEs = CLASS(name=u'SNodeChangeRequired-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeChangeRequired_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRequired_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRequired_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _SNodeChangeRequired_IEs_val_Value_3 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeChangeRequired_IEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeRequired-List')))
    _SNodeChangeRequired_IEs_val_Value_5 = OCT_STR(name=u'Value', mode=MODE_TYPE)
    SNodeChangeRequired_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SNodeChangeRequired_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SNodeChangeRequired_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 80), (u'criticality', u'reject'), (u'Value', _SNodeChangeRequired_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeChangeRequired_IEs_val_Value_3), (u'presence', u'mandatory')]), dict([(u'id', 46), (u'criticality', u'ignore'), (u'Value', _SNodeChangeRequired_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 72), (u'criticality', u'reject'), (u'Value', _SNodeChangeRequired_IEs_val_Value_5), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< PDUSession-SNChangeRequired-List >-----#
    PDUSession_SNChangeRequired_List = SEQ_OF(name=u'PDUSession-SNChangeRequired-List', mode=MODE_TYPE)
    _PDUSession_SNChangeRequired_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeRequired-Item')))
    PDUSession_SNChangeRequired_List._cont = _PDUSession_SNChangeRequired_List__item_
    PDUSession_SNChangeRequired_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-SNChangeRequired-Item >-----#
    PDUSession_SNChangeRequired_Item = SEQ(name=u'PDUSession-SNChangeRequired-Item', mode=MODE_TYPE)
    _PDUSession_SNChangeRequired_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_SNChangeRequired_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeRequiredInfo-SNterminated')), opt=True)
    _PDUSession_SNChangeRequired_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeRequiredInfo-MNterminated')), opt=True)
    _PDUSession_SNChangeRequired_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_SNChangeRequired_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id._const_tab = ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSession_SNChangeRequired_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_SNChangeRequired_Item_iE_Extension__item_._ext = None
    _PDUSession_SNChangeRequired_Item_iE_Extension._cont = __PDUSession_SNChangeRequired_Item_iE_Extension__item_
    _PDUSession_SNChangeRequired_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_SNChangeRequired_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSession_SNChangeRequired_Item_pduSessionId),
        (u'sn-terminated', _PDUSession_SNChangeRequired_Item_sn_terminated),
        (u'mn-terminated', _PDUSession_SNChangeRequired_Item_mn_terminated),
        (u'iE-Extension', _PDUSession_SNChangeRequired_Item_iE_Extension),
        ])
    PDUSession_SNChangeRequired_Item._ext = []
    
    #-----< PDUSession-SNChangeRequired-Item-ExtIEs >-----#
    PDUSession_SNChangeRequired_Item_ExtIEs = CLASS(name=u'PDUSession-SNChangeRequired-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_SNChangeRequired_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeChangeConfirm >-----#
    SNodeChangeConfirm = SEQ(name=u'SNodeChangeConfirm', mode=MODE_TYPE)
    _SNodeChangeConfirm_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeChangeConfirm_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeChangeConfirm_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeChangeConfirm_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeConfirm-List')))
    _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeChangeConfirm_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 45), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeChangeConfirm_protocolIEs__item__id._const_tab = ____SNodeChangeConfirm_protocolIEs__item__id_tab
    ___SNodeChangeConfirm_protocolIEs__item__id._const_tab_at = None
    ___SNodeChangeConfirm_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeChangeConfirm_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeChangeConfirm_protocolIEs__item__criticality._const_tab = ____SNodeChangeConfirm_protocolIEs__item__id_tab
    ___SNodeChangeConfirm_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeChangeConfirm_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeChangeConfirm_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeChangeConfirm_protocolIEs__item__value._const_tab = ____SNodeChangeConfirm_protocolIEs__item__id_tab
    ___SNodeChangeConfirm_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeChangeConfirm_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeChangeConfirm_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeChangeConfirm_protocolIEs__item__id),
        (u'criticality', ___SNodeChangeConfirm_protocolIEs__item__criticality),
        (u'value', ___SNodeChangeConfirm_protocolIEs__item__value),
        ])
    __SNodeChangeConfirm_protocolIEs__item_._ext = None
    _SNodeChangeConfirm_protocolIEs._cont = __SNodeChangeConfirm_protocolIEs__item_
    _SNodeChangeConfirm_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeChangeConfirm._cont = ASN1Dict([
        (u'protocolIEs', _SNodeChangeConfirm_protocolIEs),
        ])
    SNodeChangeConfirm._ext = []
    
    #-----< SNodeChangeConfirm-IEs >-----#
    SNodeChangeConfirm_IEs = CLASS(name=u'SNodeChangeConfirm-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeChangeConfirm_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeConfirm_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeConfirm_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeConfirm-List')))
    _SNodeChangeConfirm_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeChangeConfirm_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeChangeConfirm_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeChangeConfirm_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 45), (u'criticality', u'ignore'), (u'Value', _SNodeChangeConfirm_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeChangeConfirm_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSession-SNChangeConfirm-List >-----#
    PDUSession_SNChangeConfirm_List = SEQ_OF(name=u'PDUSession-SNChangeConfirm-List', mode=MODE_TYPE)
    _PDUSession_SNChangeConfirm_List__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSession-SNChangeConfirm-Item')))
    PDUSession_SNChangeConfirm_List._cont = _PDUSession_SNChangeConfirm_List__item_
    PDUSession_SNChangeConfirm_List._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSession-SNChangeConfirm-Item >-----#
    PDUSession_SNChangeConfirm_Item = SEQ(name=u'PDUSession-SNChangeConfirm-Item', mode=MODE_TYPE)
    _PDUSession_SNChangeConfirm_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSession_SNChangeConfirm_Item_sn_terminated = SEQ(name=u'sn-terminated', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeConfirmInfo-SNterminated')), opt=True)
    _PDUSession_SNChangeConfirm_Item_mn_terminated = SEQ(name=u'mn-terminated', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceChangeConfirmInfo-MNterminated')), opt=True)
    _PDUSession_SNChangeConfirm_Item_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSession_SNChangeConfirm_Item_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id._const_tab = ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id._const_tab_at = None
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id._const_tab_id = u'id'
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality._const_tab = ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue._const_tab = ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __PDUSession_SNChangeConfirm_Item_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id),
        (u'criticality', ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality),
        (u'extensionValue', ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue),
        ])
    __PDUSession_SNChangeConfirm_Item_iE_Extension__item_._ext = None
    _PDUSession_SNChangeConfirm_Item_iE_Extension._cont = __PDUSession_SNChangeConfirm_Item_iE_Extension__item_
    _PDUSession_SNChangeConfirm_Item_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSession_SNChangeConfirm_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSession_SNChangeConfirm_Item_pduSessionId),
        (u'sn-terminated', _PDUSession_SNChangeConfirm_Item_sn_terminated),
        (u'mn-terminated', _PDUSession_SNChangeConfirm_Item_mn_terminated),
        (u'iE-Extension', _PDUSession_SNChangeConfirm_Item_iE_Extension),
        ])
    PDUSession_SNChangeConfirm_Item._ext = []
    
    #-----< PDUSession-SNChangeConfirm-Item-ExtIEs >-----#
    PDUSession_SNChangeConfirm_Item_ExtIEs = CLASS(name=u'PDUSession-SNChangeConfirm-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSession_SNChangeConfirm_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SNodeChangeRefuse >-----#
    SNodeChangeRefuse = SEQ(name=u'SNodeChangeRefuse', mode=MODE_TYPE)
    _SNodeChangeRefuse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SNodeChangeRefuse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SNodeChangeRefuse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SNodeChangeRefuse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    ____SNodeChangeRefuse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___SNodeChangeRefuse_protocolIEs__item__id._const_tab = ____SNodeChangeRefuse_protocolIEs__item__id_tab
    ___SNodeChangeRefuse_protocolIEs__item__id._const_tab_at = None
    ___SNodeChangeRefuse_protocolIEs__item__id._const_tab_id = u'id'
    ___SNodeChangeRefuse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SNodeChangeRefuse_protocolIEs__item__criticality._const_tab = ____SNodeChangeRefuse_protocolIEs__item__id_tab
    ___SNodeChangeRefuse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SNodeChangeRefuse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SNodeChangeRefuse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SNodeChangeRefuse_protocolIEs__item__value._const_tab = ____SNodeChangeRefuse_protocolIEs__item__id_tab
    ___SNodeChangeRefuse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SNodeChangeRefuse_protocolIEs__item__value._const_tab_id = u'Value'
    __SNodeChangeRefuse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SNodeChangeRefuse_protocolIEs__item__id),
        (u'criticality', ___SNodeChangeRefuse_protocolIEs__item__criticality),
        (u'value', ___SNodeChangeRefuse_protocolIEs__item__value),
        ])
    __SNodeChangeRefuse_protocolIEs__item_._ext = None
    _SNodeChangeRefuse_protocolIEs._cont = __SNodeChangeRefuse_protocolIEs__item_
    _SNodeChangeRefuse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SNodeChangeRefuse._cont = ASN1Dict([
        (u'protocolIEs', _SNodeChangeRefuse_protocolIEs),
        ])
    SNodeChangeRefuse._ext = []
    
    #-----< SNodeChangeRefuse-IEs >-----#
    SNodeChangeRefuse_IEs = CLASS(name=u'SNodeChangeRefuse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SNodeChangeRefuse_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRefuse_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SNodeChangeRefuse_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _SNodeChangeRefuse_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    SNodeChangeRefuse_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _SNodeChangeRefuse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _SNodeChangeRefuse_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _SNodeChangeRefuse_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _SNodeChangeRefuse_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< RRCTransfer >-----#
    RRCTransfer = SEQ(name=u'RRCTransfer', mode=MODE_TYPE)
    _RRCTransfer_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __RRCTransfer_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___RRCTransfer_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____RRCTransfer_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SplitSRB-RRCTransfer')))
    _____RRCTransfer_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEReportRRCTransfer')))
    ____RRCTransfer_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 74), (u'criticality', u'reject'), (u'Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 28), (u'criticality', u'reject'), (u'Value', _____RRCTransfer_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___RRCTransfer_protocolIEs__item__id._const_tab = ____RRCTransfer_protocolIEs__item__id_tab
    ___RRCTransfer_protocolIEs__item__id._const_tab_at = None
    ___RRCTransfer_protocolIEs__item__id._const_tab_id = u'id'
    ___RRCTransfer_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RRCTransfer_protocolIEs__item__criticality._const_tab = ____RRCTransfer_protocolIEs__item__id_tab
    ___RRCTransfer_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___RRCTransfer_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___RRCTransfer_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RRCTransfer_protocolIEs__item__value._const_tab = ____RRCTransfer_protocolIEs__item__id_tab
    ___RRCTransfer_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___RRCTransfer_protocolIEs__item__value._const_tab_id = u'Value'
    __RRCTransfer_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___RRCTransfer_protocolIEs__item__id),
        (u'criticality', ___RRCTransfer_protocolIEs__item__criticality),
        (u'value', ___RRCTransfer_protocolIEs__item__value),
        ])
    __RRCTransfer_protocolIEs__item_._ext = None
    _RRCTransfer_protocolIEs._cont = __RRCTransfer_protocolIEs__item_
    _RRCTransfer_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    RRCTransfer._cont = ASN1Dict([
        (u'protocolIEs', _RRCTransfer_protocolIEs),
        ])
    RRCTransfer._ext = []
    
    #-----< RRCTransfer-IEs >-----#
    RRCTransfer_IEs = CLASS(name=u'RRCTransfer-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _RRCTransfer_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RRCTransfer_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _RRCTransfer_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'SplitSRB-RRCTransfer')))
    _RRCTransfer_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'UEReportRRCTransfer')))
    RRCTransfer_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _RRCTransfer_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _RRCTransfer_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 74), (u'criticality', u'reject'), (u'Value', _RRCTransfer_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 28), (u'criticality', u'reject'), (u'Value', _RRCTransfer_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< SplitSRB-RRCTransfer >-----#
    SplitSRB_RRCTransfer = SEQ(name=u'SplitSRB-RRCTransfer', mode=MODE_TYPE)
    _SplitSRB_RRCTransfer_rrcContainer = OCT_STR(name=u'rrcContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    _SplitSRB_RRCTransfer_srbType = ENUM(name=u'srbType', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _SplitSRB_RRCTransfer_srbType._cont = ASN1Dict([(u'srb1', 0), (u'srb2', 1)])
    _SplitSRB_RRCTransfer_srbType._ext = []
    _SplitSRB_RRCTransfer_deliveryStatus = INT(name=u'deliveryStatus', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DeliveryStatus')), opt=True)
    _SplitSRB_RRCTransfer_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __SplitSRB_RRCTransfer_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id._const_tab = ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id._const_tab_at = None
    ___SplitSRB_RRCTransfer_iE_Extensions__item__id._const_tab_id = u'id'
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality._const_tab = ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue._const_tab = ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __SplitSRB_RRCTransfer_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___SplitSRB_RRCTransfer_iE_Extensions__item__id),
        (u'criticality', ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality),
        (u'extensionValue', ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue),
        ])
    __SplitSRB_RRCTransfer_iE_Extensions__item_._ext = None
    _SplitSRB_RRCTransfer_iE_Extensions._cont = __SplitSRB_RRCTransfer_iE_Extensions__item_
    _SplitSRB_RRCTransfer_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    SplitSRB_RRCTransfer._cont = ASN1Dict([
        (u'rrcContainer', _SplitSRB_RRCTransfer_rrcContainer),
        (u'srbType', _SplitSRB_RRCTransfer_srbType),
        (u'deliveryStatus', _SplitSRB_RRCTransfer_deliveryStatus),
        (u'iE-Extensions', _SplitSRB_RRCTransfer_iE_Extensions),
        ])
    SplitSRB_RRCTransfer._ext = []
    
    #-----< SplitSRB-RRCTransfer-ExtIEs >-----#
    SplitSRB_RRCTransfer_ExtIEs = CLASS(name=u'SplitSRB-RRCTransfer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    SplitSRB_RRCTransfer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< UEReportRRCTransfer >-----#
    UEReportRRCTransfer = SEQ(name=u'UEReportRRCTransfer', mode=MODE_TYPE)
    _UEReportRRCTransfer_rrcContainer = OCT_STR(name=u'rrcContainer', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    _UEReportRRCTransfer_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __UEReportRRCTransfer_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___UEReportRRCTransfer_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____UEReportRRCTransfer_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEReportRRCTransfer_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEReportRRCTransfer_iE_Extensions__item__id._const_tab = ____UEReportRRCTransfer_iE_Extensions__item__id_tab
    ___UEReportRRCTransfer_iE_Extensions__item__id._const_tab_at = None
    ___UEReportRRCTransfer_iE_Extensions__item__id._const_tab_id = u'id'
    ___UEReportRRCTransfer_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEReportRRCTransfer_iE_Extensions__item__criticality._const_tab = ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab
    ___UEReportRRCTransfer_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___UEReportRRCTransfer_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue._const_tab = ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___UEReportRRCTransfer_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __UEReportRRCTransfer_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___UEReportRRCTransfer_iE_Extensions__item__id),
        (u'criticality', ___UEReportRRCTransfer_iE_Extensions__item__criticality),
        (u'extensionValue', ___UEReportRRCTransfer_iE_Extensions__item__extensionValue),
        ])
    __UEReportRRCTransfer_iE_Extensions__item_._ext = None
    _UEReportRRCTransfer_iE_Extensions._cont = __UEReportRRCTransfer_iE_Extensions__item_
    _UEReportRRCTransfer_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    UEReportRRCTransfer._cont = ASN1Dict([
        (u'rrcContainer', _UEReportRRCTransfer_rrcContainer),
        (u'iE-Extensions', _UEReportRRCTransfer_iE_Extensions),
        ])
    UEReportRRCTransfer._ext = []
    
    #-----< UEReportRRCTransfer-ExtIEs >-----#
    UEReportRRCTransfer_ExtIEs = CLASS(name=u'UEReportRRCTransfer-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    UEReportRRCTransfer_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NotificationControlIndication >-----#
    NotificationControlIndication = SEQ(name=u'NotificationControlIndication', mode=MODE_TYPE)
    _NotificationControlIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NotificationControlIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NotificationControlIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____NotificationControlIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesNotifyList')))
    ____NotificationControlIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 44), (u'criticality', u'reject'), (u'Value', _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___NotificationControlIndication_protocolIEs__item__id._const_tab = ____NotificationControlIndication_protocolIEs__item__id_tab
    ___NotificationControlIndication_protocolIEs__item__id._const_tab_at = None
    ___NotificationControlIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___NotificationControlIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NotificationControlIndication_protocolIEs__item__criticality._const_tab = ____NotificationControlIndication_protocolIEs__item__id_tab
    ___NotificationControlIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___NotificationControlIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___NotificationControlIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NotificationControlIndication_protocolIEs__item__value._const_tab = ____NotificationControlIndication_protocolIEs__item__id_tab
    ___NotificationControlIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___NotificationControlIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __NotificationControlIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___NotificationControlIndication_protocolIEs__item__id),
        (u'criticality', ___NotificationControlIndication_protocolIEs__item__criticality),
        (u'value', ___NotificationControlIndication_protocolIEs__item__value),
        ])
    __NotificationControlIndication_protocolIEs__item_._ext = None
    _NotificationControlIndication_protocolIEs._cont = __NotificationControlIndication_protocolIEs__item_
    _NotificationControlIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NotificationControlIndication._cont = ASN1Dict([
        (u'protocolIEs', _NotificationControlIndication_protocolIEs),
        ])
    NotificationControlIndication._ext = []
    
    #-----< NotificationControlIndication-IEs >-----#
    NotificationControlIndication_IEs = CLASS(name=u'NotificationControlIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NotificationControlIndication_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _NotificationControlIndication_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _NotificationControlIndication_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesNotifyList')))
    NotificationControlIndication_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _NotificationControlIndication_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _NotificationControlIndication_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 44), (u'criticality', u'reject'), (u'Value', _NotificationControlIndication_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesNotifyList >-----#
    PDUSessionResourcesNotifyList = SEQ_OF(name=u'PDUSessionResourcesNotifyList', mode=MODE_TYPE)
    _PDUSessionResourcesNotifyList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesNotify-Item')))
    PDUSessionResourcesNotifyList._cont = _PDUSessionResourcesNotifyList__item_
    PDUSessionResourcesNotifyList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesNotify-Item >-----#
    PDUSessionResourcesNotify_Item = SEQ(name=u'PDUSessionResourcesNotify-Item', mode=MODE_TYPE)
    _PDUSessionResourcesNotify_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesNotify_Item_qosFlowsNotificationContrIndInfo = SEQ_OF(name=u'qosFlowsNotificationContrIndInfo', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowNotificationControlIndicationInfo')))
    _PDUSessionResourcesNotify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesNotify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourcesNotify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesNotify_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesNotify_Item_iE_Extensions._cont = __PDUSessionResourcesNotify_Item_iE_Extensions__item_
    _PDUSessionResourcesNotify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesNotify_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionResourcesNotify_Item_pduSessionId),
        (u'qosFlowsNotificationContrIndInfo', _PDUSessionResourcesNotify_Item_qosFlowsNotificationContrIndInfo),
        (u'iE-Extensions', _PDUSessionResourcesNotify_Item_iE_Extensions),
        ])
    PDUSessionResourcesNotify_Item._ext = []
    
    #-----< PDUSessionResourcesNotify-Item-ExtIEs >-----#
    PDUSessionResourcesNotify_Item_ExtIEs = CLASS(name=u'PDUSessionResourcesNotify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesNotify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ActivityNotification >-----#
    ActivityNotification = SEQ(name=u'ActivityNotification', mode=MODE_TYPE)
    _ActivityNotification_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ActivityNotification_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ActivityNotification_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____ActivityNotification_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesActivityNotifyList')))
    _____ActivityNotification_protocolIEs__item__id_tab_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingFailure')))
    ____ActivityNotification_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 92), (u'criticality', u'ignore'), (u'Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 41), (u'criticality', u'ignore'), (u'Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 121), (u'criticality', u'ignore'), (u'Value', _____ActivityNotification_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ActivityNotification_protocolIEs__item__id._const_tab = ____ActivityNotification_protocolIEs__item__id_tab
    ___ActivityNotification_protocolIEs__item__id._const_tab_at = None
    ___ActivityNotification_protocolIEs__item__id._const_tab_id = u'id'
    ___ActivityNotification_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ActivityNotification_protocolIEs__item__criticality._const_tab = ____ActivityNotification_protocolIEs__item__id_tab
    ___ActivityNotification_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ActivityNotification_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ActivityNotification_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ActivityNotification_protocolIEs__item__value._const_tab = ____ActivityNotification_protocolIEs__item__id_tab
    ___ActivityNotification_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ActivityNotification_protocolIEs__item__value._const_tab_id = u'Value'
    __ActivityNotification_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ActivityNotification_protocolIEs__item__id),
        (u'criticality', ___ActivityNotification_protocolIEs__item__criticality),
        (u'value', ___ActivityNotification_protocolIEs__item__value),
        ])
    __ActivityNotification_protocolIEs__item_._ext = None
    _ActivityNotification_protocolIEs._cont = __ActivityNotification_protocolIEs__item_
    _ActivityNotification_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ActivityNotification._cont = ASN1Dict([
        (u'protocolIEs', _ActivityNotification_protocolIEs),
        ])
    ActivityNotification._ext = []
    
    #-----< ActivityNotification-IEs >-----#
    ActivityNotification_IEs = CLASS(name=u'ActivityNotification-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ActivityNotification_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ActivityNotification_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ActivityNotification_IEs_val_Value_2 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')))
    _ActivityNotification_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesActivityNotifyList')))
    _ActivityNotification_IEs_val_Value_4 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'RANPagingFailure')))
    ActivityNotification_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'ignore'), (u'Value', _ActivityNotification_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'ignore'), (u'Value', _ActivityNotification_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 92), (u'criticality', u'ignore'), (u'Value', _ActivityNotification_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 41), (u'criticality', u'ignore'), (u'Value', _ActivityNotification_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 121), (u'criticality', u'ignore'), (u'Value', _ActivityNotification_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PDUSessionResourcesActivityNotifyList >-----#
    PDUSessionResourcesActivityNotifyList = SEQ_OF(name=u'PDUSessionResourcesActivityNotifyList', mode=MODE_TYPE)
    _PDUSessionResourcesActivityNotifyList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'PDUSessionResourcesActivityNotify-Item')))
    PDUSessionResourcesActivityNotifyList._cont = _PDUSessionResourcesActivityNotifyList__item_
    PDUSessionResourcesActivityNotifyList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=256)], ev=None, er=[])
    
    #-----< PDUSessionResourcesActivityNotify-Item >-----#
    PDUSessionResourcesActivityNotify_Item = SEQ(name=u'PDUSessionResourcesActivityNotify-Item', mode=MODE_TYPE)
    _PDUSessionResourcesActivityNotify_Item_pduSessionId = INT(name=u'pduSessionId', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'PDUSession-ID')))
    _PDUSessionResourcesActivityNotify_Item_pduSessionLevelUPactivityreport = ENUM(name=u'pduSessionLevelUPactivityreport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')), opt=True)
    _PDUSessionResourcesActivityNotify_Item_qosFlowsActivityNotifyList = SEQ_OF(name=u'qosFlowsActivityNotifyList', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'QoSFlowsActivityNotifyList')), opt=True)
    _PDUSessionResourcesActivityNotify_Item_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id._const_tab = ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id._const_tab_at = None
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id._const_tab_id = u'id'
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality._const_tab = ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue._const_tab = ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id),
        (u'criticality', ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality),
        (u'extensionValue', ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue),
        ])
    __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_._ext = None
    _PDUSessionResourcesActivityNotify_Item_iE_Extensions._cont = __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_
    _PDUSessionResourcesActivityNotify_Item_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PDUSessionResourcesActivityNotify_Item._cont = ASN1Dict([
        (u'pduSessionId', _PDUSessionResourcesActivityNotify_Item_pduSessionId),
        (u'pduSessionLevelUPactivityreport', _PDUSessionResourcesActivityNotify_Item_pduSessionLevelUPactivityreport),
        (u'qosFlowsActivityNotifyList', _PDUSessionResourcesActivityNotify_Item_qosFlowsActivityNotifyList),
        (u'iE-Extensions', _PDUSessionResourcesActivityNotify_Item_iE_Extensions),
        ])
    PDUSessionResourcesActivityNotify_Item._ext = []
    
    #-----< PDUSessionResourcesActivityNotify-Item-ExtIEs >-----#
    PDUSessionResourcesActivityNotify_Item_ExtIEs = CLASS(name=u'PDUSessionResourcesActivityNotify-Item-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    PDUSessionResourcesActivityNotify_Item_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< QoSFlowsActivityNotifyList >-----#
    QoSFlowsActivityNotifyList = SEQ_OF(name=u'QoSFlowsActivityNotifyList', mode=MODE_TYPE)
    _QoSFlowsActivityNotifyList__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'QoSFlowsActivityNotifyItem')))
    QoSFlowsActivityNotifyList._cont = _QoSFlowsActivityNotifyList__item_
    QoSFlowsActivityNotifyList._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=64)], ev=None, er=[])
    
    #-----< QoSFlowsActivityNotifyItem >-----#
    QoSFlowsActivityNotifyItem = SEQ(name=u'QoSFlowsActivityNotifyItem', mode=MODE_TYPE)
    _QoSFlowsActivityNotifyItem_qosFlowIdentifier = INT(name=u'qosFlowIdentifier', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'QoSFlowIdentifier')))
    _QoSFlowsActivityNotifyItem_pduSessionLevelUPactivityreport = ENUM(name=u'pduSessionLevelUPactivityreport', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'UserPlaneTrafficActivityReport')))
    _QoSFlowsActivityNotifyItem_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __QoSFlowsActivityNotifyItem_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id._const_tab = ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id._const_tab_at = None
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id._const_tab_id = u'id'
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality._const_tab = ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue._const_tab = ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __QoSFlowsActivityNotifyItem_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id),
        (u'criticality', ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality),
        (u'extensionValue', ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue),
        ])
    __QoSFlowsActivityNotifyItem_iE_Extensions__item_._ext = None
    _QoSFlowsActivityNotifyItem_iE_Extensions._cont = __QoSFlowsActivityNotifyItem_iE_Extensions__item_
    _QoSFlowsActivityNotifyItem_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    QoSFlowsActivityNotifyItem._cont = ASN1Dict([
        (u'qosFlowIdentifier', _QoSFlowsActivityNotifyItem_qosFlowIdentifier),
        (u'pduSessionLevelUPactivityreport', _QoSFlowsActivityNotifyItem_pduSessionLevelUPactivityreport),
        (u'iE-Extensions', _QoSFlowsActivityNotifyItem_iE_Extensions),
        ])
    QoSFlowsActivityNotifyItem._ext = []
    
    #-----< QoSFlowsActivityNotifyItem-ExtIEs >-----#
    QoSFlowsActivityNotifyItem_ExtIEs = CLASS(name=u'QoSFlowsActivityNotifyItem-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    QoSFlowsActivityNotifyItem_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< XnSetupRequest >-----#
    XnSetupRequest = SEQ(name=u'XnSetupRequest', mode=MODE_TYPE)
    _XnSetupRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnSetupRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnSetupRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnSetupRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_5 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnSetupRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 75), (u'criticality', u'reject'), (u'Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 19), (u'criticality', u'reject'), (u'Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 18), (u'criticality', u'reject'), (u'Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnSetupRequest_protocolIEs__item__id._const_tab = ____XnSetupRequest_protocolIEs__item__id_tab
    ___XnSetupRequest_protocolIEs__item__id._const_tab_at = None
    ___XnSetupRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___XnSetupRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnSetupRequest_protocolIEs__item__criticality._const_tab = ____XnSetupRequest_protocolIEs__item__id_tab
    ___XnSetupRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnSetupRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnSetupRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnSetupRequest_protocolIEs__item__value._const_tab = ____XnSetupRequest_protocolIEs__item__id_tab
    ___XnSetupRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnSetupRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __XnSetupRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnSetupRequest_protocolIEs__item__id),
        (u'criticality', ___XnSetupRequest_protocolIEs__item__criticality),
        (u'value', ___XnSetupRequest_protocolIEs__item__value),
        ])
    __XnSetupRequest_protocolIEs__item_._ext = None
    _XnSetupRequest_protocolIEs._cont = __XnSetupRequest_protocolIEs__item_
    _XnSetupRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnSetupRequest._cont = ASN1Dict([
        (u'protocolIEs', _XnSetupRequest_protocolIEs),
        ])
    XnSetupRequest._ext = []
    
    #-----< XnSetupRequest-IEs >-----#
    XnSetupRequest_IEs = CLASS(name=u'XnSetupRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnSetupRequest_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnSetupRequest_IEs_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _XnSetupRequest_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _XnSetupRequest_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _XnSetupRequest_IEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _XnSetupRequest_IEs_val_Value_5 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnSetupRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _XnSetupRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 75), (u'criticality', u'reject'), (u'Value', _XnSetupRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _XnSetupRequest_IEs_val_Value_2), (u'presence', u'mandatory')]), dict([(u'id', 19), (u'criticality', u'reject'), (u'Value', _XnSetupRequest_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 18), (u'criticality', u'reject'), (u'Value', _XnSetupRequest_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _XnSetupRequest_IEs_val_Value_5), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnSetupResponse >-----#
    XnSetupResponse = SEQ(name=u'XnSetupResponse', mode=MODE_TYPE)
    _XnSetupResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnSetupResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnSetupResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnSetupResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_6 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnSetupResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 75), (u'criticality', u'reject'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 19), (u'criticality', u'reject'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 18), (u'criticality', u'reject'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnSetupResponse_protocolIEs__item__id._const_tab = ____XnSetupResponse_protocolIEs__item__id_tab
    ___XnSetupResponse_protocolIEs__item__id._const_tab_at = None
    ___XnSetupResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___XnSetupResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnSetupResponse_protocolIEs__item__criticality._const_tab = ____XnSetupResponse_protocolIEs__item__id_tab
    ___XnSetupResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnSetupResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnSetupResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnSetupResponse_protocolIEs__item__value._const_tab = ____XnSetupResponse_protocolIEs__item__id_tab
    ___XnSetupResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnSetupResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __XnSetupResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnSetupResponse_protocolIEs__item__id),
        (u'criticality', ___XnSetupResponse_protocolIEs__item__criticality),
        (u'value', ___XnSetupResponse_protocolIEs__item__value),
        ])
    __XnSetupResponse_protocolIEs__item_._ext = None
    _XnSetupResponse_protocolIEs._cont = __XnSetupResponse_protocolIEs__item_
    _XnSetupResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnSetupResponse._cont = ASN1Dict([
        (u'protocolIEs', _XnSetupResponse_protocolIEs),
        ])
    XnSetupResponse._ext = []
    
    #-----< XnSetupResponse-IEs >-----#
    XnSetupResponse_IEs = CLASS(name=u'XnSetupResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnSetupResponse_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnSetupResponse_IEs_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _XnSetupResponse_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')))
    _XnSetupResponse_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-E-UTRA')))
    _XnSetupResponse_IEs_val_Value_4 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnSetupResponse_IEs_val_Value_5 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _XnSetupResponse_IEs_val_Value_6 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnSetupResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _XnSetupResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 75), (u'criticality', u'reject'), (u'Value', _XnSetupResponse_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 19), (u'criticality', u'reject'), (u'Value', _XnSetupResponse_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 18), (u'criticality', u'reject'), (u'Value', _XnSetupResponse_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _XnSetupResponse_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 4), (u'criticality', u'reject'), (u'Value', _XnSetupResponse_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _XnSetupResponse_IEs_val_Value_6), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnSetupFailure >-----#
    XnSetupFailure = SEQ(name=u'XnSetupFailure', mode=MODE_TYPE)
    _XnSetupFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnSetupFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnSetupFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnSetupFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnSetupFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnSetupFailure_protocolIEs__item__id._const_tab = ____XnSetupFailure_protocolIEs__item__id_tab
    ___XnSetupFailure_protocolIEs__item__id._const_tab_at = None
    ___XnSetupFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___XnSetupFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnSetupFailure_protocolIEs__item__criticality._const_tab = ____XnSetupFailure_protocolIEs__item__id_tab
    ___XnSetupFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnSetupFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnSetupFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnSetupFailure_protocolIEs__item__value._const_tab = ____XnSetupFailure_protocolIEs__item__id_tab
    ___XnSetupFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnSetupFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __XnSetupFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnSetupFailure_protocolIEs__item__id),
        (u'criticality', ___XnSetupFailure_protocolIEs__item__criticality),
        (u'value', ___XnSetupFailure_protocolIEs__item__value),
        ])
    __XnSetupFailure_protocolIEs__item_._ext = None
    _XnSetupFailure_protocolIEs._cont = __XnSetupFailure_protocolIEs__item_
    _XnSetupFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnSetupFailure._cont = ASN1Dict([
        (u'protocolIEs', _XnSetupFailure_protocolIEs),
        ])
    XnSetupFailure._ext = []
    
    #-----< XnSetupFailure-IEs >-----#
    XnSetupFailure_IEs = CLASS(name=u'XnSetupFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnSetupFailure_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _XnSetupFailure_IEs_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _XnSetupFailure_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnSetupFailure_IEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnSetupFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _XnSetupFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _XnSetupFailure_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _XnSetupFailure_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _XnSetupFailure_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NGRANNodeConfigurationUpdate >-----#
    NGRANNodeConfigurationUpdate = SEQ(name=u'NGRANNodeConfigurationUpdate', mode=MODE_TYPE)
    _NGRANNodeConfigurationUpdate_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NGRANNodeConfigurationUpdate_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConfigurationUpdateInitiatingNodeChoice')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Add-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Remove-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Update-List')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_6 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_8 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 75), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 99), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 101), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 100), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 118), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 119), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_8), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id._const_tab = ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id._const_tab_at = None
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__id._const_tab_id = u'id'
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality._const_tab = ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value._const_tab = ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___NGRANNodeConfigurationUpdate_protocolIEs__item__value._const_tab_id = u'Value'
    __NGRANNodeConfigurationUpdate_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___NGRANNodeConfigurationUpdate_protocolIEs__item__id),
        (u'criticality', ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality),
        (u'value', ___NGRANNodeConfigurationUpdate_protocolIEs__item__value),
        ])
    __NGRANNodeConfigurationUpdate_protocolIEs__item_._ext = None
    _NGRANNodeConfigurationUpdate_protocolIEs._cont = __NGRANNodeConfigurationUpdate_protocolIEs__item_
    _NGRANNodeConfigurationUpdate_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NGRANNodeConfigurationUpdate._cont = ASN1Dict([
        (u'protocolIEs', _NGRANNodeConfigurationUpdate_protocolIEs),
        ])
    NGRANNodeConfigurationUpdate._ext = []
    
    #-----< NGRANNodeConfigurationUpdate-IEs >-----#
    NGRANNodeConfigurationUpdate_IEs = CLASS(name=u'NGRANNodeConfigurationUpdate-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_0 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TAISupport-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ConfigurationUpdateInitiatingNodeChoice')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Add-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_3 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Remove-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_4 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-To-Update-List')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_5 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_6 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_7 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'AMF-Region-Information')))
    _NGRANNodeConfigurationUpdate_IEs_val_Value_8 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    NGRANNodeConfigurationUpdate_IEs._val = ASN1Set(rv=[dict([(u'id', 75), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 9), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 99), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 101), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 100), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_4), (u'presence', u'optional')]), dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_5), (u'presence', u'optional')]), dict([(u'id', 118), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_6), (u'presence', u'optional')]), dict([(u'id', 119), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_7), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdate_IEs_val_Value_8), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ConfigurationUpdateInitiatingNodeChoice >-----#
    ConfigurationUpdateInitiatingNodeChoice = CHOICE(name=u'ConfigurationUpdateInitiatingNodeChoice', mode=MODE_TYPE)
    _ConfigurationUpdateInitiatingNodeChoice_gNB = SEQ_OF(name=u'gNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ConfigurationUpdateInitiatingNodeChoice_gNB__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-NR')))
    _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 68), (u'criticality', u'ignore'), (u'Value', _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id._const_tab_at = None
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id._const_tab_id = u'id'
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality._const_tab_at = ('..', u'id')
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality._const_tab_id = u'criticality'
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value._const_tab_at = ('..', u'id')
    ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value._const_tab_id = u'Value'
    __ConfigurationUpdateInitiatingNodeChoice_gNB__item_._cont = ASN1Dict([
        (u'id', ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id),
        (u'criticality', ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality),
        (u'value', ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value),
        ])
    __ConfigurationUpdateInitiatingNodeChoice_gNB__item_._ext = None
    _ConfigurationUpdateInitiatingNodeChoice_gNB._cont = __ConfigurationUpdateInitiatingNodeChoice_gNB__item_
    _ConfigurationUpdateInitiatingNodeChoice_gNB._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _ConfigurationUpdateInitiatingNodeChoice_ng_eNB = SEQ_OF(name=u'ng-eNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-E-UTRA')))
    _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 66), (u'criticality', u'ignore'), (u'Value', _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id._const_tab_at = None
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id._const_tab_id = u'id'
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality._const_tab_at = ('..', u'id')
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality._const_tab_id = u'criticality'
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value._const_tab = ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value._const_tab_at = ('..', u'id')
    ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value._const_tab_id = u'Value'
    __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_._cont = ASN1Dict([
        (u'id', ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id),
        (u'criticality', ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality),
        (u'value', ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value),
        ])
    __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_._ext = None
    _ConfigurationUpdateInitiatingNodeChoice_ng_eNB._cont = __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_
    _ConfigurationUpdateInitiatingNodeChoice_ng_eNB._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    _ConfigurationUpdateInitiatingNodeChoice_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id._const_tab = ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id._const_tab_at = None
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id._const_tab_id = u'id'
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality._const_tab = ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality._const_tab_id = u'criticality'
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value._const_tab = ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value._const_tab_at = ('..', u'id')
    __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value._const_tab_id = u'Value'
    _ConfigurationUpdateInitiatingNodeChoice_choice_extension._cont = ASN1Dict([
        (u'id', __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id),
        (u'criticality', __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality),
        (u'value', __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value),
        ])
    _ConfigurationUpdateInitiatingNodeChoice_choice_extension._ext = None
    ConfigurationUpdateInitiatingNodeChoice._cont = ASN1Dict([
        (u'gNB', _ConfigurationUpdateInitiatingNodeChoice_gNB),
        (u'ng-eNB', _ConfigurationUpdateInitiatingNodeChoice_ng_eNB),
        (u'choice-extension', _ConfigurationUpdateInitiatingNodeChoice_choice_extension),
        ])
    ConfigurationUpdateInitiatingNodeChoice._ext = None
    
    #-----< ServedCellsToUpdateInitiatingNodeChoice-ExtIEs >-----#
    ServedCellsToUpdateInitiatingNodeChoice_ExtIEs = CLASS(name=u'ServedCellsToUpdateInitiatingNodeChoice-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ServedCellsToUpdateInitiatingNodeChoice_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ConfigurationUpdate-gNB >-----#
    ConfigurationUpdate_gNB = CLASS(name=u'ConfigurationUpdate-gNB', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ConfigurationUpdate_gNB_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-NR')))
    _ConfigurationUpdate_gNB_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    ConfigurationUpdate_gNB._val = ASN1Set(rv=[dict([(u'id', 68), (u'criticality', u'ignore'), (u'Value', _ConfigurationUpdate_gNB_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _ConfigurationUpdate_gNB_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ConfigurationUpdate-ng-eNB >-----#
    ConfigurationUpdate_ng_eNB = CLASS(name=u'ConfigurationUpdate-ng-eNB', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ConfigurationUpdate_ng_eNB_val_Value_0 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ServedCellsToUpdate-E-UTRA')))
    _ConfigurationUpdate_ng_eNB_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CellAssistanceInfo-NR')))
    ConfigurationUpdate_ng_eNB._val = ASN1Set(rv=[dict([(u'id', 66), (u'criticality', u'ignore'), (u'Value', _ConfigurationUpdate_ng_eNB_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 8), (u'criticality', u'ignore'), (u'Value', _ConfigurationUpdate_ng_eNB_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< NGRANNodeConfigurationUpdateAcknowledge >-----#
    NGRANNodeConfigurationUpdateAcknowledge = SEQ(name=u'NGRANNodeConfigurationUpdateAcknowledge', mode=MODE_TYPE)
    _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Setup-List')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Failed-To-Setup-List')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 58), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 102), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 103), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab = ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_at = None
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id._const_tab_id = u'id'
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab = ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab = ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value._const_tab_id = u'Value'
    __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id),
        (u'criticality', ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality),
        (u'value', ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value),
        ])
    __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_._ext = None
    _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs._cont = __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_
    _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NGRANNodeConfigurationUpdateAcknowledge._cont = ASN1Dict([
        (u'protocolIEs', _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs),
        ])
    NGRANNodeConfigurationUpdateAcknowledge._ext = []
    
    #-----< NGRANNodeConfigurationUpdateAcknowledge-IEs >-----#
    NGRANNodeConfigurationUpdateAcknowledge_IEs = CLASS(name=u'NGRANNodeConfigurationUpdateAcknowledge-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_1 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Setup-List')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TNLA-Failed-To-Setup-List')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    NGRANNodeConfigurationUpdateAcknowledge_IEs._val = ASN1Set(rv=[dict([(u'id', 58), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 102), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 103), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeTypeConfigUpdateAck >-----#
    RespondingNodeTypeConfigUpdateAck = CHOICE(name=u'RespondingNodeTypeConfigUpdateAck', mode=MODE_TYPE)
    _RespondingNodeTypeConfigUpdateAck_ng_eNB = SEQ(name=u'ng-eNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck-ng-eNB')))
    _RespondingNodeTypeConfigUpdateAck_gNB = SEQ(name=u'gNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeTypeConfigUpdateAck-gNB')))
    _RespondingNodeTypeConfigUpdateAck_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id._const_tab = ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id._const_tab_at = None
    __RespondingNodeTypeConfigUpdateAck_choice_extension_id._const_tab_id = u'id'
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality._const_tab = ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality._const_tab_at = ('..', u'id')
    __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality._const_tab_id = u'criticality'
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value._const_tab = ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value._const_tab_at = ('..', u'id')
    __RespondingNodeTypeConfigUpdateAck_choice_extension_value._const_tab_id = u'Value'
    _RespondingNodeTypeConfigUpdateAck_choice_extension._cont = ASN1Dict([
        (u'id', __RespondingNodeTypeConfigUpdateAck_choice_extension_id),
        (u'criticality', __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality),
        (u'value', __RespondingNodeTypeConfigUpdateAck_choice_extension_value),
        ])
    _RespondingNodeTypeConfigUpdateAck_choice_extension._ext = None
    RespondingNodeTypeConfigUpdateAck._cont = ASN1Dict([
        (u'ng-eNB', _RespondingNodeTypeConfigUpdateAck_ng_eNB),
        (u'gNB', _RespondingNodeTypeConfigUpdateAck_gNB),
        (u'choice-extension', _RespondingNodeTypeConfigUpdateAck_choice_extension),
        ])
    RespondingNodeTypeConfigUpdateAck._ext = None
    
    #-----< RespondingNodeTypeConfigUpdateAck-ExtIEs >-----#
    RespondingNodeTypeConfigUpdateAck_ExtIEs = CLASS(name=u'RespondingNodeTypeConfigUpdateAck-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RespondingNodeTypeConfigUpdateAck_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeTypeConfigUpdateAck-ng-eNB >-----#
    RespondingNodeTypeConfigUpdateAck_ng_eNB = SEQ(name=u'RespondingNodeTypeConfigUpdateAck-ng-eNB', mode=MODE_TYPE)
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id._const_tab = ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id._const_tab_at = None
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id._const_tab_id = u'id'
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality._const_tab = ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality_tab
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue._const_tab = ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue_tab
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id),
        (u'criticality', ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality),
        (u'extensionValue', ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue),
        ])
    __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_._ext = None
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension._cont = __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_
    _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RespondingNodeTypeConfigUpdateAck_ng_eNB._cont = ASN1Dict([
        (u'iE-Extension', _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension),
        ])
    RespondingNodeTypeConfigUpdateAck_ng_eNB._ext = []
    
    #-----< RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs >-----#
    RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs = CLASS(name=u'RespondingNodeTypeConfigUpdateAck-ng-eNB-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeTypeConfigUpdateAck-gNB >-----#
    RespondingNodeTypeConfigUpdateAck_gNB = SEQ(name=u'RespondingNodeTypeConfigUpdateAck-gNB', mode=MODE_TYPE)
    _RespondingNodeTypeConfigUpdateAck_gNB_served_NR_Cells = SEQ_OF(name=u'served-NR-Cells', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'ServedCells-NR')), opt=True)
    _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension = SEQ_OF(name=u'iE-Extension', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id._const_tab = ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id._const_tab_at = None
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id._const_tab_id = u'id'
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality._const_tab = ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality_tab
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality._const_tab_at = ('..', u'id')
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality._const_tab_id = u'criticality'
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue._const_tab = ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue_tab
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue._const_tab_at = ('..', u'id')
    ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue._const_tab_id = u'Extension'
    __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_._cont = ASN1Dict([
        (u'id', ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id),
        (u'criticality', ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality),
        (u'extensionValue', ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue),
        ])
    __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_._ext = None
    _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension._cont = __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_
    _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    RespondingNodeTypeConfigUpdateAck_gNB._cont = ASN1Dict([
        (u'served-NR-Cells', _RespondingNodeTypeConfigUpdateAck_gNB_served_NR_Cells),
        (u'iE-Extension', _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension),
        ])
    RespondingNodeTypeConfigUpdateAck_gNB._ext = []
    
    #-----< RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs >-----#
    RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs = CLASS(name=u'RespondingNodeTypeConfigUpdateAck-gNB-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< NGRANNodeConfigurationUpdateFailure >-----#
    NGRANNodeConfigurationUpdateFailure = SEQ(name=u'NGRANNodeConfigurationUpdateFailure', mode=MODE_TYPE)
    _NGRANNodeConfigurationUpdateFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id._const_tab = ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id._const_tab_at = None
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab = ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value._const_tab = ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id),
        (u'criticality', ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality),
        (u'value', ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value),
        ])
    __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_._ext = None
    _NGRANNodeConfigurationUpdateFailure_protocolIEs._cont = __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_
    _NGRANNodeConfigurationUpdateFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    NGRANNodeConfigurationUpdateFailure._cont = ASN1Dict([
        (u'protocolIEs', _NGRANNodeConfigurationUpdateFailure_protocolIEs),
        ])
    NGRANNodeConfigurationUpdateFailure._ext = []
    
    #-----< NGRANNodeConfigurationUpdateFailure-IEs >-----#
    NGRANNodeConfigurationUpdateFailure_IEs = CLASS(name=u'NGRANNodeConfigurationUpdateFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_1 = ENUM(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'TimeToWait')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    NGRANNodeConfigurationUpdateFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 76), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< E-UTRA-NR-CellResourceCoordinationRequest >-----#
    E_UTRA_NR_CellResourceCoordinationRequest = SEQ(name=u'E-UTRA-NR-CellResourceCoordinationRequest', mode=MODE_TYPE)
    _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'InitiatingNodeType-ResourceCoordRequest')))
    _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 17), (u'criticality', u'reject'), (u'Value', _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id._const_tab = ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id._const_tab_at = None
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality._const_tab = ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value._const_tab = ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id),
        (u'criticality', ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality),
        (u'value', ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value),
        ])
    __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_._ext = None
    _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs._cont = __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_
    _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_UTRA_NR_CellResourceCoordinationRequest._cont = ASN1Dict([
        (u'protocolIEs', _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs),
        ])
    E_UTRA_NR_CellResourceCoordinationRequest._ext = []
    
    #-----< E-UTRA-NR-CellResourceCoordinationRequest-IEs >-----#
    E_UTRA_NR_CellResourceCoordinationRequest_IEs = CLASS(name=u'E-UTRA-NR-CellResourceCoordinationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'InitiatingNodeType-ResourceCoordRequest')))
    _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    E_UTRA_NR_CellResourceCoordinationRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 17), (u'criticality', u'reject'), (u'Value', _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< InitiatingNodeType-ResourceCoordRequest >-----#
    InitiatingNodeType_ResourceCoordRequest = CHOICE(name=u'InitiatingNodeType-ResourceCoordRequest', mode=MODE_TYPE)
    _InitiatingNodeType_ResourceCoordRequest_ng_eNB = SEQ(name=u'ng-eNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordRequest-ng-eNB-initiated')))
    _InitiatingNodeType_ResourceCoordRequest_gNB = SEQ(name=u'gNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordRequest-gNB-initiated')))
    _InitiatingNodeType_ResourceCoordRequest_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id._const_tab = ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id._const_tab_at = None
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_id._const_tab_id = u'id'
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality._const_tab = ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality._const_tab_at = ('..', u'id')
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality._const_tab_id = u'criticality'
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value._const_tab = ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value._const_tab_at = ('..', u'id')
    __InitiatingNodeType_ResourceCoordRequest_choice_extension_value._const_tab_id = u'Value'
    _InitiatingNodeType_ResourceCoordRequest_choice_extension._cont = ASN1Dict([
        (u'id', __InitiatingNodeType_ResourceCoordRequest_choice_extension_id),
        (u'criticality', __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality),
        (u'value', __InitiatingNodeType_ResourceCoordRequest_choice_extension_value),
        ])
    _InitiatingNodeType_ResourceCoordRequest_choice_extension._ext = None
    InitiatingNodeType_ResourceCoordRequest._cont = ASN1Dict([
        (u'ng-eNB', _InitiatingNodeType_ResourceCoordRequest_ng_eNB),
        (u'gNB', _InitiatingNodeType_ResourceCoordRequest_gNB),
        (u'choice-extension', _InitiatingNodeType_ResourceCoordRequest_choice_extension),
        ])
    InitiatingNodeType_ResourceCoordRequest._ext = None
    
    #-----< InitiatingNodeType-ResourceCoordRequest-ExtIEs >-----#
    InitiatingNodeType_ResourceCoordRequest_ExtIEs = CLASS(name=u'InitiatingNodeType-ResourceCoordRequest-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    InitiatingNodeType_ResourceCoordRequest_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordRequest-ng-eNB-initiated >-----#
    ResourceCoordRequest_ng_eNB_initiated = SEQ(name=u'ResourceCoordRequest-ng-eNB-initiated', mode=MODE_TYPE)
    _ResourceCoordRequest_ng_eNB_initiated_dataTrafficResourceIndication = SEQ(name=u'dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordRequest_ng_eNB_initiated_spectrumSharingGroupID = INT(name=u'spectrumSharingGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells = SEQ_OF(name=u'listofE-UTRACells', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells._cont = __ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells__item_
    _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id),
        (u'criticality', ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions._cont = __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_
    _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordRequest_ng_eNB_initiated._cont = ASN1Dict([
        (u'dataTrafficResourceIndication', _ResourceCoordRequest_ng_eNB_initiated_dataTrafficResourceIndication),
        (u'spectrumSharingGroupID', _ResourceCoordRequest_ng_eNB_initiated_spectrumSharingGroupID),
        (u'listofE-UTRACells', _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells),
        (u'iE-Extensions', _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions),
        ])
    ResourceCoordRequest_ng_eNB_initiated._ext = []
    
    #-----< ResourceCoordRequest-ng-eNB-initiated-ExtIEs >-----#
    ResourceCoordRequest_ng_eNB_initiated_ExtIEs = CLASS(name=u'ResourceCoordRequest-ng-eNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordRequest_ng_eNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordRequest-gNB-initiated >-----#
    ResourceCoordRequest_gNB_initiated = SEQ(name=u'ResourceCoordRequest-gNB-initiated', mode=MODE_TYPE)
    _ResourceCoordRequest_gNB_initiated_dataTrafficResourceIndication = SEQ(name=u'dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordRequest_gNB_initiated_listofE_UTRACells = SEQ_OF(name=u'listofE-UTRACells', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordRequest_gNB_initiated_listofE_UTRACells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ResourceCoordRequest_gNB_initiated_listofE_UTRACells._cont = __ResourceCoordRequest_gNB_initiated_listofE_UTRACells__item_
    _ResourceCoordRequest_gNB_initiated_listofE_UTRACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordRequest_gNB_initiated_spectrumSharingGroupID = INT(name=u'spectrumSharingGroupID', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordRequest_gNB_initiated_listofNRCells = SEQ_OF(name=u'listofNRCells', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordRequest_gNB_initiated_listofNRCells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ResourceCoordRequest_gNB_initiated_listofNRCells._cont = __ResourceCoordRequest_gNB_initiated_listofNRCells__item_
    _ResourceCoordRequest_gNB_initiated_listofNRCells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordRequest_gNB_initiated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(4, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id),
        (u'criticality', ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordRequest_gNB_initiated_iE_Extensions._cont = __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_
    _ResourceCoordRequest_gNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordRequest_gNB_initiated._cont = ASN1Dict([
        (u'dataTrafficResourceIndication', _ResourceCoordRequest_gNB_initiated_dataTrafficResourceIndication),
        (u'listofE-UTRACells', _ResourceCoordRequest_gNB_initiated_listofE_UTRACells),
        (u'spectrumSharingGroupID', _ResourceCoordRequest_gNB_initiated_spectrumSharingGroupID),
        (u'listofNRCells', _ResourceCoordRequest_gNB_initiated_listofNRCells),
        (u'iE-Extensions', _ResourceCoordRequest_gNB_initiated_iE_Extensions),
        ])
    ResourceCoordRequest_gNB_initiated._ext = []
    
    #-----< ResourceCoordRequest-gNB-initiated-ExtIEs >-----#
    ResourceCoordRequest_gNB_initiated_ExtIEs = CLASS(name=u'ResourceCoordRequest-gNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordRequest_gNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< E-UTRA-NR-CellResourceCoordinationResponse >-----#
    E_UTRA_NR_CellResourceCoordinationResponse = SEQ(name=u'E-UTRA-NR-CellResourceCoordinationResponse', mode=MODE_TYPE)
    _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeType-ResourceCoordResponse')))
    _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 59), (u'criticality', u'reject'), (u'Value', _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id._const_tab = ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id._const_tab_at = None
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality._const_tab = ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value._const_tab = ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id),
        (u'criticality', ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality),
        (u'value', ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value),
        ])
    __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_._ext = None
    _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs._cont = __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_
    _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    E_UTRA_NR_CellResourceCoordinationResponse._cont = ASN1Dict([
        (u'protocolIEs', _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs),
        ])
    E_UTRA_NR_CellResourceCoordinationResponse._ext = []
    
    #-----< E-UTRA-NR-CellResourceCoordinationResponse-IEs >-----#
    E_UTRA_NR_CellResourceCoordinationResponse_IEs = CLASS(name=u'E-UTRA-NR-CellResourceCoordinationResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'RespondingNodeType-ResourceCoordResponse')))
    _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    E_UTRA_NR_CellResourceCoordinationResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 59), (u'criticality', u'reject'), (u'Value', _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_1), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< RespondingNodeType-ResourceCoordResponse >-----#
    RespondingNodeType_ResourceCoordResponse = CHOICE(name=u'RespondingNodeType-ResourceCoordResponse', mode=MODE_TYPE)
    _RespondingNodeType_ResourceCoordResponse_ng_eNB = SEQ(name=u'ng-eNB', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordResponse-ng-eNB-initiated')))
    _RespondingNodeType_ResourceCoordResponse_gNB = SEQ(name=u'gNB', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-PDU-Contents', 'ResourceCoordResponse-gNB-initiated')))
    _RespondingNodeType_ResourceCoordResponse_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id._const_tab = ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id._const_tab_at = None
    __RespondingNodeType_ResourceCoordResponse_choice_extension_id._const_tab_id = u'id'
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality._const_tab = ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality._const_tab_at = ('..', u'id')
    __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality._const_tab_id = u'criticality'
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value._const_tab = ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value._const_tab_at = ('..', u'id')
    __RespondingNodeType_ResourceCoordResponse_choice_extension_value._const_tab_id = u'Value'
    _RespondingNodeType_ResourceCoordResponse_choice_extension._cont = ASN1Dict([
        (u'id', __RespondingNodeType_ResourceCoordResponse_choice_extension_id),
        (u'criticality', __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality),
        (u'value', __RespondingNodeType_ResourceCoordResponse_choice_extension_value),
        ])
    _RespondingNodeType_ResourceCoordResponse_choice_extension._ext = None
    RespondingNodeType_ResourceCoordResponse._cont = ASN1Dict([
        (u'ng-eNB', _RespondingNodeType_ResourceCoordResponse_ng_eNB),
        (u'gNB', _RespondingNodeType_ResourceCoordResponse_gNB),
        (u'choice-extension', _RespondingNodeType_ResourceCoordResponse_choice_extension),
        ])
    RespondingNodeType_ResourceCoordResponse._ext = None
    
    #-----< RespondingNodeType-ResourceCoordResponse-ExtIEs >-----#
    RespondingNodeType_ResourceCoordResponse_ExtIEs = CLASS(name=u'RespondingNodeType-ResourceCoordResponse-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    RespondingNodeType_ResourceCoordResponse_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordResponse-ng-eNB-initiated >-----#
    ResourceCoordResponse_ng_eNB_initiated = SEQ(name=u'ResourceCoordResponse-ng-eNB-initiated', mode=MODE_TYPE)
    _ResourceCoordResponse_ng_eNB_initiated_dataTrafficResourceIndication = SEQ(name=u'dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordResponse_ng_eNB_initiated_spectrumSharingGroupID = INT(name=u'spectrumSharingGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells = SEQ_OF(name=u'listofE-UTRACells', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells._cont = __ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells__item_
    _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id),
        (u'criticality', ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions._cont = __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_
    _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordResponse_ng_eNB_initiated._cont = ASN1Dict([
        (u'dataTrafficResourceIndication', _ResourceCoordResponse_ng_eNB_initiated_dataTrafficResourceIndication),
        (u'spectrumSharingGroupID', _ResourceCoordResponse_ng_eNB_initiated_spectrumSharingGroupID),
        (u'listofE-UTRACells', _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells),
        (u'iE-Extensions', _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions),
        ])
    ResourceCoordResponse_ng_eNB_initiated._ext = []
    
    #-----< ResourceCoordResponse-ng-eNB-initiated-ExtIEs >-----#
    ResourceCoordResponse_ng_eNB_initiated_ExtIEs = CLASS(name=u'ResourceCoordResponse-ng-eNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordResponse_ng_eNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< ResourceCoordResponse-gNB-initiated >-----#
    ResourceCoordResponse_gNB_initiated = SEQ(name=u'ResourceCoordResponse-gNB-initiated', mode=MODE_TYPE)
    _ResourceCoordResponse_gNB_initiated_dataTrafficResourceIndication = SEQ(name=u'dataTrafficResourceIndication', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'DataTrafficResourceIndication')))
    _ResourceCoordResponse_gNB_initiated_spectrumSharingGroupID = INT(name=u'spectrumSharingGroupID', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-IEs', 'SpectrumSharingGroupID')))
    _ResourceCoordResponse_gNB_initiated_listofNRCells = SEQ_OF(name=u'listofNRCells', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), opt=True)
    __ResourceCoordResponse_gNB_initiated_listofNRCells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ResourceCoordResponse_gNB_initiated_listofNRCells._cont = __ResourceCoordResponse_gNB_initiated_listofNRCells__item_
    _ResourceCoordResponse_gNB_initiated_listofNRCells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ResourceCoordResponse_gNB_initiated_iE_Extensions = SEQ_OF(name=u'iE-Extensions', mode=MODE_TYPE, tag=(3, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionContainer')), opt=True)
    __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolExtensionField')))
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'id']))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id._const_tab = ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id._const_tab_at = None
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id._const_tab_id = u'id'
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'criticality']))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality._const_tab = ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality._const_tab_at = ('..', u'id')
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality._const_tab_id = u'criticality'
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue = OPEN(name=u'extensionValue', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION'), [u'Extension']))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab = CLASS(name='_tab_XNAP-PROTOCOL-EXTENSION', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue._const_tab = ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_at = ('..', u'id')
    ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue._const_tab_id = u'Extension'
    __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_._cont = ASN1Dict([
        (u'id', ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id),
        (u'criticality', ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality),
        (u'extensionValue', ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue),
        ])
    __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_._ext = None
    _ResourceCoordResponse_gNB_initiated_iE_Extensions._cont = __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_
    _ResourceCoordResponse_gNB_initiated_iE_Extensions._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    ResourceCoordResponse_gNB_initiated._cont = ASN1Dict([
        (u'dataTrafficResourceIndication', _ResourceCoordResponse_gNB_initiated_dataTrafficResourceIndication),
        (u'spectrumSharingGroupID', _ResourceCoordResponse_gNB_initiated_spectrumSharingGroupID),
        (u'listofNRCells', _ResourceCoordResponse_gNB_initiated_listofNRCells),
        (u'iE-Extensions', _ResourceCoordResponse_gNB_initiated_iE_Extensions),
        ])
    ResourceCoordResponse_gNB_initiated._ext = []
    
    #-----< ResourceCoordResponse-gNB-initiated-ExtIEs >-----#
    ResourceCoordResponse_gNB_initiated_ExtIEs = CLASS(name=u'ResourceCoordResponse-gNB-initiated-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-EXTENSION')))
    ResourceCoordResponse_gNB_initiated_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< SecondaryRATDataUsageReport >-----#
    SecondaryRATDataUsageReport = SEQ(name=u'SecondaryRATDataUsageReport', mode=MODE_TYPE)
    _SecondaryRATDataUsageReport_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __SecondaryRATDataUsageReport_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___SecondaryRATDataUsageReport_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSecondaryRATUsageList')))
    ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 107), (u'criticality', u'reject'), (u'Value', _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=None, er=[])
    ___SecondaryRATDataUsageReport_protocolIEs__item__id._const_tab = ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab
    ___SecondaryRATDataUsageReport_protocolIEs__item__id._const_tab_at = None
    ___SecondaryRATDataUsageReport_protocolIEs__item__id._const_tab_id = u'id'
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality._const_tab = ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___SecondaryRATDataUsageReport_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___SecondaryRATDataUsageReport_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___SecondaryRATDataUsageReport_protocolIEs__item__value._const_tab = ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab
    ___SecondaryRATDataUsageReport_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___SecondaryRATDataUsageReport_protocolIEs__item__value._const_tab_id = u'Value'
    __SecondaryRATDataUsageReport_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___SecondaryRATDataUsageReport_protocolIEs__item__id),
        (u'criticality', ___SecondaryRATDataUsageReport_protocolIEs__item__criticality),
        (u'value', ___SecondaryRATDataUsageReport_protocolIEs__item__value),
        ])
    __SecondaryRATDataUsageReport_protocolIEs__item_._ext = None
    _SecondaryRATDataUsageReport_protocolIEs._cont = __SecondaryRATDataUsageReport_protocolIEs__item_
    _SecondaryRATDataUsageReport_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    SecondaryRATDataUsageReport._cont = ASN1Dict([
        (u'protocolIEs', _SecondaryRATDataUsageReport_protocolIEs),
        ])
    SecondaryRATDataUsageReport._ext = []
    
    #-----< SecondaryRATDataUsageReport-IEs >-----#
    SecondaryRATDataUsageReport_IEs = CLASS(name=u'SecondaryRATDataUsageReport-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _SecondaryRATDataUsageReport_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SecondaryRATDataUsageReport_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _SecondaryRATDataUsageReport_IEs_val_Value_2 = SEQ_OF(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'PDUSessionResourceSecondaryRATUsageList')))
    SecondaryRATDataUsageReport_IEs._val = ASN1Set(rv=[dict([(u'id', 23), (u'criticality', u'reject'), (u'Value', _SecondaryRATDataUsageReport_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 71), (u'criticality', u'reject'), (u'Value', _SecondaryRATDataUsageReport_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 107), (u'criticality', u'reject'), (u'Value', _SecondaryRATDataUsageReport_IEs_val_Value_2), (u'presence', u'mandatory')])], rr=[], ev=[], er=[])
    
    #-----< XnRemovalRequest >-----#
    XnRemovalRequest = SEQ(name=u'XnRemovalRequest', mode=MODE_TYPE)
    _XnRemovalRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnRemovalRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnRemovalRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnRemovalRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnBenefitValue')))
    _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnRemovalRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 93), (u'criticality', u'reject'), (u'Value', _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnRemovalRequest_protocolIEs__item__id._const_tab = ____XnRemovalRequest_protocolIEs__item__id_tab
    ___XnRemovalRequest_protocolIEs__item__id._const_tab_at = None
    ___XnRemovalRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___XnRemovalRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnRemovalRequest_protocolIEs__item__criticality._const_tab = ____XnRemovalRequest_protocolIEs__item__id_tab
    ___XnRemovalRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnRemovalRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnRemovalRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnRemovalRequest_protocolIEs__item__value._const_tab = ____XnRemovalRequest_protocolIEs__item__id_tab
    ___XnRemovalRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnRemovalRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __XnRemovalRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnRemovalRequest_protocolIEs__item__id),
        (u'criticality', ___XnRemovalRequest_protocolIEs__item__criticality),
        (u'value', ___XnRemovalRequest_protocolIEs__item__value),
        ])
    __XnRemovalRequest_protocolIEs__item_._ext = None
    _XnRemovalRequest_protocolIEs._cont = __XnRemovalRequest_protocolIEs__item_
    _XnRemovalRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnRemovalRequest._cont = ASN1Dict([
        (u'protocolIEs', _XnRemovalRequest_protocolIEs),
        ])
    XnRemovalRequest._ext = []
    
    #-----< XnRemovalRequest-IEs >-----#
    XnRemovalRequest_IEs = CLASS(name=u'XnRemovalRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnRemovalRequest_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnRemovalRequest_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'XnBenefitValue')))
    _XnRemovalRequest_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnRemovalRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _XnRemovalRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 93), (u'criticality', u'reject'), (u'Value', _XnRemovalRequest_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _XnRemovalRequest_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnRemovalResponse >-----#
    XnRemovalResponse = SEQ(name=u'XnRemovalResponse', mode=MODE_TYPE)
    _XnRemovalResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnRemovalResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnRemovalResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnRemovalResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnRemovalResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnRemovalResponse_protocolIEs__item__id._const_tab = ____XnRemovalResponse_protocolIEs__item__id_tab
    ___XnRemovalResponse_protocolIEs__item__id._const_tab_at = None
    ___XnRemovalResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___XnRemovalResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnRemovalResponse_protocolIEs__item__criticality._const_tab = ____XnRemovalResponse_protocolIEs__item__id_tab
    ___XnRemovalResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnRemovalResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnRemovalResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnRemovalResponse_protocolIEs__item__value._const_tab = ____XnRemovalResponse_protocolIEs__item__id_tab
    ___XnRemovalResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnRemovalResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __XnRemovalResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnRemovalResponse_protocolIEs__item__id),
        (u'criticality', ___XnRemovalResponse_protocolIEs__item__criticality),
        (u'value', ___XnRemovalResponse_protocolIEs__item__value),
        ])
    __XnRemovalResponse_protocolIEs__item_._ext = None
    _XnRemovalResponse_protocolIEs._cont = __XnRemovalResponse_protocolIEs__item_
    _XnRemovalResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnRemovalResponse._cont = ASN1Dict([
        (u'protocolIEs', _XnRemovalResponse_protocolIEs),
        ])
    XnRemovalResponse._ext = []
    
    #-----< XnRemovalResponse-IEs >-----#
    XnRemovalResponse_IEs = CLASS(name=u'XnRemovalResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnRemovalResponse_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'GlobalNG-RANNode-ID')))
    _XnRemovalResponse_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnRemovalResponse_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnRemovalResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 14), (u'criticality', u'reject'), (u'Value', _XnRemovalResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _XnRemovalResponse_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _XnRemovalResponse_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< XnRemovalFailure >-----#
    XnRemovalFailure = SEQ(name=u'XnRemovalFailure', mode=MODE_TYPE)
    _XnRemovalFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __XnRemovalFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___XnRemovalFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____XnRemovalFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____XnRemovalFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___XnRemovalFailure_protocolIEs__item__id._const_tab = ____XnRemovalFailure_protocolIEs__item__id_tab
    ___XnRemovalFailure_protocolIEs__item__id._const_tab_at = None
    ___XnRemovalFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___XnRemovalFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___XnRemovalFailure_protocolIEs__item__criticality._const_tab = ____XnRemovalFailure_protocolIEs__item__id_tab
    ___XnRemovalFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___XnRemovalFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___XnRemovalFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___XnRemovalFailure_protocolIEs__item__value._const_tab = ____XnRemovalFailure_protocolIEs__item__id_tab
    ___XnRemovalFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___XnRemovalFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __XnRemovalFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___XnRemovalFailure_protocolIEs__item__id),
        (u'criticality', ___XnRemovalFailure_protocolIEs__item__criticality),
        (u'value', ___XnRemovalFailure_protocolIEs__item__value),
        ])
    __XnRemovalFailure_protocolIEs__item_._ext = None
    _XnRemovalFailure_protocolIEs._cont = __XnRemovalFailure_protocolIEs__item_
    _XnRemovalFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    XnRemovalFailure._cont = ASN1Dict([
        (u'protocolIEs', _XnRemovalFailure_protocolIEs),
        ])
    XnRemovalFailure._ext = []
    
    #-----< XnRemovalFailure-IEs >-----#
    XnRemovalFailure_IEs = CLASS(name=u'XnRemovalFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _XnRemovalFailure_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _XnRemovalFailure_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _XnRemovalFailure_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    XnRemovalFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _XnRemovalFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _XnRemovalFailure_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _XnRemovalFailure_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< CellActivationRequest >-----#
    CellActivationRequest = SEQ(name=u'CellActivationRequest', mode=MODE_TYPE)
    _CellActivationRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __CellActivationRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___CellActivationRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____CellActivationRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ServedCellsToActivate')))
    _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____CellActivationRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 65), (u'criticality', u'reject'), (u'Value', _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'reject'), (u'Value', _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___CellActivationRequest_protocolIEs__item__id._const_tab = ____CellActivationRequest_protocolIEs__item__id_tab
    ___CellActivationRequest_protocolIEs__item__id._const_tab_at = None
    ___CellActivationRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___CellActivationRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___CellActivationRequest_protocolIEs__item__criticality._const_tab = ____CellActivationRequest_protocolIEs__item__id_tab
    ___CellActivationRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___CellActivationRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___CellActivationRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___CellActivationRequest_protocolIEs__item__value._const_tab = ____CellActivationRequest_protocolIEs__item__id_tab
    ___CellActivationRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___CellActivationRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __CellActivationRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___CellActivationRequest_protocolIEs__item__id),
        (u'criticality', ___CellActivationRequest_protocolIEs__item__criticality),
        (u'value', ___CellActivationRequest_protocolIEs__item__value),
        ])
    __CellActivationRequest_protocolIEs__item_._ext = None
    _CellActivationRequest_protocolIEs._cont = __CellActivationRequest_protocolIEs__item_
    _CellActivationRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    CellActivationRequest._cont = ASN1Dict([
        (u'protocolIEs', _CellActivationRequest_protocolIEs),
        ])
    CellActivationRequest._ext = []
    
    #-----< CellActivationRequest-IEs >-----#
    CellActivationRequest_IEs = CLASS(name=u'CellActivationRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CellActivationRequest_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ServedCellsToActivate')))
    _CellActivationRequest_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _CellActivationRequest_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    CellActivationRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 65), (u'criticality', u'reject'), (u'Value', _CellActivationRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'reject'), (u'Value', _CellActivationRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _CellActivationRequest_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ServedCellsToActivate >-----#
    ServedCellsToActivate = CHOICE(name=u'ServedCellsToActivate', mode=MODE_TYPE)
    _ServedCellsToActivate_nr_cells = SEQ_OF(name=u'nr-cells', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ServedCellsToActivate_nr_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ServedCellsToActivate_nr_cells._cont = __ServedCellsToActivate_nr_cells__item_
    _ServedCellsToActivate_nr_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToActivate_e_utra_cells = SEQ_OF(name=u'e-utra-cells', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ServedCellsToActivate_e_utra_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ServedCellsToActivate_e_utra_cells._cont = __ServedCellsToActivate_e_utra_cells__item_
    _ServedCellsToActivate_e_utra_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ServedCellsToActivate_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ServedCellsToActivate_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ServedCellsToActivate_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellsToActivate_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellsToActivate_choice_extension_id._const_tab = ___ServedCellsToActivate_choice_extension_id_tab
    __ServedCellsToActivate_choice_extension_id._const_tab_at = None
    __ServedCellsToActivate_choice_extension_id._const_tab_id = u'id'
    __ServedCellsToActivate_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ServedCellsToActivate_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellsToActivate_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellsToActivate_choice_extension_criticality._const_tab = ___ServedCellsToActivate_choice_extension_criticality_tab
    __ServedCellsToActivate_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ServedCellsToActivate_choice_extension_criticality._const_tab_id = u'criticality'
    __ServedCellsToActivate_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ServedCellsToActivate_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ServedCellsToActivate_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ServedCellsToActivate_choice_extension_value._const_tab = ___ServedCellsToActivate_choice_extension_value_tab
    __ServedCellsToActivate_choice_extension_value._const_tab_at = ('..', u'id')
    __ServedCellsToActivate_choice_extension_value._const_tab_id = u'Value'
    _ServedCellsToActivate_choice_extension._cont = ASN1Dict([
        (u'id', __ServedCellsToActivate_choice_extension_id),
        (u'criticality', __ServedCellsToActivate_choice_extension_criticality),
        (u'value', __ServedCellsToActivate_choice_extension_value),
        ])
    _ServedCellsToActivate_choice_extension._ext = None
    ServedCellsToActivate._cont = ASN1Dict([
        (u'nr-cells', _ServedCellsToActivate_nr_cells),
        (u'e-utra-cells', _ServedCellsToActivate_e_utra_cells),
        (u'choice-extension', _ServedCellsToActivate_choice_extension),
        ])
    ServedCellsToActivate._ext = None
    
    #-----< ServedCellsToActivate-ExtIEs >-----#
    ServedCellsToActivate_ExtIEs = CLASS(name=u'ServedCellsToActivate-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ServedCellsToActivate_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellActivationResponse >-----#
    CellActivationResponse = SEQ(name=u'CellActivationResponse', mode=MODE_TYPE)
    _CellActivationResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __CellActivationResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___CellActivationResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____CellActivationResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivatedServedCells')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____CellActivationResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'reject'), (u'Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'reject'), (u'Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___CellActivationResponse_protocolIEs__item__id._const_tab = ____CellActivationResponse_protocolIEs__item__id_tab
    ___CellActivationResponse_protocolIEs__item__id._const_tab_at = None
    ___CellActivationResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___CellActivationResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___CellActivationResponse_protocolIEs__item__criticality._const_tab = ____CellActivationResponse_protocolIEs__item__id_tab
    ___CellActivationResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___CellActivationResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___CellActivationResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___CellActivationResponse_protocolIEs__item__value._const_tab = ____CellActivationResponse_protocolIEs__item__id_tab
    ___CellActivationResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___CellActivationResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __CellActivationResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___CellActivationResponse_protocolIEs__item__id),
        (u'criticality', ___CellActivationResponse_protocolIEs__item__criticality),
        (u'value', ___CellActivationResponse_protocolIEs__item__value),
        ])
    __CellActivationResponse_protocolIEs__item_._ext = None
    _CellActivationResponse_protocolIEs._cont = __CellActivationResponse_protocolIEs__item_
    _CellActivationResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    CellActivationResponse._cont = ASN1Dict([
        (u'protocolIEs', _CellActivationResponse_protocolIEs),
        ])
    CellActivationResponse._ext = []
    
    #-----< CellActivationResponse-IEs >-----#
    CellActivationResponse_IEs = CLASS(name=u'CellActivationResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CellActivationResponse_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-PDU-Contents', 'ActivatedServedCells')))
    _CellActivationResponse_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _CellActivationResponse_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _CellActivationResponse_IEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    CellActivationResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 0), (u'criticality', u'reject'), (u'Value', _CellActivationResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 1), (u'criticality', u'reject'), (u'Value', _CellActivationResponse_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _CellActivationResponse_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _CellActivationResponse_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ActivatedServedCells >-----#
    ActivatedServedCells = CHOICE(name=u'ActivatedServedCells', mode=MODE_TYPE)
    _ActivatedServedCells_nr_cells = SEQ_OF(name=u'nr-cells', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ActivatedServedCells_nr_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NR-CGI')))
    _ActivatedServedCells_nr_cells._cont = __ActivatedServedCells_nr_cells__item_
    _ActivatedServedCells_nr_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ActivatedServedCells_e_utra_cells = SEQ_OF(name=u'e-utra-cells', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT))
    __ActivatedServedCells_e_utra_cells__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'E-UTRA-CGI')))
    _ActivatedServedCells_e_utra_cells._cont = __ActivatedServedCells_e_utra_cells__item_
    _ActivatedServedCells_e_utra_cells._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=16384)], ev=None, er=[])
    _ActivatedServedCells_choice_extension = SEQ(name=u'choice-extension', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Single-Container')))
    __ActivatedServedCells_choice_extension_id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ___ActivatedServedCells_choice_extension_id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ActivatedServedCells_choice_extension_id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivatedServedCells_choice_extension_id._const_tab = ___ActivatedServedCells_choice_extension_id_tab
    __ActivatedServedCells_choice_extension_id._const_tab_at = None
    __ActivatedServedCells_choice_extension_id._const_tab_id = u'id'
    __ActivatedServedCells_choice_extension_criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ActivatedServedCells_choice_extension_criticality_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ActivatedServedCells_choice_extension_criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivatedServedCells_choice_extension_criticality._const_tab = ___ActivatedServedCells_choice_extension_criticality_tab
    __ActivatedServedCells_choice_extension_criticality._const_tab_at = ('..', u'id')
    __ActivatedServedCells_choice_extension_criticality._const_tab_id = u'criticality'
    __ActivatedServedCells_choice_extension_value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ActivatedServedCells_choice_extension_value_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ___ActivatedServedCells_choice_extension_value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    __ActivatedServedCells_choice_extension_value._const_tab = ___ActivatedServedCells_choice_extension_value_tab
    __ActivatedServedCells_choice_extension_value._const_tab_at = ('..', u'id')
    __ActivatedServedCells_choice_extension_value._const_tab_id = u'Value'
    _ActivatedServedCells_choice_extension._cont = ASN1Dict([
        (u'id', __ActivatedServedCells_choice_extension_id),
        (u'criticality', __ActivatedServedCells_choice_extension_criticality),
        (u'value', __ActivatedServedCells_choice_extension_value),
        ])
    _ActivatedServedCells_choice_extension._ext = None
    ActivatedServedCells._cont = ASN1Dict([
        (u'nr-cells', _ActivatedServedCells_nr_cells),
        (u'e-utra-cells', _ActivatedServedCells_e_utra_cells),
        (u'choice-extension', _ActivatedServedCells_choice_extension),
        ])
    ActivatedServedCells._ext = None
    
    #-----< ActivatedServedCells-ExtIEs >-----#
    ActivatedServedCells_ExtIEs = CLASS(name=u'ActivatedServedCells-ExtIEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    ActivatedServedCells_ExtIEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    #-----< CellActivationFailure >-----#
    CellActivationFailure = SEQ(name=u'CellActivationFailure', mode=MODE_TYPE)
    _CellActivationFailure_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __CellActivationFailure_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___CellActivationFailure_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____CellActivationFailure_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____CellActivationFailure_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 1), (u'criticality', u'reject'), (u'Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___CellActivationFailure_protocolIEs__item__id._const_tab = ____CellActivationFailure_protocolIEs__item__id_tab
    ___CellActivationFailure_protocolIEs__item__id._const_tab_at = None
    ___CellActivationFailure_protocolIEs__item__id._const_tab_id = u'id'
    ___CellActivationFailure_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___CellActivationFailure_protocolIEs__item__criticality._const_tab = ____CellActivationFailure_protocolIEs__item__id_tab
    ___CellActivationFailure_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___CellActivationFailure_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___CellActivationFailure_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___CellActivationFailure_protocolIEs__item__value._const_tab = ____CellActivationFailure_protocolIEs__item__id_tab
    ___CellActivationFailure_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___CellActivationFailure_protocolIEs__item__value._const_tab_id = u'Value'
    __CellActivationFailure_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___CellActivationFailure_protocolIEs__item__id),
        (u'criticality', ___CellActivationFailure_protocolIEs__item__criticality),
        (u'value', ___CellActivationFailure_protocolIEs__item__value),
        ])
    __CellActivationFailure_protocolIEs__item_._ext = None
    _CellActivationFailure_protocolIEs._cont = __CellActivationFailure_protocolIEs__item_
    _CellActivationFailure_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    CellActivationFailure._cont = ASN1Dict([
        (u'protocolIEs', _CellActivationFailure_protocolIEs),
        ])
    CellActivationFailure._ext = []
    
    #-----< CellActivationFailure-IEs >-----#
    CellActivationFailure_IEs = CLASS(name=u'CellActivationFailure-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _CellActivationFailure_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ActivationIDforCellActivation')))
    _CellActivationFailure_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _CellActivationFailure_IEs_val_Value_2 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _CellActivationFailure_IEs_val_Value_3 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    CellActivationFailure_IEs._val = ASN1Set(rv=[dict([(u'id', 1), (u'criticality', u'reject'), (u'Value', _CellActivationFailure_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _CellActivationFailure_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _CellActivationFailure_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _CellActivationFailure_IEs_val_Value_3), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResetRequest >-----#
    ResetRequest = SEQ(name=u'ResetRequest', mode=MODE_TYPE)
    _ResetRequest_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResetRequest_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResetRequest_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____ResetRequest_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResetRequest_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo')))
    _____ResetRequest_protocolIEs__item__id_tab_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____ResetRequest_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____ResetRequest_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 56), (u'criticality', u'reject'), (u'Value', _____ResetRequest_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____ResetRequest_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____ResetRequest_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ResetRequest_protocolIEs__item__id._const_tab = ____ResetRequest_protocolIEs__item__id_tab
    ___ResetRequest_protocolIEs__item__id._const_tab_at = None
    ___ResetRequest_protocolIEs__item__id._const_tab_id = u'id'
    ___ResetRequest_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ResetRequest_protocolIEs__item__criticality._const_tab = ____ResetRequest_protocolIEs__item__id_tab
    ___ResetRequest_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ResetRequest_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ResetRequest_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ResetRequest_protocolIEs__item__value._const_tab = ____ResetRequest_protocolIEs__item__id_tab
    ___ResetRequest_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ResetRequest_protocolIEs__item__value._const_tab_id = u'Value'
    __ResetRequest_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ResetRequest_protocolIEs__item__id),
        (u'criticality', ___ResetRequest_protocolIEs__item__criticality),
        (u'value', ___ResetRequest_protocolIEs__item__value),
        ])
    __ResetRequest_protocolIEs__item_._ext = None
    _ResetRequest_protocolIEs._cont = __ResetRequest_protocolIEs__item_
    _ResetRequest_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResetRequest._cont = ASN1Dict([
        (u'protocolIEs', _ResetRequest_protocolIEs),
        ])
    ResetRequest._ext = []
    
    #-----< ResetRequest-IEs >-----#
    ResetRequest_IEs = CLASS(name=u'ResetRequest-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResetRequest_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetRequestTypeInfo')))
    _ResetRequest_IEs_val_Value_1 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _ResetRequest_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ResetRequest_IEs._val = ASN1Set(rv=[dict([(u'id', 56), (u'criticality', u'reject'), (u'Value', _ResetRequest_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _ResetRequest_IEs_val_Value_1), (u'presence', u'mandatory')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _ResetRequest_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ResetResponse >-----#
    ResetResponse = SEQ(name=u'ResetResponse', mode=MODE_TYPE)
    _ResetResponse_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ResetResponse_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ResetResponse_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____ResetResponse_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ResetResponse_protocolIEs__item__id_tab_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo')))
    _____ResetResponse_protocolIEs__item__id_tab_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____ResetResponse_protocolIEs__item__id_tab_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____ResetResponse_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _____ResetResponse_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____ResetResponse_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____ResetResponse_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ResetResponse_protocolIEs__item__id._const_tab = ____ResetResponse_protocolIEs__item__id_tab
    ___ResetResponse_protocolIEs__item__id._const_tab_at = None
    ___ResetResponse_protocolIEs__item__id._const_tab_id = u'id'
    ___ResetResponse_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ResetResponse_protocolIEs__item__criticality._const_tab = ____ResetResponse_protocolIEs__item__id_tab
    ___ResetResponse_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ResetResponse_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ResetResponse_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ResetResponse_protocolIEs__item__value._const_tab = ____ResetResponse_protocolIEs__item__id_tab
    ___ResetResponse_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ResetResponse_protocolIEs__item__value._const_tab_id = u'Value'
    __ResetResponse_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ResetResponse_protocolIEs__item__id),
        (u'criticality', ___ResetResponse_protocolIEs__item__criticality),
        (u'value', ___ResetResponse_protocolIEs__item__value),
        ])
    __ResetResponse_protocolIEs__item_._ext = None
    _ResetResponse_protocolIEs._cont = __ResetResponse_protocolIEs__item_
    _ResetResponse_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ResetResponse._cont = ASN1Dict([
        (u'protocolIEs', _ResetResponse_protocolIEs),
        ])
    ResetResponse._ext = []
    
    #-----< ResetResponse-IEs >-----#
    ResetResponse_IEs = CLASS(name=u'ResetResponse-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ResetResponse_IEs_val_Value_0 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'ResetResponseTypeInfo')))
    _ResetResponse_IEs_val_Value_1 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _ResetResponse_IEs_val_Value_2 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ResetResponse_IEs._val = ASN1Set(rv=[dict([(u'id', 57), (u'criticality', u'reject'), (u'Value', _ResetResponse_IEs_val_Value_0), (u'presence', u'mandatory')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _ResetResponse_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _ResetResponse_IEs_val_Value_2), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< ErrorIndication >-----#
    ErrorIndication = SEQ(name=u'ErrorIndication', mode=MODE_TYPE)
    _ErrorIndication_protocolIEs = SEQ_OF(name=u'protocolIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Container')))
    __ErrorIndication_protocolIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'ProtocolIE-Field')))
    ___ErrorIndication_protocolIEs__item__id = INT(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'id']))
    ____ErrorIndication_protocolIEs__item__id_tab = CLASS(name='_tab_XNAP-PROTOCOL-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ____ErrorIndication_protocolIEs__item__id_tab._val = ASN1Set(rv=[dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4), (u'presence', u'optional')])], rr=[], ev=None, er=[])
    ___ErrorIndication_protocolIEs__item__id._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__id._const_tab_at = None
    ___ErrorIndication_protocolIEs__item__id._const_tab_id = u'id'
    ___ErrorIndication_protocolIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'criticality']))
    ___ErrorIndication_protocolIEs__item__criticality._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_at = ('..', u'id')
    ___ErrorIndication_protocolIEs__item__criticality._const_tab_id = u'criticality'
    ___ErrorIndication_protocolIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PROTOCOL-IES'), [u'Value']))
    ___ErrorIndication_protocolIEs__item__value._const_tab = ____ErrorIndication_protocolIEs__item__id_tab
    ___ErrorIndication_protocolIEs__item__value._const_tab_at = ('..', u'id')
    ___ErrorIndication_protocolIEs__item__value._const_tab_id = u'Value'
    __ErrorIndication_protocolIEs__item_._cont = ASN1Dict([
        (u'id', ___ErrorIndication_protocolIEs__item__id),
        (u'criticality', ___ErrorIndication_protocolIEs__item__criticality),
        (u'value', ___ErrorIndication_protocolIEs__item__value),
        ])
    __ErrorIndication_protocolIEs__item_._ext = None
    _ErrorIndication_protocolIEs._cont = __ErrorIndication_protocolIEs__item_
    _ErrorIndication_protocolIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=0, ub=65535)], ev=None, er=[])
    ErrorIndication._cont = ASN1Dict([
        (u'protocolIEs', _ErrorIndication_protocolIEs),
        ])
    ErrorIndication._ext = []
    
    #-----< ErrorIndication-IEs >-----#
    ErrorIndication_IEs = CLASS(name=u'ErrorIndication-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PROTOCOL-IES')))
    _ErrorIndication_IEs_val_Value_0 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ErrorIndication_IEs_val_Value_1 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'NG-RANnodeUEXnAPID')))
    _ErrorIndication_IEs_val_Value_2 = CHOICE(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'Cause')))
    _ErrorIndication_IEs_val_Value_3 = SEQ(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'CriticalityDiagnostics')))
    _ErrorIndication_IEs_val_Value_4 = INT(name=u'Value', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-IEs', 'InterfaceInstanceIndication')))
    ErrorIndication_IEs._val = ASN1Set(rv=[dict([(u'id', 29), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_0), (u'presence', u'optional')]), dict([(u'id', 27), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_1), (u'presence', u'optional')]), dict([(u'id', 7), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_2), (u'presence', u'optional')]), dict([(u'id', 10), (u'criticality', u'ignore'), (u'Value', _ErrorIndication_IEs_val_Value_3), (u'presence', u'optional')]), dict([(u'id', 130), (u'criticality', u'reject'), (u'Value', _ErrorIndication_IEs_val_Value_4), (u'presence', u'optional')])], rr=[], ev=[], er=[])
    
    #-----< PrivateMessage >-----#
    PrivateMessage = SEQ(name=u'PrivateMessage', mode=MODE_TYPE)
    _PrivateMessage_privateIEs = SEQ_OF(name=u'privateIEs', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefType(('XnAP-Containers', 'PrivateIE-Container')))
    __PrivateMessage_privateIEs__item_ = SEQ(name='_item_', mode=MODE_TYPE, typeref=ASN1RefType(('XnAP-Containers', 'PrivateIE-Field')))
    ___PrivateMessage_privateIEs__item__id = CHOICE(name=u'id', mode=MODE_TYPE, tag=(0, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PRIVATE-IES'), [u'id']))
    ____PrivateMessage_privateIEs__item__id_tab = CLASS(name='_tab_XNAP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__id_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__id._const_tab = ____PrivateMessage_privateIEs__item__id_tab
    ___PrivateMessage_privateIEs__item__id._const_tab_at = None
    ___PrivateMessage_privateIEs__item__id._const_tab_id = u'id'
    ___PrivateMessage_privateIEs__item__criticality = ENUM(name=u'criticality', mode=MODE_TYPE, tag=(1, TAG_CONTEXT_SPEC, TAG_IMPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PRIVATE-IES'), [u'criticality']))
    ____PrivateMessage_privateIEs__item__criticality_tab = CLASS(name='_tab_XNAP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__criticality_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__criticality._const_tab = ____PrivateMessage_privateIEs__item__criticality_tab
    ___PrivateMessage_privateIEs__item__criticality._const_tab_at = ('..', u'id')
    ___PrivateMessage_privateIEs__item__criticality._const_tab_id = u'criticality'
    ___PrivateMessage_privateIEs__item__value = OPEN(name=u'value', mode=MODE_TYPE, tag=(2, TAG_CONTEXT_SPEC, TAG_EXPLICIT), typeref=ASN1RefClassField(('XnAP-Containers', 'XNAP-PRIVATE-IES'), [u'Value']))
    ____PrivateMessage_privateIEs__item__value_tab = CLASS(name='_tab_XNAP-PRIVATE-IES', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    ____PrivateMessage_privateIEs__item__value_tab._val = ASN1Set(rv=[], rr=[], ev=None, er=[])
    ___PrivateMessage_privateIEs__item__value._const_tab = ____PrivateMessage_privateIEs__item__value_tab
    ___PrivateMessage_privateIEs__item__value._const_tab_at = ('..', u'id')
    ___PrivateMessage_privateIEs__item__value._const_tab_id = u'Value'
    __PrivateMessage_privateIEs__item_._cont = ASN1Dict([
        (u'id', ___PrivateMessage_privateIEs__item__id),
        (u'criticality', ___PrivateMessage_privateIEs__item__criticality),
        (u'value', ___PrivateMessage_privateIEs__item__value),
        ])
    __PrivateMessage_privateIEs__item_._ext = None
    _PrivateMessage_privateIEs._cont = __PrivateMessage_privateIEs__item_
    _PrivateMessage_privateIEs._const_sz = ASN1Set(rv=[], rr=[ASN1RangeInt(lb=1, ub=65535)], ev=None, er=[])
    PrivateMessage._cont = ASN1Dict([
        (u'privateIEs', _PrivateMessage_privateIEs),
        ])
    PrivateMessage._ext = []
    
    #-----< PrivateMessage-IEs >-----#
    PrivateMessage_IEs = CLASS(name=u'PrivateMessage-IEs', mode=MODE_SET, typeref=ASN1RefType(('XnAP-Containers', 'XNAP-PRIVATE-IES')))
    PrivateMessage_IEs._val = ASN1Set(rv=[], rr=[], ev=[], er=[])
    
    _all_ = [
        ____HandoverRequest_protocolIEs__item__id_tab,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_3,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_4,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_5,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_6,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_7,
        _____HandoverRequest_protocolIEs__item__id_tab_val_Value_8,
        ___HandoverRequest_protocolIEs__item__id,
        ___HandoverRequest_protocolIEs__item__criticality,
        ___HandoverRequest_protocolIEs__item__value,
        __HandoverRequest_protocolIEs__item_,
        _HandoverRequest_protocolIEs,
        HandoverRequest,
        HandoverRequest_IEs,
        _HandoverRequest_IEs_val_Value_0,
        _HandoverRequest_IEs_val_Value_1,
        _HandoverRequest_IEs_val_Value_2,
        _HandoverRequest_IEs_val_Value_3,
        _HandoverRequest_IEs_val_Value_4,
        _HandoverRequest_IEs_val_Value_5,
        _HandoverRequest_IEs_val_Value_6,
        _HandoverRequest_IEs_val_Value_7,
        _HandoverRequest_IEs_val_Value_8,
        _UEContextInfoHORequest_ng_c_UE_reference,
        _UEContextInfoHORequest_cp_TNL_info_source,
        _UEContextInfoHORequest_ueSecurityCapabilities,
        _UEContextInfoHORequest_securityInformation,
        _UEContextInfoHORequest_indexToRatFrequencySelectionPriority,
        _UEContextInfoHORequest_ue_AMBR,
        _UEContextInfoHORequest_pduSessionResourcesToBeSetup_List,
        _UEContextInfoHORequest_rrc_Context,
        _UEContextInfoHORequest_locationReportingInformation,
        _UEContextInfoHORequest_mrl,
        ____UEContextInfoHORequest_iE_Extensions__item__id_tab,
        ___UEContextInfoHORequest_iE_Extensions__item__id,
        ____UEContextInfoHORequest_iE_Extensions__item__criticality_tab,
        ___UEContextInfoHORequest_iE_Extensions__item__criticality,
        ____UEContextInfoHORequest_iE_Extensions__item__extensionValue_tab,
        ___UEContextInfoHORequest_iE_Extensions__item__extensionValue,
        __UEContextInfoHORequest_iE_Extensions__item_,
        _UEContextInfoHORequest_iE_Extensions,
        UEContextInfoHORequest,
        UEContextInfoHORequest_ExtIEs,
        _UEContextRefAtSN_HORequest_globalNG_RANNode_ID,
        _UEContextRefAtSN_HORequest_sN_NG_RANnodeUEXnAPID,
        ____UEContextRefAtSN_HORequest_iE_Extensions__item__id_tab,
        ___UEContextRefAtSN_HORequest_iE_Extensions__item__id,
        ____UEContextRefAtSN_HORequest_iE_Extensions__item__criticality_tab,
        ___UEContextRefAtSN_HORequest_iE_Extensions__item__criticality,
        ____UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue_tab,
        ___UEContextRefAtSN_HORequest_iE_Extensions__item__extensionValue,
        __UEContextRefAtSN_HORequest_iE_Extensions__item_,
        _UEContextRefAtSN_HORequest_iE_Extensions,
        UEContextRefAtSN_HORequest,
        UEContextRefAtSN_HORequest_ExtIEs,
        ____HandoverRequestAcknowledge_protocolIEs__item__id_tab,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6,
        _____HandoverRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7,
        ___HandoverRequestAcknowledge_protocolIEs__item__id,
        ___HandoverRequestAcknowledge_protocolIEs__item__criticality,
        ___HandoverRequestAcknowledge_protocolIEs__item__value,
        __HandoverRequestAcknowledge_protocolIEs__item_,
        _HandoverRequestAcknowledge_protocolIEs,
        HandoverRequestAcknowledge,
        HandoverRequestAcknowledge_IEs,
        _HandoverRequestAcknowledge_IEs_val_Value_0,
        _HandoverRequestAcknowledge_IEs_val_Value_1,
        _HandoverRequestAcknowledge_IEs_val_Value_2,
        _HandoverRequestAcknowledge_IEs_val_Value_3,
        _HandoverRequestAcknowledge_IEs_val_Value_4,
        _HandoverRequestAcknowledge_IEs_val_Value_5,
        _HandoverRequestAcknowledge_IEs_val_Value_6,
        _HandoverRequestAcknowledge_IEs_val_Value_7,
        ____HandoverPreparationFailure_protocolIEs__item__id_tab,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverPreparationFailure_protocolIEs__item__id_tab_val_Value_2,
        ___HandoverPreparationFailure_protocolIEs__item__id,
        ___HandoverPreparationFailure_protocolIEs__item__criticality,
        ___HandoverPreparationFailure_protocolIEs__item__value,
        __HandoverPreparationFailure_protocolIEs__item_,
        _HandoverPreparationFailure_protocolIEs,
        HandoverPreparationFailure,
        HandoverPreparationFailure_IEs,
        _HandoverPreparationFailure_IEs_val_Value_0,
        _HandoverPreparationFailure_IEs_val_Value_1,
        _HandoverPreparationFailure_IEs_val_Value_2,
        ____SNStatusTransfer_protocolIEs__item__id_tab,
        _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_0,
        _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_1,
        _____SNStatusTransfer_protocolIEs__item__id_tab_val_Value_2,
        ___SNStatusTransfer_protocolIEs__item__id,
        ___SNStatusTransfer_protocolIEs__item__criticality,
        ___SNStatusTransfer_protocolIEs__item__value,
        __SNStatusTransfer_protocolIEs__item_,
        _SNStatusTransfer_protocolIEs,
        SNStatusTransfer,
        SNStatusTransfer_IEs,
        _SNStatusTransfer_IEs_val_Value_0,
        _SNStatusTransfer_IEs_val_Value_1,
        _SNStatusTransfer_IEs_val_Value_2,
        ____UEContextRelease_protocolIEs__item__id_tab,
        _____UEContextRelease_protocolIEs__item__id_tab_val_Value_0,
        _____UEContextRelease_protocolIEs__item__id_tab_val_Value_1,
        ___UEContextRelease_protocolIEs__item__id,
        ___UEContextRelease_protocolIEs__item__criticality,
        ___UEContextRelease_protocolIEs__item__value,
        __UEContextRelease_protocolIEs__item_,
        _UEContextRelease_protocolIEs,
        UEContextRelease,
        UEContextRelease_IEs,
        _UEContextRelease_IEs_val_Value_0,
        _UEContextRelease_IEs_val_Value_1,
        ____HandoverCancel_protocolIEs__item__id_tab,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_0,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_1,
        _____HandoverCancel_protocolIEs__item__id_tab_val_Value_2,
        ___HandoverCancel_protocolIEs__item__id,
        ___HandoverCancel_protocolIEs__item__criticality,
        ___HandoverCancel_protocolIEs__item__value,
        __HandoverCancel_protocolIEs__item_,
        _HandoverCancel_protocolIEs,
        HandoverCancel,
        HandoverCancel_IEs,
        _HandoverCancel_IEs_val_Value_0,
        _HandoverCancel_IEs_val_Value_1,
        _HandoverCancel_IEs_val_Value_2,
        ____RANPaging_protocolIEs__item__id_tab,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_0,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_1,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_2,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_3,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_4,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_5,
        _____RANPaging_protocolIEs__item__id_tab_val_Value_6,
        ___RANPaging_protocolIEs__item__id,
        ___RANPaging_protocolIEs__item__criticality,
        ___RANPaging_protocolIEs__item__value,
        __RANPaging_protocolIEs__item_,
        _RANPaging_protocolIEs,
        RANPaging,
        RANPaging_IEs,
        _RANPaging_IEs_val_Value_0,
        _RANPaging_IEs_val_Value_1,
        _RANPaging_IEs_val_Value_2,
        _RANPaging_IEs_val_Value_3,
        _RANPaging_IEs_val_Value_4,
        _RANPaging_IEs_val_Value_5,
        _RANPaging_IEs_val_Value_6,
        ____RetrieveUEContextRequest_protocolIEs__item__id_tab,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_0,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_1,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_2,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_3,
        _____RetrieveUEContextRequest_protocolIEs__item__id_tab_val_Value_4,
        ___RetrieveUEContextRequest_protocolIEs__item__id,
        ___RetrieveUEContextRequest_protocolIEs__item__criticality,
        ___RetrieveUEContextRequest_protocolIEs__item__value,
        __RetrieveUEContextRequest_protocolIEs__item_,
        _RetrieveUEContextRequest_protocolIEs,
        RetrieveUEContextRequest,
        RetrieveUEContextRequest_IEs,
        _RetrieveUEContextRequest_IEs_val_Value_0,
        _RetrieveUEContextRequest_IEs_val_Value_1,
        _RetrieveUEContextRequest_IEs_val_Value_2,
        _RetrieveUEContextRequest_IEs_val_Value_3,
        _RetrieveUEContextRequest_IEs_val_Value_4,
        ____RetrieveUEContextResponse_protocolIEs__item__id_tab,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_0,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_1,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_2,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_3,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_4,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_5,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_6,
        _____RetrieveUEContextResponse_protocolIEs__item__id_tab_val_Value_7,
        ___RetrieveUEContextResponse_protocolIEs__item__id,
        ___RetrieveUEContextResponse_protocolIEs__item__criticality,
        ___RetrieveUEContextResponse_protocolIEs__item__value,
        __RetrieveUEContextResponse_protocolIEs__item_,
        _RetrieveUEContextResponse_protocolIEs,
        RetrieveUEContextResponse,
        RetrieveUEContextResponse_IEs,
        _RetrieveUEContextResponse_IEs_val_Value_0,
        _RetrieveUEContextResponse_IEs_val_Value_1,
        _RetrieveUEContextResponse_IEs_val_Value_2,
        _RetrieveUEContextResponse_IEs_val_Value_3,
        _RetrieveUEContextResponse_IEs_val_Value_4,
        _RetrieveUEContextResponse_IEs_val_Value_5,
        _RetrieveUEContextResponse_IEs_val_Value_6,
        _RetrieveUEContextResponse_IEs_val_Value_7,
        ____RetrieveUEContextFailure_protocolIEs__item__id_tab,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_0,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_1,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_2,
        _____RetrieveUEContextFailure_protocolIEs__item__id_tab_val_Value_3,
        ___RetrieveUEContextFailure_protocolIEs__item__id,
        ___RetrieveUEContextFailure_protocolIEs__item__criticality,
        ___RetrieveUEContextFailure_protocolIEs__item__value,
        __RetrieveUEContextFailure_protocolIEs__item_,
        _RetrieveUEContextFailure_protocolIEs,
        RetrieveUEContextFailure,
        RetrieveUEContextFailure_IEs,
        _RetrieveUEContextFailure_IEs_val_Value_0,
        _RetrieveUEContextFailure_IEs_val_Value_1,
        _RetrieveUEContextFailure_IEs_val_Value_2,
        _RetrieveUEContextFailure_IEs_val_Value_3,
        ____XnUAddressIndication_protocolIEs__item__id_tab,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_0,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_1,
        _____XnUAddressIndication_protocolIEs__item__id_tab_val_Value_2,
        ___XnUAddressIndication_protocolIEs__item__id,
        ___XnUAddressIndication_protocolIEs__item__criticality,
        ___XnUAddressIndication_protocolIEs__item__value,
        __XnUAddressIndication_protocolIEs__item_,
        _XnUAddressIndication_protocolIEs,
        XnUAddressIndication,
        XnUAddressIndication_IEs,
        _XnUAddressIndication_IEs_val_Value_0,
        _XnUAddressIndication_IEs_val_Value_1,
        _XnUAddressIndication_IEs_val_Value_2,
        ____SNodeAdditionRequest_protocolIEs__item__id_tab,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_11,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_12,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_13,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_14,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_15,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_16,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_17,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_18,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_19,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_20,
        _____SNodeAdditionRequest_protocolIEs__item__id_tab_val_Value_21,
        ___SNodeAdditionRequest_protocolIEs__item__id,
        ___SNodeAdditionRequest_protocolIEs__item__criticality,
        ___SNodeAdditionRequest_protocolIEs__item__value,
        __SNodeAdditionRequest_protocolIEs__item_,
        _SNodeAdditionRequest_protocolIEs,
        SNodeAdditionRequest,
        SNodeAdditionRequest_IEs,
        _SNodeAdditionRequest_IEs_val_Value_0,
        _SNodeAdditionRequest_IEs_val_Value_1,
        _SNodeAdditionRequest_IEs_val_Value_2,
        _SNodeAdditionRequest_IEs_val_Value_3,
        _SNodeAdditionRequest_IEs_val_Value_4,
        _SNodeAdditionRequest_IEs_val_Value_5,
        _SNodeAdditionRequest_IEs_val_Value_6,
        _SNodeAdditionRequest_IEs_val_Value_7,
        _SNodeAdditionRequest_IEs_val_Value_8,
        _SNodeAdditionRequest_IEs_val_Value_9,
        _SNodeAdditionRequest_IEs_val_Value_10,
        _SNodeAdditionRequest_IEs_val_Value_11,
        _SNodeAdditionRequest_IEs_val_Value_12,
        _SNodeAdditionRequest_IEs_val_Value_13,
        _SNodeAdditionRequest_IEs_val_Value_14,
        _SNodeAdditionRequest_IEs_val_Value_15,
        _SNodeAdditionRequest_IEs_val_Value_16,
        _SNodeAdditionRequest_IEs_val_Value_17,
        _SNodeAdditionRequest_IEs_val_Value_18,
        _SNodeAdditionRequest_IEs_val_Value_19,
        _SNodeAdditionRequest_IEs_val_Value_20,
        _SNodeAdditionRequest_IEs_val_Value_21,
        _PDUSessionToBeAddedAddReq__item_,
        PDUSessionToBeAddedAddReq,
        _PDUSessionToBeAddedAddReq_Item_pduSessionId,
        _PDUSessionToBeAddedAddReq_Item_s_NSSAI,
        _PDUSessionToBeAddedAddReq_Item_sN_PDUSessionAMBR,
        _PDUSessionToBeAddedAddReq_Item_sn_terminated,
        _PDUSessionToBeAddedAddReq_Item_mn_terminated,
        ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id_tab,
        ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__id,
        ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__criticality,
        ____PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionToBeAddedAddReq_Item_iE_Extension__item__extensionValue,
        __PDUSessionToBeAddedAddReq_Item_iE_Extension__item_,
        _PDUSessionToBeAddedAddReq_Item_iE_Extension,
        PDUSessionToBeAddedAddReq_Item,
        PDUSessionToBeAddedAddReq_Item_ExtIEs,
        ____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeAdditionRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9,
        ___SNodeAdditionRequestAcknowledge_protocolIEs__item__id,
        ___SNodeAdditionRequestAcknowledge_protocolIEs__item__criticality,
        ___SNodeAdditionRequestAcknowledge_protocolIEs__item__value,
        __SNodeAdditionRequestAcknowledge_protocolIEs__item_,
        _SNodeAdditionRequestAcknowledge_protocolIEs,
        SNodeAdditionRequestAcknowledge,
        SNodeAdditionRequestAcknowledge_IEs,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_0,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_1,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_2,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_3,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_4,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_5,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_6,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_7,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_8,
        _SNodeAdditionRequestAcknowledge_IEs_val_Value_9,
        _PDUSessionAdmittedAddedAddReqAck__item_,
        PDUSessionAdmittedAddedAddReqAck,
        _PDUSessionAdmittedAddedAddReqAck_Item_pduSessionId,
        _PDUSessionAdmittedAddedAddReqAck_Item_sn_terminated,
        _PDUSessionAdmittedAddedAddReqAck_Item_mn_terminated,
        ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension__item_,
        _PDUSessionAdmittedAddedAddReqAck_Item_iE_Extension,
        PDUSessionAdmittedAddedAddReqAck_Item,
        PDUSessionAdmittedAddedAddReqAck_Item_ExtIEs,
        _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_SNterminated,
        _PDUSessionNotAdmittedAddReqAck_pduSessionResourcesNotAdmitted_MNterminated,
        ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id_tab,
        ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__id,
        ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality_tab,
        ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__criticality,
        ____PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue_tab,
        ___PDUSessionNotAdmittedAddReqAck_iE_Extension__item__extensionValue,
        __PDUSessionNotAdmittedAddReqAck_iE_Extension__item_,
        _PDUSessionNotAdmittedAddReqAck_iE_Extension,
        PDUSessionNotAdmittedAddReqAck,
        PDUSessionNotAdmittedAddReqAck_ExtIEs,
        ____SNodeAdditionRequestReject_protocolIEs__item__id_tab,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeAdditionRequestReject_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeAdditionRequestReject_protocolIEs__item__id,
        ___SNodeAdditionRequestReject_protocolIEs__item__criticality,
        ___SNodeAdditionRequestReject_protocolIEs__item__value,
        __SNodeAdditionRequestReject_protocolIEs__item_,
        _SNodeAdditionRequestReject_protocolIEs,
        SNodeAdditionRequestReject,
        SNodeAdditionRequestReject_IEs,
        _SNodeAdditionRequestReject_IEs_val_Value_0,
        _SNodeAdditionRequestReject_IEs_val_Value_1,
        _SNodeAdditionRequestReject_IEs_val_Value_2,
        _SNodeAdditionRequestReject_IEs_val_Value_3,
        ____SNodeReconfigurationComplete_protocolIEs__item__id_tab,
        _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReconfigurationComplete_protocolIEs__item__id_tab_val_Value_2,
        ___SNodeReconfigurationComplete_protocolIEs__item__id,
        ___SNodeReconfigurationComplete_protocolIEs__item__criticality,
        ___SNodeReconfigurationComplete_protocolIEs__item__value,
        __SNodeReconfigurationComplete_protocolIEs__item_,
        _SNodeReconfigurationComplete_protocolIEs,
        SNodeReconfigurationComplete,
        SNodeReconfigurationComplete_IEs,
        _SNodeReconfigurationComplete_IEs_val_Value_0,
        _SNodeReconfigurationComplete_IEs_val_Value_1,
        _SNodeReconfigurationComplete_IEs_val_Value_2,
        _ResponseInfo_ReconfCompl_responseType_ReconfComplete,
        ____ResponseInfo_ReconfCompl_iE_Extensions__item__id_tab,
        ___ResponseInfo_ReconfCompl_iE_Extensions__item__id,
        ____ResponseInfo_ReconfCompl_iE_Extensions__item__criticality_tab,
        ___ResponseInfo_ReconfCompl_iE_Extensions__item__criticality,
        ____ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue_tab,
        ___ResponseInfo_ReconfCompl_iE_Extensions__item__extensionValue,
        __ResponseInfo_ReconfCompl_iE_Extensions__item_,
        _ResponseInfo_ReconfCompl_iE_Extensions,
        ResponseInfo_ReconfCompl,
        ResponseInfo_ReconfCompl_ExtIEs,
        _ResponseType_ReconfComplete_configuration_successfully_applied,
        _ResponseType_ReconfComplete_configuration_rejected_by_M_NG_RANNode,
        ___ResponseType_ReconfComplete_choice_extension_id_tab,
        __ResponseType_ReconfComplete_choice_extension_id,
        ___ResponseType_ReconfComplete_choice_extension_criticality_tab,
        __ResponseType_ReconfComplete_choice_extension_criticality,
        ___ResponseType_ReconfComplete_choice_extension_value_tab,
        __ResponseType_ReconfComplete_choice_extension_value,
        _ResponseType_ReconfComplete_choice_extension,
        ResponseType_ReconfComplete,
        ResponseType_ReconfComplete_ExtIEs,
        _Configuration_successfully_applied_m_NG_RANNode_to_S_NG_RANNode_Container,
        ____Configuration_successfully_applied_iE_Extensions__item__id_tab,
        ___Configuration_successfully_applied_iE_Extensions__item__id,
        ____Configuration_successfully_applied_iE_Extensions__item__criticality_tab,
        ___Configuration_successfully_applied_iE_Extensions__item__criticality,
        ____Configuration_successfully_applied_iE_Extensions__item__extensionValue_tab,
        ___Configuration_successfully_applied_iE_Extensions__item__extensionValue,
        __Configuration_successfully_applied_iE_Extensions__item_,
        _Configuration_successfully_applied_iE_Extensions,
        Configuration_successfully_applied,
        Configuration_successfully_applied_ExtIEs,
        _Configuration_rejected_by_M_NG_RANNode_cause,
        _Configuration_rejected_by_M_NG_RANNode_m_NG_RANNode_to_S_NG_RANNode_Container,
        ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id_tab,
        ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__id,
        ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality_tab,
        ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__criticality,
        ____Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue_tab,
        ___Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item__extensionValue,
        __Configuration_rejected_by_M_NG_RANNode_iE_Extensions__item_,
        _Configuration_rejected_by_M_NG_RANNode_iE_Extensions,
        Configuration_rejected_by_M_NG_RANNode,
        Configuration_rejected_by_M_NG_RANNode_ExtIEs,
        ____SNodeModificationRequest_protocolIEs__item__id_tab,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_11,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_12,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_13,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_14,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_15,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_16,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_17,
        _____SNodeModificationRequest_protocolIEs__item__id_tab_val_Value_18,
        ___SNodeModificationRequest_protocolIEs__item__id,
        ___SNodeModificationRequest_protocolIEs__item__criticality,
        ___SNodeModificationRequest_protocolIEs__item__value,
        __SNodeModificationRequest_protocolIEs__item_,
        _SNodeModificationRequest_protocolIEs,
        SNodeModificationRequest,
        SNodeModificationRequest_IEs,
        _SNodeModificationRequest_IEs_val_Value_0,
        _SNodeModificationRequest_IEs_val_Value_1,
        _SNodeModificationRequest_IEs_val_Value_2,
        _SNodeModificationRequest_IEs_val_Value_3,
        _SNodeModificationRequest_IEs_val_Value_4,
        _SNodeModificationRequest_IEs_val_Value_5,
        _SNodeModificationRequest_IEs_val_Value_6,
        _SNodeModificationRequest_IEs_val_Value_7,
        _SNodeModificationRequest_IEs_val_Value_8,
        _SNodeModificationRequest_IEs_val_Value_9,
        _SNodeModificationRequest_IEs_val_Value_10,
        _SNodeModificationRequest_IEs_val_Value_11,
        _SNodeModificationRequest_IEs_val_Value_12,
        _SNodeModificationRequest_IEs_val_Value_13,
        _SNodeModificationRequest_IEs_val_Value_14,
        _SNodeModificationRequest_IEs_val_Value_15,
        _SNodeModificationRequest_IEs_val_Value_16,
        _SNodeModificationRequest_IEs_val_Value_17,
        _SNodeModificationRequest_IEs_val_Value_18,
        _UEContextInfo_SNModRequest_ueSecurityCapabilities,
        _UEContextInfo_SNModRequest_s_ng_RANnode_SecurityKey,
        _UEContextInfo_SNModRequest_s_ng_RANnodeUE_AMBR,
        _UEContextInfo_SNModRequest_indexToRatFrequencySelectionPriority,
        _UEContextInfo_SNModRequest_lowerLayerPresenceStatusChange,
        _UEContextInfo_SNModRequest_pduSessionResourceToBeAdded,
        _UEContextInfo_SNModRequest_pduSessionResourceToBeModified,
        _UEContextInfo_SNModRequest_pduSessionResourceToBeReleased,
        ____UEContextInfo_SNModRequest_iE_Extension__item__id_tab,
        ___UEContextInfo_SNModRequest_iE_Extension__item__id,
        ____UEContextInfo_SNModRequest_iE_Extension__item__criticality_tab,
        ___UEContextInfo_SNModRequest_iE_Extension__item__criticality,
        ____UEContextInfo_SNModRequest_iE_Extension__item__extensionValue_tab,
        ___UEContextInfo_SNModRequest_iE_Extension__item__extensionValue,
        __UEContextInfo_SNModRequest_iE_Extension__item_,
        _UEContextInfo_SNModRequest_iE_Extension,
        UEContextInfo_SNModRequest,
        UEContextInfo_SNModRequest_ExtIEs,
        _PDUSessionsToBeAdded_SNModRequest_List__item_,
        PDUSessionsToBeAdded_SNModRequest_List,
        _PDUSessionsToBeAdded_SNModRequest_Item_pduSessionId,
        _PDUSessionsToBeAdded_SNModRequest_Item_s_NSSAI,
        _PDUSessionsToBeAdded_SNModRequest_Item_sN_PDUSessionAMBR,
        _PDUSessionsToBeAdded_SNModRequest_Item_sn_terminated,
        _PDUSessionsToBeAdded_SNModRequest_Item_mn_terminated,
        ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id_tab,
        ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__id,
        ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__criticality,
        ____PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item__extensionValue,
        __PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension__item_,
        _PDUSessionsToBeAdded_SNModRequest_Item_iE_Extension,
        PDUSessionsToBeAdded_SNModRequest_Item,
        PDUSessionsToBeAdded_SNModRequest_Item_ExtIEs,
        _PDUSessionsToBeModified_SNModRequest_List__item_,
        PDUSessionsToBeModified_SNModRequest_List,
        _PDUSessionsToBeModified_SNModRequest_Item_pduSessionId,
        _PDUSessionsToBeModified_SNModRequest_Item_sN_PDUSessionAMBR,
        _PDUSessionsToBeModified_SNModRequest_Item_sn_terminated,
        _PDUSessionsToBeModified_SNModRequest_Item_mn_terminated,
        ____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab,
        _____PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id_tab_val_Extension_0,
        ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__id,
        ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__criticality,
        ___PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item__extensionValue,
        __PDUSessionsToBeModified_SNModRequest_Item_iE_Extension__item_,
        _PDUSessionsToBeModified_SNModRequest_Item_iE_Extension,
        PDUSessionsToBeModified_SNModRequest_Item,
        PDUSessionsToBeModified_SNModRequest_Item_ExtIEs,
        _PDUSessionsToBeModified_SNModRequest_Item_ExtIEs_val_Extension_0,
        _PDUSessionsToBeReleased_SNModRequest_List_pdu_session_list,
        ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id_tab,
        ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__id,
        ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality_tab,
        ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__criticality,
        ____PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue_tab,
        ___PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item__extensionValue,
        __PDUSessionsToBeReleased_SNModRequest_List_iE_Extension__item_,
        _PDUSessionsToBeReleased_SNModRequest_List_iE_Extension,
        PDUSessionsToBeReleased_SNModRequest_List,
        PDUSessionsToBeReleased_SNModRequest_List_ExtIEs,
        ____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeModificationRequestAcknowledge_protocolIEs__item__id_tab_val_Value_11,
        ___SNodeModificationRequestAcknowledge_protocolIEs__item__id,
        ___SNodeModificationRequestAcknowledge_protocolIEs__item__criticality,
        ___SNodeModificationRequestAcknowledge_protocolIEs__item__value,
        __SNodeModificationRequestAcknowledge_protocolIEs__item_,
        _SNodeModificationRequestAcknowledge_protocolIEs,
        SNodeModificationRequestAcknowledge,
        SNodeModificationRequestAcknowledge_IEs,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_0,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_1,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_2,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_3,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_4,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_5,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_6,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_7,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_8,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_9,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_10,
        _SNodeModificationRequestAcknowledge_IEs_val_Value_11,
        _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeAdded,
        _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeModified,
        _PDUSessionAdmitted_SNModResponse_pduSessionResourcesAdmittedToBeReleased,
        ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__id_tab,
        ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__id,
        ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__criticality,
        ____PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmitted_SNModResponse_iE_Extension__item__extensionValue,
        __PDUSessionAdmitted_SNModResponse_iE_Extension__item_,
        _PDUSessionAdmitted_SNModResponse_iE_Extension,
        PDUSessionAdmitted_SNModResponse,
        PDUSessionAdmitted_SNModResponse_ExtIEs,
        _PDUSessionAdmittedToBeAddedSNModResponse__item_,
        PDUSessionAdmittedToBeAddedSNModResponse,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_pduSessionId,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_sn_terminated,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_mn_terminated,
        ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension__item_,
        _PDUSessionAdmittedToBeAddedSNModResponse_Item_iE_Extension,
        PDUSessionAdmittedToBeAddedSNModResponse_Item,
        PDUSessionAdmittedToBeAddedSNModResponse_Item_ExtIEs,
        _PDUSessionAdmittedToBeModifiedSNModResponse__item_,
        PDUSessionAdmittedToBeModifiedSNModResponse,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_pduSessionId,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_sn_terminated,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_mn_terminated,
        ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension__item_,
        _PDUSessionAdmittedToBeModifiedSNModResponse_Item_iE_Extension,
        PDUSessionAdmittedToBeModifiedSNModResponse_Item,
        PDUSessionAdmittedToBeModifiedSNModResponse_Item_ExtIEs,
        _PDUSessionAdmittedToBeReleasedSNModResponse_sn_terminated,
        _PDUSessionAdmittedToBeReleasedSNModResponse_mn_terminated,
        ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__id,
        ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__criticality,
        ____PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension__item_,
        _PDUSessionAdmittedToBeReleasedSNModResponse_iE_Extension,
        PDUSessionAdmittedToBeReleasedSNModResponse,
        PDUSessionAdmittedToBeReleasedSNModResponse_ExtIEs,
        _PDUSessionNotAdmitted_SNModResponse_pdu_Session_List,
        ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id_tab,
        ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__id,
        ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality_tab,
        ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__criticality,
        ____PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue_tab,
        ___PDUSessionNotAdmitted_SNModResponse_iE_Extension__item__extensionValue,
        __PDUSessionNotAdmitted_SNModResponse_iE_Extension__item_,
        _PDUSessionNotAdmitted_SNModResponse_iE_Extension,
        PDUSessionNotAdmitted_SNModResponse,
        PDUSessionNotAdmitted_SNModResponse_ExtIEs,
        _PDUSessionDataForwarding_SNModResponse_sn_terminated,
        ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id_tab,
        ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__id,
        ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality_tab,
        ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__criticality,
        ____PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionDataForwarding_SNModResponse_iE_Extensions__item__extensionValue,
        __PDUSessionDataForwarding_SNModResponse_iE_Extensions__item_,
        _PDUSessionDataForwarding_SNModResponse_iE_Extensions,
        PDUSessionDataForwarding_SNModResponse,
        PDUSessionDataForwarding_SNModResponse_ExtIEs,
        ____SNodeModificationRequestReject_protocolIEs__item__id_tab,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequestReject_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeModificationRequestReject_protocolIEs__item__id,
        ___SNodeModificationRequestReject_protocolIEs__item__criticality,
        ___SNodeModificationRequestReject_protocolIEs__item__value,
        __SNodeModificationRequestReject_protocolIEs__item_,
        _SNodeModificationRequestReject_protocolIEs,
        SNodeModificationRequestReject,
        SNodeModificationRequestReject_IEs,
        _SNodeModificationRequestReject_IEs_val_Value_0,
        _SNodeModificationRequestReject_IEs_val_Value_1,
        _SNodeModificationRequestReject_IEs_val_Value_2,
        _SNodeModificationRequestReject_IEs_val_Value_3,
        ____SNodeModificationRequired_protocolIEs__item__id_tab,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_7,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_8,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_9,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_10,
        _____SNodeModificationRequired_protocolIEs__item__id_tab_val_Value_11,
        ___SNodeModificationRequired_protocolIEs__item__id,
        ___SNodeModificationRequired_protocolIEs__item__criticality,
        ___SNodeModificationRequired_protocolIEs__item__value,
        __SNodeModificationRequired_protocolIEs__item_,
        _SNodeModificationRequired_protocolIEs,
        SNodeModificationRequired,
        SNodeModificationRequired_IEs,
        _SNodeModificationRequired_IEs_val_Value_0,
        _SNodeModificationRequired_IEs_val_Value_1,
        _SNodeModificationRequired_IEs_val_Value_2,
        _SNodeModificationRequired_IEs_val_Value_3,
        _SNodeModificationRequired_IEs_val_Value_4,
        _SNodeModificationRequired_IEs_val_Value_5,
        _SNodeModificationRequired_IEs_val_Value_6,
        _SNodeModificationRequired_IEs_val_Value_7,
        _SNodeModificationRequired_IEs_val_Value_8,
        _SNodeModificationRequired_IEs_val_Value_9,
        _SNodeModificationRequired_IEs_val_Value_10,
        _SNodeModificationRequired_IEs_val_Value_11,
        _PDUSessionToBeModifiedSNModRequired__item_,
        PDUSessionToBeModifiedSNModRequired,
        _PDUSessionToBeModifiedSNModRequired_Item_pduSessionId,
        _PDUSessionToBeModifiedSNModRequired_Item_sn_terminated,
        _PDUSessionToBeModifiedSNModRequired_Item_mn_terminated,
        ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id_tab,
        ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__id,
        ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__criticality,
        ____PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item__extensionValue,
        __PDUSessionToBeModifiedSNModRequired_Item_iE_Extension__item_,
        _PDUSessionToBeModifiedSNModRequired_Item_iE_Extension,
        PDUSessionToBeModifiedSNModRequired_Item,
        PDUSessionToBeModifiedSNModRequired_Item_ExtIEs,
        _PDUSessionToBeReleasedSNModRequired_sn_terminated,
        _PDUSessionToBeReleasedSNModRequired_mn_terminated,
        ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id_tab,
        ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__id,
        ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality_tab,
        ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__criticality,
        ____PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue_tab,
        ___PDUSessionToBeReleasedSNModRequired_iE_Extension__item__extensionValue,
        __PDUSessionToBeReleasedSNModRequired_iE_Extension__item_,
        _PDUSessionToBeReleasedSNModRequired_iE_Extension,
        PDUSessionToBeReleasedSNModRequired,
        PDUSessionToBeReleasedSNModRequired_ExtIEs,
        ____SNodeModificationConfirm_protocolIEs__item__id_tab,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_6,
        _____SNodeModificationConfirm_protocolIEs__item__id_tab_val_Value_7,
        ___SNodeModificationConfirm_protocolIEs__item__id,
        ___SNodeModificationConfirm_protocolIEs__item__criticality,
        ___SNodeModificationConfirm_protocolIEs__item__value,
        __SNodeModificationConfirm_protocolIEs__item_,
        _SNodeModificationConfirm_protocolIEs,
        SNodeModificationConfirm,
        SNodeModificationConfirm_IEs,
        _SNodeModificationConfirm_IEs_val_Value_0,
        _SNodeModificationConfirm_IEs_val_Value_1,
        _SNodeModificationConfirm_IEs_val_Value_2,
        _SNodeModificationConfirm_IEs_val_Value_3,
        _SNodeModificationConfirm_IEs_val_Value_4,
        _SNodeModificationConfirm_IEs_val_Value_5,
        _SNodeModificationConfirm_IEs_val_Value_6,
        _SNodeModificationConfirm_IEs_val_Value_7,
        _PDUSessionAdmittedModSNModConfirm__item_,
        PDUSessionAdmittedModSNModConfirm,
        _PDUSessionAdmittedModSNModConfirm_Item_pduSessionId,
        _PDUSessionAdmittedModSNModConfirm_Item_sn_terminated,
        _PDUSessionAdmittedModSNModConfirm_Item_mn_terminated,
        ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id_tab,
        ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__id,
        ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality_tab,
        ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__criticality,
        ____PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item__extensionValue,
        __PDUSessionAdmittedModSNModConfirm_Item_iE_Extension__item_,
        _PDUSessionAdmittedModSNModConfirm_Item_iE_Extension,
        PDUSessionAdmittedModSNModConfirm_Item,
        PDUSessionAdmittedModSNModConfirm_Item_ExtIEs,
        _PDUSessionReleasedSNModConfirm_sn_terminated,
        _PDUSessionReleasedSNModConfirm_mn_terminated,
        ____PDUSessionReleasedSNModConfirm_iE_Extension__item__id_tab,
        ___PDUSessionReleasedSNModConfirm_iE_Extension__item__id,
        ____PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality_tab,
        ___PDUSessionReleasedSNModConfirm_iE_Extension__item__criticality,
        ____PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue_tab,
        ___PDUSessionReleasedSNModConfirm_iE_Extension__item__extensionValue,
        __PDUSessionReleasedSNModConfirm_iE_Extension__item_,
        _PDUSessionReleasedSNModConfirm_iE_Extension,
        PDUSessionReleasedSNModConfirm,
        PDUSessionAdmittedToBeReleasedSNModConfirm_ExtIEs,
        ____SNodeModificationRefuse_protocolIEs__item__id_tab,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeModificationRefuse_protocolIEs__item__id_tab_val_Value_4,
        ___SNodeModificationRefuse_protocolIEs__item__id,
        ___SNodeModificationRefuse_protocolIEs__item__criticality,
        ___SNodeModificationRefuse_protocolIEs__item__value,
        __SNodeModificationRefuse_protocolIEs__item_,
        _SNodeModificationRefuse_protocolIEs,
        SNodeModificationRefuse,
        SNodeModificationRefuse_IEs,
        _SNodeModificationRefuse_IEs_val_Value_0,
        _SNodeModificationRefuse_IEs_val_Value_1,
        _SNodeModificationRefuse_IEs_val_Value_2,
        _SNodeModificationRefuse_IEs_val_Value_3,
        _SNodeModificationRefuse_IEs_val_Value_4,
        ____SNodeReleaseRequest_protocolIEs__item__id_tab,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_5,
        _____SNodeReleaseRequest_protocolIEs__item__id_tab_val_Value_6,
        ___SNodeReleaseRequest_protocolIEs__item__id,
        ___SNodeReleaseRequest_protocolIEs__item__criticality,
        ___SNodeReleaseRequest_protocolIEs__item__value,
        __SNodeReleaseRequest_protocolIEs__item_,
        _SNodeReleaseRequest_protocolIEs,
        SNodeReleaseRequest,
        SNodeReleaseRequest_IEs,
        _SNodeReleaseRequest_IEs_val_Value_0,
        _SNodeReleaseRequest_IEs_val_Value_1,
        _SNodeReleaseRequest_IEs_val_Value_2,
        _SNodeReleaseRequest_IEs_val_Value_3,
        _SNodeReleaseRequest_IEs_val_Value_4,
        _SNodeReleaseRequest_IEs_val_Value_5,
        _SNodeReleaseRequest_IEs_val_Value_6,
        ____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseRequestAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeReleaseRequestAcknowledge_protocolIEs__item__id,
        ___SNodeReleaseRequestAcknowledge_protocolIEs__item__criticality,
        ___SNodeReleaseRequestAcknowledge_protocolIEs__item__value,
        __SNodeReleaseRequestAcknowledge_protocolIEs__item_,
        _SNodeReleaseRequestAcknowledge_protocolIEs,
        SNodeReleaseRequestAcknowledge,
        SNodeReleaseRequestAcknowledge_IEs,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_0,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_1,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_2,
        _SNodeReleaseRequestAcknowledge_IEs_val_Value_3,
        _PDUSessionToBeReleasedList_RelReqAck_pduSessionsToBeReleasedList_SNterminated,
        ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id_tab,
        ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__id,
        ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality_tab,
        ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__criticality,
        ____PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item__extensionValue,
        __PDUSessionToBeReleasedList_RelReqAck_iE_Extensions__item_,
        _PDUSessionToBeReleasedList_RelReqAck_iE_Extensions,
        PDUSessionToBeReleasedList_RelReqAck,
        PDUSessionToBeReleasedList_RelReqAck_ExtIEs,
        ____SNodeReleaseReject_protocolIEs__item__id_tab,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseReject_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeReleaseReject_protocolIEs__item__id,
        ___SNodeReleaseReject_protocolIEs__item__criticality,
        ___SNodeReleaseReject_protocolIEs__item__value,
        __SNodeReleaseReject_protocolIEs__item_,
        _SNodeReleaseReject_protocolIEs,
        SNodeReleaseReject,
        SNodeReleaseReject_IEs,
        _SNodeReleaseReject_IEs_val_Value_0,
        _SNodeReleaseReject_IEs_val_Value_1,
        _SNodeReleaseReject_IEs_val_Value_2,
        _SNodeReleaseReject_IEs_val_Value_3,
        ____SNodeReleaseRequired_protocolIEs__item__id_tab,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeReleaseRequired_protocolIEs__item__id_tab_val_Value_4,
        ___SNodeReleaseRequired_protocolIEs__item__id,
        ___SNodeReleaseRequired_protocolIEs__item__criticality,
        ___SNodeReleaseRequired_protocolIEs__item__value,
        __SNodeReleaseRequired_protocolIEs__item_,
        _SNodeReleaseRequired_protocolIEs,
        SNodeReleaseRequired,
        SNodeReleaseRequired_IEs,
        _SNodeReleaseRequired_IEs_val_Value_0,
        _SNodeReleaseRequired_IEs_val_Value_1,
        _SNodeReleaseRequired_IEs_val_Value_2,
        _SNodeReleaseRequired_IEs_val_Value_3,
        _SNodeReleaseRequired_IEs_val_Value_4,
        _PDUSessionToBeReleasedList_RelRqd_pduSessionsToBeReleasedList_SNterminated,
        ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id_tab,
        ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__id,
        ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality_tab,
        ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__criticality,
        ____PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item__extensionValue,
        __PDUSessionToBeReleasedList_RelRqd_iE_Extensions__item_,
        _PDUSessionToBeReleasedList_RelRqd_iE_Extensions,
        PDUSessionToBeReleasedList_RelRqd,
        PDUSessionToBeReleasedList_RelRqd_ExtIEs,
        ____SNodeReleaseConfirm_protocolIEs__item__id_tab,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeReleaseConfirm_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeReleaseConfirm_protocolIEs__item__id,
        ___SNodeReleaseConfirm_protocolIEs__item__criticality,
        ___SNodeReleaseConfirm_protocolIEs__item__value,
        __SNodeReleaseConfirm_protocolIEs__item_,
        _SNodeReleaseConfirm_protocolIEs,
        SNodeReleaseConfirm,
        SNodeReleaseConfirm_IEs,
        _SNodeReleaseConfirm_IEs_val_Value_0,
        _SNodeReleaseConfirm_IEs_val_Value_1,
        _SNodeReleaseConfirm_IEs_val_Value_2,
        _SNodeReleaseConfirm_IEs_val_Value_3,
        _PDUSessionReleasedList_RelConf_pduSessionsReleasedList_SNterminated,
        ____PDUSessionReleasedList_RelConf_iE_Extensions__item__id_tab,
        ___PDUSessionReleasedList_RelConf_iE_Extensions__item__id,
        ____PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality_tab,
        ___PDUSessionReleasedList_RelConf_iE_Extensions__item__criticality,
        ____PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionReleasedList_RelConf_iE_Extensions__item__extensionValue,
        __PDUSessionReleasedList_RelConf_iE_Extensions__item_,
        _PDUSessionReleasedList_RelConf_iE_Extensions,
        PDUSessionReleasedList_RelConf,
        PDUSessionReleasedList_RelConf_ExtIEs,
        ____SNodeCounterCheckRequest_protocolIEs__item__id_tab,
        _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeCounterCheckRequest_protocolIEs__item__id_tab_val_Value_2,
        ___SNodeCounterCheckRequest_protocolIEs__item__id,
        ___SNodeCounterCheckRequest_protocolIEs__item__criticality,
        ___SNodeCounterCheckRequest_protocolIEs__item__value,
        __SNodeCounterCheckRequest_protocolIEs__item_,
        _SNodeCounterCheckRequest_protocolIEs,
        SNodeCounterCheckRequest,
        SNodeCounterCheckRequest_IEs,
        _SNodeCounterCheckRequest_IEs_val_Value_0,
        _SNodeCounterCheckRequest_IEs_val_Value_1,
        _SNodeCounterCheckRequest_IEs_val_Value_2,
        _BearersSubjectToCounterCheck_List__item_,
        BearersSubjectToCounterCheck_List,
        _BearersSubjectToCounterCheck_Item_drb_ID,
        _BearersSubjectToCounterCheck_Item_ul_count,
        _BearersSubjectToCounterCheck_Item_dl_count,
        ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__id_tab,
        ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__id,
        ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality_tab,
        ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__criticality,
        ____BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue_tab,
        ___BearersSubjectToCounterCheck_Item_iE_Extensions__item__extensionValue,
        __BearersSubjectToCounterCheck_Item_iE_Extensions__item_,
        _BearersSubjectToCounterCheck_Item_iE_Extensions,
        BearersSubjectToCounterCheck_Item,
        BearersSubjectToCounterCheck_Item_ExtIEs,
        ____SNodeChangeRequired_protocolIEs__item__id_tab,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_3,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_4,
        _____SNodeChangeRequired_protocolIEs__item__id_tab_val_Value_5,
        ___SNodeChangeRequired_protocolIEs__item__id,
        ___SNodeChangeRequired_protocolIEs__item__criticality,
        ___SNodeChangeRequired_protocolIEs__item__value,
        __SNodeChangeRequired_protocolIEs__item_,
        _SNodeChangeRequired_protocolIEs,
        SNodeChangeRequired,
        SNodeChangeRequired_IEs,
        _SNodeChangeRequired_IEs_val_Value_0,
        _SNodeChangeRequired_IEs_val_Value_1,
        _SNodeChangeRequired_IEs_val_Value_2,
        _SNodeChangeRequired_IEs_val_Value_3,
        _SNodeChangeRequired_IEs_val_Value_4,
        _SNodeChangeRequired_IEs_val_Value_5,
        _PDUSession_SNChangeRequired_List__item_,
        PDUSession_SNChangeRequired_List,
        _PDUSession_SNChangeRequired_Item_pduSessionId,
        _PDUSession_SNChangeRequired_Item_sn_terminated,
        _PDUSession_SNChangeRequired_Item_mn_terminated,
        ____PDUSession_SNChangeRequired_Item_iE_Extension__item__id_tab,
        ___PDUSession_SNChangeRequired_Item_iE_Extension__item__id,
        ____PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_SNChangeRequired_Item_iE_Extension__item__criticality,
        ____PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_SNChangeRequired_Item_iE_Extension__item__extensionValue,
        __PDUSession_SNChangeRequired_Item_iE_Extension__item_,
        _PDUSession_SNChangeRequired_Item_iE_Extension,
        PDUSession_SNChangeRequired_Item,
        PDUSession_SNChangeRequired_Item_ExtIEs,
        ____SNodeChangeConfirm_protocolIEs__item__id_tab,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeChangeConfirm_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeChangeConfirm_protocolIEs__item__id,
        ___SNodeChangeConfirm_protocolIEs__item__criticality,
        ___SNodeChangeConfirm_protocolIEs__item__value,
        __SNodeChangeConfirm_protocolIEs__item_,
        _SNodeChangeConfirm_protocolIEs,
        SNodeChangeConfirm,
        SNodeChangeConfirm_IEs,
        _SNodeChangeConfirm_IEs_val_Value_0,
        _SNodeChangeConfirm_IEs_val_Value_1,
        _SNodeChangeConfirm_IEs_val_Value_2,
        _SNodeChangeConfirm_IEs_val_Value_3,
        _PDUSession_SNChangeConfirm_List__item_,
        PDUSession_SNChangeConfirm_List,
        _PDUSession_SNChangeConfirm_Item_pduSessionId,
        _PDUSession_SNChangeConfirm_Item_sn_terminated,
        _PDUSession_SNChangeConfirm_Item_mn_terminated,
        ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__id_tab,
        ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__id,
        ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality_tab,
        ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__criticality,
        ____PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue_tab,
        ___PDUSession_SNChangeConfirm_Item_iE_Extension__item__extensionValue,
        __PDUSession_SNChangeConfirm_Item_iE_Extension__item_,
        _PDUSession_SNChangeConfirm_Item_iE_Extension,
        PDUSession_SNChangeConfirm_Item,
        PDUSession_SNChangeConfirm_Item_ExtIEs,
        ____SNodeChangeRefuse_protocolIEs__item__id_tab,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_0,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_1,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_2,
        _____SNodeChangeRefuse_protocolIEs__item__id_tab_val_Value_3,
        ___SNodeChangeRefuse_protocolIEs__item__id,
        ___SNodeChangeRefuse_protocolIEs__item__criticality,
        ___SNodeChangeRefuse_protocolIEs__item__value,
        __SNodeChangeRefuse_protocolIEs__item_,
        _SNodeChangeRefuse_protocolIEs,
        SNodeChangeRefuse,
        SNodeChangeRefuse_IEs,
        _SNodeChangeRefuse_IEs_val_Value_0,
        _SNodeChangeRefuse_IEs_val_Value_1,
        _SNodeChangeRefuse_IEs_val_Value_2,
        _SNodeChangeRefuse_IEs_val_Value_3,
        ____RRCTransfer_protocolIEs__item__id_tab,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_0,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_1,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_2,
        _____RRCTransfer_protocolIEs__item__id_tab_val_Value_3,
        ___RRCTransfer_protocolIEs__item__id,
        ___RRCTransfer_protocolIEs__item__criticality,
        ___RRCTransfer_protocolIEs__item__value,
        __RRCTransfer_protocolIEs__item_,
        _RRCTransfer_protocolIEs,
        RRCTransfer,
        RRCTransfer_IEs,
        _RRCTransfer_IEs_val_Value_0,
        _RRCTransfer_IEs_val_Value_1,
        _RRCTransfer_IEs_val_Value_2,
        _RRCTransfer_IEs_val_Value_3,
        _SplitSRB_RRCTransfer_rrcContainer,
        _SplitSRB_RRCTransfer_srbType,
        _SplitSRB_RRCTransfer_deliveryStatus,
        ____SplitSRB_RRCTransfer_iE_Extensions__item__id_tab,
        ___SplitSRB_RRCTransfer_iE_Extensions__item__id,
        ____SplitSRB_RRCTransfer_iE_Extensions__item__criticality_tab,
        ___SplitSRB_RRCTransfer_iE_Extensions__item__criticality,
        ____SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue_tab,
        ___SplitSRB_RRCTransfer_iE_Extensions__item__extensionValue,
        __SplitSRB_RRCTransfer_iE_Extensions__item_,
        _SplitSRB_RRCTransfer_iE_Extensions,
        SplitSRB_RRCTransfer,
        SplitSRB_RRCTransfer_ExtIEs,
        _UEReportRRCTransfer_rrcContainer,
        ____UEReportRRCTransfer_iE_Extensions__item__id_tab,
        ___UEReportRRCTransfer_iE_Extensions__item__id,
        ____UEReportRRCTransfer_iE_Extensions__item__criticality_tab,
        ___UEReportRRCTransfer_iE_Extensions__item__criticality,
        ____UEReportRRCTransfer_iE_Extensions__item__extensionValue_tab,
        ___UEReportRRCTransfer_iE_Extensions__item__extensionValue,
        __UEReportRRCTransfer_iE_Extensions__item_,
        _UEReportRRCTransfer_iE_Extensions,
        UEReportRRCTransfer,
        UEReportRRCTransfer_ExtIEs,
        ____NotificationControlIndication_protocolIEs__item__id_tab,
        _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_0,
        _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_1,
        _____NotificationControlIndication_protocolIEs__item__id_tab_val_Value_2,
        ___NotificationControlIndication_protocolIEs__item__id,
        ___NotificationControlIndication_protocolIEs__item__criticality,
        ___NotificationControlIndication_protocolIEs__item__value,
        __NotificationControlIndication_protocolIEs__item_,
        _NotificationControlIndication_protocolIEs,
        NotificationControlIndication,
        NotificationControlIndication_IEs,
        _NotificationControlIndication_IEs_val_Value_0,
        _NotificationControlIndication_IEs_val_Value_1,
        _NotificationControlIndication_IEs_val_Value_2,
        _PDUSessionResourcesNotifyList__item_,
        PDUSessionResourcesNotifyList,
        _PDUSessionResourcesNotify_Item_pduSessionId,
        _PDUSessionResourcesNotify_Item_qosFlowsNotificationContrIndInfo,
        ____PDUSessionResourcesNotify_Item_iE_Extensions__item__id_tab,
        ___PDUSessionResourcesNotify_Item_iE_Extensions__item__id,
        ____PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourcesNotify_Item_iE_Extensions__item__criticality,
        ____PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourcesNotify_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesNotify_Item_iE_Extensions__item_,
        _PDUSessionResourcesNotify_Item_iE_Extensions,
        PDUSessionResourcesNotify_Item,
        PDUSessionResourcesNotify_Item_ExtIEs,
        ____ActivityNotification_protocolIEs__item__id_tab,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_0,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_1,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_2,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_3,
        _____ActivityNotification_protocolIEs__item__id_tab_val_Value_4,
        ___ActivityNotification_protocolIEs__item__id,
        ___ActivityNotification_protocolIEs__item__criticality,
        ___ActivityNotification_protocolIEs__item__value,
        __ActivityNotification_protocolIEs__item_,
        _ActivityNotification_protocolIEs,
        ActivityNotification,
        ActivityNotification_IEs,
        _ActivityNotification_IEs_val_Value_0,
        _ActivityNotification_IEs_val_Value_1,
        _ActivityNotification_IEs_val_Value_2,
        _ActivityNotification_IEs_val_Value_3,
        _ActivityNotification_IEs_val_Value_4,
        _PDUSessionResourcesActivityNotifyList__item_,
        PDUSessionResourcesActivityNotifyList,
        _PDUSessionResourcesActivityNotify_Item_pduSessionId,
        _PDUSessionResourcesActivityNotify_Item_pduSessionLevelUPactivityreport,
        _PDUSessionResourcesActivityNotify_Item_qosFlowsActivityNotifyList,
        ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id_tab,
        ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__id,
        ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality_tab,
        ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__criticality,
        ____PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue_tab,
        ___PDUSessionResourcesActivityNotify_Item_iE_Extensions__item__extensionValue,
        __PDUSessionResourcesActivityNotify_Item_iE_Extensions__item_,
        _PDUSessionResourcesActivityNotify_Item_iE_Extensions,
        PDUSessionResourcesActivityNotify_Item,
        PDUSessionResourcesActivityNotify_Item_ExtIEs,
        _QoSFlowsActivityNotifyList__item_,
        QoSFlowsActivityNotifyList,
        _QoSFlowsActivityNotifyItem_qosFlowIdentifier,
        _QoSFlowsActivityNotifyItem_pduSessionLevelUPactivityreport,
        ____QoSFlowsActivityNotifyItem_iE_Extensions__item__id_tab,
        ___QoSFlowsActivityNotifyItem_iE_Extensions__item__id,
        ____QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality_tab,
        ___QoSFlowsActivityNotifyItem_iE_Extensions__item__criticality,
        ____QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue_tab,
        ___QoSFlowsActivityNotifyItem_iE_Extensions__item__extensionValue,
        __QoSFlowsActivityNotifyItem_iE_Extensions__item_,
        _QoSFlowsActivityNotifyItem_iE_Extensions,
        QoSFlowsActivityNotifyItem,
        QoSFlowsActivityNotifyItem_ExtIEs,
        ____XnSetupRequest_protocolIEs__item__id_tab,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_0,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_1,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_2,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_3,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_4,
        _____XnSetupRequest_protocolIEs__item__id_tab_val_Value_5,
        ___XnSetupRequest_protocolIEs__item__id,
        ___XnSetupRequest_protocolIEs__item__criticality,
        ___XnSetupRequest_protocolIEs__item__value,
        __XnSetupRequest_protocolIEs__item_,
        _XnSetupRequest_protocolIEs,
        XnSetupRequest,
        XnSetupRequest_IEs,
        _XnSetupRequest_IEs_val_Value_0,
        _XnSetupRequest_IEs_val_Value_1,
        _XnSetupRequest_IEs_val_Value_2,
        _XnSetupRequest_IEs_val_Value_3,
        _XnSetupRequest_IEs_val_Value_4,
        _XnSetupRequest_IEs_val_Value_5,
        ____XnSetupResponse_protocolIEs__item__id_tab,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_0,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_1,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_2,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_3,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_4,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_5,
        _____XnSetupResponse_protocolIEs__item__id_tab_val_Value_6,
        ___XnSetupResponse_protocolIEs__item__id,
        ___XnSetupResponse_protocolIEs__item__criticality,
        ___XnSetupResponse_protocolIEs__item__value,
        __XnSetupResponse_protocolIEs__item_,
        _XnSetupResponse_protocolIEs,
        XnSetupResponse,
        XnSetupResponse_IEs,
        _XnSetupResponse_IEs_val_Value_0,
        _XnSetupResponse_IEs_val_Value_1,
        _XnSetupResponse_IEs_val_Value_2,
        _XnSetupResponse_IEs_val_Value_3,
        _XnSetupResponse_IEs_val_Value_4,
        _XnSetupResponse_IEs_val_Value_5,
        _XnSetupResponse_IEs_val_Value_6,
        ____XnSetupFailure_protocolIEs__item__id_tab,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_0,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_1,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_2,
        _____XnSetupFailure_protocolIEs__item__id_tab_val_Value_3,
        ___XnSetupFailure_protocolIEs__item__id,
        ___XnSetupFailure_protocolIEs__item__criticality,
        ___XnSetupFailure_protocolIEs__item__value,
        __XnSetupFailure_protocolIEs__item_,
        _XnSetupFailure_protocolIEs,
        XnSetupFailure,
        XnSetupFailure_IEs,
        _XnSetupFailure_IEs_val_Value_0,
        _XnSetupFailure_IEs_val_Value_1,
        _XnSetupFailure_IEs_val_Value_2,
        _XnSetupFailure_IEs_val_Value_3,
        ____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_0,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_1,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_2,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_3,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_4,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_5,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_6,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_7,
        _____NGRANNodeConfigurationUpdate_protocolIEs__item__id_tab_val_Value_8,
        ___NGRANNodeConfigurationUpdate_protocolIEs__item__id,
        ___NGRANNodeConfigurationUpdate_protocolIEs__item__criticality,
        ___NGRANNodeConfigurationUpdate_protocolIEs__item__value,
        __NGRANNodeConfigurationUpdate_protocolIEs__item_,
        _NGRANNodeConfigurationUpdate_protocolIEs,
        NGRANNodeConfigurationUpdate,
        NGRANNodeConfigurationUpdate_IEs,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_0,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_1,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_2,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_3,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_4,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_5,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_6,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_7,
        _NGRANNodeConfigurationUpdate_IEs_val_Value_8,
        ____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab,
        _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_0,
        _____ConfigurationUpdateInitiatingNodeChoice_gNB__item__id_tab_val_Value_1,
        ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__id,
        ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__criticality,
        ___ConfigurationUpdateInitiatingNodeChoice_gNB__item__value,
        __ConfigurationUpdateInitiatingNodeChoice_gNB__item_,
        _ConfigurationUpdateInitiatingNodeChoice_gNB,
        ____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab,
        _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_0,
        _____ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id_tab_val_Value_1,
        ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__id,
        ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__criticality,
        ___ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item__value,
        __ConfigurationUpdateInitiatingNodeChoice_ng_eNB__item_,
        _ConfigurationUpdateInitiatingNodeChoice_ng_eNB,
        ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_id_tab,
        __ConfigurationUpdateInitiatingNodeChoice_choice_extension_id,
        ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality_tab,
        __ConfigurationUpdateInitiatingNodeChoice_choice_extension_criticality,
        ___ConfigurationUpdateInitiatingNodeChoice_choice_extension_value_tab,
        __ConfigurationUpdateInitiatingNodeChoice_choice_extension_value,
        _ConfigurationUpdateInitiatingNodeChoice_choice_extension,
        ConfigurationUpdateInitiatingNodeChoice,
        ServedCellsToUpdateInitiatingNodeChoice_ExtIEs,
        ConfigurationUpdate_gNB,
        _ConfigurationUpdate_gNB_val_Value_0,
        _ConfigurationUpdate_gNB_val_Value_1,
        ConfigurationUpdate_ng_eNB,
        _ConfigurationUpdate_ng_eNB_val_Value_0,
        _ConfigurationUpdate_ng_eNB_val_Value_1,
        ____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_0,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_1,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_2,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_3,
        _____NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id_tab_val_Value_4,
        ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__id,
        ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__criticality,
        ___NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item__value,
        __NGRANNodeConfigurationUpdateAcknowledge_protocolIEs__item_,
        _NGRANNodeConfigurationUpdateAcknowledge_protocolIEs,
        NGRANNodeConfigurationUpdateAcknowledge,
        NGRANNodeConfigurationUpdateAcknowledge_IEs,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_0,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_1,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_2,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_3,
        _NGRANNodeConfigurationUpdateAcknowledge_IEs_val_Value_4,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB,
        _RespondingNodeTypeConfigUpdateAck_gNB,
        ___RespondingNodeTypeConfigUpdateAck_choice_extension_id_tab,
        __RespondingNodeTypeConfigUpdateAck_choice_extension_id,
        ___RespondingNodeTypeConfigUpdateAck_choice_extension_criticality_tab,
        __RespondingNodeTypeConfigUpdateAck_choice_extension_criticality,
        ___RespondingNodeTypeConfigUpdateAck_choice_extension_value_tab,
        __RespondingNodeTypeConfigUpdateAck_choice_extension_value,
        _RespondingNodeTypeConfigUpdateAck_choice_extension,
        RespondingNodeTypeConfigUpdateAck,
        RespondingNodeTypeConfigUpdateAck_ExtIEs,
        ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id_tab,
        ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__id,
        ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality_tab,
        ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__criticality,
        ____RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue_tab,
        ___RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item__extensionValue,
        __RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension__item_,
        _RespondingNodeTypeConfigUpdateAck_ng_eNB_iE_Extension,
        RespondingNodeTypeConfigUpdateAck_ng_eNB,
        RespondingNodeTypeConfigUpdateAck_ng_eNB_ExtIEs,
        _RespondingNodeTypeConfigUpdateAck_gNB_served_NR_Cells,
        ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id_tab,
        ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__id,
        ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality_tab,
        ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__criticality,
        ____RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue_tab,
        ___RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item__extensionValue,
        __RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension__item_,
        _RespondingNodeTypeConfigUpdateAck_gNB_iE_Extension,
        RespondingNodeTypeConfigUpdateAck_gNB,
        RespondingNodeTypeConfigUpdateAck_gNB_ExtIEs,
        ____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_0,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_1,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_2,
        _____NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id_tab_val_Value_3,
        ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__id,
        ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__criticality,
        ___NGRANNodeConfigurationUpdateFailure_protocolIEs__item__value,
        __NGRANNodeConfigurationUpdateFailure_protocolIEs__item_,
        _NGRANNodeConfigurationUpdateFailure_protocolIEs,
        NGRANNodeConfigurationUpdateFailure,
        NGRANNodeConfigurationUpdateFailure_IEs,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_0,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_1,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_2,
        _NGRANNodeConfigurationUpdateFailure_IEs_val_Value_3,
        ____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab,
        _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id_tab_val_Value_1,
        ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__id,
        ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__criticality,
        ___E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item__value,
        __E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs__item_,
        _E_UTRA_NR_CellResourceCoordinationRequest_protocolIEs,
        E_UTRA_NR_CellResourceCoordinationRequest,
        E_UTRA_NR_CellResourceCoordinationRequest_IEs,
        _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_0,
        _E_UTRA_NR_CellResourceCoordinationRequest_IEs_val_Value_1,
        _InitiatingNodeType_ResourceCoordRequest_ng_eNB,
        _InitiatingNodeType_ResourceCoordRequest_gNB,
        ___InitiatingNodeType_ResourceCoordRequest_choice_extension_id_tab,
        __InitiatingNodeType_ResourceCoordRequest_choice_extension_id,
        ___InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality_tab,
        __InitiatingNodeType_ResourceCoordRequest_choice_extension_criticality,
        ___InitiatingNodeType_ResourceCoordRequest_choice_extension_value_tab,
        __InitiatingNodeType_ResourceCoordRequest_choice_extension_value,
        _InitiatingNodeType_ResourceCoordRequest_choice_extension,
        InitiatingNodeType_ResourceCoordRequest,
        InitiatingNodeType_ResourceCoordRequest_ExtIEs,
        _ResourceCoordRequest_ng_eNB_initiated_dataTrafficResourceIndication,
        _ResourceCoordRequest_ng_eNB_initiated_spectrumSharingGroupID,
        __ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells__item_,
        _ResourceCoordRequest_ng_eNB_initiated_listofE_UTRACells,
        ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordRequest_ng_eNB_initiated_iE_Extensions__item_,
        _ResourceCoordRequest_ng_eNB_initiated_iE_Extensions,
        ResourceCoordRequest_ng_eNB_initiated,
        ResourceCoordRequest_ng_eNB_initiated_ExtIEs,
        _ResourceCoordRequest_gNB_initiated_dataTrafficResourceIndication,
        __ResourceCoordRequest_gNB_initiated_listofE_UTRACells__item_,
        _ResourceCoordRequest_gNB_initiated_listofE_UTRACells,
        _ResourceCoordRequest_gNB_initiated_spectrumSharingGroupID,
        __ResourceCoordRequest_gNB_initiated_listofNRCells__item_,
        _ResourceCoordRequest_gNB_initiated_listofNRCells,
        ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordRequest_gNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordRequest_gNB_initiated_iE_Extensions__item_,
        _ResourceCoordRequest_gNB_initiated_iE_Extensions,
        ResourceCoordRequest_gNB_initiated,
        ResourceCoordRequest_gNB_initiated_ExtIEs,
        ____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab,
        _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id_tab_val_Value_1,
        ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__id,
        ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__criticality,
        ___E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item__value,
        __E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs__item_,
        _E_UTRA_NR_CellResourceCoordinationResponse_protocolIEs,
        E_UTRA_NR_CellResourceCoordinationResponse,
        E_UTRA_NR_CellResourceCoordinationResponse_IEs,
        _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_0,
        _E_UTRA_NR_CellResourceCoordinationResponse_IEs_val_Value_1,
        _RespondingNodeType_ResourceCoordResponse_ng_eNB,
        _RespondingNodeType_ResourceCoordResponse_gNB,
        ___RespondingNodeType_ResourceCoordResponse_choice_extension_id_tab,
        __RespondingNodeType_ResourceCoordResponse_choice_extension_id,
        ___RespondingNodeType_ResourceCoordResponse_choice_extension_criticality_tab,
        __RespondingNodeType_ResourceCoordResponse_choice_extension_criticality,
        ___RespondingNodeType_ResourceCoordResponse_choice_extension_value_tab,
        __RespondingNodeType_ResourceCoordResponse_choice_extension_value,
        _RespondingNodeType_ResourceCoordResponse_choice_extension,
        RespondingNodeType_ResourceCoordResponse,
        RespondingNodeType_ResourceCoordResponse_ExtIEs,
        _ResourceCoordResponse_ng_eNB_initiated_dataTrafficResourceIndication,
        _ResourceCoordResponse_ng_eNB_initiated_spectrumSharingGroupID,
        __ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells__item_,
        _ResourceCoordResponse_ng_eNB_initiated_listofE_UTRACells,
        ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordResponse_ng_eNB_initiated_iE_Extensions__item_,
        _ResourceCoordResponse_ng_eNB_initiated_iE_Extensions,
        ResourceCoordResponse_ng_eNB_initiated,
        ResourceCoordResponse_ng_eNB_initiated_ExtIEs,
        _ResourceCoordResponse_gNB_initiated_dataTrafficResourceIndication,
        _ResourceCoordResponse_gNB_initiated_spectrumSharingGroupID,
        __ResourceCoordResponse_gNB_initiated_listofNRCells__item_,
        _ResourceCoordResponse_gNB_initiated_listofNRCells,
        ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id_tab,
        ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__id,
        ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality_tab,
        ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__criticality,
        ____ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue_tab,
        ___ResourceCoordResponse_gNB_initiated_iE_Extensions__item__extensionValue,
        __ResourceCoordResponse_gNB_initiated_iE_Extensions__item_,
        _ResourceCoordResponse_gNB_initiated_iE_Extensions,
        ResourceCoordResponse_gNB_initiated,
        ResourceCoordResponse_gNB_initiated_ExtIEs,
        ____SecondaryRATDataUsageReport_protocolIEs__item__id_tab,
        _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_0,
        _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_1,
        _____SecondaryRATDataUsageReport_protocolIEs__item__id_tab_val_Value_2,
        ___SecondaryRATDataUsageReport_protocolIEs__item__id,
        ___SecondaryRATDataUsageReport_protocolIEs__item__criticality,
        ___SecondaryRATDataUsageReport_protocolIEs__item__value,
        __SecondaryRATDataUsageReport_protocolIEs__item_,
        _SecondaryRATDataUsageReport_protocolIEs,
        SecondaryRATDataUsageReport,
        SecondaryRATDataUsageReport_IEs,
        _SecondaryRATDataUsageReport_IEs_val_Value_0,
        _SecondaryRATDataUsageReport_IEs_val_Value_1,
        _SecondaryRATDataUsageReport_IEs_val_Value_2,
        ____XnRemovalRequest_protocolIEs__item__id_tab,
        _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_0,
        _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_1,
        _____XnRemovalRequest_protocolIEs__item__id_tab_val_Value_2,
        ___XnRemovalRequest_protocolIEs__item__id,
        ___XnRemovalRequest_protocolIEs__item__criticality,
        ___XnRemovalRequest_protocolIEs__item__value,
        __XnRemovalRequest_protocolIEs__item_,
        _XnRemovalRequest_protocolIEs,
        XnRemovalRequest,
        XnRemovalRequest_IEs,
        _XnRemovalRequest_IEs_val_Value_0,
        _XnRemovalRequest_IEs_val_Value_1,
        _XnRemovalRequest_IEs_val_Value_2,
        ____XnRemovalResponse_protocolIEs__item__id_tab,
        _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_0,
        _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_1,
        _____XnRemovalResponse_protocolIEs__item__id_tab_val_Value_2,
        ___XnRemovalResponse_protocolIEs__item__id,
        ___XnRemovalResponse_protocolIEs__item__criticality,
        ___XnRemovalResponse_protocolIEs__item__value,
        __XnRemovalResponse_protocolIEs__item_,
        _XnRemovalResponse_protocolIEs,
        XnRemovalResponse,
        XnRemovalResponse_IEs,
        _XnRemovalResponse_IEs_val_Value_0,
        _XnRemovalResponse_IEs_val_Value_1,
        _XnRemovalResponse_IEs_val_Value_2,
        ____XnRemovalFailure_protocolIEs__item__id_tab,
        _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_0,
        _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_1,
        _____XnRemovalFailure_protocolIEs__item__id_tab_val_Value_2,
        ___XnRemovalFailure_protocolIEs__item__id,
        ___XnRemovalFailure_protocolIEs__item__criticality,
        ___XnRemovalFailure_protocolIEs__item__value,
        __XnRemovalFailure_protocolIEs__item_,
        _XnRemovalFailure_protocolIEs,
        XnRemovalFailure,
        XnRemovalFailure_IEs,
        _XnRemovalFailure_IEs_val_Value_0,
        _XnRemovalFailure_IEs_val_Value_1,
        _XnRemovalFailure_IEs_val_Value_2,
        ____CellActivationRequest_protocolIEs__item__id_tab,
        _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_0,
        _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_1,
        _____CellActivationRequest_protocolIEs__item__id_tab_val_Value_2,
        ___CellActivationRequest_protocolIEs__item__id,
        ___CellActivationRequest_protocolIEs__item__criticality,
        ___CellActivationRequest_protocolIEs__item__value,
        __CellActivationRequest_protocolIEs__item_,
        _CellActivationRequest_protocolIEs,
        CellActivationRequest,
        CellActivationRequest_IEs,
        _CellActivationRequest_IEs_val_Value_0,
        _CellActivationRequest_IEs_val_Value_1,
        _CellActivationRequest_IEs_val_Value_2,
        __ServedCellsToActivate_nr_cells__item_,
        _ServedCellsToActivate_nr_cells,
        __ServedCellsToActivate_e_utra_cells__item_,
        _ServedCellsToActivate_e_utra_cells,
        ___ServedCellsToActivate_choice_extension_id_tab,
        __ServedCellsToActivate_choice_extension_id,
        ___ServedCellsToActivate_choice_extension_criticality_tab,
        __ServedCellsToActivate_choice_extension_criticality,
        ___ServedCellsToActivate_choice_extension_value_tab,
        __ServedCellsToActivate_choice_extension_value,
        _ServedCellsToActivate_choice_extension,
        ServedCellsToActivate,
        ServedCellsToActivate_ExtIEs,
        ____CellActivationResponse_protocolIEs__item__id_tab,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_0,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_1,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_2,
        _____CellActivationResponse_protocolIEs__item__id_tab_val_Value_3,
        ___CellActivationResponse_protocolIEs__item__id,
        ___CellActivationResponse_protocolIEs__item__criticality,
        ___CellActivationResponse_protocolIEs__item__value,
        __CellActivationResponse_protocolIEs__item_,
        _CellActivationResponse_protocolIEs,
        CellActivationResponse,
        CellActivationResponse_IEs,
        _CellActivationResponse_IEs_val_Value_0,
        _CellActivationResponse_IEs_val_Value_1,
        _CellActivationResponse_IEs_val_Value_2,
        _CellActivationResponse_IEs_val_Value_3,
        __ActivatedServedCells_nr_cells__item_,
        _ActivatedServedCells_nr_cells,
        __ActivatedServedCells_e_utra_cells__item_,
        _ActivatedServedCells_e_utra_cells,
        ___ActivatedServedCells_choice_extension_id_tab,
        __ActivatedServedCells_choice_extension_id,
        ___ActivatedServedCells_choice_extension_criticality_tab,
        __ActivatedServedCells_choice_extension_criticality,
        ___ActivatedServedCells_choice_extension_value_tab,
        __ActivatedServedCells_choice_extension_value,
        _ActivatedServedCells_choice_extension,
        ActivatedServedCells,
        ActivatedServedCells_ExtIEs,
        ____CellActivationFailure_protocolIEs__item__id_tab,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_0,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_1,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_2,
        _____CellActivationFailure_protocolIEs__item__id_tab_val_Value_3,
        ___CellActivationFailure_protocolIEs__item__id,
        ___CellActivationFailure_protocolIEs__item__criticality,
        ___CellActivationFailure_protocolIEs__item__value,
        __CellActivationFailure_protocolIEs__item_,
        _CellActivationFailure_protocolIEs,
        CellActivationFailure,
        CellActivationFailure_IEs,
        _CellActivationFailure_IEs_val_Value_0,
        _CellActivationFailure_IEs_val_Value_1,
        _CellActivationFailure_IEs_val_Value_2,
        _CellActivationFailure_IEs_val_Value_3,
        ____ResetRequest_protocolIEs__item__id_tab,
        _____ResetRequest_protocolIEs__item__id_tab_val_Value_0,
        _____ResetRequest_protocolIEs__item__id_tab_val_Value_1,
        _____ResetRequest_protocolIEs__item__id_tab_val_Value_2,
        ___ResetRequest_protocolIEs__item__id,
        ___ResetRequest_protocolIEs__item__criticality,
        ___ResetRequest_protocolIEs__item__value,
        __ResetRequest_protocolIEs__item_,
        _ResetRequest_protocolIEs,
        ResetRequest,
        ResetRequest_IEs,
        _ResetRequest_IEs_val_Value_0,
        _ResetRequest_IEs_val_Value_1,
        _ResetRequest_IEs_val_Value_2,
        ____ResetResponse_protocolIEs__item__id_tab,
        _____ResetResponse_protocolIEs__item__id_tab_val_Value_0,
        _____ResetResponse_protocolIEs__item__id_tab_val_Value_1,
        _____ResetResponse_protocolIEs__item__id_tab_val_Value_2,
        ___ResetResponse_protocolIEs__item__id,
        ___ResetResponse_protocolIEs__item__criticality,
        ___ResetResponse_protocolIEs__item__value,
        __ResetResponse_protocolIEs__item_,
        _ResetResponse_protocolIEs,
        ResetResponse,
        ResetResponse_IEs,
        _ResetResponse_IEs_val_Value_0,
        _ResetResponse_IEs_val_Value_1,
        _ResetResponse_IEs_val_Value_2,
        ____ErrorIndication_protocolIEs__item__id_tab,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_0,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_1,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_2,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_3,
        _____ErrorIndication_protocolIEs__item__id_tab_val_Value_4,
        ___ErrorIndication_protocolIEs__item__id,
        ___ErrorIndication_protocolIEs__item__criticality,
        ___ErrorIndication_protocolIEs__item__value,
        __ErrorIndication_protocolIEs__item_,
        _ErrorIndication_protocolIEs,
        ErrorIndication,
        ErrorIndication_IEs,
        _ErrorIndication_IEs_val_Value_0,
        _ErrorIndication_IEs_val_Value_1,
        _ErrorIndication_IEs_val_Value_2,
        _ErrorIndication_IEs_val_Value_3,
        _ErrorIndication_IEs_val_Value_4,
        ____PrivateMessage_privateIEs__item__id_tab,
        ___PrivateMessage_privateIEs__item__id,
        ____PrivateMessage_privateIEs__item__criticality_tab,
        ___PrivateMessage_privateIEs__item__criticality,
        ____PrivateMessage_privateIEs__item__value_tab,
        ___PrivateMessage_privateIEs__item__value,
        __PrivateMessage_privateIEs__item_,
        _PrivateMessage_privateIEs,
        PrivateMessage,
        PrivateMessage_IEs,
    ]

init_modules(XnAP_CommonDataTypes, XnAP_Constants, XnAP_IEs, XnAP_PDU_Descriptions, XnAP_Containers, XnAP_PDU_Contents)
